;--- dimensions du sprite ----
large equ 25
haut equ 100
loadingaddress equ #200
linewidth equ #50
nbdelta equ 23

;-----------------------------
org loadingaddress
run loadingaddress
;-----------------------------



start

;--- selection du mode ---------
    ld a,1
    call #BC0E
;-------------------------------
  

;--- gestion de la palette ---- 
    call palettefirmware
;------------------------------

call xvbl

;--- affichage du sprite initiale --  
    ; affichage du premier sprite
    ld de,#c000 ; adresse de l'ecran 
    ld hl,sprite ; pointeur sur l'image en memoire 
    ld b, haut ; hauteur de l'image 
    loop 
    push bc ; sauve le compteur hauteur dans la pile 
    push de ; sauvegarde de l'adresse ecran dans la pile
    ld bc, large ; largeur de l'image a afficher
    ldir ; remplissage de n * largeur octets a l'adresse dans de 
    pop de ; recuperation de l'adresse d'origine 
    ex de,hl ; echange des valeurs des adresses
    call bc26 ; calcul de l'adresse de la ligne suivante
    ex de,hl ; echange des valeurs des adresses
    pop bc ; retabli le compteur 
    djnz loop
;------------------------------------
   

mainloop    ; routine pour afficher les deltas provenant de martine 

;call #bb06

call xvbl
call next_delta

jp mainloop 


;--- routine de deltapacking --------------------------
next_delta:
table_index:
    ld a,-1
    inc a
    and nbdelta
    ld (table_index+1),a
    add a
    ld e,a
    ld d,0
    ld hl,table_delta
    add hl,de
    ld a,(hl)
    inc hl
    ld h,(hl)
    ld l,a
delta
 ld a,(hl) ; nombre de byte a poker
 push af   ; stockage en mémoire
 inc hl
init
 ld a,(hl) ; octet a poker
 ld (pixel),a
 inc hl
 ld c,(hl) ; nbfois
 inc hl 
 ld b,(hl)
 inc hl
;
poke_octet
 ld e,(hl)
 inc hl
 ld d,(hl) ; de=adresse
 inc hl
 ld a,(pixel)
 ld (de),a ; poke a l'adresse dans de
 dec bc
 ld a,b ; test a t'on poke toutes les adresses compteur bc
 or a 
 jr nz, poke_octet
 ld a,c 
 or a
 jr nz, poke_octet
 pop af 
; reste t'il d'autres bytes a poker ? 
 dec a 
 push af
 jr nz,init
 pop af
 ret



;---------------------------------------------------------------
;
; attente de plusieurs vbl
;
xvbl ld e,15
	call waitvbl
	dec e
	jr nz,xvbl+2
	ret
;-----------------------------------

;---- attente vbl ----------
waitvbl
    ld b,#f5 ; attente vbl
vbl     
    in a,(c)
    rra
    jp nc,vbl
    ret
;---------------------------

;--- application palette firmware -------------
palettefirmware ; hl pointe sur les valeurs de la palette
ld e,nbcolors
ld a,0
ld hl,palette

paletteloop
ld b,(hl)
ld c,b
push af
push de
push hl
call #bc32 ; af, de, hl corrupted
pop hl
pop de
pop af
inc a
inc hl
dec e
jr nz,paletteloop
ret
;---------------------------------------------

;---------------------------------------------

;---- recuperation de l'adresse de la ligne en dessous ------------
bc26 
ld a,h
add a,8 
ld h,a ; <---- le fameux que tu as oublié !
ret nc 
ld bc,#c050 ; on passe en 96 colonnes
add hl,bc
res 3,h
ret
;-----------------------------------------------------------------


;--- variables memoires -----
pixel db 0 
;----------------------------

table_delta:
dw delta00, delta01, delta02, delta03, delta04, delta05, delta06, delta07
dw delta08, delta09, delta10, delta11, delta12, delta13, delta14, delta15
dw delta16, delta17, delta18, delta19, delta20, delta21, delta22

;------- data ---------------------------
palette 
db 00, 09, 12, 01, 10, 13, 18, 03
db 21, 26, 26, 26, 26, 26, 26, 26
sprite:
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #22, #08, #00, #00, #00, #00
db #80, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #02, #0a, #80, #00
db #00, #02, #08, #00, #00, #00, #02, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #8a
db #28, #80, #08, #0a, #08, #80, #00, #0a
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #8a, #28, #82, #80, #20, #00, #20
db #28, #28, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #aa, #28, #08, #08, #00
db #00, #82, #08, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #22, #0a, #08
db #28, #00, #00, #08, #08, #00, #20, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #2a
db #8a, #82, #28, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #02, #0a
db #0a, #2a, #8a, #0a, #0a, #02, #80, #80
db #00, #20, #20, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #2a, #aa, #0a, #aa, #08, #0a, #0a
db #08, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #22, #aa, #0a, #28, #0a
db #0a, #0a, #08, #00, #80, #20, #00, #00
db #80, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #22, #aa
db #0a, #0a, #8a, #8a, #08, #00, #80, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #22
db #aa, #0a, #08, #80, #2a, #2a, #08, #00
db #00, #a0, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #aa, #0a, #0a, #28, #80, #0a, #0a
db #00, #00, #80, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #aa, #8a, #0a, #0a, #28, #28
db #82, #00, #00, #00, #00, #20, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #aa, #aa, #8a, #0a, #0a
db #28, #08, #80, #00, #00, #00, #00, #00
db #00, #00, #00, #80, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #02, #0a
db #0a, #0a, #80, #80, #0a, #20, #00, #80
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #0a, #08, #0a, #20
db #20, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #02, #0a, #00
db #0a, #20, #00, #00, #08, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #02
db #08, #00, #02, #28, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #02, #00, #00, #02, #08, #00, #00
db #80, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #0a
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #02, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #80, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #08, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00
delta00:
db #0f, #08, #17, #00, #59, #d0, #ad, #c0
db #b2, #c0, #ad, #d0, #ad, #e0, #02, #c1
db #fd, #d0, #02, #d1, #fe, #f0, #02, #f1
db #4a, #c1, #50, #d1, #48, #e1, #49, #e1
db #4a, #e1, #a5, #c1, #98, #d1, #99, #d1
db #9f, #e1, #ec, #c1, #ec, #d1, #ec, #e1
db #ec, #f1, #00, #23, #00, #56, #e0, #57
db #e0, #5c, #e0, #56, #f0, #57, #f0, #58
db #f0, #60, #f0, #a7, #c0, #af, #c0, #a7
db #d0, #ab, #d0, #ae, #d0, #a7, #e0, #ad
db #f0, #ae, #f0, #b0, #f0, #fb, #d0, #fc
db #d0, #ff, #d0, #00, #d1, #4e, #e1, #4a
db #f1, #93, #c1, #94, #c1, #a3, #c1, #94
db #d1, #95, #d1, #9c, #e1, #98, #f1, #9e
db #f1, #e7, #c1, #e8, #c1, #e7, #d1, #ea
db #d1, #3d, #c2, #88, #03, #00, #59, #e0
db #59, #f0, #b3, #e0, #80, #0c, #00, #5a
db #e0, #aa, #e0, #ae, #e0, #af, #f0, #fe
db #d0, #f9, #e0, #49, #c1, #4a, #d1, #4e
db #f1, #9e, #e1, #ee, #e1, #3d, #d2, #02
db #18, #00, #5c, #f0, #a8, #c0, #ab, #c0
db #ac, #c0, #b1, #c0, #ac, #d0, #b0, #d0
db #b2, #f0, #f3, #c0, #fc, #e0, #01, #e1
db #4b, #d1, #4b, #e1, #4f, #e1, #4b, #f1
db #95, #c1, #9a, #d1, #a5, #d1, #99, #e1
db #9f, #f1, #e5, #d1, #eb, #e1, #ed, #f1
db #3c, #d2, #8a, #04, #00, #a9, #c0, #fa
db #c0, #4e, #c1, #54, #f1, #a0, #02, #00
db #aa, #c0, #54, #e1, #22, #05, #00, #a8
db #d0, #a8, #e0, #f4, #d0, #96, #d1, #96
db #e1, #aa, #0b, #00, #a9, #d0, #a9, #e0
db #a9, #f0, #f4, #c0, #f5, #c0, #f5, #d0
db #f6, #d0, #f5, #e0, #f7, #e0, #53, #e1
db #96, #f1, #82, #06, #00, #af, #d0, #a7
db #f0, #4b, #c1, #52, #d1, #97, #c1, #a4
db #c1, #20, #07, #00, #b1, #d0, #ab, #f0
db #01, #c1, #fb, #e0, #01, #f1, #ee, #c1
db #ef, #c1, #0a, #17, #00, #af, #e0, #f6
db #c0, #f7, #c0, #f7, #d0, #f8, #d0, #f8
db #f0, #4c, #c1, #4d, #c1, #4f, #c1, #50
db #c1, #4c, #d1, #4d, #d1, #4e, #d1, #4c
db #e1, #4d, #e1, #44, #f1, #4c, #f1, #9b
db #d1, #9b, #e1, #9b, #f1, #eb, #c1, #eb
db #d1, #3c, #c2, #2a, #07, #00, #a8, #f0
db #f8, #c0, #f9, #c0, #97, #d1, #97, #e1
db #97, #f1, #e6, #c1, #a8, #01, #00, #aa
db #f0, #28, #0a, #00, #f8, #e0, #fd, #e0
db #fe, #e0, #ff, #e0, #fa, #f0, #fc, #f0
db #fd, #f0, #ff, #f0, #48, #d1, #4f, #d1
delta01:
db #0e, #00, #48, #00, #59, #d0, #59, #e0
db #5a, #e0, #59, #f0, #5c, #f0, #a8, #c0
db #a9, #c0, #ad, #c0, #b1, #c0, #b2, #c0
db #a8, #d0, #a9, #d0, #af, #d0, #b0, #d0
db #b1, #d0, #a8, #e0, #a9, #e0, #ad, #e0
db #ae, #e0, #af, #e0, #b3, #e0, #af, #f0
db #b2, #f0, #f3, #c0, #02, #c1, #f4, #d0
db #fd, #d0, #fe, #d0, #02, #d1, #fb, #e0
db #fc, #e0, #fd, #e0, #fe, #e0, #ff, #e0
db #01, #e1, #f5, #f0, #fb, #f0, #ff, #f0
db #02, #f1, #46, #c1, #4c, #c1, #45, #d1
db #4b, #d1, #4c, #d1, #52, #d1, #45, #e1
db #4b, #e1, #4c, #e1, #53, #e1, #54, #e1
db #44, #f1, #45, #f1, #4b, #f1, #4e, #f1
db #54, #f1, #95, #c1, #a4, #c1, #a5, #c1
db #9d, #d1, #a5, #d1, #9e, #e1, #9f, #f1
db #e6, #c1, #ea, #c1, #ee, #c1, #ef, #c1
db #e5, #d1, #ee, #d1, #eb, #e1, #ee, #e1
db #eb, #f1, #3c, #d2, #02, #0c, #00, #5b
db #d0, #aa, #c0, #aa, #d0, #4b, #c1, #46
db #d1, #4a, #d1, #46, #e1, #9c, #c1, #95
db #d1, #9a, #f1, #eb, #d1, #ec, #f1, #0a
db #20, #00, #5b, #e0, #5b, #f0, #ab, #c0
db #ab, #d0, #aa, #e0, #ab, #e0, #a7, #f0
db #aa, #f0, #ab, #f0, #f8, #c0, #fb, #c0
db #fb, #d0, #f9, #e0, #fd, #f0, #fe, #f0
db #4e, #c1, #4f, #d1, #50, #d1, #51, #d1
db #4e, #e1, #4f, #e1, #48, #f1, #4a, #f1
db #4d, #f1, #97, #d1, #98, #d1, #9c, #d1
db #9c, #e1, #9c, #f1, #ec, #c1, #ec, #d1
db #ec, #e1, #20, #09, #00, #5c, #e0, #a6
db #e0, #ff, #d0, #01, #d1, #00, #e1, #fc
db #f0, #4c, #f1, #97, #f1, #3c, #c2, #08
db #10, #00, #ac, #c0, #ac, #d0, #a3, #e0
db #ac, #e0, #a9, #f0, #ac, #f0, #49, #c1
db #49, #d1, #49, #f1, #98, #c1, #98, #e1
db #99, #e1, #99, #f1, #ed, #f1, #3d, #c2
db #3d, #d2, #80, #0a, #00, #ad, #d0, #b3
db #d0, #a4, #e0, #fe, #c0, #9d, #c1, #9f
db #d1, #9f, #e1, #98, #f1, #9d, #f1, #ed
db #c1, #22, #05, #00, #a3, #f0, #f5, #e0
db #46, #f1, #95, #e1, #e4, #c1, #aa, #0b
db #00, #a4, #f0, #a5, #f0, #a6, #f0, #f6
db #c0, #f7, #c0, #f7, #d0, #f8, #d0, #f7
db #f0, #96, #d1, #96, #e1, #95, #f1, #28
db #06, #00, #a8, #f0, #fc, #c0, #fc, #d0
db #51, #c1, #4d, #d1, #e5, #c1, #a2, #01
db #00, #f4, #c0, #8a, #03, #00, #f8, #e0
db #47, #c1, #96, #f1, #a0, #03, #00, #fa
db #f0, #4f, #f1, #9a, #d1, #82, #03, #00
db #4a, #c1, #47, #e1, #4a, #e1, #2a, #02
db #00, #96, #c1, #97, #c1
delta02:
db #0e, #08, #16, #00, #5e, #c0, #5e, #d0
db #5e, #e0, #5e, #f0, #ae, #c0, #ae, #d0
db #a8, #e0, #ad, #e0, #ae, #e0, #a8, #f0
db #ae, #f0, #fd, #c0, #fe, #c0, #f9, #d0
db #fa, #d0, #fa, #e0, #53, #d1, #9a, #c1
db #9d, #e1, #9a, #f1, #9e, #f1, #ea, #c1
db #00, #28, #00, #5b, #d0, #5b, #e0, #5c
db #e0, #5b, #f0, #ab, #c0, #b3, #d0, #a3
db #e0, #aa, #e0, #a3, #f0, #a4, #f0, #f4
db #c0, #01, #c1, #fb, #d0, #fc, #d0, #ff
db #d0, #01, #d1, #f5, #e0, #00, #e1, #fa
db #f0, #fc, #f0, #fd, #f0, #fe, #f0, #4d
db #c1, #4e, #c1, #4d, #d1, #4d, #e1, #4e
db #e1, #4c, #f1, #4d, #f1, #4f, #f1, #9c
db #c1, #9f, #d1, #99, #f1, #e4, #c1, #e5
db #c1, #eb, #d1, #ec, #f1, #3c, #c2, #3d
db #c2, #3d, #d2, #02, #0f, #00, #5d, #d0
db #5c, #f0, #ab, #d0, #f6, #f0, #46, #c1
db #51, #c1, #50, #d1, #50, #e1, #9c, #d1
db #9b, #e1, #9c, #f1, #eb, #c1, #ea, #d1
db #ea, #e1, #ec, #e1, #0a, #15, #00, #5d
db #e0, #5d, #f0, #ac, #c0, #a5, #d0, #ac
db #d0, #ac, #e0, #a9, #f0, #ac, #f0, #f9
db #c0, #fa, #c0, #f8, #d0, #f8, #e0, #47
db #c1, #48, #d1, #4a, #e1, #49, #f1, #97
db #c1, #98, #c1, #96, #e1, #97, #e1, #ed
db #c1, #20, #0a, #00, #5a, #f0, #fb, #c0
db #fb, #f0, #4b, #c1, #50, #c1, #4b, #d1
db #4c, #d1, #9a, #e1, #9f, #e1, #96, #f1
db #28, #0c, #00, #ad, #c0, #ad, #d0, #01
db #f1, #4a, #c1, #52, #c1, #53, #c1, #48
db #e1, #9d, #d1, #9d, #f1, #ed, #d1, #ed
db #e1, #ed, #f1, #80, #0e, #00, #af, #c0
db #a9, #e0, #af, #f0, #02, #d1, #4a, #d1
db #4e, #d1, #4a, #f1, #9f, #f1, #ee, #c1
db #ef, #c1, #ee, #d1, #ee, #e1, #ee, #f1
db #3e, #d2, #8a, #05, #00, #a4, #d0, #a6
db #e0, #f7, #f0, #f9, #f0, #95, #f1, #82
db #07, #00, #aa, #d0, #a7, #e0, #aa, #f0
db #ff, #f0, #4f, #d1, #4f, #e1, #9c, #e1
db #22, #06, #00, #a4, #e0, #f5, #c0, #f5
db #d0, #46, #e1, #95, #c1, #94, #e1, #aa
db #06, #00, #a5, #e0, #46, #f1, #96, #c1
db #95, #d1, #95, #e1, #94, #f1, #a0, #06
db #00, #af, #e0, #ad, #f0, #00, #f1, #4f
db #c1, #52, #d1, #97, #f1, #2a, #0a, #00
db #a7, #f0, #f7, #c0, #f6, #e0, #f9, #e0
db #48, #c1, #47, #d1, #47, #e1, #49, #e1
db #47, #f1, #96, #d1, #88, #02, #00, #49
db #c1, #49, #d1
delta03:
db #0e, #00, #2d, #00, #5e, #c0, #5d, #d0
db #5e, #d0, #5d, #e0, #5c, #f0, #ac, #c0
db #ae, #c0, #af, #c0, #a4, #d0, #ab, #d0
db #ae, #d0, #a4, #e0, #ae, #e0, #af, #e0
db #ad, #f0, #ae, #f0, #f5, #c0, #fc, #c0
db #fd, #c0, #fe, #c0, #f5, #d0, #02, #d1
db #01, #f1, #50, #c1, #51, #c1, #52, #c1
db #53, #c1, #51, #d1, #52, #d1, #50, #e1
db #9d, #c1, #9c, #d1, #9d, #d1, #9d, #e1
db #9f, #e1, #96, #f1, #97, #f1, #9d, #f1
db #ef, #c1, #ea, #d1, #ee, #d1, #ea, #e1
db #ec, #e1, #ed, #f1, #3e, #d2, #08, #11
db #00, #5f, #d0, #5a, #f0, #a6, #c0, #ad
db #d0, #a9, #e0, #f9, #c0, #fc, #d0, #f9
db #e0, #f9, #f0, #4c, #d1, #49, #e1, #4f
db #e1, #98, #d1, #94, #f1, #ed, #c1, #e9
db #f1, #ee, #f1, #02, #12, #00, #5e, #e0
db #5d, #f0, #a9, #d0, #b0, #d0, #ab, #e0
db #b0, #e0, #ab, #f0, #fb, #c0, #00, #c1
db #f6, #e0, #f5, #f0, #4e, #d1, #9b, #d1
db #98, #f1, #e8, #c1, #ec, #d1, #ef, #d1
db #ef, #e1, #8a, #06, #00, #a5, #c0, #f7
db #c0, #f8, #e0, #47, #e1, #46, #f1, #95
db #d1, #28, #0a, #00, #aa, #c0, #a8, #d0
db #a8, #e0, #a8, #f0, #fa, #c0, #4c, #c1
db #48, #d1, #98, #c1, #9a, #c1, #e9, #e1
db #0a, #20, #00, #ad, #c0, #a6, #d0, #a7
db #d0, #aa, #d0, #a7, #e0, #a7, #f0, #fb
db #d0, #fb, #e0, #fc, #e0, #fe, #e0, #f7
db #f0, #fc, #f0, #fd, #f0, #fe, #f0, #48
db #c1, #49, #c1, #4a, #c1, #4b, #c1, #4e
db #c1, #4b, #d1, #4b, #e1, #47, #f1, #96
db #c1, #96, #d1, #94, #e1, #95, #e1, #9c
db #e1, #99, #f1, #9c, #f1, #e9, #c1, #e9
db #d1, #ed, #e1, #2a, #04, #00, #a5, #d0
db #fa, #f0, #fb, #f0, #45, #d1, #20, #0d
db #00, #af, #d0, #a5, #f0, #ac, #f0, #b0
db #f0, #ff, #c0, #00, #d1, #00, #f1, #50
db #d1, #45, #e1, #9b, #c1, #a1, #c1, #9f
db #d1, #eb, #c1, #22, #03, #00, #a5, #e0
db #f6, #d0, #45, #f1, #80, #0e, #00, #aa
db #e0, #ad, #e0, #a9, #f0, #02, #c1, #ff
db #d0, #4d, #c1, #49, #d1, #53, #d1, #9a
db #d1, #99, #e1, #9a, #e1, #9e, #e1, #95
db #f1, #9e, #f1, #82, #07, #00, #af, #f0
db #fa, #e0, #4a, #d1, #4a, #e1, #4b, #f1
db #97, #e1, #9b, #e1, #a0, #01, #00, #fa
db #d0, #88, #04, #00, #ff, #e0, #ff, #f0
db #4f, #c1, #4f, #d1, #aa, #06, #00, #f6
db #f0, #45, #c1, #46, #c1, #46, #d1, #47
db #d1, #46, #e1
delta04:
db #0e, #00, #24, #00, #5f, #d0, #5e, #e0
db #5a, #f0, #5d, #f0, #a5, #c0, #a5, #d0
db #a5, #e0, #aa, #e0, #b0, #e0, #a5, #f0
db #a6, #f0, #ac, #f0, #f6, #c0, #02, #c1
db #f6, #d0, #00, #f1, #4b, #d1, #50, #d1
db #53, #d1, #4b, #e1, #45, #f1, #95, #c1
db #9b, #c1, #a1, #c1, #9b, #d1, #94, #e1
db #95, #e1, #9a, #e1, #94, #f1, #95, #f1
db #9b, #f1, #ec, #c1, #ec, #d1, #ed, #e1
db #ee, #e1, #ee, #f1, #08, #18, #00, #60
db #d0, #56, #e0, #61, #e0, #5f, #f0, #61
db #f0, #ae, #d0, #ad, #e0, #a9, #f0, #00
db #d1, #fa, #e0, #ff, #f0, #4a, #c1, #4e
db #c1, #49, #d1, #4d, #e1, #9a, #d1, #9d
db #d1, #a1, #d1, #99, #e1, #a1, #e1, #9e
db #f1, #ef, #d1, #e9, #e1, #38, #c2, #82
db #07, #00, #5f, #e0, #aa, #d0, #fa, #c0
db #fb, #f0, #97, #d1, #9c, #e1, #9c, #f1
db #20, #0c, #00, #55, #f0, #b0, #d0, #a6
db #e0, #ab, #e0, #ab, #f0, #fb, #c0, #fc
db #c0, #fb, #d0, #4b, #f1, #9c, #d1, #ea
db #d1, #40, #c2, #2a, #03, #00, #56, #f0
db #f7, #e0, #47, #c1, #0a, #20, #00, #57
db #f0, #5e, #f0, #a8, #c0, #a9, #c0, #ae
db #c0, #a8, #d0, #f9, #c0, #fd, #c0, #fe
db #c0, #fc, #d0, #fd, #d0, #fe, #d0, #ff
db #d0, #01, #d1, #f9, #e0, #fd, #e0, #ff
db #e0, #4c, #c1, #4d, #c1, #4c, #d1, #4d
db #d1, #48, #e1, #98, #f1, #9d, #f1, #e8
db #c1, #ed, #c1, #ee, #c1, #e8, #d1, #ee
db #d1, #e8, #e1, #ef, #e1, #e8, #f1, #22
db #06, #00, #a6, #c0, #a6, #d0, #f7, #d0
db #43, #c1, #46, #f1, #95, #d1, #aa, #0d
db #00, #a7, #c0, #a7, #d0, #a7, #e0, #a7
db #f0, #f7, #c0, #f8, #c0, #f6, #e0, #f5
db #f0, #44, #c1, #44, #d1, #45, #d1, #45
db #e1, #47, #e1, #80, #0c, #00, #aa, #c0
db #af, #f0, #4f, #c1, #4e, #d1, #4f, #d1
db #4f, #e1, #98, #c1, #99, #c1, #9a, #c1
db #9f, #d1, #e9, #f1, #f0, #f1, #a0, #06
db #00, #ad, #c0, #af, #c0, #4a, #d1, #4a
db #e1, #4a, #f1, #ef, #c1, #28, #09, #00
db #a9, #d0, #ad, #d0, #aa, #f0, #fa, #f0
db #49, #c1, #49, #f1, #98, #d1, #9d, #e1
db #9a, #f1, #02, #12, #00, #ac, #d0, #ac
db #e0, #fb, #e0, #4b, #c1, #43, #d1, #4c
db #e1, #a0, #c1, #a0, #d1, #96, #e1, #97
db #e1, #9b, #e1, #a0, #e1, #a0, #f1, #a1
db #f1, #f0, #c1, #f1, #c1, #ed, #d1, #ef
db #f1, #a8, #02, #00, #a8, #e0, #a8, #f0
db #8a, #05, #00, #f8, #d0, #48, #c1, #48
db #d1, #47, #f1, #96, #c1
delta05:
db #0c, #02, #0a, #00, #60, #d0, #5f, #e0
db #f5, #e0, #00, #f1, #42, #c1, #4b, #d1
db #4b, #e1, #46, #f1, #f0, #d1, #f1, #e1
db #00, #3c, #00, #56, #e0, #61, #e0, #55
db #f0, #56, #f0, #57, #f0, #61, #f0, #a6
db #c0, #a7, #c0, #a6, #d0, #a7, #d0, #af
db #d0, #b0, #d0, #a6, #e0, #a7, #e0, #ab
db #e0, #ac, #e0, #ad, #e0, #a7, #f0, #f7
db #c0, #fb, #c0, #fc, #c0, #fc, #d0, #fb
db #e0, #fc, #e0, #fc, #f0, #4c, #c1, #4d
db #c1, #4c, #d1, #4d, #d1, #4c, #e1, #4d
db #e1, #4f, #e1, #4b, #f1, #96, #c1, #97
db #c1, #99, #c1, #a0, #c1, #95, #d1, #96
db #d1, #97, #d1, #9c, #d1, #a0, #d1, #a1
db #d1, #96, #e1, #97, #e1, #9b, #e1, #a0
db #e1, #a1, #e1, #a1, #f1, #eb, #c1, #ed
db #c1, #ee, #c1, #f1, #c1, #ed, #d1, #ee
db #d1, #ef, #e1, #e9, #f1, #ef, #f1, #f0
db #f1, #40, #c2, #08, #0c, #00, #58, #e0
db #59, #f0, #a9, #c0, #ae, #c0, #aa, #f0
db #fe, #c0, #02, #c1, #fe, #e0, #f3, #f0
db #49, #f1, #98, #c1, #9f, #d1, #80, #0e
db #00, #60, #e0, #ae, #e0, #fd, #c0, #fb
db #f0, #fe, #f0, #4e, #e1, #4a, #f1, #4e
db #f1, #9f, #c1, #99, #d1, #9d, #d1, #a0
db #f1, #ea, #d1, #f2, #f1, #0a, #24, #00
db #58, #f0, #5f, #f0, #a9, #d0, #a9, #e0
db #a9, #f0, #af, #f0, #f8, #c0, #fa, #c0
db #ff, #c0, #00, #c1, #f7, #d0, #f8, #d0
db #f9, #d0, #fa, #d0, #f7, #e0, #f8, #e0
db #f9, #f0, #fa, #f0, #ff, #f0, #48, #c1
db #49, #c1, #4a, #c1, #4f, #c1, #49, #d1
db #4a, #d1, #47, #e1, #47, #f1, #98, #d1
db #98, #e1, #99, #e1, #9a, #e1, #9e, #e1
db #9f, #e1, #9a, #f1, #9f, #f1, #ef, #c1
db #20, #09, #00, #5e, #f0, #ad, #c0, #ab
db #d0, #4b, #c1, #42, #d1, #9c, #e1, #9b
db #f1, #9c, #f1, #ef, #d1, #8a, #05, #00
db #a8, #c0, #a8, #d0, #a8, #e0, #a8, #f0
db #48, #e1, #a0, #04, #00, #aa, #d0, #b0
db #f0, #fb, #d0, #fd, #e0, #28, #0d, #00
db #ae, #d0, #aa, #e0, #ae, #f0, #fe, #d0
db #ff, #d0, #f9, #e0, #fd, #f0, #9e, #c1
db #9a, #d1, #9e, #d1, #99, #f1, #9d, #f1
db #ea, #c1, #82, #05, #00, #01, #c1, #00
db #d1, #01, #d1, #ff, #e0, #00, #e1, #2a
db #02, #00, #f4, #f0, #47, #d1, #aa, #03
db #00, #43, #c1, #47, #c1, #43, #d1
delta06:
db #0f, #0a, #18, #00, #59, #d0, #a8, #d0
db #aa, #d0, #a7, #e0, #aa, #e0, #fa, #e0
db #fc, #e0, #f3, #f0, #47, #c1, #4b, #c1
db #46, #d1, #47, #d1, #48, #d1, #4b, #d1
db #46, #e1, #48, #e1, #49, #e1, #49, #f1
db #96, #c1, #97, #c1, #98, #c1, #96, #d1
db #ea, #c1, #ea, #d1, #00, #2b, #00, #60
db #d0, #58, #e0, #60, #e0, #58, #f0, #a8
db #c0, #ad, #c0, #ad, #d0, #ae, #e0, #b0
db #f0, #fd, #c0, #fe, #c0, #01, #c1, #fd
db #d0, #f5, #e0, #fe, #e0, #ff, #e0, #00
db #e1, #fd, #f0, #fe, #f0, #ff, #f0, #4e
db #c1, #4f, #c1, #42, #d1, #4e, #d1, #4f
db #d1, #4e, #e1, #9e, #c1, #9f, #c1, #9d
db #d1, #9e, #d1, #9c, #e1, #9d, #e1, #9c
db #f1, #9d, #f1, #9e, #f1, #9f, #f1, #ef
db #c1, #f0, #c1, #ef, #d1, #f0, #d1, #f1
db #e1, #f2, #f1, #38, #c2, #88, #01, #00
db #59, #e0, #08, #0e, #00, #5a, #e0, #5a
db #f0, #5e, #f0, #5f, #f0, #b2, #f0, #03
db #c1, #f9, #e0, #4d, #c1, #99, #c1, #99
db #e1, #9e, #e1, #a2, #f1, #ea, #e1, #e8
db #f1, #20, #10, #00, #5f, #e0, #af, #c0
db #ac, #d0, #fc, #c0, #00, #c1, #fb, #d0
db #00, #d1, #01, #d1, #fc, #f0, #41, #c1
db #4c, #d1, #97, #d1, #9b, #d1, #9b, #e1
db #a0, #f1, #eb, #c1, #8a, #08, #00, #59
db #f0, #a9, #c0, #a9, #d0, #a9, #e0, #a9
db #f0, #4a, #d1, #98, #e1, #98, #f1, #28
db #0a, #00, #aa, #c0, #ab, #d0, #aa, #f0
db #f8, #f0, #4c, #c1, #48, #f1, #99, #d1
db #9a, #f1, #e9, #d1, #e9, #f1, #02, #0d
db #00, #a6, #d0, #a7, #d0, #ab, #e0, #a6
db #f0, #b1, #f0, #fb, #c0, #fb, #e0, #f2
db #f0, #50, #c1, #9b, #c1, #9f, #e1, #a0
db #e1, #a1, #f1, #80, #0c, #00, #ae, #d0
db #ae, #f0, #b4, #f0, #fe, #d0, #f3, #e0
db #fd, #e0, #52, #c1, #43, #e1, #4b, #e1
db #ee, #d1, #ea, #f1, #39, #c2, #22, #01
db #00, #a6, #e0, #2a, #04, #00, #a8, #e0
db #a8, #f0, #49, #c1, #e8, #c1, #aa, #04
db #00, #a7, #f0, #f7, #c0, #4a, #e1, #4a
db #f1, #a0, #03, #00, #af, #f0, #ff, #c0
db #9a, #c1, #a8, #01, #00, #f9, #c0, #82
db #02, #00, #fb, #f0, #9a, #d1
delta07:
db #10, #00, #37, #00, #59, #d0, #59, #e0
db #5f, #e0, #59, #f0, #5f, #f0, #ae, #c0
db #a6, #d0, #a7, #d0, #a8, #d0, #ab, #d0
db #ab, #e0, #ab, #f0, #ae, #f0, #af, #f0
db #b1, #f0, #b2, #f0, #fb, #c0, #fc, #c0
db #00, #c1, #02, #c1, #03, #c1, #fb, #d0
db #00, #d1, #01, #d1, #f3, #e0, #fb, #e0
db #fd, #e0, #f2, #f0, #f3, #f0, #f4, #f0
db #00, #f1, #41, #c1, #42, #c1, #43, #c1
db #50, #c1, #43, #d1, #43, #e1, #4e, #f1
db #9b, #c1, #9b, #d1, #9f, #d1, #9e, #e1
db #a0, #e1, #98, #f1, #9b, #f1, #a0, #f1
db #a1, #f1, #a2, #f1, #e8, #c1, #eb, #c1
db #e8, #d1, #ee, #d1, #e8, #e1, #e8, #f1
db #39, #c2, #80, #0d, #00, #5b, #d0, #5c
db #f0, #5e, #f0, #ad, #c0, #b2, #e0, #4e
db #c1, #52, #d1, #49, #e1, #53, #e1, #4f
db #f1, #9e, #c1, #a2, #d1, #ed, #c1, #88
db #09, #00, #5a, #e0, #5a, #f0, #aa, #c0
db #aa, #d0, #04, #c1, #4d, #c1, #a3, #c1
db #ea, #c1, #ea, #d1, #02, #0b, #00, #5b
db #e0, #ac, #c0, #b0, #e0, #b0, #f0, #02
db #e1, #fc, #f0, #4a, #c1, #51, #f1, #ec
db #d1, #e9, #e1, #e9, #f1, #22, #0c, #00
db #a9, #c0, #a9, #d0, #a5, #f0, #b4, #f0
db #f5, #c0, #f6, #e0, #f5, #f0, #44, #d1
db #45, #e1, #51, #e1, #95, #c1, #95, #d1
db #08, #18, #00, #af, #c0, #ad, #d0, #af
db #d0, #a8, #e0, #b5, #e0, #fa, #e0, #03
db #e1, #fd, #f0, #fe, #f0, #02, #f1, #49
db #c1, #53, #c1, #49, #d1, #4d, #e1, #49
db #f1, #53, #f1, #9a, #c1, #9a, #e1, #a4
db #e1, #9a, #f1, #9d, #f1, #ea, #f1, #3a
db #c2, #3a, #d2, #aa, #0b, #00, #a5, #e0
db #a6, #f0, #f6, #c0, #f6, #d0, #4d, #d1
db #4e, #d1, #52, #f1, #96, #c1, #96, #d1
db #a3, #d1, #95, #e1, #0a, #0c, #00, #a6
db #e0, #a7, #f0, #f9, #c0, #46, #c1, #4f
db #c1, #52, #c1, #51, #d1, #4b, #e1, #97
db #d1, #99, #d1, #9a, #d1, #e9, #d1, #28
db #0a, #00, #a7, #e0, #a8, #f0, #fa, #c0
db #f9, #d0, #fe, #e0, #f9, #f0, #ff, #f0
db #48, #e1, #4f, #e1, #98, #c1, #a8, #02
db #00, #aa, #e0, #aa, #f0, #20, #0a, #00
db #ad, #e0, #ff, #c0, #ff, #d0, #fc, #e0
db #50, #d1, #50, #f1, #96, #e1, #97, #e1
db #9f, #e1, #9f, #f1, #8a, #0a, #00, #f7
db #d0, #f6, #f0, #45, #d1, #4f, #d1, #52
db #e1, #46, #f1, #97, #c1, #99, #e1, #99
db #f1, #e9, #c1, #a2, #01, #00, #03, #d1
db #82, #06, #00, #fa, #f0, #4a, #d1, #4a
db #e1, #4a, #f1, #98, #d1, #98, #e1, #2a
db #05, #00, #fb, #f0, #4c, #c1, #4c, #d1
db #4c, #e1, #a2, #c1, #a0, #02, #00, #99
db #c1, #a4, #c1
delta08:
db #0d, #08, #16, #00, #5b, #d0, #5b, #e0
db #a8, #f0, #f8, #c0, #fd, #e0, #f9, #f0
db #51, #c1, #48, #d1, #4f, #d1, #48, #e1
db #49, #e1, #99, #c1, #9c, #c1, #9c, #d1
db #98, #e1, #99, #e1, #9c, #e1, #9c, #f1
db #ec, #c1, #ec, #d1, #ee, #d1, #3c, #c2
db #02, #09, #00, #5a, #e0, #a9, #e0, #f4
db #c0, #fa, #d0, #f5, #e0, #4c, #e1, #9a
db #c1, #ea, #c1, #eb, #f1, #20, #07, #00
db #5c, #e0, #af, #e0, #ac, #f0, #00, #d1
db #4f, #e1, #97, #f1, #9e, #f1, #22, #06
db #00, #5a, #f0, #a3, #e0, #f5, #d0, #f6
db #f0, #46, #f1, #94, #f1, #0a, #21, #00
db #5b, #f0, #aa, #c0, #ab, #c0, #ab, #d0
db #a4, #e0, #a5, #e0, #ab, #e0, #a6, #f0
db #a9, #f0, #ab, #f0, #fb, #c0, #fb, #d0
db #f8, #f0, #fd, #f0, #fe, #f0, #ff, #f0
db #4d, #c1, #4e, #c1, #50, #c1, #4e, #d1
db #4d, #e1, #48, #f1, #98, #c1, #9b, #c1
db #98, #d1, #9b, #d1, #9a, #e1, #9b, #e1
db #9a, #f1, #9b, #f1, #eb, #c1, #eb, #d1
db #eb, #e1, #00, #4a, #00, #5c, #f0, #5e
db #f0, #a9, #c0, #ac, #c0, #ad, #c0, #af
db #c0, #a9, #d0, #ac, #d0, #ad, #d0, #ae
db #d0, #af, #d0, #a6, #e0, #a7, #e0, #a8
db #e0, #ad, #e0, #b0, #e0, #b2, #e0, #b5
db #e0, #b0, #f0, #b4, #f0, #04, #c1, #fe
db #d0, #ff, #d0, #03, #d1, #fe, #e0, #02
db #e1, #03, #e1, #f5, #f0, #fb, #f0, #02
db #f1, #44, #c1, #45, #c1, #4b, #c1, #52
db #c1, #53, #c1, #44, #d1, #45, #d1, #4b
db #d1, #50, #d1, #51, #d1, #52, #d1, #45
db #e1, #46, #e1, #4b, #e1, #51, #e1, #52
db #e1, #53, #e1, #4f, #f1, #50, #f1, #51
db #f1, #52, #f1, #53, #f1, #95, #c1, #9e
db #c1, #a2, #c1, #a3, #c1, #a4, #c1, #a2
db #d1, #a3, #d1, #9f, #e1, #a4, #e1, #99
db #f1, #9d, #f1, #9f, #f1, #e9, #c1, #ed
db #c1, #e9, #d1, #ea, #d1, #e9, #e1, #ea
db #e1, #e9, #f1, #ea, #f1, #3a, #c2, #3a
db #d2, #8a, #05, #00, #aa, #d0, #aa, #e0
db #f8, #d0, #47, #f1, #97, #e1, #80, #04
db #00, #ae, #e0, #fe, #c0, #ff, #c0, #9d
db #c1, #aa, #0f, #00, #a4, #f0, #a5, #f0
db #aa, #f0, #f5, #c0, #f9, #c0, #fa, #c0
db #f7, #d0, #f6, #e0, #f7, #e0, #fc, #e0
db #fc, #f0, #97, #c1, #97, #d1, #96, #e1
db #95, #f1, #82, #04, #00, #f9, #d0, #4c
db #d1, #47, #e1, #99, #d1, #28, #09, #00
db #fa, #e0, #fa, #f0, #00, #f1, #4a, #c1
db #4d, #d1, #4a, #e1, #e5, #c1, #ec, #e1
db #ec, #f1, #a0, #03, #00, #4a, #d1, #4a
db #f1, #96, #f1, #88, #01, #00, #e4, #c1
delta09:
db #0d, #02, #0a, #00, #5b, #d0, #fc, #c0
db #00, #e1, #46, #e1, #9b, #d1, #9c, #d1
db #9b, #f1, #eb, #c1, #eb, #d1, #ec, #f1
db #08, #10, #00, #5c, #d0, #5c, #e0, #5c
db #f0, #a9, #f0, #fe, #e0, #03, #e1, #04
db #e1, #48, #c1, #4e, #d1, #9d, #c1, #9a
db #e1, #9e, #e1, #99, #f1, #9e, #f1, #ee
db #c1, #3f, #c2, #00, #21, #00, #5a, #e0
db #5a, #f0, #a4, #e0, #a5, #e0, #af, #e0
db #fe, #c0, #ff, #c0, #fb, #d0, #fc, #e0
db #fd, #e0, #fc, #f0, #fd, #f0, #4c, #c1
db #4d, #c1, #46, #d1, #4c, #d1, #4d, #d1
db #4c, #e1, #4d, #e1, #4f, #e1, #46, #f1
db #9b, #c1, #95, #d1, #95, #e1, #94, #f1
db #9a, #f1, #e4, #c1, #ea, #c1, #ec, #d1
db #eb, #e1, #ec, #e1, #eb, #f1, #3c, #c2
db #0a, #1d, #00, #5b, #e0, #ac, #c0, #aa
db #d0, #ac, #d0, #aa, #e0, #ac, #e0, #a5
db #f0, #a8, #f0, #aa, #f0, #f8, #c0, #fa
db #c0, #f8, #d0, #ff, #e0, #02, #e1, #00
db #f1, #01, #f1, #48, #e1, #97, #d1, #99
db #d1, #9d, #d1, #97, #e1, #98, #e1, #9c
db #e1, #9d, #e1, #97, #f1, #9d, #f1, #e5
db #d1, #ed, #d1, #ee, #f1, #20, #0b, #00
db #b0, #d0, #00, #c1, #fb, #f0, #4b, #c1
db #4a, #d1, #4b, #d1, #9c, #c1, #9f, #c1
db #9f, #d1, #e7, #c1, #ed, #e1, #80, #0b
db #00, #a3, #e0, #ae, #f0, #fe, #d0, #f9
db #e0, #f9, #f0, #fe, #f0, #4a, #c1, #49
db #d1, #4e, #e1, #9a, #c1, #e9, #c1, #aa
db #06, #00, #a3, #f0, #f4, #c0, #f5, #d0
db #f5, #e0, #f6, #f0, #47, #f1, #82, #05
db #00, #ac, #f0, #fb, #c0, #50, #c1, #9c
db #f1, #ec, #c1, #2a, #06, #00, #f3, #c0
db #f4, #d0, #f7, #f0, #97, #c1, #96, #f1
db #e5, #c1, #8a, #04, #00, #f7, #c0, #48
db #d1, #96, #e1, #e6, #c1, #28, #0a, #00
db #f9, #c0, #f9, #d0, #fa, #d0, #02, #f1
db #51, #c1, #4f, #d1, #99, #c1, #ed, #c1
db #ee, #d1, #ee, #e1, #a0, #03, #00, #01
db #e1, #fa, #f0, #4a, #e1, #22, #05, #00
db #f5, #f0, #46, #c1, #96, #c1, #96, #d1
db #95, #f1
delta10:
db #0f, #0a, #1c, #00, #5c, #c0, #a8, #d0
db #f7, #c0, #f9, #c0, #f7, #d0, #f9, #d0
db #f3, #e0, #fa, #e0, #f7, #f0, #f9, #f0
db #49, #c1, #48, #d1, #49, #d1, #4b, #d1
db #47, #e1, #49, #e1, #4a, #e1, #4b, #e1
db #46, #f1, #49, #f1, #4b, #f1, #96, #c1
db #9a, #e1, #98, #f1, #9f, #f1, #e7, #c1
db #e6, #e1, #e7, #e1, #28, #09, #00, #5c
db #d0, #a2, #f0, #a8, #f0, #f9, #e0, #48
db #c1, #98, #d1, #99, #f1, #ee, #c1, #ec
db #d1, #80, #17, #00, #5d, #d0, #5d, #f0
db #ad, #d0, #ad, #e0, #af, #e0, #a9, #f0
db #ad, #f0, #fe, #c0, #03, #c1, #03, #d1
db #fe, #e0, #4d, #c1, #4e, #c1, #4f, #d1
db #52, #e1, #4e, #f1, #9d, #d1, #9e, #e1
db #9f, #e1, #9a, #f1, #e9, #d1, #e6, #f1
db #f1, #f1, #02, #11, #00, #5b, #e0, #5c
db #f0, #aa, #c0, #ac, #c0, #ac, #d0, #ab
db #f0, #fb, #c0, #01, #d1, #46, #d1, #45
db #e1, #95, #c1, #9b, #c1, #9c, #e1, #96
db #f1, #a0, #f1, #ee, #d1, #ef, #e1, #a0
db #02, #00, #5c, #e0, #ff, #d0, #08, #0e
db #00, #a8, #c0, #ad, #c0, #a3, #f0, #fd
db #c0, #02, #d1, #04, #d1, #fd, #f0, #4d
db #d1, #99, #d1, #9d, #f1, #e8, #c1, #ed
db #c1, #e8, #d1, #ef, #d1, #8a, #06, #00
db #ab, #c0, #a8, #e0, #aa, #e0, #4a, #d1
db #48, #f1, #97, #f1, #82, #04, #00, #ab
db #d0, #ab, #e0, #4a, #f1, #e7, #d1, #00
db #2c, #00, #b0, #d0, #a3, #e0, #a4, #f0
db #a5, #f0, #a6, #f0, #a7, #f0, #ae, #f0
db #00, #c1, #fe, #d0, #01, #e1, #02, #e1
db #03, #e1, #04, #e1, #fb, #f0, #fe, #f0
db #00, #f1, #01, #f1, #02, #f1, #4f, #c1
db #50, #c1, #51, #c1, #4e, #d1, #4e, #e1
db #9c, #c1, #9d, #c1, #9f, #c1, #96, #d1
db #9b, #d1, #9c, #d1, #9f, #d1, #96, #e1
db #9b, #e1, #9d, #e1, #95, #f1, #9b, #f1
db #e5, #c1, #e9, #c1, #e5, #d1, #ed, #d1
db #ed, #e1, #ee, #e1, #ec, #f1, #ee, #f1
db #3f, #c2, #88, #02, #00, #a9, #e0, #4b
db #c1, #20, #11, #00, #ac, #e0, #ac, #f0
db #fc, #c0, #01, #c1, #fb, #d0, #ff, #e0
db #00, #e1, #ff, #f0, #4c, #c1, #4c, #d1
db #a0, #c1, #a0, #d1, #9c, #f1, #a1, #f1
db #ec, #c1, #f0, #c1, #f0, #d1, #2a, #05
db #00, #f2, #c0, #f6, #c0, #f7, #e0, #45
db #f1, #47, #f1, #aa, #0b, #00, #f3, #c0
db #f3, #d0, #f4, #d0, #f4, #e0, #f5, #f0
db #fa, #f0, #46, #c1, #4a, #c1, #46, #e1
db #97, #d1, #97, #e1, #22, #03, #00, #45
db #c1, #e6, #c1, #e6, #d1, #a8, #01, #00
db #98, #c1
delta11:
db #0f, #02, #0a, #00, #5c, #c0, #5d, #e0
db #aa, #d0, #ae, #d0, #af, #d0, #a6, #f0
db #fb, #e0, #50, #e1, #93, #d1, #a2, #f1
db #00, #48, #00, #5b, #d0, #5d, #d0, #5d
db #f0, #a8, #c0, #ac, #c0, #ad, #c0, #a8
db #d0, #ac, #d0, #ad, #d0, #a9, #e0, #ac
db #e0, #ad, #e0, #a2, #f0, #a3, #f0, #ac
db #f0, #ad, #f0, #f2, #c0, #f3, #c0, #f4
db #c0, #f5, #c0, #f6, #c0, #fd, #c0, #fe
db #c0, #01, #c1, #03, #c1, #f3, #d0, #fb
db #d0, #ff, #d0, #00, #d1, #01, #d1, #02
db #d1, #03, #d1, #04, #d1, #f3, #e0, #fe
db #e0, #ff, #e0, #00, #e1, #4f, #d1, #4b
db #f1, #9b, #c1, #a0, #c1, #9d, #d1, #a0
db #d1, #97, #e1, #9a, #e1, #9c, #e1, #9f
db #e1, #96, #f1, #97, #f1, #9d, #f1, #9e
db #f1, #a0, #f1, #a1, #f1, #e6, #c1, #e7
db #c1, #eb, #c1, #ec, #c1, #ed, #c1, #ee
db #c1, #f0, #c1, #e6, #d1, #e7, #d1, #e9
db #d1, #ec, #d1, #ee, #d1, #ef, #d1, #f0
db #d1, #e6, #e1, #e7, #e1, #ef, #e1, #e6
db #f1, #f1, #f1, #08, #14, #00, #5c, #d0
db #5c, #e0, #5c, #f0, #a6, #c0, #ae, #c0
db #a8, #e0, #fb, #c0, #f9, #d0, #f9, #e0
db #f9, #f0, #fa, #f0, #49, #c1, #49, #d1
db #52, #d1, #49, #e1, #4d, #e1, #4a, #f1
db #52, #f1, #9a, #c1, #f3, #c1, #2a, #08
db #00, #5b, #f0, #ab, #c0, #4c, #d1, #51
db #f1, #94, #c1, #e8, #c1, #e8, #d1, #e8
db #e1, #80, #12, #00, #5e, #f0, #b0, #e0
db #af, #f0, #f9, #c0, #ff, #c0, #02, #c1
db #fa, #d0, #fe, #d0, #fa, #e0, #02, #e1
db #02, #f1, #4e, #e1, #53, #e1, #9a, #d1
db #9f, #d1, #a2, #e1, #e9, #e1, #ea, #e1
db #20, #09, #00, #af, #c0, #ae, #e0, #01
db #f1, #51, #d1, #4b, #e1, #4c, #e1, #4c
db #f1, #9b, #d1, #f1, #d1, #22, #04, #00
db #a6, #d0, #a6, #e0, #45, #e1, #a1, #c1
db #a8, #02, #00, #a7, #d0, #99, #f1, #0a
db #11, #00, #ab, #d0, #aa, #e0, #ab, #e0
db #af, #e0, #f6, #d0, #f6, #e0, #f7, #e0
db #f6, #f0, #fc, #f0, #ff, #f0, #48, #c1
db #4b, #c1, #4c, #c1, #4a, #d1, #99, #c1
db #94, #d1, #95, #d1, #aa, #0c, #00, #a7
db #e0, #a7, #f0, #4f, #c1, #46, #d1, #51
db #e1, #52, #e1, #45, #f1, #46, #f1, #47
db #f1, #95, #c1, #98, #d1, #98, #e1, #8a
db #08, #00, #a8, #f0, #f5, #d0, #4d, #c1
db #4d, #d1, #98, #c1, #99, #d1, #99, #e1
db #98, #f1, #28, #0a, #00, #a9, #f0, #ab
db #f0, #f8, #c0, #f8, #d0, #f8, #e0, #fc
db #e0, #f8, #f0, #48, #d1, #48, #e1, #97
db #d1, #82, #08, #00, #fa, #c0, #fb, #f0
db #4a, #c1, #4a, #e1, #48, #f1, #97, #c1
db #96, #d1, #9f, #f1, #88, #04, #00, #4e
db #c1, #50, #d1, #a2, #d1, #e9, #c1, #a0
db #01, #00, #50, #c1
delta12:
db #0f, #00, #32, #00, #5c, #c0, #5b, #e0
db #5d, #e0, #5e, #f0, #a6, #c0, #aa, #c0
db #af, #c0, #ae, #d0, #af, #d0, #b0, #e0
db #02, #c1, #f4, #d0, #f5, #d0, #fe, #d0
db #f4, #e0, #f5, #e0, #fb, #e0, #02, #e1
db #fb, #f0, #01, #f1, #02, #f1, #45, #c1
db #4b, #c1, #51, #d1, #52, #d1, #45, #e1
db #50, #e1, #51, #e1, #52, #e1, #53, #e1
db #4c, #f1, #51, #f1, #52, #f1, #a1, #c1
db #93, #d1, #a2, #d1, #9e, #e1, #a2, #e1
db #98, #f1, #99, #f1, #9c, #f1, #9f, #f1
db #a2, #f1, #e8, #c1, #e9, #c1, #f3, #c1
db #e8, #d1, #f1, #d1, #e8, #e1, #e9, #e1
db #80, #0f, #00, #5d, #c0, #ae, #c0, #ae
db #e0, #af, #e0, #f9, #e0, #f9, #f0, #49
db #e1, #49, #f1, #4a, #f1, #4f, #f1, #9d
db #c1, #9e, #c1, #98, #d1, #9e, #d1, #9e
db #f1, #02, #10, #00, #5c, #d0, #5b, #f0
db #f6, #e0, #fc, #e0, #f5, #f0, #fc, #f0
db #46, #c1, #4c, #c1, #4c, #d1, #4b, #f1
db #94, #c1, #96, #e1, #99, #e1, #ea, #d1
db #ea, #e1, #ea, #f1, #0a, #21, #00, #5c
db #e0, #5c, #f0, #ab, #c0, #ac, #c0, #ac
db #d0, #a7, #e0, #ac, #e0, #ab, #f0, #ac
db #f0, #fb, #c0, #fc, #c0, #fd, #e0, #fd
db #f0, #fe, #f0, #4d, #c1, #4e, #c1, #4f
db #c1, #50, #c1, #4d, #d1, #4e, #d1, #4f
db #d1, #50, #d1, #4d, #e1, #9b, #c1, #99
db #d1, #9a, #d1, #9b, #d1, #95, #e1, #9a
db #e1, #9b, #e1, #9a, #f1, #9b, #f1, #ea
db #c1, #8a, #03, #00, #a5, #d0, #f8, #c0
db #96, #d1, #20, #0c, #00, #a6, #d0, #af
db #f0, #01, #c1, #ff, #e0, #00, #e1, #4b
db #d1, #4f, #e1, #97, #e1, #9f, #e1, #a1
db #f1, #f1, #c1, #ec, #e1, #08, #0d, #00
db #a7, #d0, #a9, #e0, #a9, #f0, #f8, #d0
db #f8, #f0, #ff, #f0, #48, #c1, #51, #c1
db #48, #d1, #48, #e1, #4e, #e1, #98, #e1
db #eb, #d1, #2a, #01, #00, #a5, #e0, #aa
db #0c, #00, #a6, #e0, #a6, #f0, #f6, #c0
db #f7, #c0, #f7, #d0, #47, #e1, #96, #c1
db #97, #c1, #99, #c1, #9a, #c1, #94, #d1
db #95, #d1, #82, #04, #00, #aa, #e0, #fa
db #d0, #4c, #e1, #97, #d1, #22, #05, #00
db #a5, #f0, #f6, #d0, #46, #d1, #45, #f1
db #93, #e1, #88, #02, #00, #a8, #f0, #48
db #f1, #28, #07, #00, #fa, #e0, #fa, #f0
db #4a, #c1, #eb, #c1, #eb, #e1, #eb, #f1
db #3b, #c2, #a0, #02, #00, #4a, #d1, #4a
db #e1, #a8, #01, #00, #94, #e1
delta13:
db #0d, #02, #11, #00, #5d, #c0, #5c, #f0
db #aa, #c0, #ab, #d0, #aa, #f0, #fc, #c0
db #f6, #f0, #00, #f1, #51, #d1, #4b, #e1
db #50, #e1, #9c, #d1, #9a, #e1, #9c, #e1
db #ea, #c1, #eb, #c1, #ec, #e1, #00, #2b
db #00, #5c, #d0, #5c, #e0, #5b, #f0, #ab
db #c0, #ae, #c0, #a5, #d0, #a6, #d0, #a7
db #d0, #aa, #e0, #ae, #e0, #af, #e0, #af
db #f0, #ff, #c0, #01, #c1, #f5, #f0, #fc
db #f0, #fd, #f0, #4c, #c1, #4d, #c1, #4e
db #c1, #46, #d1, #4c, #d1, #4d, #d1, #4c
db #e1, #4d, #e1, #45, #f1, #4b, #f1, #4e
db #f1, #94, #c1, #9e, #c1, #94, #d1, #9e
db #d1, #9f, #d1, #93, #e1, #9e, #f1, #a1
db #f1, #f1, #c1, #eb, #d1, #ea, #e1, #eb
db #e1, #ea, #f1, #eb, #f1, #3b, #c2, #0a
db #25, #00, #5d, #d0, #5d, #e0, #5d, #f0
db #ad, #c0, #a4, #d0, #ad, #d0, #a6, #e0
db #ad, #e0, #f8, #c0, #fd, #c0, #f8, #d0
db #f8, #e0, #f9, #e0, #f8, #f0, #ff, #f0
db #51, #c1, #48, #d1, #47, #e1, #48, #e1
db #4f, #e1, #47, #f1, #48, #f1, #4a, #f1
db #97, #c1, #98, #c1, #97, #d1, #98, #d1
db #96, #e1, #97, #e1, #96, #f1, #9c, #f1
db #9d, #f1, #ec, #c1, #ed, #c1, #ed, #d1
db #ed, #e1, #3d, #c2, #80, #0f, #00, #5e
db #d0, #af, #c0, #a9, #e0, #fa, #d0, #fd
db #d0, #fd, #e0, #ff, #e0, #fe, #f0, #49
db #d1, #4a, #d1, #4e, #d1, #4e, #e1, #9a
db #c1, #9f, #c1, #99, #e1, #22, #06, #00
db #a3, #d0, #a4, #f0, #f5, #d0, #46, #e1
db #95, #c1, #94, #e1, #aa, #07, #00, #a4
db #e0, #a5, #e0, #a5, #f0, #f6, #d0, #f6
db #e0, #95, #e1, #94, #f1, #8a, #04, #00
db #a7, #f0, #f7, #c0, #f7, #e0, #95, #f1
db #28, #04, #00, #a8, #f0, #4a, #e1, #9d
db #d1, #ed, #f1, #08, #0e, #00, #ad, #f0
db #f9, #c0, #fe, #e0, #f9, #f0, #53, #c1
db #52, #d1, #49, #e1, #49, #f1, #99, #c1
db #9d, #c1, #99, #d1, #9d, #e1, #98, #f1
db #9a, #f1, #2a, #01, #00, #f5, #c0, #82
db #05, #00, #fb, #c0, #fa, #e0, #50, #c1
db #9b, #d1, #ec, #d1, #20, #08, #00, #fb
db #d0, #fc, #e0, #46, #c1, #4b, #c1, #9b
db #c1, #9c, #c1, #97, #f1, #3d, #d2, #a0
db #04, #00, #fa, #f0, #4a, #c1, #52, #c1
db #9f, #e1
delta14:
db #0f, #00, #2b, #00, #5d, #c0, #5d, #d0
db #5e, #d0, #5c, #f0, #a3, #d0, #a4, #d0
db #fb, #d0, #fd, #d0, #fc, #e0, #fd, #e0
db #ff, #e0, #00, #e1, #fe, #f0, #ff, #f0
db #4f, #c1, #50, #c1, #51, #c1, #52, #c1
db #53, #c1, #4f, #d1, #50, #d1, #51, #d1
db #52, #d1, #50, #e1, #95, #c1, #9c, #c1
db #9d, #c1, #95, #d1, #9b, #d1, #9c, #d1
db #9d, #d1, #94, #e1, #9f, #e1, #94, #f1
db #9a, #f1, #9d, #f1, #eb, #c1, #ed, #c1
db #ec, #d1, #ec, #e1, #ed, #f1, #3d, #c2
db #3d, #d2, #02, #09, #00, #59, #e0, #5d
db #e0, #59, #f0, #ac, #c0, #f5, #e0, #9b
db #e1, #9b, #f1, #e4, #d1, #ed, #e1, #80
db #15, #00, #5e, #e0, #5f, #e0, #5e, #f0
db #a8, #e0, #ad, #e0, #ad, #f0, #af, #f0
db #fd, #c0, #fe, #e0, #4d, #d1, #53, #d1
db #49, #f1, #9a, #d1, #9e, #d1, #9a, #e1
db #9d, #e1, #9e, #e1, #9e, #f1, #e5, #d1
db #ee, #e1, #ef, #f1, #08, #11, #00, #5d
db #f0, #5f, #f0, #aa, #c0, #ad, #c0, #aa
db #d0, #ad, #d0, #ae, #d0, #ae, #e0, #ae
db #f0, #f9, #e0, #fb, #e0, #4e, #c1, #48
db #d1, #4d, #e1, #98, #c1, #ed, #d1, #3f
db #c2, #0a, #17, #00, #a9, #c0, #af, #c0
db #a9, #d0, #a9, #e0, #a7, #f0, #f7, #c0
db #f7, #d0, #f9, #d0, #f7, #e0, #fa, #f0
db #46, #d1, #49, #d1, #46, #e1, #49, #e1
db #4a, #e1, #4b, #e1, #4b, #f1, #9b, #c1
db #95, #f1, #97, #f1, #e6, #c1, #ea, #c1
db #ea, #d1, #20, #0a, #00, #ab, #c0, #ac
db #f0, #fc, #c0, #00, #f1, #4d, #c1, #4c
db #e1, #9f, #c1, #9c, #e1, #e7, #c1, #ef
db #e1, #22, #03, #00, #a3, #e0, #46, #f1
db #95, #e1, #8a, #08, #00, #a5, #e0, #a6
db #f0, #f7, #f0, #4b, #c1, #48, #e1, #97
db #c1, #96, #e1, #e5, #c1, #28, #09, #00
db #aa, #e0, #aa, #f0, #fa, #d0, #49, #c1
db #48, #f1, #99, #d1, #99, #e1, #9c, #f1
db #ee, #f1, #aa, #08, #00, #a4, #f0, #f5
db #c0, #46, #c1, #4a, #d1, #4b, #d1, #47
db #e1, #47, #f1, #96, #d1, #a0, #03, #00
db #a9, #f0, #fa, #c0, #4f, #e1, #82, #03
db #00, #f4, #c0, #45, #d1, #9a, #c1, #a2
db #01, #00, #f5, #d0, #2a, #05, #00, #f6
db #f0, #45, #c1, #47, #c1, #4a, #c1, #96
db #c1, #a8, #01, #00, #fb, #f0
delta15:
db #0f, #08, #0e, #00, #58, #d0, #60, #d0
db #aa, #e0, #a9, #f0, #ad, #f0, #fa, #d0
db #49, #d1, #4e, #d1, #50, #f1, #9f, #c1
db #9d, #f1, #ed, #c1, #ea, #d1, #ef, #e1
db #0a, #1d, #00, #58, #e0, #5f, #e0, #5e
db #f0, #ad, #c0, #ae, #c0, #ad, #d0, #ad
db #e0, #a6, #f0, #ac, #f0, #f6, #c0, #01
db #c1, #fa, #e0, #fc, #f0, #48, #c1, #4c
db #c1, #48, #d1, #4b, #d1, #4c, #d1, #4d
db #d1, #47, #e1, #48, #e1, #4c, #e1, #4d
db #e1, #4e, #e1, #4c, #f1, #4d, #f1, #4e
db #f1, #4f, #f1, #ef, #f1, #00, #28, #00
db #59, #e0, #5d, #e0, #5e, #e0, #5d, #f0
db #aa, #c0, #ab, #c0, #ac, #c0, #a3, #e0
db #a4, #e0, #a5, #e0, #a6, #e0, #a7, #e0
db #ae, #e0, #a4, #f0, #ae, #f0, #af, #f0
db #f4, #c0, #fd, #c0, #f5, #e0, #fb, #e0
db #fe, #e0, #00, #f1, #4e, #c1, #53, #d1
db #96, #c1, #9a, #c1, #96, #d1, #9e, #d1
db #95, #e1, #9b, #e1, #9c, #e1, #9d, #e1
db #9e, #e1, #95, #f1, #e5, #c1, #e4, #d1
db #e5, #d1, #ed, #e1, #ee, #f1, #3f, #c2
db #8a, #0b, #00, #58, #f0, #a8, #c0, #a8
db #d0, #a8, #e0, #a9, #e0, #a5, #f0, #f6
db #d0, #48, #f1, #98, #c1, #97, #f1, #e6
db #d1, #88, #02, #00, #59, #f0, #98, #d1
db #80, #12, #00, #af, #c0, #f9, #c0, #f9
db #d0, #f9, #e0, #fd, #f0, #fe, #f0, #ff
db #f0, #49, #c1, #4a, #c1, #4a, #f1, #a2
db #c1, #99, #d1, #99, #e1, #98, #f1, #99
db #f1, #e8, #c1, #e8, #d1, #e9, #d1, #20
db #0b, #00, #ab, #d0, #b0, #d0, #aa, #f0
db #ab, #f0, #fb, #c0, #ff, #c0, #fb, #f0
db #9b, #c1, #9b, #f1, #9c, #f1, #e6, #e1
db #02, #14, #00, #ac, #d0, #ab, #e0, #b0
db #e0, #b1, #e0, #b0, #f0, #b1, #f0, #00
db #c1, #fc, #d0, #fc, #e0, #4b, #c1, #4f
db #e1, #46, #f1, #9c, #c1, #a1, #c1, #9c
db #d1, #a0, #d1, #a0, #e1, #a0, #f1, #ec
db #c1, #e7, #d1, #22, #04, #00, #f5, #c0
db #f5, #d0, #96, #e1, #96, #f1, #82, #07
db #00, #fa, #c0, #fc, #c0, #4a, #d1, #4a
db #e1, #4b, #f1, #ea, #c1, #ed, #d1, #28
db #0a, #00, #f8, #d0, #f8, #e0, #4d, #c1
db #49, #e1, #49, #f1, #9d, #c1, #9e, #c1
db #e7, #c1, #ee, #d1, #ee, #e1, #a0, #03
db #00, #ff, #d0, #fa, #f0, #9d, #d1, #aa
db #0b, #00, #f5, #f0, #f6, #f0, #f7, #f0
db #44, #c1, #45, #c1, #44, #d1, #45, #d1
db #46, #d1, #97, #c1, #97, #d1, #97, #e1
db #2a, #02, #00, #45, #e1, #47, #f1, #a2
db #01, #00, #e6, #c1
delta16:
db #0e, #00, #38, #00, #60, #d0, #5f, #e0
db #5e, #f0, #5f, #f0, #ad, #c0, #ae, #c0
db #ab, #d0, #ac, #d0, #ad, #d0, #ab, #e0
db #b0, #e0, #b1, #e0, #a5, #f0, #a6, #f0
db #a7, #f0, #ab, #f0, #b0, #f0, #b1, #f0
db #f5, #c0, #f6, #c0, #fb, #c0, #fc, #c0
db #ff, #c0, #01, #c1, #f5, #d0, #f6, #d0
db #fc, #d0, #ff, #d0, #fc, #f0, #fd, #f0
db #4c, #c1, #4b, #d1, #4c, #d1, #4b, #e1
db #4b, #f1, #9b, #c1, #9c, #c1, #a2, #c1
db #97, #d1, #9d, #d1, #96, #e1, #97, #e1
db #a0, #e1, #96, #f1, #97, #f1, #9b, #f1
db #9c, #f1, #a0, #f1, #e6, #c1, #ed, #c1
db #e6, #d1, #e9, #d1, #ea, #d1, #ed, #d1
db #e6, #e1, #ee, #e1, #08, #17, #00, #59
db #e0, #59, #f0, #61, #f0, #aa, #c0, #b0
db #d0, #af, #f0, #f9, #c0, #fe, #c0, #f9
db #d0, #fe, #d0, #f8, #e0, #f9, #e0, #fe
db #f0, #50, #e1, #9d, #c1, #9e, #c1, #9a
db #d1, #9e, #d1, #a2, #d1, #99, #f1, #e9
db #c1, #ee, #c1, #ee, #d1, #02, #0b, #00
db #61, #e0, #ac, #f0, #f7, #c0, #f7, #d0
db #fb, #d0, #42, #c1, #4c, #e1, #4c, #f1
db #97, #c1, #e7, #e1, #ef, #f1, #82, #03
db #00, #60, #f0, #4d, #c1, #ef, #e1, #20
db #0e, #00, #ab, #c0, #ac, #e0, #00, #c1
db #01, #d1, #fc, #e0, #01, #e1, #4b, #c1
db #9c, #d1, #a1, #d1, #9c, #e1, #e7, #c1
db #ea, #c1, #ec, #c1, #40, #c2, #0a, #2c
db #00, #af, #c0, #b0, #c0, #ae, #d0, #af
db #d0, #a8, #e0, #a9, #e0, #aa, #e0, #ae
db #e0, #af, #e0, #a8, #f0, #a9, #f0, #aa
db #f0, #ad, #f0, #ae, #f0, #fd, #c0, #f8
db #d0, #f4, #f0, #fa, #f0, #49, #c1, #4a
db #c1, #49, #d1, #4e, #d1, #4f, #d1, #4a
db #e1, #4f, #e1, #46, #f1, #47, #f1, #48
db #f1, #49, #f1, #4a, #f1, #50, #f1, #98
db #c1, #99, #c1, #9a, #c1, #9f, #c1, #a0
db #c1, #a1, #c1, #98, #d1, #99, #d1, #9f
db #d1, #a0, #d1, #99, #e1, #98, #f1, #e8
db #c1, #80, #0a, #00, #fa, #c0, #fa, #d0
db #f3, #f0, #4f, #c1, #49, #e1, #9e, #e1
db #9d, #f1, #ef, #d1, #e8, #e1, #e9, #e1
db #22, #03, #00, #f6, #e0, #44, #e1, #e7
db #f1, #aa, #04, #00, #f7, #e0, #43, #c1
db #43, #d1, #45, #e1, #a0, #01, #00, #fa
db #e0, #2a, #01, #00, #f7, #f0, #28, #05
db #00, #4e, #c1, #4a, #d1, #4d, #d1, #48
db #e1, #4d, #e1, #8a, #01, #00, #98, #e1
db #88, #01, #00, #e8, #d1
delta17:
db #0f, #08, #0d, #00, #58, #c0, #63, #f0
db #b2, #c0, #ad, #d0, #ae, #d0, #b2, #d0
db #4b, #c1, #43, #e1, #a3, #d1, #ea, #d1
db #ea, #e1, #e9, #f1, #39, #c2, #8a, #04
db #00, #58, #d0, #58, #e0, #a8, #e0, #a8
db #f0, #80, #13, #00, #59, #d0, #ae, #c0
db #ab, #d0, #ae, #e0, #ad, #f0, #ae, #f0
db #b1, #f0, #fe, #d0, #f3, #e0, #4e, #c1
db #4a, #f1, #4d, #f1, #4e, #f1, #4f, #f1
db #52, #f1, #a2, #c1, #9d, #e1, #a4, #e1
db #ef, #e1, #00, #29, #00, #61, #e0, #60
db #f0, #61, #f0, #ab, #c0, #af, #c0, #b0
db #c0, #ac, #e0, #ad, #e0, #ac, #f0, #fd
db #c0, #01, #d1, #01, #e1, #fb, #f0, #fe
db #f0, #ff, #f0, #4d, #c1, #4d, #d1, #4e
db #d1, #4c, #e1, #4d, #e1, #4e, #e1, #4c
db #f1, #9d, #c1, #9c, #d1, #9e, #d1, #9f
db #d1, #a0, #d1, #9c, #e1, #9e, #e1, #9d
db #f1, #e7, #c1, #ec, #c1, #ee, #c1, #e7
db #d1, #ee, #d1, #ef, #d1, #e7, #e1, #e8
db #e1, #e7, #f1, #ef, #f1, #40, #c2, #0a
db #19, #00, #59, #f0, #5a, #f0, #aa, #c0
db #aa, #d0, #b1, #d0, #f9, #c0, #f7, #d0
db #f9, #d0, #fa, #d0, #f7, #e0, #f8, #e0
db #f3, #f0, #f7, #f0, #4a, #d1, #4b, #d1
db #48, #e1, #49, #e1, #9a, #d1, #97, #e1
db #98, #e1, #9a, #e1, #97, #f1, #99, #f1
db #9a, #f1, #e9, #d1, #82, #08, #00, #b1
db #c0, #ab, #e0, #f6, #c0, #ff, #d0, #f2
db #f0, #4f, #e1, #9b, #d1, #9b, #e1, #02
db #11, #00, #b0, #d0, #b0, #e0, #b1, #e0
db #ab, #f0, #fb, #c0, #fc, #c0, #00, #c1
db #f6, #d0, #fc, #e0, #42, #d1, #4f, #d1
db #50, #d1, #50, #e1, #a0, #c1, #a1, #c1
db #e6, #c1, #e8, #d1, #a0, #03, #00, #af
db #f0, #ff, #c0, #9b, #f1, #20, #07, #00
db #b0, #f0, #f2, #e0, #f1, #f0, #4f, #c1
db #4b, #e1, #51, #f1, #eb, #c1, #28, #09
db #00, #fa, #c0, #fa, #f0, #48, #d1, #48
db #f1, #49, #f1, #9b, #c1, #e9, #c1, #ea
db #c1, #e9, #e1, #2a, #03, #00, #f6, #e0
db #f4, #f0, #97, #d1, #aa, #04, #00, #f9
db #e0, #f9, #f0, #47, #c1, #49, #c1, #88
db #01, #00, #fa, #e0, #a8, #01, #00, #49
db #d1, #a2, #02, #00, #98, #f1, #e8, #c1
delta18:
db #10, #00, #39, #00, #58, #c0, #58, #d0
db #58, #e0, #58, #f0, #63, #f0, #a8, #c0
db #b1, #c0, #b2, #c0, #ab, #d0, #ae, #d0
db #af, #d0, #b0, #d0, #b0, #e0, #b1, #e0
db #ad, #f0, #ae, #f0, #b0, #f0, #b1, #f0
db #fb, #c0, #fc, #c0, #ff, #c0, #ff, #d0
db #f2, #e0, #f3, #e0, #f1, #f0, #f2, #f0
db #f3, #f0, #f4, #f0, #42, #c1, #42, #d1
db #43, #d1, #50, #d1, #43, #e1, #44, #e1
db #4f, #e1, #50, #e1, #4d, #f1, #4e, #f1
db #4f, #f1, #50, #f1, #9b, #c1, #9e, #c1
db #9f, #c1, #a0, #c1, #a2, #c1, #9b, #d1
db #a2, #d1, #a3, #d1, #9b, #e1, #9d, #e1
db #98, #f1, #e6, #c1, #e8, #c1, #eb, #c1
db #e8, #d1, #e9, #f1, #39, #c2, #02, #0d
db #00, #59, #d0, #5b, #f0, #a8, #d0, #ac
db #d0, #b1, #d0, #43, #c1, #51, #d1, #46
db #f1, #98, #e1, #96, #f1, #e9, #d1, #e9
db #e1, #eb, #f1, #80, #14, #00, #5a, #d0
db #5a, #e0, #5b, #e0, #5a, #f0, #aa, #c0
db #ad, #c0, #aa, #d0, #b2, #d0, #aa, #e0
db #af, #f0, #fd, #c0, #fe, #c0, #02, #d1
db #49, #d1, #4f, #d1, #52, #d1, #9d, #c1
db #9d, #d1, #a2, #e1, #a3, #e1, #8a, #09
db #00, #59, #e0, #a9, #e0, #a9, #f0, #f7
db #c0, #f9, #c0, #f7, #d0, #f6, #f0, #99
db #e1, #99, #f1, #aa, #0b, #00, #59, #f0
db #a9, #c0, #a9, #d0, #a5, #f0, #f6, #c0
db #f6, #d0, #f6, #e0, #52, #e1, #96, #d1
db #97, #d1, #96, #e1, #20, #0f, #00, #ac
db #c0, #ab, #e0, #ab, #f0, #00, #c1, #fb
db #d0, #fc, #d0, #00, #e1, #51, #e1, #a1
db #c1, #a0, #d1, #a1, #e1, #97, #f1, #9b
db #f1, #ec, #c1, #ec, #d1, #22, #07, #00
db #a8, #e0, #f5, #c0, #f5, #d0, #52, #f1
db #96, #c1, #95, #e1, #95, #f1, #08, #19
db #00, #ad, #e0, #fa, #c0, #fd, #d0, #fe
db #d0, #f9, #e0, #fe, #e0, #f8, #f0, #ff
db #f0, #02, #f1, #49, #c1, #4d, #c1, #4e
db #c1, #52, #c1, #53, #c1, #4c, #d1, #4e
db #d1, #48, #e1, #49, #e1, #4b, #e1, #4e
db #e1, #49, #f1, #4a, #f1, #9a, #c1, #9a
db #d1, #e5, #c1, #0a, #08, #00, #a6, #f0
db #a7, #f0, #a8, #f0, #fb, #e0, #47, #c1
db #46, #d1, #97, #c1, #e9, #c1, #28, #07
db #00, #f8, #d0, #fa, #d0, #fd, #e0, #f9
db #f0, #fe, #f0, #9a, #e1, #9a, #f1, #82
db #05, #00, #fa, #e0, #fa, #f0, #4a, #c1
db #4a, #d1, #4a, #e1, #2a, #06, #00, #fb
db #f0, #fc, #f0, #46, #c1, #4b, #c1, #4c
db #c1, #45, #e1, #88, #07, #00, #fd, #f0
db #53, #f1, #a4, #d1, #ea, #c1, #ea, #d1
db #ea, #e1, #ea, #f1, #a0, #04, #00, #4f
db #c1, #48, #f1, #98, #c1, #97, #e1, #a2
db #02, #00, #a3, #c1, #a4, #e1, #a8, #01
db #00, #3a, #c2
delta19:
db #0e, #02, #13, #00, #5b, #c0, #5b, #d0
db #aa, #c0, #ae, #d0, #a7, #e0, #f5, #d0
db #fc, #d0, #fb, #e0, #f6, #f0, #fb, #f0
db #4b, #c1, #45, #d1, #4b, #d1, #46, #e1
db #52, #f1, #a3, #d1, #99, #f1, #ea, #e1
db #ea, #f1, #00, #39, #00, #59, #d0, #5a
db #d0, #59, #e0, #5a, #e0, #59, #f0, #a9
db #c0, #ac, #c0, #ad, #c0, #a8, #d0, #a9
db #d0, #ad, #d0, #b1, #d0, #b2, #d0, #ad
db #e0, #af, #e0, #af, #f0, #fd, #c0, #fe
db #c0, #00, #c1, #fd, #d0, #fe, #d0, #02
db #d1, #fe, #e0, #00, #e1, #f5, #f0, #ff
db #f0, #02, #f1, #43, #c1, #44, #c1, #52
db #c1, #53, #c1, #44, #d1, #52, #d1, #45
db #e1, #51, #e1, #51, #f1, #53, #f1, #9d
db #c1, #a1, #c1, #9d, #d1, #a0, #d1, #a1
db #d1, #a4, #d1, #a1, #e1, #a2, #e1, #a3
db #e1, #a4, #e1, #97, #f1, #9e, #f1, #e5
db #c1, #e9, #c1, #ec, #c1, #e9, #d1, #ec
db #d1, #e9, #e1, #ef, #e1, #3a, #c2, #0a
db #15, #00, #5b, #e0, #ab, #c0, #ab, #d0
db #a6, #e0, #ab, #e0, #a9, #f0, #f9, #c0
db #46, #c1, #4a, #d1, #4f, #d1, #50, #d1
db #4c, #e1, #4d, #e1, #4e, #e1, #9a, #c1
db #9a, #d1, #99, #e1, #9a, #e1, #9a, #f1
db #ea, #c1, #ea, #d1, #22, #06, #00, #5a
db #f0, #a4, #e0, #fa, #d0, #45, #c1, #95
db #c1, #94, #e1, #8a, #0a, #00, #5b, #f0
db #aa, #d0, #a5, #e0, #aa, #e0, #f7, #e0
db #4e, #c1, #4d, #d1, #4e, #d1, #47, #f1
db #97, #c1, #08, #16, #00, #5d, #f0, #ae
db #c0, #a4, #d0, #f8, #d0, #fd, #e0, #48
db #c1, #4a, #c1, #48, #d1, #4c, #f1, #99
db #c1, #a3, #c1, #98, #d1, #9b, #d1, #9b
db #e1, #9b, #f1, #eb, #c1, #ee, #c1, #eb
db #d1, #eb, #e1, #eb, #f1, #3b, #c2, #3b
db #d2, #20, #08, #00, #ac, #d0, #b4, #f0
db #01, #e1, #4b, #e1, #4b, #f1, #97, #e1
db #a4, #f1, #ec, #e1, #80, #10, #00, #a8
db #e0, #a8, #f0, #04, #c1, #f9, #d0, #f9
db #f0, #fe, #f0, #48, #e1, #52, #e1, #48
db #f1, #4e, #f1, #4f, #f1, #9b, #c1, #9f
db #c1, #98, #e1, #9f, #e1, #95, #f1, #a0
db #02, #00, #a9, #e0, #49, #f1, #82, #01
db #00, #ae, #e0, #aa, #11, #00, #a6, #f0
db #aa, #f0, #ab, #f0, #f7, #c0, #fa, #c0
db #fb, #c0, #f7, #d0, #fb, #d0, #fc, #f0
db #fd, #f0, #4c, #c1, #4d, #c1, #4c, #d1
db #46, #f1, #96, #c1, #95, #d1, #95, #e1
db #88, #02, #00, #f8, #c0, #94, #f1, #2a
db #01, #00, #f6, #e0, #28, #0a, #00, #f8
db #e0, #fa, #e0, #fa, #f0, #4f, #c1, #49
db #d1, #51, #d1, #4a, #e1, #98, #c1, #99
db #d1, #96, #e1
delta20:
db #0d, #00, #30, #00, #5b, #c0, #5b, #d0
db #5b, #e0, #5a, #f0, #5b, #f0, #aa, #c0
db #ae, #c0, #a4, #d0, #aa, #d0, #ae, #d0
db #a4, #e0, #ae, #e0, #b4, #f0, #f5, #c0
db #04, #c1, #f5, #d0, #f6, #e0, #fb, #e0
db #fc, #e0, #fd, #e0, #01, #e1, #f6, #f0
db #fc, #f0, #fd, #f0, #45, #c1, #46, #c1
db #4b, #c1, #4d, #c1, #45, #d1, #4b, #d1
db #4b, #e1, #4c, #e1, #4b, #f1, #4c, #f1
db #52, #f1, #9a, #c1, #9b, #c1, #a3, #c1
db #a3, #d1, #98, #e1, #9f, #e1, #94, #f1
db #95, #f1, #96, #f1, #99, #f1, #a4, #f1
db #ea, #e1, #ea, #f1, #08, #10, #00, #5e
db #d0, #5e, #e0, #5e, #f0, #a8, #d0, #a9
db #e0, #a9, #f0, #fd, #c0, #f9, #d0, #fe
db #f0, #49, #d1, #48, #e1, #52, #e1, #53
db #e1, #49, #f1, #ec, #c1, #ec, #e1, #02
db #0c, #00, #5d, #e0, #ab, #c0, #ac, #c0
db #ab, #d0, #47, #c1, #4a, #c1, #50, #e1
db #93, #d1, #9b, #d1, #ea, #c1, #ea, #d1
db #3b, #c2, #0a, #1e, #00, #5d, #f0, #a5
db #c0, #ad, #c0, #a7, #d0, #ac, #d0, #ad
db #d0, #ac, #e0, #ad, #e0, #ab, #f0, #ac
db #f0, #ad, #f0, #fa, #c0, #f8, #d0, #f8
db #e0, #48, #c1, #4e, #c1, #4f, #c1, #4f
db #e1, #48, #f1, #4f, #f1, #98, #c1, #97
db #d1, #94, #e1, #95, #e1, #9b, #e1, #9b
db #f1, #eb, #c1, #eb, #d1, #eb, #e1, #eb
db #f1, #22, #07, #00, #a4, #c0, #a5, #e0
db #a5, #f0, #f6, #d0, #f7, #f0, #46, #d1
db #94, #c1, #aa, #08, #00, #a5, #d0, #a6
db #e0, #a7, #f0, #f7, #e0, #46, #e1, #95
db #c1, #94, #d1, #93, #e1, #8a, #05, #00
db #a6, #d0, #a7, #e0, #a8, #f0, #f8, #c0
db #47, #e1, #82, #0b, #00, #a8, #e0, #aa
db #f0, #fb, #c0, #fc, #c0, #f9, #f0, #4a
db #d1, #51, #d1, #51, #e1, #4e, #f1, #50
db #f1, #9c, #e1, #80, #0f, #00, #aa, #e0
db #ae, #f0, #fd, #d0, #f9, #e0, #ff, #e0
db #49, #c1, #48, #d1, #51, #f1, #9d, #c1
db #9d, #d1, #99, #e1, #9e, #e1, #ee, #c1
db #ed, #d1, #ec, #f1, #20, #0f, #00, #af
db #f0, #b0, #f0, #fb, #d0, #fc, #d0, #fb
db #f0, #ff, #f0, #4c, #c1, #4c, #d1, #4d
db #d1, #4a, #e1, #4d, #f1, #99, #d1, #9c
db #d1, #96, #e1, #3b, #d2, #28, #06, #00
db #fa, #d0, #f8, #f0, #4e, #d1, #4e, #e1
db #9c, #f1, #ec, #d1, #2a, #03, #00, #45
db #f1, #47, #f1, #97, #c1, #a0, #01, #00
db #4a, #f1
delta21:
db #0f, #00, #2a, #00, #5e, #d0, #5d, #e0
db #5e, #e0, #5d, #f0, #5e, #f0, #a4, #c0
db #a5, #c0, #ad, #c0, #a5, #d0, #a5, #e0
db #ab, #e0, #a5, #f0, #b0, #f0, #f6, #c0
db #fc, #d0, #fd, #d0, #ff, #e0, #fe, #f0
db #ff, #f0, #4c, #c1, #4e, #c1, #4f, #c1
db #4c, #d1, #4d, #d1, #4e, #d1, #4f, #d1
db #4d, #e1, #4e, #e1, #50, #e1, #53, #e1
db #4d, #f1, #4e, #f1, #51, #f1, #9d, #c1
db #93, #e1, #94, #e1, #95, #e1, #96, #e1
db #97, #e1, #99, #e1, #ed, #d1, #3b, #d2
db #28, #0c, #00, #60, #e0, #a8, #d0, #ad
db #e0, #aa, #f0, #ad, #f0, #fb, #d0, #f9
db #e0, #48, #c1, #4a, #f1, #9a, #d1, #eb
db #d1, #eb, #e1, #22, #05, #00, #55, #f0
db #a6, #e0, #a6, #f0, #f5, #e0, #46, #c1
db #0a, #18, #00, #56, #f0, #5f, #f0, #a7
db #c0, #ae, #c0, #af, #d0, #a7, #e0, #a8
db #e0, #a8, #f0, #a9, #f0, #f8, #c0, #f6
db #e0, #fa, #e0, #f8, #f0, #f9, #f0, #48
db #d1, #49, #d1, #47, #e1, #48, #e1, #49
db #e1, #47, #f1, #49, #f1, #97, #c1, #95
db #d1, #96, #d1, #80, #13, #00, #57, #f0
db #5c, #f0, #a9, #d0, #aa, #d0, #ac, #d0
db #ae, #d0, #fe, #c0, #ff, #c0, #fd, #e0
db #44, #e1, #52, #e1, #54, #f1, #a2, #c1
db #a3, #c1, #98, #d1, #99, #d1, #98, #e1
db #9d, #e1, #9e, #f1, #20, #10, #00, #60
db #f0, #aa, #e0, #ab, #f0, #fb, #c0, #fc
db #c0, #51, #d1, #4f, #e1, #51, #e1, #50
db #f1, #a0, #c1, #a1, #c1, #a5, #c1, #9b
db #d1, #9c, #e1, #9f, #e1, #3c, #c2, #aa
db #0a, #00, #a6, #c0, #fa, #f0, #47, #c1
db #49, #c1, #4a, #c1, #46, #d1, #45, #e1
db #45, #f1, #94, #c1, #93, #d1, #08, #0c
db #00, #a8, #c0, #ac, #c0, #ae, #f0, #af
db #f0, #fb, #e0, #4f, #f1, #52, #f1, #9a
db #c1, #99, #f1, #e9, #c1, #ed, #c1, #3c
db #d2, #82, #06, #00, #af, #c0, #ab, #d0
db #af, #e0, #97, #d1, #eb, #c1, #ec, #d1
db #02, #0f, #00, #ac, #e0, #f6, #d0, #fb
db #f0, #45, #d1, #50, #d1, #9f, #c1, #9b
db #e1, #98, #f1, #9c, #f1, #e8, #c1, #ec
db #c1, #e8, #d1, #ec, #e1, #eb, #f1, #ec
db #f1, #8a, #05, #00, #a7, #f0, #f8, #e0
db #f7, #f0, #4a, #d1, #94, #d1, #a0, #01
db #00, #ff, #d0, #2a, #05, #00, #f7, #e0
db #f6, #f0, #46, #e1, #44, #f1, #96, #c1
db #a8, #01, #00, #4a, #e1, #a2, #01, #00
db #93, #c1
delta22:
db #0d, #22, #04, #00, #56, #e0, #a7, #f0
db #f5, #f0, #45, #d1, #08, #11, #00, #57
db #e0, #5c, #f0, #aa, #c0, #aa, #e0, #ae
db #e0, #a9, #f0, #ad, #f0, #f9, #e0, #fc
db #e0, #fc, #f0, #4c, #c1, #48, #d1, #4c
db #d1, #99, #e1, #9e, #f1, #e8, #c1, #eb
db #d1, #80, #0f, #00, #5c, #e0, #58, #f0
db #a9, #c0, #ad, #c0, #fc, #d0, #fd, #d0
db #fe, #f0, #02, #f1, #4e, #c1, #49, #d1
db #49, #e1, #4e, #e1, #9a, #c1, #ee, #d1
db #3d, #c2, #00, #33, #00, #60, #e0, #55
db #f0, #5f, #f0, #a6, #c0, #ae, #c0, #a6
db #d0, #ac, #d0, #a6, #e0, #ac, #e0, #af
db #e0, #a6, #f0, #ab, #f0, #ac, #f0, #af
db #f0, #fb, #c0, #fc, #c0, #fd, #c0, #fe
db #c0, #ff, #c0, #fd, #e0, #50, #d1, #51
db #d1, #44, #e1, #4f, #e1, #51, #e1, #52
db #e1, #50, #f1, #52, #f1, #54, #f1, #9f
db #c1, #a0, #c1, #a1, #c1, #a2, #c1, #a5
db #c1, #93, #d1, #9c, #d1, #9d, #e1, #9e
db #e1, #9f, #e1, #99, #f1, #9c, #f1, #e9
db #c1, #ec, #c1, #ed, #c1, #ee, #c1, #e8
db #d1, #ec, #d1, #ec, #e1, #ec, #f1, #3b
db #c2, #3c, #c2, #02, #09, #00, #56, #f0
db #5b, #f0, #60, #f0, #f4, #d0, #fb, #d0
db #94, #d1, #97, #f1, #e7, #c1, #e7, #d1
db #0a, #18, #00, #57, #f0, #ab, #c0, #af
db #c0, #f5, #d0, #f6, #d0, #f9, #d0, #fa
db #d0, #f7, #e0, #fb, #e0, #f7, #f0, #fa
db #f0, #fb, #f0, #48, #c1, #49, #c1, #46
db #e1, #4a, #e1, #4b, #e1, #46, #f1, #96
db #c1, #97, #d1, #9a, #d1, #98, #e1, #98
db #f1, #eb, #e1, #8a, #08, #00, #a7, #c0
db #a7, #d0, #f8, #c0, #f8, #d0, #4a, #c1
db #4b, #c1, #45, #f1, #95, #c1, #28, #0b
db #00, #a8, #c0, #ae, #d0, #af, #d0, #a8
db #e0, #fa, #c0, #f8, #f0, #48, #e1, #48
db #f1, #49, #f1, #98, #c1, #eb, #c1, #82
db #04, #00, #a9, #d0, #ad, #e0, #f9, #c0
db #4a, #f1, #20, #09, #00, #ab, #d0, #ad
db #d0, #b0, #f0, #ff, #d0, #00, #d1, #ff
db #f0, #4f, #f1, #9b, #e1, #9b, #f1, #aa
db #06, #00, #a7, #e0, #f6, #e0, #f8, #e0
db #f6, #f0, #44, #f1, #93, #c1, #2a, #05
db #00, #f7, #c0, #f7, #d0, #f5, #e0, #4a
db #d1, #4b, #d1, #a0, #01, #00, #4f, #d1



end

save'delta.bin',#200,end-start,DSK,'delta2.dsk'
;save'delta.bin',#1000,end-start
