;--- dimensions du sprite ----
large equ 25
haut equ 100
loadingaddress equ #200
linewidth equ #c050
nbdelta equ 20
nbcolors equ 3
;-----------------------------
org loadingaddress
run loadingaddress
;-----------------------------
start
;--- selection du mode ---------
    ld a,1
    call #BC0E
;-------------------------------

;--- gestion de la palette ---- 
    call palettefirmware
;------------------------------

call xvbl

;--- affichage du sprite initiale --  
    ; affichage du premier sprite
    ld de,#c010 ; adresse de l'ecran 
    ld hl,sprite ; pointeur sur l'image en memoire 
    ld b, haut ; hauteur de l'image 
    loop 
    push bc ; sauve le compteur hauteur dans la pile 
    push de ; sauvegarde de l'adresse ecran dans la pile
    ld bc, large ; largeur de l'image a afficher
    ldir ; remplissage de n * largeur octets a l'adresse dans de 
    pop de ; recuperation de l'adresse d'origine 
    ex de,hl ; echange des valeurs des adresses
    call bc26 ; calcul de l'adresse de la ligne suivante
    ex de,hl ; echange des valeurs des adresses
    pop bc ; retabli le compteur 
    djnz loop
;------------------------------------

mainloop    ; routine pour afficher les deltas provenant de martine 

;call #bb06

call xvbl
call next_delta

jp mainloop


;--- routine de deltapacking --------------------------
next_delta:
table_index:
    ld a,-1
    inc a
    and nbdelta
    ld (table_index+1),a
    add a
    ld e,a
    ld d,0
    ld hl,table_delta
    add hl,de
    ld a,(hl)
    inc hl
    ld h,(hl)
    ld l,a
delta
 ld a,(hl) ; nombre de byte a poker
 ld (nbbytepoked),a ; stockage en mémoire   ; stockage en mémoire
 inc hl
init
 ld a,(hl) ; octet a poker
 ld (pixel),a
 inc hl
 ld c,(hl) ; nbfois
 inc hl 
 ld b,(hl)
 inc hl
;
poke_octet
 ld e,(hl)
 inc hl
 ld d,(hl) ; de=adresse
 inc hl
 ld a,(pixel)
 ld (de),a ; poke a l'adresse dans de
 dec bc
 ld a,b ; test a t'on poke toutes les adresses compteur bc
 or a 
 jr nz, poke_octet
 ld a,c 
 or a
 jr nz, poke_octet
 ld a,(nbbytepoked) ; reste t'il d'autres bytes a poker ? 
 dec a 
 ld (nbbytepoked),a
 jr nz,init
 pop af
 ret



;---------------------------------------------------------------
;
; attente de plusieurs vbl
;
xvbl ld e,10
	call waitvbl
	dec e
	jr nz,xvbl+2
	ret
;-----------------------------------

;---- attente vbl ----------
waitvbl
    ld b,#f5 ; attente vbl
vbl     
    in a,(c)
    rra
    jp nc,vbl
    ret
;---------------------------

;--- application palette firmware -------------
palettefirmware ; hl pointe sur les valeurs de la palette
ld e,nbcolors
ld a,0
ld hl,palette

paletteloop
ld b,(hl)
ld c,b
push af
push de
push hl
call #bc32 ; af, de, hl corrupted
pop hl
pop de
pop af
inc a
inc hl
dec e
jr nz,paletteloop
ret
;---------------------------------------------

;---------------------------------------------

;---- recuperation de l'adresse de la ligne en dessous ------------
bc26 
ld a,h
add a,8 
ld h,a ; <---- le fameux que tu as oublié !
ret nc 
ld bc,linewidth ; on passe en 96 colonnes
add hl,bc
res 3,h
ret
;-----------------------------------------------------------------


;--- variables memoires -----
pixel db 0 
nbbytepoked db 0
;----------------------------
sprite:
db #00, #00, #00, #00, #00, #00, #01, #0f
db #0f, #0f, #1e, #0f, #0f, #0f, #0f, #0f
db #0d, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #01
db #0b, #0f, #0f, #0e, #0f, #0f, #0f, #0f
db #0f, #1e, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #01, #0f, #0f, #0f, #0f, #0f, #0f, #0f
db #0f, #0f, #1e, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #01, #0f, #0f, #0f, #0f, #0f, #0f
db #0f, #0f, #0f, #2c, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #0f, #0f, #0f, #0f, #0f
db #0f, #0f, #0f, #0f, #3c, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #2d, #0f, #0f, #0f
db #0f, #0f, #0f, #0f, #0f, #2c, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #07, #0f, #0f
db #0f, #0f, #0f, #0f, #0f, #0f, #2d, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #03, #0f
db #0f, #0f, #0f, #0f, #0f, #0f, #0f, #0f
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #02
db #0f, #0f, #0f, #0f, #0f, #0f, #0f, #0f
db #3c, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #01, #0f, #0f, #0f, #0f, #0f, #0f, #0f
db #0f, #3c, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #0f, #0f, #0f, #07, #0f, #0f
db #0f, #0f, #0f, #20, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #87, #0f, #0f, #0b, #0f
db #0f, #0f, #0f, #0f, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #07, #0f, #0f, #0f
db #0f, #0f, #0f, #0f, #0f, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #07, #0f, #0f
db #0f, #0f, #0f, #0f, #0f, #2d, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #07, #0f
db #0f, #0f, #0f, #0f, #0f, #0f, #1c, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #03
db #0f, #0f, #0f, #0f, #0f, #0f, #0f, #68
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #03, #0f, #0f, #0f, #0f, #0f, #0f, #0f
db #0e, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #21, #0f, #0f, #0f, #0f, #0f, #0f
db #0f, #4a, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #01, #0f, #0f, #1e, #00, #07
db #0f, #0f, #68, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #01, #0f, #0f, #0c, #00
db #43, #0f, #0f, #2c, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #0f, #0f, #0c
db #00, #01, #0f, #0f, #68, #00, #00, #00
db #00, #00, #00, #00, #40, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #0f, #0f
db #0c, #f0, #08, #0f, #0f, #4a, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #07
db #0f, #0d, #d2, #4a, #03, #0f, #08, #00
db #00, #00, #00, #00, #00, #00, #80, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #07, #0f, #0f, #c3, #00, #03, #0f, #84
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #03, #0f, #78, #00, #00, #07, #0f
db #0c, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #03, #0f, #a4, #00, #00, #0f
db #0f, #48, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #01, #0f, #0c, #c0, #00
db #0f, #0f, #08, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #01, #0f, #48, #00
db #01, #0f, #0f, #80, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #0f, #4b
db #00, #01, #0f, #1e, #80, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #4b
db #87, #80, #43, #0f, #1e, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #16, #0f, #78, #c3, #0f, #0f, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #1e, #0f, #3c, #87, #0f, #0e, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #2d, #0f, #0f, #0f, #0f, #2c
db #40, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #01, #49, #0f, #0f, #0f, #0f
db #0c, #40, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #03, #81, #0f, #0f, #0f
db #0f, #48, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #16, #80, #0f, #0f
db #0f, #0f, #48, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #16, #00, #0f
db #0f, #0f, #0f, #08, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #2c, #00
db #07, #0f, #0f, #0f, #08, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #01, #68
db #00, #03, #0f, #0f, #0f, #80, #80, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #21
db #48, #00, #01, #0f, #0f, #0f, #c0, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #03, #80, #00, #01, #0f, #0f, #0e, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #16, #80, #00, #00, #0f, #0f, #0e
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #1e, #00, #00, #00, #07, #0f
db #0c, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #2c, #00, #00, #00, #43
db #0f, #2c, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #01, #48, #00, #00, #00
db #03, #0f, #48, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #21, #c0, #00, #00
db #00, #01, #0f, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #20, #80, #00
db #00, #00, #20, #0e, #80, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #20, #00
db #00, #00, #00, #30, #14, #c0, #00, #10
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #30, #f0, #c0, #00
db #30, #80, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #10, #f0, #c0
db #00, #f0, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #10, #f0
db #c0, #00, #f0, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #10
db #f0, #c0, #01, #f0, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #10, #f0, #c0, #43, #f0, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #10, #f0, #a0, #96, #f0, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #10, #f0, #81, #3c, #f0, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #10, #f0, #83, #1e, #f0
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #01, #f0, #87, #3c
db #f0, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #01, #78, #0f
db #1e, #f0, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #01, #0f
db #0f, #3c, #e1, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #01
db #0f, #0f, #1e, #f0, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #01, #0f, #0f, #1e, #e0, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #01, #0f, #0f, #1e, #f0, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #01, #0f, #0f, #1e, #f0, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #10, #0f, #0f, #1e, #e0
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #0f, #0f, #1e
db #e0, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #0f, #0f
db #0f, #d2, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #0f
db #0f, #0f, #c2, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #02
db #0f, #0f, #0f, #c0, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #0f, #0f, #1e, #e0, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #40, #0f, #0f, #1e, #c2, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #60, #0f, #0f, #3c, #08, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #20, #07, #0f, #84, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #60, #21, #80, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #60, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #60, #20
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #60
db #20, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #0c, #02, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #03, #0e, #10, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #07, #0b, #82, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #0f, #87, #0e, #00, #00, #30
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #03, #0f, #07, #0e, #00, #12
db #f0, #80, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #87, #0f, #0f, #0c, #0f
db #78, #f0, #c0, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #21, #0f, #0f, #0f, #0f
db #1e, #f0, #f0, #e0, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #07, #0f, #0f, #0f
db #0f, #3c, #5a, #f0, #f0, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #01, #0f, #0f, #0f
db #0f, #0f, #0f, #34, #f0, #f0, #80, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #07, #0f, #0f
db #0f, #0f, #0f, #f0, #92, #f0, #f0, #c0
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #10, #0f, #0f
db #0f, #0f, #0f, #1e, #78, #b0, #f0, #f0
db #e0, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #07, #43, #0f
db #0f, #0f, #0f, #1e, #1e, #f0, #f0, #f0
db #f0, #f0, #e0, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #01, #06, #0f
db #0f, #0f, #0f, #96, #96, #78, #f0, #f0
db #f0, #f0, #f0, #e0, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #01, #0f, #0f
db #0f, #0f, #0f, #b4, #5a, #1e, #f0, #f0
db #f0, #f0, #f0, #f0, #e0, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #03, #0f
db #0f, #5a, #5a, #d2, #f0, #f0, #f0, #f0
db #f0, #78, #f0, #f0, #f0, #e0, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #03
db #0f, #e1, #f0, #b4, #f0, #f0, #f0, #f0
db #f0, #e1, #f0, #f0, #f0, #f0, #e0, #00
db #00, #00, #00, #00, #00, #00, #00, #01
db #0f, #29, #1e, #f0, #f0, #f0, #f0, #f0
db #f0, #f0, #e0, #f0, #f0, #f0, #f0, #f0
db #00, #00, #00, #00, #00, #00, #00, #00
db #87, #5a, #69, #96, #f0, #f0, #f0, #f0
db #f0, #f0, #f0, #e1, #f0, #f0, #f0, #f0
db #80, #00, #00, #00, #00, #00, #00, #00
db #03, #0f, #29, #3c, #f0, #b4, #f0, #f0
db #f0, #f0, #f0, #f0, #d2, #f0, #f0, #e0
db #30, #c0, #00, #00, #00, #00, #00, #00
db #00, #87, #5a, #b4, #f0, #d0, #c0, #d2
db #f0, #f0, #f0, #f0, #f0, #d0, #c0, #10
db #f0, #f0, #c0, #00, #00, #00, #00, #00
db #00, #00, #3c, #5a, #f0, #70, #d0, #f0
db #f0, #c0, #00, #10, #f0, #f0, #c0, #10
db #f0, #f0, #f0, #c0, #00, #00, #00, #00
db #00, #00, #01, #3c, #f0, #e1, #70, #d0
db #f0, #f0, #f0, #f0, #f0, #70, #f0, #80
db #70, #f0, #f0, #f0, #80, #00, #00, #00
db #00, #00, #00, #01, #1e, #f0, #78, #70
db #d0, #f0, #f0, #f0, #f0, #f0, #90, #f0
db #80, #60, #f0, #90, #f0, #00, #00, #00
db #00, #00, #00, #00, #03, #f0, #f0, #78
db #70, #d0, #f0, #f0, #f0, #e0, #10, #d0
db #f0, #90, #c0, #30, #f0, #f0, #80, #00
db #00, #00, #00, #00
delta00:
db #3d, #00, #35, #00, #16, #c0, #16, #c8
db #16, #d0, #16, #d8, #67, #c0, #67, #c8
db #b8, #c0, #b8, #c8, #b8, #d0, #b8, #d8
db #bd, #d8, #09, #c9, #09, #d1, #09, #d9
db #0d, #d9, #59, #c9, #60, #c9, #59, #d1
db #58, #f1, #60, #f1, #58, #f9, #5b, #f9
db #a8, #c1, #ab, #c1, #a7, #e1, #a7, #e9
db #ac, #e9, #a7, #f1, #a7, #f9, #b0, #f9
db #fc, #c9, #fc, #d1, #fc, #d9, #ff, #d9
db #fc, #e1, #fc, #e9, #fc, #f1, #fc, #f9
db #4c, #c2, #4c, #ca, #4c, #d2, #4c, #da
db #4c, #e2, #4c, #ea, #4c, #f2, #4c, #fa
db #9c, #da, #3b, #cb, #90, #fb, #e3, #c3
db #d1, #cb, #db, #db, #e0, #db, #2d, #06
db #00, #17, #c0, #6c, #c8, #bc, #f0, #0b
db #e1, #84, #eb, #d2, #c3, #0f, #2c, #00
db #1a, #c0, #20, #c0, #1a, #c8, #20, #c8
db #20, #d0, #6b, #d0, #6b, #d8, #bb, #d0
db #bb, #d8, #0b, #d1, #0f, #e1, #0b, #e9
db #0f, #e9, #0c, #f9, #0d, #f9, #0f, #f9
db #5f, #c1, #5f, #c9, #ae, #c1, #ae, #c9
db #ae, #d1, #4f, #ca, #4f, #da, #4f, #ea
db #4f, #fa, #9f, #c2, #ec, #f2, #ec, #fa
db #3c, #c3, #3d, #c3, #3a, #cb, #3e, #d3
db #39, #db, #38, #eb, #3d, #f3, #37, #fb
db #86, #c3, #8b, #c3, #87, #d3, #88, #d3
db #84, #db, #83, #e3, #83, #eb, #d3, #c3
db #e0, #11, #00, #21, #c0, #21, #c8, #21
db #d0, #21, #d8, #21, #e0, #21, #e8, #71
db #c0, #10, #c9, #10, #d9, #a0, #ea, #9f
db #fa, #41, #cb, #93, #eb, #8e, #fb, #8f
db #fb, #de, #c3, #e2, #d3, #1e, #12, #00
db #17, #c8, #17, #d0, #20, #d8, #0c, #f1
db #5f, #d1, #ae, #d9, #ff, #f1, #4f, #c2
db #4f, #d2, #9f, #f2, #ec, #ea, #3d, #cb
db #3a, #db, #3e, #db, #3e, #e3, #89, #cb
db #86, #db, #d2, #cb, #07, #15, #00, #17
db #d8, #18, #e8, #68, #d0, #b9, #d8, #b9
db #e0, #be, #e0, #0e, #c9, #5a, #c1, #5b
db #d1, #5b, #d9, #59, #f1, #ac, #c9, #a8
db #e1, #ad, #f1, #9d, #da, #9d, #e2, #9d
db #ea, #9d, #f2, #3a, #fb, #82, #f3, #82
db #fb, #43, #05, #00, #17, #e0, #0e, #c1
db #37, #f3, #36, #fb, #83, #db, #2c, #02
db #00, #20, #e0, #3b, #d3, #03, #13, #00
db #17, #e8, #68, #d8, #68, #e0, #b9, #e8
db #be, #e8, #b9, #f0, #0a, #e9, #0a, #f1
db #0a, #f9, #5b, #e1, #59, #e9, #a8, #d1
db #ac, #d1, #a8, #d9, #4e, #c2, #9d, #fa
db #39, #d3, #38, #e3, #82, #eb, #3c, #0b
db #00, #20, #e8, #70, #d0, #70, #d8, #70
db #e0, #70, #e8, #70, #f0, #70, #f8, #c0
db #c0, #3e, #eb, #8c, #c3, #d4, #cb, #01
db #12, #00, #17, #f0, #17, #f8, #68, #e8
db #68, #f0, #68, #f8, #bd, #d0, #be, #f0
db #b9, #f8, #09, #c1, #59, #d9, #5b, #e9
db #5b, #f1, #a8, #c9, #ac, #e1, #35, #fb
db #84, #d3, #82, #e3, #d1, #db, #a4, #02
db #00, #21, #f0, #21, #f8, #0b, #04, #00
db #6b, #c0, #68, #c8, #0b, #f1, #85, #e3
db #a0, #06, #00, #71, #c8, #a8, #f1, #ad
db #f9, #fe, #f1, #fd, #f9, #87, #fb, #48
db #02, #00, #71, #d0, #89, #f3, #c0, #15
db #00, #71, #d8, #71, #e8, #71, #f0, #c1
db #c0, #10, #e1, #10, #f1, #b1, #f9, #01
db #d2, #01, #da, #01, #e2, #42, #e3, #43
db #fb, #93, #e3, #92, #f3, #d6, #cb, #d9
db #cb, #de, #cb, #dc, #d3, #de, #d3, #dc
db #db, #de, #db, #40, #07, #00, #71, #e0
db #bd, #e0, #11, #d1, #a8, #f9, #8a, #eb
db #89, #fb, #db, #d3, #04, #01, #00, #71
db #f8, #83, #01, #00, #bd, #c8, #78, #05
db #00, #c0, #c8, #c0, #d0, #87, #db, #d2
db #d3, #d2, #db, #80, #18, #00, #c1, #c8
db #c1, #d0, #c1, #d8, #c1, #e8, #10, #f9
db #af, #d1, #a9, #d9, #ae, #f9, #fe, #c1
db #fe, #c9, #01, #ca, #fe, #d1, #01, #ea
db #01, #f2, #51, #d2, #51, #da, #51, #e2
db #51, #ea, #51, #f2, #42, #db, #43, #f3
db #44, #fb, #8a, #db, #d9, #c3, #69, #04
db #00, #c0, #d8, #c0, #f0, #89, #e3, #86
db #eb, #0e, #0f, #00, #bb, #e0, #bb, #e8
db #bd, #e8, #bb, #f0, #5a, #c9, #5a, #d1
db #5f, #d9, #5f, #e1, #5f, #e9, #59, #f9
db #a9, #c1, #3a, #d3, #3b, #db, #8b, #cb
db #86, #d3, #08, #0d, #00, #c1, #e0, #0c
db #c1, #0c, #d9, #0c, #e1, #60, #c1, #5a
db #e1, #5a, #e9, #af, #c1, #af, #c9, #a9
db #d1, #01, #fa, #ed, #f2, #3b, #c3, #70
db #07, #00, #bc, #e8, #00, #d2, #3f, #e3
db #8b, #db, #8a, #fb, #da, #c3, #e1, #db
db #68, #02, #00, #c0, #e8, #4d, #c2, #c3
db #03, #00, #bd, #f0, #ff, #e9, #88, #eb
db #0c, #05, #00, #bc, #f8, #5a, #d9, #5f
db #f9, #a9, #c9, #ed, #fa, #f0, #18, #00
db #c0, #f8, #50, #d2, #50, #e2, #a0, #d2
db #41, #d3, #42, #eb, #3e, #f3, #42, #f3
db #8d, #c3, #8f, #d3, #93, #d3, #8e, #db
db #8e, #e3, #8e, #eb, #8e, #f3, #91, #f3
db #88, #fb, #d6, #c3, #db, #c3, #dc, #cb
db #d4, #d3, #e1, #d3, #d4, #db, #d6, #db
db #0d, #03, #00, #0b, #c1, #3a, #e3, #85
db #c3, #5a, #01, #00, #10, #c1, #4b, #03
db #00, #0b, #c9, #85, #db, #86, #e3, #24
db #02, #00, #0c, #c9, #ec, #c2, #42, #02
db #00, #0c, #d1, #89, #eb, #87, #08, #00
db #0e, #d1, #ac, #c1, #4e, #ca, #9d, #c2
db #9d, #ca, #9d, #d2, #eb, #f2, #3c, #e3
db #4a, #01, #00, #10, #d1, #96, #04, #00
db #0b, #d9, #8a, #cb, #89, #d3, #84, #f3
db #16, #02, #00, #0a, #e1, #3f, #cb, #10
db #08, #00, #0d, #e1, #ac, #f1, #ac, #f9
db #fc, #c1, #00, #c2, #ea, #fa, #37, #eb
db #8b, #e3, #1c, #05, #00, #0c, #e9, #5f
db #f1, #ae, #e1, #4d, #ca, #3f, #d3, #e1
db #05, #00, #0d, #e9, #a0, #ca, #8b, #d3
db #88, #f3, #d6, #d3, #84, #02, #00, #10
db #e9, #a0, #f2, #21, #04, #00, #59, #e1
db #ac, #d9, #ff, #e1, #36, #f3, #06, #01
db #00, #a8, #e9, #28, #01, #00, #ae, #e9
db #d0, #04, #00, #ae, #f1, #fe, #e1, #fe
db #e9, #e2, #db, #30, #09, #00, #00, #ca
db #3f, #c3, #8b, #eb, #8a, #f3, #8b, #f3
db #91, #fb, #da, #cb, #df, #cb, #df, #d3
db #a1, #01, #00, #fe, #f9, #d2, #05, #00
db #a0, #da, #3f, #db, #86, #f3, #86, #fb
db #da, #db, #20, #08, #00, #9c, #e2, #9c
db #ea, #9c, #f2, #ec, #ca, #ec, #d2, #ec
db #da, #ed, #e2, #93, #f3, #02, #04, #00
db #ed, #ca, #ed, #d2, #ed, #da, #8a, #e3
db #49, #01, #00, #eb, #fa, #b0, #02, #00
db #3f, #eb, #89, #db, #92, #02, #00, #3f
db #f3, #8b, #fb, #b4, #03, #00, #8c, #cb
db #88, #e3, #d7, #d3, #86, #01, #00, #8a
db #d3, #c2, #02, #00, #87, #f3, #d9, #d3
db #38, #02, #00, #84, #fb, #d7, #cb, #50
db #01, #00, #d7, #c3, #90, #01, #00, #df
db #c3, #60, #02, #00, #db, #cb, #df, #db
delta01:
db #40, #87, #09, #00, #17, #c0, #18, #c8
db #0e, #d9, #5b, #c9, #ad, #f1, #4d, #da
db #4d, #e2, #3a, #d3, #3b, #f3, #78, #11
db #00, #21, #c0, #71, #d0, #70, #f8, #c0
db #c0, #c0, #d8, #c0, #e0, #c0, #e8, #c0
db #f0, #fd, #f9, #4d, #c2, #40, #c3, #3e
db #f3, #8c, #cb, #88, #eb, #85, #fb, #d6
db #db, #dd, #db, #08, #09, #00, #22, #c0
db #bc, #d0, #c1, #e8, #60, #c9, #60, #d1
db #a9, #d9, #ee, #c2, #87, #f3, #8a, #fb
db #07, #16, #00, #17, #c8, #68, #c0, #68
db #c8, #b9, #c8, #b9, #d0, #be, #d8, #0a
db #d1, #0e, #d1, #0a, #d9, #5a, #c9, #59
db #f9, #5c, #f9, #ac, #c1, #4d, #ea, #4d
db #f2, #4d, #fa, #9d, #c2, #9d, #ca, #3e
db #cb, #3b, #db, #3b, #e3, #3b, #eb, #2d
db #0a, #00, #20, #c8, #20, #d0, #0b, #c9
db #0b, #e9, #3f, #cb, #39, #fb, #3c, #fb
db #86, #cb, #86, #d3, #84, #db, #80, #0e
db #00, #22, #c8, #22, #d0, #c1, #f0, #c1
db #f8, #5a, #f1, #01, #da, #01, #e2, #51
db #ca, #51, #fa, #a1, #c2, #ed, #f2, #ea
db #fa, #8a, #d3, #e0, #db, #25, #01, #00
db #17, #d0, #21, #09, #00, #17, #d8, #17
db #e0, #68, #d0, #5b, #e1, #59, #e9, #99
db #fa, #9d, #fa, #3f, #c3, #83, #d3, #0f
db #25, #00, #20, #d8, #20, #e0, #6c, #c8
db #bb, #e0, #bb, #e8, #bb, #f0, #0b, #c1
db #0b, #d9, #0b, #f1, #5f, #d1, #5f, #d9
db #4f, #e2, #4f, #f2, #9f, #e2, #9f, #ea
db #9a, #f2, #9a, #fa, #ea, #c2, #ea, #ca
db #ea, #d2, #eb, #fa, #3b, #c3, #3b, #cb
db #3b, #d3, #3e, #db, #3c, #e3, #3f, #e3
db #37, #eb, #37, #f3, #89, #cb, #84, #d3
db #89, #d3, #83, #db, #85, #db, #85, #e3
db #85, #eb, #d2, #c3, #f0, #20, #00, #21
db #d8, #21, #e0, #21, #e8, #21, #f0, #21
db #f8, #71, #c0, #71, #d8, #10, #c9, #0d
db #e9, #fe, #e9, #fe, #f1, #50, #fa, #a0
db #c2, #a0, #ca, #a0, #da, #a0, #e2, #a0
db #ea, #8b, #d3, #89, #db, #8b, #db, #88
db #e3, #89, #e3, #8b, #e3, #89, #eb, #93
db #eb, #8f, #fb, #90, #fb, #d5, #cb, #d5
db #d3, #d9, #d3, #e2, #d3, #d5, #db, #4b
db #05, #00, #1b, #e0, #18, #e8, #bc, #c8
db #bd, #f0, #0c, #c9, #01, #14, #00, #17
db #e8, #68, #d8, #68, #e0, #be, #e8, #b9
db #f0, #be, #f8, #0a, #f1, #0a, #f9, #59
db #e1, #a8, #d1, #ac, #d1, #ac, #d9, #99
db #e2, #99, #ea, #99, #f2, #ed, #c2, #ed
db #ea, #39, #eb, #36, #f3, #82, #db, #1e
db #11, #00, #20, #e8, #20, #f8, #6b, #c8
db #70, #d0, #bd, #e8, #0c, #e9, #0f, #f1
db #5f, #c9, #5f, #e1, #5f, #e9, #4f, #ea
db #4f, #fa, #9a, #ea, #9f, #fa, #ea, #da
db #83, #fb, #d2, #d3, #00, #23, #00, #17
db #f0, #17, #f8, #68, #f0, #68, #f8, #bd
db #d0, #09, #c1, #11, #d1, #0d, #e1, #59
db #d9, #5b, #f1, #a8, #c9, #af, #d1, #ac
db #e1, #ac, #f1, #a8, #f9, #ac, #f9, #fc
db #c1, #00, #c2, #51, #d2, #9c, #e2, #ed
db #da, #ed, #e2, #35, #fb, #44, #fb, #8a
db #e3, #8a, #eb, #8a, #f3, #87, #fb, #88
db #fb, #d7, #c3, #d8, #c3, #d9, #c3, #d1
db #d3, #da, #d3, #e3, #db, #0d, #01, #00
db #6b, #c0, #d0, #07, #00, #71, #c8, #3a
db #db, #87, #e3, #d8, #cb, #d7, #d3, #d8
db #d3, #d8, #db, #70, #08, #00, #71, #e0
db #fd, #e1, #fd, #e9, #fd, #f1, #8b, #eb
db #8f, #eb, #e0, #c3, #d7, #db, #10, #0c
db #00, #68, #e8, #be, #f0, #9c, #da, #ec
db #c2, #f0, #fa, #38, #e3, #93, #f3, #91
db #fb, #db, #c3, #df, #cb, #da, #db, #e1
db #db, #60, #02, #00, #71, #e8, #ea, #ea
db #e0, #0c, #00, #71, #f0, #c1, #c8, #10
db #e1, #10, #e9, #ea, #f2, #42, #e3, #43
db #f3, #43, #fb, #93, #e3, #93, #fb, #d9
db #cb, #e2, #db, #a0, #02, #00, #71, #f8
db #d6, #cb, #a4, #04, #00, #c1, #c0, #a0
db #f2, #8a, #c3, #d6, #d3, #81, #02, #00
db #bd, #c8, #85, #c3, #3c, #09, #00, #c0
db #c8, #5f, #f1, #5f, #f9, #ae, #e9, #ec
db #e2, #3f, #d3, #86, #c3, #86, #db, #89
db #f3, #c0, #10, #00, #c1, #d0, #10, #d9
db #10, #f9, #60, #c1, #ae, #f9, #fe, #c1
db #01, #c2, #fe, #c9, #01, #ca, #fe, #d1
db #fe, #e1, #01, #ea, #01, #f2, #01, #fa
db #51, #c2, #df, #c3, #43, #05, #00, #b9
db #d8, #a8, #e9, #ff, #e9, #4e, #c2, #82
db #eb, #03, #13, #00, #b9, #e0, #be, #e0
db #0e, #c1, #0e, #c9, #0a, #e1, #5a, #c1
db #5b, #d9, #59, #f1, #ac, #c9, #a8, #e1
db #e9, #c2, #e9, #ca, #e9, #d2, #e9, #da
db #e9, #e2, #39, #f3, #36, #fb, #82, #e3
db #88, #f3, #04, #01, #00, #bd, #e0, #40
db #05, #00, #c1, #e0, #a8, #f1, #b1, #f9
db #e3, #c3, #db, #db, #14, #01, #00, #bc
db #e8, #24, #01, #00, #bc, #f0, #84, #05
db #00, #bc, #f8, #0c, #c1, #9a, #d2, #87
db #eb, #da, #c3, #69, #01, #00, #c0, #f8
db #68, #02, #00, #10, #c1, #3a, #fb, #28
db #01, #00, #0c, #d1, #e1, #05, #00, #10
db #d1, #0d, #f1, #8b, #cb, #85, #f3, #d5
db #c3, #48, #03, #00, #0c, #d9, #38, #eb
db #86, #fb, #86, #02, #00, #0b, #e1, #ea
db #e2, #0c, #04, #00, #0c, #e1, #5a, #e1
db #af, #c1, #a9, #d1, #0b, #01, #00, #0b
db #f9, #06, #03, #00, #a9, #c1, #e9, #fa
db #37, #e3, #0e, #05, #00, #a9, #c9, #9a
db #da, #9a, #e2, #ec, #ea, #3d, #cb, #2c
db #04, #00, #ae, #e1, #4d, #ca, #89, #c3
db #86, #eb, #18, #04, #00, #ae, #f1, #3f
db #db, #3f, #eb, #3f, #f3, #83, #01, #00
db #ad, #f9, #41, #02, #00, #ff, #e1, #3a
db #c3, #30, #08, #00, #9c, #fa, #ec, #ca
db #ec, #d2, #ec, #da, #89, #fb, #8b, #fb
db #db, #cb, #df, #db, #20, #03, #00, #ed
db #ca, #ed, #d2, #da, #cb, #02, #03, #00
db #e9, #ea, #39, #c3, #8a, #cb, #34, #01
db #00, #e9, #f2, #58, #01, #00, #ed, #fa
db #52, #01, #00, #39, #cb, #94, #01, #00
db #3a, #cb, #16, #02, #00, #39, #d3, #39
db #e3, #96, #01, #00, #39, #db, #0a, #03
db #00, #3a, #e3, #3a, #eb, #3a, #f3, #5a
db #01, #00, #3e, #eb, #c3, #01, #00, #3d
db #fb, #b4, #03, #00, #8d, #c3, #87, #db
db #d4, #cb, #49, #01, #00, #86, #e3, #50
db #02, #00, #86, #f3, #d7, #cb, #92, #01
db #00, #84, #fb, #b0, #01, #00, #d6, #c3
db #12, #01, #00, #db, #d3
delta02:
db #3e, #07, #12, #00, #17, #c0, #17, #d0
db #b9, #c0, #0e, #d9, #5b, #c9, #5a, #d1
db #a9, #c1, #ad, #e9, #4d, #d2, #4d, #da
db #49, #e2, #4d, #e2, #e9, #da, #eb, #f2
db #36, #f3, #36, #fb, #3b, #fb, #86, #c3
db #87, #06, #00, #18, #c0, #bd, #f0, #0b
db #e1, #49, #ea, #8b, #c3, #86, #cb, #2d
db #07, #00, #1b, #c0, #1b, #d0, #1b, #f8
db #0b, #f1, #e9, #fa, #8c, #cb, #84, #d3
db #3c, #05, #00, #20, #c0, #20, #d0, #70
db #d0, #70, #f8, #c0, #c0, #80, #16, #00
db #22, #c0, #22, #d8, #22, #e0, #22, #e8
db #22, #f0, #22, #f8, #72, #c0, #bc, #d8
db #11, #c1, #60, #d1, #60, #e9, #ae, #f9
db #fe, #d9, #ea, #f2, #42, #d3, #87, #cb
db #86, #e3, #94, #eb, #94, #f3, #e3, #c3
db #dc, #d3, #db, #db, #0f, #24, #00, #18
db #c8, #1b, #e0, #18, #e8, #20, #f8, #6b
db #c0, #6b, #c8, #0b, #e9, #0c, #f1, #0b
db #f9, #5f, #e1, #49, #f2, #49, #fa, #99
db #c2, #99, #ca, #99, #d2, #99, #da, #99
db #e2, #99, #ea, #99, #f2, #9f, #f2, #39
db #c3, #37, #cb, #38, #cb, #37, #d3, #38
db #d3, #37, #db, #38, #db, #3b, #db, #37
db #e3, #38, #e3, #3b, #e3, #38, #eb, #3b
db #eb, #3b, #f3, #3c, #fb, #83, #d3, #0d
db #03, #00, #1b, #c8, #0b, #c9, #39, #d3
db #78, #12, #00, #21, #c8, #21, #d0, #21
db #d8, #21, #e0, #21, #e8, #21, #f8, #71
db #c0, #71, #c8, #70, #f0, #c0, #f8, #10
db #c1, #ae, #f1, #fd, #f1, #50, #c2, #99
db #fa, #8f, #e3, #d3, #cb, #d3, #d3, #01
db #0a, #00, #17, #d8, #17, #e0, #5b, #e1
db #59, #e9, #a8, #d9, #ff, #e1, #36, #c3
db #3f, #c3, #36, #cb, #3a, #e3, #1e, #0a
db #00, #20, #d8, #20, #e0, #4f, #ca, #e9
db #e2, #e9, #ea, #3d, #cb, #3e, #eb, #88
db #c3, #85, #eb, #d3, #c3, #4b, #08, #00
db #18, #e0, #0b, #d9, #3f, #e3, #3d, #fb
db #87, #c3, #8c, #c3, #83, #eb, #83, #fb
db #68, #03, #00, #21, #f0, #0c, #d1, #e9
db #c2, #25, #01, #00, #68, #c0, #43, #01
db #00, #68, #c8, #03, #0a, #00, #68, #d0
db #b9, #d8, #5b, #d1, #a8, #e9, #9d, #fa
db #36, #d3, #36, #db, #36, #e3, #36, #eb
db #82, #eb, #f0, #14, #00, #71, #d0, #c0
db #f0, #10, #d1, #fd, #e1, #fd, #e9, #88
db #db, #88, #eb, #8b, #eb, #8b, #f3, #92
db #f3, #85, #fb, #89, #fb, #8b, #fb, #db
db #c3, #da, #cb, #db, #cb, #da, #d3, #db
db #d3, #da, #db, #dd, #db, #52, #03, #00
db #71, #d8, #ff, #e9, #89, #cb, #00, #10
db #00, #68, #e8, #be, #f0, #ed, #ca, #ed
db #d2, #ed, #f2, #f0, #fa, #3a, #eb, #3a
db #f3, #3a, #fb, #8a, #c3, #88, #cb, #87
db #d3, #89, #d3, #89, #db, #93, #f3, #d8
db #db, #50, #01, #00, #71, #e8, #40, #03
db #00, #72, #f0, #0c, #d9, #51, #ca, #e0
db #0a, #00, #71, #f8, #10, #f1, #ad, #f9
db #50, #fa, #88, #d3, #93, #d3, #86, #db
db #93, #eb, #86, #f3, #89, #f3, #58, #02
db #00, #bc, #c8, #3f, #eb, #c1, #01, #00
db #bd, #c8, #a0, #02, #00, #c1, #c8, #0d
db #e9, #c0, #0b, #00, #c1, #d8, #c1, #e8
db #60, #c9, #01, #e2, #41, #c3, #93, #e3
db #91, #fb, #93, #fb, #d8, #c3, #d9, #c3
db #d6, #db, #10, #10, #00, #bc, #e0, #59
db #e1, #a8, #d1, #00, #ca, #ff, #d9, #9c
db #fa, #ed, #c2, #ed, #ea, #3a, #db, #35
db #fb, #8a, #db, #8a, #e3, #d6, #c3, #d7
db #d3, #d1, #db, #d9, #db, #a4, #01, #00
db #bd, #e0, #08, #13, #00, #c1, #e0, #c1
db #f0, #60, #d9, #5a, #f1, #a9, #e1, #4a
db #f2, #4a, #fa, #9a, #c2, #9a, #ca, #9a
db #d2, #9a, #da, #9a, #e2, #9a, #ea, #ea
db #da, #ea, #e2, #ea, #ea, #ed, #fa, #3a
db #d3, #8a, #cb, #16, #02, #00, #bc, #e8
db #bc, #f0, #61, #01, #00, #bd, #e8, #86
db #02, #00, #bc, #f8, #89, #c3, #48, #02
db #00, #0c, #c1, #9a, #f2, #e1, #03, #00
db #10, #d9, #a0, #ea, #89, #eb, #2c, #02
db #00, #0c, #e1, #85, #f3, #21, #04, #00
db #0a, #e9, #a8, #f1, #eb, #ea, #84, #cb
db #0e, #07, #00, #5a, #d9, #5f, #f1, #5f
db #f9, #ae, #d9, #9f, #fa, #39, #db, #85
db #e3, #0c, #08, #00, #5a, #e9, #a9, #d9
db #ae, #e1, #9a, #fa, #39, #e3, #39, #eb
db #39, #f3, #39, #fb, #20, #01, #00, #a8
db #f9, #30, #03, #00, #00, #d2, #d7, #c3
db #e0, #c3, #d0, #05, #00, #fe, #f1, #8a
db #f3, #86, #fb, #8a, #fb, #d9, #d3, #96
db #01, #00, #ff, #f1, #90, #04, #00, #fe
db #f9, #ea, #fa, #3f, #f3, #8a, #d3, #94
db #01, #00, #4d, #c2, #c3, #02, #00, #4e
db #c2, #86, #d3, #24, #02, #00, #4d, #ca
db #d7, #cb, #02, #01, #00, #49, #da, #84
db #02, #00, #a0, #f2, #ea, #d2, #04, #02
db #00, #ea, #c2, #ea, #ca, #12, #01, #00
db #ec, #c2, #b0, #0a, #00, #e9, #ca, #8f
db #d3, #87, #eb, #87, #f3, #87, #fb, #d4
db #c3, #d6, #cb, #d6, #d3, #d8, #d3, #d7
db #db, #70, #09, #00, #e9, #d2, #88, #f3
db #8f, #f3, #88, #fb, #8f, #fb, #92, #fb
db #d8, #cb, #d9, #cb, #df, #db, #1c, #01
db #00, #ec, #e2, #5a, #01, #00, #e9, #f2
db #81, #03, #00, #3a, #c3, #3a, #cb, #86
db #eb, #69, #02, #00, #39, #cb, #84, #eb
db #b4, #02, #00, #3f, #cb, #d4, #d3, #49
db #01, #00, #85, #c3, #41, #01, #00, #87
db #db, #92, #01, #00, #87, #e3, #c2, #02
db #00, #89, #e3, #de, #cb, #18, #01, #00
db #8a, #eb, #d2, #01, #00, #da, #c3
delta03:
db #41, #0f, #32, #00, #18, #c0, #1b, #c0
db #1b, #c8, #1b, #d0, #18, #e0, #1b, #f8
db #bd, #f0, #0b, #c9, #0b, #d9, #0b, #e1
db #0b, #f1, #5b, #c9, #5f, #f1, #ae, #d9
db #48, #da, #48, #e2, #48, #ea, #48, #f2
db #48, #fa, #4f, #fa, #98, #c2, #98, #ca
db #98, #d2, #9f, #fa, #e7, #ea, #e6, #f2
db #e7, #f2, #e6, #fa, #e7, #fa, #36, #c3
db #37, #c3, #3a, #c3, #36, #cb, #3a, #cb
db #35, #d3, #36, #d3, #3a, #d3, #35, #db
db #36, #db, #35, #e3, #3f, #e3, #35, #eb
db #3a, #f3, #3a, #fb, #3b, #fb, #8a, #c3
db #8b, #c3, #83, #eb, #84, #eb, #83, #fb
db #2d, #05, #00, #20, #c0, #20, #d0, #0b
db #d1, #3a, #e3, #d3, #c3, #c0, #0e, #00
db #22, #c0, #22, #c8, #22, #e0, #bd, #c8
db #c1, #e0, #c1, #f0, #51, #ca, #51, #da
db #43, #f3, #85, #f3, #93, #f3, #e3, #c3
db #e3, #cb, #d5, #db, #03, #12, #00, #17
db #c8, #17, #d0, #68, #c8, #b9, #d0, #be
db #d8, #0a, #d9, #5a, #c9, #59, #f9, #47
db #c2, #47, #ca, #47, #d2, #47, #da, #47
db #e2, #47, #ea, #47, #f2, #47, #fa, #e9
db #ca, #e5, #f2, #3c, #0b, #00, #20, #c8
db #20, #f0, #20, #f8, #70, #f0, #bc, #c8
db #c0, #e0, #3e, #eb, #3e, #f3, #8d, #c3
db #84, #e3, #d4, #c3, #40, #05, #00, #22
db #d0, #22, #d8, #51, #d2, #86, #f3, #df
db #c3, #21, #07, #00, #17, #d8, #0e, #c1
db #a8, #e9, #97, #c2, #e6, #ea, #e9, #f2
db #3f, #c3, #f0, #1f, #00, #21, #e0, #21
db #e8, #21, #f0, #21, #f8, #71, #c0, #71
db #d8, #71, #e0, #71, #f8, #10, #d9, #10
db #e9, #fe, #d1, #50, #fa, #98, #e2, #a0
db #ea, #87, #c3, #8b, #cb, #8f, #d3, #93
db #d3, #86, #db, #8a, #db, #8a, #e3, #8f
db #e3, #85, #eb, #8f, #eb, #8e, #fb, #d3
db #d3, #d8, #d3, #d7, #db, #d8, #db, #db
db #db, #e2, #db, #00, #2e, #00, #17, #e8
db #68, #d8, #68, #e0, #72, #f0, #bc, #e0
db #b9, #f8, #59, #e1, #5b, #e9, #a8, #d1
db #ff, #d9, #49, #da, #49, #e2, #49, #ea
db #49, #f2, #4a, #f2, #4a, #fa, #9a, #c2
db #9a, #ca, #9a, #d2, #9a, #da, #9a, #e2
db #9a, #ea, #9a, #f2, #9a, #fa, #ea, #c2
db #ea, #ca, #ea, #d2, #ea, #da, #38, #cb
db #39, #e3, #38, #f3, #87, #eb, #94, #eb
db #87, #f3, #94, #f3, #87, #fb, #88, #fb
db #92, #fb, #d7, #c3, #d8, #c3, #e0, #c3
db #d6, #cb, #d6, #d3, #d1, #db, #d6, #db
db #e1, #db, #87, #06, #00, #18, #f0, #0e
db #e1, #ff, #f1, #35, #cb, #3a, #db, #83
db #d3, #07, #0a, #00, #18, #f8, #69, #f8
db #be, #d0, #0a, #c9, #a9, #c9, #4e, #ca
db #9d, #d2, #e5, #fa, #35, #c3, #85, #c3
db #61, #02, #00, #68, #c0, #e9, #ea, #1e
db #08, #00, #6b, #c0, #5f, #d9, #ae, #e1
db #e8, #ca, #ec, #ea, #3e, #d3, #8c, #c3
db #84, #cb, #e0, #18, #00, #71, #c8, #c1
db #c8, #0d, #e9, #10, #f9, #fd, #c1, #01
db #c2, #fe, #e1, #fd, #f1, #a0, #c2, #38
db #eb, #85, #db, #87, #db, #89, #db, #89
db #e3, #93, #e3, #89, #eb, #89, #fb, #91
db #fb, #93, #fb, #d9, #c3, #d9, #cb, #de
db #cb, #d4, #db, #d9, #db, #80, #0e, #00
db #72, #c8, #72, #d0, #72, #d8, #11, #c9
db #60, #d9, #60, #e1, #af, #d9, #01, #e2
db #a1, #ca, #a1, #d2, #ed, #f2, #39, #fb
db #86, #fb, #d6, #c3, #01, #13, #00, #68
db #d0, #be, #e0, #b9, #e8, #0a, #e9, #5a
db #c1, #59, #f1, #a8, #e1, #a8, #f1, #f7
db #f1, #f7, #f9, #97, #ca, #97, #d2, #97
db #da, #e7, #da, #eb, #ea, #e9, #fa, #39
db #c3, #39, #cb, #39, #eb, #78, #06, #00
db #71, #e8, #70, #f8, #c0, #c0, #10, #e1
db #8a, #f3, #d2, #d3, #d0, #08, #00, #71
db #f0, #fe, #f9, #88, #c3, #86, #cb, #87
db #cb, #87, #d3, #d5, #c3, #dc, #d3, #68
db #02, #00, #c1, #c0, #ae, #f1, #a4, #01
db #00, #c1, #d0, #08, #0d, #00, #bc, #d8
db #0c, #d1, #11, #d1, #5a, #f9, #af, #d1
db #a9, #e9, #f8, #e9, #49, #fa, #99, #c2
db #99, #ca, #ea, #f2, #38, #d3, #39, #db
db #a0, #03, #00, #c1, #d8, #fe, #d9, #86
db #d3, #42, #02, #00, #bd, #e0, #e7, #e2
db #12, #02, #00, #bc, #e8, #e9, #c2, #d2
db #04, #00, #bd, #e8, #e8, #c2, #e8, #da
db #38, #e3, #09, #02, #00, #be, #e8, #3f
db #eb, #06, #02, #00, #bc, #f8, #35, #fb
db #4a, #01, #00, #0c, #c1, #43, #04, #00
db #0e, #d1, #e9, #d2, #e9, #da, #e9, #e2
db #0c, #0a, #00, #0c, #d9, #af, #c9, #ae
db #e9, #f8, #f1, #f8, #f9, #99, #d2, #99
db #da, #ea, #fa, #89, #cb, #84, #d3, #0e
db #0d, #00, #0c, #e1, #5a, #e1, #af, #c1
db #a9, #d1, #48, #c2, #48, #ca, #48, #d2
db #99, #e2, #99, #ea, #36, #e3, #35, #f3
db #37, #f3, #84, #db, #86, #02, #00, #0b
db #e9, #5a, #d9, #4b, #02, #00, #5b, #c1
db #84, #f3, #c2, #04, #00, #60, #c1, #a0
db #f2, #89, #d3, #d9, #d3, #84, #02, #00
db #60, #d1, #89, #c3, #48, #02, #00, #5a
db #f1, #ee, #c2, #10, #0c, #00, #ac, #d9
db #97, #e2, #97, #f2, #97, #fa, #e7, #c2
db #e7, #ca, #e7, #d2, #37, #e3, #37, #eb
db #39, #f3, #84, #c3, #87, #e3, #30, #06
db #00, #a8, #f9, #fd, #f9, #9c, #fa, #d7
db #cb, #da, #d3, #da, #db, #60, #03, #00
db #b1, #f9, #86, #eb, #da, #c3, #70, #05
db #00, #fd, #e9, #98, #ea, #86, #e3, #8a
db #fb, #d7, #d3, #90, #03, #00, #fe, #f1
db #37, #fb, #85, #d3, #34, #01, #00, #4d
db #c2, #83, #01, #00, #4e, #c2, #16, #02
db #00, #4d, #ca, #ec, #e2, #e1, #07, #00
db #50, #f2, #86, #c3, #88, #cb, #8a, #d3
db #8a, #eb, #d4, #cb, #d4, #d3, #c1, #01
db #00, #98, #da, #02, #02, #00, #99, #f2
db #99, #fa, #c3, #02, #00, #98, #fa, #3d
db #fb, #20, #03, #00, #ed, #ca, #ed, #d2
db #39, #d3, #96, #02, #00, #e8, #d2, #38
db #fb, #5a, #01, #00, #e8, #e2, #58, #04
db #00, #ed, #fa, #3f, #db, #36, #eb, #85
db #fb, #85, #01, #00, #3f, #cb, #18, #01
db #00, #3f, #d3, #0d, #01, #00, #3a, #eb
db #92, #02, #00, #36, #f3, #88, #db, #25
db #01, #00, #36, #fb, #1c, #01, #00, #85
db #cb, #a5, #01, #00, #8a, #cb, #b4, #05
db #00, #8c, #cb, #8f, #db, #85, #e3, #d8
db #cb, #d5, #d3, #b0, #02, #00, #88, #d3
db #88, #eb, #52, #01, #00, #88, #f3, #29
db #01, #00, #84, #fb, #38, #01, #00, #d5
db #cb, #24, #01, #00, #da, #cb
delta04:
db #3d, #80, #0f, #00, #22, #c0, #22, #c8
db #22, #d0, #22, #d8, #22, #e0, #11, #d1
db #51, #da, #a1, #da, #ea, #f2, #41, #c3
db #39, #e3, #38, #f3, #86, #d3, #94, #eb
db #e3, #c3, #07, #0f, #00, #17, #c8, #18
db #c8, #17, #d0, #68, #c0, #b9, #d0, #b9
db #d8, #be, #d8, #0a, #d9, #5b, #d1, #5a
db #d9, #ad, #f1, #47, #d2, #97, #d2, #97
db #da, #35, #cb, #2d, #0c, #00, #1b, #c8
db #1b, #d0, #1b, #e0, #1b, #e8, #6b, #c0
db #9f, #d2, #3f, #cb, #3a, #fb, #8a, #c3
db #8c, #c3, #84, #d3, #d2, #c3, #e0, #0e
db #00, #21, #c8, #21, #d0, #71, #f8, #fd
db #d1, #50, #fa, #87, #c3, #93, #d3, #92
db #f3, #e2, #c3, #e2, #cb, #d9, #d3, #de
db #d3, #de, #db, #e2, #db, #3c, #08, #00
db #20, #d0, #70, #f8, #c0, #c0, #c0, #d0
db #c0, #d8, #c0, #e8, #bd, #f0, #4d, #ca
db #03, #0c, #00, #17, #d8, #17, #e0, #68
db #d0, #be, #e0, #b9, #e8, #0e, #d1, #0a
db #e9, #5a, #d1, #a9, #c1, #e7, #c2, #e7
db #ca, #e6, #f2, #0d, #03, #00, #1b, #d8
db #0b, #f9, #3a, #f3, #f0, #13, #00, #21
db #d8, #10, #c1, #10, #e1, #0d, #e9, #0d
db #f1, #fd, #c1, #50, #c2, #50, #f2, #3e
db #eb, #93, #c3, #87, #cb, #87, #d3, #87
db #e3, #88, #eb, #8a, #eb, #88, #f3, #92
db #fb, #d3, #cb, #d5, #cb, #01, #0e, #00
db #17, #e8, #68, #e0, #be, #e8, #b9, #f8
db #0e, #c1, #5b, #e9, #ac, #d9, #a8, #e9
db #ff, #e9, #ed, #ea, #39, #db, #39, #f3
db #39, #fb, #84, #c3, #4b, #06, #00, #18
db #e8, #0b, #e1, #0d, #f9, #3a, #c3, #3a
db #cb, #84, #e3, #00, #2b, #00, #22, #e8
db #22, #f0, #22, #f8, #72, #c0, #72, #c8
db #72, #d0, #72, #d8, #0a, #f9, #59, #e9
db #a8, #d9, #ae, #f9, #b1, #f9, #ff, #e1
db #f8, #e9, #f7, #f1, #f8, #f1, #f7, #f9
db #f8, #f9, #47, #c2, #48, #c2, #48, #ca
db #48, #d2, #48, #da, #49, #fa, #99, #c2
db #99, #ca, #99, #d2, #ed, #ca, #ed, #d2
db #ea, #e2, #e6, #ea, #ea, #ea, #e5, #f2
db #38, #d3, #42, #d3, #38, #fb, #89, #c3
db #93, #f3, #85, #fb, #d6, #c3, #d7, #cb
db #d8, #cb, #d7, #d3, #10, #0b, #00, #17
db #f0, #be, #f8, #4e, #c2, #9c, #fa, #ec
db #c2, #e5, #fa, #3f, #c3, #37, #f3, #d8
db #d3, #df, #d3, #db, #db, #0f, #1f, #00
db #18, #f0, #18, #f8, #69, #f8, #bc, #c8
db #bd, #c8, #be, #d0, #0a, #c9, #0a, #d1
db #0b, #d1, #0e, #e1, #5b, #c1, #5f, #c9
db #5f, #d9, #47, #da, #47, #e2, #47, #ea
db #4f, #ea, #47, #f2, #47, #fa, #97, #c2
db #97, #ca, #98, #da, #3a, #db, #36, #e3
db #37, #e3, #38, #e3, #3e, #e3, #35, #f3
db #3d, #fb, #84, #db, #d2, #cb, #1e, #08
db #00, #20, #f0, #20, #f8, #6b, #c8, #0b
db #e9, #0f, #f9, #4f, #f2, #3e, #db, #3c
db #fb, #d2, #04, #00, #21, #f0, #21, #f8
db #a0, #f2, #88, #e3, #58, #02, #00, #71
db #c0, #4d, #c2, #05, #01, #00, #68, #c8
db #87, #0b, #00, #6d, #c8, #6c, #d0, #b9
db #c0, #bd, #e8, #ad, #e9, #9d, #d2, #e8
db #e2, #e8, #ea, #35, #d3, #84, #cb, #8a
db #cb, #78, #0c, #00, #70, #c8, #71, #c8
db #71, #d0, #c0, #c8, #c0, #f0, #0c, #d1
db #00, #e2, #fd, #f9, #3e, #f3, #8a, #e3
db #8f, #eb, #d5, #d3, #21, #07, #00, #68
db #d8, #ac, #d1, #a8, #f9, #e7, #d2, #e8
db #f2, #39, #d3, #88, #fb, #34, #02, #00
db #71, #e8, #85, #cb, #30, #06, #00, #71
db #f0, #bc, #e8, #97, #ea, #e7, #ea, #e0
db #c3, #df, #db, #68, #03, #00, #c1, #d0
db #86, #cb, #89, #e3, #40, #06, #00, #c1
db #d8, #bd, #e0, #fe, #c1, #fe, #c9, #44
db #fb, #e3, #cb, #08, #0d, #00, #bc, #e0
db #c8, #f0, #0c, #d9, #60, #e9, #aa, #c1
db #a9, #f1, #48, #e2, #48, #ea, #99, #da
db #99, #e2, #ed, #f2, #38, #db, #89, #cb
db #84, #04, #00, #be, #f0, #0c, #e1, #99
db #fa, #ee, #c2, #2c, #02, #00, #bd, #f8
db #38, #eb, #0e, #0c, #00, #0c, #c1, #a9
db #d9, #ae, #e1, #98, #c2, #98, #ca, #e8
db #ca, #e8, #d2, #ec, #ea, #3d, #cb, #36
db #eb, #35, #fb, #85, #c3, #c0, #0d, #00
db #60, #d1, #60, #d9, #01, #c2, #fe, #d1
db #01, #da, #fe, #e1, #fe, #f1, #42, #db
db #93, #cb, #86, #fb, #93, #fb, #dc, #d3
db #d9, #db, #0c, #08, #00, #5a, #f1, #a9
db #e1, #48, #f2, #48, #fa, #99, #ea, #99
db #f2, #88, #c3, #89, #d3, #86, #01, #00
db #a9, #d1, #48, #02, #00, #af, #d1, #89
db #db, #1c, #02, #00, #ae, #e9, #85, #d3
db #28, #01, #00, #ae, #f1, #c3, #04, #00
db #ad, #f9, #98, #e2, #98, #ea, #8a, #db
db #20, #04, #00, #f8, #c1, #9c, #e2, #97
db #f2, #39, #eb, #70, #07, #00, #00, #da
db #ff, #f1, #86, #eb, #db, #c3, #da, #d3
db #d7, #db, #da, #db, #d0, #03, #00, #fd
db #e1, #fe, #e9, #fd, #f1, #60, #03, #00
db #fd, #e9, #86, #f3, #da, #cb, #16, #03
db #00, #ff, #f9, #97, #e2, #e9, #da, #06
db #03, #00, #47, #ca, #e9, #ca, #e9, #d2
db #83, #01, #00, #4e, #ca, #96, #01, #00
db #4d, #d2, #c1, #02, #00, #98, #f2, #88
db #cb, #18, #05, #00, #98, #fa, #ea, #fa
db #3f, #db, #3f, #f3, #d5, #c3, #5a, #05
db #00, #9f, #fa, #e8, #c2, #e8, #da, #8a
db #d3, #84, #f3, #24, #01, #00, #e9, #c2
db #81, #03, #00, #e7, #e2, #37, #eb, #36
db #f3, #43, #03, #00, #e9, #ea, #e9, #f2
db #e9, #fa, #09, #01, #00, #ed, #fa, #90
db #05, #00, #3f, #d3, #85, #db, #88, #db
db #87, #eb, #91, #fb, #02, #01, #00, #36
db #fb, #c2, #01, #00, #37, #fb, #a4, #01
db #00, #86, #c3, #e1, #03, #00, #88, #d3
db #d3, #c3, #d4, #db, #92, #02, #00, #86
db #db, #84, #fb, #b0, #05, #00, #8f, #db
db #85, #e3, #85, #eb, #dc, #cb, #d5, #db
db #a0, #01, #00, #93, #eb, #b4, #01, #00
db #85, #f3, #69, #02, #00, #8a, #f3, #8a
db #fb, #a5, #01, #00, #d4, #cb
delta05:
db #3e, #16, #02, #00, #17, #c0, #e7, #d2
db #0f, #3b, #00, #20, #c0, #18, #c8, #1b
db #c8, #1b, #d0, #1b, #d8, #1b, #e0, #18
db #e8, #1b, #e8, #68, #c0, #6b, #c0, #6d
db #c8, #6c, #d0, #b9, #c0, #b9, #c8, #bc
db #d0, #0b, #e9, #0b, #f9, #5f, #e9, #5c
db #f9, #ad, #e9, #4f, #c2, #4f, #ca, #4d
db #da, #4d, #e2, #4d, #ea, #9f, #d2, #e8
db #c2, #e8, #ca, #e8, #d2, #3a, #cb, #3e
db #d3, #3e, #db, #3a, #e3, #36, #eb, #37
db #eb, #36, #f3, #37, #f3, #3a, #f3, #3e
db #f3, #35, #fb, #36, #fb, #37, #fb, #3a
db #fb, #3c, #fb, #8a, #c3, #8c, #c3, #8d
db #c3, #85, #cb, #8b, #cb, #8c, #cb, #84
db #d3, #84, #e3, #82, #fb, #84, #fb, #d2
db #c3, #d3, #c3, #d4, #c3, #d2, #d3, #d3
db #d3, #f0, #1c, #00, #21, #c0, #21, #f8
db #70, #f0, #70, #f8, #c0, #c0, #c0, #f8
db #fd, #e1, #fd, #e9, #fd, #f1, #a0, #c2
db #43, #fb, #93, #cb, #93, #d3, #8f, #db
db #93, #db, #87, #eb, #86, #fb, #88, #fb
db #d5, #c3, #d7, #c3, #d8, #c3, #da, #c3
db #e2, #c3, #d8, #cb, #e2, #cb, #d8, #d3
db #da, #db, #e2, #db, #00, #40, #00, #22
db #c0, #22, #c8, #22, #d0, #22, #d8, #22
db #e0, #bd, #e0, #bc, #e8, #be, #f8, #11
db #d1, #0d, #e9, #af, #d9, #fe, #c9, #00
db #ca, #fe, #d9, #fe, #e1, #ff, #e9, #51
db #c2, #47, #ca, #47, #d2, #47, #da, #47
db #e2, #48, #e2, #47, #ea, #48, #ea, #48
db #f2, #48, #fa, #98, #c2, #a1, #c2, #98
db #ca, #a1, #ca, #98, #d2, #a1, #d2, #98
db #da, #9c, #da, #a1, #da, #98, #e2, #98
db #ea, #98, #f2, #97, #fa, #e9, #ca, #e9
db #d2, #e9, #e2, #e9, #ea, #ea, #f2, #ed
db #f2, #e5, #fa, #ea, #fa, #35, #c3, #35
db #cb, #35, #d3, #35, #db, #38, #db, #38
db #e3, #38, #eb, #38, #f3, #89, #cb, #87
db #d3, #88, #d3, #88, #db, #94, #eb, #92
db #f3, #90, #fb, #e3, #cb, #d7, #db, #69
db #03, #00, #20, #c8, #20, #d0, #20, #e0
db #d0, #07, #00, #21, #c8, #21, #d0, #37
db #c3, #3f, #cb, #86, #f3, #88, #f3, #dc
db #cb, #07, #10, #00, #18, #d8, #68, #c8
db #68, #d0, #6c, #d8, #bd, #f0, #0e, #e1
db #9d, #d2, #e6, #ea, #e6, #f2, #e6, #fa
db #39, #d3, #35, #e3, #35, #eb, #87, #c3
db #83, #d3, #82, #eb, #2d, #05, #00, #20
db #d8, #0c, #c9, #85, #c3, #d3, #cb, #d2
db #db, #d2, #04, #00, #21, #d8, #c0, #f0
db #88, #eb, #8a, #f3, #3c, #0d, #00, #20
db #e8, #20, #f0, #5f, #d9, #5f, #f1, #e7
db #e2, #e7, #ea, #e7, #fa, #3f, #e3, #86
db #c3, #8a, #cb, #8c, #d3, #85, #eb, #d3
db #db, #e1, #0e, #00, #21, #e8, #c0, #c8
db #c0, #d8, #bd, #f8, #0d, #f9, #4e, #ca
db #50, #e2, #50, #fa, #3e, #fb, #8b, #d3
db #8a, #fb, #d4, #cb, #da, #cb, #da, #d3
db #01, #0f, #00, #17, #f0, #68, #d8, #68
db #e8, #68, #f0, #09, #c1, #0a, #f9, #59
db #f9, #a8, #f9, #99, #ea, #e7, #c2, #e7
db #ca, #e6, #da, #3f, #c3, #36, #d3, #d1
db #db, #b4, #06, #00, #21, #f0, #00, #e2
db #ec, #e2, #3f, #fb, #8e, #c3, #8a, #e3
db #4b, #03, #00, #18, #f8, #5b, #c9, #84
db #eb, #78, #0b, #00, #20, #f8, #70, #c0
db #70, #d0, #70, #d8, #70, #e0, #70, #e8
db #c0, #e0, #c0, #e8, #4d, #c2, #8d, #d3
db #8d, #db, #e0, #0b, #00, #71, #c0, #71
db #d0, #c1, #c0, #10, #e9, #4e, #c2, #50
db #ea, #50, #f2, #99, #fa, #87, #e3, #93
db #eb, #93, #f3, #0d, #03, #00, #6b, #c8
db #e8, #e2, #38, #cb, #a4, #01, #00, #71
db #c8, #0e, #04, #00, #6b, #d0, #0c, #e9
db #5a, #e9, #ae, #e9, #68, #03, #00, #71
db #d8, #71, #e0, #c0, #d0, #03, #09, #00
db #68, #e0, #b9, #f0, #5b, #e1, #ac, #d1
db #a8, #f1, #e6, #e2, #3a, #c3, #39, #e3
db #39, #eb, #60, #06, #00, #71, #e8, #71
db #f0, #d9, #c3, #d6, #cb, #d6, #d3, #dc
db #db, #49, #01, #00, #bd, #d0, #c0, #0f
db #00, #c1, #d0, #c1, #d8, #60, #c1, #01
db #e2, #41, #cb, #42, #e3, #88, #cb, #93
db #e3, #87, #fb, #db, #c3, #d5, #cb, #d9
db #cb, #d6, #db, #db, #db, #e3, #db, #40
db #06, #00, #bd, #e8, #0c, #e1, #ae, #f9
db #01, #c2, #01, #fa, #e9, #c2, #21, #03
db #00, #be, #e8, #f8, #c1, #39, #f3, #30
db #09, #00, #bc, #f0, #00, #da, #ff, #f1
db #36, #cb, #39, #fb, #87, #cb, #86, #db
db #91, #fb, #df, #d3, #80, #15, #00, #be
db #f0, #c1, #f0, #60, #e9, #fe, #c1, #01
db #ca, #fe, #d1, #01, #d2, #fe, #e9, #fe
db #f1, #fe, #f9, #51, #ca, #51, #d2, #99
db #ca, #e9, #da, #42, #db, #44, #fb, #94
db #d3, #94, #db, #94, #e3, #89, #f3, #d5
db #db, #1e, #19, #00, #bf, #f0, #0b, #c9
db #0f, #c9, #0f, #d1, #0f, #d9, #0f, #e1
db #0f, #e9, #0c, #f1, #5f, #c1, #5f, #d1
db #5f, #e1, #5f, #f9, #4d, #d2, #4f, #da
db #4f, #ea, #4f, #fa, #9f, #c2, #9f, #da
db #9f, #e2, #9f, #ea, #3d, #cb, #3e, #eb
db #8d, #cb, #8c, #db, #8a, #eb, #52, #01
db #00, #bc, #f8, #86, #01, #00, #0c, #c1
db #5a, #03, #00, #0c, #d1, #88, #c3, #85
db #d3, #48, #04, #00, #0c, #d9, #ee, #c2
db #85, #db, #85, #e3, #43, #04, #00, #0a
db #e1, #a9, #c9, #36, #c3, #39, #db, #0b
db #03, #00, #0b, #e1, #3a, #eb, #84, #f3
db #c2, #02, #00, #10, #f9, #a0, #f2, #87
db #07, #00, #5b, #d1, #ad, #f1, #4e, #d2
db #4d, #f2, #4d, #fa, #e8, #da, #36, #db
db #08, #05, #00, #60, #d9, #af, #d1, #51
db #f2, #9a, #e2, #38, #fb, #06, #04, #00
db #5a, #e1, #a9, #d1, #39, #c3, #39, #cb
db #10, #09, #00, #a8, #e1, #00, #d2, #99
db #da, #99, #e2, #ed, #ea, #f0, #fa, #89
db #db, #d7, #cb, #d8, #db, #0c, #02, #00
db #a9, #e9, #ae, #f1, #b0, #03, #00, #fd
db #c1, #86, #eb, #85, #fb, #a0, #03, #00
db #fd, #c9, #9a, #d2, #e3, #d3, #70, #07
db #00, #ff, #f9, #89, #c3, #89, #d3, #d6
db #c3, #e0, #c3, #dd, #db, #df, #db, #02
db #04, #00, #47, #f2, #47, #fa, #97, #c2
db #97, #f2, #12, #02, #00, #97, #ca, #99
db #f2, #81, #02, #00, #97, #d2, #97, #da
db #84, #06, #00, #9a, #da, #e8, #f2, #e8
db #fa, #86, #cb, #88, #e3, #89, #fb, #04
db #03, #00, #97, #e2, #e9, #f2, #e9, #fa
db #24, #01, #00, #97, #ea, #20, #04, #00
db #98, #fa, #ed, #ca, #ec, #d2, #ed, #d2
db #82, #01, #00, #e7, #da, #1c, #03, #00
db #e8, #ea, #e7, #f2, #8a, #db, #18, #02
db #00, #ed, #fa, #3f, #d3, #85, #03, #00
db #38, #c3, #38, #d3, #8a, #d3, #90, #02
db #00, #37, #cb, #86, #d3, #1a, #01, #00
db #3f, #db, #38, #02, #00, #3f, #eb, #3f
db #f3, #41, #01, #00, #84, #cb, #2c, #01
db #00, #87, #db, #50, #04, #00, #89, #e3
db #89, #eb, #87, #f3, #d5, #d3, #34, #01
db #00, #85, #f3
delta06:
db #40, #0b, #06, #00, #17, #c0, #18, #c0
db #17, #c8, #17, #d0, #6b, #d0, #5b, #c9
db #3c, #1e, #00, #19, #c0, #1a, #c8, #1f
db #d0, #6f, #d0, #6f, #e8, #6f, #f8, #bf
db #c0, #bf, #c8, #bf, #d8, #bf, #e0, #bf
db #e8, #bf, #f0, #bf, #f8, #0f, #c9, #0f
db #d1, #0f, #d9, #0f, #e1, #0f, #e9, #0f
db #f9, #5f, #c1, #5f, #c9, #5f, #d1, #5f
db #e1, #4d, #d2, #4f, #d2, #4f, #e2, #47
db #fa, #9f, #f2, #88, #d3, #8b, #eb, #d2
db #04, #00, #1a, #c0, #c0, #c0, #8f, #c3
db #8b, #f3, #c3, #09, #00, #1b, #c0, #5d
db #c1, #e9, #ea, #e9, #f2, #e9, #fa, #37
db #d3, #37, #db, #89, #d3, #89, #e3, #2d
db #08, #00, #1f, #c0, #18, #e0, #1f, #e0
db #0b, #d9, #4f, #da, #e8, #e2, #3d, #c3
db #86, #cb, #78, #0b, #00, #20, #c0, #0f
db #c1, #0f, #f1, #5f, #d9, #5f, #e9, #47
db #f2, #40, #e3, #36, #eb, #3f, #fb, #8e
db #f3, #89, #fb, #48, #04, #00, #21, #c0
db #0c, #e9, #ae, #f9, #a0, #f2, #4b, #09
db #00, #19, #c8, #68, #c8, #69, #f8, #3a
db #cb, #87, #c3, #8a, #d3, #8d, #e3, #89
db #eb, #8a, #eb, #87, #10, #00, #1b, #c8
db #19, #d0, #1b, #d0, #1b, #d8, #1b, #e0
db #1b, #e8, #18, #f0, #0c, #d1, #0e, #e1
db #4e, #da, #e8, #f2, #35, #d3, #35, #db
db #8b, #db, #d4, #cb, #d4, #d3, #1e, #1b
db #00, #1f, #c8, #1a, #d0, #1a, #d8, #1f
db #d8, #1f, #e8, #1f, #f8, #68, #c0, #6f
db #c0, #6f, #c8, #6f, #d8, #6f, #e0, #bf
db #d0, #0b, #d1, #5c, #c1, #4f, #ca, #4d
db #da, #97, #c2, #9f, #ca, #e8, #c2, #e8
db #ca, #e8, #da, #3a, #fb, #8e, #c3, #8e
db #cb, #8c, #e3, #8c, #eb, #84, #f3, #e0
db #18, #00, #20, #c8, #20, #d0, #20, #d8
db #20, #e0, #70, #d8, #70, #e0, #10, #e1
db #10, #f9, #60, #c1, #60, #c9, #fd, #e9
db #48, #c2, #50, #da, #a0, #ea, #41, #d3
db #37, #e3, #42, #eb, #85, #c3, #94, #d3
db #94, #db, #86, #eb, #86, #fb, #e2, #c3
db #e4, #db, #c0, #12, #00, #21, #c8, #21
db #e0, #21, #e8, #21, #f0, #21, #f8, #71
db #c0, #71, #c8, #71, #d0, #71, #e0, #71
db #f8, #c1, #f0, #60, #e1, #01, #d2, #fd
db #d9, #fd, #e1, #87, #db, #86, #e3, #92
db #eb, #40, #0a, #00, #21, #d0, #21, #d8
db #71, #d8, #b1, #d1, #b1, #f1, #f8, #c9
db #94, #eb, #d6, #c3, #d8, #c3, #d5, #d3
db #21, #09, #00, #17, #d8, #17, #f0, #68
db #e8, #0e, #d1, #0d, #f9, #96, #d2, #39
db #cb, #39, #d3, #82, #db, #0f, #42, #00
db #18, #d8, #18, #f8, #6b, #c8, #68, #d0
db #6c, #d8, #b9, #d0, #bd, #d0, #bc, #d8
db #be, #d8, #be, #e0, #0a, #d9, #0b, #e1
db #5b, #d1, #ac, #c1, #4d, #f2, #4d, #fa
db #9d, #c2, #97, #ca, #9d, #ca, #97, #d2
db #9d, #d2, #97, #da, #98, #da, #9d, #da
db #97, #e2, #98, #e2, #9d, #e2, #9f, #e2
db #97, #ea, #98, #ea, #9d, #ea, #9f, #ea
db #97, #f2, #98, #f2, #9d, #f2, #eb, #f2
db #e7, #fa, #36, #c3, #37, #c3, #3a, #c3
db #35, #cb, #36, #cb, #37, #cb, #3d, #cb
db #3e, #cb, #36, #d3, #3a, #eb, #3e, #eb
db #3e, #fb, #88, #c3, #88, #cb, #89, #cb
db #8a, #cb, #8d, #cb, #8b, #d3, #8c, #d3
db #8d, #d3, #8c, #db, #8d, #db, #8a, #e3
db #8b, #e3, #82, #f3, #89, #f3, #d3, #cb
db #d2, #db, #d3, #db, #03, #12, #00, #17
db #e8, #68, #f0, #be, #f0, #b9, #f8, #0a
db #f1, #0a, #f9, #5a, #d9, #5b, #e9, #a9
db #c9, #a8, #f9, #ad, #f9, #f8, #c1, #96
db #ca, #ed, #c2, #eb, #ea, #39, #c3, #3f
db #c3, #39, #db, #f0, #3a, #00, #20, #e8
db #20, #f8, #70, #c0, #70, #d0, #70, #e8
db #c0, #c8, #c0, #d8, #c0, #e0, #c0, #e8
db #c0, #f0, #0c, #d9, #10, #e9, #00, #da
db #00, #e2, #4f, #c2, #48, #ca, #4e, #ca
db #48, #d2, #48, #da, #48, #e2, #50, #e2
db #48, #ea, #50, #ea, #48, #f2, #50, #f2
db #50, #fa, #40, #c3, #36, #db, #35, #e3
db #36, #e3, #35, #eb, #35, #f3, #3f, #f3
db #85, #cb, #89, #db, #88, #e3, #86, #f3
db #8f, #f3, #92, #f3, #93, #f3, #8a, #fb
db #8f, #fb, #91, #fb, #db, #c3, #de, #c3
db #df, #c3, #e0, #c3, #da, #cb, #dc, #cb
db #de, #cb, #dc, #d3, #de, #d3, #db, #db
db #dd, #db, #de, #db, #df, #db, #e0, #db
db #e3, #db, #e1, #06, #00, #20, #f0, #70
db #c8, #4e, #d2, #35, #fb, #8a, #f3, #db
db #d3, #01, #1b, #00, #17, #f8, #67, #c0
db #68, #f8, #09, #c9, #5a, #c9, #5b, #f1
db #a9, #c1, #ac, #e1, #a8, #f1, #fc, #d1
db #fc, #d9, #fc, #e1, #fc, #e9, #fc, #f1
db #fc, #f9, #46, #fa, #96, #da, #96, #e2
db #96, #ea, #e7, #da, #e7, #e2, #e7, #ea
db #e6, #f2, #ea, #fa, #39, #fb, #d1, #cb
db #d1, #d3, #07, #10, #00, #68, #d8, #68
db #e0, #69, #e0, #b9, #e0, #be, #e8, #0a
db #e1, #0a, #e9, #0b, #f1, #5b, #d9, #5a
db #e1, #ac, #c9, #a9, #d1, #ad, #f1, #98
db #fa, #3f, #cb, #82, #e3, #0d, #01, #00
db #6b, #d8, #84, #08, #00, #71, #e8, #71
db #f0, #c1, #c0, #c1, #c8, #c1, #d0, #0c
db #c9, #9f, #fa, #88, #f3, #d0, #07, #00
db #c0, #d0, #37, #f3, #86, #db, #87, #e3
db #87, #f3, #91, #f3, #e3, #d3, #29, #01
db #00, #bd, #d8, #80, #14, #00, #c1, #e0
db #c8, #f0, #0c, #e1, #60, #d9, #aa, #c9
db #af, #d1, #b1, #f9, #fd, #c9, #01, #da
db #01, #e2, #01, #ea, #51, #c2, #ee, #c2
db #41, #cb, #42, #e3, #37, #eb, #43, #f3
db #94, #c3, #d5, #c3, #e4, #d3, #16, #02
db #00, #b9, #e8, #3f, #d3, #08, #07, #00
db #bc, #e8, #be, #f8, #a9, #f9, #98, #d2
db #99, #e2, #99, #ea, #99, #f2, #00, #2e
db #00, #bd, #e8, #bc, #f0, #bd, #f0, #11
db #c1, #5a, #c1, #59, #f1, #a8, #e1, #fd
db #c1, #fe, #c1, #01, #c2, #fe, #d1, #fe
db #e9, #fe, #f1, #01, #f2, #01, #fa, #51
db #ea, #51, #f2, #51, #fa, #99, #ca, #9a
db #d2, #99, #da, #9a, #da, #9a, #e2, #9c
db #e2, #e6, #da, #e6, #e2, #e6, #ea, #e8
db #fa, #38, #c3, #41, #c3, #38, #cb, #38
db #d3, #42, #db, #44, #fb, #84, #c3, #85
db #fb, #87, #fb, #93, #fb, #d7, #c3, #e3
db #c3, #d6, #cb, #d8, #cb, #d6, #d3, #d8
db #d3, #d6, #db, #d8, #db, #60, #04, #00
db #bc, #f8, #00, #ca, #94, #e3, #d5, #cb
db #0e, #08, #00, #0b, #c1, #0b, #c9, #0c
db #f9, #e7, #f2, #38, #fb, #84, #d3, #84
db #e3, #84, #eb, #a5, #03, #00, #0c, #c1
db #e8, #ea, #87, #d3, #a4, #01, #00, #0d
db #c1, #10, #11, #00, #09, #d1, #0d, #e9
db #0d, #f1, #a8, #e9, #fc, #c1, #fc, #c9
db #ff, #e1, #ff, #e9, #4c, #c2, #47, #ca
db #47, #d2, #46, #f2, #96, #f2, #e7, #d2
db #3f, #db, #38, #eb, #d1, #c3, #0c, #05
db #00, #0c, #f1, #5a, #f9, #99, #fa, #ec
db #e2, #37, #fb, #86, #03, #00, #5a, #e9
db #e9, #da, #e9, #e2, #2c, #02, #00, #5f
db #f9, #a9, #e1, #06, #02, #00, #a9, #d9
db #d4, #db, #30, #07, #00, #b0, #f9, #00
db #c2, #47, #da, #47, #e2, #48, #fa, #96
db #c2, #9d, #fa, #20, #07, #00, #f8, #d1
db #98, #c2, #9c, #fa, #ec, #c2, #ec, #ca
db #f0, #fa, #d7, #d3, #a0, #04, #00, #fd
db #d1, #ed, #f2, #94, #cb, #e2, #cb, #70
db #0c, #00, #00, #d2, #00, #ea, #39, #eb
db #36, #f3, #93, #eb, #d9, #c3, #d9, #cb
db #df, #cb, #d9, #d3, #df, #d3, #d9, #db
db #e1, #db, #b0, #03, #00, #47, #ea, #8f
db #d3, #d5, #db, #1c, #01, #00, #97, #fa
db #34, #02, #00, #e7, #c2, #88, #db, #04
db #04, #00, #e9, #c2, #e9, #ca, #38, #e3
db #88, #fb, #05, #01, #00, #e7, #ca, #24
db #02, #00, #e9, #d2, #ec, #da, #02, #04
db #00, #ed, #da, #ed, #e2, #ed, #ea, #84
db #cb, #68, #02, #00, #ed, #fa, #87, #cb
db #43, #02, #00, #35, #c3, #86, #c3, #61
db #01, #00, #39, #e3, #50, #04, #00, #3f
db #e3, #39, #f3, #85, #eb, #85, #f3, #90
db #02, #00, #3f, #eb, #90, #fb, #14, #01
db #00, #38, #f3, #82, #01, #00, #36, #fb
db #69, #02, #00, #89, #c3, #86, #d3, #b4
db #04, #00, #8f, #cb, #8e, #d3, #8e, #db
db #8f, #db, #49, #01, #00, #85, #d3, #0a
db #01, #00, #84, #db, #25, #01, #00, #85
db #db, #96, #02, #00, #8a, #db, #da, #d3
db #a1, #01, #00, #85, #e3, #83, #01, #00
db #88, #eb, #92, #02, #00, #8e, #fb, #dc
db #db
delta07:
db #44, #0f, #30, #00, #17, #c0, #18, #c0
db #18, #f0, #68, #c0, #68, #d8, #68, #e0
db #69, #e0, #69, #f8, #b9, #d8, #bd, #d8
db #b9, #e0, #b9, #e8, #b9, #f0, #0a, #e1
db #0a, #e9, #0a, #f1, #0b, #f1, #5b, #c9
db #5b, #d9, #5b, #e1, #ac, #c9, #ae, #e1
db #ae, #e9, #ad, #f1, #fa, #c1, #fa, #c9
db #fa, #d1, #fa, #d9, #48, #d2, #49, #d2
db #4a, #d2, #49, #da, #4a, #da, #4b, #da
db #4a, #e2, #4b, #e2, #9c, #e2, #e9, #d2
db #ea, #d2, #37, #d3, #36, #db, #37, #db
db #89, #c3, #8a, #d3, #8b, #db, #8b, #eb
db #8b, #f3, #8a, #fb, #f0, #9b, #00, #19
db #c0, #1a, #c0, #20, #c0, #19, #c8, #1a
db #c8, #1f, #c8, #20, #c8, #1f, #d0, #20
db #d0, #1f, #d8, #20, #d8, #1f, #e0, #1f
db #e8, #1f, #f0, #20, #f0, #1f, #f8, #6f
db #c0, #6f, #c8, #6f, #d0, #6f, #d8, #70
db #d8, #6f, #e0, #70, #e0, #6f, #e8, #6f
db #f0, #6f, #f8, #bf, #c0, #c0, #c0, #bf
db #c8, #bf, #d0, #bf, #d8, #bf, #e0, #bf
db #e8, #bf, #f0, #bf, #f8, #0f, #c1, #0f
db #c9, #0f, #d1, #0f, #d9, #0f, #e1, #0f
db #e9, #0f, #f1, #0f, #f9, #5f, #c1, #5f
db #c9, #5f, #d1, #5f, #d9, #5f, #e9, #5f
db #f1, #5f, #f9, #f7, #e1, #f7, #e9, #fa
db #e9, #fa, #f1, #fb, #f1, #fa, #f9, #fb
db #f9, #fc, #f9, #4a, #c2, #4b, #c2, #4c
db #c2, #4a, #ca, #4b, #ca, #4c, #ca, #4c
db #d2, #4c, #da, #4d, #da, #4f, #da, #4d
db #e2, #4d, #ea, #4d, #f2, #4d, #fa, #99
db #da, #98, #e2, #99, #e2, #9a, #e2, #98
db #ea, #99, #ea, #9a, #ea, #9b, #ea, #98
db #f2, #99, #f2, #9a, #f2, #9b, #f2, #98
db #fa, #99, #fa, #9a, #fa, #9b, #fa, #e8
db #c2, #e9, #c2, #ea, #c2, #eb, #c2, #e8
db #ca, #e9, #ca, #ea, #ca, #eb, #ca, #ed
db #ca, #eb, #d2, #ed, #da, #ed, #e2, #ec
db #ea, #ed, #ea, #ed, #f2, #ed, #fa, #39
db #d3, #3a, #d3, #3b, #d3, #39, #db, #3a
db #db, #3b, #db, #3c, #db, #3d, #db, #39
db #e3, #3a, #e3, #3b, #e3, #3c, #e3, #3d
db #e3, #36, #eb, #39, #eb, #3a, #eb, #3b
db #eb, #3c, #eb, #3d, #eb, #36, #f3, #39
db #f3, #3a, #f3, #3b, #f3, #3c, #f3, #3d
db #f3, #35, #fb, #36, #fb, #39, #fb, #3b
db #fb, #3c, #fb, #3d, #fb, #3e, #fb, #85
db #c3, #8c, #c3, #8d, #c3, #8e, #c3, #8d
db #cb, #94, #cb, #85, #d3, #8d, #d3, #8e
db #d3, #94, #d3, #8d, #db, #8e, #db, #93
db #eb, #91, #f3, #89, #fb, #da, #d3, #db
db #d3, #dc, #db, #e4, #db, #87, #0f, #00
db #1b, #c0, #1d, #c8, #19, #d8, #68, #c8
db #6b, #c8, #6b, #d0, #0e, #f1, #f8, #c9
db #fa, #e1, #49, #e2, #4b, #ea, #e8, #d2
db #ea, #da, #e8, #e2, #35, #e3, #1e, #20
db #00, #1c, #c0, #18, #c8, #18, #d0, #1e
db #d0, #18, #d8, #18, #e0, #1a, #e0, #1e
db #e0, #1a, #e8, #1e, #f8, #6e, #c0, #6e
db #d8, #be, #c0, #be, #c8, #be, #d8, #be
db #e8, #be, #f0, #0b, #c1, #0b, #d9, #5c
db #c9, #5e, #d1, #5e, #e9, #ae, #d1, #aa
db #f9, #f8, #e1, #f8, #e9, #4b, #f2, #9c
db #ca, #9c, #d2, #8b, #c3, #84, #db, #8a
db #f3, #e1, #09, #00, #1d, #c0, #19, #d0
db #0d, #c1, #f7, #f1, #fc, #f1, #f7, #f9
db #47, #c2, #47, #ca, #47, #d2, #78, #0e
db #00, #1f, #c0, #1a, #d0, #5f, #e1, #00
db #fa, #4b, #d2, #4c, #e2, #4f, #e2, #98
db #da, #9a, #da, #9c, #da, #e8, #da, #eb
db #da, #36, #e3, #8c, #cb, #80, #34, #00
db #21, #c0, #21, #c8, #21, #d0, #16, #d8
db #21, #d8, #21, #e0, #21, #e8, #21, #f0
db #21, #f8, #71, #c0, #71, #d0, #71, #d8
db #71, #e0, #71, #e8, #71, #f0, #71, #f8
db #c1, #c0, #c1, #c8, #c1, #d0, #c1, #d8
db #c1, #e8, #c1, #f0, #07, #e9, #07, #f9
db #60, #e1, #aa, #d1, #af, #d9, #fb, #c1
db #01, #c2, #f9, #c9, #fb, #c9, #fd, #d1
db #01, #d2, #f9, #d9, #f9, #e1, #fd, #e1
db #01, #fa, #49, #ea, #9e, #c2, #9e, #ca
db #9d, #da, #9d, #e2, #9e, #e2, #ec, #ca
db #41, #d3, #42, #eb, #8f, #db, #86, #eb
db #94, #eb, #e2, #c3, #d8, #cb, #e5, #db
db #1a, #01, #00, #17, #c8, #3c, #0e, #00
db #1e, #c8, #1a, #d8, #1e, #d8, #1e, #e8
db #48, #ea, #4c, #ea, #4f, #ea, #48, #f2
db #48, #fa, #98, #c2, #e7, #e2, #e7, #ea
db #3a, #fb, #8c, #d3, #d2, #01, #00, #17
db #d0, #43, #09, #00, #17, #d8, #17, #e8
db #17, #f0, #68, #f0, #5a, #e1, #ac, #d9
db #e6, #e2, #e6, #ea, #88, #eb, #61, #02
db #00, #17, #e0, #47, #e2, #07, #1a, #00
db #1b, #e0, #1b, #e8, #1b, #f0, #1b, #f8
db #6b, #c0, #68, #d0, #6b, #d8, #68, #e8
db #b9, #f8, #09, #c1, #0e, #e1, #0e, #e9
db #0a, #f9, #5a, #c1, #5a, #e9, #5b, #e9
db #ac, #d1, #a9, #d9, #ad, #f9, #4b, #fa
db #9b, #c2, #e6, #f2, #3a, #c3, #35, #d3
db #88, #c3, #8b, #cb, #20, #03, #00, #17
db #f8, #fb, #e9, #86, #c3, #03, #10, #00
db #67, #c0, #68, #f8, #b8, #c0, #09, #c9
db #09, #d1, #0e, #d9, #5a, #c9, #5b, #f1
db #a9, #d1, #ac, #e1, #fd, #c1, #9b, #ca
db #e6, #fa, #86, #cb, #89, #db, #d1, #db
db #e0, #20, #00, #70, #c0, #70, #c8, #10
db #e9, #4d, #d2, #50, #e2, #50, #ea, #50
db #f2, #50, #fa, #a0, #c2, #a0, #ca, #9b
db #e2, #9e, #f2, #ec, #c2, #ee, #c2, #3e
db #cb, #3e, #d3, #3e, #db, #3e, #e3, #41
db #e3, #3e, #eb, #3e, #f3, #42, #f3, #43
db #fb, #8e, #cb, #8e, #e3, #8e, #eb, #91
db #eb, #8e, #f3, #93, #f3, #8e, #fb, #de
db #c3, #de, #d3, #01, #11, #00, #67, #c8
db #b8, #c8, #b8, #d0, #b8, #d8, #09, #e1
db #5a, #d1, #5b, #f9, #ab, #c1, #ac, #e9
db #9b, #d2, #9f, #e2, #9f, #ea, #36, #c3
db #90, #d3, #82, #db, #88, #f3, #d1, #c3
db #00, #61, #00, #71, #c8, #bc, #f8, #c1
db #f8, #11, #c9, #0d, #e9, #0d, #f1, #0d
db #f9, #b1, #d1, #a8, #e9, #b1, #f1, #b0
db #f9, #fc, #c1, #00, #c2, #fd, #c9, #00
db #d2, #fd, #d9, #ff, #e1, #ff, #e9, #01
db #ea, #ff, #f1, #fe, #f9, #ff, #f9, #4e
db #c2, #51, #c2, #4e, #ca, #51, #ca, #4e
db #d2, #51, #d2, #4e, #da, #51, #da, #51
db #e2, #46, #f2, #46, #fa, #96, #c2, #96
db #ca, #96, #d2, #96, #da, #97, #da, #96
db #e2, #97, #e2, #96, #ea, #97, #ea, #96
db #f2, #97, #f2, #97, #fa, #9f, #fa, #e7
db #c2, #ec, #d2, #35, #c3, #3f, #c3, #35
db #cb, #3f, #cb, #41, #cb, #3f, #d3, #3f
db #db, #3f, #e3, #42, #e3, #3f, #eb, #37
db #f3, #3f, #f3, #43, #f3, #37, #fb, #3f
db #fb, #87, #c3, #8f, #c3, #8a, #cb, #8f
db #cb, #8f, #d3, #90, #db, #8f, #e3, #90
db #e3, #8f, #eb, #90, #eb, #86, #f3, #87
db #f3, #8f, #f3, #90, #f3, #8f, #fb, #90
db #fb, #d6, #c3, #d8, #c3, #df, #c3, #e0
db #c3, #d5, #cb, #d7, #cb, #df, #cb, #e0
db #cb, #e2, #cb, #d7, #d3, #df, #d3, #e0
db #d3, #e2, #d3, #e3, #d3, #e4, #d3, #d5
db #db, #df, #db, #e0, #db, #10, #18, #00
db #67, #d0, #0e, #c1, #0e, #c9, #5d, #c1
db #59, #f9, #ac, #f9, #f7, #c1, #00, #ca
db #fc, #d1, #00, #da, #f9, #f9, #4f, #c2
db #4a, #ea, #97, #ca, #97, #d2, #9f, #f2
db #e7, #ca, #40, #f3, #40, #fb, #90, #c3
db #90, #cb, #94, #db, #87, #eb, #81, #fb
db #4b, #04, #00, #6b, #e8, #5b, #d1, #8c
db #db, #88, #e3, #40, #08, #00, #66, #f0
db #bd, #f8, #0c, #e9, #57, #d9, #9e, #da
db #f0, #fa, #87, #fb, #8c, #fb, #d0, #04
db #00, #c0, #d8, #4d, #ca, #9d, #ca, #3b
db #cb, #2d, #08, #00, #bc, #e0, #0b, #e1
db #48, #da, #8b, #d3, #8a, #db, #8c, #e3
db #8a, #eb, #89, #f3, #c3, #07, #00, #bd
db #e0, #5d, #c9, #f8, #c1, #f8, #d1, #e6
db #da, #87, #d3, #88, #db, #68, #03, #00
db #bc, #e8, #af, #c1, #fb, #e1, #21, #06
db #00, #bd, #e8, #09, #d9, #ea, #fa, #84
db #c3, #83, #d3, #89, #d3, #52, #01, #00
db #be, #f8, #70, #13, #00, #0c, #c1, #f7
db #d1, #f7, #d9, #00, #f2, #47, #da, #47
db #ea, #47, #f2, #ed, #c2, #ed, #d2, #40
db #cb, #8d, #e3, #93, #e3, #8d, #eb, #92
db #eb, #88, #fb, #8d, #fb, #91, #fb, #e1
db #c3, #e1, #d3, #34, #03, #00, #0c, #c9
db #4c, #f2, #4f, #f2, #48, #05, #00, #0d
db #c9, #0c, #d9, #fd, #f9, #89, #cb, #88
db #d3, #b0, #04, #00, #10, #c9, #9c, #fa
db #3d, #c3, #85, #eb, #0e, #0a, #00, #0b
db #d1, #5a, #f1, #a9, #e1, #a9, #e9, #aa
db #f1, #ae, #f1, #48, #e2, #37, #c3, #84
db #f3, #8b, #fb, #0c, #09, #00, #0c, #d1
db #aa, #c1, #a9, #f1, #a9, #f9, #ae, #f9
db #fd, #f1, #98, #d2, #e9, #e2, #3c, #cb
db #a4, #02, #00, #0c, #e1, #a0, #ea, #0b
db #02, #00, #0b, #e9, #e7, #da, #08, #0a
db #00, #0c, #f1, #aa, #c9, #f9, #c1, #fd
db #e9, #f8, #f1, #f8, #f9, #48, #c2, #48
db #ca, #a0, #f2, #e9, #da, #16, #03, #00
db #0b, #f9, #e8, #fa, #d4, #c3, #2c, #04
db #00, #0c, #f9, #5c, #c1, #98, #ca, #8c
db #f3, #c0, #1c, #00, #60, #c1, #60, #c9
db #af, #c9, #fe, #c1, #fb, #d1, #fb, #d9
db #f9, #e9, #4e, #f2, #4e, #fa, #9e, #d2
db #a0, #d2, #a0, #da, #a0, #e2, #9e, #ea
db #ee, #ca, #ee, #d2, #ee, #da, #ee, #e2
db #ee, #ea, #ee, #f2, #ee, #fa, #3e, #c3
db #38, #cb, #3c, #d3, #41, #db, #85, #db
db #92, #e3, #94, #e3, #84, #02, #00, #af
db #d1, #e9, #ea, #04, #01, #00, #aa, #e9
db #41, #01, #00, #a8, #f9, #30, #1f, #00
db #f7, #c9, #00, #e2, #f9, #f1, #49, #c2
db #49, #ca, #4f, #ca, #4f, #d2, #4e, #e2
db #47, #fa, #4f, #fa, #9f, #c2, #9f, #ca
db #9f, #da, #ec, #da, #ec, #e2, #3a, #cb
db #3d, #d3, #40, #d3, #38, #db, #40, #db
db #38, #e3, #40, #e3, #38, #eb, #38, #f3
db #38, #fb, #87, #db, #8d, #f3, #86, #fb
db #d9, #cb, #d9, #d3, #d9, #db, #96, #05
db #00, #f8, #d9, #eb, #e2, #e8, #ea, #e8
db #f2, #38, #c3, #c2, #02, #00, #4d, #c2
db #85, #e3, #50, #03, #00, #4e, #ea, #9d
db #d2, #d5, #c3, #5a, #02, #00, #4c, #fa
db #d4, #db, #90, #06, #00, #97, #c2, #9d
db #ea, #9c, #f2, #9d, #f2, #9d, #fa, #86
db #e3, #1c, #04, #00, #9c, #c2, #e7, #f2
db #e7, #fa, #8c, #eb, #94, #01, #00, #9d
db #c2, #12, #03, #00, #9f, #d2, #e7, #d2
db #40, #eb, #18, #01, #00, #9b, #da, #83
db #01, #00, #9c, #ea, #a0, #01, #00, #9e
db #fa, #25, #01, #00, #eb, #ea, #86, #03
db #00, #e9, #f2, #e9, #fa, #84, #fb, #b4
db #01, #00, #ec, #f2, #92, #01, #00, #ec
db #fa, #06, #01, #00, #39, #c3, #0d, #02
db #00, #3c, #c3, #8a, #e3, #42, #01, #00
db #40, #c3, #60, #05, #00, #39, #cb, #87
db #e3, #85, #f3, #85, #fb, #e1, #cb, #38
db #01, #00, #3d, #cb, #58, #01, #00, #87
db #cb, #4a, #01, #00, #84, #d3, #14, #01
db #00, #86, #d3, #49, #01, #00, #86, #db
db #29, #02, #00, #89, #e3, #89, #eb
delta08:
db #34, #80, #09, #00, #16, #c0, #16, #c8
db #16, #e0, #fb, #d1, #4d, #e2, #4d, #f2
db #3d, #c3, #41, #db, #86, #e3, #87, #06
db #00, #17, #c0, #bd, #e0, #4c, #f2, #4b
db #fa, #38, #c3, #87, #d3, #78, #10, #00
db #1e, #c0, #1e, #c8, #6e, #c0, #6e, #c8
db #6e, #d0, #6e, #d8, #6e, #e0, #6e, #e8
db #6e, #f0, #6e, #f8, #be, #c8, #be, #d8
db #be, #e0, #be, #e8, #e9, #ca, #ec, #ea
db #f0, #0c, #00, #1f, #c0, #19, #d0, #1a
db #d0, #1e, #d0, #1e, #d8, #1e, #e0, #1e
db #e8, #1e, #f0, #1e, #f8, #5f, #e1, #00
db #fa, #9a, #da, #92, #01, #00, #17, #c8
db #1e, #07, #00, #1c, #c8, #5e, #f1, #5e
db #f9, #ae, #c1, #ae, #c9, #ae, #e1, #3a
db #fb, #07, #03, #00, #1b, #d0, #e8, #f2
db #e8, #fa, #a0, #02, #00, #16, #d8, #85
db #eb, #3c, #0d, #00, #1a, #e0, #be, #c0
db #be, #d0, #0e, #f9, #5e, #c1, #5e, #c9
db #5e, #d1, #5e, #d9, #5e, #e1, #5e, #e9
db #ae, #d9, #f8, #e9, #e8, #da, #20, #03
db #00, #16, #e8, #0c, #c1, #4d, #ca, #e0
db #0d, #00, #20, #e8, #20, #f8, #af, #c1
db #fa, #e9, #fc, #f9, #4c, #ca, #4c, #d2
db #4c, #da, #86, #c3, #94, #cb, #dd, #c3
db #dd, #cb, #dd, #db, #61, #02, #00, #17
db #f0, #40, #cb, #21, #01, #00, #67, #c0
db #01, #04, #00, #67, #d0, #fc, #d1, #9c
db #f2, #9f, #f2, #03, #02, #00, #bd, #e8
db #ea, #fa, #16, #01, #00, #be, #f8, #0e
db #03, #00, #0b, #c1, #aa, #f9, #84, #db
db #30, #08, #00, #0e, #d1, #0e, #d9, #00
db #ea, #47, #f2, #8a, #cb, #94, #db, #88
db #f3, #d9, #c3, #b0, #02, #00, #10, #d1
db #47, #fa, #34, #03, #00, #0e, #e1, #0e
db #e9, #86, #d3, #b4, #01, #00, #0e, #f1
db #0c, #07, #00, #0c, #f9, #fd, #f9, #9d
db #c2, #9d, #ca, #e7, #f2, #e7, #fa, #8c
db #f3, #00, #40, #00, #fb, #c1, #fe, #c1
db #01, #fa, #4f, #c2, #4d, #d2, #4d, #da
db #49, #ea, #4d, #ea, #4e, #f2, #4e, #fa
db #9e, #c2, #9e, #ca, #97, #d2, #9e, #d2
db #9e, #da, #9e, #e2, #9e, #ea, #9e, #f2
db #9e, #fa, #ec, #c2, #ed, #c2, #ee, #c2
db #ec, #ca, #ed, #ca, #ee, #ca, #ee, #d2
db #ec, #da, #ee, #da, #ed, #e2, #ee, #e2
db #ee, #ea, #ee, #f2, #ed, #fa, #ee, #fa
db #3e, #c3, #3e, #cb, #3d, #d3, #3e, #d3
db #3d, #db, #3e, #db, #3e, #e3, #3e, #eb
db #3e, #f3, #3e, #fb, #8e, #c3, #8e, #cb
db #8e, #d3, #8e, #db, #8f, #db, #87, #e3
db #8e, #e3, #86, #eb, #87, #eb, #8e, #eb
db #8e, #f3, #81, #fb, #86, #fb, #87, #fb
db #8e, #fb, #de, #c3, #de, #cb, #d5, #d3
db #de, #d3, #de, #db, #10, #09, #00, #00
db #d2, #49, #c2, #4e, #ea, #9f, #e2, #9f
db #ea, #9c, #fa, #ea, #f2, #38, #db, #d6
db #db, #70, #02, #00, #f7, #e9, #4f, #d2
db #c1, #01, #00, #fc, #f1, #42, #02, #00
db #4d, #c2, #85, #fb, #28, #01, #00, #4c
db #e2, #2c, #02, #00, #4c, #ea, #8c, #eb
db #4b, #03, #00, #4c, #fa, #89, #e3, #d4
db #db, #48, #01, #00, #4d, #fa, #2d, #01
db #00, #9c, #c2, #0f, #04, #00, #9c, #d2
db #9c, #da, #89, #f3, #d4, #d3, #94, #01
db #00, #9d, #d2, #58, #02, #00, #98, #da
db #89, #cb, #90, #01, #00, #9b, #da, #08
db #05, #00, #9d, #da, #9d, #e2, #9d, #ea
db #9d, #f2, #3d, #cb, #84, #02, #00, #a0
db #ea, #e9, #e2, #e1, #01, #00, #e8, #ca
db #40, #09, #00, #ed, #d2, #ed, #da, #ed
db #ea, #8d, #e3, #8d, #eb, #8d, #f3, #8d
db #fb, #d8, #db, #e5, #db, #1c, #02, #00
db #e7, #ea, #3c, #cb, #43, #01, #00, #e6
db #f2, #c0, #0c, #00, #ed, #f2, #37, #e3
db #3d, #e3, #3d, #eb, #3d, #f3, #3d, #fb
db #8d, #c3, #8d, #cb, #8d, #d3, #8d, #db
db #93, #f3, #dd, #d3, #1a, #01, #00, #ec
db #fa, #86, #01, #00, #39, #c3, #d0, #01
db #00, #36, #fb, #83, #01, #00, #86, #cb
db #02, #01, #00, #87, #db, #0b, #01, #00
db #89, #eb, #06, #01, #00, #85, #f3, #69
db #01, #00, #89, #fb, #04, #01, #00, #d5
db #c3
delta09:
db #3e, #e0, #13, #00, #16, #c0, #16, #c8
db #19, #d0, #20, #d8, #70, #d0, #70, #d8
db #70, #e0, #0d, #c9, #10, #c9, #10, #d9
db #af, #c9, #f8, #e1, #f7, #f1, #4b, #f2
db #4a, #fa, #4b, #fa, #87, #db, #93, #db
db #92, #fb, #0f, #6b, #00, #17, #c0, #1b
db #c0, #1b, #c8, #1b, #d0, #1b, #d8, #1b
db #e0, #1b, #e8, #1b, #f0, #1b, #f8, #6b
db #c0, #68, #c8, #6b, #c8, #68, #d0, #6b
db #d0, #6b, #d8, #bd, #e0, #bc, #e8, #b9
db #f8, #09, #c1, #0a, #f9, #5b, #e9, #aa
db #d1, #ab, #d1, #ab, #d9, #ac, #d9, #ab
db #e1, #ac, #e1, #ac, #e9, #fd, #d9, #f9
db #e1, #f9, #e9, #f9, #f1, #fa, #f1, #f9
db #f9, #fa, #f9, #fb, #f9, #49, #c2, #4a
db #c2, #4b, #c2, #4b, #ca, #4c, #da, #9d
db #ca, #9a, #d2, #9b, #d2, #99, #da, #9a
db #da, #9b, #da, #99, #e2, #9a, #e2, #9b
db #e2, #99, #ea, #9b, #ea, #9c, #ea, #9c
db #f2, #98, #fa, #9c, #fa, #e8, #c2, #e7
db #ca, #e8, #ca, #ed, #da, #ea, #f2, #ea
db #fa, #3a, #c3, #3b, #cb, #3b, #d3, #3c
db #d3, #3a, #db, #3b, #db, #3c, #db, #3b
db #e3, #3c, #e3, #3a, #eb, #3b, #eb, #3c
db #eb, #3a, #f3, #3b, #f3, #3a, #fb, #3b
db #fb, #3c, #fb, #8b, #c3, #8c, #c3, #8a
db #cb, #8b, #cb, #8d, #cb, #8b, #d3, #8c
db #d3, #8d, #d3, #8c, #db, #8c, #e3, #8d
db #e3, #8a, #eb, #8c, #eb, #8d, #eb, #8c
db #f3, #89, #fb, #8b, #fb, #8d, #fb, #d4
db #c3, #da, #c3, #db, #c3, #d4, #cb, #db
db #d3, #dd, #d3, #d4, #db, #da, #db, #db
db #db, #dc, #db, #1e, #12, #00, #18, #c0
db #1c, #d0, #1d, #d8, #1d, #e0, #1d, #e8
db #1d, #f0, #1d, #f8, #6d, #c0, #6d, #c8
db #6b, #f8, #ad, #f9, #fd, #c9, #fa, #e9
db #48, #da, #ed, #d2, #e8, #da, #3d, #fb
db #dd, #db, #0e, #15, #00, #1c, #c0, #1c
db #c8, #1a, #f0, #0b, #e9, #0b, #f1, #5c
db #d9, #5c, #e1, #5c, #e9, #a9, #f1, #fd
db #e1, #4c, #d2, #4d, #ea, #9c, #e2, #98
db #f2, #ed, #ca, #3c, #cb, #3d, #f3, #8d
db #c3, #8c, #cb, #da, #cb, #da, #d3, #10
db #14, #00, #1d, #c0, #67, #c8, #06, #c1
db #06, #c9, #0e, #d1, #06, #d9, #06, #e1
db #a9, #c1, #ae, #e1, #fc, #e9, #00, #f2
db #00, #fa, #50, #c2, #50, #ca, #49, #fa
db #e6, #ca, #38, #d3, #85, #cb, #88, #f3
db #e1, #db, #f0, #1a, #00, #1e, #c0, #1e
db #c8, #19, #d8, #20, #e8, #20, #f8, #6e
db #c0, #70, #c0, #6e, #c8, #6e, #d0, #6e
db #d8, #6e, #e0, #6e, #e8, #6e, #f0, #6e
db #f8, #be, #c0, #be, #c8, #c0, #d0, #be
db #d8, #0e, #f1, #fa, #d9, #9a, #c2, #9b
db #c2, #37, #eb, #37, #f3, #38, #fb, #93
db #e3, #07, #18, #00, #17, #c8, #6b, #e8
db #68, #f0, #68, #f8, #09, #c9, #09, #d1
db #5a, #c9, #5b, #e1, #5d, #e9, #5d, #f1
db #a9, #e1, #4c, #e2, #4d, #fa, #9d, #d2
db #ec, #c2, #ea, #e2, #ed, #e2, #38, #c3
db #39, #cb, #35, #db, #35, #e3, #3c, #f3
db #dd, #c3, #dd, #cb, #80, #1f, #00, #1a
db #c8, #16, #d8, #1a, #d8, #16, #e8, #71
db #c8, #0d, #d1, #0c, #e9, #07, #f1, #57
db #c1, #60, #d1, #5a, #f9, #ac, #c9, #ad
db #d9, #fe, #c1, #fa, #c9, #fc, #d9, #f8
db #e9, #fc, #f1, #49, #d2, #49, #da, #49
db #e2, #49, #ea, #4e, #f2, #97, #c2, #9e
db #ca, #9e, #da, #35, #fb, #87, #c3, #8e
db #db, #93, #f3, #e5, #db, #12, #04, #00
db #1d, #c8, #0e, #d9, #ae, #d9, #91, #f3
db #c0, #10, #00, #16, #d0, #1a, #d0, #16
db #f0, #16, #f8, #66, #c0, #aa, #c1, #ab
db #c9, #af, #d1, #af, #d9, #fe, #c9, #fe
db #d1, #fe, #d9, #9a, #ca, #42, #f3, #88
db #c3, #94, #d3, #87, #11, #00, #17, #d0
db #19, #e0, #bd, #e8, #0b, #f9, #5a, #c1
db #ab, #e9, #f8, #f9, #99, #d2, #9b, #f2
db #ea, #ea, #e9, #fa, #39, #c3, #3a, #cb
db #39, #d3, #3a, #d3, #37, #db, #8d, #db
db #b4, #02, #00, #1d, #d0, #5e, #c1, #3c
db #0a, #00, #18, #d8, #18, #e0, #5e, #f9
db #ae, #c1, #ae, #c9, #fb, #f1, #48, #d2
db #48, #e2, #e7, #da, #36, #db, #40, #0a
db #00, #16, #e0, #b6, #c0, #10, #f1, #10
db #f9, #5b, #f1, #9b, #ca, #e9, #da, #38
db #f3, #88, #fb, #d5, #c3, #96, #03, #00
db #17, #e0, #fd, #c1, #99, #ca, #08, #0d
db #00, #1a, #e0, #af, #e1, #4d, #e2, #9e
db #c2, #9e, #d2, #9e, #e2, #9d, #fa, #e9
db #ca, #88, #d3, #86, #e3, #8e, #e3, #8e
db #eb, #8e, #f3, #d2, #01, #00, #17, #e8
db #0d, #05, #00, #18, #e8, #0c, #d1, #8a
db #db, #d9, #c3, #d9, #db, #0c, #16, #00
db #1a, #e8, #0c, #d9, #0b, #e1, #5c, #c1
db #5c, #c9, #ad, #e1, #ad, #e9, #4c, #c2
db #9c, #da, #ed, #c2, #e7, #e2, #e7, #ea
db #3c, #c3, #3d, #e3, #87, #cb, #dc, #c3
db #de, #c3, #db, #cb, #de, #cb, #d9, #d3
db #de, #d3, #de, #db, #41, #03, #00, #17
db #f0, #e6, #d2, #39, #fb, #43, #05, #00
db #17, #f8, #ac, #f1, #4a, #ca, #4b, #d2
db #86, #cb, #03, #19, #00, #67, #c0, #b8
db #c8, #b8, #d0, #09, #d9, #09, #e1, #5a
db #d1, #5a, #e1, #5d, #f9, #ad, #c1, #aa
db #d9, #fc, #c1, #4e, #ca, #4c, #ea, #9d
db #da, #ec, #ca, #39, #db, #39, #e3, #39
db #eb, #39, #f3, #89, #d3, #82, #e3, #85
db #e3, #85, #eb, #d1, #d3, #dc, #d3, #00
db #83, #00, #71, #c0, #71, #d8, #71, #e0
db #71, #e8, #71, #f0, #71, #f8, #c1, #c0
db #c1, #c8, #c1, #d0, #c1, #d8, #c1, #e0
db #c1, #e8, #c1, #f0, #bd, #f8, #0c, #c1
db #07, #e9, #5d, #c1, #60, #e9, #5a, #f1
db #ac, #c1, #ad, #c9, #ad, #d1, #aa, #e9
db #a8, #f1, #aa, #f1, #ae, #f1, #aa, #f9
db #ae, #f9, #b1, #f9, #fa, #c1, #fb, #c9
db #00, #ca, #00, #d2, #f8, #d9, #01, #e2
db #fd, #f1, #fc, #f9, #4d, #ca, #4f, #ca
db #4a, #d2, #4f, #d2, #50, #d2, #4a, #da
db #4b, #da, #4f, #da, #50, #da, #4a, #e2
db #4b, #e2, #4e, #e2, #4f, #e2, #50, #e2
db #4a, #ea, #4b, #ea, #4e, #ea, #4f, #ea
db #50, #ea, #4f, #f2, #50, #f2, #48, #fa
db #4f, #fa, #50, #fa, #98, #c2, #9f, #c2
db #a0, #c2, #97, #ca, #98, #ca, #9f, #ca
db #a0, #ca, #98, #d2, #9f, #d2, #a0, #d2
db #98, #da, #9f, #da, #a0, #da, #9d, #e2
db #9f, #e2, #a0, #e2, #9d, #ea, #9f, #ea
db #a0, #ea, #99, #f2, #9a, #f2, #9d, #f2
db #9f, #f2, #a0, #f2, #99, #fa, #9a, #fa
db #9b, #fa, #e9, #c2, #ea, #c2, #eb, #c2
db #ea, #ca, #eb, #ca, #e9, #d2, #ea, #d2
db #eb, #d2, #eb, #da, #e9, #ea, #e9, #f2
db #f0, #fa, #3d, #c3, #40, #c3, #3d, #cb
db #40, #cb, #40, #d3, #41, #d3, #38, #db
db #40, #db, #41, #db, #38, #e3, #40, #e3
db #41, #e3, #38, #eb, #40, #eb, #42, #eb
db #35, #f3, #40, #f3, #40, #fb, #84, #c3
db #90, #c3, #88, #cb, #90, #cb, #83, #d3
db #90, #d3, #82, #db, #85, #db, #94, #eb
db #e2, #c3, #e1, #cb, #e1, #d3, #d8, #db
db #60, #09, #00, #66, #c8, #66, #e8, #66
db #f8, #ab, #c1, #f7, #d9, #f7, #e9, #fb
db #e9, #fe, #f1, #ea, #da, #20, #0d, #00
db #66, #d8, #66, #e0, #b6, #d0, #b6, #e0
db #b6, #e8, #b6, #f0, #5b, #f9, #5c, #f9
db #aa, #c9, #f9, #c9, #49, #f2, #85, #c3
db #91, #eb, #4b, #04, #00, #6b, #f0, #3a
db #e3, #88, #db, #d4, #d3, #78, #07, #00
db #be, #d0, #be, #f0, #be, #f8, #0e, #f9
db #5e, #d1, #5e, #d9, #5e, #f1, #01, #12
db #00, #b8, #e0, #b8, #e8, #bd, #f0, #0e
db #c1, #09, #e9, #09, #f1, #5d, #c9, #a9
db #c9, #aa, #e1, #ae, #e9, #fc, #c9, #4c
db #f2, #97, #fa, #ec, #d2, #ed, #f2, #89
db #c3, #81, #fb, #e1, #c3, #d0, #05, #00
db #c0, #e0, #c0, #e8, #fa, #d1, #37, #fb
db #94, #cb, #30, #0f, #00, #b6, #f8, #0e
db #e1, #4e, #c2, #4a, #f2, #36, #eb, #41
db #eb, #41, #f3, #36, #fb, #41, #fb, #91
db #c3, #91, #cb, #91, #d3, #91, #db, #91
db #e3, #91, #fb, #a4, #04, #00, #0d, #c1
db #49, #ca, #ec, #da, #38, #cb, #90, #02
db #00, #0c, #c9, #ec, #fa, #a0, #03, #00
db #10, #d1, #0c, #e1, #4d, #da, #2c, #09
db #00, #0c, #f9, #5c, #d1, #ad, #f1, #48
db #ca, #4c, #ca, #48, #f2, #e7, #d2, #ec
db #e2, #3d, #eb, #02, #02, #00, #5c, #f1
db #fd, #f9, #48, #05, #00, #ac, #d1, #4e
db #fa, #9c, #d2, #3d, #db, #8e, #fb, #16
db #04, #00, #ae, #d1, #e8, #d2, #e8, #e2
db #ec, #ea, #21, #03, #00, #a8, #f9, #ac
db #f9, #89, #cb, #83, #02, #00, #f8, #c9
db #ed, #ea, #84, #01, #00, #f8, #d1, #b0
db #02, #00, #f9, #d1, #35, #eb, #1c, #02
db #00, #fd, #d1, #eb, #ea, #94, #01, #00
db #f9, #d9, #50, #03, #00, #fb, #d9, #e9
db #e2, #85, #d3, #70, #05, #00, #f7, #e1
db #fb, #e1, #4d, #d2, #36, #e3, #94, #db
db #68, #02, #00, #fa, #e1, #fe, #e9, #4a
db #01, #00, #fe, #e1, #06, #03, #00, #fd
db #e9, #e8, #ea, #dc, #cb, #81, #02, #00
db #f8, #f1, #4c, #fa, #61, #02, #00, #fe
db #f9, #ec, #f2, #0b, #04, #00, #48, #c2
db #4d, #f2, #9d, #c2, #98, #e2, #04, #01
db #00, #4d, #c2, #c1, #02, #00, #9c, #c2
db #98, #ea, #a1, #02, #00, #9c, #ca, #8c
db #fb, #c3, #04, #00, #9a, #ea, #37, #e3
db #87, #d3, #89, #db, #a5, #01, #00, #e7
db #c2, #e1, #01, #00, #eb, #e2, #09, #01
db #00, #ed, #fa, #c2, #01, #00, #84, #d3
db #14, #01, #00, #86, #d3, #2d, #03, #00
db #8a, #e3, #8d, #f3, #d9, #cb, #86, #01
db #00, #84, #f3
delta10:
db #3e, #80, #1c, #00, #16, #c0, #71, #d8
db #71, #e0, #60, #c1, #5b, #c9, #60, #c9
db #5d, #d1, #5e, #e9, #aa, #c1, #af, #c1
db #af, #c9, #ac, #e1, #ad, #f9, #f9, #d1
db #f9, #d9, #4c, #ca, #4f, #ca, #4c, #d2
db #4f, #d2, #4f, #da, #4f, #e2, #4d, #ea
db #49, #f2, #9a, #da, #42, #f3, #85, #c3
db #94, #eb, #e2, #c3, #0f, #35, #00, #18
db #c0, #17, #c8, #68, #e8, #6b, #e8, #bc
db #e0, #09, #c9, #0b, #e9, #0b, #f1, #5a
db #c1, #5c, #d9, #5b, #e1, #5c, #e1, #5c
db #e9, #ac, #c1, #ac, #c9, #aa, #e1, #aa
db #e9, #ab, #e9, #aa, #f1, #ab, #f1, #aa
db #f9, #ab, #f9, #ac, #f9, #fc, #c1, #fc
db #c9, #fc, #d1, #fd, #e1, #49, #ca, #4a
db #ca, #4a, #d2, #4b, #d2, #4a, #da, #4b
db #da, #4c, #e2, #4c, #ea, #9d, #d2, #9d
db #ea, #9d, #f2, #9b, #fa, #eb, #c2, #e8
db #da, #ec, #ea, #ec, #f2, #3a, #cb, #3c
db #cb, #3d, #e3, #3d, #eb, #3c, #f3, #3d
db #fb, #8c, #cb, #8a, #db, #da, #cb, #d4
db #d3, #2c, #09, #00, #1c, #c0, #1c, #c8
db #98, #ca, #ee, #c2, #ec, #d2, #e7, #da
db #ec, #da, #8e, #cb, #8e, #d3, #00, #55
db #00, #1d, #c0, #1a, #d0, #66, #f0, #06
db #c1, #0d, #c1, #06, #d9, #07, #f1, #0b
db #f9, #0c, #f9, #5b, #c1, #5c, #c1, #5c
db #c9, #5d, #c9, #57, #d9, #5e, #d9, #5e
db #e1, #60, #e1, #59, #f9, #5f, #f9, #a9
db #c1, #a9, #c9, #a9, #d1, #a9, #d9, #ac
db #d9, #ad, #f1, #f7, #c1, #01, #c2, #fa
db #c9, #fe, #c9, #fa, #d1, #fb, #d1, #fe
db #d1, #fa, #d9, #fb, #d9, #00, #da, #01
db #da, #f9, #e1, #fa, #e1, #fb, #e1, #fc
db #e1, #00, #e2, #f9, #e9, #00, #ea, #f9
db #f1, #00, #f2, #f9, #f9, #00, #fa, #4c
db #c2, #50, #c2, #50, #ca, #4d, #da, #4d
db #e2, #4a, #f2, #4b, #f2, #49, #fa, #4a
db #fa, #4b, #fa, #4e, #fa, #9a, #c2, #9b
db #c2, #9e, #c2, #99, #ca, #9a, #ca, #9b
db #ca, #9e, #ca, #99, #d2, #9a, #d2, #99
db #da, #99, #e2, #99, #ea, #9c, #fa, #ec
db #c2, #e9, #da, #ea, #da, #ea, #e2, #ed
db #e2, #ea, #ea, #ed, #ea, #41, #eb, #43
db #fb, #94, #c3, #85, #d3, #91, #eb, #88
db #fb, #e5, #db, #d0, #07, #00, #20, #c0
db #0c, #d1, #ae, #e1, #ae, #e9, #ae, #f1
db #9b, #da, #87, #c3, #c0, #0a, #00, #16
db #c8, #16, #d8, #16, #e0, #16, #e8, #10
db #e9, #ab, #d1, #af, #e1, #af, #e9, #9b
db #d2, #93, #f3, #a0, #04, #00, #16, #d0
db #10, #d9, #4a, #c2, #38, #fb, #07, #10
db #00, #17, #d0, #17, #e0, #17, #e8, #b8
db #c0, #09, #d9, #5b, #f1, #aa, #d9, #a9
db #e9, #fb, #c1, #fd, #e9, #49, #d2, #9a
db #f2, #e8, #d2, #eb, #ea, #83, #db, #88
db #eb, #f0, #15, #00, #19, #d0, #20, #d8
db #70, #c8, #c0, #d8, #5e, #f9, #ae, #c1
db #ae, #c9, #ae, #d1, #ae, #d9, #ff, #c1
db #ff, #c9, #f7, #f1, #fb, #f1, #fb, #f9
db #49, #c2, #47, #d2, #47, #e2, #36, #e3
db #37, #fb, #92, #eb, #92, #fb, #0e, #1d
db #00, #1c, #d0, #1a, #f8, #0b, #d9, #5d
db #e1, #5a, #f9, #ac, #f1, #fd, #c9, #48
db #c2, #4c, #da, #9d, #c2, #ec, #e2, #e9
db #fa, #39, #c3, #3d, #cb, #8e, #db, #8d
db #e3, #8e, #e3, #8d, #eb, #8e, #eb, #84
db #f3, #8a, #f3, #8e, #f3, #8e, #fb, #de
db #c3, #de, #cb, #dd, #d3, #de, #d3, #dd
db #db, #de, #db, #87, #0c, #00, #17, #d8
db #6b, #f0, #5c, #f1, #f8, #d1, #f8, #d9
db #4b, #e2, #9a, #ea, #e8, #e2, #39, #cb
db #3d, #db, #d4, #c3, #db, #c3, #1e, #0e
db #00, #18, #d8, #6d, #d0, #0b, #c1, #5d
db #e9, #5d, #f1, #ad, #c1, #fd, #d1, #48
db #ca, #9b, #f2, #3c, #c3, #3d, #d3, #8d
db #db, #8d, #f3, #8d, #fb, #96, #04, #00
db #1d, #d8, #ad, #d9, #38, #cb, #87, #d3
db #c3, #04, #00, #19, #e0, #17, #f0, #f8
db #c9, #86, #cb, #40, #0b, #00, #1a, #e0
db #66, #c8, #66, #d0, #66, #d8, #66, #e0
db #66, #e8, #66, #f8, #57, #e1, #ae, #f9
db #fb, #e9, #9b, #e2, #3c, #0b, #00, #1d
db #e0, #18, #e8, #1d, #e8, #0d, #e1, #0d
db #e9, #0d, #f1, #5c, #f9, #4e, #da, #48
db #f2, #48, #fa, #98, #c2, #68, #03, #00
db #1a, #e8, #0d, #d1, #9e, #ea, #0c, #10
db #00, #1a, #f0, #5d, #d9, #fd, #c1, #f8
db #e9, #f8, #f1, #f8, #f9, #4d, #fa, #98
db #d2, #98, #da, #ee, #da, #ee, #e2, #3d
db #c3, #3e, #eb, #3e, #f3, #3e, #fb, #8e
db #c3, #43, #06, #00, #67, #c0, #5c, #d1
db #5b, #f9, #ed, #c2, #39, #d3, #82, #eb
db #03, #0a, #00, #67, #c8, #b8, #d8, #ac
db #d1, #fd, #f1, #4e, #ea, #4c, #f2, #9d
db #fa, #eb, #ca, #ed, #ca, #ea, #fa, #10
db #15, #00, #67, #d0, #06, #d1, #5d, #c1
db #5f, #f1, #a9, #e1, #ff, #e9, #4e, #f2
db #97, #ca, #eb, #da, #ed, #da, #41, #f3
db #35, #fb, #41, #fb, #91, #c3, #91, #cb
db #91, #d3, #91, #db, #91, #e3, #91, #f3
db #91, #fb, #e1, #c3, #01, #15, #00, #67
db #d8, #b8, #f0, #0c, #c9, #a8, #f9, #fb
db #c9, #fc, #d9, #fc, #e9, #4d, #d2, #4b
db #ea, #4c, #fa, #9c, #c2, #9c, #ca, #9c
db #d2, #9c, #da, #e6, #ca, #eb, #d2, #ed
db #d2, #eb, #e2, #ea, #f2, #85, #db, #82
db #e3, #78, #03, #00, #6e, #e0, #be, #c8
db #be, #d8, #4b, #03, #00, #6c, #e8, #a9
db #f1, #89, #db, #2d, #07, #00, #6b, #f8
db #bd, #e8, #0d, #d9, #ad, #d1, #ec, #fa
db #3d, #f3, #8a, #eb, #60, #06, #00, #b6
db #c0, #b6, #c8, #fa, #e9, #fe, #e9, #9e
db #fa, #85, #fb, #69, #01, #00, #bc, #e8
db #20, #05, #00, #b6, #f8, #5b, #d1, #fe
db #c1, #fc, #f9, #9c, #f2, #30, #0b, #00
db #0e, #c1, #5e, #c9, #5f, #e1, #aa, #c9
db #ad, #e1, #ad, #e9, #f7, #d1, #ff, #e1
db #97, #c2, #38, #d3, #85, #cb, #24, #02
db #00, #0d, #c9, #fe, #f9, #1c, #01, #00
db #0b, #e1, #08, #07, #00, #0c, #e1, #f9
db #c9, #ee, #ca, #e9, #d2, #ed, #f2, #ed
db #fa, #3e, #e3, #21, #06, #00, #09, #e9
db #ab, #c1, #4d, #ca, #9a, #fa, #89, #c3
db #d1, #cb, #a4, #02, #00, #0c, #e9, #9e
db #f2, #90, #04, #00, #0c, #f1, #4b, #c2
db #9b, #ea, #36, #f3, #34, #03, #00, #0e
db #f1, #0e, #f9, #5e, #c1, #16, #03, #00
db #0d, #f9, #e8, #ea, #dc, #cb, #06, #02
db #00, #5a, #c9, #84, #fb, #12, #04, #00
db #5e, #d1, #5f, #e9, #4d, #c2, #87, #db
db #0b, #03, #00, #5b, #d9, #ad, #c9, #9d
db #da, #86, #04, #00, #5a, #f1, #f8, #e1
db #e9, #f2, #dd, #c3, #e0, #07, #00, #5e
db #f1, #ab, #c9, #af, #f1, #af, #f9, #fe
db #f1, #93, #c3, #94, #cb, #b4, #02, #00
db #5d, #f9, #4e, #d2, #70, #09, #00, #aa
db #d1, #ff, #d1, #f7, #d9, #ff, #d9, #f7
db #e9, #fa, #f1, #fa, #f9, #4e, #ca, #47
db #f2, #48, #09, #00, #ab, #d9, #ac, #e9
db #f9, #c1, #fe, #d9, #4d, #f2, #9e, #e2
db #98, #ea, #ec, #ca, #ee, #d2, #28, #02
db #00, #fe, #e1, #4b, #ca, #81, #01, #00
db #fc, #f1, #18, #02, #00, #fd, #f9, #9a
db #e2, #a5, #01, #00, #4e, #c2, #a1, #02
db #00, #49, #da, #9c, #e2, #14, #01, #00
db #4e, #e2, #84, #03, #00, #9e, #da, #98
db #e2, #e9, #ea, #0d, #04, #00, #9d, #e2
db #e7, #d2, #8a, #e3, #d9, #cb, #c1, #01
db #00, #9c, #ea, #e1, #02, #00, #e6, #d2
db #37, #e3, #04, #03, #00, #e9, #e2, #ee
db #ea, #d5, #c3, #50, #01, #00, #36, #fb
db #61, #01, #00, #39, #fb, #02, #04, #00
db #84, #d3, #85, #e3, #85, #eb, #dd, #cb
db #58, #01, #00, #86, #db, #83, #01, #00
db #88, #db, #29, #01, #00, #8c, #fb
delta11:
db #24, #00, #06, #00, #16, #c0, #1a, #e0
db #f9, #d9, #49, #f2, #9a, #da, #94, #eb
db #70, #03, #00, #19, #c0, #37, #fb, #93
db #e3, #78, #01, #00, #1e, #c0, #e0, #05
db #00, #20, #c8, #10, #c1, #9e, #f2, #37
db #eb, #92, #fb, #80, #08, #00, #16, #d0
db #16, #e0, #71, #e8, #9b, #e2, #9b, #ea
db #e9, #da, #38, #fb, #95, #d3, #0e, #02
db #00, #18, #d0, #9b, #f2, #d2, #01, #00
db #1d, #d8, #1e, #04, #00, #1d, #e0, #1d
db #e8, #5c, #f9, #e7, #ca, #40, #02, #00
db #16, #e8, #66, #f0, #28, #01, #00, #1a
db #e8, #3c, #03, #00, #6d, #c0, #6d, #e8
db #48, #da, #c0, #03, #00, #66, #c8, #60
db #c1, #98, #ea, #12, #01, #00, #0e, #c1
db #2c, #04, #00, #0d, #d1, #0c, #e9, #98
db #c2, #98, #d2, #16, #01, #00, #5a, #c9
db #52, #01, #00, #5e, #c9, #30, #02, #00
db #5b, #d1, #5e, #d1, #10, #07, #00, #aa
db #c9, #a9, #d9, #f7, #c1, #4b, #c2, #97
db #c2, #85, #c3, #85, #db, #a0, #01, #00
db #ab, #c9, #21, #01, #00, #f8, #c1, #c3
db #02, #00, #f8, #d1, #89, #db, #f0, #02
db #00, #f7, #e1, #f7, #e9, #02, #01, #00
db #4d, #c2, #e1, #01, #00, #47, #d2, #0c
db #01, #00, #98, #ca, #20, #01, #00, #99
db #d2, #4a, #01, #00, #9e, #ea, #43, #02
db #00, #e6, #fa, #86, #cb, #b0, #01, #00
db #36, #e3, #4b, #01, #00, #3a, #eb, #60
db #01, #00, #38, #f3, #50, #02, #00, #87
db #c3, #94, #db, #01, #01, #00, #89, #c3
db #87, #01, #00, #87, #d3, #0d, #01, #00
db #8a, #eb, #2d, #01, #00, #d9, #db
delta12:
db #3a, #81, #01, #00, #16, #c0, #f0, #0a
db #00, #19, #c0, #20, #c8, #1d, #d0, #be
db #d0, #be, #e0, #c0, #e8, #36, #e3, #94
db #db, #93, #e3, #db, #c3, #e0, #09, #00
db #1a, #c0, #20, #e8, #70, #c8, #10, #d9
db #ab, #c9, #fb, #f1, #4a, #c2, #9b, #e2
db #42, #fb, #80, #08, #00, #16, #c8, #1a
db #d0, #66, #c8, #66, #d0, #57, #c9, #94
db #d3, #86, #e3, #92, #e3, #52, #01, #00
db #1d, #c8, #00, #12, #00, #16, #d0, #1a
db #d8, #66, #f8, #b6, #d0, #b6, #f0, #06
db #c9, #06, #d1, #07, #f9, #57, #c1, #57
db #e1, #a9, #d9, #f9, #d1, #9c, #f2, #38
db #d3, #36, #f3, #42, #f3, #86, #c3, #85
db #db, #0f, #0f, #00, #17, #d0, #17, #d8
db #6c, #e8, #6d, #e8, #68, #f0, #6b, #f0
db #bc, #e8, #09, #d1, #0c, #d9, #5b, #f1
db #35, #e3, #3a, #e3, #3a, #eb, #87, #d3
db #d4, #c3, #1e, #08, #00, #18, #d0, #1d
db #d8, #6a, #c0, #0b, #d9, #0b, #e9, #5a
db #c9, #e8, #ca, #8a, #f3, #2c, #03, #00
db #1c, #d0, #e7, #e2, #db, #cb, #a0, #02
db #00, #16, #d8, #10, #c9, #3c, #04, #00
db #18, #d8, #1d, #e8, #9b, #f2, #38, #cb
db #c0, #06, #00, #19, #d8, #1a, #e0, #16
db #e8, #1a, #e8, #10, #f9, #93, #db, #87
db #05, #00, #17, #e0, #f8, #d1, #e8, #d2
db #36, #cb, #83, #db, #a4, #01, #00, #19
db #e0, #a5, #01, #00, #17, #e8, #e1, #02
db #00, #17, #f0, #f8, #c1, #4b, #02, #00
db #18, #f0, #88, #db, #48, #02, #00, #1a
db #f0, #88, #d3, #25, #01, #00, #17, #f8
db #0c, #02, #00, #1a, #f8, #98, #e2, #21
db #04, #00, #67, #c0, #b8, #e8, #09, #f1
db #89, #c3, #01, #08, #00, #67, #c8, #b8
db #f8, #bd, #f8, #09, #f9, #eb, #da, #89
db #cb, #85, #d3, #91, #e3, #03, #09, #00
db #67, #d0, #b8, #e0, #09, #e9, #ab, #c1
db #e6, #fa, #82, #e3, #85, #e3, #85, #eb
db #d1, #cb, #10, #09, #00, #67, #e0, #0c
db #d1, #06, #d9, #06, #e9, #0c, #f1, #fd
db #f9, #97, #d2, #85, #cb, #91, #eb, #0b
db #02, #00, #6b, #f8, #0b, #f1, #40, #05
db #00, #b6, #c0, #b6, #c8, #85, #c3, #88
db #fb, #d5, #c3, #07, #09, #00, #b8, #c8
db #09, #e1, #5a, #d1, #5b, #f9, #e8, #e2
db #39, #cb, #39, #d3, #3a, #d3, #82, #eb
db #43, #03, #00, #b8, #d0, #39, #f3, #88
db #eb, #20, #01, #00, #b6, #d8, #d0, #06
db #00, #c0, #d8, #ab, #d1, #35, #eb, #37
db #eb, #38, #f3, #37, #fb, #68, #02, #00
db #bc, #f0, #ee, #c2, #b4, #01, #00, #be
db #f8, #0e, #05, #00, #0b, #c1, #f8, #e1
db #e7, #d2, #e7, #da, #84, #fb, #16, #02
db #00, #0e, #c1, #fd, #e9, #61, #01, #00
db #0c, #c9, #60, #01, #00, #0d, #c9, #70
db #06, #00, #0e, #f1, #ae, #d1, #f7, #e1
db #f7, #e9, #49, #c2, #47, #e2, #b0, #02
db #00, #5b, #d1, #36, #fb, #12, #02, #00
db #5e, #d1, #4d, #c2, #06, #05, #00, #5a
db #f1, #39, #c3, #84, #f3, #dd, #c3, #dc
db #cb, #96, #01, #00, #5d, #f9, #08, #03
db #00, #f9, #c1, #e9, #da, #8c, #fb, #30
db #03, #00, #47, #f2, #e6, #c2, #87, #c3
db #90, #03, #00, #9b, #da, #35, #fb, #e5
db #db, #84, #02, #00, #98, #ea, #e9, #e2
db #85, #01, #00, #e7, #c2, #a1, #01, #00
db #e6, #d2, #86, #02, #00, #e9, #fa, #84
db #d3, #50, #01, #00, #35, #f3, #05, #01
db #00, #86, #d3, #49, #01, #00, #86, #db
db #c2, #01, #00, #87, #db, #2d, #02, #00
db #8a, #db, #8a, #eb, #c3, #01, #00, #8b
db #f3, #42, #01, #00, #85, #fb, #83, #01
db #00, #dc, #d3, #1c, #01, #00, #d9, #db
db #78, #01, #00, #e2, #db
delta13:
db #1b, #c0, #06, #00, #1a, #c8, #ab, #d1
db #fb, #e9, #9b, #e2, #98, #ea, #95, #d3
db #80, #04, #00, #16, #d0, #1a, #e0, #1a
db #e8, #9a, #da, #d0, #01, #00, #19, #d8
db #5a, #01, #00, #1d, #d8, #1e, #02, #00
db #6d, #c0, #9b, #f2, #f0, #01, #00, #6e
db #e0, #4b, #01, #00, #6b, #f8, #0f, #02
db #00, #bd, #e8, #36, #cb, #10, #03, #00
db #bd, #f0, #9b, #da, #35, #fb, #41, #01
db #00, #0c, #c9, #24, #01, #00, #0d, #c9
db #50, #01, #00, #0c, #d1, #0d, #01, #00
db #0b, #e1, #90, #02, #00, #0c, #f1, #4b
db #c2, #07, #02, #00, #5c, #d1, #fd, #e9
db #21, #01, #00, #ab, #c1, #1a, #01, #00
db #ad, #c9, #87, #01, #00, #ad, #d9, #04
db #01, #00, #ae, #f9, #60, #01, #00, #fb
db #f1, #a0, #02, #00, #fc, #f9, #4c, #d2
db #02, #01, #00, #4d, #c2, #30, #01, #00
db #4e, #ea, #2c, #01, #00, #98, #ca, #0c
db #02, #00, #98, #d2, #8e, #cb, #0e, #01
db #00, #8d, #fb, #01, #01, #00, #e1, #db
delta14:
db #1b, #1e, #01, #00, #1d, #d8, #b4, #01
db #00, #1d, #e0, #0f, #02, #00, #1d, #f8
db #e8, #d2, #c0, #02, #00, #66, #c8, #66
db #d0, #0b, #01, #00, #6b, #f8, #f0, #02
db #00, #be, #c8, #f7, #e9, #78, #01, #00
db #be, #d0, #2d, #01, #00, #bd, #e8, #c1
db #01, #00, #0c, #c9, #34, #01, #00, #0d
db #f9, #70, #03, #00, #5e, #c9, #f7, #f1
db #47, #f2, #96, #01, #00, #ad, #d9, #0c
db #01, #00, #ac, #e9, #40, #01, #00, #fb
db #e9, #16, #01, #00, #fd, #e9, #e0, #01
db #00, #fb, #f1, #20, #01, #00, #fc, #f9
db #80, #02, #00, #4b, #c2, #4c, #c2, #38
db #01, #00, #4b, #ca, #03, #01, #00, #4d
db #ca, #50, #01, #00, #4e, #e2, #00, #01
db #00, #97, #d2, #84, #01, #00, #98, #ea
db #c2, #01, #00, #9e, #ea, #48, #01, #00
db #ee, #e2, #30, #02, #00, #85, #cb, #88
db #f3, #86, #01, #00, #dc, #cb
delta15:
db #13, #3c, #02, #00, #6d, #c0, #98, #c2
db #1e, #01, #00, #6d, #e0, #0f, #01, #00
db #bd, #e8, #a1, #01, #00, #f8, #c1, #70
db #03, #00, #f7, #d1, #f7, #e9, #37, #f3
db #0e, #01, #00, #fd, #d1, #07, #01, #00
db #fd, #e9, #f0, #02, #00, #f7, #f1, #47
db #e2, #12, #01, #00, #4d, #c2, #28, #01
db #00, #4b, #ca, #c0, #02, #00, #4c, #d2
db #9e, #e2, #81, #01, #00, #e6, #d2, #87
db #01, #00, #35, #db, #80, #01, #00, #36
db #f3, #50, #01, #00, #35, #fb, #01, #01
db #00, #89, #c3, #b0, #01, #00, #85, #cb
db #41, #01, #00, #89, #cb, #10, #01, #00
db #e1, #db
delta16:
db #2e, #f0, #08, #00, #1e, #c0, #f7, #e1
db #f7, #e9, #fb, #f1, #49, #c2, #4a, #c2
db #35, #eb, #37, #f3, #d0, #04, #00, #19
db #c8, #c0, #f8, #35, #f3, #85, #cb, #0c
db #02, #00, #1c, #c8, #98, #ca, #a0, #01
db #00, #1a, #d0, #b4, #01, #00, #1d, #d0
db #e0, #02, #00, #19, #d8, #9b, #e2, #3c
db #02, #00, #1d, #d8, #5c, #f9, #96, #01
db #00, #19, #e0, #1e, #06, #00, #1d, #e0
db #1d, #f8, #6d, #c0, #0d, #e9, #fd, #d1
db #fd, #d9, #c0, #02, #00, #1a, #e8, #ab
db #c9, #68, #02, #00, #1a, #f0, #fe, #d9
db #0e, #02, #00, #6a, #c0, #db, #cb, #0f
db #03, #00, #6d, #c8, #ad, #c1, #8d, #f3
db #80, #05, #00, #66, #d0, #4c, #d2, #49
db #f2, #35, #fb, #e5, #db, #00, #04, #00
db #67, #e0, #b6, #c0, #aa, #c9, #f7, #c1
db #78, #02, #00, #be, #e0, #0d, #f1, #01
db #03, #00, #bd, #f0, #e1, #c3, #e1, #db
db #08, #02, #00, #c8, #f0, #4d, #ea, #10
db #04, #00, #0c, #d1, #97, #d2, #9c, #fa
db #d8, #c3, #1c, #02, #00, #0b, #e1, #f8
db #f9, #b0, #01, #00, #0c, #f1, #43, #01
db #00, #5c, #d1, #03, #03, #00, #ab, #c1
db #4e, #ea, #ed, #c2, #0b, #02, #00, #ad
db #c9, #dc, #d3, #21, #04, #00, #ad, #e9
db #9c, #e2, #36, #c3, #89, #c3, #e1, #02
db #00, #f8, #c1, #4e, #c2, #60, #02, #00
db #ff, #c9, #86, #c3, #30, #02, #00, #f7
db #d1, #47, #fa, #20, #02, #00, #fa, #e9
db #85, #c3, #83, #01, #00, #fd, #f1, #c2
db #01, #00, #fe, #f1, #70, #03, #00, #47
db #e2, #36, #fb, #37, #fb, #2c, #04, #00
db #98, #c2, #98, #d2, #e7, #d2, #38, #cb
db #50, #01, #00, #9b, #da, #84, #01, #00
db #98, #e2, #48, #01, #00, #9e, #e2, #41
db #01, #00, #9c, #ea, #4a, #01, #00, #9e
db #ea, #24, #01, #00, #9e, #fa, #87, #01
db #00, #36, #cb, #07, #02, #00, #35, #db
db #39, #f3, #61, #01, #00, #37, #e3, #90
db #01, #00, #36, #f3, #86, #01, #00, #84
db #fb, #18, #01, #00, #8c, #fb, #06, #01
db #00, #dc, #cb
delta17:
db #08, #d0, #01, #00, #19, #d0, #20, #01
db #00, #1a, #d0, #f0, #01, #00, #19, #d8
db #0f, #01, #00, #0d, #d9, #70, #01, #00
db #f7, #e1, #0c, #01, #00, #98, #e2, #c0
db #01, #00, #98, #ea, #80, #01, #00, #ec
db #c2
delta18:
db #0b, #a0, #01, #00, #1a, #d0, #00, #02
db #00, #1a, #e0, #49, #f2, #1e, #01, #00
db #6d, #c8, #0f, #01, #00, #6d, #d0, #d0
db #01, #00, #fb, #f9, #30, #01, #00, #97
db #ca, #84, #02, #00, #98, #e2, #98, #ea
db #0e, #01, #00, #38, #cb, #87, #01, #00
db #39, #d3, #50, #01, #00, #85, #cb, #10
db #01, #00, #91, #e3
delta19:
db #3b, #01, #1f, #00, #16, #c0, #16, #c8
db #16, #d0, #16, #d8, #b8, #d0, #b8, #d8
db #bd, #e0, #09, #d1, #09, #d9, #0d, #d9
db #0d, #e1, #59, #c9, #58, #f1, #5b, #f9
db #ab, #c1, #a7, #e1, #ac, #e9, #ff, #d9
db #4c, #c2, #4c, #ca, #4c, #d2, #4c, #da
db #4c, #e2, #4c, #ea, #4c, #f2, #38, #e3
db #85, #c3, #84, #cb, #83, #e3, #d1, #cb
db #d1, #d3, #0f, #b2, #00, #19, #c0, #1c
db #c0, #1d, #c0, #1e, #c0, #1f, #c0, #18
db #c8, #19, #c8, #1c, #c8, #1d, #c8, #1e
db #c8, #1f, #c8, #18, #d0, #19, #d0, #1a
db #d0, #1c, #d0, #1d, #d0, #1e, #d0, #1f
db #d0, #18, #d8, #19, #d8, #1a, #d8, #1d
db #d8, #1e, #d8, #1f, #d8, #17, #e0, #18
db #e0, #19, #e0, #1a, #e0, #1d, #e0, #1e
db #e0, #1f, #e0, #18, #e8, #1a, #e8, #1d
db #e8, #1e, #e8, #1f, #e8, #18, #f0, #1a
db #f0, #1d, #f0, #1e, #f0, #1f, #f0, #1a
db #f8, #1d, #f8, #1e, #f8, #1f, #f8, #20
db #f8, #6a, #c0, #6d, #c0, #6e, #c0, #6f
db #c0, #6d, #c8, #6e, #c8, #6f, #c8, #6e
db #d0, #6f, #d0, #70, #d0, #6e, #d8, #6f
db #d8, #70, #d8, #6d, #e0, #6e, #e0, #6f
db #e0, #70, #e0, #6e, #e8, #6f, #e8, #6e
db #f0, #6f, #f0, #6b, #f8, #6e, #f8, #6f
db #f8, #be, #c0, #bf, #c0, #be, #c8, #bf
db #c8, #be, #d0, #bf, #d0, #be, #d8, #bf
db #d8, #be, #e0, #bf, #e0, #be, #e8, #bf
db #e8, #bf, #f0, #bf, #f8, #0f, #c1, #0e
db #c9, #0f, #c9, #0e, #d1, #0f, #d1, #0e
db #d9, #0f, #d9, #0e, #e1, #0e, #e9, #0b
db #f1, #0e, #f1, #0f, #f1, #0b, #f9, #0e
db #f9, #5b, #c1, #5c, #c1, #5d, #c1, #5e
db #c1, #5b, #c9, #5c, #c9, #5d, #c9, #5e
db #c9, #5b, #d1, #5c, #d1, #5d, #d1, #5e
db #d1, #5b, #d9, #5d, #d9, #5e, #d9, #5d
db #e1, #5e, #e1, #5d, #e9, #5e, #e9, #5c
db #f1, #5d, #f1, #5e, #f1, #5c, #f9, #5d
db #f9, #5e, #f9, #ad, #c9, #ad, #d1, #ad
db #d9, #ad, #e1, #ad, #e9, #4e, #ca, #4d
db #d2, #4e, #d2, #4d, #da, #4e, #da, #4d
db #e2, #4e, #e2, #4d, #ea, #4e, #ea, #4d
db #f2, #4e, #f2, #4d, #fa, #4e, #fa, #9d
db #c2, #9e, #c2, #9e, #ca, #9f, #ca, #9e
db #d2, #9f, #d2, #9d, #da, #9e, #da, #9f
db #da, #9d, #e2, #9e, #e2, #9e, #ea, #9e
db #f2, #9e, #fa, #3e, #cb, #3a, #d3, #3d
db #d3, #3d, #db, #39, #e3, #3e, #e3, #39
db #eb, #38, #f3, #39, #f3, #38, #fb, #39
db #fb, #87, #c3, #88, #c3, #89, #c3, #85
db #cb, #86, #cb, #87, #cb, #88, #cb, #89
db #cb, #85, #d3, #86, #d3, #85, #db, #84
db #e3, #1e, #19, #00, #1a, #c0, #20, #c8
db #20, #d0, #bb, #d0, #0f, #e1, #0f, #e9
db #0a, #f9, #a8, #d1, #ff, #f9, #4f, #ca
db #4f, #da, #4f, #e2, #4f, #ea, #4f, #f2
db #4f, #fa, #9f, #c2, #9f, #e2, #9f, #ea
db #3e, #d3, #3d, #f3, #3c, #fb, #3d, #fb
db #8c, #cb, #86, #e3, #d2, #d3, #0d, #02
db #00, #20, #c0, #bb, #f0, #00, #02, #01
db #21, #c0, #21, #c8, #21, #d0, #21, #d8
db #16, #e0, #21, #e0, #16, #e8, #21, #e8
db #16, #f0, #21, #f0, #16, #f8, #21, #f8
db #66, #c0, #66, #c8, #71, #c8, #66, #d0
db #67, #d0, #66, #d8, #67, #d8, #71, #d8
db #66, #e0, #71, #e0, #66, #e8, #71, #e8
db #66, #f0, #b6, #c8, #bc, #d0, #b6, #d8
db #bc, #d8, #b6, #e0, #b8, #e0, #bc, #e0
db #b6, #e8, #b8, #e8, #b8, #f0, #b6, #f8
db #b8, #f8, #bd, #f8, #0c, #c9, #0d, #c9
db #0d, #d1, #06, #d9, #0c, #d9, #06, #e1
db #09, #e1, #0c, #e1, #06, #e9, #09, #e9
db #10, #e9, #09, #f1, #10, #f1, #09, #f9
db #10, #f9, #57, #c9, #60, #d1, #60, #d9
db #5a, #e1, #5a, #e9, #5a, #f1, #5a, #f9
db #aa, #c1, #af, #c1, #ab, #c9, #af, #c9
db #aa, #d1, #ab, #d1, #af, #d1, #aa, #d9
db #ab, #d9, #af, #d9, #a9, #e1, #aa, #e1
db #ab, #e1, #af, #e1, #a9, #e9, #aa, #e9
db #ab, #e9, #ae, #e9, #af, #e9, #a9, #f1
db #aa, #f1, #ab, #f1, #af, #f1, #a8, #f9
db #a9, #f9, #aa, #f9, #ab, #f9, #af, #f9
db #f8, #c1, #f9, #c1, #fb, #c1, #ff, #c1
db #f7, #c9, #f8, #c9, #f9, #c9, #fb, #c9
db #ff, #c9, #01, #ca, #f7, #d1, #f8, #d1
db #ff, #d1, #01, #d2, #f7, #d9, #f8, #d9
db #f7, #e1, #f8, #e1, #f7, #e9, #f8, #e9
db #fa, #e9, #fb, #e9, #f7, #f1, #f8, #f1
db #fa, #f1, #fb, #f1, #f7, #f9, #f8, #f9
db #fa, #f9, #fb, #f9, #47, #c2, #48, #c2
db #49, #c2, #4a, #c2, #4b, #c2, #47, #ca
db #48, #ca, #49, #ca, #4a, #ca, #4b, #ca
db #47, #d2, #48, #d2, #49, #d2, #4a, #d2
db #4b, #d2, #47, #da, #48, #da, #49, #da
db #4a, #da, #4b, #da, #47, #e2, #48, #e2
db #49, #e2, #4b, #e2, #47, #ea, #48, #ea
db #49, #ea, #4b, #ea, #47, #f2, #48, #f2
db #47, #fa, #48, #fa, #97, #c2, #98, #c2
db #9c, #c2, #97, #ca, #98, #ca, #9c, #ca
db #97, #d2, #98, #d2, #99, #d2, #9b, #d2
db #9c, #d2, #98, #da, #9a, #da, #9b, #da
db #98, #e2, #9a, #e2, #9b, #e2, #9c, #e2
db #98, #ea, #9a, #ea, #9b, #ea, #98, #f2
db #9a, #f2, #9b, #f2, #97, #fa, #98, #fa
db #9a, #fa, #9b, #fa, #e6, #c2, #e7, #c2
db #e8, #c2, #eb, #c2, #e6, #ca, #e7, #ca
db #e8, #ca, #e9, #ca, #eb, #ca, #ed, #ca
db #ee, #ca, #e6, #d2, #e7, #d2, #e8, #d2
db #e9, #d2, #eb, #d2, #ee, #d2, #e6, #da
db #e7, #da, #e8, #da, #e9, #da, #eb, #da
db #ee, #da, #e6, #e2, #e7, #e2, #e8, #e2
db #e9, #e2, #eb, #e2, #ee, #e2, #e6, #ea
db #e7, #ea, #e8, #ea, #e9, #ea, #ee, #ea
db #e6, #f2, #e7, #f2, #e8, #f2, #e9, #f2
db #ea, #f2, #e6, #fa, #e7, #fa, #e8, #fa
db #e9, #fa, #ea, #fa, #36, #c3, #37, #c3
db #38, #c3, #39, #c3, #36, #cb, #37, #cb
db #38, #cb, #39, #cb, #35, #d3, #36, #d3
db #37, #d3, #35, #db, #36, #db, #37, #db
db #35, #e3, #36, #e3, #37, #e3, #35, #eb
db #36, #eb, #37, #eb, #35, #f3, #36, #f3
db #35, #fb, #94, #cb, #94, #d3, #95, #d3
db #83, #db, #94, #db, #82, #e3, #94, #e3
db #82, #eb, #81, #fb, #d1, #c3, #da, #c3
db #e4, #db, #e5, #db, #0b, #03, #00, #17
db #c8, #6b, #d8, #ec, #f2, #0e, #09, #00
db #1a, #c8, #c0, #c0, #0f, #f9, #ae, #c1
db #ae, #c9, #ad, #f1, #ec, #ea, #ed, #fa
db #3d, #c3, #2c, #07, #00, #20, #d8, #20
db #e8, #c0, #d8, #5f, #c1, #59, #e9, #a8
db #d9, #ae, #d9, #3c, #0c, #00, #20, #e0
db #70, #c0, #70, #c8, #0c, #f9, #ff, #f1
db #4f, #c2, #4f, #d2, #9f, #f2, #3e, #db
db #85, #f3, #d2, #c3, #d2, #cb, #2d, #04
db #00, #17, #e8, #20, #f0, #70, #e8, #5a
db #c1, #07, #11, #00, #17, #f0, #6b, #d0
db #68, #e0, #68, #e8, #68, #f0, #bd, #d0
db #b9, #f0, #b9, #f8, #0e, #c1, #5b, #e9
db #ac, #d1, #9d, #fa, #eb, #f2, #3c, #c3
db #39, #db, #38, #eb, #36, #fb, #03, #10
db #00, #17, #f8, #68, #f8, #b8, #c0, #be
db #f0, #be, #f8, #09, #c1, #09, #c9, #59
db #d1, #5b, #f1, #a8, #c1, #ac, #e1, #eb
db #ea, #3a, #c3, #84, #d3, #84, #db, #82
db #f3, #02, #03, #00, #67, #c0, #9c, #da
db #ed, #e2, #20, #07, #00, #71, #d0, #a7
db #f1, #ac, #f1, #a7, #f9, #9c, #fa, #ed
db #d2, #ed, #da, #87, #08, #00, #68, #d8
db #0b, #e9, #0d, #f9, #4e, #c2, #ec, #fa
db #3a, #cb, #83, #eb, #82, #fb, #1c, #01
db #00, #70, #f0, #68, #04, #00, #70, #f8
db #c0, #d0, #c0, #e0, #59, #f1, #21, #05
db #00, #b8, #c8, #58, #f9, #a7, #e9, #ed
db #c2, #39, #d3, #4a, #03, #00, #c0, #c8
db #c0, #e8, #bd, #f0, #0c, #09, #00, #bb
db #d8, #bb, #e0, #bb, #e8, #10, #c1, #0b
db #d1, #5f, #c9, #ae, #d1, #ec, #e2, #3d
db #cb, #43, #05, #00, #bd, #d8, #0d, #e9
db #ac, #d9, #ff, #e1, #37, #fb, #f0, #8a
db #00, #bc, #e8, #fd, #c1, #fd, #c9, #00
db #ca, #fd, #d1, #00, #d2, #fd, #d9, #00
db #da, #fd, #e1, #00, #e2, #fd, #e9, #00
db #ea, #fd, #f1, #00, #f2, #fd, #f9, #00
db #fa, #4d, #c2, #50, #c2, #50, #ca, #50
db #da, #50, #ea, #50, #f2, #40, #c3, #40
db #cb, #3f, #d3, #40, #d3, #40, #db, #41
db #db, #40, #e3, #41, #e3, #3e, #eb, #40
db #eb, #41, #eb, #40, #f3, #41, #f3, #3e
db #fb, #3f, #fb, #40, #fb, #41, #fb, #42
db #fb, #8e, #c3, #8f, #c3, #90, #c3, #91
db #c3, #8d, #cb, #8e, #cb, #8f, #cb, #90
db #cb, #91, #cb, #8a, #d3, #8b, #d3, #8c
db #d3, #8d, #d3, #8e, #d3, #90, #d3, #91
db #d3, #87, #db, #89, #db, #8a, #db, #8b
db #db, #8c, #db, #8d, #db, #8f, #db, #90
db #db, #91, #db, #87, #e3, #88, #e3, #89
db #e3, #8a, #e3, #8b, #e3, #8c, #e3, #8d
db #e3, #8f, #e3, #90, #e3, #91, #e3, #92
db #e3, #87, #eb, #88, #eb, #89, #eb, #8a
db #eb, #8b, #eb, #8c, #eb, #8d, #eb, #8f
db #eb, #90, #eb, #91, #eb, #86, #f3, #88
db #f3, #89, #f3, #8a, #f3, #8b, #f3, #8c
db #f3, #8d, #f3, #8f, #f3, #90, #f3, #85
db #fb, #89, #fb, #8a, #fb, #8b, #fb, #8c
db #fb, #8d, #fb, #91, #fb, #92, #fb, #d4
db #c3, #d7, #c3, #d8, #c3, #dc, #c3, #dd
db #c3, #e0, #c3, #e1, #c3, #e2, #c3, #d3
db #cb, #d7, #cb, #d8, #cb, #d9, #cb, #da
db #cb, #db, #cb, #dd, #cb, #e0, #cb, #e1
db #cb, #e2, #cb, #d3, #d3, #d7, #d3, #d8
db #d3, #d9, #d3, #da, #d3, #db, #d3, #dd
db #d3, #e0, #d3, #e2, #d3, #d2, #db, #d3
db #db, #d7, #db, #d8, #db, #d9, #db, #dd
db #db, #e1, #db, #e2, #db, #08, #06, #00
db #bd, #e8, #c0, #f0, #10, #d1, #5f, #e1
db #5f, #e9, #a0, #f2, #d2, #05, #00, #bc
db #f0, #a0, #ca, #89, #d3, #8e, #f3, #88
db #fb, #80, #14, #00, #c8, #f0, #10, #d9
db #10, #e1, #0c, #e9, #5a, #d9, #5f, #f1
db #60, #f1, #a9, #c1, #a9, #c9, #a8, #f1
db #ae, #f1, #01, #c2, #ee, #c2, #41, #c3
db #42, #e3, #93, #eb, #de, #cb, #e3, #cb
db #de, #d3, #e3, #db, #c3, #02, #00, #bc
db #f8, #0d, #f1, #84, #02, #00, #c0, #f8
db #9f, #fa, #78, #09, #00, #0b, #c1, #0c
db #f1, #4d, #ca, #3f, #cb, #3e, #f3, #8d
db #c3, #8f, #d3, #d4, #d3, #d4, #db, #a4
db #01, #00, #0b, #c9, #48, #07, #00, #10
db #c9, #0b, #d9, #5f, #d1, #5f, #d9, #59
db #f9, #a8, #e1, #ae, #e1, #c0, #13, #00
db #0c, #d1, #5f, #f9, #a8, #e9, #ae, #f9
db #fe, #c1, #fe, #c9, #fe, #d1, #fe, #d9
db #fe, #e1, #a0, #da, #41, #cb, #42, #eb
db #87, #fb, #8f, #fb, #93, #fb, #d9, #c3
db #de, #c3, #e3, #c3, #df, #db, #4b, #02
db #00, #0b, #e1, #0a, #e9, #16, #04, #00
db #0a, #f1, #59, #d9, #59, #e1, #a8, #c9
db #40, #03, #00, #60, #c1, #60, #c9, #9c
db #ea, #49, #01, #00, #5a, #c9, #81, #02
db #00, #5a, #d1, #fe, #f1, #30, #06, #00
db #ac, #f9, #fc, #c1, #00, #c2, #f0, #fa
db #92, #f3, #e0, #db, #14, #01, #00, #ad
db #f9, #10, #0f, #00, #b0, #f9, #fc, #c9
db #fc, #d1, #fc, #d9, #fc, #e1, #fc, #e9
db #fc, #f1, #fc, #f9, #4c, #fa, #ed, #ea
db #37, #f3, #90, #fb, #db, #c3, #df, #c3
db #db, #db, #a0, #01, #00, #fe, #e9, #96
db #04, #00, #ff, #e9, #8b, #c3, #8c, #c3
db #86, #eb, #83, #01, #00, #fe, #f9, #e1
db #05, #00, #50, #d2, #86, #db, #8e, #db
db #8e, #eb, #d4, #cb, #e0, #0d, #00, #50
db #e2, #50, #fa, #a0, #c2, #a0, #e2, #41
db #d3, #42, #f3, #43, #fb, #93, #cb, #93
db #d3, #93, #db, #8e, #e3, #91, #f3, #da
db #db, #c2, #02, #00, #a0, #d2, #a0, #ea
db #60, #06, #00, #9c, #f2, #ec, #c2, #ec
db #ca, #ec, #d2, #ec, #da, #df, #d3, #82
db #01, #00, #ed, #f2, #12, #01, #00, #3f
db #c3, #5a, #07, #00, #3f, #db, #8b, #cb
db #87, #d3, #88, #d3, #84, #eb, #83, #fb
db #d3, #c3, #34, #01, #00, #3f, #e3, #92
db #01, #00, #3f, #eb, #b0, #01, #00, #3f
db #f3, #06, #01, #00, #86, #c3, #b4, #04
db #00, #8a, #cb, #88, #db, #87, #f3, #84
db #fb, #29, #02, #00, #85, #e3, #84, #f3
db #69, #01, #00, #85, #eb, #d0, #07, #00
db #86, #fb, #8e, #fb, #d6, #c3, #d6, #cb
db #d6, #d3, #d6, #db, #dc, #db, #70, #06
db #00, #d5, #c3, #d5, #cb, #dc, #cb, #df
db #cb, #d5, #d3, #d5, #db, #90, #03, #00
db #dc, #d3, #e1, #d3, #de, #db
table_delta:
dw delta00, delta01, delta02, delta03, delta04, delta05, delta06, delta07
dw delta08, delta09, delta10, delta11, delta12, delta13, delta14, delta15
dw delta16, delta17, delta18, delta19
palette:
db 00, 13, 26
end

save'disc.bin',#200, end - start,DSK,'delta.dsk'