;--- dimensions du sprite ----
large equ 50
haut equ 200
loadingaddress equ #200
linewidth equ #c050
nbdelta equ 13
nbcolors equ 4
;-----------------------------
org loadingaddress
run loadingaddress
;-----------------------------
start
;--- selection du mode ---------
    ld a,1
    call #BC0E
;-------------------------------

;--- gestion de la palette ---- 
    call palettefirmware
;------------------------------

call xvbl

;--- affichage du sprite initiale --  
    ; affichage du premier sprite
    ld de,#c010 ; adresse de l'ecran 
    ld hl,sprite ; pointeur sur l'image en memoire 
    ld b, haut ; hauteur de l'image 
    loop 
    push bc ; sauve le compteur hauteur dans la pile 
    push de ; sauvegarde de l'adresse ecran dans la pile
    ld bc, large ; largeur de l'image a afficher
    ldir ; remplissage de n * largeur octets a l'adresse dans de 
    pop de ; recuperation de l'adresse d'origine 
    ex de,hl ; echange des valeurs des adresses
    call bc26 ; calcul de l'adresse de la ligne suivante
    ex de,hl ; echange des valeurs des adresses
    pop bc ; retabli le compteur 
    djnz loop
;------------------------------------

mainloop    ; routine pour afficher les deltas provenant de martine 

;call #bb06

call xvbl
call next_delta

jp mainloop


;--- routine de deltapacking --------------------------
next_delta:
table_index:
    ld a,-1
    inc a
    and nbdelta
    ld (table_index+1),a
    add a
    ld e,a
    ld d,0
    ld hl,table_delta
    add hl,de
    ld a,(hl)
    inc hl
    ld h,(hl)
    ld l,a
delta
 ld a,(hl) ; nombre de byte a poker
 push af   ; stockage en mémoire
 inc hl
init
 ld a,(hl) ; octet a poker
 ld (pixel),a
 inc hl
 ld c,(hl) ; nbfois
 inc hl 
 ld b,(hl)
 inc hl
;
poke_octet
 ld e,(hl)
 inc hl
 ld d,(hl) ; de=adresse
 inc hl
 ld a,(pixel)
 ld (de),a ; poke a l'adresse dans de
 dec bc
 ld a,b ; test a t'on poke toutes les adresses compteur bc
 or a 
 jr nz, poke_octet
 ld a,c 
 or a
 jr nz, poke_octet
 pop af 
; reste t'il d'autres bytes a poker ? 
 dec a 
 push af
 jr nz,init
 pop af
 ret



;---------------------------------------------------------------
;
; attente de plusieurs vbl
;
xvbl ld e,20
	call waitvbl
	dec e
	jr nz,xvbl+2
	ret
;-----------------------------------

;---- attente vbl ----------
waitvbl
    ld b,#f5 ; attente vbl
vbl     
    in a,(c)
    rra
    jp nc,vbl
    ret
;---------------------------

;--- application palette firmware -------------
palettefirmware ; hl pointe sur les valeurs de la palette
ld e,nbcolors
ld a,0
ld hl,palette

paletteloop
ld b,(hl)
ld c,b
push af
push de
push hl
call #bc32 ; af, de, hl corrupted
pop hl
pop de
pop af
inc a
inc hl
dec e
jr nz,paletteloop
ret
;---------------------------------------------

;---------------------------------------------

;---- recuperation de l'adresse de la ligne en dessous ------------
bc26 
ld a,h
add a,8 
ld h,a ; <---- le fameux que tu as oublié !
ret nc 
ld bc,linewidth ; on passe en 96 colonnes
add hl,bc
res 3,h
ret
;-----------------------------------------------------------------


;--- variables memoires -----
pixel db 0 
;----------------------------
sprite:
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #30
db #f0, #f0, #f0, #f0, #f0, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #70, #30, #f0, #b0, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #30, #f0, #f0, #f0, #f0, #f0, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #20, #90, #30, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #30, #f0, #f0, #f0, #f0
db #f0, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #60, #30
db #30, #20, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #30, #f0, #f0
db #f0, #f0, #f0, #80, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #20, #10, #30, #30, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #70
db #f0, #f0, #f0, #f0, #f0, #80, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #70, #f0, #f0, #f0, #f0, #f0, #80
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #70, #f0, #f0, #f0, #f0
db #f0, #80, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #80, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #d0, #f0, #f0
db #f0, #f0, #f0, #c0, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #e0
db #f0, #f0, #f0, #f0, #f0, #c0, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #f0, #70, #f0, #f0, #f0, #f0, #c0
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #20, #00, #f0, #90, #f0, #f0, #f0
db #f0, #c0, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #f0, #c0, #f0
db #f0, #f0, #f0, #c0, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #10, #f0
db #e0, #30, #f0, #f0, #f0, #c0, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #40
db #10, #f0, #f0, #30, #f0, #f0, #f0, #c0
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #40, #10, #f0, #f0, #10, #f0, #f0
db #f0, #c0, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #c0, #30, #f0, #f0, #c0
db #70, #f0, #f0, #c0, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #80, #30, #f0
db #f0, #c0, #30, #f0, #f0, #e0, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #80
db #30, #f0, #f0, #e0, #10, #f0, #f0, #e0
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #10, #80, #30, #f0, #f0, #f0, #00, #f0
db #f0, #e0, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #10, #80, #70, #f0, #f0, #f0
db #80, #70, #f0, #e0, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #30, #00, #70, #f0
db #f0, #f0, #80, #30, #f0, #e0, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #30, #00
db #70, #f0, #f0, #f0, #c0, #10, #f0, #f0
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #30, #00, #f0, #f0, #f0, #f0, #e0, #00
db #f0, #f0, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #70, #00, #f0, #f0, #f0, #f0
db #f0, #00, #70, #f0, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #70, #00, #f0, #f0
db #f0, #f0, #f0, #80, #30, #f0, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #f0, #00
db #f0, #f0, #f3, #fc, #f0, #80, #30, #f0
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #e0, #10, #f0, #f1, #ff, #ff, #f8, #c0
db #00, #f0, #80, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #e0, #10, #f0, #f3, #ff, #ff
db #fc, #e0, #00, #f0, #80, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #10, #e0, #10, #f0, #ff
db #ff, #ff, #ef, #f0, #00, #70, #80, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #30, #c0, #30
db #f1, #ff, #ff, #ff, #ff, #f8, #80, #30
db #80, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #30
db #c0, #30, #f0, #f1, #ff, #ff, #ff, #fc
db #80, #10, #c0, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #30, #c0, #30, #f0, #f0, #d3, #ff
db #ff, #fc, #c0, #00, #c0, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #70, #c0, #30, #f0, #f0
db #f0, #f0, #ff, #ff, #e0, #00, #40, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #70, #c0, #30
db #f0, #f0, #f0, #f0, #f3, #ff, #f0, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #10
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #f0
db #c0, #70, #f0, #f0, #f0, #f0, #f0, #f3
db #fc, #80, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #10, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #f0, #80, #70, #f0, #f0, #f0, #f0
db #f0, #f0, #fc, #80, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #80, #00, #00, #f0, #80, #70, #f0, #f0
db #f0, #f0, #f0, #f0, #f6, #c0, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #10, #f0, #80, #f0
db #f0, #f0, #f0, #f0, #f0, #f0, #f0, #e0
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #10, #f0
db #c0, #f0, #f0, #f0, #f0, #f0, #f0, #f0
db #f0, #f0, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #20, #00, #00, #00, #00, #00, #00
db #10, #f0, #40, #f0, #f0, #f0, #f0, #f0
db #f0, #f0, #f0, #f0, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #30, #f0, #00, #00, #00, #10
db #f0, #f0, #f0, #f0, #f0, #f0, #80, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #30, #00, #00, #00
db #00, #00, #00, #f0, #f0, #f0, #f0, #f0
db #c0, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #f0
db #00, #f0, #f0, #f0, #e0, #00, #30, #f0
db #f0, #f0, #e0, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #70, #f0, #10, #f0, #f0, #f0, #f0, #f0
db #00, #f0, #f0, #f0, #f0, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #70, #f0, #10, #f0, #f0, #f0
db #f0, #f0, #c0, #30, #f0, #f0, #f0, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #f0, #f0, #10, #f0
db #f0, #f0, #f0, #f0, #f0, #e0, #30, #f0
db #f0, #80, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #f0, #e0
db #10, #f0, #f0, #f0, #f0, #f0, #f0, #f0
db #80, #f0, #f0, #c0, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #40, #00, #00, #00, #00, #00
db #f0, #e0, #30, #f0, #f0, #f0, #f0, #f0
db #f0, #f0, #e0, #70, #f0, #c0, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #80, #00, #00, #00
db #00, #10, #f0, #e0, #30, #f0, #f0, #f0
db #f0, #f0, #f0, #f0, #f0, #c0, #f0, #c0
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #80, #00
db #00, #00, #00, #10, #f0, #e0, #30, #f0
db #f0, #f0, #f0, #f0, #f0, #f0, #f0, #e0
db #70, #c0, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #80, #00, #00, #00, #00, #10, #f0, #e0
db #30, #f0, #f0, #f0, #f0, #f0, #f0, #f0
db #f0, #f0, #30, #c0, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #10, #80, #00, #00, #00, #00, #30
db #f0, #c0, #30, #f0, #f0, #f0, #f0, #f0
db #f0, #f0, #f0, #f0, #c0, #e0, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #10, #80, #00, #00, #00
db #00, #30, #f0, #c0, #30, #f0, #f0, #f0
db #f0, #f0, #f0, #f0, #f0, #f0, #c0, #60
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #70, #00, #00
db #00, #00, #00, #30, #f0, #c0, #30, #f0
db #f0, #f0, #f0, #f0, #f0, #f0, #f0, #f0
db #e0, #e0, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #30
db #00, #00, #00, #00, #00, #70, #f0, #c0
db #70, #f0, #f0, #f0, #f0, #f0, #f0, #f0
db #f0, #f0, #f0, #50, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #30, #00, #00, #00, #00, #00, #70
db #f0, #c0, #70, #f0, #f0, #f0, #f0, #f0
db #f0, #f0, #f0, #f0, #f0, #70, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #70, #00, #00, #00, #00
db #00, #f0, #f0, #c0, #70, #f0, #ff, #ff
db #fc, #f0, #f0, #f0, #f0, #f0, #f0, #b0
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #70, #00, #00
db #00, #00, #00, #f0, #f0, #c0, #70, #f1
db #ff, #ff, #ff, #f8, #f0, #f0, #f0, #f0
db #f0, #b0, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #f0
db #00, #00, #00, #00, #00, #f0, #f0, #c0
db #70, #f3, #ff, #ff, #ff, #ff, #f0, #f0
db #f0, #f0, #f0, #f0, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #e0, #00, #00, #00, #00, #00, #f0
db #f0, #80, #f0, #ff, #ff, #ff, #ff, #ff
db #ff, #f0, #f0, #f0, #f0, #d0, #80, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #80, #00, #00
db #00, #00, #20, #e0, #00, #80, #00, #00
db #00, #f0, #f0, #80, #f0, #ff, #ff, #ff
db #ff, #ff, #ff, #fc, #f0, #f0, #f0, #d0
db #80, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #80
db #00, #00, #00, #00, #10, #e0, #00, #00
db #00, #00, #10, #f0, #f0, #80, #f1, #ff
db #ff, #ff, #ff, #ff, #ff, #fe, #f0, #f0
db #f0, #e0, #80, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #30, #e0
db #00, #00, #00, #00, #10, #f0, #f0, #80
db #f3, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #f8, #f0, #f0, #f0, #c0, #20, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #30, #e0, #00, #00, #00, #00, #10, #f0
db #f0, #80, #f7, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #fc, #f0, #f0, #f0, #c0, #20
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #20, #00, #00, #00, #00, #00
db #00, #00, #30, #c0, #00, #00, #00, #00
db #30, #f0, #f0, #80, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #f0, #f0, #f0
db #40, #10, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #20, #00, #00, #00
db #00, #00, #00, #00, #30, #c0, #00, #00
db #00, #00, #30, #f0, #f0, #00, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #f0
db #f0, #f0, #40, #10, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #20, #00
db #00, #00, #00, #00, #00, #00, #70, #c0
db #00, #00, #00, #00, #30, #f0, #f0, #10
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #f8, #f0, #f0, #a0, #10, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #70, #c0, #00, #00, #00, #00, #70, #f0
db #f0, #11, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #fc, #f0, #f0, #e0, #10
db #80, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #40, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #f0, #c0, #00, #00, #00, #00
db #70, #f0, #f0, #11, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #fc, #f0, #f0
db #f0, #00, #80, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #60, #00, #00, #00, #00, #80
db #00, #00, #00, #00, #f0, #c0, #00, #00
db #00, #00, #70, #f0, #f0, #11, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #fc
db #f0, #f0, #d0, #00, #80, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #70, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #f0, #c0
db #00, #00, #00, #00, #f0, #f0, #f1, #11
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #f0, #f0, #d0, #00, #c0, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #10, #70, #80
db #00, #00, #00, #00, #00, #00, #00, #00
db #f0, #80, #00, #00, #00, #00, #f0, #f0
db #f1, #11, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #f0, #f0, #e0, #00
db #c0, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #10
db #70, #80, #00, #00, #00, #00, #00, #00
db #00, #10, #f0, #80, #00, #00, #00, #00
db #f0, #f0, #f3, #b1, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #f0, #f0
db #e0, #00, #c0, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #10, #f0, #00, #00, #00, #00, #00
db #00, #00, #00, #10, #f4, #80, #00, #00
db #00, #00, #f0, #f0, #f7, #b3, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #f8, #f0, #f0, #80, #e0, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #30, #f0, #00, #00, #00
db #00, #00, #00, #00, #00, #10, #f4, #80
db #00, #00, #00, #00, #f0, #f0, #ff, #b3
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #fc, #f0, #f0, #80, #60, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #30, #f0, #00
db #00, #00, #00, #00, #00, #00, #00, #30
db #fc, #00, #00, #00, #00, #10, #f0, #f0
db #ff, #33, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #fc, #f0, #f0, #40
db #70, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #30
db #f0, #00, #00, #00, #00, #00, #00, #00
db #00, #30, #fc, #00, #00, #00, #00, #10
db #f0, #f1, #fe, #33, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #fc, #f0
db #f0, #40, #70, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #30, #f0, #00, #00, #00, #00, #00
db #00, #00, #00, #30, #fc, #00, #00, #00
db #00, #10, #f0, #f3, #ee, #33, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #fe, #f0, #f0, #40, #70, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #30, #f0, #00, #00, #00
db #00, #00, #00, #00, #00, #71, #fc, #00
db #00, #00, #00, #30, #f0, #f3, #ee, #33
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #f0, #f0, #c0, #30, #80
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #70, #f0, #00
db #00, #00, #00, #00, #00, #00, #00, #71
db #fc, #00, #00, #00, #00, #30, #f0, #f7
db #ee, #33, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #f0, #f0, #e0
db #30, #80, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #70
db #f0, #00, #00, #00, #00, #00, #00, #00
db #00, #73, #fc, #00, #00, #00, #00, #30
db #f0, #f7, #ee, #33, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #f0
db #f0, #e0, #30, #c0, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #70, #f0, #00, #00, #00, #00, #00
db #00, #00, #00, #f3, #fc, #00, #00, #00
db #00, #30, #f0, #ff, #ee, #73, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #f0, #f0, #e0, #30, #c0, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #f0, #f0, #00, #40, #00
db #00, #00, #00, #00, #00, #f3, #fc, #00
db #00, #00, #00, #70, #e1, #ff, #fe, #77
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #f8, #f0, #f0, #30, #c0
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #f0, #f0, #00
db #40, #00, #00, #00, #00, #00, #00, #f3
db #fc, #00, #00, #00, #00, #70, #f1, #ff
db #fe, #77, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #f8, #f0, #f0
db #10, #e0, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #f0
db #f0, #00, #40, #00, #00, #00, #00, #00
db #00, #f7, #e8, #00, #00, #00, #00, #70
db #f3, #ff, #ec, #77, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #fc
db #f0, #f0, #10, #e0, #00, #80, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #f0, #f0, #00, #40, #00, #00, #00
db #00, #00, #10, #f7, #e8, #00, #00, #00
db #80, #f0, #f3, #ff, #ec, #77, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #fc, #f0, #f0, #10, #f0, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #10, #f0, #60, #00, #40, #00
db #00, #00, #00, #00, #10, #ff, #e8, #00
db #00, #00, #00, #f0, #f7, #ff, #cc, #77
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #fc, #f0, #f0, #80, #f0
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #10, #f0, #e0, #00
db #40, #00, #00, #00, #00, #00, #10, #ff
db #e8, #00, #00, #00, #00, #f0, #ff, #ff
db #cc, #f7, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #fc, #f0, #f0
db #80, #f0, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #10, #f0
db #a0, #00, #40, #00, #00, #00, #00, #00
db #30, #ff, #e8, #00, #00, #00, #00, #f0
db #ff, #ff, #cc, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #fe
db #f0, #f0, #80, #f0, #80, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #30, #f0, #e0, #00, #00, #00, #00, #00
db #00, #00, #30, #ff, #c8, #00, #00, #10
db #00, #f1, #ff, #ff, #cc, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #fe, #f0, #f0, #c0, #f0, #80, #20
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #30, #f0, #e0, #00, #00, #00
db #00, #00, #00, #00, #21, #ff, #c8, #00
db #00, #10, #10, #f1, #ff, #ff, #cc, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #f0, #f0, #c0, #f0
db #c0, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #30, #f0, #c0, #00
db #80, #00, #00, #00, #00, #00, #31, #ff
db #c8, #00, #00, #10, #10, #d3, #ff, #ff
db #cc, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #f0, #f0
db #c0, #f0, #c0, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #30, #f0
db #e0, #00, #80, #00, #00, #00, #00, #00
db #31, #ff, #c8, #00, #00, #20, #10, #f3
db #ff, #ff, #cc, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #f0, #f0, #c0, #70, #c0, #10, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #70, #f0, #e0, #00, #80, #00, #00, #00
db #00, #00, #71, #ff, #c0, #00, #00, #20
db #10, #f3, #ff, #ff, #cc, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #f0, #f0, #e0, #70, #e0, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #70, #f0, #e0, #00, #80, #00
db #00, #00, #00, #00, #73, #ff, #c0, #00
db #00, #20, #30, #f7, #ff, #ff, #cc, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #f0, #f0, #e0, #70
db #e0, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #70, #f0, #c0, #00
db #80, #00, #00, #00, #00, #00, #f3, #ff
db #c0, #00, #00, #20, #30, #f7, #ff, #ff
db #cc, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #f8, #f0
db #e0, #30, #f0, #00, #80, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #f0, #f0
db #c0, #00, #80, #00, #00, #00, #00, #00
db #f3, #ff, #c0, #00, #00, #20, #30, #ff
db #ff, #ff, #cc, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #f8, #f0, #f0, #30, #f0, #00, #80, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #f0, #f0, #e0, #00, #80, #00, #00, #00
db #00, #00, #f3, #fd, #80, #00, #00, #40
db #30, #f0, #f0, #f1, #cc, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #fc, #f0, #f0, #30, #f0, #00
db #80, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #f0, #f0, #e0, #00, #80, #00
db #00, #00, #00, #00, #f3, #fd, #80, #00
db #00, #40, #30, #f0, #f0, #f0, #d0, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #fc, #f0, #f0, #30
db #f0, #80, #c0, #00, #00, #00, #00, #00
db #00, #00, #00, #10, #f0, #f0, #e0, #00
db #80, #00, #00, #00, #00, #00, #f7, #f9
db #80, #00, #00, #40, #30, #f0, #f0, #f0
db #90, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #fc, #f0
db #f0, #30, #f0, #80, #c0, #00, #00, #00
db #00, #00, #00, #00, #00, #10, #f0, #f0
db #e0, #00, #80, #00, #00, #00, #00, #10
db #f7, #f3, #80, #00, #00, #c0, #70, #f0
db #f0, #f0, #90, #f0, #f7, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #fe, #f0, #f0, #90, #f0, #c0, #40, #00
db #00, #00, #00, #00, #80, #00, #00, #30
db #f0, #f0, #e0, #00, #80, #00, #00, #00
db #00, #10, #f7, #f7, #80, #00, #00, #c0
db #70, #f0, #f0, #f0, #90, #f0, #f1, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #fe, #f0, #f0, #90, #f0, #c0
db #40, #00, #00, #00, #00, #00, #00, #00
db #00, #30, #f0, #f0, #e0, #00, #80, #00
db #00, #00, #00, #10, #f6, #f7, #80, #00
db #00, #c0, #70, #f0, #f0, #f0, #90, #f0
db #f0, #7f, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #fe, #f0, #f0, #90
db #f0, #c0, #60, #00, #00, #00, #00, #00
db #00, #00, #00, #30, #f0, #f0, #e0, #00
db #80, #00, #00, #00, #00, #30, #fc, #ff
db #80, #00, #00, #c0, #f0, #f0, #f0, #f0
db #90, #f0, #f0, #f1, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #f0
db #f0, #c0, #f0, #c0, #60, #00, #00, #00
db #00, #00, #00, #00, #00, #30, #f0, #f0
db #e0, #00, #00, #00, #00, #00, #00, #30
db #fd, #ff, #80, #00, #00, #c0, #f0, #f0
db #f0, #f0, #90, #f0, #f0, #f0, #f7, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #f0, #f0, #c0, #f0, #e0, #70, #00
db #00, #00, #00, #00, #00, #00, #00, #70
db #f0, #f0, #e0, #00, #00, #00, #00, #00
db #00, #30, #fb, #ff, #00, #00, #10, #80
db #f0, #f0, #f0, #f0, #90, #f0, #f0, #f0
db #f0, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #f0, #f0, #c0, #f0, #e0
db #30, #00, #00, #00, #00, #00, #00, #00
db #00, #70, #f0, #f0, #e0, #10, #00, #00
db #00, #00, #00, #30, #f3, #ff, #00, #00
db #10, #80, #f0, #f0, #f0, #f0, #90, #f0
db #f0, #f0, #f0, #f3, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #f0, #f0, #c0
db #f0, #e0, #30, #00, #00, #00, #00, #00
db #00, #00, #00, #f0, #f0, #f0, #a0, #10
db #00, #00, #00, #00, #00, #30, #f7, #ff
db #00, #00, #10, #80, #f0, #f0, #f0, #f0
db #90, #f0, #f0, #f0, #f0, #f0, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #f0
db #f0, #c0, #f0, #f0, #30, #00, #00, #00
db #00, #00, #00, #00, #00, #f0, #f0, #f0
db #80, #10, #00, #00, #00, #00, #00, #70
db #ff, #fd, #00, #00, #10, #80, #f0, #30
db #f0, #f0, #b0, #f0, #f0, #f0, #f0, #f0
db #f0, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #f8, #f0, #e0, #f0, #f0, #30, #80
db #00, #00, #00, #00, #00, #00, #00, #f0
db #f0, #f0, #80, #10, #00, #00, #00, #00
db #00, #70, #ff, #ff, #00, #00, #30, #90
db #f0, #c0, #f0, #f0, #b0, #f0, #f0, #f0
db #f0, #f0, #f0, #f3, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #f8, #f0, #e0, #70, #f0
db #30, #80, #00, #00, #00, #00, #00, #00
db #30, #f0, #f0, #f0, #80, #10, #00, #00
db #00, #00, #00, #70, #ff, #fb, #00, #00
db #30, #80, #00, #00, #30, #f0, #30, #f0
db #f0, #f0, #f0, #f0, #f0, #f0, #f3, #ff
db #ff, #ff, #ff, #ff, #ff, #f8, #f0, #e0
db #70, #f0, #30, #80, #00, #00, #00, #00
db #00, #00, #10, #f0, #f0, #f0, #80, #10
db #00, #00, #00, #00, #00, #71, #ff, #f7
db #00, #00, #00, #00, #00, #00, #00, #30
db #30, #f0, #f0, #f0, #f0, #f0, #f0, #f0
db #f0, #f0, #d3, #ff, #ff, #ff, #ff, #fc
db #f0, #f0, #70, #f0, #90, #c0, #00, #00
db #00, #00, #00, #00, #30, #f0, #f0, #f0
db #c0, #10, #00, #00, #00, #00, #00, #f1
db #ff, #ff, #80, #00, #30, #00, #00, #00
db #00, #00, #30, #f0, #f0, #f0, #f0, #f0
db #f0, #f0, #f0, #f0, #f0, #f0, #f0, #f0
db #ff, #fc, #f0, #f0, #70, #f0, #90, #c0
db #00, #00, #00, #00, #00, #00, #30, #f0
db #f0, #f0, #80, #10, #00, #00, #00, #00
db #00, #f1, #fe, #ff, #00, #00, #30, #10
db #00, #00, #00, #00, #30, #f0, #f0, #f0
db #f0, #f0, #f0, #f0, #f0, #f0, #f0, #f0
db #f0, #f0, #f1, #fc, #f0, #f0, #70, #f0
db #90, #c0, #00, #00, #00, #00, #00, #00
db #30, #f0, #f0, #f0, #40, #10, #00, #00
db #00, #00, #00, #f1, #ff, #ff, #00, #00
db #70, #20, #00, #00, #00, #00, #00, #f0
db #f0, #f0, #f0, #f0, #70, #f0, #f0, #f0
db #f0, #f0, #f0, #f0, #f0, #f0, #f0, #f0
db #30, #f0, #d0, #e0, #00, #00, #00, #00
db #00, #00, #30, #f0, #f0, #f0, #40, #10
db #00, #00, #00, #00, #00, #f1, #ff, #ff
db #00, #00, #70, #00, #00, #00, #00, #00
db #00, #70, #f0, #f0, #f0, #f0, #d0, #f0
db #f0, #f0, #f0, #f0, #f0, #f0, #f0, #f0
db #f0, #f0, #30, #f0, #d0, #e0, #00, #00
db #00, #00, #00, #00, #70, #f0, #f0, #f0
db #c0, #10, #00, #00, #00, #00, #10, #f1
db #fe, #ff, #00, #00, #70, #00, #00, #00
db #00, #00, #00, #00, #f0, #f0, #f0, #f0
db #f0, #c0, #f0, #f0, #f0, #f0, #f0, #f0
db #f0, #f0, #f0, #f0, #b0, #f0, #c0, #f0
db #00, #00, #80, #00, #00, #00, #70, #f0
db #f0, #f0, #c0, #10, #00, #00, #00, #00
db #10, #f1, #ff, #ff, #00, #00, #40, #00
db #00, #00, #00, #00, #00, #00, #70, #f0
db #f0, #f0, #f0, #f0, #00, #f0, #f0, #f0
db #f0, #f0, #f0, #f0, #f0, #f0, #b0, #f0
db #c0, #f0, #00, #00, #00, #00, #00, #00
db #f0, #f0, #f0, #f0, #c0, #10, #00, #00
db #00, #00, #10, #f1, #fd, #ff, #00, #00
db #30, #00, #00, #00, #00, #00, #00, #00
db #30, #f0, #f0, #f0, #f0, #f0, #f0, #10
db #f0, #f0, #f0, #f0, #f0, #f0, #f0, #f0
db #b0, #f0, #e0, #f0, #00, #00, #00, #00
db #00, #00, #f0, #f0, #f0, #f0, #40, #10
db #00, #00, #00, #00, #10, #f3, #ff, #fe
db #00, #00, #c0, #10, #f0, #00, #00, #00
db #00, #00, #00, #30, #f0, #b0, #f0, #f0
db #f0, #f0, #f0, #80, #00, #00, #00, #70
db #f0, #f0, #d0, #f0, #e0, #f0, #80, #00
db #00, #00, #00, #00, #f0, #f0, #f0, #f0
db #40, #10, #00, #00, #00, #00, #10, #f3
db #ff, #fe, #00, #00, #00, #30, #e0, #00
db #00, #00, #00, #00, #00, #10, #f0, #c0
db #f0, #f0, #f0, #f0, #f0, #f0, #f0, #80
db #00, #30, #f0, #f0, #d0, #f0, #e0, #f0
db #80, #00, #00, #00, #00, #10, #f0, #f0
db #f0, #f0, #40, #10, #00, #00, #00, #00
db #30, #f3, #ff, #ee, #00, #00, #70, #30
db #c0, #00, #00, #00, #00, #00, #00, #00
db #70, #f0, #30, #f0, #f0, #f0, #f0, #f0
db #f0, #f0, #c0, #10, #f0, #f0, #d0, #f0
db #f0, #f0, #80, #00, #00, #00, #00, #10
db #f0, #f0, #f0, #f0, #40, #10, #00, #00
db #00, #00, #30, #f3, #ff, #ee, #00, #00
db #f6, #50, #f0, #f0, #00, #00, #00, #00
db #00, #00, #00, #70, #e0, #30, #f0, #f0
db #f0, #f0, #f0, #f0, #f0, #e0, #30, #f0
db #d0, #f0, #f0, #f0, #c0, #00, #00, #00
db #00, #30, #f0, #f0, #f0, #f0, #40, #10
db #00, #00, #00, #00, #30, #f3, #ff, #ee
db #00, #00, #f7, #40, #f0, #f0, #c0, #00
db #00, #00, #00, #00, #00, #00, #f0, #c0
db #70, #f0, #f0, #f0, #f0, #f0, #f0, #f0
db #10, #f0, #d0, #f0, #f0, #f0, #c0, #00
db #00, #00, #00, #70, #f0, #f0, #f0, #f0
db #40, #10, #00, #00, #00, #00, #30, #f3
db #ff, #ee, #00, #00, #ff, #70, #30, #f0
db #c0, #00, #00, #00, #00, #00, #00, #00
db #70, #f0, #d0, #f0, #f0, #f0, #f0, #f0
db #f0, #f0, #c0, #f0, #e0, #f0, #f0, #70
db #c0, #00, #00, #00, #00, #30, #f0, #f0
db #f0, #f0, #40, #10, #00, #00, #00, #00
db #30, #f3, #ff, #ee, #00, #00, #fe, #f6
db #c0, #71, #bc, #e0, #00, #00, #00, #00
db #00, #00, #00, #30, #f0, #f0, #f0, #f0
db #f0, #f0, #f0, #f0, #f0, #b0, #e0, #f0
db #f0, #70, #e0, #00, #00, #00, #00, #f0
db #f0, #f0, #f0, #f0, #40, #30, #00, #00
db #00, #00, #30, #f3, #ff, #ee, #00, #10
db #ee, #ff, #f0, #30, #ff, #f0, #00, #00
db #00, #00, #00, #00, #00, #00, #f0, #f0
db #f0, #f0, #f0, #f0, #f0, #f0, #f0, #f0
db #e0, #f0, #f0, #f0, #e0, #00, #00, #00
db #00, #70, #f0, #f0, #f0, #f0, #c0, #30
db #00, #00, #00, #00, #30, #f3, #fb, #ee
db #00, #10, #ee, #ff, #fc, #f0, #33, #fe
db #20, #00, #00, #00, #00, #00, #00, #00
db #00, #30, #f0, #f0, #f0, #f0, #f0, #f0
db #f0, #f0, #f0, #f0, #f0, #b0, #f0, #00
db #00, #00, #00, #f0, #f0, #f0, #f0, #f0
db #c0, #30, #00, #00, #00, #00, #30, #f3
db #fb, #ee, #00, #10, #ee, #ff, #fc, #f0
db #d0, #ff, #30, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #30, #f0, #f0
db #f0, #f0, #f0, #f0, #f0, #f0, #f0, #b0
db #f0, #00, #00, #00, #00, #f0, #f0, #f0
db #f0, #f0, #c0, #30, #00, #00, #00, #00
db #70, #f3, #f7, #ee, #00, #11, #ee, #ff
db #ff, #f0, #f0, #f7, #30, #80, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #30, #f0, #f0, #f0, #f0, #f0
db #f0, #b0, #f0, #00, #00, #00, #00, #f0
db #f0, #f0, #f0, #f0, #c0, #30, #00, #00
db #00, #00, #70, #f3, #ff, #ec, #00, #11
db #ee, #ff, #ff, #fc, #f0, #d3, #73, #f0
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #f0, #f0
db #f0, #70, #f0, #f0, #f0, #00, #00, #00
db #00, #f0, #f0, #f0, #f0, #f0, #c0, #30
db #00, #00, #00, #00, #70, #f2, #fb, #ec
db #00, #31, #ee, #ff, #ff, #fe, #f0, #f1
db #73, #f8, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #70, #f0, #f0, #70, #f0, #f0, #f0, #00
db #00, #00, #10, #f0, #f0, #f0, #f0, #f0
db #c0, #30, #00, #00, #00, #00, #70, #f6
db #ff, #ec, #00, #31, #fe, #ff, #ff, #ff
db #f0, #f0, #73, #fc, #c0, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #10, #f0, #f0, #f0, #f0, #f0
db #f0, #80, #00, #00, #10, #f0, #f0, #f0
db #f0, #f0, #c0, #30, #00, #00, #00, #00
db #70, #f7, #ff, #cc, #00, #33, #fd, #ef
db #ff, #ff, #ff, #ff, #73, #ff, #f0, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #30, #f0, #30, #f0, #b0
db #f0, #f1, #f0, #80, #00, #00, #30, #f0
db #f0, #f0, #f0, #f0, #c0, #30, #00, #00
db #00, #00, #70, #f7, #ff, #cc, #00, #33
db #dd, #fd, #ff, #ff, #ff, #ff, #73, #ff
db #fc, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #30, #f0, #f0
db #f0, #b0, #f0, #d1, #f0, #00, #00, #00
db #30, #f0, #f0, #f0, #f0, #f0, #c0, #30
db #00, #00, #00, #00, #70, #e7, #ff, #cc
db #00, #33, #dd, #ff, #ff, #ff, #ff, #ff
db #73, #ff, #fe, #80, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #30
db #f0, #f0, #f0, #b0, #f0, #5d, #f0, #00
db #00, #40, #30, #f0, #f0, #f0, #f0, #f0
db #c0, #30, #00, #00, #00, #00, #70, #f7
db #ff, #cc, #00, #33, #dd, #f1, #ff, #ff
db #ff, #ff, #73, #ff, #ff, #f8, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #f0, #f0, #f0, #f0, #f1, #ff
db #f0, #00, #00, #00, #70, #f0, #f0, #f0
db #f0, #f0, #c0, #30, #00, #00, #00, #00
db #70, #f7, #ff, #cc, #00, #33, #dd, #fd
db #ff, #ff, #ff, #ff, #73, #ff, #ff, #fc
db #80, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #70, #f0, #f0, #f0
db #f3, #ff, #f0, #00, #00, #00, #70, #f0
db #f0, #f0, #f0, #f0, #c0, #30, #00, #00
db #00, #00, #70, #f6, #ff, #cc, #00, #73
db #fd, #fb, #ff, #ff, #ff, #ff, #73, #ff
db #ff, #ff, #e8, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #f0, #f0
db #f0, #f0, #7f, #fe, #f0, #00, #00, #00
db #f0, #f0, #f0, #f0, #f0, #f0, #c0, #30
db #00, #00, #00, #00, #70, #f7, #ff, #cc
db #00, #73, #ff, #f7, #ff, #ff, #ff, #ff
db #77, #ff, #ff, #ff, #fe, #80, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #f0, #f0, #f0, #f0, #ff, #fe, #f0, #00
db #00, #00, #f0, #f0, #f0, #f0, #f0, #f0
db #c0, #30, #00, #00, #00, #00, #70, #f5
db #ff, #cc, #00, #77, #ff, #fb, #ff, #ff
db #ff, #ff, #77, #ff, #ff, #ff, #ff, #c8
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #70, #f0, #f0, #d1, #ff, #fe
db #f0, #00, #00, #20, #f0, #f0, #f0, #f0
db #f0, #f0, #c0, #30, #00, #00, #00, #00
db #70, #f7, #ff, #cc, #00, #77, #ff, #f7
db #ff, #ff, #ff, #ff, #77, #ff, #ff, #ff
db #ff, #ec, #c0, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #30, #f0, #f0, #f1
db #ff, #ff, #e0, #00, #00, #10, #f0, #f0
db #f0, #f0, #f0, #f0, #c0, #30, #00, #00
db #00, #00, #f0, #f3, #ff, #cc, #00, #77
db #ff, #fb, #ff, #ff, #ff, #ff, #77, #ff
db #ff, #ff, #ff, #fd, #e8, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #10, #f0
db #f0, #f7, #ff, #ff, #e0, #00, #00, #10
db #f0, #f0, #f0, #f0, #f0, #f0, #c0, #30
db #00, #00, #00, #00, #f0, #f7, #ff, #cc
db #00, #77, #ff, #f7, #ff, #ff, #ff, #ff
db #77, #ff, #ff, #ff, #ff, #ff, #fe, #e0
db #00, #00, #00, #00, #00, #00, #00, #00
db #10, #f0, #f0, #ff, #ff, #ff, #e0, #00
db #00, #10, #f0, #f0, #f0, #f0, #f0, #f0
db #c0, #30, #00, #00, #00, #20, #f0, #f7
db #ff, #cc, #00, #f7, #ff, #ff, #ff, #ff
db #ff, #ff, #77, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #78, #d0, #80, #00, #00, #00
db #00, #00, #00, #f0, #f1, #ff, #ff, #ff
db #c0, #00, #00, #00, #f0, #f0, #f0, #f0
db #f0, #f0, #c0, #30, #00, #00, #00, #20
db #f0, #f7, #ff, #cc, #00, #7f, #ff, #ff
db #ff, #ff, #ff, #ff, #77, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #f8, #80, #10
db #c0, #00, #00, #00, #10, #70, #f3, #ff
db #ff, #ef, #c0, #00, #00, #00, #f0, #f0
db #f0, #f0, #f0, #f0, #c0, #30, #00, #00
db #00, #20, #f0, #f7, #bf, #cc, #00, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #37, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #f8
db #f0, #f0, #c0, #00, #00, #80, #10, #70
db #f3, #ff, #ff, #fe, #c0, #00, #00, #00
db #f0, #f0, #f0, #f0, #f0, #f0, #c0, #30
db #00, #00, #00, #20, #f0, #f7, #ff, #cc
db #00, #ff, #fb, #ff, #ff, #ff, #ff, #ff
db #73, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #f8, #ff, #f0, #f0, #ec, #d0, #f0
db #00, #b0, #f7, #ff, #ff, #fe, #c0, #00
db #00, #00, #f0, #f0, #f0, #f0, #f0, #f0
db #c0, #30, #00, #00, #00, #20, #f0, #7f
db #ff, #cc, #00, #f9, #fb, #ff, #ff, #ff
db #ff, #ff, #73, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #f9, #fc
db #78, #f8, #00, #50, #ff, #ff, #ff, #fe
db #c0, #00, #00, #00, #f0, #f0, #f0, #f0
db #f0, #f0, #e0, #30, #00, #00, #00, #20
db #f0, #ff, #ff, #cc, #00, #ff, #fb, #ff
db #ff, #ff, #ff, #ff, #73, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #ed, #ff, #fe, #c0, #f0, #ff, #ff
db #ff, #fe, #80, #00, #10, #00, #70, #f0
db #f0, #f0, #f0, #f0, #e0, #30, #00, #00
db #00, #20, #f0, #ff, #ff, #cc, #00, #f9
db #fb, #ff, #ff, #ff, #ff, #ff, #73, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #df, #ff, #ff, #d0, #41
db #ff, #ff, #ff, #fe, #80, #00, #00, #00
db #70, #f0, #f0, #f0, #f0, #f0, #e0, #30
db #00, #00, #00, #20, #b0, #ff, #ff, #cc
db #00, #ff, #fb, #ff, #ff, #ff, #ff, #ff
db #73, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #e8, #71, #ff, #ff, #ff, #fe, #80, #00
db #00, #00, #70, #f0, #f0, #f0, #f0, #f0
db #e0, #30, #00, #00, #00, #20, #f0, #ff
db #ff, #cc, #00, #fb, #fb, #ff, #ff, #ff
db #ff, #ff, #73, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #f8, #f1, #ff, #ff, #ff, #fe
db #00, #00, #00, #80, #30, #f0, #f0, #f0
db #f0, #f0, #e0, #30, #00, #00, #00, #20
db #f0, #ff, #ff, #cc, #00, #fd, #bf, #ff
db #ff, #ff, #ff, #ff, #73, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #f8, #71, #ff, #ff
db #ff, #fe, #00, #10, #00, #80, #30, #f0
db #f0, #f0, #f0, #f0, #e0, #30, #00, #00
db #00, #20, #f0, #ff, #ff, #cc, #00, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #33, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #f0, #f1
db #ff, #ff, #ff, #fe, #00, #00, #00, #80
db #30, #f0, #f0, #f0, #f0, #f0, #e0, #30
db #00, #00, #00, #60, #f0, #ff, #ff, #cc
db #00, #fb, #ff, #ff, #ff, #ff, #ff, #ff
db #33, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #fe
db #f0, #f3, #ff, #ff, #ff, #fe, #00, #00
db #c0, #40, #30, #f0, #f0, #f0, #f0, #f0
db #e0, #30, #00, #00, #00, #60, #f0, #ff
db #ff, #cc, #00, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #33, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #fc, #f0, #f3, #ff, #ff, #ff, #fe
db #00, #00, #c0, #40, #30, #f0, #f0, #f0
db #f0, #f0, #e0, #30, #00, #00, #00, #60
db #f0, #ff, #ff, #cc, #00, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #33, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #fc, #f0, #f3, #ff, #ff
db #ff, #fe, #00, #10, #c0, #40, #10, #f0
db #f0, #f0, #f0, #f0, #e0, #10, #00, #00
db #00, #60, #f0, #ff, #ff, #cc, #10, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #33, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #f8, #f0, #f3
db #ff, #ff, #ff, #ee, #00, #70, #e0, #20
db #10, #f0, #f0, #f0, #f0, #f1, #e0, #10
db #00, #00, #00, #60, #f0, #ff, #ff, #cc
db #10, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #33, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #f0
db #f0, #f7, #ff, #ff, #ff, #ee, #00, #30
db #e0, #30, #10, #f0, #f0, #f0, #f0, #f1
db #e0, #10, #00, #00, #00, #60, #f0, #ff
db #ff, #cc, #01, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #33, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #fe, #f0, #f0, #7f, #ff, #ff, #ff, #cc
db #00, #70, #f0, #30, #00, #f0, #f0, #f0
db #f0, #f3, #e0, #10, #00, #00, #00, #60
db #f0, #ff, #ff, #cc, #11, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #33, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #fc, #f0, #f0, #ff, #ff, #ff
db #ff, #cc, #00, #70, #f0, #30, #00, #f0
db #f0, #f0, #f0, #f3, #60, #10, #00, #00
db #00, #60, #f0, #ff, #ff, #cc, #11, #ff
db #f7, #ff, #ff, #ff, #ff, #ff, #b3, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #fc, #f0, #f1, #ff
db #ff, #ff, #ff, #cc, #00, #f0, #f0, #90
db #80, #f0, #f0, #f0, #f0, #f3, #e0, #10
db #00, #00, #00, #e0, #f0, #ff, #ff, #cc
db #11, #ff, #f7, #ff, #ff, #ff, #ff, #ff
db #b3, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #f0, #f0
db #ff, #ff, #ff, #ff, #ff, #c8, #00, #f0
db #f0, #90, #80, #f0, #f0, #f0, #f0, #f7
db #a0, #10, #80, #00, #00, #e0, #f0, #ff
db #ff, #cc, #11, #ff, #f7, #ff, #ff, #ff
db #ff, #ff, #bb, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #fe
db #f0, #7f, #ff, #ff, #ff, #ff, #ff, #88
db #10, #f0, #f0, #c0, #c0, #70, #f0, #f0
db #f0, #f7, #a0, #10, #80, #00, #00, #e0
db #f0, #f7, #ff, #cc, #11, #ff, #f7, #ff
db #ff, #ff, #ff, #ff, #bb, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #fc, #f3, #ff, #ff, #ff, #ff, #ff
db #ff, #88, #10, #f0, #f0, #c0, #c0, #70
db #f0, #f0, #f0, #f7, #68, #10, #80, #00
db #00, #e0, #f0, #f7, #ff, #cc, #11, #ff
db #f7, #ff, #ff, #ff, #ff, #ff, #bb, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #f9, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #00, #33, #f0, #f0, #e0
db #c0, #70, #f0, #f0, #f0, #ff, #e8, #10
db #80, #00, #00, #e0, #f0, #f7, #ff, #cc
db #11, #ff, #f7, #ff, #ff, #ff, #ff, #ff
db #bb, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #f7, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #00, #33, #f0
db #f0, #e0, #60, #30, #f0, #f0, #f0, #ff
db #f8, #10, #80, #00, #00, #e0, #f0, #f7
db #ff, #cc, #11, #ff, #f7, #ff, #ff, #ff
db #ff, #ff, #bb, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #fd, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #00
db #77, #f8, #f0, #f0, #20, #30, #f0, #f0
db #f0, #ff, #e8, #10, #80, #00, #00, #e0
db #f0, #f7, #ff, #cc, #11, #ff, #f7, #ff
db #ff, #ff, #ff, #ff, #bb, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #00, #ff, #f8, #f0, #f0, #30, #30
db #f0, #f0, #f0, #ff, #e8, #10, #80, #00
db #00, #e0, #f0, #f7, #ff, #cc, #11, #ff
db #f7, #ff, #ff, #ff, #ff, #ff, #bb, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ee, #00, #ff, #f8, #f0, #f0
db #30, #30, #f0, #f0, #f0, #ff, #fc, #10
db #80, #00, #00, #e0, #f0, #f7, #ff, #cc
db #11, #ff, #f7, #ff, #ff, #ff, #ff, #ff
db #b9, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ee, #11, #ff, #fc
db #f0, #f0, #90, #10, #f0, #f0, #f1, #ff
db #fc, #10, #80, #00, #00, #e0, #f0, #f7
db #ff, #cc, #31, #ff, #f7, #ff, #ff, #ff
db #ff, #ff, #b9, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #cc, #33
db #ff, #fc, #f0, #f0, #90, #90, #f0, #f0
db #f1, #ff, #fc, #10, #80, #00, #00, #e0
db #f0, #f7, #ff, #cc, #31, #ff, #7f, #ff
db #ff, #ff, #ff, #ff, #b9, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #cc, #33, #ff, #fc, #f0, #f0, #90, #90
db #f0, #f0, #f1, #ff, #fc, #10, #c0, #00
db #10, #e0, #f0, #f7, #ff, #cc, #33, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #d9, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #cc, #77, #ff, #fc, #f0, #f0
db #c0, #c0, #f0, #f0, #f3, #ff, #fc, #10
db #c0, #00, #10, #e0, #f0, #f7, #ff, #cc
db #33, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #9d, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #c8, #f7, #ff, #fc
db #f0, #f0, #c0, #c0, #f0, #f0, #f3, #ff
db #fc, #10, #c0, #00, #00, #e0, #f0, #f7
db #ff, #cc, #33, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #dd, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #88, #ff
db #ff, #de, #f0, #f0, #c0, #c0, #f0, #f0
db #f3, #ff, #fe, #10, #40, #00, #10, #e0
db #f0, #f7, #ff, #cc, #33, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #dd, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #91, #ff, #ff, #fe, #f0, #f0, #e0, #e0
db #70, #f0, #f3, #ff, #fe, #10, #80, #00
db #10, #60, #f0, #f7, #ff, #cc, #33, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #dd, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #11, #ff, #ff, #fe, #f0, #f0
db #e0, #e0, #70, #f0, #f3, #ff, #ff, #10
db #c0, #00, #10, #e0, #f0, #f3, #ff, #cc
db #33, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #dd, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #33, #ff, #ff, #fe
db #f0, #f0, #e0, #70, #30, #f0, #f7, #ff
db #ff, #10, #c0, #00, #10, #a0, #f0, #f3
db #ff, #cc, #33, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #dd, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ee, #73, #ff
db #ff, #fe, #f0, #f0, #f0, #70, #30, #f0
db #f7, #ff, #ff, #10, #c0, #00, #10, #e0
db #f0, #f3, #ff, #cc, #33, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #dc, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #ee
db #77, #ff, #ff, #fe, #f0, #f0, #f0, #70
db #b0, #f0, #f7, #ff, #ff, #10, #c0, #00
db #30, #e0, #f0, #f3, #ff, #cc, #33, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #cc, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #cc, #ff, #ff, #ff, #fe, #f0, #f0
db #f0, #70, #b0, #f0, #ff, #ff, #ff, #10
db #c0, #00, #30, #e0, #f0, #f3, #ff, #cc
db #33, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #cc, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #cc, #ff, #ff, #ff, #ef
db #f0, #f0, #f0, #30, #d0, #f0, #ff, #ff
db #ff, #90, #c0, #00, #30, #e0, #f0, #f3
db #fb, #cc, #33, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #cc, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #dd, #ff, #ff
db #ff, #ff, #f0, #f0, #f0, #30, #d0, #f0
db #ff, #ff, #77, #99, #c0, #00, #30, #e0
db #f0, #f3, #ff, #cc, #33, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ee, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #bb
db #ff, #ff, #ff, #ff, #f0, #f0, #f0, #b0
db #e0, #f0, #ff, #ff, #77, #99, #e0, #00
db #70, #e0, #f0, #f3, #ff, #cc, #33, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ee, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #bb, #ff, #ff, #ff, #ff, #f0, #f0
db #f0, #b0, #e0, #f0, #ff, #ff, #77, #99
db #68, #00, #70, #e0, #f0, #f3, #ff, #cc
db #33, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ee, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #77, #ff, #ff, #ff, #ff
db #f0, #f0, #f0, #b0, #e0, #f0, #ff, #ff
db #33, #99, #ec, #00, #30, #e0, #f0, #f3
db #ff, #cc, #33, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ee, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #f0, #f0, #f0, #90, #f0, #71
db #ff, #ff, #33, #99, #ec, #00, #20, #e0
db #f0, #f3, #ff, #cc, #33, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ee, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ee, #ff
db #ff, #ff, #ff, #ff, #f0, #f0, #f0, #d0
db #f0, #71, #ff, #ff, #11, #99, #ee, #00
db #30, #e0, #78, #f3, #ff, #cc, #33, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #dd, #ff, #ff, #ff, #ff, #ff, #f0, #f0
db #f0, #d0, #f0, #b1, #ff, #ff, #11, #99
db #ee, #00, #30, #e0, #f8, #f3, #ff, #cc
db #33, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #f7, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #f0, #f0, #f0, #c0, #f0, #f1, #ff, #ff
db #00, #d9, #fe, #00, #30, #e0, #f8, #f3
db #ff, #ec, #33, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #77, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #bf, #ff, #ff, #ff
db #ff, #ff, #f0, #f0, #f0, #c0, #f0, #f3
db #ff, #ff, #00, #9d, #ff, #00, #30, #70
db #f8, #f3, #ff, #ce, #33, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #77, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #f0, #f0, #f0, #c0
db #f0, #f1, #ff, #ff, #00, #54, #ff, #00
db #30, #70, #f8, #f3, #ff, #ee, #33, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #77
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #f7, #ff, #ff, #ff, #ff, #ff, #f0, #f0
db #f0, #c0, #f0, #e3, #ff, #ff, #00, #54
db #ff, #00, #30, #70, #f8, #f3, #ff, #ee
db #33, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #77, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #f0, #f0, #f0, #e0, #70, #f3, #ff, #ff
db #00, #10, #ff, #00, #70, #f0, #f8, #f1
db #ff, #ee, #33, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #f7, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #f0, #f0, #f0, #e0, #f0, #f3
db #ff, #ff, #00, #10, #ff, #00, #70, #f0
db #fc, #f1, #ff, #ee, #33, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #fb, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #f0, #f0, #f0, #e0
db #b0, #f3, #ff, #ff, #00, #10, #ff, #00
db #70, #f0, #fc, #f1, #ff, #ee, #33, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #bb
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #f0, #f0
db #f0, #e0, #b0, #f3, #ff, #ff, #00, #00
db #ff, #00, #74, #f0, #fc, #f1, #ff, #ee
db #33, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #bb, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #ff, #ff, #ff, #ff, #ff, #ff, #ff, #ff
db #f8, #f0, #f0, #f0, #50, #f7, #ff, #ff
delta00:
db #42, #00, #83, #01, #27, #c0, #27, #c8
db #27, #d0, #28, #d8, #29, #f0, #29, #f8
db #7a, #c8, #7a, #d0, #7a, #d8, #7b, #e0
db #7b, #e8, #7b, #f0, #7b, #f8, #cc, #c8
db #cc, #d0, #cc, #d8, #cc, #e0, #cd, #e8
db #cd, #f0, #cd, #f8, #16, #c1, #17, #c1
db #1d, #c1, #18, #c9, #1d, #c9, #1e, #d1
db #1e, #d9, #1e, #e1, #1e, #e9, #1e, #f1
db #60, #e1, #a3, #c2, #a2, #ca, #a4, #ca
db #a1, #d2, #a3, #d2, #a4, #d2, #a5, #d2
db #a6, #d2, #a2, #da, #a3, #da, #a4, #da
db #a5, #da, #a6, #da, #a7, #da, #a2, #e2
db #a3, #e2, #a4, #e2, #a5, #e2, #a6, #e2
db #a7, #e2, #a8, #e2, #a2, #ea, #a3, #ea
db #a4, #ea, #a5, #ea, #a6, #ea, #a7, #ea
db #a8, #ea, #a2, #f2, #a3, #f2, #a4, #f2
db #a5, #f2, #a6, #f2, #a7, #f2, #a8, #f2
db #a9, #f2, #a1, #fa, #a2, #fa, #a3, #fa
db #a4, #fa, #a5, #fa, #a6, #fa, #a7, #fa
db #a8, #fa, #a9, #fa, #f1, #c2, #f2, #c2
db #f3, #c2, #f4, #c2, #f5, #c2, #f6, #c2
db #f7, #c2, #f8, #c2, #f9, #c2, #fa, #c2
db #f1, #ca, #f2, #ca, #f3, #ca, #f4, #ca
db #f5, #ca, #f6, #ca, #f7, #ca, #f8, #ca
db #f9, #ca, #fa, #ca, #f1, #d2, #f2, #d2
db #f3, #d2, #f4, #d2, #f5, #d2, #f6, #d2
db #f7, #d2, #f8, #d2, #f9, #d2, #fa, #d2
db #fb, #d2, #f1, #da, #f2, #da, #f3, #da
db #f4, #da, #f5, #da, #f6, #da, #f7, #da
db #f8, #da, #f9, #da, #fa, #da, #fb, #da
db #f0, #e2, #f1, #e2, #f3, #e2, #f4, #e2
db #f5, #e2, #f6, #e2, #f7, #e2, #f8, #e2
db #f9, #e2, #fa, #e2, #fb, #e2, #fc, #e2
db #f0, #ea, #f1, #ea, #f3, #ea, #f4, #ea
db #f5, #ea, #f6, #ea, #f7, #ea, #f8, #ea
db #f9, #ea, #fa, #ea, #fb, #ea, #fc, #ea
db #ef, #f2, #f0, #f2, #f1, #f2, #f3, #f2
db #f5, #f2, #f6, #f2, #f7, #f2, #f8, #f2
db #f9, #f2, #fa, #f2, #fb, #f2, #fc, #f2
db #ef, #fa, #f0, #fa, #f1, #fa, #f3, #fa
db #f4, #fa, #f5, #fa, #f6, #fa, #f7, #fa
db #f8, #fa, #f9, #fa, #fa, #fa, #fb, #fa
db #fc, #fa, #fd, #fa, #3f, #c3, #40, #c3
db #44, #c3, #45, #c3, #46, #c3, #47, #c3
db #48, #c3, #49, #c3, #4a, #c3, #4b, #c3
db #4c, #c3, #4d, #c3, #3f, #cb, #40, #cb
db #45, #cb, #46, #cb, #47, #cb, #48, #cb
db #49, #cb, #4a, #cb, #4b, #cb, #4c, #cb
db #4d, #cb, #3f, #d3, #40, #d3, #44, #d3
db #45, #d3, #46, #d3, #47, #d3, #48, #d3
db #49, #d3, #4a, #d3, #4b, #d3, #4c, #d3
db #4d, #d3, #4e, #d3, #3f, #db, #40, #db
db #45, #db, #46, #db, #47, #db, #48, #db
db #49, #db, #4a, #db, #4b, #db, #4c, #db
db #4d, #db, #4e, #db, #3f, #e3, #40, #e3
db #43, #e3, #44, #e3, #45, #e3, #46, #e3
db #47, #e3, #48, #e3, #49, #e3, #4a, #e3
db #4b, #e3, #4c, #e3, #4d, #e3, #4e, #e3
db #3f, #eb, #44, #eb, #45, #eb, #46, #eb
db #47, #eb, #48, #eb, #4a, #eb, #4b, #eb
db #4c, #eb, #4d, #eb, #4e, #eb, #3f, #f3
db #43, #f3, #44, #f3, #45, #f3, #46, #f3
db #47, #f3, #49, #f3, #4a, #f3, #4b, #f3
db #4c, #f3, #4d, #f3, #4e, #f3, #4f, #f3
db #3f, #fb, #43, #fb, #44, #fb, #45, #fb
db #46, #fb, #47, #fb, #48, #fb, #49, #fb
db #4a, #fb, #4b, #fb, #4c, #fb, #4d, #fb
db #4e, #fb, #4f, #fb, #52, #fb, #8f, #c3
db #93, #c3, #94, #c3, #95, #c3, #96, #c3
db #97, #c3, #99, #c3, #9a, #c3, #9b, #c3
db #9c, #c3, #9d, #c3, #9e, #c3, #9f, #c3
db #a2, #c3, #8f, #cb, #93, #cb, #94, #cb
db #95, #cb, #96, #cb, #97, #cb, #98, #cb
db #9a, #cb, #9b, #cb, #9c, #cb, #9d, #cb
db #9f, #cb, #a0, #cb, #8d, #d3, #8e, #d3
db #8f, #d3, #94, #d3, #95, #d3, #96, #d3
db #98, #d3, #9a, #d3, #9b, #d3, #9c, #d3
db #9d, #d3, #9f, #d3, #8d, #db, #8e, #db
db #94, #db, #95, #db, #96, #db, #98, #db
db #99, #db, #9a, #db, #9b, #db, #9c, #db
db #9f, #db, #8d, #e3, #8e, #e3, #94, #e3
db #95, #e3, #96, #e3, #9b, #e3, #9c, #e3
db #a0, #e3, #8d, #eb, #8e, #eb, #94, #eb
db #95, #eb, #96, #eb, #9b, #eb, #9c, #eb
db #a0, #eb, #8d, #f3, #8e, #f3, #94, #f3
db #95, #f3, #9b, #f3, #9c, #f3, #a0, #f3
db #8d, #fb, #8e, #fb, #94, #fb, #95, #fb
db #9b, #fb, #9c, #fb, #9d, #fb, #a0, #fb
db #dd, #c3, #de, #c3, #e5, #c3, #eb, #c3
db #ed, #c3, #f0, #c3, #de, #cb, #eb, #cb
db #ed, #cb, #f0, #cb, #de, #d3, #f0, #d3
db #de, #db, #f0, #db, #de, #e3, #de, #eb
db #de, #f3, #de, #fb, #2e, #c4, #41, #c4
db #2e, #cc, #41, #cc, #2e, #d4, #41, #d4
db #2e, #dc, #41, #dc, #2e, #e4, #41, #e4
db #41, #ec, #41, #f4, #41, #fc, #91, #c4
db #91, #cc, #e2, #d4, #e2, #dc, #e2, #e4
db #cf, #ec, #30, #2c, #00, #28, #c8, #29
db #e0, #2a, #f8, #7a, #c0, #7b, #d8, #7c
db #f8, #1b, #e1, #1c, #e9, #58, #f2, #a8
db #da, #a9, #ea, #aa, #f2, #41, #cb, #43
db #cb, #4f, #e3, #40, #f3, #40, #fb, #a0
db #c3, #8f, #e3, #8f, #eb, #9d, #eb, #8f
db #f3, #96, #fb, #98, #fb, #f1, #cb, #e5
db #d3, #f1, #d3, #f1, #db, #f1, #e3, #eb
db #eb, #2c, #fc, #92, #c4, #92, #cc, #7d
db #d4, #92, #d4, #7d, #dc, #92, #dc, #92
db #e4, #92, #ec, #76, #e5, #1d, #ee, #1c
db #f6, #6a, #c6, #6b, #d6, #10, #20, #00
db #28, #d0, #29, #e8, #cc, #c0, #cd, #e0
db #15, #e9, #a5, #ca, #aa, #fa, #fb, #ca
db #fc, #da, #fd, #f2, #41, #c3, #43, #c3
db #4e, #cb, #40, #eb, #43, #eb, #4f, #eb
db #48, #f3, #a0, #d3, #8f, #db, #9d, #db
db #a0, #db, #96, #f3, #99, #f3, #9d, #f3
db #ec, #c3, #f1, #eb, #f1, #f3, #f1, #fb
db #92, #f4, #92, #fc, #cf, #c4, #1b, #fe
db #20, #0e, #00, #27, #d8, #cd, #d8, #64
db #f9, #f2, #e2, #f2, #ea, #43, #d3, #43
db #db, #93, #d3, #93, #db, #97, #db, #98
db #e3, #99, #e3, #ec, #cb, #e2, #fc, #80
db #2c, #00, #28, #e0, #79, #c0, #cb, #c0
db #cb, #c8, #cc, #e8, #14, #c9, #1e, #f9
db #64, #f1, #bf, #d9, #bf, #e1, #00, #ea
db #a1, #f2, #01, #c3, #f0, #da, #f4, #f2
db #44, #cb, #49, #eb, #a2, #d3, #a2, #db
db #9a, #e3, #9f, #e3, #9a, #eb, #9a, #f3
db #99, #fb, #9a, #fb, #9e, #fb, #ea, #c3
db #dd, #cb, #eb, #d3, #dd, #e3, #f0, #e3
db #dd, #eb, #f0, #eb, #f0, #f3, #2e, #ec
db #2e, #f4, #2e, #fc, #91, #d4, #91, #dc
db #91, #e4, #cf, #cc, #cf, #d4, #cf, #e4
db #6a, #d6, #c0, #2e, #00, #28, #e8, #79
db #c8, #7a, #e0, #7a, #e8, #cc, #f0, #1d
db #d1, #1d, #d9, #6e, #c1, #6e, #d1, #a1
db #ea, #f0, #ca, #f0, #d2, #42, #e3, #42
db #eb, #42, #f3, #42, #fb, #92, #c3, #9e
db #cb, #9e, #e3, #9e, #eb, #a2, #eb, #9e
db #f3, #9f, #f3, #e4, #c3, #da, #cb, #e4
db #cb, #ea, #cb, #e4, #db, #f0, #fb, #40
db #c4, #40, #cc, #7e, #c4, #7e, #dc, #91
db #ec, #91, #f4, #91, #fc, #cf, #dc, #1f
db #d5, #1f, #dd, #20, #e5, #20, #ed, #c8
db #c5, #1d, #f6, #17, #fe, #6b, #ce, #6c
db #d6, #e0, #2e, #00, #28, #f0, #7a, #f0
db #cb, #d0, #cb, #d8, #cc, #f8, #19, #d1
db #1d, #e1, #1c, #f9, #6e, #d9, #6e, #e1
db #6e, #e9, #6e, #f1, #0f, #e2, #58, #fa
db #a9, #c2, #aa, #d2, #a1, #e2, #fe, #da
db #f2, #f2, #ff, #f2, #f2, #fa, #42, #c3
db #42, #cb, #50, #cb, #42, #d3, #50, #d3
db #9e, #d3, #a1, #f3, #9f, #fb, #ef, #c3
db #ea, #d3, #ed, #d3, #ea, #db, #ec, #e3
db #40, #d4, #3e, #fc, #8e, #c4, #e1, #dc
db #e1, #e4, #dd, #ec, #dd, #f4, #2c, #ed
db #20, #fd, #7a, #ed, #cf, #f5, #15, #ee
db #f0, #f4, #01, #27, #f8, #77, #c0, #78
db #c8, #78, #d0, #78, #d8, #78, #e0, #79
db #e0, #79, #e8, #79, #f0, #79, #f8, #7a
db #f8, #c9, #c0, #ca, #c0, #c9, #c8, #ca
db #c8, #ca, #d0, #ca, #d8, #cb, #e0, #19
db #c9, #1b, #c9, #17, #d1, #18, #d1, #1b
db #d1, #1c, #d1, #17, #d9, #18, #d9, #19
db #d9, #1a, #d9, #1b, #d9, #1c, #d9, #17
db #e1, #18, #e1, #19, #e1, #1a, #e1, #1c
db #e1, #16, #e9, #17, #e9, #18, #e9, #19
db #e9, #1a, #e9, #1b, #e9, #1d, #e9, #17
db #f1, #18, #f1, #19, #f1, #1a, #f1, #1b
db #f1, #1d, #f1, #18, #f9, #19, #f9, #1a
db #f9, #1b, #f9, #1d, #f9, #6b, #c1, #6c
db #c1, #6b, #c9, #6d, #c9, #6c, #d1, #6d
db #d1, #6c, #d9, #6d, #d9, #6c, #e1, #6d
db #e1, #6d, #e9, #6e, #f9, #be, #c1, #b3
db #c9, #be, #c9, #be, #d1, #55, #ca, #55
db #d2, #56, #d2, #55, #da, #56, #da, #57
db #da, #55, #e2, #56, #e2, #57, #e2, #54
db #ea, #55, #ea, #56, #ea, #57, #ea, #58
db #ea, #54, #f2, #55, #f2, #56, #f2, #57
db #f2, #59, #f2, #54, #fa, #55, #fa, #56
db #fa, #57, #fa, #a4, #c2, #a5, #c2, #a6
db #c2, #a7, #c2, #a8, #c2, #a6, #ca, #a7
db #ca, #a8, #ca, #a9, #ca, #a7, #d2, #a8
db #d2, #a9, #d2, #ab, #d2, #a9, #da, #aa
db #da, #a9, #e2, #aa, #e2, #ab, #e2, #aa
db #ea, #ab, #ea, #ab, #f2, #ac, #f2, #ad
db #f2, #ab, #fa, #ac, #fa, #fc, #c2, #fc
db #ca, #fd, #ca, #fd, #d2, #fd, #da, #fd
db #e2, #fe, #e2, #fe, #ea, #fe, #f2, #fe
db #fa, #4f, #d3, #42, #db, #41, #e3, #41
db #eb, #41, #f3, #41, #fb, #91, #c3, #90
db #cb, #91, #cb, #90, #d3, #90, #db, #9e
db #db, #90, #e3, #93, #e3, #93, #eb, #93
db #f3, #98, #f3, #97, #fb, #df, #c3, #e6
db #c3, #e7, #c3, #e8, #c3, #e9, #c3, #e6
db #cb, #e8, #cb, #e9, #cb, #ef, #cb, #e3
db #d3, #e4, #d3, #e6, #d3, #e7, #d3, #e8
db #d3, #e9, #d3, #ef, #d3, #e3, #db, #e6
db #db, #e7, #db, #e8, #db, #e9, #db, #ed
db #db, #ef, #db, #e4, #e3, #e5, #e3, #e6
db #e3, #e7, #e3, #e8, #e3, #e9, #e3, #ea
db #e3, #eb, #e3, #ed, #e3, #e4, #eb, #e6
db #eb, #e7, #eb, #e8, #eb, #e9, #eb, #ea
db #eb, #ed, #eb, #ee, #eb, #e5, #f3, #e6
db #f3, #e7, #f3, #e8, #f3, #e9, #f3, #ea
db #f3, #eb, #f3, #ec, #f3, #ed, #f3, #ee
db #f3, #e5, #fb, #e6, #fb, #e7, #fb, #e8
db #fb, #e9, #fb, #ea, #fb, #eb, #fb, #ec
db #fb, #ed, #fb, #ee, #fb, #36, #c4, #37
db #c4, #38, #c4, #39, #c4, #3a, #c4, #3b
db #c4, #3c, #c4, #3d, #c4, #3e, #c4, #37
db #cc, #38, #cc, #39, #cc, #3a, #cc, #3b
db #cc, #3c, #cc, #3d, #cc, #3e, #cc, #37
db #d4, #38, #d4, #39, #d4, #3a, #d4, #3b
db #d4, #3c, #d4, #3d, #d4, #3e, #d4, #38
db #dc, #39, #dc, #3a, #dc, #3b, #dc, #3c
db #dc, #3d, #dc, #3e, #dc, #39, #e4, #3a
db #e4, #3b, #e4, #3c, #e4, #3d, #e4, #3e
db #e4, #39, #ec, #3a, #ec, #3b, #ec, #3c
db #ec, #3d, #ec, #3e, #ec, #3a, #f4, #3b
db #f4, #3c, #f4, #3d, #f4, #3e, #f4, #3c
db #fc, #3d, #fc, #88, #d4, #83, #dc, #88
db #dc, #89, #e4, #84, #ec, #8a, #ec, #7e
db #f4, #83, #f4, #84, #f4, #8b, #f4, #84
db #fc, #85, #fc, #87, #fc, #8d, #fc, #d4
db #c4, #d5, #c4, #d7, #c4, #d4, #cc, #d5
db #cc, #d6, #cc, #d8, #cc, #d4, #d4, #d5
db #d4, #d6, #d4, #d7, #d4, #d8, #d4, #d9
db #d4, #d4, #dc, #d5, #dc, #d6, #dc, #d7
db #dc, #d9, #dc, #da, #dc, #d4, #e4, #d5
db #e4, #d6, #e4, #d7, #e4, #d8, #e4, #da
db #e4, #d4, #ec, #d5, #ec, #d6, #ec, #d7
db #ec, #d8, #ec, #d9, #ec, #e3, #ec, #d4
db #f4, #d5, #f4, #d6, #f4, #d7, #f4, #d8
db #f4, #d9, #f4, #d4, #fc, #d5, #fc, #d6
db #fc, #d7, #fc, #d8, #fc, #d9, #fc, #da
db #fc, #db, #fc, #24, #c5, #25, #c5, #26
db #c5, #27, #c5, #28, #c5, #29, #c5, #2a
db #c5, #2b, #c5, #2c, #c5, #25, #cd, #26
db #cd, #27, #cd, #28, #cd, #29, #cd, #2a
db #cd, #2b, #cd, #2c, #cd, #25, #d5, #26
db #d5, #27, #d5, #28, #d5, #29, #d5, #2a
db #d5, #2b, #d5, #2c, #d5, #31, #d5, #25
db #dd, #26, #dd, #27, #dd, #28, #dd, #29
db #dd, #2a, #dd, #2b, #dd, #2c, #dd, #31
db #dd, #32, #dd, #25, #e5, #26, #e5, #27
db #e5, #28, #e5, #29, #e5, #2a, #e5, #2b
db #e5, #2c, #e5, #31, #e5, #32, #e5, #25
db #ed, #26, #ed, #27, #ed, #28, #ed, #29
db #ed, #2a, #ed, #2b, #ed, #30, #ed, #31
db #ed, #33, #ed, #25, #f5, #26, #f5, #27
db #f5, #28, #f5, #29, #f5, #2a, #f5, #2b
db #f5, #30, #f5, #31, #f5, #26, #fd, #27
db #fd, #28, #fd, #29, #fd, #2a, #fd, #2b
db #fd, #30, #fd, #31, #fd, #76, #c5, #77
db #c5, #78, #c5, #79, #c5, #7a, #c5, #7b
db #c5, #80, #c5, #81, #c5, #76, #cd, #77
db #cd, #78, #cd, #79, #cd, #7a, #cd, #7b
db #cd, #80, #cd, #81, #cd, #82, #cd, #76
db #d5, #77, #d5, #78, #d5, #79, #d5, #7a
db #d5, #80, #d5, #81, #d5, #76, #dd, #77
db #dd, #78, #dd, #79, #dd, #7a, #dd, #80
db #dd, #81, #dd, #77, #e5, #78, #e5, #79
db #e5, #7a, #e5, #80, #e5, #81, #e5, #82
db #e5, #71, #ed, #77, #ed, #78, #ed, #79
db #ed, #80, #ed, #81, #ed, #82, #ed, #78
db #f5, #79, #f5, #80, #f5, #81, #f5, #82
db #f5, #71, #fd, #78, #fd, #79, #fd, #80
db #fd, #81, #fd, #82, #fd, #d0, #c5, #d1
db #c5, #d2, #c5, #cf, #cd, #d0, #cd, #d1
db #cd, #d2, #cd, #d3, #cd, #cf, #d5, #d0
db #d5, #d1, #d5, #d2, #d5, #d3, #d5, #cf
db #dd, #d2, #dd, #d3, #dd, #cf, #e5, #d1
db #e5, #d2, #e5, #d3, #e5, #d1, #ed, #d2
db #ed, #d1, #f5, #d2, #f5, #d1, #fd, #20
db #c6, #21, #c6, #20, #ce, #21, #ce, #20
db #d6, #21, #d6, #20, #de, #21, #de, #20
db #e6, #20, #ee, #16, #f6, #1f, #f6, #20
db #f6, #16, #fe, #1c, #fe, #1f, #fe, #20
db #fe, #67, #c6, #68, #c6, #69, #c6, #6b
db #c6, #6f, #c6, #67, #ce, #68, #ce, #69
db #ce, #6a, #ce, #6f, #ce, #68, #d6, #69
db #d6, #69, #de, #70, #2f, #00, #7b, #d0
db #7c, #f0, #1a, #d1, #b2, #d1, #59, #fa
db #aa, #c2, #ac, #e2, #fb, #c2, #fe, #ca
db #fc, #d2, #ff, #e2, #fd, #ea, #00, #fb
db #4e, #c3, #41, #d3, #41, #db, #4f, #db
db #51, #db, #50, #f3, #50, #fb, #90, #c3
db #a1, #db, #9d, #e3, #8f, #fb, #93, #fb
db #a1, #fb, #f1, #c3, #f2, #c3, #ef, #e3
db #e5, #eb, #ef, #eb, #ef, #f3, #42, #e4
db #42, #ec, #42, #f4, #42, #fc, #83, #e4
db #83, #ec, #24, #cd, #25, #fd, #77, #f5
db #c2, #e5, #c2, #ed, #d0, #ed, #d0, #fd
db #6c, #ce, #6b, #de, #60, #07, #00, #cd
db #d0, #a2, #fb, #e3, #c3, #cf, #f4, #32
db #c5, #20, #f5, #c2, #dd, #fc, #29, #00
db #ca, #e0, #cb, #e8, #1c, #c9, #6b, #d1
db #6c, #e9, #bd, #d1, #0e, #c2, #0e, #ca
db #0f, #fa, #5f, #c2, #40, #ec, #d3, #d4
db #d3, #dc, #ce, #ec, #e0, #f4, #e0, #fc
db #30, #c5, #30, #cd, #24, #dd, #6f, #c5
db #6f, #cd, #70, #d5, #7f, #dd, #7f, #e5
db #7f, #ed, #7f, #f5, #c1, #cd, #c1, #d5
db #ce, #ed, #ce, #f5, #ce, #fd, #13, #c6
db #13, #ce, #14, #de, #1f, #de, #1f, #e6
db #67, #d6, #6e, #d6, #68, #de, #6e, #de
db #6a, #e6, #f3, #24, #00, #c9, #e8, #68
db #c1, #67, #d1, #66, #e9, #66, #f1, #b5
db #c9, #56, #ca, #58, #e2, #5a, #fa, #ad
db #ea, #ae, #fa, #fe, #c2, #ff, #d2, #00
db #eb, #91, #db, #90, #f3, #df, #cb, #df
db #d3, #8e, #ec, #7c, #f4, #8e, #f4, #7c
db #fc, #8e, #fc, #de, #cc, #2d, #cd, #2d
db #d5, #c3, #f5, #d3, #f5, #d3, #fd, #1e
db #e6, #21, #ee, #18, #fe, #65, #c6, #6d
db #c6, #70, #c6, #6f, #d6, #ff, #ba, #01
db #ca, #e8, #69, #c1, #68, #c9, #69, #c9
db #68, #d1, #69, #d1, #6a, #d1, #68, #d9
db #69, #d9, #6a, #d9, #67, #e1, #68, #e1
db #69, #e1, #6a, #e1, #6b, #e1, #67, #e9
db #68, #e9, #69, #e9, #6a, #e9, #6b, #e9
db #67, #f1, #68, #f1, #69, #f1, #6a, #f1
db #6b, #f1, #67, #f9, #68, #f9, #69, #f9
db #6a, #f9, #6b, #f9, #6c, #f9, #b6, #c1
db #b7, #c1, #b8, #c1, #b9, #c1, #ba, #c1
db #bb, #c1, #bc, #c1, #b6, #c9, #b7, #c9
db #b8, #c9, #b9, #c9, #ba, #c9, #bb, #c9
db #bc, #c9, #b6, #d1, #b7, #d1, #b8, #d1
db #b9, #d1, #ba, #d1, #bb, #d1, #bc, #d1
db #b6, #d9, #b7, #d9, #b8, #d9, #b9, #d9
db #ba, #d9, #bb, #d9, #bc, #d9, #b5, #e1
db #b6, #e1, #b7, #e1, #b8, #e1, #b9, #e1
db #ba, #e1, #bb, #e1, #bc, #e1, #b5, #e9
db #b6, #e9, #b7, #e9, #b8, #e9, #b9, #e9
db #ba, #e9, #bb, #e9, #bc, #e9, #bd, #e9
db #b5, #f1, #b6, #f1, #b7, #f1, #b8, #f1
db #b9, #f1, #ba, #f1, #bb, #f1, #bc, #f1
db #bd, #f1, #b5, #f9, #b6, #f9, #b7, #f9
db #b8, #f9, #b9, #f9, #ba, #f9, #bb, #f9
db #bc, #f9, #bd, #f9, #05, #c2, #06, #c2
db #07, #c2, #08, #c2, #09, #c2, #0a, #c2
db #0b, #c2, #0c, #c2, #0d, #c2, #05, #ca
db #06, #ca, #07, #ca, #08, #ca, #09, #ca
db #0a, #ca, #0b, #ca, #0c, #ca, #0d, #ca
db #05, #d2, #06, #d2, #07, #d2, #08, #d2
db #09, #d2, #0a, #d2, #0b, #d2, #0c, #d2
db #0d, #d2, #05, #da, #06, #da, #07, #da
db #08, #da, #09, #da, #0a, #da, #0b, #da
db #0c, #da, #0d, #da, #0e, #da, #05, #e2
db #06, #e2, #07, #e2, #08, #e2, #09, #e2
db #0a, #e2, #0b, #e2, #0c, #e2, #0d, #e2
db #0e, #e2, #05, #ea, #06, #ea, #07, #ea
db #08, #ea, #09, #ea, #0a, #ea, #0b, #ea
db #0c, #ea, #0d, #ea, #0e, #ea, #05, #f2
db #06, #f2, #07, #f2, #08, #f2, #09, #f2
db #0a, #f2, #0b, #f2, #0c, #f2, #0d, #f2
db #0e, #f2, #05, #fa, #06, #fa, #07, #fa
db #08, #fa, #09, #fa, #0a, #fa, #0b, #fa
db #0c, #fa, #0d, #fa, #0e, #fa, #58, #c2
db #59, #c2, #5a, #c2, #5b, #c2, #5c, #c2
db #5d, #c2, #5e, #c2, #59, #ca, #5a, #ca
db #5b, #ca, #5c, #ca, #5d, #ca, #5e, #ca
db #5a, #d2, #5b, #d2, #5c, #d2, #5d, #d2
db #5e, #d2, #5b, #da, #5c, #da, #5d, #da
db #5e, #da, #5f, #da, #5b, #e2, #5c, #e2
db #5d, #e2, #5e, #e2, #5f, #e2, #5b, #ea
db #5c, #ea, #5d, #ea, #5e, #ea, #5f, #ea
db #5c, #f2, #5d, #f2, #5e, #f2, #5f, #f2
db #5c, #fa, #5d, #fa, #5e, #fa, #5f, #fa
db #ad, #c2, #ae, #c2, #af, #c2, #ad, #ca
db #ae, #ca, #af, #ca, #ad, #d2, #ae, #d2
db #af, #d2, #ad, #da, #ae, #da, #af, #da
db #ae, #e2, #af, #e2, #b0, #e2, #ae, #ea
db #af, #ea, #b0, #ea, #ae, #f2, #af, #f2
db #b0, #f2, #af, #fa, #b0, #fa, #ff, #c2
db #00, #c3, #ff, #ca, #00, #cb, #00, #d3
db #00, #db, #00, #e3, #e0, #cb, #e1, #cb
db #e0, #d3, #e1, #d3, #e0, #db, #e1, #db
db #df, #e3, #e0, #e3, #e1, #e3, #df, #eb
db #e0, #eb, #e1, #eb, #df, #f3, #e0, #f3
db #e1, #f3, #df, #fb, #e0, #fb, #e1, #fb
db #2f, #c4, #30, #c4, #31, #c4, #2f, #cc
db #30, #cc, #31, #cc, #2f, #d4, #30, #d4
db #31, #d4, #2f, #dc, #30, #dc, #31, #dc
db #30, #e4, #31, #e4, #30, #ec, #31, #ec
db #30, #f4, #31, #f4, #30, #fc, #31, #fc
db #80, #c4, #81, #c4, #8f, #c4, #80, #cc
db #81, #cc, #8f, #cc, #90, #cc, #80, #d4
db #81, #d4, #8f, #d4, #90, #d4, #80, #dc
db #81, #dc, #8f, #dc, #90, #dc, #80, #e4
db #81, #e4, #8f, #e4, #90, #e4, #80, #ec
db #81, #ec, #8f, #ec, #90, #ec, #80, #f4
db #81, #f4, #8f, #f4, #90, #f4, #80, #fc
db #81, #fc, #8f, #fc, #90, #fc, #d0, #c4
db #d1, #c4, #df, #c4, #e0, #c4, #d0, #cc
db #d1, #cc, #df, #cc, #e0, #cc, #d0, #d4
db #d1, #d4, #df, #d4, #d0, #dc, #d1, #dc
db #df, #dc, #d0, #e4, #d1, #e4, #de, #e4
db #df, #e4, #d1, #ec, #de, #ec, #df, #ec
db #d1, #f4, #de, #f4, #df, #f4, #d1, #fc
db #d3, #fc, #de, #fc, #df, #fc, #23, #c5
db #2e, #c5, #2f, #c5, #21, #cd, #23, #cd
db #2e, #cd, #2f, #cd, #21, #d5, #23, #d5
db #2e, #d5, #2f, #d5, #21, #dd, #23, #dd
db #2e, #dd, #2f, #dd, #21, #e5, #23, #e5
db #2e, #e5, #2f, #e5, #2d, #ed, #2e, #ed
db #2f, #ed, #2d, #f5, #2e, #f5, #2f, #f5
db #24, #fd, #2d, #fd, #2e, #fd, #2f, #fd
db #7d, #c5, #7e, #c5, #7f, #c5, #7d, #cd
db #7e, #cd, #7c, #d5, #7d, #d5, #7e, #d5
db #7c, #dd, #7d, #dd, #7e, #dd, #7c, #e5
db #7d, #e5, #7e, #e5, #7b, #ed, #7c, #ed
db #7d, #ed, #7e, #ed, #7b, #f5, #7c, #f5
db #7d, #f5, #7e, #f5, #7b, #fd, #7c, #fd
db #7d, #fd, #7e, #fd, #ca, #c5, #cb, #c5
db #cc, #c5, #cd, #c5, #ce, #c5, #cb, #cd
db #cc, #cd, #cd, #cd, #ce, #cd, #cb, #d5
db #cc, #d5, #cd, #d5, #ce, #d5, #cb, #dd
db #cd, #dd, #ce, #dd, #23, #c6, #23, #ce
db #23, #d6, #22, #de, #23, #de, #22, #e6
db #23, #e6, #22, #ee, #23, #ee, #22, #f6
db #23, #f6, #21, #fe, #22, #fe, #23, #fe
db #71, #c6, #72, #c6, #73, #c6, #71, #ce
db #72, #ce, #70, #d6, #71, #d6, #72, #d6
db #70, #de, #71, #de, #6f, #e6, #70, #e6
db #71, #e6, #6f, #ee, #70, #ee, #6f, #f6
db #6f, #fe, #be, #c6, #f7, #17, #00, #ca
db #f0, #cb, #f8, #67, #d9, #66, #f9, #b5
db #d1, #b5, #d9, #58, #da, #59, #ea, #ab
db #c2, #df, #db, #cc, #c4, #cc, #cc, #cc
db #d4, #de, #dc, #cd, #ec, #2d, #e5, #7c
db #cd, #70, #ed, #22, #d6, #1e, #ee, #21
db #f6, #70, #ce, #6b, #e6, #fe, #1b, #00
db #cb, #f0, #6a, #c9, #6c, #f1, #bd, #d9
db #bd, #e1, #0e, #d2, #5f, #ca, #5f, #d2
db #40, #f4, #e0, #d4, #e0, #dc, #e0, #e4
db #d3, #ec, #1e, #cd, #24, #f5, #7f, #cd
db #6f, #d5, #7f, #d5, #6f, #dd, #76, #f5
db #c1, #dd, #ce, #e5, #14, #e6, #1a, #fe
db #66, #c6, #6e, #c6, #6e, #ce, #d3, #01
db #00, #1b, #c1, #f8, #0f, #00, #1c, #c1
db #bd, #c1, #be, #f1, #be, #f9, #0f, #f2
db #d3, #cc, #ce, #e4, #30, #d5, #30, #dd
db #30, #e5, #7f, #fd, #cf, #c5, #1e, #c6
db #1f, #ee, #15, #fe, #d0, #13, #00, #1c
db #f1, #6d, #c1, #ab, #da, #fd, #c2, #51
db #eb, #97, #eb, #a1, #eb, #e7, #cb, #f2
db #d3, #ce, #c4, #e1, #c4, #ce, #cc, #e1
db #cc, #7b, #d5, #1e, #ce, #14, #d6, #15
db #e6, #6c, #c6, #6a, #de, #bc, #04, #00
db #6a, #c1, #bd, #c9, #1f, #fd, #c1, #c5
db #40, #0c, #00, #6e, #c9, #a2, #d2, #04
db #eb, #44, #db, #98, #c3, #99, #cb, #99
db #d3, #97, #e3, #9f, #eb, #eb, #db, #7e
db #cc, #7e, #d4, #ef, #01, #00, #6b, #d9
db #f1, #12, #00, #b5, #c1, #ab, #ca, #ac
db #da, #00, #f3, #51, #d3, #91, #d3, #90
db #eb, #8e, #d4, #8e, #e4, #2d, #c5, #2c
db #fd, #71, #d5, #7b, #dd, #71, #e5, #cf
db #ed, #d3, #ed, #d2, #fd, #21, #e6, #11
db #05, #00, #b4, #e9, #b4, #f1, #7f, #f4
db #7f, #fc, #20, #d5, #33, #22, #00, #b4
db #f9, #04, #c2, #04, #ca, #04, #d2, #04
db #da, #04, #e2, #7f, #cc, #7f, #d4, #82
db #d4, #7f, #dc, #82, #dc, #7f, #e4, #82
db #e4, #7f, #ec, #82, #ec, #82, #f4, #7d
db #fc, #82, #fc, #d2, #c4, #d2, #cc, #d2
db #d4, #d2, #dc, #d2, #e4, #d2, #ec, #d2
db #f4, #d2, #fc, #20, #c5, #22, #c5, #20
db #cd, #22, #cd, #71, #c5, #c2, #c5, #1e
db #de, #62, #d6, #73, #0f, #00, #04, #ea
db #7c, #e4, #7c, #ec, #cd, #c4, #7c, #c5
db #72, #e5, #72, #ed, #72, #f5, #72, #fd
db #7a, #fd, #c2, #cd, #14, #c6, #16, #ee
db #17, #f6, #6d, #ce, #e8, #05, #00, #0f
db #ea, #40, #dc, #ce, #d4, #ce, #dc, #70
db #c5, #77, #13, #00, #04, #f2, #04, #fa
db #2f, #e4, #2f, #ec, #2f, #f4, #2f, #fc
db #7f, #c4, #cd, #cc, #cd, #d4, #de, #d4
db #cd, #dc, #cd, #e4, #d0, #ec, #d0, #f4
db #2d, #dd, #21, #fd, #72, #c5, #72, #cd
db #72, #d5, #c4, #02, #00, #03, #fa, #92
db #cb, #e1, #02, #00, #55, #c2, #ff, #da
db #88, #07, #00, #60, #ea, #01, #cb, #01
db #d3, #e2, #eb, #2d, #e4, #2d, #ec, #1d
db #e6, #c8, #04, #00, #60, #f2, #e2, #d3
db #e2, #db, #e2, #e3, #cc, #07, #00, #60
db #fa, #b0, #c2, #01, #db, #01, #e3, #01
db #eb, #01, #f3, #76, #ed, #90, #05, #00
db #aa, #ca, #99, #eb, #7d, #c4, #7d, #cc
db #77, #fd, #ec, #06, #00, #b0, #ca, #40
db #e4, #ce, #f4, #1d, #de, #1c, #ee, #1b
db #f6, #7f, #03, #00, #ac, #d2, #ad, #e2
db #6c, #de, #ee, #07, #00, #b0, #d2, #b0
db #da, #01, #fb, #d3, #f4, #24, #ed, #75
db #d5, #70, #dd, #b0, #13, #00, #ac, #ea
db #ad, #fa, #fe, #d2, #ff, #ea, #50, #c3
db #ee, #c3, #ee, #cb, #ec, #d3, #ee, #d3
db #e5, #db, #ec, #db, #ee, #db, #ee, #e3
db #ec, #eb, #e2, #f4, #cf, #fc, #71, #f5
db #d0, #f5, #1d, #fe, #e6, #01, #00, #51
db #c3, #d2, #01, #00, #51, #cb, #50, #06
db #00, #97, #d3, #98, #eb, #97, #f3, #e5
db #cb, #e2, #c4, #e2, #cc, #a0, #05, #00
db #e3, #cb, #7e, #e4, #7e, #ec, #1f, #e5
db #1e, #d6, #98, #09, #00, #e2, #f3, #e2
db #fb, #32, #c4, #32, #cc, #32, #d4, #32
db #dc, #32, #e4, #2d, #f4, #2d, #fc, #74
db #02, #00, #ef, #fb, #3f, #c4, #b2, #02
db #00, #32, #f4, #1f, #ce, #a2, #01, #00
db #32, #fc, #22, #01, #00, #82, #c4, #31
db #02, #00, #7c, #cc, #c9, #c5, #32, #04
db #00, #82, #cc, #7d, #e4, #7d, #ec, #7d
db #f4, #71, #03, #00, #7c, #d4, #7c, #dc
db #c2, #d5, #d1, #07, #00, #8e, #dc, #dd
db #fc, #2c, #f5, #71, #dd, #7a, #f5, #c3
db #fd, #cf, #fd, #b8, #04, #00, #83, #fc
db #d3, #c4, #24, #d5, #75, #c5, #b3, #06
db #00, #de, #c4, #71, #cd, #7b, #e5, #c3
db #ed, #14, #ce, #15, #de, #dc, #04, #00
db #d3, #e4, #24, #e5, #70, #cd, #d0, #e5
db #de, #01, #00, #e0, #ec, #d8, #02, #00
db #ce, #fc, #15, #f6, #fa, #01, #00, #1e
db #c5, #91, #01, #00, #20, #dd, #f9, #02
db #00, #1f, #ed, #1f, #f5, #37, #02, #00
db #22, #fd, #c2, #fd, #7e, #01, #00, #70
db #e5, #fb, #03, #00, #70, #fd, #6e, #e6
db #6e, #ee, #e4, #01, #00, #d0, #dd, #76
db #01, #00, #c2, #f5, #d4, #01, #00, #1f
db #c6, #f2, #02, #00, #22, #c6, #22, #ce
db #f6, #01, #00, #1f, #d6
delta01:
db #40, #30, #23, #00, #27, #c0, #2a, #c0
db #27, #c8, #27, #d0, #27, #d8, #2b, #d8
db #68, #c9, #b9, #c1, #b5, #f1, #04, #c2
db #04, #ca, #04, #d2, #04, #da, #0a, #da
db #04, #e2, #02, #ea, #04, #ea, #0b, #ea
db #0e, #ea, #02, #f2, #0e, #f2, #5c, #ca
db #51, #d2, #5c, #d2, #5f, #d2, #5d, #f2
db #5d, #fa, #fe, #c2, #43, #d3, #f2, #c3
db #f2, #cb, #f2, #d3, #e5, #db, #f2, #db
db #7d, #e4, #00, #41, #01, #29, #c0, #2a
db #c8, #2a, #d0, #2a, #d8, #2a, #e0, #2b
db #e8, #2b, #f0, #27, #f8, #2b, #f8, #7b
db #c0, #7c, #c0, #7c, #c8, #7c, #d0, #7d
db #d0, #7c, #d8, #7d, #d8, #7c, #e0, #7d
db #e0, #7d, #e8, #7d, #f0, #7d, #f8, #cd
db #c0, #cd, #c8, #64, #f9, #65, #f9, #66
db #f9, #67, #f9, #b2, #c1, #b3, #c1, #b5
db #c1, #b6, #c1, #b7, #c1, #b8, #c1, #b5
db #c9, #b6, #c9, #b7, #c9, #b8, #c9, #b9
db #c9, #b3, #d1, #b5, #d1, #b6, #d1, #b7
db #d1, #b8, #d1, #b9, #d1, #b3, #d9, #b4
db #d9, #b5, #d9, #b6, #d9, #b7, #d9, #b8
db #d9, #b9, #d9, #ba, #d9, #bf, #d9, #b3
db #e1, #b4, #e1, #b5, #e1, #b6, #e1, #b7
db #e1, #b8, #e1, #b9, #e1, #ba, #e1, #b3
db #e9, #b4, #e9, #b5, #e9, #b6, #e9, #b7
db #e9, #b8, #e9, #b9, #e9, #ba, #e9, #b2
db #f1, #b3, #f1, #b4, #f1, #b8, #f1, #b9
db #f1, #ba, #f1, #bb, #f1, #b2, #f9, #b3
db #f9, #b4, #f9, #b9, #f9, #ba, #f9, #bb
db #f9, #01, #c2, #02, #c2, #03, #c2, #0a
db #c2, #0b, #c2, #01, #ca, #02, #ca, #03
db #ca, #0a, #ca, #0b, #ca, #0c, #ca, #01
db #d2, #02, #d2, #03, #d2, #0b, #d2, #0c
db #d2, #01, #da, #02, #da, #08, #da, #09
db #da, #0b, #da, #0c, #da, #01, #e2, #02
db #e2, #08, #e2, #09, #e2, #0a, #e2, #0c
db #e2, #0d, #e2, #00, #ea, #01, #ea, #07
db #ea, #08, #ea, #09, #ea, #0a, #ea, #0c
db #ea, #0d, #ea, #01, #f2, #07, #f2, #08
db #f2, #09, #f2, #0a, #f2, #0c, #f2, #0d
db #f2, #01, #fa, #07, #fa, #08, #fa, #09
db #fa, #0a, #fa, #0b, #fa, #0d, #fa, #51
db #c2, #56, #c2, #57, #c2, #58, #c2, #59
db #c2, #5a, #c2, #5b, #c2, #5d, #c2, #5e
db #c2, #56, #ca, #57, #ca, #58, #ca, #59
db #ca, #5a, #ca, #5b, #ca, #5d, #ca, #5e
db #ca, #56, #d2, #57, #d2, #58, #d2, #59
db #d2, #5a, #d2, #5b, #d2, #5e, #d2, #56
db #da, #57, #da, #58, #da, #59, #da, #5a
db #da, #5b, #da, #5c, #da, #5e, #da, #55
db #e2, #56, #e2, #57, #e2, #58, #e2, #59
db #e2, #5a, #e2, #5b, #e2, #5c, #e2, #5e
db #e2, #5f, #e2, #50, #ea, #55, #ea, #56
db #ea, #57, #ea, #58, #ea, #59, #ea, #5a
db #ea, #5b, #ea, #5c, #ea, #5e, #ea, #5f
db #ea, #55, #f2, #56, #f2, #57, #f2, #58
db #f2, #59, #f2, #5a, #f2, #5b, #f2, #5c
db #f2, #5f, #f2, #60, #f2, #55, #fa, #56
db #fa, #57, #fa, #58, #fa, #59, #fa, #5a
db #fa, #5b, #fa, #5c, #fa, #5f, #fa, #60
db #fa, #61, #fa, #a5, #c2, #a6, #c2, #a7
db #c2, #a8, #c2, #a9, #c2, #aa, #c2, #ab
db #c2, #ac, #c2, #af, #c2, #b0, #c2, #a5
db #ca, #a6, #ca, #a7, #ca, #a8, #ca, #a9
db #ca, #aa, #ca, #ab, #ca, #ac, #ca, #af
db #ca, #b0, #ca, #a7, #d2, #a8, #d2, #a9
db #d2, #aa, #d2, #ab, #d2, #ac, #d2, #af
db #d2, #b0, #d2, #b1, #d2, #a8, #da, #a9
db #da, #aa, #da, #ab, #da, #ac, #da, #ad
db #da, #b0, #da, #a9, #e2, #aa, #e2, #ab
db #e2, #ac, #e2, #ad, #e2, #b0, #e2, #a9
db #ea, #aa, #ea, #ab, #ea, #ac, #ea, #ad
db #ea, #b0, #ea, #b2, #ea, #aa, #f2, #ab
db #f2, #ac, #f2, #ad, #f2, #b0, #f2, #aa
db #fa, #ab, #fa, #ac, #fa, #ad, #fa, #b0
db #fa, #fb, #c2, #fc, #c2, #fd, #c2, #00
db #c3, #01, #c3, #fb, #ca, #fc, #ca, #fd
db #ca, #00, #cb, #01, #cb, #fc, #d2, #fd
db #d2, #00, #d3, #01, #d3, #fc, #da, #fd
db #da, #00, #db, #01, #db, #fd, #e2, #01
db #e3, #fd, #ea, #01, #eb, #04, #eb, #fd
db #f2, #01, #f3, #fe, #fa, #01, #fb, #4e
db #c3, #51, #c3, #43, #cb, #44, #cb, #4e
db #cb, #51, #cb, #44, #db, #51, #db, #51
db #e3, #3e, #eb, #51, #eb, #51, #f3, #51
db #fb, #a1, #c3, #8d, #cb, #a1, #cb, #a1
db #d3, #98, #e3, #99, #e3, #a2, #e3, #e4
db #c3, #ec, #c3, #dd, #cb, #eb, #db, #42
db #e4, #cf, #c4, #cf, #cc, #cf, #f4, #f0
db #97, #00, #28, #c8, #28, #d0, #28, #d8
db #28, #e0, #29, #e0, #28, #e8, #29, #e8
db #28, #f0, #29, #f0, #29, #f8, #2a, #f8
db #7a, #c0, #7a, #c8, #7a, #d8, #7a, #e0
db #7b, #e0, #7a, #e8, #7b, #e8, #7a, #f0
db #7b, #f0, #7b, #f8, #cb, #c0, #cc, #c0
db #cb, #c8, #cc, #c8, #cb, #d0, #cc, #d0
db #cc, #d8, #cc, #e0, #cc, #e8, #cd, #e8
db #cc, #f0, #cd, #f0, #cd, #f8, #16, #c1
db #1d, #c1, #14, #c9, #1d, #c9, #1d, #d1
db #1d, #d9, #1d, #e1, #67, #d1, #68, #d1
db #67, #d9, #68, #d9, #6a, #d9, #67, #e1
db #68, #e1, #6a, #e1, #66, #e9, #67, #e9
db #68, #e9, #69, #e9, #6b, #e9, #66, #f1
db #67, #f1, #68, #f1, #69, #f1, #6b, #f1
db #69, #f9, #6a, #f9, #ba, #c1, #bc, #c1
db #ba, #c9, #bc, #c9, #bb, #d1, #bb, #d9
db #bd, #d9, #bd, #e1, #bc, #e9, #b6, #f1
db #bc, #f1, #b5, #f9, #b6, #f9, #b7, #f9
db #be, #f9, #05, #c2, #06, #c2, #07, #c2
db #08, #c2, #0d, #c2, #05, #ca, #06, #ca
db #07, #ca, #08, #ca, #09, #ca, #0d, #ca
db #05, #d2, #06, #d2, #07, #d2, #08, #d2
db #09, #d2, #05, #da, #06, #da, #0e, #da
db #05, #e2, #06, #e2, #0e, #e2, #05, #ea
db #5f, #c2, #5d, #e2, #5d, #ea, #ae, #c2
db #ae, #ca, #ae, #d2, #ae, #da, #ae, #e2
db #ae, #ea, #ff, #ca, #ff, #d2, #98, #fb
db #ea, #d3, #ec, #eb, #91, #c4, #91, #cc
db #91, #d4, #91, #dc, #83, #e4, #91, #e4
db #91, #ec, #91, #f4, #92, #f4, #91, #fc
db #92, #fc, #e1, #c4, #e2, #c4, #ce, #cc
db #e1, #cc, #e2, #cc, #e1, #d4, #e2, #d4
db #ce, #dc, #e1, #dc, #e2, #dc, #e1, #e4
db #e2, #e4, #e2, #f4, #e2, #fc, #32, #c5
db #cf, #c5, #d0, #dd, #d0, #e5, #cf, #ed
db #cf, #f5, #d0, #f5, #d0, #fd, #d2, #fd
db #21, #e6, #21, #ee, #6b, #d6, #6f, #d6
db #80, #23, #00, #29, #c8, #2a, #e8, #7b
db #c8, #7c, #e8, #1e, #d1, #1e, #d9, #1e
db #e1, #1e, #e9, #b3, #c9, #b2, #e9, #07
db #e2, #0c, #fa, #5d, #d2, #60, #ea, #a3
db #ca, #af, #da, #b2, #f2, #b2, #fa, #f3
db #c2, #f3, #ca, #02, #cb, #00, #e3, #00
db #eb, #3e, #d3, #47, #eb, #52, #fb, #9e
db #c3, #a1, #db, #98, #eb, #9e, #f3, #2e
db #e4, #cf, #dc, #20, #dd, #20, #e5, #1b
db #fe, #c0, #22, #00, #29, #d0, #2a, #f0
db #78, #c0, #7b, #d0, #7c, #f0, #cd, #d0
db #cd, #d8, #1e, #f1, #1e, #f9, #6e, #c9
db #b8, #f9, #09, #c2, #0a, #d2, #07, #da
db #0b, #e2, #03, #fa, #5e, #f2, #5e, #fa
db #af, #e2, #af, #ea, #00, #f3, #00, #fb
db #50, #c3, #50, #cb, #50, #d3, #97, #eb
db #99, #fb, #ea, #c3, #ed, #cb, #dd, #e3
db #dd, #eb, #7e, #d4, #1f, #e5, #71, #e5
db #70, #19, #00, #2b, #d0, #2c, #f0, #79
db #c0, #69, #d1, #65, #e9, #68, #f9, #6b
db #f9, #bb, #e1, #bc, #f9, #0e, #c2, #0d
db #d2, #04, #f2, #02, #fa, #5c, #c2, #5f
db #ca, #51, #da, #ae, #fa, #e5, #f3, #42
db #cc, #83, #f4, #76, #dd, #71, #ed, #c2
db #dd, #1e, #d6, #1d, #ee, #e0, #18, #00
db #29, #d8, #7a, #d0, #7c, #f8, #cd, #e0
db #69, #e1, #6a, #f1, #bb, #c9, #bc, #e1
db #b7, #f1, #bd, #f9, #06, #ea, #0f, #ea
db #0f, #fa, #5d, #da, #af, #f2, #af, #fa
db #ff, #c2, #e3, #d3, #7e, #f4, #ce, #d4
db #20, #f5, #1e, #c6, #16, #f6, #1c, #fe
db #10, #21, #00, #2b, #e0, #2c, #f8, #ba
db #d1, #bb, #e9, #0c, #c2, #0d, #da, #0b
db #f2, #0e, #fa, #51, #ca, #5f, #da, #ad
db #c2, #ad, #ca, #a3, #d2, #ad, #d2, #fe
db #f2, #51, #d3, #4d, #e3, #4d, #eb, #8e
db #d3, #99, #eb, #98, #f3, #ec, #cb, #ec
db #d3, #f2, #e3, #f2, #eb, #de, #f3, #f2
db #f3, #f2, #fb, #42, #c4, #42, #ec, #42
db #f4, #42, #fc, #7f, #fc, #a0, #02, #00
db #7b, #d8, #cf, #fc, #f3, #15, #00, #c9
db #c8, #c8, #e0, #17, #c1, #16, #e9, #16
db #f1, #69, #c9, #6a, #d1, #6c, #f9, #be
db #e9, #52, #ea, #a1, #ca, #a1, #d2, #a0
db #f2, #a0, #fa, #2c, #fd, #c9, #c5, #22
db #d6, #15, #de, #21, #f6, #70, #ce, #6c
db #d6, #f8, #18, #00, #ca, #c8, #cc, #f8
db #1d, #e9, #ff, #da, #ff, #e2, #41, #cc
db #41, #d4, #41, #dc, #41, #e4, #41, #ec
db #41, #f4, #41, #fc, #83, #fc, #ce, #ec
db #ce, #f4, #6f, #c5, #70, #cd, #7f, #f5
db #d0, #ed, #c3, #fd, #ce, #fd, #67, #ce
db #6e, #de, #6e, #e6, #ff, #ca, #00, #c9
db #d0, #ca, #d0, #c9, #d8, #ca, #d8, #c9
db #e0, #ca, #e0, #c8, #e8, #c9, #e8, #cb
db #e8, #c8, #f0, #c9, #f0, #ca, #f0, #cb
db #f0, #c8, #f8, #c9, #f8, #ca, #f8, #cb
db #f8, #18, #c1, #19, #c1, #1a, #c1, #1b
db #c1, #18, #c9, #19, #c9, #1a, #c9, #1b
db #c9, #17, #d1, #18, #d1, #19, #d1, #1a
db #d1, #1b, #d1, #17, #d9, #18, #d9, #19
db #d9, #1a, #d9, #1b, #d9, #1c, #d9, #17
db #e1, #18, #e1, #19, #e1, #1a, #e1, #1b
db #e1, #1c, #e1, #17, #e9, #18, #e9, #19
db #e9, #1a, #e9, #1b, #e9, #1c, #e9, #17
db #f1, #18, #f1, #19, #f1, #1a, #f1, #1b
db #f1, #1c, #f1, #17, #f9, #18, #f9, #19
db #f9, #1a, #f9, #1b, #f9, #1c, #f9, #6a
db #c1, #6b, #c1, #6c, #c1, #6a, #c9, #6b
db #c9, #6c, #c9, #6d, #c9, #6b, #d1, #6c
db #d1, #6d, #d1, #6b, #d9, #6c, #d9, #6d
db #d9, #6c, #e1, #6d, #e1, #6c, #e9, #6d
db #e9, #6d, #f1, #6d, #f9, #bd, #c1, #be
db #c9, #be, #d1, #be, #d9, #55, #c2, #54
db #da, #54, #e2, #54, #ea, #52, #fa, #a2
db #c2, #a2, #ca, #a2, #d2, #a1, #da, #a2
db #da, #a1, #e2, #a2, #e2, #a1, #ea, #a2
db #ea, #a1, #f2, #a2, #f2, #a1, #fa, #a2
db #fa, #f1, #c2, #f2, #c2, #f0, #ca, #f1
db #ca, #f2, #ca, #f0, #d2, #f1, #d2, #f2
db #d2, #f0, #da, #f1, #da, #f2, #da, #f0
db #e2, #f1, #e2, #f0, #ea, #f1, #ea, #f0
db #f2, #f1, #f2, #f0, #fa, #f1, #fa, #40
db #c3, #41, #c3, #40, #cb, #41, #cb, #4f
db #cb, #40, #d3, #41, #d3, #4f, #d3, #40
db #db, #41, #db, #4f, #db, #40, #e3, #41
db #e3, #4f, #e3, #40, #eb, #41, #eb, #3f
db #f3, #40, #f3, #41, #f3, #3f, #fb, #40
db #fb, #41, #fb, #8f, #c3, #90, #c3, #91
db #c3, #8f, #cb, #90, #cb, #91, #cb, #a0
db #cb, #8f, #d3, #90, #d3, #91, #d3, #a0
db #d3, #8f, #db, #90, #db, #91, #db, #a0
db #db, #8f, #e3, #90, #e3, #a0, #e3, #8f
db #eb, #90, #eb, #a0, #eb, #8f, #f3, #90
db #f3, #a0, #f3, #8f, #fb, #a0, #fb, #df
db #c3, #f0, #c3, #df, #cb, #f0, #cb, #df
db #d3, #f0, #d3, #df, #db, #f0, #db, #f0
db #e3, #f0, #eb, #f0, #f3, #f0, #fb, #40
db #c4, #40, #cc, #40, #d4, #40, #dc, #40
db #e4, #40, #ec, #40, #f4, #76, #f5, #c1
db #dd, #15, #fe, #1a, #fe, #65, #c6, #66
db #c6, #6d, #c6, #6d, #ce, #68, #de, #69
db #de, #6a, #de, #6b, #de, #6c, #de, #6a
db #e6, #6b, #e6, #f1, #10, #00, #c8, #d8
db #c7, #f8, #16, #e1, #68, #c1, #bd, #d1
db #be, #f1, #52, #e2, #a1, #c2, #8e, #ec
db #1f, #ed, #1f, #f5, #c3, #f5, #cf, #fd
db #22, #c6, #70, #c6, #6e, #ee, #bc, #01
db #00, #cb, #d8, #fc, #0d, #00, #cb, #e0
db #1c, #c1, #1d, #f1, #1d, #f9, #6e, #f9
db #ff, #ea, #ff, #f2, #50, #f3, #e0, #ec
db #1e, #cd, #6f, #d5, #6f, #dd, #6e, #ce
db #f7, #1a, #00, #17, #c9, #16, #f9, #6b
db #e1, #6c, #f1, #bd, #c9, #be, #e1, #54
db #d2, #52, #f2, #f0, #c2, #4f, #eb, #9f
db #eb, #9f, #f3, #9f, #fb, #ef, #c3, #ef
db #cb, #ef, #d3, #ef, #db, #3f, #cc, #2f
db #e4, #d0, #dc, #70, #f5, #70, #fd, #22
db #de, #21, #fe, #70, #d6, #6e, #f6, #fe
db #17, #00, #1c, #d1, #6d, #c1, #be, #c1
db #f2, #e2, #ff, #fa, #4f, #c3, #42, #d3
db #42, #db, #50, #fb, #a0, #c3, #e0, #cc
db #1e, #d5, #1e, #dd, #75, #d5, #6f, #e5
db #70, #e5, #ce, #dd, #13, #ce, #1f, #d6
db #1c, #ee, #15, #f6, #1b, #f6, #67, #d6
db #90, #06, #00, #69, #d9, #6a, #e9, #9e
db #fb, #92, #c4, #1d, #e6, #6b, #ce, #e8
db #08, #00, #6e, #d9, #6e, #e1, #50, #db
db #f1, #e3, #f1, #eb, #f1, #f3, #f1, #fb
db #41, #c4, #ec, #09, #00, #6e, #e9, #6e
db #f1, #42, #e3, #50, #e3, #42, #eb, #50
db #eb, #70, #dd, #76, #ed, #c1, #cd, #d0
db #07, #00, #bb, #c1, #bc, #d9, #bd, #f1
db #0e, #d2, #0f, #f2, #7a, #ed, #15, #ee
db #60, #09, #00, #b2, #d1, #b2, #d9, #0f
db #e2, #02, #db, #93, #fb, #e4, #d3, #42
db #d4, #42, #dc, #20, #fd, #b0, #0d, #00
db #bc, #d1, #bd, #e9, #0e, #ca, #e4, #db
db #ec, #e3, #92, #cc, #92, #d4, #92, #dc
db #92, #e4, #92, #ec, #7e, #fc, #1f, #c5
db #6a, #c6, #40, #0a, #00, #b2, #e1, #02
db #c3, #4d, #cb, #4d, #d3, #a2, #cb, #9a
db #d3, #a2, #d3, #a2, #db, #97, #f3, #7e
db #c4, #88, #0c, #00, #bf, #e1, #bf, #e9
db #06, #fa, #55, #da, #53, #e2, #53, #f2
db #53, #fa, #a3, #c2, #a4, #ca, #a4, #d2
db #a1, #e3, #a1, #eb, #cc, #0e, #00, #bf
db #f1, #bf, #f9, #06, #f2, #55, #d2, #54
db #fa, #a4, #c2, #42, #f3, #42, #fb, #92
db #c3, #92, #cb, #a1, #fb, #f1, #c3, #f1
db #cb, #ce, #fc, #c4, #01, #00, #0f, #c2
db #b7, #01, #00, #05, #f2, #71, #02, #00
db #04, #fa, #a0, #ea, #77, #15, #00, #54
db #c2, #54, #ca, #3f, #db, #3f, #e3, #4f
db #f3, #4f, #fb, #9f, #c3, #9f, #cb, #9f
db #d3, #9f, #db, #9f, #e3, #ef, #e3, #ef
db #eb, #ef, #f3, #ef, #fb, #3f, #c4, #d0
db #e4, #21, #f5, #7c, #c5, #c3, #e5, #14
db #c6, #ce, #01, #00, #55, #ca, #c8, #04
db #00, #53, #da, #a1, #f3, #f1, #d3, #f1
db #db, #a8, #01, #00, #53, #ea, #ee, #06
db #00, #54, #f2, #f2, #ea, #f2, #f2, #f2
db #fa, #42, #c3, #42, #cb, #02, #01, #00
db #61, #f2, #11, #15, #00, #a3, #da, #a3
db #e2, #a3, #ea, #ef, #da, #fe, #da, #ef
db #e2, #fe, #e2, #ef, #ea, #fe, #ea, #8e
db #db, #8e, #e3, #8e, #eb, #8e, #f3, #8e
db #fb, #de, #c3, #de, #cb, #de, #d3, #de
db #db, #de, #e3, #de, #eb, #7f, #ec, #74
db #01, #00, #ae, #f2, #33, #09, #00, #fe
db #ca, #fe, #d2, #ef, #f2, #ef, #fa, #3f
db #c3, #3f, #cb, #d0, #f4, #71, #cd, #7b
db #e5, #37, #04, #00, #3f, #d3, #72, #dd
db #72, #e5, #16, #ee, #20, #05, #00, #4d
db #db, #a2, #eb, #a2, #f3, #a2, #fb, #7e
db #ec, #7f, #01, #00, #3f, #eb, #98, #02
db #00, #e2, #eb, #70, #c5, #73, #07, #00
db #7f, #c4, #22, #cd, #22, #fd, #c2, #c5
db #1e, #ee, #1d, #fe, #6c, #c6, #22, #01
db #00, #7d, #f4, #32, #01, #00, #7d, #fc
db #50, #01, #00, #ce, #c4, #b8, #02, #00
db #d3, #cc, #76, #e5, #dc, #03, #00, #1e
db #c5, #75, #cd, #1d, #de, #31, #02, #00
db #20, #cd, #1e, #de, #ef, #01, #00, #24
db #f5, #f9, #01, #00, #1f, #fd, #d4, #01
db #00, #70, #d5, #d1, #03, #00, #71, #d5
db #7b, #d5, #14, #d6, #b1, #02, #00, #7a
db #f5, #1d, #f6, #38, #01, #00, #77, #fd
db #fb, #01, #00, #c0, #c5, #d8, #01, #00
db #c1, #c5, #51, #01, #00, #c2, #cd, #75
db #01, #00, #c2, #f5, #76, #01, #00, #c2
db #fd, #f2, #01, #00, #1f, #c6, #f6, #01
db #00, #1f, #ce, #d3, #01, #00, #22, #ce
db #fd, #01, #00, #6c, #ce
delta02:
db #34, #00, #89, #00, #27, #c0, #28, #c8
db #29, #d8, #29, #e0, #29, #e8, #2a, #f0
db #2a, #f8, #7a, #c0, #7a, #c8, #7b, #c8
db #75, #d0, #7b, #d0, #78, #d8, #7b, #d8
db #7b, #e0, #7b, #e8, #7c, #e8, #7b, #f0
db #7c, #f0, #7c, #f8, #cc, #c0, #cc, #c8
db #cd, #d0, #cd, #d8, #cd, #e0, #cd, #e8
db #cd, #f0, #1e, #d1, #b5, #f1, #b6, #f1
db #b7, #f1, #b5, #f9, #b6, #f9, #b7, #f9
db #b8, #f9, #04, #c2, #05, #c2, #06, #c2
db #07, #c2, #08, #c2, #09, #c2, #04, #ca
db #05, #ca, #06, #ca, #07, #ca, #08, #ca
db #09, #ca, #04, #d2, #05, #d2, #06, #d2
db #07, #d2, #08, #d2, #09, #d2, #0a, #d2
db #03, #da, #07, #da, #0a, #da, #03, #e2
db #07, #e2, #0b, #e2, #02, #ea, #03, #ea
db #0b, #ea, #02, #f2, #03, #f2, #0b, #f2
db #02, #fa, #03, #fa, #0c, #fa, #52, #c2
db #5c, #c2, #51, #ca, #52, #ca, #5c, #ca
db #51, #d2, #52, #d2, #5c, #d2, #5d, #d2
db #51, #da, #5d, #da, #51, #e2, #5d, #e2
db #51, #ea, #5d, #ea, #50, #f2, #51, #f2
db #5d, #f2, #5e, #f2, #50, #fa, #5d, #fa
db #5e, #fa, #a0, #c2, #ad, #c2, #ae, #c2
db #a0, #ca, #a3, #ca, #ad, #ca, #ae, #ca
db #a0, #d2, #ad, #d2, #ae, #d2, #a0, #da
db #af, #da, #b2, #da, #a0, #e2, #af, #e2
db #a3, #ea, #af, #ea, #af, #f2, #00, #e3
db #00, #eb, #fe, #f2, #4d, #d3, #a1, #db
db #a1, #e3, #a1, #eb, #8e, #fb, #de, #c3
db #de, #cb, #de, #d3, #de, #db, #de, #e3
db #de, #eb, #de, #f3, #42, #ec, #42, #f4
db #42, #fc, #92, #c4, #92, #cc, #7f, #ec
db #7f, #f4, #7f, #fc, #20, #d5, #20, #f5
db #c8, #c5, #19, #fe, #1b, #fe, #10, #26
db #00, #28, #c0, #2a, #e8, #7b, #c0, #01
db #c2, #0a, #c2, #01, #ca, #03, #ca, #01
db #d2, #0c, #ea, #5d, #c2, #5e, #e2, #51
db #fa, #b0, #e2, #a0, #ea, #ef, #da, #fe
db #da, #ef, #e2, #fe, #e2, #ef, #ea, #fe
db #ea, #02, #f3, #51, #db, #51, #e3, #51
db #eb, #8e, #db, #8e, #e3, #8e, #eb, #8e
db #f3, #ec, #c3, #42, #cc, #42, #d4, #42
db #dc, #42, #e4, #7e, #f4, #1f, #cd, #1d
db #e6, #1c, #f6, #1a, #fe, #f0, #9a, #00
db #29, #c0, #2a, #c0, #2a, #c8, #2a, #d0
db #2b, #d0, #2a, #d8, #2b, #d8, #2b, #e0
db #2b, #e8, #2b, #f0, #2c, #f0, #27, #f8
db #2c, #f8, #78, #c0, #7c, #c0, #79, #c8
db #7c, #c8, #c9, #c8, #ca, #c8, #c9, #d0
db #ca, #d0, #c8, #d8, #c9, #d8, #ca, #d8
db #cb, #d8, #c8, #e0, #c9, #e0, #ca, #e0
db #cb, #e0, #c8, #e8, #cb, #e8, #c7, #f8
db #cc, #f8, #17, #c1, #1c, #c1, #16, #e1
db #16, #e9, #1d, #e9, #1d, #f1, #65, #f9
db #66, #f9, #67, #f9, #68, #f9, #b3, #c1
db #b5, #c1, #b6, #c1, #b7, #c1, #b8, #c1
db #b9, #c1, #bb, #c1, #b3, #c9, #b5, #c9
db #b6, #c9, #b7, #c9, #b8, #c9, #b9, #c9
db #bb, #c9, #b3, #d1, #b7, #d1, #b8, #d1
db #b9, #d1, #ba, #d1, #bc, #d1, #b8, #d9
db #b9, #d9, #ba, #d9, #bc, #d9, #b9, #e1
db #ba, #e1, #bc, #e1, #b2, #e9, #ba, #e9
db #bb, #e9, #bd, #e9, #b2, #f1, #ba, #f1
db #bb, #f1, #bd, #f1, #ba, #f9, #bb, #f9
db #bd, #f9, #0b, #c2, #0c, #c2, #0e, #c2
db #0b, #ca, #0c, #ca, #0e, #ca, #0c, #d2
db #0e, #d2, #0c, #da, #0d, #da, #0d, #e2
db #0d, #ea, #05, #f2, #0d, #f2, #0e, #f2
db #0f, #f2, #05, #fa, #0e, #fa, #55, #c2
db #5e, #c2, #5e, #ca, #5e, #d2, #54, #da
db #5f, #da, #54, #e2, #5f, #e2, #54, #ea
db #5f, #ea, #52, #f2, #52, #fa, #a2, #c2
db #a2, #ca, #a2, #d2, #a1, #da, #a2, #da
db #a1, #e2, #a2, #e2, #a1, #ea, #a1, #f2
db #a1, #fa, #f0, #ca, #f0, #d2, #ff, #da
db #ff, #e2, #ff, #ea, #ff, #f2, #ff, #fa
db #4f, #c3, #9e, #d3, #e7, #cb, #e3, #d3
db #e4, #db, #ee, #db, #ec, #e3, #e5, #f3
db #41, #e4, #41, #ec, #41, #f4, #3e, #fc
db #41, #fc, #ce, #e4, #ce, #fc, #1f, #dd
db #1f, #e5, #1f, #ed, #1f, #f5, #1f, #fd
db #7b, #d5, #71, #ed, #7f, #fd, #ce, #fd
db #16, #f6, #17, #fe, #70, #1d, #00, #29
db #c8, #77, #d0, #7c, #d0, #b2, #d1, #b6
db #d1, #bb, #d1, #b2, #d9, #b8, #e1, #b9
db #e9, #0d, #c2, #0b, #d2, #0e, #da, #0c
db #e2, #04, #fa, #0d, #fa, #0f, #fa, #54
db #c2, #54, #ca, #54, #d2, #52, #ea, #a1
db #d2, #ae, #f2, #f0, #c2, #98, #f3, #98
db #fb, #e3, #d4, #e3, #dc, #e3, #e4, #e3
db #ec, #80, #27, #00, #28, #d0, #29, #f0
db #7a, #d0, #77, #d8, #cc, #d0, #67, #e1
db #b3, #d9, #bf, #d9, #bf, #e1, #bf, #e9
db #02, #ca, #02, #d2, #06, #fa, #53, #da
db #55, #da, #53, #e2, #53, #ea, #53, #f2
db #53, #fa, #a3, #c2, #a4, #c2, #a4, #d2
db #b2, #ea, #af, #fa, #00, #f3, #00, #fb
db #50, #c3, #a2, #c3, #94, #f3, #a1, #f3
db #9e, #fb, #2e, #cc, #2e, #d4, #2e, #dc
db #92, #e4, #92, #ec, #92, #f4, #cf, #cc
db #1b, #f6, #30, #23, #00, #29, #d0, #2a
db #e0, #2b, #f8, #7c, #d8, #7a, #e0, #69
db #f1, #b2, #c1, #ba, #c1, #b7, #d9, #b9
db #f1, #01, #da, #52, #da, #5e, #da, #52
db #e2, #5f, #f2, #5f, #fa, #a1, #c2, #a1
db #ca, #a0, #f2, #a0, #fa, #ae, #fa, #fe
db #ca, #fe, #d2, #ef, #f2, #ef, #fa, #4d
db #db, #ec, #cb, #f2, #e3, #f2, #eb, #f2
db #f3, #7d, #ec, #7e, #fc, #1e, #d6, #1d
db #ee, #6a, #c6, #c0, #2b, #00, #28, #d8
db #29, #f8, #7d, #d0, #7a, #d8, #7d, #d8
db #79, #e0, #7d, #e0, #7b, #f8, #cc, #d8
db #cc, #e0, #cd, #f8, #1d, #c1, #68, #e9
db #bb, #e1, #02, #c2, #06, #ea, #06, #f2
db #55, #d2, #54, #f2, #60, #f2, #54, #fa
db #60, #fa, #b0, #c2, #b0, #ca, #ae, #da
db #ae, #e2, #b2, #f2, #b2, #fa, #ff, #c2
db #50, #db, #50, #e3, #a2, #cb, #a2, #d3
db #9e, #f3, #2e, #ec, #2e, #f4, #2e, #fc
db #ce, #c4, #cf, #e4, #cf, #f4, #17, #f6
db #18, #fe, #6b, #ce, #e0, #1e, #00, #28
db #e0, #79, #c0, #7a, #f0, #cb, #c0, #1d
db #c9, #6e, #d9, #6e, #e1, #6e, #e9, #b2
db #f9, #bc, #f9, #0f, #e2, #0e, #ea, #55
db #ca, #5f, #ca, #5f, #d2, #ff, #ca, #ff
db #d2, #50, #eb, #e8, #c3, #e4, #d3, #3e
db #f4, #7e, #e4, #e2, #dc, #e2, #e4, #cf
db #fc, #1f, #d5, #7a, #ed, #c3, #f5, #14
db #d6, #15, #e6, #90, #04, #00, #7a, #e8
db #02, #e3, #32, #ec, #1f, #c5, #40, #0d
db #00, #7d, #e8, #7d, #f0, #01, #ea, #53
db #c2, #01, #db, #01, #e3, #53, #c3, #a2
db #e3, #dd, #cb, #cf, #dc, #20, #ed, #71
db #dd, #71, #e5, #fe, #18, #00, #ca, #e8
db #cb, #f8, #1c, #e1, #6d, #d1, #6d, #d9
db #be, #d1, #be, #d9, #4f, #e3, #a0, #d3
db #a0, #db, #90, #fc, #e0, #c4, #1e, #e5
db #24, #f5, #7f, #c5, #70, #dd, #76, #f5
db #c7, #c5, #c1, #cd, #c1, #d5, #ce, #d5
db #1d, #ce, #1c, #e6, #1a, #f6, #f1, #10
db #00, #c8, #f0, #17, #c9, #16, #f1, #16
db #f9, #be, #f9, #f1, #c2, #f0, #da, #8e
db #c4, #8e, #cc, #8e, #dc, #dd, #f4, #dd
db #fc, #2c, #fd, #7a, #f5, #1e, #de, #21
db #ee, #f8, #0a, #00, #cb, #f0, #1c, #c9
db #1d, #f9, #6e, #f9, #4f, #cb, #6f, #cd
db #7f, #ed, #ce, #ed, #ce, #f5, #68, #d6
db #f7, #17, #00, #c8, #f8, #17, #d9, #17
db #e1, #6b, #f9, #bc, #c9, #be, #e9, #f1
db #ca, #3f, #eb, #4f, #f3, #4f, #fb, #ef
db #fb, #3f, #c4, #2f, #cc, #de, #c4, #d0
db #cc, #de, #cc, #de, #d4, #2d, #d5, #1e
db #ee, #18, #f6, #21, #f6, #70, #ce, #6f
db #de, #f3, #12, #00, #17, #d1, #66, #c1
db #68, #d1, #69, #e1, #6a, #e9, #bd, #d9
db #be, #f1, #a2, #ea, #f0, #e2, #f0, #ea
db #8e, #e4, #8e, #ec, #2d, #c5, #7c, #c5
db #c3, #e5, #22, #ce, #16, #e6, #70, #c6
db #fc, #13, #00, #1c, #d1, #1c, #d9, #6d
db #c1, #6d, #c9, #be, #c1, #be, #c9, #4f
db #d3, #4f, #db, #a0, #c3, #a0, #cb, #e0
db #e4, #70, #cd, #75, #cd, #7f, #d5, #c1
db #c5, #ce, #dd, #ce, #e5, #15, #f6, #67
db #ce, #ff, #1e, #00, #67, #c1, #68, #c1
db #67, #c9, #68, #c9, #69, #c9, #69, #d1
db #6a, #d1, #69, #d9, #6a, #d9, #6a, #e1
db #6b, #e1, #6b, #e9, #6b, #f1, #6c, #f1
db #6c, #f9, #bc, #c1, #bd, #c9, #bd, #d1
db #be, #e1, #4f, #eb, #3f, #cc, #de, #dc
db #2d, #e5, #70, #e5, #22, #de, #21, #fe
db #6c, #ce, #67, #d6, #6c, #d6, #70, #d6
db #e1, #02, #00, #66, #c9, #6a, #f1, #e8
db #05, #00, #6e, #f1, #50, #f3, #50, #fb
db #41, #cc, #20, #fd, #d0, #0c, #00, #69
db #f9, #ba, #c9, #0d, #d2, #06, #da, #06
db #e2, #5f, #c2, #92, #fc, #e2, #c4, #ce
db #cc, #e2, #ec, #1e, #c6, #15, #de, #d3
db #01, #00, #bd, #e1, #b0, #0b, #00, #bc
db #e9, #0e, #e2, #98, #eb, #e6, #eb, #eb
db #f3, #32, #f4, #7e, #ec, #76, #e5, #77
db #fd, #1e, #ce, #16, #ee, #c8, #08, #00
db #bf, #f1, #bf, #f9, #f1, #cb, #f1, #e3
db #f1, #eb, #f1, #f3, #ce, #ec, #1c, #ee
db #4c, #01, #00, #0f, #c2, #20, #11, #00
db #01, #e2, #61, #f2, #61, #fa, #b0, #da
db #02, #eb, #01, #fb, #02, #fb, #51, #c3
db #52, #c3, #43, #cb, #51, #cb, #8d, #e3
db #8d, #eb, #8d, #f3, #8d, #fb, #dd, #c3
db #7e, #dc, #60, #07, #00, #b0, #d2, #ae
db #ea, #4d, #cb, #a2, #eb, #a2, #f3, #c2
db #d5, #1c, #fe, #a0, #04, #00, #02, #cb
db #7e, #d4, #92, #d4, #92, #dc, #50, #02
db #00, #02, #db, #97, #f3, #31, #02, #00
db #3f, #c3, #71, #cd, #73, #04, #00, #3f
db #d3, #d0, #dc, #c2, #fd, #6b, #d6, #77
db #13, #00, #9f, #eb, #9f, #f3, #9f, #fb
db #ef, #c3, #ef, #cb, #ef, #d3, #ef, #db
db #2f, #d4, #2f, #dc, #2f, #e4, #d0, #d4
db #21, #ed, #7c, #cd, #72, #dd, #72, #e5
db #72, #ed, #c3, #dd, #c2, #ed, #1d, #fe
db #88, #04, #00, #a1, #fb, #f1, #c3, #2d
db #fc, #1d, #de, #37, #03, #00, #2f, #ec
db #22, #fd, #c2, #f5, #33, #08, #00, #2f
db #f4, #2f, #fc, #7f, #c4, #d0, #e4, #d0
db #ec, #21, #fd, #72, #fd, #6c, #c6, #b2
db #01, #00, #32, #fc, #22, #01, #00, #82
db #cc, #11, #06, #00, #7f, #d4, #7f, #dc
db #7f, #e4, #d0, #fc, #20, #c5, #20, #cd
db #32, #02, #00, #82, #d4, #7d, #f4, #d1
db #03, #00, #8e, #d4, #c3, #ed, #14, #ce
db #72, #01, #00, #cd, #c4, #76, #01, #00
db #cd, #cc, #d8, #05, #00, #ce, #f4, #6f
db #c5, #70, #c5, #71, #f5, #71, #fd, #f4
db #01, #00, #1e, #c5, #ee, #03, #00, #1e
db #dd, #75, #d5, #1d, #d6, #de, #02, #00
db #70, #d5, #14, #e6, #91, #01, #00, #71
db #d5, #b3, #02, #00, #7b, #e5, #14, #c6
db #78, #03, #00, #7f, #f5, #d0, #ed, #d0
db #f5, #51, #01, #00, #c2, #c5, #71, #02
db #00, #c9, #c5, #c2, #cd, #74, #02, #00
db #c2, #dd, #c2, #e5, #f6, #01, #00, #1f
db #d6
delta03:
db #3a, #f0, #74, #00, #28, #c0, #29, #c8
db #29, #d0, #29, #d8, #2a, #e0, #2a, #e8
db #2b, #f8, #7b, #c0, #77, #d0, #7c, #d0
db #77, #d8, #78, #d8, #7c, #d8, #79, #e0
db #c9, #e8, #ca, #e8, #c8, #f0, #ca, #f0
db #cb, #f0, #cb, #f8, #17, #c9, #1c, #c9
db #17, #d1, #16, #f1, #16, #f9, #1d, #f9
db #67, #e1, #68, #e9, #69, #f1, #69, #f9
db #ba, #c1, #ba, #c9, #b5, #d1, #b6, #d1
db #bb, #d1, #b3, #d9, #b5, #d9, #b6, #d9
db #b7, #d9, #b3, #e1, #b5, #e1, #b6, #e1
db #b7, #e1, #b8, #e1, #b8, #e9, #b9, #e9
db #bc, #e9, #b8, #f1, #b2, #f9, #b9, #f9
db #0d, #c2, #0a, #ca, #0e, #da, #0e, #e2
db #0f, #fa, #5e, #e2, #5f, #f2, #5f, #fa
db #b0, #e2, #a2, #ea, #a2, #f2, #a2, #fa
db #f1, #c2, #f2, #c2, #f1, #ca, #f2, #ca
db #f1, #d2, #f2, #d2, #f1, #da, #f2, #da
db #f1, #e2, #f1, #ea, #f0, #f2, #f0, #fa
db #40, #c3, #4f, #cb, #4f, #d3, #4f, #db
db #4f, #e3, #4f, #eb, #4f, #f3, #a0, #cb
db #a0, #d3, #a0, #db, #a0, #e3, #a0, #eb
db #e8, #c3, #ee, #cb, #e4, #d3, #e6, #eb
db #eb, #f3, #83, #ec, #83, #fc, #ce, #cc
db #e2, #e4, #e2, #ec, #1f, #d5, #30, #dd
db #30, #e5, #25, #fd, #76, #e5, #77, #f5
db #7f, #f5, #d0, #ed, #c3, #f5, #d0, #f5
db #14, #ce, #14, #d6, #15, #ee, #17, #f6
db #19, #f6, #18, #fe, #19, #fe, #1a, #fe
db #1c, #fe, #6a, #c6, #00, #52, #00, #27
db #c8, #27, #d0, #28, #d8, #29, #f0, #29
db #f8, #7a, #d0, #7a, #d8, #76, #e0, #78
db #e8, #79, #f0, #7b, #f8, #cc, #d0, #cc
db #d8, #cc, #e0, #cd, #f8, #1d, #c1, #1e
db #d9, #1e, #e1, #04, #da, #05, #da, #06
db #da, #04, #e2, #05, #e2, #06, #e2, #06
db #fa, #53, #c2, #53, #ca, #53, #d2, #52
db #da, #53, #da, #55, #da, #52, #e2, #60
db #e2, #52, #ea, #51, #fa, #a1, #c2, #a1
db #ca, #a1, #d2, #a3, #d2, #a4, #d2, #ae
db #da, #a3, #e2, #ae, #e2, #b2, #e2, #a0
db #ea, #ae, #ea, #a0, #f2, #a0, #fa, #af
db #fa, #f0, #c2, #f3, #c2, #ff, #c2, #f3
db #ca, #ef, #da, #ef, #e2, #ef, #ea, #ef
db #f2, #f4, #f2, #00, #f3, #ef, #fa, #43
db #c3, #4d, #cb, #43, #db, #8e, #d3, #8e
db #db, #8e, #e3, #9a, #e3, #8e, #eb, #8e
db #f3, #a1, #f3, #99, #fb, #e4, #cb, #ec
db #cb, #42, #e4, #92, #d4, #7f, #dc, #92
db #dc, #7f, #e4, #20, #c5, #20, #cd, #20
db #dd, #1a, #f6, #30, #24, #00, #28, #c8
db #29, #e0, #77, #e0, #7c, #e8, #68, #f9
db #b9, #c1, #ba, #d1, #b2, #f1, #b8, #f9
db #09, #c2, #01, #e2, #0c, #fa, #5f, #c2
db #5d, #d2, #52, #f2, #52, #fa, #af, #ca
db #af, #d2, #a1, #da, #a1, #e2, #f0, #d2
db #f0, #da, #02, #fb, #52, #c3, #3f, #cb
db #3f, #d3, #3f, #db, #9d, #e3, #98, #eb
db #98, #f3, #98, #fb, #ec, #d3, #e5, #f3
db #77, #fd, #1e, #c6, #18, #f6, #10, #16
db #00, #28, #d0, #2a, #f8, #7b, #d0, #7c
db #f0, #b4, #d9, #b4, #e1, #09, #ca, #0b
db #ea, #5e, #f2, #b1, #d2, #a3, #da, #b0
db #f2, #b0, #fa, #f0, #ca, #fe, #f2, #3f
db #c3, #43, #e3, #e5, #cb, #f2, #f3, #d0
db #fc, #1b, #fe, #6b, #ce, #80, #1b, #00
db #28, #e0, #79, #c0, #7a, #e0, #cb, #c0
db #1d, #c9, #60, #e1, #b2, #e9, #b3, #f1
db #02, #da, #06, #ea, #06, #f2, #51, #c2
db #51, #ca, #a4, #ca, #b2, #da, #44, #d3
db #53, #d3, #44, #db, #a1, #fb, #ea, #c3
db #f1, #c3, #f1, #cb, #de, #fb, #2e, #c4
db #7f, #fc, #cf, #c4, #cf, #e4, #c0, #26
db #00, #28, #e8, #28, #f0, #79, #c8, #77
db #e8, #7a, #e8, #7d, #e8, #7a, #f0, #7d
db #f0, #7d, #f8, #cb, #c8, #cc, #e8, #cc
db #f0, #1d, #d1, #ba, #d9, #bf, #f1, #bf
db #f9, #0a, #c2, #02, #d2, #0d, #da, #55
db #ca, #02, #c3, #ff, #ca, #ff, #d2, #50
db #eb, #a2, #db, #97, #fb, #ed, #c3, #ed
db #d3, #f1, #d3, #2e, #d4, #2e, #dc, #2e
db #e4, #cf, #fc, #1f, #cd, #71, #d5, #71
db #dd, #ce, #fd, #1b, #f6, #70, #1e, #00
db #2a, #f0, #7b, #c8, #7c, #e0, #b2, #e1
db #bb, #e1, #b7, #e9, #bc, #f1, #ba, #f9
db #0b, #ca, #0d, #ca, #0a, #d2, #0b, #e2
db #5e, #ea, #a2, #c2, #af, #c2, #a1, #ea
db #b0, #ea, #02, #db, #f0, #e2, #f0, #ea
db #02, #eb, #4f, #fb, #9f, #c3, #9f, #cb
db #93, #fb, #93, #fc, #e3, #c4, #e3, #cc
db #c2, #dd, #1e, #ce, #20, #0b, #00, #75
db #d0, #cd, #c8, #01, #ea, #ae, #fa, #02
db #d3, #02, #f3, #43, #d3, #4d, #db, #99
db #e3, #96, #fb, #7e, #d4, #e0, #24, #00
db #79, #d0, #cb, #d0, #1d, #d9, #6e, #f1
db #67, #f9, #b9, #f1, #02, #c2, #0c, #c2
db #02, #ca, #0b, #da, #0c, #f2, #0e, #fa
db #55, #c2, #5d, #ca, #b0, #d2, #b0, #da
db #ff, #da, #f2, #e2, #50, #f3, #50, #fb
db #a0, #c3, #e3, #c3, #ed, #cb, #ea, #d3
db #e4, #db, #3e, #e4, #3e, #ec, #7e, #fc
db #e2, #d4, #dd, #e4, #cf, #f4, #1f, #c5
db #1f, #dd, #71, #e5, #15, #de, #6a, #ce
db #60, #06, #00, #cd, #c0, #01, #f2, #02
db #cb, #a2, #fb, #7e, #c4, #7e, #cc, #f1
db #0e, #00, #c8, #f8, #17, #d9, #67, #d9
db #bb, #c9, #bc, #d9, #bd, #e9, #f1, #f2
db #3e, #fc, #8e, #d4, #dd, #ec, #1f, #ed
db #1f, #f5, #1d, #f6, #70, #c6, #f3, #0e
db #00, #18, #c1, #17, #e1, #66, #c9, #69
db #e9, #6a, #f9, #bc, #d1, #be, #f9, #f1
db #fa, #40, #cb, #8e, #dc, #dd, #fc, #2c
db #fd, #70, #f5, #70, #ce, #fc, #10, #00
db #1b, #c1, #1c, #e1, #6d, #d1, #be, #d1
db #a0, #fb, #e0, #d4, #e0, #dc, #ce, #f4
db #ce, #fc, #1e, #c5, #24, #e5, #6f, #c5
db #6f, #cd, #7f, #cd, #c1, #cd, #1f, #d6
db #f7, #0a, #00, #18, #c9, #17, #e9, #68
db #e1, #bb, #c1, #40, #d3, #3f, #f3, #df
db #e3, #2d, #dd, #7c, #cd, #6b, #d6, #f8
db #10, #00, #1c, #d1, #6d, #c1, #be, #c1
db #a0, #f3, #d3, #c4, #ce, #e4, #ce, #ec
db #30, #c5, #30, #cd, #1f, #fd, #70, #c5
db #7f, #e5, #71, #f5, #71, #fd, #c8, #cd
db #1c, #e6, #fe, #0c, #00, #1c, #e9, #6d
db #e1, #be, #e1, #f0, #c3, #90, #f4, #1e
db #dd, #2f, #fd, #6f, #dd, #ce, #cd, #14
db #e6, #1b, #ee, #68, #d6, #7f, #02, #00
db #67, #d1, #bd, #e1, #ff, #0e, #00, #68
db #d1, #68, #d9, #69, #e1, #6a, #e9, #6a
db #f1, #6b, #f9, #bc, #c9, #bd, #d9, #be
db #e9, #be, #f1, #3f, #c4, #de, #d4, #1e
db #e5, #c0, #c5, #d0, #0f, #00, #67, #f1
db #b9, #c9, #bb, #e9, #0c, #ea, #0e, #f2
db #5d, #c2, #5f, #d2, #e6, #c3, #7e, #ec
db #7e, #f4, #7a, #ed, #c3, #ed, #14, #c6
db #1e, #d6, #16, #ee, #40, #0b, #00, #b3
db #e9, #01, #fa, #ae, #f2, #4d, #d3, #97
db #f3, #94, #fb, #2e, #fc, #cf, #d4, #cf
db #ec, #20, #f5, #1c, #ee, #b0, #0c, #00
db #bc, #f9, #0b, #d2, #0d, #d2, #0e, #ea
db #5f, #ca, #5e, #da, #ec, #e3, #ec, #eb
db #ec, #f3, #7e, #dc, #7e, #e4, #e3, #fc
db #c8, #03, #00, #0f, #c2, #f1, #fb, #1d
db #d6, #50, #03, #00, #02, #e3, #1d, #e6
db #1c, #f6, #e2, #01, #00, #f2, #ea, #71
db #01, #00, #3f, #e3, #73, #0b, #00, #3f
db #eb, #cd, #c4, #72, #d5, #72, #dd, #72
db #e5, #7b, #e5, #72, #ed, #15, #d6, #1e
db #ee, #1d, #fe, #6c, #c6, #cc, #01, #00
db #42, #eb, #ec, #06, #00, #92, #cb, #92
db #d3, #92, #db, #70, #d5, #1d, #ce, #1c
db #de, #74, #01, #00, #9f, #d3, #56, #01
db #00, #9f, #db, #90, #04, #00, #99, #f3
db #ee, #d3, #32, #f4, #6a, #d6, #a0, #05
db #00, #eb, #d3, #92, #fc, #e2, #c4, #e2
db #cc, #1d, #de, #77, #0f, #00, #df, #eb
db #df, #f3, #df, #fb, #2f, #c4, #80, #fc
db #d0, #c4, #cd, #cc, #d0, #cc, #de, #cc
db #2d, #d5, #21, #dd, #21, #e5, #7c, #c5
db #c2, #f5, #c2, #fd, #37, #02, #00, #2f
db #cc, #c4, #fd, #33, #0a, #00, #2f, #d4
db #2f, #dc, #2f, #e4, #2f, #ec, #d0, #d4
db #d0, #dc, #21, #ed, #21, #f5, #72, #f5
db #16, #e6, #e8, #02, #00, #41, #d4, #41
db #dc, #88, #01, #00, #2d, #f4, #98, #01
db #00, #2d, #fc, #31, #02, #00, #2f, #fc
db #c9, #c5, #11, #06, #00, #7f, #c4, #7f
db #cc, #d0, #ec, #d0, #f4, #71, #c5, #71
db #cd, #d1, #03, #00, #8e, #cc, #dd, #f4
db #7b, #d5, #01, #01, #00, #7f, #d4, #12
db #01, #00, #7d, #ec, #b3, #03, #00, #8e
db #f4, #2d, #cd, #c3, #e5, #bc, #01, #00
db #24, #dd, #e1, #01, #00, #2c, #ed, #08
db #01, #00, #20, #fd, #dc, #02, #00, #70
db #cd, #76, #ed, #f6, #01, #00, #70, #dd
db #d3, #01, #00, #7b, #dd, #e7, #01, #00
db #70, #e5, #ee, #01, #00, #76, #f5, #b1
db #01, #00, #7a, #f5, #fb, #01, #00, #70
db #fd, #fd, #01, #00, #c0, #cd, #72, #01
db #00, #c2, #ed, #de, #01, #00, #67, #ce
db #78, #01, #00, #6e, #e6
delta04:
db #36, #30, #25, #00, #27, #c0, #27, #c8
db #27, #d0, #28, #e8, #29, #f8, #7a, #d0
db #7b, #e8, #cc, #c0, #ba, #e1, #07, #c2
db #08, #d2, #0a, #d2, #0d, #da, #0b, #e2
db #01, #ea, #0a, #ea, #54, #c2, #5d, #ea
db #ae, #c2, #a2, #ca, #a2, #d2, #af, #e2
db #af, #ea, #a1, #fa, #f1, #c2, #00, #cb
db #02, #db, #f0, #ea, #f0, #f2, #51, #d3
db #3f, #e3, #3f, #eb, #ec, #db, #f2, #f3
db #7e, #cc, #7e, #dc, #1b, #fe, #f0, #7a
db #00, #28, #c8, #28, #d0, #28, #d8, #29
db #e0, #29, #e8, #29, #f0, #2a, #f0, #2a
db #f8, #7a, #c0, #7a, #c8, #7b, #c8, #7b
db #d0, #7b, #d8, #77, #e0, #7c, #e0, #77
db #e8, #78, #e8, #7c, #e8, #7c, #f0, #c9
db #f0, #c8, #f8, #c9, #f8, #ca, #f8, #18
db #c1, #19, #c1, #1a, #c1, #1b, #c1, #18
db #c9, #1a, #c9, #1b, #c9, #1b, #d1, #17
db #d9, #1c, #d9, #17, #e1, #1c, #e1, #66
db #c1, #6d, #c1, #6d, #c9, #67, #f1, #67
db #f9, #68, #f9, #6e, #f9, #b9, #c1, #be
db #c1, #b9, #c9, #ba, #d1, #ba, #d9, #bb
db #e1, #b2, #e9, #b3, #e9, #b5, #e9, #b6
db #e9, #b7, #e9, #b2, #f1, #b5, #f1, #b6
db #f1, #b7, #f1, #b9, #f1, #bc, #f1, #b6
db #f9, #b7, #f9, #ba, #f9, #bc, #f9, #02
db #c2, #08, #c2, #0a, #c2, #02, #ca, #08
db #ca, #0b, #ca, #0d, #ca, #02, #d2, #09
db #d2, #0b, #d2, #0d, #d2, #0b, #da, #0a
db #e2, #0c, #e2, #0c, #ea, #0e, #ea, #0b
db #f2, #0b, #fa, #0d, #fa, #5d, #c2, #5f
db #c2, #5c, #ca, #5e, #da, #5e, #f2, #5e
db #fa, #af, #c2, #af, #ca, #af, #d2, #b0
db #ea, #b0, #f2, #b0, #fa, #f1, #f2, #f1
db #fa, #41, #c3, #40, #cb, #40, #d3, #40
db #db, #a0, #f3, #98, #fb, #a0, #fb, #f0
db #c3, #e2, #d4, #e2, #dc, #e3, #dc, #e3
db #e4, #e3, #ec, #30, #d5, #76, #dd, #ce
db #f5, #c3, #fd, #ce, #fd, #14, #c6, #1e
db #c6, #1e, #ce, #1e, #d6, #15, #de, #16
db #ee, #1a, #f6, #6a, #ce, #00, #42, #00
db #27, #e0, #27, #e8, #28, #f0, #28, #f8
db #79, #c8, #79, #d0, #79, #d8, #7a, #e0
db #7a, #e8, #7a, #f0, #cb, #c0, #ca, #c8
db #cb, #c8, #cb, #d0, #cb, #d8, #cc, #e8
db #cc, #f0, #cc, #f8, #1d, #c9, #1d, #d1
db #1d, #d9, #1e, #e9, #1e, #f1, #1e, #f9
db #6e, #c1, #03, #ca, #04, #ea, #05, #ea
db #06, #ea, #04, #f2, #05, #f2, #06, #f2
db #04, #fa, #05, #fa, #53, #e2, #53, #ea
db #60, #ea, #52, #f2, #53, #f2, #52, #fa
db #a1, #da, #b1, #da, #a1, #e2, #a1, #ea
db #b2, #ea, #ae, #f2, #ae, #fa, #fe, #c2
db #f0, #ca, #fe, #ca, #ff, #ca, #f0, #d2
db #ff, #d2, #fe, #f2, #00, #fb, #01, #fb
db #3f, #c3, #3f, #cb, #3f, #d3, #44, #db
db #94, #fb, #ed, #c3, #7f, #d4, #d0, #fc
db #1c, #ee, #6b, #ce, #70, #28, #00, #28
db #e0, #7b, #e0, #79, #f8, #7c, #f8, #b8
db #c1, #bb, #e9, #0c, #c2, #09, #da, #01
db #f2, #0c, #f2, #0e, #f2, #01, #fa, #5d
db #ca, #5f, #ca, #5c, #d2, #5d, #e2, #5e
db #e2, #a2, #da, #af, #da, #00, #c3, #f1
db #ca, #02, #e3, #f0, #fa, #40, #c3, #4f
db #f3, #9f, #d3, #9f, #db, #9d, #e3, #9f
db #e3, #9f, #eb, #f2, #c3, #eb, #eb, #ec
db #f3, #7e, #d4, #e3, #f4, #e3, #fc, #76
db #e5, #77, #fd, #c2, #cd, #c2, #d5, #40
db #08, #00, #27, #f0, #4d, #cb, #53, #cb
db #a4, #db, #98, #f3, #92, #dc, #20, #d5
db #20, #dd, #80, #22, #00, #78, #c0, #78
db #f8, #7a, #f8, #c9, #c0, #cb, #e0, #1c
db #c1, #1d, #e1, #6e, #c9, #03, #c2, #02
db #ea, #55, #d2, #51, #da, #60, #e2, #b2
db #e2, #01, #cb, #01, #d3, #50, #cb, #98
db #cb, #9a, #e3, #9e, #f3, #99, #fb, #eb
db #cb, #eb, #d3, #f1, #d3, #7d, #c4, #7f
db #ec, #7f, #f4, #92, #fc, #e2, #c4, #e2
db #cc, #cf, #dc, #1f, #c5, #20, #cd, #71
db #cd, #10, #1d, #00, #79, #c0, #7a, #d8
db #76, #e0, #7b, #f0, #cc, #c8, #b4, #e9
db #b4, #f1, #09, #e2, #0a, #f2, #5b, #c2
db #50, #ea, #5d, #f2, #a2, #c2, #ae, #ca
db #ae, #d2, #a1, #f2, #fe, #d2, #00, #d3
db #f0, #da, #f0, #e2, #3f, #db, #43, #fb
db #9d, #d3, #98, #eb, #9d, #eb, #cf, #f4
db #1c, #e6, #1d, #ee, #19, #f6, #c0, #21
db #00, #78, #c8, #79, #e0, #79, #e8, #ca
db #c0, #cb, #e8, #1c, #c9, #1d, #e9, #1d
db #f1, #b7, #c1, #0f, #c2, #09, #ca, #02
db #da, #02, #e2, #55, #c2, #51, #ca, #51
db #d2, #ff, #da, #01, #db, #53, #c3, #53
db #d3, #50, #f3, #e4, #cb, #f1, #db, #f1
db #e3, #2e, #cc, #cf, #c4, #ce, #cc, #cf
db #cc, #cf, #d4, #20, #e5, #16, #e6, #1d
db #e6, #6a, #d6, #e0, #2d, #00, #78, #d0
db #79, #f0, #cd, #c0, #cd, #c8, #cd, #d0
db #cb, #f0, #1c, #d1, #1d, #f9, #b9, #d9
db #ba, #e9, #b3, #f1, #b2, #f9, #0a, #da
db #0b, #ea, #0d, #ea, #51, #c2, #5c, #c2
db #5e, #c2, #5d, #da, #5f, #e2, #54, #ea
db #ff, #e2, #f2, #ea, #ff, #ea, #f2, #f2
db #f2, #fa, #a3, #c3, #a0, #cb, #9e, #d3
db #97, #fb, #ed, #d3, #41, #d4, #41, #dc
db #2e, #fc, #7e, #c4, #7e, #f4, #e2, #e4
db #cf, #fc, #7b, #d5, #71, #dd, #7a, #ed
db #c3, #ed, #15, #ee, #18, #f6, #1c, #f6
db #60, #08, #00, #cd, #d8, #02, #d3, #e3
db #c3, #eb, #db, #2e, #f4, #cf, #ec, #c2
db #c5, #1d, #de, #20, #04, #00, #cd, #e0
db #02, #fb, #e4, #c3, #cf, #e4, #f8, #09
db #00, #19, #c9, #1c, #e9, #6d, #d1, #be
db #c9, #e0, #fc, #24, #dd, #20, #f5, #d0
db #ed, #6e, #e6, #f3, #10, #00, #18, #d1
db #17, #e9, #17, #f1, #66, #d1, #66, #d9
db #ba, #c1, #bb, #d1, #bc, #e1, #bd, #f1
db #0e, #c2, #40, #e3, #1f, #dd, #1f, #e5
db #c3, #dd, #1d, #f6, #6b, #d6, #f7, #0f
db #00, #18, #d9, #17, #f9, #68, #e9, #69
db #f9, #41, #d3, #40, #eb, #df, #cb, #3f
db #c4, #80, #f4, #8e, #fc, #70, #e5, #70
db #f5, #c4, #f5, #1e, #e6, #1d, #fe, #fc
db #0e, #00, #1b, #d9, #1c, #f1, #1c, #f9
db #6d, #d9, #6d, #e1, #be, #d9, #be, #e1
db #f0, #cb, #f0, #d3, #d3, #e4, #d3, #ec
db #71, #ed, #71, #f5, #67, #ce, #fe, #12
db #00, #1b, #e1, #6d, #e9, #6d, #f1, #be
db #e9, #be, #f1, #f0, #db, #90, #ec, #d3
db #f4, #1e, #cd, #1d, #ed, #2f, #f5, #70
db #cd, #6f, #d5, #71, #fd, #1d, #c6, #1b
db #e6, #15, #fe, #66, #c6, #f1, #09, #00
db #66, #c9, #68, #f1, #ba, #c9, #bd, #f9
db #0e, #ca, #41, #cb, #8e, #cc, #8e, #dc
db #2c, #ed, #ff, #18, #00, #67, #d1, #67
db #d9, #67, #e1, #68, #e1, #69, #e9, #69
db #f1, #6a, #f9, #bb, #c1, #bb, #c9, #bc
db #d1, #bc, #d9, #bd, #e1, #bd, #e9, #be
db #f9, #1e, #dd, #2d, #dd, #70, #d5, #70
db #dd, #6f, #e5, #c1, #c5, #c0, #cd, #c1
db #cd, #c1, #d5, #1e, #ee, #90, #05, #00
db #66, #f9, #b8, #c9, #b9, #d1, #7e, #e4
db #71, #c5, #b0, #0d, #00, #bb, #f1, #0d
db #e2, #0c, #fa, #0e, #fa, #5d, #d2, #5f
db #d2, #5e, #ea, #9e, #fb, #e3, #d3, #ee
db #d3, #e4, #db, #7e, #ec, #1c, #fe, #d0
db #0e, #00, #b8, #f9, #bb, #f9, #0c, #d2
db #5f, #da, #53, #f3, #e8, #c3, #e9, #cb
db #7e, #fc, #ce, #c4, #e2, #fc, #32, #c5
db #1f, #cd, #32, #cd, #6b, #c6, #c8, #05
db #00, #0f, #d2, #92, #f3, #92, #fb, #41
db #c4, #1b, #ee, #04, #01, #00, #01, #e3
db #50, #04, #00, #02, #eb, #97, #e3, #97
db #f3, #e6, #c3, #e2, #02, #00, #42, #c3
db #1f, #d5, #a0, #02, #00, #53, #db, #ed
db #cb, #ec, #03, #00, #42, #eb, #70, #c5
db #c7, #c5, #31, #06, #00, #3f, #f3, #2f
db #f4, #21, #fd, #72, #f5, #17, #ee, #6c
db #c6, #73, #07, #00, #3f, #fb, #8f, #c3
db #df, #fb, #d0, #cc, #c2, #fd, #c4, #fd
db #1e, #de, #74, #01, #00, #9f, #f3, #88
db #05, #00, #e2, #c3, #e2, #cb, #e2, #d3
db #e2, #db, #2d, #fc, #77, #0a, #00, #df
db #d3, #df, #db, #df, #e3, #de, #c4, #21
db #d5, #22, #fd, #7c, #cd, #c3, #cd, #c3
db #d5, #15, #ce, #33, #06, #00, #2f, #c4
db #2f, #cc, #7d, #fc, #72, #ed, #7a, #fd
db #16, #de, #11, #01, #00, #2f, #fc, #e1
db #01, #00, #3e, #fc, #32, #03, #00, #82
db #c4, #7d, #e4, #7d, #ec, #22, #01, #00
db #82, #d4, #d1, #04, #00, #8e, #d4, #7b
db #dd, #7a, #f5, #c3, #e5, #23, #01, #00
db #82, #dc, #e8, #02, #00, #ce, #dc, #20
db #ed, #f9, #02, #00, #1f, #f5, #1f, #fd
db #dc, #01, #00, #20, #fd, #b3, #02, #00
db #7c, #c5, #7b, #e5, #37, #01, #00, #72
db #cd, #78, #01, #00, #71, #e5, #51, #01
db #00, #72, #fd, #fd, #01, #00, #c0, #d5
db #76, #01, #00, #c2, #ed, #b1, #01, #00
db #15, #d6, #d8, #01, #00, #1d, #d6, #de
db #03, #00, #1f, #d6, #14, #e6, #6e, #ce
db #cc, #01, #00, #1c, #de, #7f, #02, #00
db #17, #e6, #6c, #ce, #bc, #01, #00, #68
db #d6
delta05:
db #1f, #80, #1f, #00, #cc, #f8, #57, #ca
db #58, #d2, #57, #f2, #a6, #c2, #a6, #ca
db #a6, #d2, #ac, #d2, #a6, #da, #a5, #ea
db #a5, #f2, #ad, #f2, #a5, #fa, #ad, #fa
db #f5, #c2, #fd, #c2, #f5, #ca, #fd, #ca
db #f5, #d2, #f7, #d2, #fb, #ea, #fb, #f2
db #f4, #fa, #44, #c3, #4e, #c3, #44, #cb
db #48, #cb, #4e, #cb, #48, #d3, #4e, #f3
db #1c, #ee, #bc, #01, #00, #19, #c9, #30
db #28, #00, #15, #e9, #55, #ea, #56, #ea
db #55, #f2, #55, #fa, #a5, #c2, #a5, #ca
db #a5, #d2, #a4, #ea, #ac, #ea, #a4, #f2
db #ac, #f2, #a4, #fa, #ac, #fa, #f4, #c2
db #fc, #c2, #f4, #ca, #fc, #ca, #fc, #d2
db #fd, #f2, #02, #f3, #f3, #fa, #fd, #fa
db #43, #c3, #4d, #c3, #43, #cb, #43, #d3
db #43, #db, #49, #db, #43, #e3, #43, #eb
db #43, #f3, #43, #fb, #93, #c3, #93, #cb
db #9d, #cb, #9d, #db, #e5, #c3, #ec, #cb
db #ec, #e3, #b7, #01, #00, #bc, #e1, #c0
db #1c, #00, #b2, #f9, #57, #da, #57, #e2
db #57, #ea, #56, #f2, #56, #fa, #ac, #da
db #a5, #e2, #ad, #ea, #fd, #d2, #fd, #da
db #f4, #f2, #fe, #f2, #fe, #fa, #47, #cb
db #44, #d3, #44, #db, #4a, #fb, #4e, #fb
db #9a, #c3, #9a, #cb, #9a, #d3, #9a, #db
db #94, #e3, #94, #eb, #94, #f3, #9a, #f3
db #eb, #cb, #e0, #09, #00, #57, #d2, #47
db #e3, #4a, #e3, #48, #eb, #4a, #eb, #4a
db #f3, #48, #fb, #9e, #cb, #eb, #d3, #10
db #0e, #00, #56, #da, #5c, #da, #56, #e2
db #b3, #c2, #fa, #f2, #f7, #fa, #47, #c3
db #49, #d3, #4d, #f3, #4d, #fb, #9d, #c3
db #96, #e3, #95, #fb, #9c, #fb, #40, #0f
db #00, #58, #da, #ab, #c2, #b3, #d2, #a5
db #da, #ab, #da, #a4, #e2, #ab, #e2, #ac
db #e2, #f7, #da, #fc, #da, #f4, #e2, #f7
db #e2, #fd, #e2, #f4, #ea, #48, #db, #00
db #03, #00, #4d, #e2, #ec, #c3, #f1, #c6
db #20, #08, #00, #55, #e2, #58, #e2, #58
db #ea, #f4, #d2, #f7, #f2, #fa, #fa, #4a
db #c3, #96, #eb, #f0, #3c, #00, #5d, #e2
db #ff, #ea, #4d, #db, #49, #eb, #48, #f3
db #49, #fb, #98, #c3, #99, #c3, #98, #cb
db #99, #cb, #98, #d3, #99, #d3, #9e, #d3
db #93, #db, #98, #db, #99, #db, #97, #e3
db #98, #e3, #99, #e3, #9d, #e3, #9e, #e3
db #97, #eb, #98, #eb, #99, #eb, #9e, #eb
db #97, #f3, #98, #f3, #99, #f3, #9d, #f3
db #9e, #f3, #93, #fb, #96, #fb, #97, #fb
db #99, #fb, #9d, #fb, #9e, #fb, #e3, #c3
db #e4, #c3, #e6, #c3, #e8, #c3, #ea, #c3
db #ed, #c3, #ee, #c3, #e3, #cb, #e4, #cb
db #e9, #cb, #ed, #cb, #e3, #d3, #e5, #d3
db #ea, #d3, #ed, #d3, #ee, #d3, #e4, #db
db #e5, #db, #ea, #db, #ee, #e3, #e5, #eb
db #eb, #eb, #e5, #f3, #7b, #d5, #60, #03
db #00, #ab, #ca, #ab, #d2, #fd, #ea, #b0
db #0a, #00, #4a, #cb, #4a, #db, #47, #f3
db #49, #f3, #47, #fb, #97, #c3, #9d, #eb
db #eb, #db, #ec, #f3, #ec, #fb, #70, #09
db #00, #4d, #cb, #4a, #d3, #4d, #d3, #97
db #cb, #93, #d3, #97, #d3, #97, #db, #94
db #fb, #c8, #c5, #90, #02, #00, #47, #d3
db #47, #db, #50, #04, #00, #49, #e3, #9d
db #d3, #96, #f3, #e5, #cb, #a0, #02, #00
db #47, #eb, #9a, #e3, #8c, #01, #00, #92
db #f3, #77, #02, #00, #df, #cb, #72, #cd
db #d0, #01, #00, #ea, #cb, #48, #01, #00
db #f1, #eb, #33, #02, #00, #df, #fb, #22
db #cd, #7f, #02, #00, #3f, #c4, #6f, #de
db #f1, #02, #00, #3e, #fc, #7b, #dd, #b8
db #01, #00, #d3, #c4, #f7, #01, #00, #de
db #c4, #78, #01, #00, #ce, #dc, #fc, #03
db #00, #24, #dd, #6e, #ce, #68, #d6, #ef
db #01, #00, #1d, #ed, #ec, #01, #00, #1c
db #de, #fe, #01, #00, #14, #e6
delta06:
db #1a, #f8, #02, #00, #19, #c9, #ce, #dc
db #00, #01, #00, #60, #e1, #e0, #09, #00
db #55, #c2, #4a, #fb, #4e, #fb, #9a, #cb
db #94, #db, #94, #e3, #94, #eb, #9a, #f3
db #ea, #c3, #80, #06, #00, #57, #c2, #57
db #fa, #fb, #fa, #44, #eb, #44, #f3, #94
db #cb, #c0, #10, #00, #55, #d2, #a5, #da
db #ad, #f2, #fd, #ca, #f7, #e2, #f4, #fa
db #44, #cb, #48, #d3, #4e, #d3, #4e, #db
db #4e, #e3, #4e, #eb, #9e, #c3, #9a, #eb
db #eb, #c3, #6b, #c6, #f0, #1c, #00, #57
db #d2, #4a, #cb, #47, #d3, #4a, #d3, #4d
db #d3, #47, #db, #4a, #db, #47, #e3, #48
db #e3, #47, #eb, #47, #f3, #49, #f3, #47
db #fb, #48, #fb, #97, #c3, #97, #cb, #93
db #d3, #97, #d3, #9d, #d3, #97, #db, #9a
db #db, #9d, #eb, #94, #f3, #94, #fb, #ea
db #cb, #eb, #db, #ec, #e3, #3e, #e4, #20
db #02, #00, #55, #da, #58, #f2, #60, #06
db #00, #58, #e2, #ac, #e2, #f7, #f2, #4a
db #c3, #48, #db, #eb, #cb, #70, #0f, #00
db #ab, #d2, #a4, #ea, #fd, #f2, #fd, #fa
db #47, #c3, #4d, #c3, #49, #e3, #4d, #fb
db #9d, #c3, #9d, #cb, #96, #eb, #95, #fb
db #9d, #fb, #e5, #c3, #e5, #fb, #30, #06
db #00, #f4, #d2, #fa, #fa, #4d, #eb, #4d
db #f3, #96, #e3, #ec, #c3, #40, #01, #00
db #f4, #da, #50, #02, #00, #f7, #fa, #4d
db #e3, #d0, #04, #00, #47, #cb, #96, #f3
db #9a, #fb, #e5, #cb, #10, #05, #00, #96
db #db, #9c, #db, #9c, #e3, #9c, #eb, #9c
db #f3, #b0, #03, #00, #9d, #db, #ec, #cb
db #ec, #db, #c8, #01, #00, #92, #f3, #ff
db #01, #00, #3f, #c4, #d2, #06, #00, #3d
db #f4, #8d, #dc, #84, #f4, #dc, #e4, #28
db #dd, #78, #e5, #e1, #0a, #00, #8c, #cc
db #d4, #cc, #db, #dc, #d5, #fc, #2b, #c5
db #2a, #d5, #27, #ed, #28, #ed, #2c, #ed
db #78, #c5, #78, #04, #00, #84, #d4, #84
db #e4, #dc, #fc, #c8, #cd, #f1, #01, #00
db #8e, #d4, #32, #01, #00, #82, #dc, #e9
db #01, #00, #d3, #c4, #5a, #02, #00, #d5
db #dc, #29, #f5, #b4, #03, #00, #dc, #ec
db #2c, #c5, #2a, #f5, #fc, #01, #00, #c7
db #c5
delta07:
db #25, #c0, #0f, #00, #57, #ca, #58, #da
db #a5, #ea, #ad, #fa, #fd, #c2, #f5, #d2
db #f7, #ea, #44, #c3, #4e, #cb, #48, #db
db #44, #eb, #44, #f3, #4e, #fb, #94, #c3
db #94, #cb, #10, #04, #00, #56, #d2, #f6
db #ca, #f6, #d2, #cb, #ec, #e0, #05, #00
db #57, #da, #f7, #f2, #4e, #f3, #9a, #db
db #9a, #eb, #20, #01, #00, #58, #fa, #60
db #01, #00, #a4, #e2, #40, #02, #00, #ab
db #ea, #fc, #e2, #70, #09, #00, #ac, #ea
db #f7, #fa, #4a, #c3, #43, #e3, #4d, #e3
db #9d, #d3, #9d, #db, #96, #fb, #ec, #d3
db #f0, #10, #00, #47, #c3, #47, #cb, #4d
db #eb, #4a, #fb, #9d, #c3, #9e, #c3, #9e
db #cb, #9a, #d3, #9f, #db, #94, #e3, #94
db #eb, #96, #f3, #9a, #f3, #9a, #fb, #9d
db #fb, #ea, #c3, #80, #04, #00, #4e, #db
db #44, #e3, #4e, #e3, #eb, #cb, #d2, #14
db #00, #93, #db, #9d, #e3, #e3, #c3, #e3
db #f3, #e3, #fb, #33, #e4, #3d, #ec, #3d
db #fc, #8d, #c4, #d4, #c4, #dc, #d4, #dc
db #dc, #2c, #cd, #28, #e5, #76, #c5, #76
db #cd, #78, #cd, #78, #d5, #78, #dd, #78
db #ed, #00, #01, #00, #9c, #db, #78, #0f
db #00, #93, #eb, #9e, #fb, #ee, #e3, #ee
db #eb, #34, #cc, #84, #dc, #d7, #fc, #27
db #c5, #2c, #c5, #26, #cd, #27, #cd, #27
db #d5, #2b, #d5, #27, #dd, #2b, #dd, #b0
db #03, #00, #96, #eb, #ec, #e3, #35, #dc
db #61, #01, #00, #9d, #eb, #b4, #02, #00
db #9e, #eb, #33, #d4, #50, #01, #00, #95
db #f3, #30, #03, #00, #9c, #f3, #9c, #fb
db #c8, #c5, #d0, #02, #00, #ea, #cb, #6b
db #c6, #e1, #10, #00, #ed, #eb, #3d, #c4
db #33, #cc, #3d, #d4, #3d, #dc, #33, #ec
db #33, #f4, #dc, #c4, #dc, #cc, #db, #e4
db #db, #ec, #db, #f4, #db, #fc, #29, #ed
db #7a, #c5, #7a, #cd, #3c, #08, #00, #3e
db #c4, #8d, #f4, #84, #fc, #dc, #ec, #dc
db #f4, #dc, #fc, #27, #e5, #29, #fd, #87
db #05, #00, #33, #dc, #26, #d5, #2a, #dd
db #2a, #e5, #28, #ed, #96, #01, #00, #8d
db #cc, #1e, #0d, #00, #8d, #d4, #8d, #dc
db #84, #e4, #8d, #e4, #84, #ec, #84, #f4
db #d5, #dc, #d5, #e4, #dc, #e4, #d5, #ec
db #d5, #f4, #29, #f5, #28, #fd, #33, #01
db #00, #82, #dc, #0f, #04, #00, #8d, #ec
db #27, #ed, #2a, #ed, #28, #f5, #4b, #02
db #00, #d5, #fc, #25, #c5, #c3, #09, #00
db #2b, #c5, #2a, #d5, #26, #dd, #26, #e5
db #26, #ed, #26, #f5, #26, #fd, #2a, #fd
db #78, #c5, #a9, #01, #00, #24, #d5, #bc
db #01, #00, #24, #dd, #f1, #01, #00, #2c
db #ed, #2d, #01, #00, #2a, #f5, #fe, #01
db #00, #75, #dd, #ec, #01, #00, #c7, #c5
db #f8, #01, #00, #c8, #cd, #7f, #01, #00
db #c9, #cd, #b1, #01, #00, #6c, #c6, #f7
db #01, #00, #6c, #ce
delta08:
db #52, #70, #13, #00, #07, #c2, #58, #fa
db #a4, #d2, #f6, #d2, #fa, #da, #f6, #e2
db #fb, #e2, #f6, #ea, #46, #c3, #46, #cb
db #4c, #e3, #4c, #eb, #46, #f3, #96, #c3
db #96, #cb, #8b, #e4, #8b, #ec, #da, #c4
db #d9, #dc, #f0, #4d, #00, #0d, #e2, #55
db #d2, #a7, #c2, #a4, #da, #a6, #e2, #a6
db #ea, #ab, #ea, #a6, #f2, #ab, #f2, #a6
db #fa, #ab, #fa, #f6, #c2, #fb, #c2, #f6
db #ca, #f7, #ca, #fb, #ca, #fb, #d2, #f4
db #da, #fb, #da, #f5, #e2, #fa, #e2, #fc
db #e2, #f7, #ea, #f9, #ea, #fa, #ea, #fb
db #ea, #fc, #ea, #fe, #ea, #f6, #f2, #f8
db #f2, #f9, #f2, #fc, #f2, #f8, #fa, #f9
db #fa, #fc, #fa, #48, #c3, #49, #c3, #4c
db #c3, #49, #cb, #4c, #cb, #4c, #d3, #4e
db #d3, #4b, #db, #4c, #db, #4e, #db, #44
db #e3, #4a, #e3, #4b, #e3, #4e, #e3, #44
db #eb, #4e, #eb, #44, #f3, #4e, #f3, #44
db #fb, #4f, #fb, #94, #c3, #9a, #c3, #9f
db #c3, #94, #cb, #9f, #cb, #94, #d3, #96
db #d3, #9f, #d3, #94, #db, #96, #db, #96
db #e3, #9f, #e3, #95, #eb, #96, #eb, #9f
db #eb, #95, #f3, #95, #fb, #e5, #c3, #eb
db #d3, #e5, #fb, #7a, #ed, #c8, #c5, #30
db #1a, #00, #56, #c2, #56, #ca, #56, #d2
db #f3, #da, #f6, #da, #f3, #e2, #f3, #ea
db #f3, #f2, #f6, #fa, #46, #d3, #46, #db
db #46, #e3, #46, #eb, #4c, #f3, #46, #fb
db #4c, #fb, #9c, #c3, #9c, #cb, #9c, #d3
db #9c, #db, #95, #e3, #9c, #e3, #9c, #eb
db #ec, #cb, #86, #dc, #da, #cc, #68, #01
db #00, #57, #c2, #f8, #25, #00, #57, #ca
db #57, #f2, #a6, #c2, #a6, #ca, #a6, #d2
db #a5, #ea, #a5, #f2, #a5, #fa, #ad, #fa
db #f5, #c2, #fd, #c2, #f5, #ca, #fd, #ca
db #f4, #fa, #44, #c3, #44, #cb, #4a, #cb
db #44, #d3, #47, #e3, #49, #eb, #9e, #c3
db #9a, #fb, #9e, #fb, #ee, #c3, #ee, #cb
db #ee, #d3, #ee, #db, #ee, #e3, #34, #cc
db #3e, #cc, #84, #cc, #84, #d4, #d7, #fc
db #27, #c5, #27, #cd, #27, #d5, #2b, #dd
db #cf, #03, #00, #57, #d2, #84, #dc, #29
db #fd, #08, #01, #00, #58, #d2, #52, #01
db #00, #55, #da, #f1, #13, #00, #56, #da
db #56, #e2, #f7, #fa, #4d, #e3, #4d, #eb
db #9d, #db, #96, #f3, #ed, #e3, #ed, #eb
db #33, #f4, #8c, #cc, #dc, #c4, #db, #dc
db #db, #e4, #db, #ec, #db, #f4, #7a, #cd
db #7a, #f5, #c9, #c5, #fc, #0e, #00, #57
db #da, #57, #e2, #57, #ea, #56, #f2, #ac
db #da, #fd, #d2, #fe, #f2, #44, #db, #42
db #e3, #9e, #cb, #9e, #eb, #ee, #f3, #ee
db #fb, #c7, #c5, #7c, #04, #00, #58, #da
db #fd, #da, #97, #e3, #97, #eb, #72, #01
db #00, #55, #e2, #b6, #06, #00, #58, #e2
db #ab, #d2, #97, #db, #e3, #c3, #8d, #c4
db #2b, #cd, #73, #05, #00, #55, #ea, #43
db #c3, #43, #d3, #43, #db, #6b, #d6, #f3
db #1c, #00, #56, #ea, #55, #f2, #55, #fa
db #a5, #c2, #a5, #ca, #a5, #d2, #a4, #f2
db #ac, #f2, #a4, #fa, #ac, #fa, #f4, #c2
db #fc, #c2, #f4, #ca, #fc, #ca, #fc, #d2
db #fd, #f2, #fd, #fa, #ed, #fb, #33, #c4
db #8e, #f4, #d4, #cc, #dc, #d4, #2b, #c5
db #26, #e5, #26, #ed, #26, #f5, #26, #fd
db #7a, #c5, #f2, #18, #00, #58, #ea, #f4
db #d2, #48, #eb, #48, #fb, #93, #d3, #93
db #db, #e3, #cb, #e3, #d3, #ea, #db, #e3
db #e3, #e3, #eb, #e3, #f3, #3d, #ec, #3d
db #f4, #3d, #fc, #2c, #d5, #28, #dd, #76
db #c5, #76, #cd, #78, #d5, #78, #dd, #78
db #e5, #78, #ed, #78, #f5, #d2, #18, #00
db #58, #f2, #f7, #f2, #fa, #fa, #4a, #c3
db #4a, #eb, #4a, #f3, #93, #cb, #99, #e3
db #96, #fb, #e3, #db, #e5, #db, #e9, #e3
db #e9, #eb, #e7, #f3, #e9, #f3, #37, #cc
db #37, #d4, #3b, #d4, #37, #dc, #88, #e4
db #88, #ec, #28, #d5, #76, #d5, #78, #fd
db #40, #02, #00, #5a, #f2, #aa, #c2, #bc
db #07, #00, #56, #fa, #a5, #e2, #f4, #f2
db #9e, #f3, #ee, #eb, #2b, #d5, #27, #dd
db #78, #1d, #00, #57, #fa, #a6, #da, #f5
db #d2, #f7, #d2, #fb, #f2, #48, #cb, #4e
db #cb, #47, #d3, #48, #d3, #47, #db, #47
db #eb, #47, #f3, #4e, #fb, #99, #c3, #98
db #cb, #9a, #e3, #9a, #eb, #94, #f3, #9a
db #f3, #ea, #c3, #eb, #f3, #34, #d4, #3b
db #dc, #39, #e4, #39, #ec, #8d, #fc, #d8
db #d4, #26, #c5, #2b, #e5, #80, #10, #00
db #5a, #fa, #ac, #ca, #a7, #da, #a7, #e2
db #a7, #ea, #a7, #f2, #f8, #ca, #fe, #ca
db #f8, #d2, #f8, #da, #f5, #fa, #45, #c3
db #45, #cb, #45, #eb, #9b, #d3, #9b, #eb
db #90, #09, #00, #a4, #c2, #aa, #ca, #f3
db #c2, #f3, #ca, #f3, #d2, #36, #fc, #86
db #cc, #86, #d4, #8a, #dc, #f4, #0f, #00
db #ab, #c2, #a5, #da, #ab, #da, #a4, #e2
db #fc, #da, #f4, #e2, #fd, #e2, #f4, #ea
db #48, #db, #49, #e3, #99, #d3, #9a, #d3
db #97, #f3, #9f, #f3, #3b, #c4, #b0, #09
db #00, #a4, #ca, #a7, #fa, #fe, #d2, #ec
db #d3, #3c, #c4, #32, #ec, #8b, #dc, #86
db #e4, #86, #ec, #c0, #0f, #00, #a7, #ca
db #a7, #d2, #ad, #e2, #f5, #ea, #f5, #f2
db #4b, #fb, #9b, #c3, #9b, #cb, #9b, #db
db #9b, #e3, #9b, #f3, #9b, #fb, #eb, #cb
db #8a, #ec, #d9, #d4, #a6, #01, #00, #ab
db #ca, #10, #07, #00, #aa, #d2, #aa, #da
db #aa, #e2, #aa, #ea, #aa, #f2, #fa, #ca
db #8a, #f4, #c8, #01, #00, #ac, #d2, #b4
db #0e, #00, #ab, #e2, #f7, #da, #f7, #e2
db #98, #c3, #99, #cb, #9a, #cb, #9a, #db
db #97, #fb, #e6, #c3, #ea, #cb, #eb, #fb
db #d8, #c4, #d8, #cc, #2a, #c5, #d6, #01
db #00, #ac, #e2, #b7, #07, #00, #a4, #ea
db #4d, #c3, #9d, #e3, #33, #cc, #26, #dd
db #2a, #fd, #78, #cd, #e3, #05, #00, #ac
db #ea, #e3, #fb, #37, #c4, #3d, #e4, #28
db #e5, #4c, #01, #00, #ad, #ea, #e8, #02
db #00, #ad, #f2, #4e, #c3, #e0, #0c, #00
db #f7, #c2, #f5, #da, #f8, #e2, #f8, #ea
db #4b, #cb, #4b, #d3, #4b, #eb, #4b, #f3
db #eb, #c3, #3e, #e4, #85, #cc, #86, #fc
db #60, #01, #00, #fa, #d2, #d0, #07, #00
db #fe, #da, #fe, #e2, #fb, #fa, #4b, #c3
db #35, #fc, #8b, #cc, #86, #f4, #96, #02
db #00, #fd, #ea, #2a, #cd, #e1, #1f, #00
db #fa, #f2, #47, #c3, #49, #d3, #4a, #d3
db #4a, #db, #4d, #f3, #4d, #fb, #9d, #c3
db #9d, #cb, #9d, #d3, #99, #eb, #99, #f3
db #9d, #f3, #e5, #cb, #e9, #cb, #e9, #d3
db #e9, #db, #ed, #db, #ea, #e3, #37, #fc
db #87, #c4, #87, #cc, #88, #cc, #87, #d4
db #87, #dc, #8c, #fc, #d4, #d4, #db, #d4
db #2c, #dd, #2c, #e5, #7a, #d5, #13, #01
db #00, #f3, #fa, #ac, #01, #00, #fe, #fa
db #fe, #0f, #00, #42, #cb, #3e, #c4, #8d
db #d4, #8d, #dc, #84, #ec, #84, #f4, #dc
db #dc, #dc, #e4, #d5, #ec, #dc, #ec, #d5
db #f4, #dc, #f4, #dc, #fc, #2c, #c5, #24
db #ed, #33, #01, #00, #43, #cb, #f7, #07
db #00, #4d, #cb, #4d, #d3, #ef, #cb, #33
db #d4, #2a, #d5, #2a, #dd, #78, #c5, #c3
db #04, #00, #49, #db, #e5, #d3, #3a, #dc
db #8c, #c4, #ff, #13, #00, #4d, #db, #9e
db #db, #93, #eb, #93, #f3, #8d, #e4, #8d
db #ec, #8d, #f4, #d4, #c4, #d5, #fc, #25
db #c5, #27, #ed, #28, #ed, #2a, #ed, #28
db #f5, #29, #f5, #2a, #f5, #28, #fd, #75
db #dd, #c9, #cd, #53, #04, #00, #43, #e3
db #43, #eb, #43, #f3, #43, #fb, #d3, #0a
db #00, #48, #f3, #9d, #eb, #3d, #c4, #3d
db #cc, #3d, #d4, #3d, #dc, #33, #ec, #8e
db #dc, #dc, #cc, #db, #fc, #43, #01, #00
db #93, #c3, #20, #01, #00, #8d, #cb, #b5
db #01, #00, #97, #d3, #ef, #05, #00, #9e
db #d3, #84, #e4, #84, #fc, #d5, #dc, #d5
db #e4, #ec, #01, #00, #92, #e3, #6f, #01
db #00, #93, #e3, #de, #02, #00, #9e, #e3
db #27, #e5, #8c, #01, #00, #92, #f3, #e7
db #01, #00, #93, #fb, #d8, #01, #00, #e2
db #e3, #3c, #04, #00, #e5, #e3, #e6, #f3
db #38, #c4, #3a, #d4, #87, #01, #00, #e5
db #eb, #97, #01, #00, #ed, #f3, #0f, #02
db #00, #e7, #fb, #d5, #d4, #4f, #01, #00
db #39, #cc, #a5, #01, #00, #39, #d4, #7f
db #04, #00, #33, #dc, #26, #d5, #2a, #e5
db #6c, #ce, #bf, #01, #00, #33, #e4, #50
db #02, #00, #86, #c4, #8a, #fc, #7e, #01
db #00, #8d, #cc, #d1, #01, #00, #8e, #d4
db #00, #02, #00, #8a, #e4, #cb, #ec, #f9
db #02, #00, #83, #fc, #d3, #c4, #ab, #01
db #00, #d3, #cc, #61, #01, #00, #24, #cd
db #e9, #01, #00, #25, #cd, #df, #01, #00
db #26, #cd, #f6, #01, #00, #2c, #cd, #b9
db #01, #00, #24, #d5, #ed, #01, #00, #24
db #dd, #1f, #01, #00, #29, #ed, #9f, #01
db #00, #27, #f5, #8f, #01, #00, #c8, #cd
db #b3, #01, #00, #c3, #dd
delta09:
db #32, #08, #01, #00, #57, #c2, #ac, #01
db #00, #57, #ca, #d0, #05, #00, #55, #d2
db #aa, #ca, #f5, #ea, #86, #c4, #8a, #dc
db #e1, #04, #00, #56, #d2, #e5, #f3, #3b
db #e4, #88, #c4, #ef, #03, #00, #57, #d2
db #dc, #dc, #d5, #f4, #a8, #01, #00, #58
db #d2, #f3, #02, #00, #55, #ea, #8e, #dc
db #fc, #01, #00, #56, #fa, #f0, #0c, #00
db #58, #fa, #f7, #c2, #f6, #d2, #fe, #d2
db #f5, #da, #fa, #da, #f8, #ea, #4f, #f3
db #46, #fb, #96, #cb, #3e, #e4, #dd, #e4
db #80, #09, #00, #5b, #fa, #ad, #da, #a8
db #f2, #a3, #fa, #f3, #c2, #45, #db, #45
db #e3, #9b, #cb, #9b, #e3, #b0, #05, #00
db #a4, #c2, #f3, #d2, #f9, #ea, #ec, #cb
db #8a, #d4, #e0, #09, #00, #a7, #c2, #a7
db #ca, #a7, #d2, #f5, #e2, #4b, #db, #35
db #f4, #86, #ec, #89, #f4, #89, #fc, #00
db #04, #00, #aa, #c2, #45, #eb, #86, #cc
db #8a, #ec, #c0, #0a, #00, #ac, #ca, #a7
db #da, #a7, #ea, #f8, #da, #f5, #fa, #45
db #d3, #4b, #f3, #9b, #d3, #9b, #eb, #eb
db #c3, #10, #08, #00, #a3, #d2, #a3, #f2
db #aa, #fa, #fa, #c2, #95, #d3, #36, #fc
db #86, #dc, #f1, #c6, #a7, #02, #00, #ab
db #d2, #2b, #cd, #e8, #01, #00, #ac, #d2
db #f8, #03, #00, #ad, #f2, #48, #cb, #9a
db #eb, #50, #01, #00, #fa, #ca, #b4, #03
db #00, #f4, #da, #97, #cb, #e7, #c3, #70
db #07, #00, #f6, #f2, #f6, #fa, #46, #d3
db #46, #db, #46, #e3, #95, #e3, #8a, #f4
db #f2, #03, #00, #f7, #f2, #e3, #db, #37
db #cc, #78, #01, #00, #47, #cb, #33, #01
db #00, #43, #d3, #bc, #01, #00, #44, #d3
db #7f, #01, #00, #4d, #d3, #f1, #08, #00
db #4a, #db, #9d, #f3, #ea, #e3, #87, #cc
db #87, #d4, #8e, #d4, #83, #fc, #7a, #d5
db #c3, #01, #00, #93, #c3, #30, #04, #00
db #95, #db, #ec, #db, #36, #f4, #d9, #dc
db #cc, #01, #00, #92, #f3, #74, #01, #00
db #9f, #f3, #77, #01, #00, #ef, #cb, #1e
db #02, #00, #38, #c4, #3a, #d4, #d2, #02
db #00, #3b, #cc, #88, #dc, #b8, #01, #00
db #32, #e4, #3f, #02, #00, #33, #e4, #29
db #ed, #a1, #01, #00, #32, #ec, #32, #02
db #00, #82, #cc, #82, #d4, #fe, #01, #00
db #8d, #cc, #23, #01, #00, #82, #dc, #20
db #01, #00, #8a, #e4, #f4, #01, #00, #d8
db #cc, #8f, #01, #00, #d5, #d4, #b7, #01
db #00, #dc, #d4, #69, #01, #00, #26, #c5
db #ad, #02, #00, #25, #cd, #24, #dd, #f7
db #02, #00, #26, #d5, #2a, #fd, #de, #01
db #00, #29, #fd, #e3, #01, #00, #76, #c5
db #d3, #01, #00, #7a, #cd
delta10:
db #37, #f7, #07, #00, #bc, #e1, #9f, #fb
db #ef, #cb, #ef, #db, #ef, #e3, #ef, #eb
db #ef, #f3, #80, #05, #00, #00, #ea, #f8
db #c2, #45, #d3, #45, #eb, #45, #f3, #78
db #02, #00, #57, #c2, #fb, #ea, #d0, #02
db #00, #55, #ca, #aa, #c2, #bc, #04, #00
db #57, #ca, #49, #eb, #e5, #e3, #68, #d6
db #c0, #0b, #00, #58, #ca, #a7, #d2, #a7
db #e2, #f8, #e2, #45, #c3, #9b, #cb, #9b
db #e3, #35, #fc, #89, #fc, #d9, #cc, #7b
db #d5, #f0, #0f, #00, #55, #d2, #a7, #c2
db #a7, #ca, #f5, #e2, #f5, #ea, #f6, #fa
db #fb, #fa, #4b, #db, #97, #cb, #95, #e3
db #eb, #cb, #3e, #ec, #35, #f4, #36, #fc
db #86, #ec, #e8, #01, #00, #58, #d2, #d2
db #04, #00, #58, #fa, #fe, #ea, #ea, #d3
db #3c, #fc, #90, #01, #00, #aa, #ca, #48
db #01, #00, #ac, #ca, #7c, #01, #00, #a5
db #da, #f4, #02, #00, #ab, #e2, #9f, #f3
db #40, #01, #00, #a3, #ea, #a7, #01, #00
db #ac, #ea, #00, #04, #00, #a3, #f2, #a8
db #f2, #8a, #e4, #f1, #c6, #10, #06, #00
db #a3, #fa, #f3, #c2, #f9, #da, #86, #c4
db #8a, #f4, #8a, #fc, #b0, #03, #00, #f6
db #ca, #f6, #da, #4c, #fb, #e3, #02, #00
db #f4, #d2, #fa, #fa, #70, #07, #00, #f6
db #d2, #46, #eb, #46, #fb, #36, #f4, #8a
db #dc, #d7, #cc, #d9, #dc, #e0, #09, #00
db #fa, #d2, #f8, #da, #4b, #e3, #4b, #f3
db #eb, #c3, #85, #c4, #89, #e4, #d9, #c4
db #dd, #e4, #e1, #02, #00, #fe, #d2, #7a
db #dd, #20, #01, #00, #f9, #e2, #d6, #01
db #00, #fd, #ea, #f1, #03, #00, #fa, #f2
db #4d, #f3, #99, #eb, #73, #03, #00, #43
db #cb, #43, #d3, #7a, #fd, #e9, #01, #00
db #4a, #cb, #f8, #03, #00, #47, #eb, #34
db #d4, #8d, #fc, #43, #01, #00, #93, #c3
db #50, #01, #00, #95, #d3, #97, #01, #00
db #97, #d3, #d3, #01, #00, #9d, #db, #7f
db #05, #00, #93, #e3, #3f, #c4, #33, #e4
db #26, #d5, #2a, #fd, #f2, #02, #00, #e9
db #eb, #28, #d5, #1e, #01, #00, #e6, #f3
db #b7, #01, #00, #ed, #f3, #2f, #01, #00
db #e7, #fb, #3c, #01, #00, #3b, #dc, #a9
db #01, #00, #32, #e4, #22, #01, #00, #82
db #d4, #d1, #01, #00, #8e, #d4, #33, #01
db #00, #82, #dc, #b3, #02, #00, #8e, #f4
db #2d, #c5, #f9, #01, #00, #83, #fc, #fe
db #02, #00, #84, #fc, #d5, #f4, #ef, #01
db #00, #d4, #c4, #30, #01, #00, #da, #c4
db #77, #01, #00, #de, #c4, #c3, #01, #00
db #db, #d4, #bd, #01, #00, #25, #cd, #ed
db #01, #00, #24, #dd, #ee, #01, #00, #24
db #ed, #1f, #01, #00, #29, #ed, #bf, #01
db #00, #27, #f5, #cf, #01, #00, #29, #fd
delta11:
db #3a, #b7, #02, #00, #bc, #e1, #d4, #cc
db #00, #06, #00, #00, #ea, #8d, #cb, #86
db #c4, #86, #d4, #8a, #dc, #8a, #f4, #f0
db #1b, #00, #56, #ca, #aa, #c2, #a4, #ca
db #aa, #ca, #a7, #d2, #aa, #d2, #a7, #fa
db #f6, #ca, #fa, #d2, #f6, #da, #fe, #da
db #f8, #e2, #fe, #e2, #f9, #ea, #f6, #f2
db #46, #c3, #46, #cb, #46, #db, #4b, #e3
db #4b, #eb, #46, #f3, #46, #fb, #96, #c3
db #eb, #c3, #ec, #d3, #dd, #e4, #7b, #d5
db #de, #03, #00, #57, #da, #9e, #cb, #ee
db #fb, #80, #07, #00, #59, #da, #59, #e2
db #5a, #ea, #ac, #ca, #fe, #c2, #da, #cb
db #8a, #d4, #f2, #04, #00, #55, #e2, #37
db #d4, #88, #e4, #76, #d5, #d0, #03, #00
db #54, #f2, #54, #fa, #fa, #ca, #10, #05
db #00, #59, #f2, #a9, #ca, #f9, #ca, #95
db #cb, #da, #c4, #c0, #0b, #00, #5a, #f2
db #5a, #fa, #a7, #f2, #a8, #f2, #f8, #ca
db #fe, #ca, #f8, #d2, #f8, #da, #45, #cb
db #45, #d3, #d9, #c4, #f8, #04, #00, #57
db #fa, #47, #db, #9a, #f3, #2b, #e5, #e0
db #0c, #00, #a8, #c2, #a8, #ca, #a7, #da
db #f5, #fa, #4b, #fb, #9b, #c3, #9b, #f3
db #9b, #fb, #eb, #cb, #35, #f4, #89, #ec
db #89, #fc, #e4, #01, #00, #ab, #c2, #f6
db #01, #00, #ab, #ca, #e7, #01, #00, #ab
db #d2, #70, #04, #00, #aa, #da, #95, #d3
db #95, #db, #36, #fc, #40, #01, #00, #a3
db #e2, #30, #09, #00, #aa, #e2, #aa, #ea
db #aa, #f2, #aa, #fa, #fa, #c2, #f9, #da
db #4c, #fb, #36, #f4, #8b, #dc, #b4, #05
db #00, #ab, #ea, #fc, #e2, #39, #c4, #88
db #fc, #dd, #c4, #cc, #01, #00, #ad, #ea
db #90, #04, #00, #a3, #f2, #f3, #c2, #86
db #e4, #86, #ec, #b0, #04, #00, #f3, #ca
db #f9, #e2, #ec, #db, #d9, #dc, #3c, #03
db #00, #f5, #d2, #ea, #cb, #eb, #fb, #e1
db #0f, #00, #f6, #d2, #ed, #d3, #ea, #eb
db #37, #f4, #88, #d4, #8c, #d4, #8c, #dc
db #87, #e4, #8c, #e4, #83, #f4, #d4, #dc
db #d4, #e4, #d4, #ec, #24, #c5, #27, #fd
db #f4, #03, #00, #f7, #e2, #98, #c3, #e6
db #c3, #53, #01, #00, #f3, #fa, #bc, #02
db #00, #f4, #fa, #34, #cc, #78, #09, #00
db #fb, #fa, #47, #fb, #9f, #db, #3e, #d4
db #34, #dc, #84, #c4, #29, #e5, #2b, #f5
db #79, #cd, #cb, #01, #00, #4a, #cb, #f1
db #07, #00, #49, #d3, #4a, #d3, #9d, #d3
db #e9, #d3, #8e, #d4, #8c, #fc, #d4, #d4
db #d3, #06, #00, #43, #fb, #93, #c3, #ed
db #eb, #dc, #c4, #db, #d4, #db, #f4, #a5
db #01, #00, #97, #cb, #7f, #04, #00, #9d
db #e3, #2a, #dd, #78, #c5, #78, #cd, #ec
db #01, #00, #92, #eb, #fc, #03, #00, #9e
db #f3, #2b, #d5, #27, #dd, #f7, #05, #00
db #93, #fb, #ef, #c3, #ef, #d3, #33, #cc
db #de, #c4, #98, #02, #00, #e2, #d3, #e2
db #db, #3f, #02, #00, #ed, #f3, #29, #ed
db #ff, #03, #00, #3f, #c4, #d4, #c4, #27
db #f5, #e3, #03, #00, #37, #cc, #3d, #ec
db #8c, #c4, #e9, #01, #00, #3e, #cc, #d2
db #01, #00, #37, #e4, #f3, #02, #00, #3d
db #e4, #2d, #c5, #b6, #01, #00, #3d, #fc
db #3e, #01, #00, #8d, #c4, #df, #01, #00
db #84, #dc, #ef, #04, #00, #8d, #dc, #84
db #ec, #84, #fc, #d5, #f4, #7b, #01, #00
db #8e, #f4, #db, #01, #00, #d3, #c4, #5a
db #01, #00, #d6, #fc, #ad, #01, #00, #26
db #c5, #73, #01, #00, #22, #cd, #9f, #01
db #00, #25, #cd, #7e, #01, #00, #2c, #cd
db #fd, #01, #00, #24, #dd, #c3, #01, #00
db #2c, #dd, #ed, #01, #00, #24, #e5, #a7
db #02, #00, #28, #e5, #78, #d5, #fe, #01
db #00, #24, #ed
delta12:
db #30, #70, #2b, #00, #27, #e0, #27, #e8
db #27, #f0, #78, #c8, #7a, #f8, #cb, #d8
db #cc, #f8, #1d, #e1, #bd, #f9, #0e, #ca
db #04, #f2, #04, #fa, #0f, #fa, #54, #c2
db #a0, #da, #a0, #e2, #a0, #ea, #02, #db
db #02, #eb, #3f, #d3, #3f, #db, #3f, #e3
db #de, #e3, #de, #eb, #de, #f3, #7c, #d4
db #88, #d4, #7c, #dc, #83, #dc, #7c, #e4
db #84, #ec, #91, #fc, #cc, #cc, #d6, #cc
db #d7, #d4, #da, #dc, #cd, #e4, #d8, #e4
db #32, #dd, #82, #cd, #82, #e5, #d3, #cd
db #d3, #d5, #f0, #31, #02, #28, #e0, #28
db #e8, #28, #f0, #28, #f8, #29, #f8, #78
db #c0, #79, #c0, #79, #c8, #79, #d0, #7a
db #d0, #79, #d8, #7a, #d8, #7a, #e0, #7b
db #e0, #7a, #e8, #7b, #e8, #7a, #f0, #7b
db #f0, #78, #f8, #7b, #f8, #7c, #f8, #cb
db #c0, #cc, #c0, #cb, #c8, #cc, #c8, #cb
db #d0, #cc, #d0, #cc, #d8, #cc, #e0, #cc
db #e8, #cd, #e8, #cc, #f0, #cd, #f0, #cd
db #f8, #1d, #c1, #1d, #c9, #1d, #d1, #1d
db #d9, #1b, #e1, #17, #f9, #67, #c1, #68
db #c1, #69, #c1, #66, #c9, #67, #c9, #68
db #c9, #69, #c9, #6c, #c9, #66, #d1, #67
db #d1, #68, #d1, #69, #d1, #6a, #d1, #66
db #d9, #67, #d9, #68, #d9, #69, #d9, #6a
db #d9, #6b, #d9, #67, #e1, #68, #e1, #69
db #e1, #6a, #e1, #6b, #e1, #65, #e9, #68
db #e9, #69, #e9, #6a, #e9, #6b, #e9, #6c
db #e9, #68, #f1, #69, #f1, #6a, #f1, #6b
db #f1, #6c, #f1, #6d, #f1, #66, #f9, #69
db #f9, #6a, #f9, #6b, #f9, #6c, #f9, #6d
db #f9, #b8, #c1, #ba, #c1, #bb, #c1, #bc
db #c1, #bd, #c1, #ba, #c9, #bb, #c9, #bc
db #c9, #bd, #c9, #bb, #d1, #bc, #d1, #bd
db #d1, #b9, #d9, #bc, #d9, #bd, #d9, #be
db #d9, #bc, #e1, #bd, #e1, #be, #e1, #ba
db #e9, #bd, #e9, #be, #e9, #bb, #f1, #bd
db #f1, #be, #f1, #b2, #f9, #b5, #f9, #b8
db #f9, #bb, #f9, #be, #f9, #05, #c2, #06
db #c2, #07, #c2, #09, #c2, #0c, #c2, #0e
db #c2, #05, #ca, #06, #ca, #07, #ca, #09
db #ca, #05, #d2, #06, #d2, #07, #d2, #08
db #d2, #0a, #d2, #0c, #d2, #02, #da, #05
db #da, #06, #da, #07, #da, #08, #da, #09
db #da, #0a, #da, #0d, #da, #02, #e2, #05
db #e2, #06, #e2, #07, #e2, #08, #e2, #09
db #e2, #0b, #e2, #02, #ea, #05, #ea, #06
db #ea, #07, #ea, #08, #ea, #09, #ea, #0a
db #ea, #0b, #ea, #0d, #ea, #02, #f2, #05
db #f2, #06, #f2, #07, #f2, #08, #f2, #09
db #f2, #0a, #f2, #0c, #f2, #0e, #f2, #02
db #fa, #05, #fa, #06, #fa, #07, #fa, #08
db #fa, #09, #fa, #0a, #fa, #0c, #fa, #0e
db #fa, #51, #c2, #52, #c2, #55, #c2, #59
db #c2, #5a, #c2, #5b, #c2, #5c, #c2, #5e
db #c2, #51, #ca, #52, #ca, #5a, #ca, #5b
db #ca, #5d, #ca, #51, #d2, #52, #d2, #5a
db #d2, #5b, #d2, #5c, #d2, #5d, #d2, #5f
db #d2, #51, #da, #52, #da, #5b, #da, #5c
db #da, #5d, #da, #51, #e2, #52, #e2, #5c
db #e2, #5e, #e2, #51, #ea, #52, #ea, #5c
db #ea, #5d, #ea, #5e, #ea, #51, #f2, #52
db #f2, #5d, #f2, #51, #fa, #52, #fa, #5d
db #fa, #a1, #c2, #a2, #c2, #ad, #c2, #ae
db #c2, #a1, #ca, #a2, #ca, #ad, #ca, #ae
db #ca, #a1, #d2, #a2, #d2, #ae, #d2, #a1
db #da, #a2, #da, #ae, #da, #af, #da, #a1
db #e2, #ae, #e2, #af, #e2, #a1, #ea, #ae
db #ea, #af, #ea, #a0, #f2, #a1, #f2, #ae
db #f2, #af, #f2, #a0, #fa, #a1, #fa, #ae
db #fa, #af, #fa, #f0, #c2, #f1, #c2, #fe
db #c2, #ff, #c2, #f0, #ca, #f1, #ca, #ff
db #ca, #00, #cb, #f0, #d2, #ff, #d2, #00
db #d3, #f0, #da, #ff, #da, #00, #db, #f0
db #e2, #ff, #e2, #00, #e3, #f0, #ea, #00
db #eb, #f0, #f2, #00, #f3, #f0, #fa, #00
db #fb, #40, #c3, #50, #c3, #50, #cb, #50
db #d3, #51, #d3, #50, #db, #51, #db, #50
db #e3, #51, #e3, #3f, #eb, #50, #eb, #51
db #eb, #3f, #f3, #50, #f3, #51, #f3, #53
db #f3, #3f, #fb, #50, #fb, #51, #fb, #8f
db #c3, #a0, #c3, #a1, #c3, #a3, #c3, #a0
db #cb, #a1, #cb, #a1, #d3, #a1, #db, #a1
db #e3, #a1, #eb, #a1, #f3, #a1, #fb, #f1
db #c3, #f2, #c3, #df, #cb, #e0, #cb, #f1
db #cb, #f2, #cb, #df, #d3, #e0, #d3, #e1
db #d3, #f1, #d3, #f2, #d3, #df, #db, #e0
db #db, #e1, #db, #f1, #db, #f2, #db, #df
db #e3, #e0, #e3, #e1, #e3, #e3, #e3, #f1
db #e3, #f2, #e3, #df, #eb, #e0, #eb, #e1
db #eb, #e3, #eb, #f1, #eb, #f2, #eb, #df
db #f3, #e0, #f3, #e1, #f3, #e3, #f3, #f1
db #f3, #f2, #f3, #de, #fb, #df, #fb, #e0
db #fb, #e1, #fb, #e3, #fb, #f1, #fb, #f2
db #fb, #2e, #c4, #2f, #c4, #30, #c4, #31
db #c4, #33, #c4, #41, #c4, #42, #c4, #2e
db #cc, #2f, #cc, #30, #cc, #31, #cc, #33
db #cc, #34, #cc, #41, #cc, #42, #cc, #2e
db #d4, #2f, #d4, #30, #d4, #31, #d4, #33
db #d4, #34, #d4, #41, #d4, #42, #d4, #2e
db #dc, #2f, #dc, #30, #dc, #31, #dc, #33
db #dc, #34, #dc, #35, #dc, #37, #dc, #41
db #dc, #42, #dc, #2e, #e4, #30, #e4, #31
db #e4, #33, #e4, #37, #e4, #42, #e4, #2e
db #ec, #30, #ec, #31, #ec, #33, #ec, #42
db #ec, #31, #f4, #33, #f4, #35, #f4, #36
db #f4, #37, #f4, #42, #f4, #35, #fc, #36
db #fc, #37, #fc, #42, #fc, #84, #c4, #85
db #c4, #86, #c4, #87, #c4, #88, #c4, #8c
db #c4, #8d, #c4, #8e, #c4, #8f, #c4, #92
db #c4, #84, #cc, #85, #cc, #86, #cc, #87
db #cc, #88, #cc, #8b, #cc, #8c, #cc, #8d
db #cc, #8e, #cc, #8f, #cc, #92, #cc, #84
db #d4, #86, #d4, #87, #d4, #8a, #d4, #8c
db #d4, #8d, #d4, #8e, #d4, #8f, #d4, #90
db #d4, #92, #d4, #84, #dc, #86, #dc, #87
db #dc, #8a, #dc, #8b, #dc, #8c, #dc, #8d
db #dc, #8e, #dc, #8f, #dc, #90, #dc, #92
db #dc, #84, #e4, #86, #e4, #87, #e4, #88
db #e4, #8a, #e4, #8b, #e4, #8c, #e4, #8d
db #e4, #8e, #e4, #8f, #e4, #90, #e4, #92
db #e4, #86, #ec, #88, #ec, #89, #ec, #8b
db #ec, #8d, #ec, #8e, #ec, #8f, #ec, #90
db #ec, #92, #ec, #86, #f4, #89, #f4, #8a
db #f4, #8d, #f4, #8e, #f4, #8f, #f4, #90
db #f4, #92, #f4, #7e, #fc, #86, #fc, #88
db #fc, #89, #fc, #8a, #fc, #8c, #fc, #92
db #fc, #93, #fc, #d8, #c4, #d9, #c4, #da
db #c4, #dc, #c4, #dd, #c4, #de, #c4, #e2
db #c4, #e3, #c4, #d7, #cc, #d9, #cc, #da
db #cc, #dc, #cc, #de, #cc, #df, #cc, #e2
db #cc, #e3, #cc, #ce, #d4, #cf, #d4, #db
db #d4, #dc, #d4, #de, #d4, #df, #d4, #e0
db #d4, #e3, #d4, #ce, #dc, #cf, #dc, #db
db #dc, #dc, #dc, #de, #dc, #df, #dc, #e0
db #dc, #cf, #e4, #db, #e4, #dc, #e4, #de
db #e4, #df, #e4, #e0, #e4, #db, #ec, #dc
db #ec, #dd, #ec, #de, #ec, #df, #ec, #e0
db #ec, #ce, #f4, #d1, #f4, #db, #f4, #dc
db #f4, #dd, #f4, #de, #f4, #df, #f4, #e0
db #f4, #e3, #f4, #cf, #fc, #dc, #fc, #dd
db #fc, #de, #fc, #df, #fc, #e0, #fc, #e2
db #fc, #e3, #fc, #1f, #c5, #2e, #c5, #2f
db #c5, #30, #c5, #32, #c5, #1f, #cd, #20
db #cd, #32, #cd, #20, #d5, #23, #d5, #20
db #dd, #20, #e5, #21, #e5, #24, #ed, #cc
db #d5, #cd, #d5, #cd, #dd, #ce, #dd, #d3
db #ed, #22, #d6, #22, #de, #22, #e6, #22
db #ee, #22, #f6, #21, #fe, #22, #fe, #71
db #c6, #72, #c6, #71, #ce, #72, #ce, #71
db #d6, #70, #de, #71, #de, #70, #e6, #d0
db #0b, #00, #27, #f8, #5f, #e2, #b0, #ea
db #b0, #f2, #e2, #d3, #88, #dc, #da, #e4
db #20, #c5, #cb, #c5, #d0, #dd, #d2, #f5
db #e0, #23, #00, #77, #c0, #78, #e0, #c9
db #c8, #cd, #d8, #cd, #e0, #ca, #f0, #1b
db #d9, #6c, #c1, #6d, #e9, #b8, #d1, #be
db #d1, #bb, #e9, #b3, #f9, #bc, #f9, #03
db #c2, #03, #ca, #0d, #ca, #03, #d2, #0e
db #ea, #5f, #ea, #b0, #fa, #00, #c3, #02
db #cb, #01, #fb, #51, #c3, #51, #cb, #53
db #db, #a2, #eb, #a2, #f3, #a2, #fb, #ce
db #c4, #d8, #d4, #e1, #d4, #d1, #ec, #79
db #fd, #90, #0b, #00, #78, #d0, #e2, #db
db #e2, #e3, #e2, #eb, #e2, #f3, #e2, #fb
db #32, #c4, #32, #cc, #32, #d4, #32, #dc
db #2d, #ec, #c0, #2b, #00, #78, #d8, #79
db #f8, #c9, #c0, #ca, #e8, #1b, #d1, #1e
db #f1, #1c, #f9, #1e, #f9, #6d, #e1, #64
db #f1, #be, #c9, #ba, #e1, #0d, #c2, #0f
db #d2, #03, #da, #0e, #da, #03, #e2, #0e
db #e2, #03, #ea, #03, #f2, #03, #fa, #53
db #c2, #53, #ca, #53, #d2, #01, #f3, #53
db #cb, #a4, #db, #a2, #e3, #2f, #ec, #89
db #e4, #7c, #fc, #d7, #c4, #e0, #cc, #d0
db #dc, #d9, #dc, #d0, #e4, #e2, #e4, #ce
db #ec, #24, #e5, #78, #ed, #ce, #cd, #ce
db #d5, #d2, #ed, #30, #3e, #00, #79, #e0
db #79, #e8, #ca, #c0, #cb, #e0, #1c, #c1
db #1c, #c9, #1d, #e9, #ba, #d1, #bb, #e1
db #bc, #e9, #b4, #f9, #04, #c2, #04, #ca
db #04, #d2, #0e, #d2, #04, #da, #04, #e2
db #04, #ea, #a0, #c2, #a0, #ca, #a0, #d2
db #ef, #f2, #ef, #fa, #02, #fb, #3f, #c3
db #3f, #cb, #8e, #f3, #8e, #fb, #de, #c3
db #de, #cb, #de, #d3, #de, #db, #2f, #e4
db #30, #f4, #32, #f4, #31, #fc, #32, #fc
db #82, #c4, #7c, #cc, #82, #cc, #7c, #f4
db #84, #f4, #85, #fc, #cd, #c4, #e1, #c4
db #cd, #cc, #d8, #cc, #d9, #d4, #e2, #d4
db #ce, #e4, #d9, #ec, #cf, #f4, #db, #fc
db #22, #c5, #2d, #c5, #22, #cd, #30, #cd
db #31, #ed, #33, #ed, #31, #f5, #31, #fd
db #82, #ed, #10, #1f, #00, #79, #f0, #ca
db #c8, #cb, #e8, #1d, #f1, #b7, #c1, #50
db #f2, #50, #fa, #b1, #da, #ef, #da, #ef
db #e2, #ef, #ea, #8d, #cb, #8d, #d3, #8e
db #d3, #8d, #db, #8e, #db, #8e, #e3, #8e
db #eb, #7d, #cc, #8b, #f4, #7d, #fc, #d5
db #c4, #e1, #cc, #e2, #dc, #32, #e5, #82
db #f5, #82, #fd, #cd, #cd, #d2, #cd, #d2
db #d5, #f1, #c6, #00, #4f, #01, #ca, #d0
db #cb, #f0, #cb, #f8, #1c, #d1, #1c, #d9
db #1c, #e1, #1d, #f9, #6d, #c1, #6d, #c9
db #6e, #c9, #6e, #d1, #6e, #d9, #6e, #e1
db #6e, #e9, #6e, #f1, #6e, #f9, #b5, #c1
db #b6, #c1, #b3, #c9, #b5, #c9, #b6, #c9
db #b7, #c9, #b8, #c9, #b2, #d1, #b9, #d1
db #ba, #d9, #bf, #d9, #bf, #e1, #b3, #c2
db #b3, #d2, #3e, #d3, #2e, #f4, #2f, #f4
db #2c, #fc, #2d, #fc, #2e, #fc, #2f, #fc
db #30, #fc, #7d, #c4, #7e, #c4, #7f, #c4
db #80, #c4, #81, #c4, #7e, #cc, #7f, #cc
db #80, #cc, #81, #cc, #7e, #d4, #80, #d4
db #81, #d4, #82, #d4, #7d, #dc, #7e, #dc
db #80, #dc, #81, #dc, #82, #dc, #7d, #e4
db #7e, #e4, #80, #e4, #81, #e4, #82, #e4
db #83, #e4, #7d, #ec, #7e, #ec, #7f, #ec
db #80, #ec, #81, #ec, #82, #ec, #83, #ec
db #7d, #f4, #7e, #f4, #7f, #f4, #80, #f4
db #81, #f4, #82, #f4, #83, #f4, #7f, #fc
db #80, #fc, #81, #fc, #82, #fc, #83, #fc
db #84, #fc, #8e, #fc, #8f, #fc, #90, #fc
db #cc, #c4, #cf, #c4, #d0, #c4, #d1, #c4
db #d2, #c4, #d3, #c4, #d4, #c4, #e0, #c4
db #cf, #cc, #d0, #cc, #d1, #cc, #d2, #cc
db #d3, #cc, #d4, #cc, #d5, #cc, #d0, #d4
db #d1, #d4, #d2, #d4, #d3, #d4, #d4, #d4
db #d5, #d4, #d6, #d4, #d1, #dc, #d2, #dc
db #d3, #dc, #d4, #dc, #d5, #dc, #d6, #dc
db #d7, #dc, #d1, #e4, #d2, #e4, #d3, #e4
db #d4, #e4, #d5, #e4, #d6, #e4, #d7, #e4
db #d2, #ec, #d3, #ec, #d4, #ec, #d5, #ec
db #d6, #ec, #d7, #ec, #d8, #ec, #d2, #f4
db #d3, #f4, #d4, #f4, #d5, #f4, #d6, #f4
db #d7, #f4, #d8, #f4, #d9, #f4, #d3, #fc
db #d4, #fc, #d5, #fc, #d6, #fc, #d7, #fc
db #d8, #fc, #d9, #fc, #da, #fc, #23, #c5
db #24, #c5, #25, #c5, #26, #c5, #27, #c5
db #28, #c5, #29, #c5, #2a, #c5, #2b, #c5
db #2c, #c5, #24, #cd, #25, #cd, #26, #cd
db #27, #cd, #28, #cd, #29, #cd, #2a, #cd
db #2b, #cd, #2c, #cd, #2d, #cd, #2e, #cd
db #2f, #cd, #24, #d5, #25, #d5, #26, #d5
db #27, #d5, #28, #d5, #29, #d5, #2a, #d5
db #2b, #d5, #2c, #d5, #2d, #d5, #2e, #d5
db #2f, #d5, #30, #d5, #31, #d5, #24, #dd
db #25, #dd, #26, #dd, #27, #dd, #28, #dd
db #29, #dd, #2a, #dd, #2b, #dd, #2c, #dd
db #2d, #dd, #2e, #dd, #2f, #dd, #30, #dd
db #31, #dd, #25, #e5, #26, #e5, #27, #e5
db #28, #e5, #29, #e5, #2a, #e5, #2b, #e5
db #2c, #e5, #2d, #e5, #2e, #e5, #2f, #e5
db #30, #e5, #31, #e5, #25, #ed, #26, #ed
db #27, #ed, #28, #ed, #29, #ed, #2a, #ed
db #2b, #ed, #2c, #ed, #2d, #ed, #2e, #ed
db #2f, #ed, #30, #ed, #25, #f5, #26, #f5
db #27, #f5, #28, #f5, #29, #f5, #2a, #f5
db #2b, #f5, #2c, #f5, #2d, #f5, #2e, #f5
db #2f, #f5, #30, #f5, #26, #fd, #27, #fd
db #28, #fd, #29, #fd, #2a, #fd, #2b, #fd
db #2c, #fd, #2d, #fd, #2e, #fd, #2f, #fd
db #30, #fd, #76, #c5, #77, #c5, #78, #c5
db #79, #c5, #7a, #c5, #7b, #c5, #7c, #c5
db #7d, #c5, #7e, #c5, #7f, #c5, #80, #c5
db #81, #c5, #77, #cd, #78, #cd, #79, #cd
db #7a, #cd, #7b, #cd, #7c, #cd, #7d, #cd
db #7e, #cd, #7f, #cd, #80, #cd, #81, #cd
db #77, #d5, #78, #d5, #79, #d5, #7a, #d5
db #7b, #d5, #7c, #d5, #7d, #d5, #7e, #d5
db #7f, #d5, #80, #d5, #81, #d5, #78, #dd
db #79, #dd, #7a, #dd, #7b, #dd, #7c, #dd
db #7d, #dd, #7e, #dd, #7f, #dd, #80, #dd
db #81, #dd, #78, #e5, #79, #e5, #7a, #e5
db #7b, #e5, #7c, #e5, #7d, #e5, #7e, #e5
db #7f, #e5, #80, #e5, #81, #e5, #79, #ed
db #7a, #ed, #7b, #ed, #7c, #ed, #7d, #ed
db #7e, #ed, #7f, #ed, #80, #ed, #81, #ed
db #79, #f5, #7a, #f5, #7b, #f5, #7c, #f5
db #7d, #f5, #7e, #f5, #7f, #f5, #80, #f5
db #81, #f5, #7a, #fd, #7b, #fd, #7c, #fd
db #7d, #fd, #7e, #fd, #7f, #fd, #80, #fd
db #81, #fd, #cd, #c5, #ce, #c5, #cf, #c5
db #d0, #c5, #d1, #c5, #d2, #c5, #cf, #cd
db #d0, #cd, #d1, #cd, #cf, #d5, #d0, #d5
db #d2, #dd, #d2, #e5, #80, #22, #00, #ca
db #d8, #ca, #e0, #1b, #c1, #1b, #c9, #1e
db #d1, #1e, #d9, #1e, #e1, #1c, #e9, #1e
db #e9, #1c, #f1, #6d, #d1, #6d, #d9, #60
db #e1, #be, #c1, #bc, #f1, #53, #da, #4d
db #e2, #53, #e2, #53, #ea, #60, #ea, #53
db #f2, #b2, #ea, #3e, #eb, #2d, #e4, #2d
db #f4, #8d, #fc, #df, #c4, #23, #cd, #25
db #fd, #76, #cd, #77, #dd, #cc, #c5, #cc
db #cd, #d1, #d5, #f3, #14, #00, #18, #c9
db #17, #d9, #6a, #c9, #6b, #d1, #55, #d2
db #54, #f2, #f2, #c2, #f1, #ea, #f1, #f2
db #40, #eb, #8f, #e3, #8f, #eb, #37, #d4
db #39, #ec, #3a, #f4, #23, #de, #23, #e6
db #23, #ee, #23, #f6, #70, #ee, #fc, #20
db #00, #19, #c9, #1a, #d9, #1b, #f1, #1b
db #f9, #6c, #d1, #6c, #d9, #58, #c2, #5b
db #e2, #5c, #fa, #ad, #da, #ad, #e2, #ad
db #ea, #fe, #d2, #fe, #da, #fe, #e2, #4f
db #e3, #4f, #eb, #4f, #f3, #4f, #fb, #f0
db #db, #41, #fc, #91, #c4, #91, #cc, #1f
db #d5, #23, #e5, #24, #f5, #cf, #e5, #21
db #e6, #21, #ee, #70, #ce, #70, #d6, #6f
db #ee, #f1, #13, #00, #17, #d1, #16, #e9
db #17, #f1, #55, #ca, #54, #ea, #a2, #f2
db #a2, #fa, #f1, #e2, #40, #db, #8f, #cb
db #8f, #d3, #e1, #cb, #e4, #eb, #e5, #fb
db #90, #cc, #21, #dd, #23, #c6, #23, #d6
db #72, #d6, #ff, #b1, #02, #18, #d1, #18
db #d9, #17, #e1, #17, #e9, #56, #c2, #57
db #c2, #56, #ca, #57, #ca, #58, #ca, #56
db #d2, #57, #d2, #58, #d2, #59, #d2, #55
db #da, #56, #da, #57, #da, #58, #da, #59
db #da, #5a, #da, #55, #e2, #56, #e2, #57
db #e2, #58, #e2, #59, #e2, #5a, #e2, #55
db #ea, #56, #ea, #57, #ea, #58, #ea, #59
db #ea, #5a, #ea, #55, #f2, #56, #f2, #57
db #f2, #58, #f2, #59, #f2, #5a, #f2, #5b
db #f2, #55, #fa, #56, #fa, #57, #fa, #58
db #fa, #59, #fa, #5a, #fa, #5b, #fa, #a4
db #c2, #a5, #c2, #a6, #c2, #a7, #c2, #a8
db #c2, #a9, #c2, #aa, #c2, #ab, #c2, #ac
db #c2, #a4, #ca, #a5, #ca, #a6, #ca, #a7
db #ca, #a8, #ca, #a9, #ca, #aa, #ca, #ab
db #ca, #ac, #ca, #a4, #d2, #a5, #d2, #a6
db #d2, #a7, #d2, #a8, #d2, #a9, #d2, #aa
db #d2, #ab, #d2, #ac, #d2, #a4, #da, #a5
db #da, #a6, #da, #a7, #da, #a8, #da, #a9
db #da, #aa, #da, #ab, #da, #ac, #da, #a4
db #e2, #a5, #e2, #a6, #e2, #a7, #e2, #a8
db #e2, #a9, #e2, #aa, #e2, #ab, #e2, #ac
db #e2, #a4, #ea, #a5, #ea, #a6, #ea, #a7
db #ea, #a8, #ea, #a9, #ea, #aa, #ea, #ab
db #ea, #ac, #ea, #a4, #f2, #a5, #f2, #a6
db #f2, #a7, #f2, #a8, #f2, #a9, #f2, #aa
db #f2, #ab, #f2, #ac, #f2, #ad, #f2, #a4
db #fa, #a5, #fa, #a6, #fa, #a7, #fa, #a8
db #fa, #a9, #fa, #aa, #fa, #ab, #fa, #ac
db #fa, #ad, #fa, #f4, #c2, #f5, #c2, #f6
db #c2, #f7, #c2, #f8, #c2, #f9, #c2, #fa
db #c2, #fb, #c2, #fc, #c2, #fd, #c2, #f4
db #ca, #f5, #ca, #f6, #ca, #f7, #ca, #f8
db #ca, #f9, #ca, #fa, #ca, #fb, #ca, #fc
db #ca, #fd, #ca, #f2, #d2, #f4, #d2, #f5
db #d2, #f6, #d2, #f7, #d2, #f8, #d2, #f9
db #d2, #fa, #d2, #fb, #d2, #fc, #d2, #fd
db #d2, #f2, #da, #f4, #da, #f5, #da, #f6
db #da, #f7, #da, #f8, #da, #f9, #da, #fa
db #da, #fb, #da, #fc, #da, #fd, #da, #f4
db #e2, #f5, #e2, #f6, #e2, #f7, #e2, #f8
db #e2, #f9, #e2, #fa, #e2, #fb, #e2, #fc
db #e2, #fd, #e2, #f4, #ea, #f5, #ea, #f6
db #ea, #f7, #ea, #f8, #ea, #f9, #ea, #fa
db #ea, #fb, #ea, #fc, #ea, #fd, #ea, #f4
db #f2, #f5, #f2, #f6, #f2, #f7, #f2, #f8
db #f2, #f9, #f2, #fa, #f2, #fb, #f2, #fc
db #f2, #fd, #f2, #fe, #f2, #f4, #fa, #f5
db #fa, #f6, #fa, #f7, #fa, #f8, #fa, #f9
db #fa, #fa, #fa, #fb, #fa, #fc, #fa, #fd
db #fa, #fe, #fa, #44, #c3, #45, #c3, #46
db #c3, #47, #c3, #48, #c3, #49, #c3, #4a
db #c3, #4b, #c3, #4c, #c3, #4d, #c3, #4e
db #c3, #41, #cb, #44, #cb, #45, #cb, #46
db #cb, #47, #cb, #48, #cb, #49, #cb, #4a
db #cb, #4b, #cb, #4c, #cb, #4d, #cb, #4e
db #cb, #41, #d3, #44, #d3, #45, #d3, #46
db #d3, #47, #d3, #48, #d3, #49, #d3, #4a
db #d3, #4b, #d3, #4c, #d3, #4d, #d3, #4e
db #d3, #44, #db, #45, #db, #46, #db, #47
db #db, #48, #db, #49, #db, #4a, #db, #4b
db #db, #4c, #db, #4e, #db, #44, #e3, #45
db #e3, #46, #e3, #47, #e3, #48, #e3, #49
db #e3, #4a, #e3, #4b, #e3, #4c, #e3, #4d
db #e3, #4e, #e3, #44, #eb, #45, #eb, #46
db #eb, #47, #eb, #48, #eb, #49, #eb, #4a
db #eb, #4b, #eb, #4c, #eb, #4d, #eb, #4e
db #eb, #44, #f3, #45, #f3, #46, #f3, #47
db #f3, #48, #f3, #49, #f3, #4a, #f3, #4b
db #f3, #4c, #f3, #4d, #f3, #4e, #f3, #44
db #fb, #45, #fb, #46, #fb, #47, #fb, #48
db #fb, #49, #fb, #4a, #fb, #4b, #fb, #4c
db #fb, #4d, #fb, #4e, #fb, #93, #c3, #94
db #c3, #95, #c3, #96, #c3, #97, #c3, #98
db #c3, #99, #c3, #9a, #c3, #9b, #c3, #9c
db #c3, #9d, #c3, #9e, #c3, #93, #cb, #94
db #cb, #95, #cb, #96, #cb, #97, #cb, #98
db #cb, #99, #cb, #9a, #cb, #9b, #cb, #9c
db #cb, #9d, #cb, #9e, #cb, #93, #d3, #94
db #d3, #95, #d3, #96, #d3, #97, #d3, #98
db #d3, #99, #d3, #9a, #d3, #9b, #d3, #9c
db #d3, #9d, #d3, #9e, #d3, #9f, #d3, #93
db #db, #94, #db, #95, #db, #96, #db, #97
db #db, #98, #db, #99, #db, #9a, #db, #9b
db #db, #9c, #db, #9d, #db, #9f, #db, #93
db #e3, #94, #e3, #95, #e3, #96, #e3, #97
db #e3, #98, #e3, #99, #e3, #9a, #e3, #9b
db #e3, #9c, #e3, #9d, #e3, #9e, #e3, #9f
db #e3, #94, #eb, #95, #eb, #96, #eb, #97
db #eb, #98, #eb, #99, #eb, #9a, #eb, #9b
db #eb, #9c, #eb, #9d, #eb, #9e, #eb, #9f
db #eb, #94, #f3, #95, #f3, #96, #f3, #97
db #f3, #98, #f3, #99, #f3, #9a, #f3, #9b
db #f3, #9c, #f3, #9d, #f3, #9e, #f3, #9f
db #f3, #93, #fb, #94, #fb, #95, #fb, #96
db #fb, #97, #fb, #98, #fb, #99, #fb, #9a
db #fb, #9b, #fb, #9c, #fb, #9d, #fb, #9e
db #fb, #9f, #fb, #e3, #c3, #e4, #c3, #e5
db #c3, #e6, #c3, #e7, #c3, #e8, #c3, #e9
db #c3, #ea, #c3, #eb, #c3, #ec, #c3, #ed
db #c3, #ee, #c3, #ef, #c3, #e3, #cb, #e4
db #cb, #e5, #cb, #e6, #cb, #e7, #cb, #e8
db #cb, #e9, #cb, #ea, #cb, #eb, #cb, #ec
db #cb, #ed, #cb, #ee, #cb, #ef, #cb, #e3
db #d3, #e4, #d3, #e5, #d3, #e6, #d3, #e7
db #d3, #e8, #d3, #e9, #d3, #ea, #d3, #eb
db #d3, #ec, #d3, #ed, #d3, #ee, #d3, #ef
db #d3, #e3, #db, #e4, #db, #e5, #db, #e6
db #db, #e7, #db, #e8, #db, #e9, #db, #ea
db #db, #eb, #db, #ec, #db, #ed, #db, #ee
db #db, #ef, #db, #e5, #e3, #e6, #e3, #e7
db #e3, #e8, #e3, #e9, #e3, #ea, #e3, #eb
db #e3, #ec, #e3, #ed, #e3, #ee, #e3, #ef
db #e3, #e5, #eb, #e6, #eb, #e7, #eb, #e8
db #eb, #e9, #eb, #ea, #eb, #eb, #eb, #ec
db #eb, #ed, #eb, #ee, #eb, #ef, #eb, #e6
db #f3, #e7, #f3, #e8, #f3, #e9, #f3, #ea
db #f3, #eb, #f3, #ec, #f3, #ed, #f3, #ee
db #f3, #ef, #f3, #e6, #fb, #e7, #fb, #e8
db #fb, #e9, #fb, #ea, #fb, #eb, #fb, #ec
db #fb, #ed, #fb, #ee, #fb, #ef, #fb, #37
db #c4, #38, #c4, #39, #c4, #3a, #c4, #3b
db #c4, #3c, #c4, #3d, #c4, #3e, #c4, #37
db #cc, #38, #cc, #39, #cc, #3a, #cc, #3b
db #cc, #3c, #cc, #3d, #cc, #3e, #cc, #38
db #d4, #39, #d4, #3a, #d4, #3b, #d4, #3c
db #d4, #3d, #d4, #3e, #d4, #38, #dc, #39
db #dc, #3a, #dc, #3b, #dc, #3c, #dc, #3d
db #dc, #3e, #dc, #39, #e4, #3a, #e4, #3b
db #e4, #3c, #e4, #3d, #e4, #3e, #e4, #3a
db #ec, #3b, #ec, #3c, #ec, #3d, #ec, #3e
db #ec, #3b, #f4, #3c, #f4, #3d, #f4, #3e
db #f4, #3d, #fc, #3e, #fc, #d0, #f4, #1e
db #cd, #1e, #d5, #1f, #e5, #1f, #ed, #20
db #ed, #21, #ed, #1f, #f5, #20, #f5, #21
db #f5, #1f, #fd, #20, #fd, #21, #fd, #6f
db #c5, #70, #c5, #71, #c5, #6f, #cd, #70
db #cd, #71, #cd, #6f, #d5, #71, #d5, #75
db #d5, #6f, #dd, #71, #dd, #70, #e5, #71
db #e5, #76, #e5, #70, #ed, #71, #ed, #76
db #ed, #70, #f5, #71, #f5, #76, #f5, #70
db #fd, #71, #fd, #77, #fd, #c7, #c5, #c8
db #c5, #c9, #c5, #c3, #cd, #c8, #cd, #c0
db #d5, #c3, #d5, #c3, #dd, #c3, #e5, #c3
db #ed, #ce, #ed, #d0, #ed, #c3, #f5, #c4
db #f5, #ce, #f5, #d0, #f5, #d1, #f5, #c3
db #fd, #c4, #fd, #ce, #fd, #cf, #fd, #d0
db #fd, #d1, #fd, #13, #c6, #14, #c6, #1d
db #c6, #1e, #c6, #1f, #c6, #20, #c6, #21
db #c6, #13, #ce, #14, #ce, #15, #ce, #1d
db #ce, #1e, #ce, #1f, #ce, #20, #ce, #21
db #ce, #14, #d6, #15, #d6, #1d, #d6, #1e
db #d6, #1f, #d6, #20, #d6, #21, #d6, #14
db #de, #15, #de, #16, #de, #1c, #de, #1d
db #de, #1e, #de, #1f, #de, #20, #de, #14
db #e6, #15, #e6, #16, #e6, #17, #e6, #1b
db #e6, #1c, #e6, #1d, #e6, #1e, #e6, #1f
db #e6, #20, #e6, #15, #ee, #16, #ee, #17
db #ee, #1b, #ee, #1c, #ee, #1d, #ee, #1f
db #ee, #20, #ee, #15, #f6, #16, #f6, #17
db #f6, #18, #f6, #19, #f6, #1a, #f6, #1b
db #f6, #1c, #f6, #1d, #f6, #1f, #f6, #20
db #f6, #15, #fe, #16, #fe, #17, #fe, #18
db #fe, #19, #fe, #1a, #fe, #1b, #fe, #1c
db #fe, #1d, #fe, #1f, #fe, #20, #fe, #66
db #c6, #67, #c6, #68, #c6, #69, #c6, #6a
db #c6, #6b, #c6, #6c, #c6, #6e, #c6, #6f
db #c6, #67, #ce, #68, #ce, #69, #ce, #6a
db #ce, #6b, #ce, #6c, #ce, #6e, #ce, #6f
db #ce, #68, #d6, #69, #d6, #6a, #d6, #6b
db #d6, #6e, #d6, #6f, #d6, #6e, #de, #6f
db #de, #6e, #e6, #6e, #ee, #6e, #f6, #f8
db #16, #00, #1a, #d1, #1b, #e9, #59, #ca
db #5c, #f2, #ad, #d2, #fe, #ca, #4f, #d3
db #4f, #db, #a0, #fb, #f0, #c3, #41, #e4
db #41, #ec, #41, #f4, #23, #dd, #75, #c5
db #cb, #cd, #cb, #d5, #cb, #dd, #d1, #e5
db #22, #c6, #22, #ce, #21, #f6, #ef, #01
db #00, #1a, #e1, #d3, #04, #00, #18, #f9
db #8f, #db, #3c, #fc, #21, #d5, #40, #09
db #00, #6e, #c1, #64, #f9, #b0, #c2, #b0
db #ca, #01, #db, #01, #e3, #01, #eb, #7c
db #ec, #cd, #dc, #f6, #03, #00, #6c, #e1
db #cc, #d4, #cd, #ec, #60, #01, #00, #0f
db #e2, #50, #03, #00, #0f, #f2, #cd, #d4
db #d3, #e5, #b0, #07, #00, #5f, #c2, #5f
db #ca, #32, #e4, #32, #ec, #87, #fc, #e3
db #ec, #d3, #dd, #fe, #11, #00, #5b, #ea
db #f2, #e2, #fe, #ea, #9f, #c3, #9f, #cb
db #f0, #e3, #f0, #eb, #f0, #f3, #d1, #fc
db #1f, #dd, #24, #fd, #76, #dd, #78, #fd
db #d1, #ed, #21, #de, #70, #c6, #6f, #e6
db #f7, #0d, #00, #54, #fa, #f2, #ca, #f1
db #fa, #41, #c3, #40, #f3, #43, #fb, #8f
db #f3, #8f, #fb, #e4, #e3, #36, #c4, #21
db #cd, #23, #fe, #6f, #fe, #a0, #01, #00
db #b0, #d2, #11, #05, #00, #a3, #da, #a3
db #e2, #a3, #ea, #a3, #f2, #a3, #fa, #b1
db #01, #00, #f3, #c2, #b3, #03, #00, #f3
db #ca, #f3, #d2, #62, #d6, #33, #07, #00
db #f3, #da, #f3, #e2, #f3, #ea, #f3, #f2
db #f3, #fa, #43, #c3, #d0, #fc, #ee, #05
db #00, #f2, #ea, #f2, #f2, #f2, #fa, #42
db #c3, #42, #cb, #e1, #01, #00, #40, #d3
db #77, #0c, #00, #43, #d3, #43, #db, #43
db #e3, #43, #eb, #43, #f3, #72, #dd, #72
db #e5, #72, #ed, #72, #f5, #72, #fd, #c2
db #c5, #c2, #cd, #ec, #03, #00, #42, #e3
db #77, #ed, #cf, #dd, #cc, #08, #00, #92
db #cb, #92, #d3, #92, #db, #92, #e3, #92
db #eb, #92, #fb, #e2, #c3, #e2, #cb, #7f
db #03, #00, #e5, #f3, #73, #c6, #71, #e6
db #20, #02, #00, #7d, #d4, #d2, #fc, #71
db #03, #00, #cf, #ec, #d3, #fd, #23, #ce
db #bc, #01, #00, #d0, #ec, #73, #07, #00
db #22, #fd, #72, #c5, #72, #cd, #c2, #dd
db #c2, #e5, #c2, #ed, #c2, #f5, #e8, #03
db #00, #76, #d5, #78, #f5, #d2, #fd, #c8
db #01, #00, #77, #e5, #fd, #02, #00, #77
db #f5, #be, #c6, #78, #02, #00, #ca, #c5
db #d0, #e5, #37, #01, #00, #c2, #d5, #f9
db #02, #00, #ce, #e5, #6f, #f6, #ed, #01
db #00, #cf, #ed, #df, #01, #00, #cf, #f5
db #41, #01, #00, #d3, #f5
table_delta:
dw delta00, delta01, delta02, delta03, delta04, delta05, delta06, delta07
dw delta08, delta09, delta10, delta11, delta12
palette:
db 00, 13, 17, 26
end

save'disc.bin',#200, end - start,DSK,'delta.dsk'