;--- dimensions du sprite ----
large equ 25
haut equ 100
loadingaddress equ #200
linewidth equ #c050
nbdelta equ 23
nbcolors equ 4
;-----------------------------
org loadingaddress
run loadingaddress
;-----------------------------
start
;--- selection du mode ---------
    ld a,1
    call #BC0E
;-------------------------------

;--- gestion de la palette ---- 
    call palettefirmware
;------------------------------

call xvbl

;--- affichage du sprite initiale --  
    ; affichage du premier sprite
    ld de,#c010 ; adresse de l'ecran 
    ld hl,sprite ; pointeur sur l'image en memoire 
    ld b, haut ; hauteur de l'image 
    loop 
    push bc ; sauve le compteur hauteur dans la pile 
    push de ; sauvegarde de l'adresse ecran dans la pile
    ld bc, large ; largeur de l'image a afficher
    ldir ; remplissage de n * largeur octets a l'adresse dans de 
    pop de ; recuperation de l'adresse d'origine 
    ex de,hl ; echange des valeurs des adresses
    call bc26 ; calcul de l'adresse de la ligne suivante
    ex de,hl ; echange des valeurs des adresses
    pop bc ; retabli le compteur 
    djnz loop
;------------------------------------

mainloop    ; routine pour afficher les deltas provenant de martine 

;call #bb06

call xvbl
call next_delta

jp mainloop


;--- routine de deltapacking --------------------------
next_delta:
table_index:
    ld a,-1
    inc a
    and nbdelta
    ld (table_index+1),a
    add a
    ld e,a
    ld d,0
    ld hl,table_delta
    add hl,de
    ld a,(hl)
    inc hl
    ld h,(hl)
    ld l,a
delta
 ld a,(hl) ; nombre de byte a poker
 push af   ; stockage en mémoire
 inc hl
init
 ld a,(hl) ; octet a poker
 ld (pixel),a
 inc hl
 ld c,(hl) ; nbfois
 inc hl 
 ld b,(hl)
 inc hl
;
poke_octet
 ld e,(hl)
 inc hl
 ld d,(hl) ; de=adresse
 inc hl
 ld a,(pixel)
 ld (de),a ; poke a l'adresse dans de
 dec bc
 ld a,b ; test a t'on poke toutes les adresses compteur bc
 or a 
 jr nz, poke_octet
 ld a,c 
 or a
 jr nz, poke_octet
 pop af 
; reste t'il d'autres bytes a poker ? 
 dec a 
 push af
 jr nz,init
 pop af
 ret



;---------------------------------------------------------------
;
; attente de plusieurs vbl
;
xvbl ld e,10
	call waitvbl
	dec e
	jr nz,xvbl+2
	ret
;-----------------------------------

;---- attente vbl ----------
waitvbl
    ld b,#f5 ; attente vbl
vbl     
    in a,(c)
    rra
    jp nc,vbl
    ret
;---------------------------

;--- application palette firmware -------------
palettefirmware ; hl pointe sur les valeurs de la palette
ld e,nbcolors
ld a,0
ld hl,palette

paletteloop
ld b,(hl)
ld c,b
push af
push de
push hl
call #bc32 ; af, de, hl corrupted
pop hl
pop de
pop af
inc a
inc hl
dec e
jr nz,paletteloop
ret
;---------------------------------------------

;---------------------------------------------

;---- recuperation de l'adresse de la ligne en dessous ------------
bc26 
ld a,h
add a,8 
ld h,a ; <---- le fameux que tu as oublié !
ret nc 
ld bc,linewidth ; on passe en 96 colonnes
add hl,bc
res 3,h
ret
;-----------------------------------------------------------------


;--- variables memoires -----
pixel db 0 
;----------------------------
sprite:
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #02
db #00, #00, #00, #00, #00, #04, #00, #00
db #00, #00, #00, #08, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #23, #08, #00, #00, #00, #00, #c0, #00
db #00, #00, #00, #01, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #23, #0a, #00, #00, #00, #01, #80
db #00, #00, #00, #00, #06, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #23, #1a, #08, #00, #00, #01
db #e0, #00, #00, #00, #01, #08, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #13, #0f, #c0, #00, #00
db #03, #0c, #00, #00, #00, #07, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #13, #0f, #81, #08
db #00, #03, #0c, #80, #00, #21, #0e, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #11, #8f, #0d
db #04, #00, #07, #1c, #00, #00, #07, #a4
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #11, #8f
db #38, #c0, #08, #0f, #0c, #80, #10, #1e
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #11
db #8f, #0d, #48, #c0, #0f, #c0, #00, #07
db #0e, #60, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #11, #8f, #2d, #0c, #e0, #07, #1c, #10
db #0f, #0c, #20, #20, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #11, #cf, #69, #86, #80, #21, #40
db #21, #2d, #28, #00, #10, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #11, #ef, #0f, #0c, #c0, #00
db #10, #69, #3c, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #01, #ef, #2d, #85, #78
db #20, #01, #0b, #0c, #40, #40, #10, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #ef, #2d, #58
db #0c, #00, #01, #83, #48, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #ff, #49
db #2c, #4a, #50, #01, #2d, #00, #c0, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #7f
db #1e, #84, #68, #00, #10, #48, #00, #00
db #40, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #77, #0f, #1c, #2c, #40, #10, #18, #48
db #40, #20, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #77, #8f, #48, #2c, #60, #10, #00
db #00, #40, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #77, #ad, #1e, #68, #84, #20
db #80, #80, #00, #40, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #01, #7f, #8f, #96, #68, #00
db #00, #00, #00, #40, #10, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #0f, #7f, #ed, #2d, #2c
db #00, #00, #00, #00, #00, #00, #00, #10
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #0f, #0f, #7f, #ed, #1c
db #28, #30, #84, #00, #80, #40, #00, #20
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #07, #0f, #0f, #3f, #cf
db #5a, #0a, #43, #c0, #90, #00, #20, #20
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #03, #ef, #7f, #3f
db #ef, #1c, #0a, #07, #48, #00, #40, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #01, #7f, #7f
db #3f, #ff, #2c, #e1, #0f, #1c, #10, #80
db #40, #20, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #7f
db #ff, #0f, #bf, #58, #4b, #0f, #1c, #10
db #00, #40, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #77, #ff, #0f, #0f, #58, #87, #0f, #1c
db #00, #40, #00, #10, #00, #00, #40, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #37, #ff, #0f, #0f, #0d, #0f, #0f
db #1c, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #23, #ff, #0f, #2d, #0f, #0f
db #0f, #1c, #00, #80, #20, #00, #10, #80
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #01, #ff, #7f, #0f, #0f
db #0f, #0f, #1c, #00, #00, #00, #40, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #ff, #bf, #9c
db #0f, #4f, #0f, #0c, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #77, #ff
db #0f, #4b, #cf, #cf, #1c, #10, #c0, #40
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #ff
db #ef, #49, #0f, #7f, #7f, #1c, #09, #08
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #11
db #ff, #8f, #0d, #c1, #4f, #7f, #09, #18
db #08, #a0, #00, #20, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #33, #ff, #0f, #0d, #81, #2f, #6f, #09
db #10, #00, #e0, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #40, #f7, #ef, #0f, #0d, #1c, #7f, #6f
db #10, #08, #00, #00, #20, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #c0, #ff, #8f, #0f, #69, #84, #2f
db #6e, #10, #90, #80, #00, #20, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #51, #ff, #0f, #0f, #3c, #84
db #0f, #4e, #10, #10, #c0, #00, #00, #10
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #b7, #ef, #0f, #0f, #69
db #48, #2f, #4c, #10, #10, #08, #00, #20
db #20, #00, #40, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #7f, #ef, #4f, #0f
db #69, #48, #87, #1c, #00, #01, #08, #80
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #10, #ff, #cf, #0f
db #0f, #69, #68, #87, #00, #00, #00, #00
db #20, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #13, #ff, #ef
db #0f, #0f, #49, #0e, #87, #40, #20, #00
db #48, #00, #00, #00, #00, #80, #00, #00
db #00, #00, #00, #00, #00, #00, #33, #ff
db #ef, #0f, #0f, #69, #0c, #86, #00, #00
db #00, #00, #00, #00, #10, #00, #00, #40
db #00, #00, #00, #00, #00, #00, #00, #ff
db #ff, #cf, #0f, #0f, #69, #48, #c0, #00
db #00, #10, #00, #40, #00, #00, #00, #80
db #00, #00, #00, #00, #00, #00, #00, #10
db #ff, #ef, #cf, #0f, #0f, #38, #80, #e0
db #00, #00, #00, #00, #40, #00, #10, #10
db #00, #00, #00, #00, #00, #00, #00, #00
db #11, #ff, #cf, #0f, #0f, #69, #81, #48
db #60, #20, #10, #10, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #07, #0f, #0f, #1e, #90
db #80, #0e, #20, #00, #80, #00, #00, #10
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #87, #96
db #18, #c0, #86, #70, #10, #00, #80, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #01, #18, #b0, #0e, #14, #20, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #01, #0f, #09, #0f, #30, #20, #00
db #00, #40, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #03, #0f, #29, #0f, #20, #00
db #00, #00, #00, #10, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #03, #0f, #09, #0f, #42
db #20, #00, #00, #00, #10, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #03, #0f, #01, #0f
db #60, #00, #00, #08, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #03, #1e, #90
db #0f, #78, #01, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #03, #1c
db #00, #0f, #0e, #30, #00, #80, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #03
db #0c, #00, #07, #68, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #03, #18, #00, #07, #3c, #00, #10, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #03, #80, #00, #03, #0c, #00, #00
db #04, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #02, #00, #00, #03, #1c, #10
db #00, #80, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #02, #00, #00, #03, #2d
db #00, #10, #80, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #01
db #0e, #10, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #0e, #00, #10, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #4f, #00, #90, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #16, #00, #80, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #06, #10, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #03, #10, #80
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #03, #00
db #08, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #01
db #10, #80, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #01, #08, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #01, #09, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #08, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00, #00, #00, #00, #00
db #00, #00, #00, #00
delta00:
db #67, #08, #1b, #00, #69, #f0, #69, #f8
db #ba, #c8, #bd, #f0, #0d, #c1, #12, #c1
db #12, #c9, #13, #e9, #0d, #f1, #0d, #f9
db #13, #f9, #62, #f9, #b2, #f9, #fa, #c1
db #03, #e2, #fe, #e9, #4c, #d2, #9f, #ca
db #9f, #d2, #97, #fa, #ec, #ca, #ec, #d2
db #ec, #da, #ee, #e2, #ee, #ea, #ec, #f2
db #3d, #f3, #c8, #02, #00, #b9, #c0, #b9
db #d8, #00, #7f, #00, #b6, #c8, #bc, #c8
db #c2, #c8, #b6, #d0, #b7, #d0, #bc, #d0
db #c1, #d0, #b6, #d8, #b7, #d8, #c1, #d8
db #b6, #e0, #b7, #e0, #c0, #e0, #c1, #e0
db #b6, #e8, #b7, #e8, #c0, #e8, #b6, #f0
db #b7, #f0, #bf, #f0, #c0, #f0, #b6, #f8
db #b7, #f8, #bf, #f8, #c0, #f8, #06, #c1
db #07, #c1, #0e, #c1, #0f, #c1, #06, #c9
db #07, #c9, #0e, #c9, #0f, #c9, #06, #d1
db #07, #d1, #0e, #d1, #06, #d9, #07, #d9
db #0b, #d9, #0e, #d9, #06, #e1, #07, #e1
db #06, #e9, #07, #e9, #11, #e9, #07, #f1
db #07, #f9, #0c, #f9, #57, #c1, #5c, #c1
db #5c, #c9, #5d, #c9, #5c, #d1, #5b, #d9
db #5d, #d9, #60, #d9, #61, #f1, #5c, #f9
db #5f, #f9, #60, #f9, #b0, #d9, #b3, #d9
db #f4, #e1, #f4, #e9, #00, #ea, #fe, #f1
db #01, #f2, #fe, #f9, #00, #fa, #01, #fa
db #4d, #c2, #4e, #c2, #43, #ca, #43, #d2
db #43, #da, #51, #da, #43, #e2, #44, #e2
db #4d, #e2, #4f, #e2, #53, #e2, #42, #ea
db #43, #ea, #44, #ea, #45, #ea, #49, #ea
db #4f, #ea, #51, #ea, #52, #ea, #42, #f2
db #43, #f2, #44, #f2, #45, #f2, #4d, #f2
db #44, #fa, #45, #fa, #50, #fa, #9c, #c2
db #9e, #c2, #9c, #ca, #a0, #da, #9c, #e2
db #a0, #e2, #98, #ea, #99, #ea, #9e, #ea
db #98, #f2, #99, #f2, #9c, #f2, #98, #fa
db #e7, #c2, #e8, #c2, #e8, #ca, #ed, #ca
db #e7, #d2, #e8, #d2, #e7, #da, #e7, #e2
db #ea, #e2, #ed, #e2, #ea, #ea, #ed, #f2
db #3d, #db, #3b, #e3, #3d, #e3, #3b, #eb
db #3b, #f3, #88, #03, #00, #b9, #c8, #b9
db #d0, #13, #f1, #10, #14, #00, #bb, #c8
db #bb, #d0, #10, #c9, #0f, #d1, #0d, #e9
db #60, #d1, #5c, #d9, #5c, #e9, #ac, #c1
db #b0, #e1, #01, #c2, #01, #ca, #01, #d2
db #4c, #da, #4c, #fa, #9c, #d2, #95, #fa
db #9c, #fa, #e7, #ca, #ed, #fa, #01, #17
db #00, #b8, #d0, #b8, #d8, #b8, #e0, #0b
db #d1, #0d, #e1, #56, #c9, #53, #e9, #5d
db #f1, #61, #f9, #b1, #c1, #a4, #d1, #b1
db #f1, #b1, #f9, #f5, #d1, #53, #d2, #44
db #da, #a5, #c2, #99, #da, #99, #e2, #e5
db #c2, #ea, #da, #3b, #d3, #3b, #db, #c0
db #08, #00, #ba, #d0, #0e, #f1, #0e, #f9
db #5f, #e9, #fa, #e9, #04, #ea, #fa, #f9
db #4e, #d2, #04, #0b, #00, #ba, #d8, #13
db #d9, #13, #e1, #10, #f1, #5e, #c1, #4a
db #ca, #ef, #ca, #ef, #d2, #ef, #da, #ef
db #e2, #3d, #eb, #30, #03, #00, #bb, #d8
db #ab, #d1, #55, #d2, #20, #0c, #00, #bc
db #d8, #13, #d1, #11, #d9, #61, #e1, #5b
db #e9, #5b, #f1, #5c, #f1, #ab, #c1, #ab
db #c9, #4c, #ea, #9e, #f2, #3d, #d3, #8c
db #03, #00, #b9, #e0, #b9, #e8, #03, #ea
db #03, #11, #00, #ba, #e0, #bb, #e0, #0b
db #c1, #0c, #c9, #ac, #c9, #b1, #c9, #ac
db #e1, #ff, #e9, #4b, #c2, #4b, #ca, #4b
db #d2, #45, #e2, #e5, #ca, #ea, #ca, #3b
db #c3, #3b, #cb, #3d, #cb, #12, #03, #00
db #bc, #e0, #11, #c1, #b1, #d1, #11, #06
db #00, #b8, #e8, #b8, #f0, #62, #c1, #a4
db #c9, #a5, #f1, #f4, #f1, #41, #01, #00
db #ba, #e8, #52, #05, #00, #bc, #e8, #10
db #d1, #11, #d1, #b1, #d9, #ff, #f1, #cc
db #03, #00, #b9, #f0, #62, #e9, #55, #ea
db #40, #0d, #00, #ba, #f0, #5d, #c1, #5e
db #c9, #60, #c9, #5b, #e1, #60, #e1, #b0
db #c9, #55, #ca, #4f, #da, #4b, #e2, #4e
db #ea, #50, #f2, #e6, #d2, #2d, #05, #00
db #bb, #f0, #0f, #e9, #a8, #d1, #f8, #e9
db #98, #c2, #c3, #04, #00, #bc, #f0, #0c
db #d1, #02, #da, #47, #ea, #84, #0c, #00
db #c3, #f0, #0a, #d1, #0a, #f1, #5e, #f9
db #ae, #f9, #f9, #c1, #fa, #c9, #f9, #d9
db #fa, #d9, #f9, #e1, #fa, #e1, #4a, #d2
db #31, #02, #00, #b8, #f8, #02, #ea, #ce
db #02, #00, #b9, #f8, #09, #c1, #a0, #03
db #00, #ba, #f8, #0a, #e1, #4a, #f2, #16
db #03, #00, #bb, #f8, #10, #d9, #ab, #d9
db #d2, #02, #00, #bc, #f8, #ad, #e1, #80
db #12, #00, #bd, #f8, #c3, #f8, #0a, #c9
db #0d, #c9, #5f, #c9, #5f, #f1, #af, #c9
db #b2, #c9, #04, #e2, #4e, #ca, #4d, #da
db #4f, #f2, #9f, #c2, #a6, #c2, #9d, #ca
db #9e, #d2, #ee, #f2, #3d, #fb, #69, #01
db #00, #c2, #f8, #13, #0a, #00, #08, #c1
db #08, #c9, #08, #d1, #62, #c9, #53, #e1
db #02, #e2, #f4, #f9, #53, #c2, #46, #f2
db #e5, #d2, #e0, #05, #00, #0a, #c1, #0a
db #e9, #04, #f2, #4a, #c2, #55, #da, #07
db #0b, #00, #0c, #c1, #54, #d1, #ab, #f9
db #fb, #c9, #fb, #d1, #fb, #e1, #fb, #e9
db #fb, #f9, #9a, #fa, #eb, #f2, #eb, #fa
db #ee, #04, #00, #09, #c9, #09, #d1, #09
db #d9, #03, #f2, #21, #05, #00, #0b, #c9
db #0c, #e1, #0c, #e9, #b1, #e9, #ff, #e1
db #43, #07, #00, #11, #c9, #0c, #d9, #ac
db #d1, #fb, #d9, #fb, #f1, #46, #ea, #99
db #d2, #90, #03, #00, #0d, #d1, #4d, #fa
db #9e, #da, #33, #0a, #00, #08, #d9, #08
db #e1, #08, #e9, #08, #f1, #08, #f9, #58
db #c1, #53, #d9, #a5, #e9, #46, #fa, #96
db #c2, #18, #07, #00, #0d, #d9, #5d, #f9
db #48, #fa, #98, #e2, #ec, #c2, #ec, #e2
db #ec, #ea, #86, #04, #00, #0f, #d9, #0f
db #e1, #0f, #f9, #af, #e1, #ef, #0c, #00
db #09, #e1, #09, #e9, #55, #d9, #55, #e1
db #55, #e9, #56, #f1, #56, #f9, #a7, #c9
db #a7, #d1, #f7, #c1, #f7, #d1, #f5, #f1
db #60, #07, #00, #0b, #e1, #0b, #f9, #60
db #c1, #5b, #c9, #5f, #d1, #4b, #da, #4b
db #ea, #48, #09, #00, #0e, #e1, #62, #f1
db #02, #ca, #f9, #d1, #fa, #d1, #00, #e2
db #04, #fa, #49, #d2, #49, #fa, #b4, #01
db #00, #10, #e1, #24, #05, #00, #0b, #e9
db #4b, #f2, #ee, #c2, #ef, #c2, #ee, #ca
db #06, #0a, #00, #10, #e9, #62, #d9, #b1
db #e1, #55, #f2, #4a, #fa, #9f, #ea, #9f
db #f2, #9f, #fa, #3c, #eb, #3c, #f3, #ff
db #11, #00, #09, #f1, #09, #f9, #59, #c1
db #59, #c9, #54, #e1, #54, #e9, #54, #f1
db #55, #f1, #55, #f9, #a5, #c1, #a6, #c1
db #a5, #c9, #a6, #c9, #a5, #d1, #96, #ea
db #96, #f2, #96, #fa, #0a, #01, #00, #0f
db #f1, #68, #03, #00, #0a, #f9, #af, #d9
db #a9, #f9, #0e, #10, #00, #5a, #c1, #5a
db #f9, #aa, #c1, #aa, #d1, #a9, #f1, #af
db #f1, #00, #c2, #00, #ca, #fe, #e1, #4c
db #ca, #9b, #c2, #9b, #ca, #9b, #d2, #9f
db #e2, #3c, #db, #3c, #e3, #0c, #11, #00
db #5f, #c1, #5e, #f1, #ae, #c1, #a9, #d9
db #b2, #e9, #b2, #f1, #aa, #f9, #f9, #c9
db #00, #d2, #02, #d2, #00, #da, #f9, #e9
db #f9, #f1, #fa, #f1, #fd, #f9, #49, #c2
db #55, #e2, #87, #04, #00, #57, #c9, #ab
db #f1, #fb, #c1, #47, #e2, #3f, #07, #00
db #58, #c9, #58, #d1, #58, #d9, #58, #e1
db #58, #f1, #97, #ca, #97, #d2, #a8, #02
db #00, #5a, #c9, #5a, #d1, #8f, #05, #00
db #55, #d1, #59, #d9, #a7, #d9, #a7, #e1
db #45, #ca, #0f, #3a, #00, #56, #d1, #57
db #d1, #56, #d9, #57, #d9, #56, #e1, #57
db #e1, #57, #e9, #58, #e9, #57, #f1, #57
db #f9, #58, #f9, #59, #f9, #a8, #c1, #a9
db #c1, #a9, #c9, #a8, #e9, #ac, #f1, #a8
db #f9, #ac, #f9, #ad, #f9, #fc, #c1, #fd
db #c1, #f8, #c9, #fc, #c9, #fd, #c9, #fe
db #c9, #ff, #c9, #fc, #d1, #fd, #d1, #fe
db #d1, #fc, #d9, #fd, #d9, #fe, #d9, #fc
db #e1, #fd, #e1, #fc, #e9, #fd, #e9, #fc
db #f1, #fd, #f1, #fc, #f9, #45, #c2, #46
db #c2, #4c, #c2, #45, #d2, #45, #da, #9a
db #c2, #98, #ca, #9a, #ca, #9b, #e2, #9b
db #ea, #9b, #f2, #9b, #fa, #eb, #c2, #eb
db #ca, #eb, #d2, #eb, #da, #eb, #e2, #eb
db #ea, #df, #01, #00, #59, #d1, #32, #01
db #00, #62, #d1, #cf, #06, #00, #54, #d9
db #59, #e9, #a7, #c1, #f6, #e9, #f5, #f9
db #44, #d2, #8a, #01, #00, #5a, #d9, #6f
db #06, #00, #59, #e1, #a7, #f1, #a7, #f9
db #54, #d2, #47, #fa, #97, #ea, #ca, #01
db #00, #5a, #e1, #4c, #02, #00, #62, #e1
db #e6, #ca, #ac, #01, #00, #5a, #e9, #4f
db #03, #00, #59, #f1, #a7, #e9, #44, #ca
db #2c, #09, #00, #5a, #f1, #aa, #c9, #af
db #d1, #af, #e9, #f9, #f9, #49, #ca, #97
db #f2, #3c, #c3, #3c, #d3, #77, #05, #00
db #54, #f9, #a5, #e1, #03, #fa, #44, #c2
db #96, #da, #50, #02, #00, #5b, #f9, #b0
db #f1, #37, #03, #00, #a4, #c1, #f5, #e1
db #96, #d2, #09, #02, #00, #ad, #c1, #f8
db #f1, #4b, #03, #00, #a8, #c9, #f8, #d1
db #47, #f2, #0d, #03, #00, #ad, #c9, #ae
db #e9, #ff, #d1, #3c, #04, #00, #ae, #c9
db #ae, #d1, #ae, #d9, #48, #f2, #94, #03
db #00, #a9, #d1, #ae, #e1, #ae, #f1, #38
db #02, #00, #ad, #d1, #ad, #e9, #4a, #01
db #00, #aa, #d9, #83, #01, #00, #ac, #d9
db #b0, #01, #00, #ad, #d9, #1e, #07, #00
db #a9, #e1, #aa, #e1, #b2, #e1, #af, #f9
db #ff, #c1, #4b, #fa, #9b, #da, #a5, #01
db #00, #ab, #e1, #28, #02, #00, #aa, #e9
db #ec, #fa, #78, #01, #00, #ac, #e9, #c2
db #02, #00, #aa, #f1, #b0, #f9, #1c, #03
db #00, #ad, #f1, #98, #da, #3c, #cb, #8e
db #02, #00, #fe, #c1, #54, #c2, #2f, #03
db #00, #f7, #c9, #97, #c2, #97, #da, #29
db #05, #00, #f8, #d9, #ff, #d9, #f8, #e1
db #48, #d2, #48, #e2, #7f, #02, #00, #f5
db #e9, #96, #e2, #02, #05, #00, #ff, #f9
db #54, #ea, #55, #fa, #e5, #da, #8c, #c3
db #49, #01, #00, #48, #c2, #82, #01, #00
db #4f, #c2, #51, #01, #00, #53, #ca, #de
db #01, #00, #54, #ca, #e1, #01, #00, #48
db #da, #b7, #01, #00, #54, #da, #97, #01
db #00, #54, #e2, #1a, #01, #00, #48, #ea
db #73, #01, #00, #96, #ca, #0b, #01, #00
db #99, #ca, #a4, #01, #00, #9f, #da, #bf
db #01, #00, #97, #e2, #c1, #01, #00, #9e
db #e2, #42, #02, #00, #9e, #fa, #3c, #fb
db #6e, #01, #00, #e6, #c2, #81, #01, #00
db #3d, #c3
delta01:
db #4e, #10, #10, #00, #6b, #e0, #11, #d9
db #12, #e1, #02, #e9, #5d, #d9, #60, #e9
db #ad, #c1, #ac, #c9, #b0, #c9, #b1, #f9
db #fc, #c1, #fc, #d1, #fc, #d9, #fc, #e9
db #4c, #d2, #98, #da, #20, #0f, #00, #6b
db #e8, #bc, #d0, #02, #e1, #06, #e9, #0f
db #f9, #5f, #e9, #61, #e9, #5f, #f9, #61
db #f9, #b1, #c1, #b1, #e9, #fb, #f9, #4c
db #ca, #4f, #d2, #97, #fa, #00, #db, #00
db #69, #f0, #69, #f8, #b9, #c0, #b9, #c8
db #ba, #c8, #b8, #d0, #b9, #d0, #ba, #d0
db #b8, #d8, #b9, #d8, #ba, #d8, #bc, #d8
db #b8, #e0, #b9, #e0, #ba, #e0, #bc, #e0
db #b8, #e8, #b9, #e8, #bc, #e8, #b8, #f0
db #b9, #f0, #bc, #f0, #bd, #f0, #c3, #f0
db #b8, #f8, #b9, #f8, #c2, #f8, #c3, #f8
db #08, #c1, #09, #c1, #0d, #c1, #11, #c1
db #12, #c1, #08, #c9, #09, #c9, #0d, #c9
db #10, #c9, #11, #c9, #12, #c9, #08, #d1
db #09, #d1, #0d, #d1, #0f, #d1, #10, #d1
db #11, #d1, #08, #d9, #09, #d9, #0f, #d9
db #10, #d9, #08, #e1, #09, #e1, #0d, #e1
db #0e, #e1, #0f, #e1, #08, #e9, #09, #e9
db #0d, #e9, #0e, #e9, #0f, #e9, #10, #e9
db #13, #e9, #08, #f1, #09, #f1, #0d, #f1
db #0e, #f1, #0f, #f1, #10, #f1, #13, #f1
db #0d, #f9, #0e, #f9, #13, #f9, #5d, #c1
db #5e, #c1, #5f, #c1, #60, #c1, #62, #c1
db #60, #c9, #62, #c9, #5f, #d1, #62, #d1
db #53, #d9, #5e, #d9, #53, #e1, #5f, #e1
db #62, #e1, #53, #e9, #5e, #f1, #5f, #f1
db #5d, #f9, #5e, #f9, #62, #f9, #a4, #c9
db #ad, #c9, #ae, #c9, #af, #c9, #b1, #c9
db #b2, #c9, #a4, #d1, #ab, #d1, #ac, #d1
db #ad, #d1, #ae, #d1, #af, #d1, #b1, #d1
db #ae, #d9, #b1, #d9, #a5, #e1, #b0, #e1
db #b1, #e1, #b2, #e1, #a5, #e9, #ab, #e9
db #af, #e9, #b2, #e9, #a5, #f1, #b0, #f1
db #b1, #f1, #b2, #f1, #ab, #f9, #b2, #f9
db #fc, #c9, #f5, #d1, #fb, #d1, #f5, #d9
db #02, #da, #f5, #e1, #fb, #e1, #02, #e2
db #03, #e2, #04, #e2, #f5, #e9, #02, #ea
db #03, #ea, #04, #ea, #f4, #f1, #f5, #f1
db #03, #f2, #04, #f2, #f4, #f9, #f5, #f9
db #03, #fa, #04, #fa, #44, #c2, #45, #c2
db #4c, #c2, #4f, #c2, #53, #c2, #54, #c2
db #44, #ca, #45, #ca, #4b, #ca, #4e, #ca
db #53, #ca, #54, #ca, #55, #ca, #44, #d2
db #45, #d2, #4b, #d2, #4e, #d2, #53, #d2
db #54, #d2, #55, #d2, #44, #da, #45, #da
db #4b, #da, #4c, #da, #4d, #da, #54, #da
db #55, #da, #45, #e2, #4b, #e2, #54, #e2
db #55, #e2, #4e, #ea, #54, #ea, #55, #ea
db #4f, #f2, #55, #f2, #4d, #fa, #55, #fa
db #a5, #c2, #a6, #c2, #9f, #ca, #9e, #d2
db #99, #da, #9e, #da, #9e, #e2, #9f, #e2
db #9f, #ea, #9e, #f2, #9f, #f2, #9f, #fa
db #ea, #c2, #ee, #c2, #ef, #c2, #e6, #ca
db #e7, #ca, #ea, #ca, #ee, #ca, #ef, #ca
db #e5, #d2, #e6, #d2, #ea, #d2, #ee, #d2
db #ef, #d2, #e5, #da, #ea, #da, #ee, #da
db #ef, #da, #ee, #e2, #ef, #e2, #ee, #ea
db #ee, #f2, #3b, #c3, #3b, #cb, #3b, #d3
db #3b, #db, #3c, #fb, #8c, #c3, #12, #01
db #00, #6b, #f0, #03, #0a, #00, #6b, #f8
db #ba, #f8, #0a, #c1, #0a, #c9, #f6, #d9
db #f6, #e1, #9a, #f2, #eb, #e2, #eb, #ea
db #3c, #db, #07, #0f, #00, #bb, #c0, #bb
db #c8, #0a, #d1, #0a, #d9, #0a, #e1, #ab
db #c9, #f6, #e9, #f6, #f1, #4c, #f2, #9a
db #da, #9a, #e2, #eb, #d2, #eb, #da, #3c
db #cb, #3c, #d3, #0f, #5a, #00, #bb, #d0
db #bb, #d8, #bb, #e0, #bb, #e8, #bb, #f0
db #bb, #f8, #0b, #c1, #0b, #c9, #0b, #d1
db #0b, #d9, #0b, #e1, #0b, #e9, #0a, #f1
db #0b, #f1, #06, #f9, #0a, #f9, #0b, #f9
db #5a, #c1, #5b, #c1, #5a, #c9, #5b, #c9
db #58, #d1, #59, #d1, #5a, #d1, #5b, #d1
db #5a, #d9, #5b, #d9, #58, #e1, #5b, #e1
db #5b, #e9, #5a, #f1, #5b, #f1, #5a, #f9
db #5b, #f9, #aa, #c1, #ab, #c1, #ad, #e1
db #ad, #f1, #ae, #f9, #af, #f9, #fe, #c1
db #ff, #c1, #00, #c2, #f7, #c9, #00, #ca
db #01, #ca, #f7, #d1, #ff, #d1, #00, #d2
db #01, #d2, #ff, #d9, #00, #da, #fe, #e1
db #ff, #e1, #00, #e2, #fe, #e9, #ff, #e9
db #fe, #f1, #fe, #f9, #48, #c2, #48, #d2
db #48, #ea, #48, #f2, #4b, #f2, #47, #fa
db #48, #fa, #4b, #fa, #4c, #fa, #98, #c2
db #9b, #c2, #97, #ca, #9c, #ca, #9b, #d2
db #9c, #d2, #97, #da, #9b, #da, #9c, #da
db #9c, #e2, #9c, #ea, #9c, #f2, #9c, #fa
db #ec, #c2, #ec, #ca, #ec, #d2, #ec, #da
db #ec, #e2, #ec, #ea, #ec, #f2, #ec, #fa
db #3c, #c3, #01, #11, #00, #ba, #e8, #ba
db #f0, #53, #d1, #ac, #e1, #ac, #f1, #f6
db #c9, #f6, #d1, #fc, #e1, #fc, #f1, #f6
db #f9, #45, #f2, #94, #e2, #9a, #fa, #eb
db #f2, #eb, #fa, #3c, #eb, #3c, #f3, #08
db #15, #00, #bc, #f8, #0c, #d1, #0c, #d9
db #0c, #f1, #0c, #f9, #5c, #c9, #5c, #d9
db #5d, #e9, #ad, #d9, #ae, #e1, #02, #d2
db #ff, #f9, #99, #ea, #3d, #c3, #3d, #cb
db #3d, #d3, #3d, #db, #3d, #e3, #3d, #eb
db #3d, #fb, #8d, #c3, #18, #04, #00, #0c
db #c1, #0c, #e1, #5c, #c1, #5c, #d1, #80
db #18, #00, #0c, #c9, #13, #d1, #13, #d9
db #5d, #d1, #5e, #d1, #62, #d9, #5e, #e1
db #62, #e9, #5d, #f1, #62, #f1, #4f, #da
db #4d, #e2, #4a, #f2, #4f, #fa, #9f, #d2
db #9f, #da, #99, #e2, #9d, #e2, #98, #ea
db #9d, #ea, #99, #f2, #ed, #c2, #e5, #ca
db #ed, #fa, #90, #05, #00, #0d, #d9, #12
db #e9, #9d, #ca, #ed, #e2, #ed, #ea, #30
db #05, #00, #10, #e1, #b0, #d1, #fc, #f9
db #97, #ea, #97, #f2, #c0, #03, #00, #13
db #e1, #04, #f1, #ae, #c1, #87, #02, #00
db #0a, #e9, #9b, #ca, #28, #01, #00, #0c
db #e9, #58, #03, #00, #03, #f1, #08, #f9
db #98, #d2, #60, #02, #00, #06, #f1, #ab
db #f1, #7f, #05, #00, #03, #f9, #59, #e9
db #a5, #c9, #46, #e2, #95, #da, #ff, #24
db #00, #04, #f9, #54, #c1, #54, #c9, #55
db #c9, #56, #c9, #54, #d1, #55, #d1, #56
db #d1, #54, #d9, #55, #d9, #56, #d9, #55
db #e1, #56, #e1, #55, #e9, #56, #e9, #57
db #e9, #56, #f1, #57, #f1, #56, #f9, #57
db #f9, #58, #f9, #a7, #c1, #a7, #c9, #a7
db #d1, #a7, #d9, #a7, #e1, #46, #ea, #46
db #f2, #46, #fa, #96, #c2, #96, #d2, #96
db #da, #95, #e2, #96, #e2, #95, #ea, #95
db #f2, #8f, #08, #00, #05, #f9, #57, #d9
db #5a, #e1, #5a, #e9, #a8, #c9, #a8, #d1
db #a7, #f9, #f7, #c1, #1a, #01, #00, #07
db #f9, #0d, #05, #00, #09, #f9, #59, #c1
db #59, #c9, #f8, #d1, #48, #e2, #33, #07
db #00, #53, #c1, #53, #c9, #a5, #d1, #a6
db #f9, #46, #ca, #46, #d2, #95, #c2, #ef
db #04, #00, #55, #c1, #57, #e1, #a7, #e9
db #96, #ca, #6f, #02, #00, #56, #c1, #47
db #f2, #1e, #07, #00, #57, #c1, #a9, #d1
db #a9, #e9, #af, #f1, #4d, #ca, #9c, #c2
db #98, #ca, #09, #02, #00, #58, #c1, #f8
db #e1, #4b, #07, #00, #57, #c9, #58, #d9
db #ad, #e9, #fd, #c9, #fd, #e1, #fd, #e9
db #fd, #f9, #29, #02, #00, #58, #c9, #5c
db #f1, #40, #10, #00, #5f, #c9, #b0, #c1
db #ab, #d9, #af, #d9, #af, #e1, #fb, #c9
db #fb, #d9, #fb, #e9, #fb, #f1, #4a, #c2
db #4b, #c2, #50, #c2, #4e, #fa, #50, #fa
db #9e, #fa, #e6, #c2, #2f, #05, #00, #59
db #d9, #47, #da, #47, #e2, #47, #ea, #97
db #d2, #f7, #01, #00, #54, #e1, #38, #01
db #00, #5c, #e1, #50, #02, #00, #60, #e1
db #60, #f1, #b7, #01, #00, #54, #e9, #4a
db #02, #00, #5c, #e9, #4a, #ca, #97, #01
db #00, #54, #f1, #df, #01, #00, #58, #f1
db #15, #01, #00, #54, #f9, #68, #05, #00
db #5c, #f9, #ac, #c1, #aa, #f1, #aa, #f9
db #49, #da, #85, #01, #00, #a4, #c1, #cf
db #03, #00, #a8, #c1, #a7, #f1, #96, #ea
db #0e, #05, #00, #aa, #c9, #ae, #e9, #b0
db #f9, #01, #da, #ff, #f1, #13, #03, #00
db #a5, #d9, #45, #fa, #94, #f2, #0a, #01
db #00, #aa, #d9, #21, #04, #00, #ac, #d9
db #ac, #e9, #ac, #f9, #3c, #e3, #0c, #0c
db #00, #a9, #e1, #a9, #f9, #f9, #c1, #f9
db #d1, #f9, #d9, #00, #ea, #4e, #c2, #49
db #ca, #49, #d2, #49, #ea, #49, #fa, #99
db #ca, #2c, #05, #00, #aa, #e1, #01, #c2
db #fa, #d1, #f9, #e1, #e5, #c2, #70, #01
db #00, #ab, #e1, #a4, #04, #00, #aa, #e9
db #fa, #c9, #4a, #d2, #4a, #fa, #37, #03
db #00, #a6, #f1, #46, #da, #94, #fa, #2d
db #04, #00, #ae, #f1, #ad, #f9, #f8, #d9
db #fd, #d9, #51, #01, #00, #f6, #c1, #c2
db #01, #00, #fa, #c1, #42, #02, #00, #fb
db #c1, #fa, #d9, #0b, #07, #00, #fd, #c1
db #f7, #e1, #fd, #f1, #4d, #c2, #48, #ca
db #48, #da, #97, #e2, #69, #01, #00, #f8
db #c9, #e0, #04, #00, #fa, #e1, #fa, #f9
db #4f, #ca, #4a, #da, #49, #01, #00, #f8
db #e9, #48, #03, #00, #f9, #e9, #f9, #f9
db #99, #d2, #86, #02, #00, #fa, #e9, #fa
db #f1, #83, #01, #00, #f7, #f1, #a1, #01
db #00, #f8, #f9, #11, #02, #00, #46, #c2
db #94, #ea, #84, #02, #00, #4a, #e2, #4a
db #ea, #02, #01, #00, #4c, #e2, #24, #01
db #00, #4b, #ea, #16, #01, #00, #4c, #ea
db #1c, #01, #00, #99, #c2, #77, #02, #00
db #95, #ca, #95, #d2, #81, #01, #00, #98
db #e2, #43, #01, #00, #9a, #ea, #96, #01
db #00, #96, #f2, #ce, #01, #00, #95, #fa
db #52, #01, #00, #96, #fa, #67, #01, #00
db #e4, #c2, #4c, #01, #00, #e4, #ca
delta02:
db #63, #40, #10, #00, #6e, #d8, #bb, #f0
db #0f, #d1, #5f, #c1, #5e, #d9, #5f, #d9
db #5f, #e1, #60, #e9, #63, #e9, #5b, #f9
db #af, #c1, #b0, #c9, #fa, #d1, #4b, #d2
db #9f, #c2, #9e, #e2, #00, #69, #00, #6b
db #e0, #6b, #e8, #6b, #f0, #6b, #f8, #bb
db #c0, #bb, #c8, #bb, #d0, #bc, #d0, #bb
db #d8, #bb, #e0, #bb, #e8, #13, #d1, #11
db #d9, #13, #d9, #02, #e1, #10, #e1, #12
db #e1, #13, #e1, #02, #e9, #12, #e9, #03
db #f1, #03, #f9, #53, #c1, #53, #c9, #53
db #d1, #60, #d1, #54, #d9, #62, #d9, #54
db #e1, #60, #e1, #61, #e1, #54, #e9, #61
db #e9, #54, #f1, #5b, #f1, #60, #f1, #54
db #f9, #5c, #f9, #5f, #f9, #61, #f9, #a4
db #c1, #ab, #c1, #ac, #c1, #ad, #c1, #b1
db #c1, #a5, #c9, #ac, #c9, #a5, #d1, #a5
db #d9, #ac, #d9, #ad, #d9, #ac, #e1, #ad
db #e1, #ae, #e1, #ac, #e9, #ae, #e9, #ac
db #f1, #ad, #f1, #ae, #f1, #ad, #f9, #ae
db #f9, #fe, #c1, #fe, #c9, #fc, #d1, #fd
db #d1, #fc, #e1, #fb, #e9, #fc, #e9, #fd
db #e9, #fe, #e9, #fb, #f1, #fc, #f1, #fe
db #f1, #fb, #f9, #fe, #f9, #4e, #c2, #50
db #c2, #4d, #ca, #4f, #ca, #4f, #d2, #4f
db #da, #4c, #e2, #50, #f2, #4e, #fa, #4f
db #fa, #50, #fa, #97, #f2, #96, #fa, #97
db #fa, #9e, #fa, #e4, #c2, #e5, #c2, #e6
db #c2, #e4, #ca, #e5, #ca, #eb, #ea, #eb
db #f2, #eb, #fa, #3c, #d3, #3c, #db, #3c
db #e3, #3c, #eb, #3c, #f3, #3d, #fb, #8d
db #c3, #48, #0e, #00, #6e, #e0, #be, #e8
db #be, #f0, #0e, #d9, #0e, #e1, #09, #f9
db #59, #c1, #5e, #c9, #59, #f9, #5a, #f9
db #aa, #d1, #03, #da, #4a, #e2, #9a, #ea
db #08, #1c, #00, #6e, #e8, #6e, #f0, #6e
db #f8, #be, #c0, #be, #c8, #be, #d0, #be
db #d8, #be, #e0, #be, #f8, #0e, #c1, #0e
db #c9, #0e, #d1, #07, #e1, #0e, #e9, #0e
db #f1, #0e, #f9, #5e, #c1, #5e, #d1, #5e
db #e1, #5e, #e9, #04, #d2, #4a, #da, #49
db #fa, #99, #ca, #99, #da, #99, #e2, #9e
db #ea, #3e, #d3, #01, #09, #00, #6d, #f0
db #bc, #d8, #0b, #c1, #a5, #c1, #93, #ea
db #99, #f2, #3c, #c3, #3c, #cb, #3d, #f3
db #03, #0d, #00, #6d, #f8, #bc, #e8, #0b
db #d1, #5c, #f1, #01, #ca, #4c, #f2, #4c
db #fa, #9a, #ca, #97, #da, #9c, #da, #9c
db #ea, #ec, #fa, #3d, #eb, #61, #02, #00
db #bd, #c0, #00, #c2, #0f, #1e, #00, #bd
db #c8, #bd, #d0, #bd, #d8, #05, #e1, #06
db #e1, #06, #e9, #07, #e9, #0c, #e9, #07
db #f9, #57, #c1, #5c, #c9, #5d, #d1, #58
db #d9, #57, #e9, #58, #f1, #58, #f9, #a8
db #c1, #a8, #c9, #a8, #d1, #a7, #f1, #f7
db #c1, #f8, #f9, #48, #ca, #49, #ca, #48
db #da, #48, #e2, #47, #ea, #97, #c2, #95
db #f2, #3d, #c3, #21, #05, #00, #bc, #e0
db #ba, #e8, #0b, #c9, #4c, #ea, #9a, #d2
db #69, #07, #00, #bd, #e0, #bd, #f8, #0d
db #c1, #0d, #e1, #5c, #c1, #5c, #e1, #f8
db #e1, #80, #20, #00, #bf, #e0, #bf, #f8
db #0f, #c1, #04, #d1, #0f, #f9, #5f, #c9
db #5f, #e9, #5f, #f1, #62, #f9, #ae, #c1
db #b2, #f1, #aa, #f9, #fe, #d1, #fe, #d9
db #fa, #e1, #fe, #e1, #02, #e2, #4f, #c2
db #9f, #ca, #9e, #da, #9f, #ea, #9f, #f2
db #95, #fa, #ee, #c2, #ef, #c2, #ee, #da
db #ee, #e2, #ee, #f2, #ee, #fa, #3e, #c3
db #3e, #cb, #3e, #fb, #4b, #0b, #00, #bd
db #e8, #0c, #c1, #0c, #c9, #0c, #d1, #0c
db #d9, #0c, #f1, #f8, #d9, #9c, #c2, #9c
db #f2, #ed, #c2, #ec, #ca, #12, #03, #00
db #ba, #f0, #ba, #f8, #b1, #f1, #07, #08
db #00, #bc, #f0, #0b, #e1, #5b, #d1, #00
db #da, #00, #ea, #eb, #c2, #ec, #ea, #ec
db #f2, #2d, #0b, #00, #bd, #f0, #0d, #d9
db #a8, #f1, #b0, #f9, #b2, #f9, #00, #ca
db #f8, #e9, #f8, #f1, #ed, #ca, #ed, #f2
db #3d, #cb, #30, #04, #00, #bb, #f8, #5c
db #e9, #fc, #d9, #9a, #da, #87, #06, #00
db #bc, #f8, #0c, #e1, #5b, #d9, #49, #c2
db #9b, #c2, #9b, #fa, #52, #04, #00, #0a
db #c1, #b1, #f9, #01, #c2, #9c, #e2, #16
db #04, #00, #0a, #c9, #5c, #d9, #00, #f2
db #9b, #d2, #09, #0a, #00, #0d, #c9, #0d
db #f1, #5d, #e1, #02, #ca, #02, #d2, #9d
db #ca, #9d, #d2, #9d, #f2, #ed, #d2, #ed
db #ea, #23, #01, #00, #03, #d1, #06, #03
db #00, #0a, #d1, #ea, #da, #ea, #e2, #29
db #06, #00, #0d, #d1, #08, #f9, #58, #c1
db #4d, #f2, #ed, #fa, #3d, #d3, #11, #06
db #00, #03, #d9, #54, #c9, #54, #d1, #a6
db #f1, #44, #fa, #94, #c2, #cf, #03, #00
db #04, #d9, #05, #e9, #94, #f2, #0e, #05
db #00, #05, #d9, #0a, #e1, #0a, #e9, #59
db #e1, #5a, #e1, #86, #07, #00, #0a, #d9
db #5a, #f1, #af, #e1, #af, #e9, #ff, #e9
db #f9, #f9, #ff, #f9, #43, #04, #00, #0b
db #d9, #5c, #d1, #b0, #f1, #eb, #ca, #10
db #1b, #00, #03, #e1, #0a, #f1, #60, #c9
db #62, #e9, #5d, #f1, #ad, #d1, #b0, #d1
db #ad, #e9, #ac, #f9, #fd, #c1, #fd, #c9
db #fd, #d9, #fd, #e1, #fd, #f1, #fc, #f9
db #fd, #f9, #4d, #c2, #4c, #ca, #4d, #d2
db #50, #da, #4d, #ea, #98, #e2, #99, #ea
db #99, #fa, #e9, #c2, #eb, #e2, #3d, #e3
db #ff, #0f, #00, #04, #e1, #04, #e9, #05
db #f1, #05, #f9, #55, #c1, #56, #c1, #46
db #ca, #46, #d2, #46, #e2, #45, #f2, #45
db #fa, #95, #c2, #95, #ca, #94, #e2, #94
db #ea, #18, #03, #00, #08, #e9, #0d, #f9
db #98, #d2, #81, #02, #00, #09, #e9, #4d
db #e2, #49, #03, #00, #0d, #e9, #08, #f1
db #9d, #c2, #77, #08, #00, #04, #f1, #04
db #f9, #55, #e1, #55, #e9, #f6, #f9, #45
db #e2, #45, #ea, #94, #d2, #8f, #03, #00
db #06, #f1, #f7, #e1, #f7, #e9, #83, #03
db #00, #07, #f1, #5d, #d9, #9a, #c2, #c0
db #0a, #00, #09, #f1, #0a, #f9, #fa, #d9
db #4a, #ca, #4e, #da, #4a, #ea, #99, #c2
db #9e, #ca, #9e, #f2, #ee, #ca, #a0, #02
db #00, #0f, #f1, #ff, #c1, #ef, #07, #00
db #06, #f9, #46, #c2, #46, #da, #96, #c2
db #95, #d2, #95, #da, #95, #e2, #c3, #04
db #00, #0c, #f9, #5a, #c9, #5a, #d1, #9c
db #ca, #33, #08, #00, #54, #c1, #55, #f1
db #55, #f9, #a6, #e1, #f6, #f1, #45, #da
db #93, #f2, #93, #fa, #0b, #05, #00, #5a
db #c1, #01, #da, #ec, #c2, #ec, #d2, #ec
db #da, #a1, #04, #00, #5d, #c1, #5d, #c9
db #02, #da, #97, #ea, #3f, #03, #00, #57
db #c9, #57, #e1, #f8, #c9, #0d, #04, #00
db #58, #c9, #a9, #c9, #49, #d2, #9d, #e2
db #4a, #03, #00, #59, #c9, #ff, #d1, #fa
db #f1, #bf, #03, #00, #57, #d1, #57, #d9
db #a7, #e1, #0c, #0b, #00, #59, #d1, #59
db #d9, #aa, #c1, #04, #ca, #03, #d2, #49
db #da, #49, #e2, #49, #f2, #9a, #f2, #9a
db #fa, #ea, #c2, #20, #07, #00, #5f, #d1
db #ab, #e9, #ab, #f9, #4c, #d2, #9f, #d2
db #ea, #fa, #3a, #c3, #d2, #01, #00, #5a
db #d9, #34, #02, #00, #5b, #e1, #4b, #f2
db #2c, #06, #00, #59, #e9, #aa, #c9, #03
db #c2, #4a, #d2, #94, #fa, #ea, #ca, #68
db #04, #00, #5a, #e9, #fa, #c1, #fa, #e9
db #49, #ea, #02, #06, #00, #5b, #e9, #ab
db #f1, #01, #ea, #97, #e2, #ea, #ea, #ea
db #f2, #38, #04, #00, #5d, #e9, #02, #c2
db #4d, #fa, #9d, #ea, #af, #05, #00, #57
db #f1, #57, #f9, #a7, #c9, #a7, #d1, #a7
db #d9, #1c, #01, #00, #59, #f1, #2f, #07
db #00, #a7, #c1, #a9, #d1, #a7, #f9, #f7
db #f1, #47, #c2, #47, #ca, #47, #f2, #60
db #06, #00, #ab, #c9, #af, #c9, #ab, #e1
db #fb, #c1, #fb, #c9, #fb, #d9, #7f, #03
db #00, #a6, #d1, #46, #fa, #94, #da, #37
db #02, #00, #a6, #d9, #f6, #c9, #6e, #02
db #00, #a9, #d9, #a9, #e1, #e0, #04, #00
db #aa, #d9, #af, #d9, #aa, #f1, #4a, #fa
db #b4, #02, #00, #aa, #e1, #af, #f9, #04
db #02, #00, #b0, #e1, #aa, #e9, #13, #05
db #00, #a6, #e9, #a6, #f9, #f6, #e1, #f6
db #e9, #45, #d2, #9f, #01, #00, #a7, #e9
db #ce, #02, #00, #a9, #e9, #f9, #e9, #a5
db #02, #00, #b0, #e9, #00, #d2, #28, #01
db #00, #b1, #e9, #8c, #05, #00, #a9, #f1
db #a9, #f9, #f9, #c9, #f9, #d1, #f9, #d9
db #c2, #04, #00, #af, #f1, #ff, #c9, #ff
db #d9, #ff, #e1, #1f, #04, #00, #a8, #f9
db #f6, #d1, #47, #da, #47, #e2, #17, #02
db #00, #f6, #c1, #f6, #d9, #7b, #01, #00
db #f8, #c1, #c8, #01, #00, #f9, #c1, #82
db #02, #00, #fa, #c9, #ff, #f1, #84, #02
db #00, #03, #ca, #4a, #c2, #5b, #01, #00
db #f8, #d1, #1a, #01, #00, #01, #d2, #6f
db #02, #00, #f7, #d9, #96, #ca, #4c, #01
db #00, #f9, #e1, #70, #03, #00, #01, #e2
db #4b, #ea, #9a, #e2, #2e, #01, #00, #f9
db #f1, #24, #03, #00, #4b, #c2, #4a, #f2
db #ea, #d2, #3c, #02, #00, #98, #c2, #ed
db #da, #73, #01, #00, #94, #ca, #58, #02
db #00, #98, #ca, #ed, #e2, #25, #02, #00
db #9b, #ca, #96, #ea, #5f, #01, #00, #96
db #d2, #5a, #03, #00, #97, #d2, #9d, #da
db #9c, #fa, #92, #01, #00, #9c, #d2, #4f
db #01, #00, #96, #da, #90, #02, #00, #98
db #da, #98, #ea, #1e, #01, #00, #96, #e2
db #9e, #01, #00, #95, #ea, #96, #01, #00
db #9d, #fa, #41, #02, #00, #eb, #d2, #eb
db #da, #85, #01, #00, #3d, #db
delta03:
db #50, #00, #96, #00, #6e, #d8, #6e, #e0
db #6e, #e8, #6d, #f0, #6e, #f0, #6d, #f8
db #6e, #f8, #bd, #c0, #bd, #c8, #bd, #d0
db #bc, #d8, #bd, #d8, #bc, #e0, #bc, #e8
db #bb, #f0, #bc, #f0, #bb, #f8, #bc, #f8
db #bf, #f8, #0b, #c1, #0e, #c1, #0f, #c1
db #03, #d1, #04, #d1, #03, #d9, #04, #d9
db #0e, #d9, #03, #e1, #04, #e1, #04, #e9
db #04, #f1, #0e, #f1, #0f, #f1, #04, #f9
db #0d, #f9, #0f, #f9, #54, #c1, #5d, #c1
db #5e, #c1, #5f, #c1, #54, #c9, #5d, #c9
db #5e, #c9, #54, #d1, #5c, #d1, #5d, #d1
db #55, #d9, #5c, #d9, #5d, #d9, #5e, #d9
db #5f, #d9, #55, #e1, #5c, #e1, #5d, #e1
db #5e, #e1, #55, #e9, #5d, #e9, #5e, #e9
db #62, #e9, #63, #e9, #55, #f1, #5d, #f1
db #5f, #f1, #62, #f1, #55, #f9, #62, #f9
db #a5, #c1, #b0, #c1, #b0, #c9, #b0, #e1
db #b1, #e9, #b0, #f1, #b1, #f1, #b2, #f1
db #b1, #f9, #b2, #f9, #00, #c2, #01, #c2
db #02, #c2, #03, #c2, #00, #ca, #01, #ca
db #02, #ca, #03, #ca, #01, #d2, #02, #d2
db #04, #d2, #01, #da, #02, #da, #fd, #e1
db #00, #e2, #00, #ea, #01, #ea, #fd, #f1
db #00, #f2, #fc, #f9, #fd, #f9, #ff, #f9
db #4d, #c2, #4f, #c2, #4d, #d2, #4e, #da
db #50, #da, #4d, #e2, #4c, #ea, #4d, #ea
db #4c, #f2, #4d, #f2, #4d, #fa, #9d, #c2
db #9e, #ca, #9d, #d2, #9f, #d2, #9a, #da
db #9d, #da, #9e, #da, #9a, #e2, #9e, #e2
db #96, #ea, #97, #ea, #93, #f2, #94, #f2
db #95, #f2, #96, #f2, #9e, #f2, #93, #fa
db #94, #fa, #95, #fa, #9d, #fa, #ea, #d2
db #eb, #d2, #eb, #da, #ee, #da, #ea, #e2
db #eb, #e2, #ee, #e2, #ea, #f2, #ec, #f2
db #ea, #fa, #ec, #fa, #3a, #c3, #3c, #c3
db #3c, #cb, #3d, #cb, #3d, #d3, #3d, #db
db #3d, #e3, #3d, #eb, #3d, #f3, #3e, #fb
db #40, #19, #00, #70, #d8, #70, #e8, #70
db #f8, #c0, #c0, #bf, #d0, #bf, #e0, #c0
db #e0, #c0, #e8, #10, #c1, #10, #c9, #0e
db #f9, #5e, #d1, #00, #d2, #04, #da, #4f
db #ca, #4b, #da, #4f, #da, #99, #c2, #a0
db #c2, #99, #ca, #a0, #da, #ef, #c2, #ea
db #da, #3f, #d3, #3f, #db, #01, #12, #00
db #6f, #e0, #be, #c0, #bd, #e0, #09, #c1
db #0c, #c1, #04, #c9, #09, #c9, #0b, #d9
db #55, #d1, #f4, #d9, #fe, #e9, #45, #c2
db #93, #e2, #e8, #d2, #e8, #da, #e8, #e2
db #ec, #e2, #e8, #ea, #02, #06, #00, #6f
db #e8, #5f, #e9, #60, #f1, #4b, #f2, #ef
db #d2, #ef, #da, #24, #06, #00, #6f, #f0
db #4f, #fa, #9f, #f2, #ef, #ca, #ef, #e2
db #3f, #c3, #04, #0b, #00, #70, #f0, #c0
db #c8, #c0, #d0, #c0, #d8, #c0, #f0, #be
db #f8, #0e, #c9, #a0, #d2, #a0, #e2, #3f
db #cb, #3f, #e3, #0c, #1b, #00, #6f, #f8
db #be, #e0, #ba, #f0, #06, #c1, #0d, #c9
db #09, #e9, #09, #f1, #09, #f9, #59, #e1
db #59, #f1, #59, #f9, #ac, #c1, #a9, #c9
db #a9, #d1, #a9, #d9, #f9, #d1, #ff, #d1
db #ff, #e1, #f9, #f1, #49, #c2, #9c, #da
db #94, #ea, #e9, #fa, #39, #c3, #3e, #c3
db #3e, #cb, #3e, #d3, #08, #17, #00, #bf
db #c0, #ba, #e8, #be, #e8, #be, #f0, #08
db #d1, #0d, #d9, #0d, #e1, #5c, #e9, #5c
db #f9, #fc, #c9, #fc, #d1, #fc, #d9, #fc
db #e1, #ff, #f1, #9c, #ca, #9a, #f2, #9a
db #fa, #ea, #c2, #ed, #c2, #ee, #fa, #39
db #cb, #39, #d3, #39, #db, #03, #10, #00
db #be, #c8, #bd, #e8, #0c, #c9, #0b, #e9
db #0b, #f9, #5b, #e1, #a5, #e9, #ad, #f9
db #fe, #e1, #98, #ea, #98, #f2, #98, #fa
db #9b, #fa, #e8, #c2, #ec, #da, #ed, #fa
db #48, #0a, #00, #bf, #c8, #0d, #d1, #0e
db #e9, #5a, #d1, #5a, #f1, #ff, #e9, #49
db #e2, #49, #fa, #ea, #ca, #3f, #eb, #16
db #01, #00, #be, #d0, #0e, #0e, #00, #be
db #d8, #0a, #c9, #0a, #d1, #ac, #c9, #ac
db #d1, #ac, #e9, #ac, #f1, #fb, #f9, #4b
db #c2, #49, #ca, #9c, #e2, #e9, #da, #e9
db #e2, #e9, #ea, #80, #19, #00, #bf, #d8
db #ba, #e0, #b5, #f0, #07, #c9, #0d, #f1
db #5c, #c1, #63, #d1, #5f, #f9, #b2, #e1
db #b3, #f9, #fd, #c9, #03, #d2, #4a, #ca
db #4a, #d2, #4a, #da, #4a, #f2, #4a, #fa
db #9a, #ca, #9d, #ca, #9a, #d2, #9e, #d2
db #99, #da, #95, #ea, #9e, #ea, #ee, #ca
db #21, #08, #00, #b4, #f0, #09, #d1, #0b
db #e1, #ae, #c9, #f5, #f1, #eb, #c2, #e8
db #ca, #3d, #c3, #0f, #48, #00, #bd, #f0
db #bd, #f8, #06, #c9, #06, #d1, #07, #d1
db #06, #d9, #07, #d9, #0c, #d9, #07, #e1
db #0c, #e1, #07, #f1, #58, #c1, #57, #c9
db #57, #d1, #57, #d9, #5b, #f1, #5b, #f9
db #aa, #c1, #ab, #c1, #ab, #c9, #aa, #d9
db #ac, #d9, #ad, #d9, #ad, #e1, #a7, #e9
db #ad, #e9, #a8, #f1, #a9, #f1, #a7, #f9
db #a8, #f9, #a9, #f9, #aa, #f9, #f8, #c1
db #fa, #c1, #fa, #c9, #fa, #d1, #fb, #d1
db #fb, #d9, #fb, #e1, #fb, #e9, #fb, #f1
db #47, #c2, #47, #ca, #46, #da, #47, #da
db #46, #e2, #47, #e2, #46, #ea, #46, #f2
db #47, #f2, #46, #fa, #96, #c2, #95, #ca
db #96, #ca, #95, #d2, #96, #d2, #95, #da
db #96, #da, #94, #e2, #95, #e2, #96, #e2
db #99, #f2, #9c, #f2, #99, #fa, #9c, #fa
db #e9, #c2, #ec, #c2, #e9, #ca, #ec, #ca
db #e9, #d2, #ed, #ea, #ed, #f2, #11, #04
db #00, #b4, #f8, #04, #c1, #f4, #c1, #44
db #f2, #8e, #01, #00, #b5, #f8, #10, #12
db #00, #b9, #f8, #0b, #c9, #5b, #d9, #60
db #e9, #61, #f1, #5d, #f9, #61, #f9, #02
db #e2, #50, #ca, #4c, #d2, #4d, #da, #4c
db #e2, #4c, #fa, #a1, #ca, #9d, #ea, #9d
db #f2, #ec, #ea, #3e, #eb, #2c, #0c, #00
db #ba, #f8, #0a, #c1, #0c, #f9, #5a, #c1
db #5a, #d9, #5a, #e9, #ac, #f9, #fc, #c1
db #49, #d2, #49, #f2, #ed, #da, #e9, #f2
db #60, #0f, #00, #c0, #f8, #10, #d1, #10
db #e1, #10, #e9, #10, #f9, #60, #c9, #5b
db #d1, #60, #d1, #b0, #d9, #05, #ca, #4f
db #d2, #4b, #ea, #4f, #ea, #9f, #da, #ea
db #ea, #8f, #09, #00, #05, #c1, #57, #e1
db #57, #e9, #a8, #d1, #ab, #e1, #f7, #f1
db #45, #fa, #95, #c2, #94, #da, #1e, #08
db #00, #0d, #c1, #0a, #d9, #0a, #e1, #0c
db #f1, #ac, #e1, #99, #ea, #9c, #ea, #ed
db #e2, #cf, #08, #00, #05, #c9, #06, #f9
db #56, #c1, #57, #f1, #f7, #e9, #46, #ca
db #46, #d2, #45, #f2, #ef, #07, #00, #05
db #d1, #56, #c9, #56, #d1, #57, #f9, #a6
db #f9, #f7, #e1, #45, #ea, #30, #05, #00
db #0b, #d1, #60, #d9, #01, #e2, #51, #e2
db #51, #ea, #07, #0c, #00, #0c, #d1, #09
db #d9, #f4, #d1, #fe, #d9, #fa, #e1, #4b
db #fa, #9b, #c2, #9b, #ca, #9b, #da, #97
db #e2, #9b, #f2, #ec, #d2, #84, #0b, #00
db #0e, #d1, #0a, #f1, #59, #d1, #af, #c1
db #f9, #d9, #f9, #e1, #f9, #e9, #49, #ea
db #4a, #ea, #99, #d2, #9f, #ea, #7f, #08
db #00, #05, #d9, #56, #e9, #a6, #e1, #ab
db #e9, #ab, #f1, #ae, #f1, #f5, #d9, #f5
db #e1, #2d, #0b, #00, #08, #d9, #08, #f1
db #58, #c9, #58, #d1, #58, #e9, #58, #f1
db #a8, #c1, #a8, #e1, #f8, #d9, #f8, #e1
db #48, #e2, #20, #0c, #00, #0f, #d9, #5c
db #c9, #5f, #e1, #61, #e9, #60, #f9, #b0
db #e9, #b0, #f9, #04, #ca, #00, #da, #4b
db #e2, #4f, #f2, #9c, #c2, #06, #03, #00
db #10, #d9, #4b, #d2, #3e, #db, #77, #05
db #00, #05, #e1, #05, #e9, #56, #f1, #f4
db #c9, #45, #da, #29, #01, #00, #08, #e1
db #85, #01, #00, #09, #e1, #c0, #06, #00
db #0e, #e1, #59, #c9, #59, #d9, #03, #da
db #9a, #c2, #9f, #c2, #0d, #05, #00, #08
db #e9, #08, #f9, #a9, #e1, #a9, #e9, #f9
db #c9, #b4, #02, #00, #0a, #e9, #97, #ca
db #90, #04, #00, #0d, #e9, #62, #e1, #98
db #e2, #a2, #e2, #73, #01, #00, #05, #f1
db #43, #05, #00, #0b, #f1, #5b, #c1, #5b
db #e9, #ad, #f1, #fa, #e9, #42, #09, #00
db #10, #f1, #60, #c1, #5f, #d1, #60, #e1
db #9f, #ca, #9f, #e2, #ef, #ea, #ef, #f2
db #ef, #fa, #33, #08, #00, #05, #f9, #55
db #c1, #a6, #c1, #a6, #c9, #a6, #d9, #45
db #ca, #45, #d2, #94, #c2, #a0, #01, #00
db #0a, #f9, #3c, #01, #00, #59, #c1, #31
db #01, #00, #55, #c9, #c2, #01, #00, #5a
db #c9, #12, #01, #00, #5b, #c9, #82, #01
db #00, #5f, #c9, #4b, #07, #00, #58, #d9
db #58, #e1, #58, #f9, #f9, #c1, #48, #ea
db #48, #f2, #47, #fa, #68, #03, #00, #5a
db #e1, #4a, #c2, #4a, #e2, #78, #01, #00
db #59, #e9, #18, #02, #00, #5c, #f1, #ed
db #ca, #37, #03, #00, #56, #f9, #a5, #f1
db #f5, #e9, #a4, #02, #00, #5a, #f9, #f9
db #f9, #ff, #15, #00, #a7, #c1, #a7, #c9
db #a7, #d1, #a7, #d9, #a7, #e1, #a6, #e9
db #a6, #f1, #a5, #f9, #f5, #c1, #f6, #c1
db #f5, #c9, #f6, #c9, #f5, #d1, #f6, #d1
db #f7, #d1, #f6, #d9, #f7, #d9, #f6, #e1
db #f6, #e9, #f6, #f1, #f6, #f9, #5a, #03
db #00, #a9, #c1, #97, #c2, #97, #da, #87
db #05, #00, #aa, #c9, #aa, #d1, #fa, #d9
db #9b, #d2, #9b, #e2, #cc, #03, #00, #af
db #c9, #af, #d1, #af, #e9, #13, #01, #00
db #a6, #d1, #5f, #06, #00, #ab, #d1, #ae
db #d1, #ae, #e9, #ab, #f9, #ae, #f9, #fe
db #c1, #50, #01, #00, #b0, #d1, #ad, #02
db #00, #a8, #d9, #f8, #c9, #3f, #03, #00
db #ab, #d9, #ae, #e1, #aa, #e9, #df, #02
db #00, #ae, #d9, #fe, #c9, #ec, #03, #00
db #af, #d9, #af, #e1, #af, #f1, #2f, #02
db #00, #aa, #e1, #fb, #c9, #4f, #03, #00
db #aa, #f1, #fe, #d1, #94, #d2, #8c, #04
db #00, #af, #f9, #ff, #c1, #ff, #c9, #ff
db #d9, #1f, #02, #00, #fb, #c1, #f7, #c9
db #81, #03, #00, #fd, #c1, #98, #c2, #9d
db #e2, #e9, #01, #00, #f8, #d1, #69, #05
db #00, #f8, #e9, #f8, #f1, #48, #c2, #48
db #d2, #48, #da, #c3, #02, #00, #fa, #f1
db #97, #d2, #49, #02, #00, #f8, #f9, #48
db #fa, #1a, #02, #00, #fa, #f9, #9c, #d2
db #86, #01, #00, #4b, #ca, #67, #01, #00
db #94, #ca, #1c, #02, #00, #98, #ca, #ed
db #d2, #e0, #01, #00, #9f, #fa, #41, #01
db #00, #eb, #ca
delta04:
db #54, #00, #8b, #00, #70, #d8, #6f, #e0
db #6f, #e8, #6f, #f0, #6f, #f8, #be, #c0
db #be, #c8, #c0, #c8, #be, #d0, #c0, #d0
db #c0, #d8, #ba, #e0, #bd, #e0, #c0, #e0
db #ba, #e8, #bd, #e8, #b4, #f0, #b5, #f0
db #ba, #f0, #b4, #f8, #b5, #f8, #ba, #f8
db #04, #c1, #05, #c1, #0c, #c1, #04, #c9
db #05, #c9, #0b, #c9, #05, #d1, #0b, #d1
db #0f, #d1, #05, #d9, #05, #e1, #0e, #e1
db #05, #e9, #0e, #e9, #05, #f1, #05, #f9
db #0e, #f9, #55, #c1, #5b, #c1, #55, #c9
db #5c, #c9, #55, #d1, #5f, #d1, #63, #d1
db #56, #e1, #62, #e1, #56, #e9, #5b, #e9
db #61, #e9, #56, #f1, #56, #f9, #b2, #e1
db #af, #f1, #b0, #f9, #b3, #f9, #04, #ca
db #05, #ca, #00, #d2, #03, #d2, #00, #da
db #03, #da, #04, #da, #fb, #e1, #fe, #e1
db #ff, #e1, #01, #e2, #02, #e2, #fb, #e9
db #fe, #e9, #fb, #f1, #45, #c2, #4b, #c2
db #45, #ca, #4c, #ca, #4f, #ca, #50, #ca
db #45, #d2, #4c, #d2, #45, #da, #4d, #da
db #4b, #e2, #51, #e2, #4b, #ea, #51, #ea
db #44, #f2, #4b, #f2, #44, #fa, #4b, #fa
db #94, #c2, #99, #c2, #9b, #c2, #94, #ca
db #9a, #ca, #9f, #ca, #94, #d2, #95, #d2
db #9a, #d2, #94, #da, #95, #da, #96, #da
db #97, #da, #93, #e2, #94, #e2, #95, #e2
db #96, #e2, #97, #e2, #a2, #e2, #93, #ea
db #94, #ea, #95, #ea, #9f, #f2, #9f, #fa
db #ea, #ca, #eb, #ca, #ec, #ca, #ec, #d2
db #ec, #da, #ec, #e2, #ed, #e2, #ec, #ea
db #ed, #ea, #ed, #f2, #e9, #fa, #ed, #fa
db #ee, #fa, #3d, #c3, #3e, #c3, #3e, #cb
db #39, #d3, #3e, #d3, #3f, #d3, #39, #db
db #3e, #db, #3f, #db, #3f, #e3, #3e, #eb
db #3f, #eb, #01, #12, #00, #70, #e0, #be
db #d8, #c0, #f0, #c0, #f8, #0c, #c9, #10
db #e1, #10, #e9, #10, #f1, #10, #f9, #56
db #d9, #5c, #d9, #a6, #c1, #05, #c2, #fc
db #f9, #4c, #e2, #9b, #ea, #ec, #c2, #ee
db #f2, #20, #1b, #00, #70, #e8, #b5, #e8
db #0b, #f1, #0f, #f9, #5c, #c1, #5b, #d9
db #5b, #e1, #60, #e9, #60, #f1, #b1, #c1
db #b1, #c9, #06, #ca, #ff, #e9, #4b, #ca
db #51, #d2, #4c, #da, #4f, #ea, #9f, #e2
db #9b, #f2, #eb, #c2, #f0, #ca, #f1, #ca
db #f0, #d2, #ea, #da, #ea, #ea, #f0, #ea
db #40, #e3, #42, #01, #00, #70, #f0, #0c
db #18, #00, #70, #f8, #bf, #e0, #0e, #c9
db #5a, #e9, #60, #f9, #af, #d9, #a9, #e9
db #fa, #c1, #fe, #c1, #fa, #d1, #49, #d2
db #4d, #f2, #99, #ca, #99, #d2, #a1, #d2
db #9e, #ea, #9a, #f2, #9e, #f2, #ef, #da
db #e9, #e2, #ef, #e2, #ef, #ea, #38, #d3
db #40, #d3, #21, #0e, #00, #bf, #c0, #bd
db #f8, #10, #c9, #0c, #d1, #10, #d1, #60
db #c9, #5c, #e1, #5b, #f9, #ab, #c1, #fb
db #c9, #fb, #d1, #4c, #c2, #9b, #ca, #9b
db #e2, #48, #13, #00, #c0, #c0, #b8, #f8
db #0a, #c9, #0e, #d9, #0d, #f1, #59, #c1
db #59, #c9, #59, #d1, #aa, #d1, #aa, #d9
db #fe, #c9, #f9, #d9, #fd, #f1, #49, #da
db #4a, #fa, #4d, #fa, #a1, #ca, #e9, #f2
db #38, #db, #80, #17, #00, #b5, #c8, #c1
db #d8, #c1, #f0, #c1, #f8, #0a, #c1, #5d
db #c1, #5e, #d1, #ff, #c1, #fe, #d9, #ff
db #d9, #ff, #f1, #4e, #da, #4f, #da, #49
db #e2, #4e, #f2, #4f, #f2, #4f, #fa, #9f
db #c2, #9e, #ca, #9f, #da, #9f, #ea, #39
db #cb, #40, #cb, #43, #08, #00, #bf, #c8
db #0b, #e1, #fb, #c1, #47, #f2, #9c, #c2
db #9b, #d2, #9b, #da, #ed, #d2, #04, #07
db #00, #b5, #d0, #5b, #d1, #b0, #c9, #b0
db #e1, #b5, #f9, #a1, #da, #40, #db, #18
db #01, #00, #b6, #d0, #87, #08, #00, #bf
db #d0, #ab, #d9, #ab, #e9, #9c, #d2, #9c
db #da, #9c, #e2, #9c, #ea, #9c, #f2, #08
db #19, #00, #c1, #d0, #b7, #e0, #c1, #e0
db #bf, #e8, #c1, #e8, #b9, #f0, #bf, #f0
db #0e, #d1, #0a, #f9, #0d, #f9, #5e, #d9
db #af, #e9, #fe, #d1, #fd, #f9, #4d, #ea
db #4a, #f2, #51, #f2, #51, #fa, #a1, #c2
db #9e, #da, #9e, #e2, #ef, #ca, #ef, #d2
db #e9, #ea, #38, #e3, #60, #05, #00, #b5
db #d8, #0f, #e9, #5f, #c1, #5b, #c9, #9b
db #fa, #0e, #10, #00, #b6, #d8, #bf, #d8
db #b7, #e8, #b9, #f8, #be, #f8, #0e, #c1
db #59, #e1, #61, #f9, #af, #d1, #a9, #f9
db #ae, #f9, #fd, #e9, #9e, #fa, #e9, #d2
db #ef, #f2, #38, #cb, #12, #04, #00, #b5
db #e0, #0c, #f1, #61, #f1, #97, #c2, #57
db #01, #00, #b6, #e0, #16, #01, #00, #be
db #e0, #7f, #05, #00, #b6, #e8, #b6, #f0
db #57, #e9, #a7, #c1, #a7, #c9, #0f, #54
db #00, #be, #e8, #be, #f0, #09, #c1, #08
db #c9, #09, #c9, #0d, #c9, #08, #d1, #09
db #d1, #08, #d9, #08, #e1, #0d, #e1, #5d
db #e1, #5e, #e1, #5d, #e9, #5e, #e9, #5d
db #f1, #5e, #f1, #5f, #f1, #5c, #f9, #5d
db #f9, #5e, #f9, #5f, #f9, #a9, #c1, #ac
db #c1, #ad, #c1, #ae, #c1, #af, #c1, #a9
db #c9, #ac, #c9, #ad, #c9, #ae, #c9, #af
db #c9, #a9, #d1, #ac, #d1, #ad, #d1, #ae
db #d1, #a8, #d9, #a9, #d9, #ae, #d9, #a8
db #e1, #ab, #e1, #ac, #e1, #ae, #e1, #ac
db #e9, #ae, #e9, #ab, #f1, #ac, #f1, #ad
db #f1, #ae, #f1, #ac, #f9, #ad, #f9, #fc
db #c1, #fd, #c1, #fc, #c9, #fd, #c9, #fc
db #d1, #fd, #d1, #fd, #d9, #fd, #e1, #f8
db #f9, #98, #da, #9d, #da, #98, #e2, #98
db #ea, #99, #ea, #9d, #ea, #98, #f2, #9d
db #f2, #98, #fa, #e8, #c2, #ed, #c2, #e8
db #ca, #ed, #ca, #ee, #ca, #e8, #d2, #ee
db #d2, #e8, #da, #ee, #da, #e8, #e2, #ee
db #e2, #e8, #ea, #e8, #f2, #e8, #fa, #38
db #c3, #10, #08, #00, #c0, #e8, #bd, #f0
db #5c, #d1, #60, #d9, #fb, #d9, #fb, #f9
db #45, #e2, #4d, #e2, #9e, #01, #00, #b7
db #f0, #f7, #01, #00, #b6, #f8, #cf, #04
db #00, #b7, #f8, #47, #c2, #46, #e2, #46
db #ea, #37, #04, #00, #06, #c1, #06, #c9
db #06, #d1, #06, #d9, #ef, #08, #00, #07
db #c1, #07, #c9, #07, #d1, #07, #d9, #58
db #d1, #a6, #d1, #f7, #f9, #46, #da, #4b
db #06, #00, #08, #c1, #fc, #d9, #47, #d2
db #47, #e2, #9d, #ca, #9d, #e2, #a5, #01
db #00, #0d, #c1, #a0, #06, #00, #0f, #c1
db #5a, #f9, #aa, #f9, #ff, #d1, #fa, #f1
db #ef, #c2, #41, #03, #00, #10, #c1, #60
db #c1, #5b, #f1, #40, #13, #00, #0f, #c9
db #0b, #d9, #0f, #e1, #0a, #f1, #5e, #c9
db #60, #d1, #b0, #d1, #b0, #d9, #b0, #e9
db #b0, #f1, #af, #f9, #00, #c2, #ff, #c9
db #fe, #f1, #49, #ea, #4e, #ea, #49, #f2
db #eb, #da, #39, #c3, #2c, #0a, #00, #0a
db #d1, #5f, #e9, #af, #e1, #f9, #c9, #f9
db #f9, #49, #ca, #4a, #d2, #99, #da, #9a
db #e2, #9a, #ea, #2d, #05, #00, #0d, #d1
db #a9, #e1, #f9, #c1, #9d, #d2, #9d, #fa
db #3c, #02, #00, #09, #d9, #09, #e1, #96
db #01, #00, #0a, #d9, #07, #0a, #00, #0c
db #d9, #0c, #e1, #5c, #f1, #ab, #d1, #ab
db #f9, #95, #c2, #95, #ca, #9c, #fa, #ee
db #ea, #3f, #c3, #69, #02, #00, #0d, #d9
db #5d, #d9, #61, #03, #00, #10, #d9, #4c
db #fa, #97, #ca, #73, #01, #00, #06, #e1
db #ff, #21, #00, #07, #e1, #07, #e9, #07
db #f1, #07, #f9, #57, #c1, #57, #c9, #57
db #d1, #57, #d9, #58, #d9, #57, #e1, #a6
db #d9, #a6, #e1, #a5, #e9, #a5, #f1, #a4
db #f9, #a6, #f9, #f4, #c1, #f3, #c9, #f4
db #c9, #f7, #c9, #f3, #d1, #f4, #d1, #f4
db #d9, #f5, #d9, #f4, #e1, #f5, #e1, #f7
db #e1, #f5, #e9, #f7, #e9, #f5, #f1, #f7
db #f1, #46, #c2, #46, #d2, #13, #02, #00
db #06, #e9, #f3, #d9, #c0, #09, #00, #0a
db #e9, #09, #f9, #5f, #c9, #fa, #c9, #4a
db #c2, #4f, #d2, #4a, #e2, #9a, #da, #ea
db #e2, #f0, #01, #00, #0b, #e9, #03, #0d
db #00, #0c, #e9, #5c, #e9, #ab, #c9, #fc
db #e1, #fc, #e9, #fc, #f1, #4c, #f2, #50
db #f2, #50, #fa, #a0, #c2, #97, #d2, #ed
db #da, #3f, #cb, #1a, #02, #00, #0d, #e9
db #5d, #d1, #31, #01, #00, #06, #f1, #ad
db #03, #00, #08, #f1, #08, #f9, #f8, #e1
db #11, #06, #00, #06, #f9, #56, #c1, #56
db #c9, #56, #d1, #a4, #e9, #45, #ea, #30
db #03, #00, #0b, #f9, #0c, #f9, #4c, #ea
db #de, #01, #00, #58, #c1, #a4, #07, #00
db #5a, #c1, #5a, #f1, #aa, #c9, #fa, #f9
db #4a, #ca, #4a, #da, #4a, #ea, #ed, #01
db #00, #58, #c9, #68, #02, #00, #5a, #c9
db #f9, #e1, #38, #01, #00, #5a, #d1, #84
db #03, #00, #59, #d9, #aa, #f1, #49, #c2
db #e0, #03, #00, #5a, #d9, #fa, #d9, #fa
db #e9, #bf, #01, #00, #58, #e1, #c2, #02
db #00, #5a, #e1, #fa, #e1, #02, #0e, #00
db #60, #e1, #b4, #f1, #50, #e2, #50, #ea
db #a0, #ca, #a0, #d2, #a0, #da, #a0, #e2
db #a0, #ea, #a0, #f2, #a0, #fa, #a1, #fa
db #f0, #c2, #f1, #c2, #df, #03, #00, #58
db #e9, #58, #f1, #f8, #d1, #8d, #01, #00
db #59, #e9, #77, #05, #00, #57, #f1, #57
db #f9, #a5, #e1, #a4, #f1, #46, #ca, #8c
db #01, #00, #59, #f1, #9f, #04, #00, #58
db #f9, #a8, #c1, #a8, #c9, #f8, #c9, #28
db #02, #00, #aa, #c1, #aa, #e9, #3f, #02
db #00, #a7, #d1, #f7, #c1, #33, #05, #00
db #a5, #d9, #f3, #c1, #f4, #e9, #f5, #f9
db #45, #f2, #2f, #02, #00, #a7, #d9, #a7
db #e1, #5a, #01, #00, #aa, #e1, #1e, #08
db #00, #a9, #f1, #48, #d2, #9d, #c2, #96
db #ca, #99, #e2, #ee, #c2, #e9, #ca, #ef
db #fa, #8f, #03, #00, #f8, #c1, #f8, #d9
db #47, #ca, #f8, #01, #00, #f8, #e9, #0b
db #01, #00, #f8, #f1, #1c, #01, #00, #f9
db #f1, #58, #01, #00, #48, #c2, #50, #01
db #00, #4b, #d2, #c3, #04, #00, #47, #da
db #47, #ea, #47, #fa, #9c, #ca, #81, #02
db #00, #48, #da, #48, #e2, #09, #04, #00
db #48, #ea, #48, #f2, #98, #c2, #98, #d2
db #23, #01, #00, #45, #fa, #29, #02, #00
db #48, #fa, #98, #ca, #52, #01, #00, #96
db #d2, #24, #01, #00, #a1, #e2, #06, #02
db #00, #a1, #ea, #a1, #f2
delta05:
db #52, #00, #95, #00, #70, #e0, #70, #e8
db #bf, #c0, #b5, #c8, #b5, #d0, #b6, #d0
db #c1, #d0, #b5, #d8, #b6, #d8, #be, #d8
db #c1, #d8, #b5, #e0, #b6, #e0, #c1, #e0
db #b5, #e8, #b6, #e8, #c0, #e8, #c1, #e8
db #b6, #f0, #bd, #f0, #c0, #f0, #c1, #f0
db #b6, #f8, #c0, #f8, #c1, #f8, #06, #c1
db #10, #c1, #06, #c9, #0c, #c9, #06, #d1
db #10, #d1, #06, #d9, #0f, #d9, #06, #e1
db #10, #e1, #06, #e9, #10, #e9, #06, #f1
db #0b, #f1, #10, #f1, #06, #f9, #0c, #f9
db #0d, #f9, #0f, #f9, #10, #f9, #56, #c1
db #5d, #c1, #60, #c1, #56, #c9, #56, #d1
db #56, #d9, #5b, #d9, #5c, #e9, #5c, #f1
db #ac, #f1, #b4, #f1, #b5, #f9, #fc, #c1
db #05, #c2, #fc, #c9, #06, #ca, #fc, #d1
db #fc, #d9, #fc, #e1, #fc, #e9, #fd, #e9
db #ff, #e9, #fc, #f1, #fd, #f1, #ff, #f1
db #fc, #f9, #4b, #ca, #46, #d2, #4b, #d2
db #51, #d2, #46, #da, #4c, #da, #4f, #da
db #45, #e2, #46, #e2, #4c, #e2, #50, #e2
db #45, #ea, #46, #ea, #4c, #ea, #50, #ea
db #45, #f2, #46, #f2, #47, #f2, #4c, #f2
db #50, #f2, #51, #f2, #45, #fa, #46, #fa
db #47, #fa, #4c, #fa, #50, #fa, #51, #fa
db #95, #c2, #96, #c2, #97, #c2, #9a, #c2
db #a0, #c2, #a1, #c2, #95, #ca, #96, #ca
db #97, #ca, #9b, #ca, #a0, #ca, #a1, #ca
db #96, #d2, #97, #d2, #9b, #d2, #a0, #d2
db #a1, #d2, #a0, #da, #a1, #da, #a1, #e2
db #a1, #ea, #9c, #f2, #a1, #f2, #9c, #fa
db #a1, #fa, #eb, #c2, #ec, #c2, #ed, #c2
db #f1, #c2, #ed, #ca, #f1, #ca, #ed, #d2
db #ee, #d2, #eb, #da, #ed, #da, #ee, #da
db #ee, #e2, #ef, #e2, #ee, #ea, #ef, #ea
db #ee, #f2, #ef, #f2, #ef, #fa, #39, #c3
db #3f, #c3, #39, #cb, #3f, #cb, #40, #cb
db #40, #d3, #40, #db, #40, #e3, #01, #34
db #00, #70, #f0, #b7, #c0, #b7, #c8, #b7
db #d0, #b7, #d8, #b7, #e0, #be, #e0, #b7
db #e8, #b7, #f0, #b7, #f8, #bd, #f8, #07
db #c1, #07, #c9, #07, #d1, #0c, #d1, #07
db #d9, #07, #e1, #07, #e9, #0d, #e9, #07
db #f1, #0d, #f1, #07, #f9, #57, #c9, #57
db #d1, #57, #d9, #5d, #d9, #57, #e1, #57
db #e9, #ac, #d1, #fd, #c1, #fe, #e1, #f4
db #f1, #47, #da, #47, #e2, #47, #ea, #4d
db #f2, #9c, #c2, #e7, #ca, #ee, #ca, #e7
db #da, #e7, #e2, #e7, #ea, #e7, #f2, #e7
db #fa, #37, #c3, #41, #c3, #37, #cb, #37
db #d3, #37, #db, #37, #e3, #37, #eb, #37
db #f3, #10, #1b, #00, #67, #f8, #0c, #e9
db #0c, #f1, #5c, #c1, #5d, #d1, #5c, #d9
db #5c, #e1, #5c, #f9, #ac, #d9, #a3, #e1
db #ac, #e1, #ac, #e9, #fd, #c9, #fd, #d1
db #fd, #d9, #f2, #e1, #f2, #e9, #f3, #e9
db #f3, #f9, #4c, #ca, #4d, #ca, #48, #ea
db #4d, #ea, #9c, #ca, #9d, #fa, #e7, #d2
db #f0, #f2, #02, #03, #00, #70, #f8, #fb
db #e9, #f1, #f2, #08, #08, #00, #b8, #c8
db #b9, #e8, #0e, #e9, #62, #e1, #62, #e9
db #4f, #f2, #ea, #d2, #e9, #fa, #20, #13
db #00, #bf, #c8, #0b, #d1, #0b, #d9, #0f
db #e1, #0b, #e9, #0f, #e9, #0b, #f9, #5b
db #c1, #5c, #d1, #a1, #d9, #a1, #e1, #ab
db #f1, #ac, #f9, #fb, #e1, #4c, #c2, #4b
db #f2, #9b, #ea, #9b, #fa, #eb, #d2, #0c
db #1b, #00, #c0, #c8, #09, #c1, #09, #c9
db #09, #d1, #0e, #d1, #0e, #e1, #5a, #c9
db #5e, #d9, #5e, #e1, #aa, #d1, #ae, #d1
db #ff, #d1, #f9, #e9, #f9, #f1, #f9, #f9
db #49, #ca, #4e, #d2, #4e, #ea, #4f, #fa
db #99, #c2, #9e, #c2, #9f, #c2, #9a, #ca
db #ea, #ca, #e9, #ea, #e9, #f2, #38, #db
db #18, #03, #00, #b8, #d0, #a3, #e9, #48
db #e2, #52, #04, #00, #bf, #d0, #fb, #c9
db #fb, #d9, #fb, #f1, #80, #17, #00, #c0
db #d0, #b9, #d8, #0f, #c9, #0f, #d1, #0a
db #e1, #0e, #f1, #5f, #c1, #62, #f1, #a3
db #d9, #a4, #d9, #b1, #d9, #ab, #e9, #fd
db #e1, #fd, #f9, #4a, #ca, #4f, #e2, #4a
db #ea, #4f, #ea, #4a, #f2, #a0, #e2, #f1
db #d2, #ea, #da, #42, #cb, #1c, #06, #00
db #b8, #d8, #be, #f8, #5e, #e9, #ae, #e1
db #9e, #ea, #9e, #f2, #1e, #14, #00, #b8
db #e0, #be, #f0, #09, #e9, #60, #e1, #5f
db #e9, #5a, #f1, #5a, #f9, #aa, #c1, #ae
db #c1, #aa, #c9, #ae, #c9, #af, #c9, #af
db #e1, #af, #f9, #48, #ca, #99, #da, #9f
db #da, #9f, #e2, #9a, #f2, #9f, #fa, #40
db #0c, #00, #b9, #e0, #b9, #f0, #10, #c9
db #0b, #e1, #0f, #f1, #ab, #d9, #b0, #f9
db #00, #ca, #fb, #f9, #49, #e2, #ea, #e2
db #f1, #e2, #78, #05, #00, #bf, #e0, #4e
db #e2, #4e, #f2, #4e, #fa, #9d, #ea, #0f
db #3b, #00, #b8, #e8, #09, #f1, #09, #f9
db #59, #c1, #59, #c9, #59, #d1, #59, #d9
db #58, #e1, #59, #e1, #5a, #e1, #58, #e9
db #59, #e9, #5a, #e9, #60, #e9, #58, #f1
db #59, #f1, #61, #f1, #57, #f9, #58, #f9
db #59, #f9, #a7, #c1, #a8, #c1, #a7, #c9
db #a8, #c9, #b0, #c9, #a7, #d1, #a8, #d1
db #b0, #d9, #a7, #e1, #aa, #e1, #a9, #e9
db #aa, #e9, #a9, #f1, #aa, #f1, #a9, #f9
db #f8, #c1, #f9, #c1, #f9, #c9, #f8, #d1
db #f9, #d1, #f9, #d9, #f7, #e1, #f8, #e1
db #f7, #e9, #f8, #e9, #f7, #f1, #f7, #f9
db #47, #c2, #47, #ca, #48, #fa, #98, #c2
db #98, #ca, #98, #d2, #9a, #da, #9f, #ea
db #e9, #ca, #e9, #d2, #e9, #da, #38, #cb
db #34, #02, #00, #be, #e8, #ef, #d2, #0e
db #18, #00, #bf, #e8, #09, #d9, #5f, #c9
db #5a, #d1, #5e, #d1, #5a, #d9, #5f, #d9
db #5f, #e1, #af, #d9, #af, #e9, #aa, #f9
db #fa, #c1, #ff, #c1, #f9, #e1, #9f, #ca
db #99, #d2, #9a, #d2, #9f, #d2, #9a, #e2
db #9a, #ea, #9a, #fa, #a0, #fa, #ef, #c2
db #e9, #e2, #8f, #0c, #00, #b8, #f0, #b8
db #f8, #08, #d1, #08, #d9, #08, #e9, #08
db #f1, #08, #f9, #58, #c9, #58, #d1, #58
db #d9, #a7, #d9, #f8, #f1, #2c, #0f, #00
db #bf, #f0, #bf, #f8, #0e, #d9, #0a, #f1
db #5a, #c1, #5e, #c9, #5f, #d1, #5b, #f1
db #5e, #f9, #a9, #e1, #fa, #c9, #fe, #c9
db #99, #ca, #ea, #c2, #38, #d3, #04, #06
db #00, #b9, #f8, #ab, #d1, #b0, #f1, #fe
db #e9, #a0, #f2, #ee, #c2, #48, #05, #00
db #ba, #f8, #49, #d2, #4e, #da, #49, #ea
db #49, #f2, #df, #02, #00, #08, #c1, #46
db #c2, #84, #0a, #00, #0a, #c1, #0a, #c9
db #5e, #c1, #ae, #e9, #fe, #f1, #4a, #c2
db #49, #da, #9e, #da, #9e, #e2, #a0, #ea
db #21, #0a, #00, #0d, #c1, #ac, #c1, #a2
db #f1, #ad, #f9, #f1, #c9, #f2, #d9, #9c
db #d2, #9c, #e2, #9d, #f2, #f0, #ea, #58
db #03, #00, #0e, #c1, #48, #da, #48, #f2
db #9f, #02, #00, #08, #c9, #58, #c1, #09
db #03, #00, #0d, #c9, #62, #d9, #ad, #d9
db #a4, #08, #00, #0e, #c9, #0a, #d9, #60
db #c9, #5b, #f9, #ab, #e1, #fa, #f1, #9e
db #ca, #9b, #e2, #c0, #07, #00, #0a, #d1
db #ae, #f9, #fe, #d1, #fa, #f9, #4e, #ca
db #4a, #da, #49, #fa, #81, #04, #00, #0d
db #d1, #5d, #e1, #4d, #fa, #9d, #c2, #03
db #04, #00, #0c, #d9, #0c, #e1, #61, #d1
db #57, #f1, #29, #04, #00, #0d, #d9, #62
db #d1, #9d, #d2, #9d, #e2, #50, #03, #00
db #10, #d9, #5b, #e1, #9b, #da, #8e, #01
db #00, #09, #e1, #38, #01, #00, #0d, #e1
db #60, #04, #00, #0a, #e9, #ab, #c9, #fb
db #c1, #4b, #ea, #28, #02, #00, #0a, #f9
db #b1, #c9, #11, #01, #00, #57, #c1, #70
db #01, #00, #5b, #d1, #87, #05, #00, #60
db #d1, #60, #f9, #61, #f9, #b0, #c1, #b0
db #d1, #07, #08, #00, #60, #d9, #60, #f1
db #a2, #f9, #47, #d2, #f0, #ca, #f0, #d2
db #f0, #da, #f1, #fa, #c3, #02, #00, #61
db #d9, #61, #e1, #b0, #01, #00, #5d, #e9
db #e1, #02, #00, #61, #e9, #5d, #f1, #3c
db #05, #00, #5e, #f1, #5f, #f9, #a9, #d1
db #ae, #d9, #99, #ea, #13, #04, #00, #a6
db #c1, #a5, #d1, #f2, #c1, #46, #ca, #24
db #04, #00, #ab, #c1, #ab, #f9, #fb, #d1
db #4b, #da, #0d, #02, #00, #ad, #c1, #fe
db #c1, #86, #02, #00, #b1, #c1, #fa, #e9
db #7f, #05, #00, #a6, #c9, #a4, #e9, #a3
db #f9, #f2, #c9, #f4, #e9, #30, #03, #00
db #ac, #c9, #9c, #ea, #ef, #da, #49, #01
db #00, #ad, #c9, #ff, #05, #00, #a6, #d1
db #a5, #e1, #a4, #f1, #f3, #c1, #f3, #d9
db #a1, #02, #00, #ad, #d1, #ad, #f1, #d2
db #01, #00, #af, #d1, #77, #01, #00, #a5
db #d9, #ef, #04, #00, #a6, #d9, #f7, #c1
db #f7, #d1, #f6, #f9, #2d, #04, #00, #a9
db #d9, #48, #d2, #99, #e2, #ef, #ca, #0a
db #01, #00, #aa, #d9, #91, #01, #00, #a4
db #e1, #69, #03, #00, #ad, #e1, #ad, #e9
db #9d, #ca, #06, #01, #00, #b0, #e1, #16
db #02, #00, #b0, #e9, #f0, #c2, #5b, #02
db #00, #a3, #f1, #f3, #e1, #96, #01, #00
db #ae, #f1, #4a, #03, #00, #af, #f1, #fa
db #d9, #9f, #f2, #6f, #01, #00, #a7, #f9
db #af, #01, #00, #f7, #c9, #5f, #01, #00
db #f8, #c9, #c2, #02, #00, #ff, #c9, #f1
db #ea, #37, #01, #00, #f2, #d1, #68, #02
db #00, #fa, #d1, #4a, #fa, #2f, #01, #00
db #f7, #d9, #cf, #03, #00, #f8, #d9, #f8
db #f9, #48, #c2, #85, #01, #00, #fe, #d9
db #e0, #02, #00, #fa, #e1, #4a, #d2, #a0
db #01, #00, #4f, #d2, #5a, #01, #00, #9e
db #d2, #12, #01, #00, #9c, #da, #0b, #01
db #00, #9d, #da, #94, #01, #00, #9e, #fa
db #25, #01, #00, #f0, #e2
delta06:
db #66, #04, #0a, #00, #69, #e8, #5e, #d1
db #5e, #e1, #5e, #e9, #ab, #c9, #50, #fa
db #9e, #ca, #a0, #e2, #9f, #ea, #9b, #fa
db #40, #1e, #00, #69, #f0, #0b, #c1, #06
db #c9, #10, #d9, #0f, #e1, #63, #c9, #5e
db #f1, #ae, #c9, #a1, #d1, #a4, #d1, #b0
db #d1, #af, #f9, #ff, #c1, #04, #c2, #ff
db #c9, #03, #ca, #00, #d2, #fe, #d9, #03
db #ea, #ff, #f9, #4b, #d2, #4e, #da, #4b
db #ea, #9b, #ca, #a0, #ca, #9b, #da, #ee
db #e2, #eb, #ea, #f3, #ea, #38, #fb, #00
db #88, #00, #70, #f0, #67, #f8, #70, #f8
db #b7, #c0, #c0, #c0, #b7, #c8, #b8, #c8
db #c0, #c8, #b7, #d0, #b8, #d0, #c0, #d0
db #b7, #d8, #b8, #d8, #b7, #e0, #b8, #e0
db #b7, #e8, #b8, #e8, #b7, #f0, #b7, #f8
db #07, #c1, #07, #c9, #10, #c9, #0c, #d1
db #0c, #e1, #0f, #e9, #0c, #f1, #0d, #f1
db #0e, #f1, #0f, #f1, #5d, #d1, #5c, #d9
db #5d, #d9, #5d, #e1, #62, #e9, #5d, #f1
db #5c, #f9, #ac, #c1, #ad, #c1, #ae, #c1
db #ad, #c9, #b1, #c9, #ae, #d1, #af, #d1
db #ad, #d9, #ae, #d9, #af, #d9, #ad, #e1
db #ae, #e1, #ad, #e9, #ae, #e9, #af, #e9
db #ad, #f1, #ae, #f1, #ad, #f9, #b0, #f9
db #fe, #c1, #fd, #c9, #fe, #c9, #fd, #d1
db #fe, #d1, #fd, #d9, #ff, #d9, #fe, #e1
db #fe, #e9, #fe, #f1, #f3, #f9, #4c, #c2
db #4c, #ca, #4d, #ca, #4e, #d2, #4f, #d2
db #4d, #e2, #4e, #e2, #4f, #e2, #4d, #ea
db #4e, #ea, #4b, #f2, #4d, #f2, #4f, #f2
db #4e, #fa, #9c, #c2, #9d, #c2, #9e, #c2
db #9c, #ca, #9d, #ca, #9f, #ca, #9c, #d2
db #9d, #d2, #9c, #da, #9d, #da, #9e, #da
db #9f, #da, #9c, #e2, #9f, #e2, #9c, #ea
db #9d, #ea, #9e, #ea, #9f, #f2, #9d, #fa
db #9e, #fa, #9f, #fa, #ee, #c2, #ef, #c2
db #f0, #c2, #e7, #ca, #ee, #ca, #ef, #ca
db #f0, #ca, #e7, #d2, #eb, #d2, #ef, #d2
db #f0, #d2, #f1, #d2, #e7, #da, #ef, #da
db #f0, #da, #e7, #e2, #f0, #e2, #f1, #e2
db #e7, #ea, #f0, #ea, #f1, #ea, #e7, #f2
db #f0, #f2, #f1, #f2, #e7, #fa, #f1, #fa
db #37, #c3, #41, #c3, #37, #cb, #42, #cb
db #37, #d3, #37, #db, #37, #e3, #37, #eb
db #37, #f3, #0e, #16, #00, #69, #f8, #ba
db #e0, #ba, #f8, #0a, #d1, #0a, #d9, #0a
db #e1, #0a, #f1, #5a, #c1, #5a, #e1, #5a
db #f1, #aa, #c1, #af, #c1, #a9, #d9, #fb
db #e1, #4a, #d2, #49, #f2, #9a, #da, #9a
db #f2, #ea, #c2, #ea, #d2, #ea, #da, #ea
db #e2, #0c, #13, #00, #b9, #c0, #ba, #d0
db #ba, #d8, #bf, #e0, #ba, #e8, #be, #e8
db #bf, #e8, #0e, #c1, #63, #c1, #a9, #d1
db #4b, #c2, #49, #da, #49, #e2, #49, #ea
db #99, #d2, #9e, #d2, #e9, #ca, #39, #c3
db #39, #d3, #80, #18, #00, #ba, #c0, #bf
db #f8, #0e, #f9, #5e, #c1, #5e, #c9, #64
db #d1, #63, #e9, #a4, #c1, #ad, #d1, #b3
db #f1, #ac, #f9, #ae, #f9, #02, #c2, #ff
db #d1, #f3, #f1, #43, #c2, #4e, #ca, #4e
db #f2, #9d, #e2, #9e, #e2, #9e, #f2, #f3
db #d2, #3a, #c3, #3a, #cb, #9c, #02, #00
db #b9, #c8, #59, #e9, #8d, #02, #00, #b9
db #d0, #59, #c1, #24, #05, #00, #bf, #d0
db #0b, #e9, #5b, #e9, #60, #f9, #eb, #c2
db #ca, #01, #00, #b9, #d8, #01, #10, #00
db #be, #d8, #b8, #f8, #08, #c1, #0d, #e1
db #62, #c1, #61, #e1, #56, #f9, #a5, #d1
db #b1, #d1, #b1, #d9, #a1, #f1, #f2, #d9
db #f2, #e1, #45, #fa, #97, #c2, #a0, #c2
db #86, #02, #00, #bf, #d8, #0f, #f9, #8e
db #02, #00, #b9, #e0, #09, #c1, #8f, #0b
db #00, #b9, #e8, #b9, #f0, #09, #d1, #09
db #d9, #09, #f1, #07, #f9, #57, #c1, #59
db #c9, #fa, #c9, #fa, #d1, #98, #ea, #10
db #17, #00, #b8, #f0, #bd, #f0, #0d, #d9
db #0d, #e9, #0c, #f9, #5c, #c9, #5c, #d1
db #5d, #e9, #5d, #f9, #62, #f9, #b1, #c1
db #a1, #e9, #00, #ca, #fd, #e1, #fc, #e9
db #fc, #f1, #50, #e2, #4c, #ea, #4d, #fa
db #9d, #f2, #9c, #fa, #ed, #ca, #f2, #ca
db #4a, #03, #00, #ba, #f0, #aa, #c9, #aa
db #d1, #09, #03, #00, #be, #f0, #62, #c9
db #a3, #d9, #08, #0c, #00, #bf, #f0, #0f
db #c9, #07, #d1, #13, #f9, #63, #d9, #63
db #e1, #a4, #d9, #fd, #c1, #4a, #f2, #4f
db #fa, #a2, #ea, #39, #db, #ad, #03, #00
db #b9, #f8, #09, #c9, #09, #e9, #21, #06
db #00, #bd, #f8, #11, #f9, #61, #c1, #61
db #f1, #a1, #d9, #f1, #ca, #58, #02, #00
db #be, #f8, #f3, #e9, #2d, #04, #00, #0a
db #c1, #a8, #e9, #f8, #e1, #48, #c2, #05
db #06, #00, #0d, #c1, #60, #c9, #60, #e9
db #38, #e3, #38, #eb, #38, #f3, #60, #03
db #00, #0f, #c1, #9b, #d2, #9b, #ea, #11
db #07, #00, #08, #c9, #08, #d1, #56, #d9
db #56, #e1, #56, #e9, #56, #f1, #f4, #f1
db #0f, #1c, #00, #0a, #c9, #06, #d1, #07
db #e1, #07, #e9, #0a, #e9, #07, #f1, #0b
db #f9, #a7, #d9, #a9, #e1, #ab, #f1, #a7
db #f9, #aa, #f9, #f7, #c1, #fa, #c1, #fb
db #c1, #f8, #c9, #fb, #c9, #f7, #d1, #fb
db #d1, #f7, #d9, #f8, #d9, #f6, #f1, #f6
db #f9, #46, #c2, #47, #d2, #49, #d2, #47
db #da, #48, #f2, #0d, #04, #00, #0d, #c9
db #99, #c2, #99, #f2, #38, #db, #48, #05
db #00, #0e, #c9, #0e, #e9, #9a, #c2, #e9
db #f2, #ea, #f2, #e0, #03, #00, #0b, #d1
db #5f, #c9, #5f, #f1, #90, #08, #00, #0d
db #d1, #12, #f9, #5c, #c1, #62, #d1, #62
db #f1, #a3, #c1, #a3, #d1, #4d, #da, #84
db #06, #00, #0e, #d1, #0e, #d9, #5e, #f9
db #fb, #f1, #fb, #f9, #99, #fa, #07, #08
db #00, #06, #d9, #06, #e1, #10, #f9, #a6
db #c9, #f1, #c9, #f5, #f9, #46, #ca, #a0
db #d2, #03, #05, #00, #07, #d9, #a2, #e9
db #b0, #f1, #45, #c2, #95, #c2, #1f, #0f
db #00, #08, #d9, #08, #e1, #58, #d9, #58
db #e1, #a3, #f1, #f9, #c9, #f3, #e1, #f9
db #e9, #f9, #f1, #f9, #f9, #49, #c2, #49
db #ca, #46, #e2, #98, #c2, #98, #ca, #2c
db #0e, #00, #0b, #d9, #0b, #e1, #5f, #c1
db #5a, #c9, #59, #f1, #49, #fa, #9a, #e2
db #99, #ea, #9a, #ea, #9a, #fa, #e9, #d2
db #e9, #da, #ea, #ea, #39, #cb, #20, #15
db #00, #0c, #d9, #0c, #e9, #5c, #e1, #5c
db #e9, #61, #e9, #5c, #f1, #ac, #c9, #a2
db #d9, #ac, #d9, #b0, #e1, #ac, #f1, #af
db #f1, #b1, #f9, #f1, #c1, #04, #ca, #fc
db #d9, #4c, #f2, #47, #fa, #4b, #fa, #a1
db #da, #a0, #ea, #9e, #03, #00, #09, #e1
db #09, #f9, #59, #d1, #27, #01, #00, #06
db #e9, #3f, #08, #00, #08, #e9, #08, #f1
db #08, #f9, #58, #c1, #58, #d1, #f9, #c1
db #f9, #e1, #46, #ea, #33, #03, #00, #06
db #f1, #06, #f9, #56, #c1, #16, #01, #00
db #0b, #f1, #1e, #0a, #00, #0a, #f9, #5b
db #d9, #59, #f9, #aa, #e1, #aa, #e9, #fb
db #d9, #fb, #e9, #47, #e2, #46, #fa, #e9
db #c2, #c0, #08, #00, #14, #f9, #64, #c9
db #5e, #d9, #af, #c9, #b3, #f9, #03, #e2
db #ee, #da, #39, #e3, #87, #06, #00, #5b
db #c1, #ab, #d9, #ab, #e1, #ab, #e9, #a2
db #f1, #ab, #f9, #43, #05, #00, #60, #c1
db #60, #d9, #b0, #c9, #ab, #d1, #46, #d2
db #13, #02, #00, #56, #c9, #56, #d1, #ef
db #0b, #00, #57, #c9, #57, #d1, #57, #d9
db #57, #e1, #57, #e9, #a6, #e1, #a6, #f1
db #f7, #c9, #f5, #f1, #fa, #f1, #4a, #ca
db #7b, #01, #00, #58, #c9, #25, #01, #00
db #5b, #c9, #12, #03, #00, #61, #c9, #a1
db #e1, #ac, #e1, #a5, #01, #00, #5b, #d1
db #68, #02, #00, #5f, #d1, #9a, #ca, #70
db #03, #00, #60, #d1, #5b, #f9, #9b, #e2
db #a4, #05, #00, #63, #d1, #5f, #e1, #5f
db #e9, #4a, #e2, #99, #da, #ac, #01, #00
db #59, #d9, #30, #05, #00, #61, #d9, #61
db #f9, #a2, #e1, #4c, #da, #a1, #fa, #18
db #02, #00, #62, #d9, #62, #e1, #bc, #01
db #00, #59, #e1, #52, #02, #00, #5b, #e1
db #4b, #da, #34, #02, #00, #60, #e1, #ac
db #e9, #5b, #01, #00, #58, #e9, #af, #02
db #00, #57, #f1, #98, #f2, #41, #03, #00
db #5b, #f1, #b0, #c1, #f1, #d1, #28, #02
db #00, #5f, #f9, #fc, #c1, #31, #01, #00
db #a6, #c1, #06, #02, #00, #ab, #c1, #4b
db #e2, #3c, #02, #00, #a9, #c9, #99, #e2
db #0b, #03, #00, #ac, #d1, #48, #e2, #47
db #f2, #5a, #01, #00, #aa, #d9, #14, #01
db #00, #b0, #d9, #81, #01, #00, #a3, #e1
db #51, #01, #00, #a4, #e1, #2f, #04, #00
db #a7, #e1, #a7, #f1, #a9, #f9, #e8, #c2
db #02, #08, #00, #af, #e1, #b1, #e1, #b0
db #e9, #50, #ea, #a1, #ea, #a0, #f2, #a1
db #f2, #a0, #fa, #4b, #03, #00, #a3, #e9
db #f8, #f1, #48, #ea, #ff, #03, #00, #a3
db #f9, #fa, #f9, #4a, #c2, #17, #02, #00
db #f2, #c1, #46, #da, #42, #03, #00, #00
db #c2, #9f, #d2, #9b, #f2, #b0, #01, #00
db #fc, #c9, #b7, #01, #00, #f2, #d1, #5f
db #03, #00, #f9, #d1, #f9, #d9, #46, #f2
db #4f, #05, #00, #f6, #d9, #e8, #d2, #e8
db #e2, #e8, #f2, #e8, #fa, #cf, #03, #00
db #fa, #d9, #fa, #e1, #e8, #ca, #f7, #01
db #00, #f4, #e9, #bf, #01, #00, #f6, #e9
db #de, #01, #00, #fa, #e9, #49, #01, #00
db #f8, #f9, #69, #01, #00, #48, #ca, #29
db #01, #00, #48, #d2, #1a, #01, #00, #48
db #da, #82, #01, #00, #4a, #da, #3e, #01
db #00, #47, #ea, #c2, #02, #00, #4a, #ea
db #4a, #fa, #a0, #01, #00, #9f, #c2, #85
db #01, #00, #99, #ca, #9f, #02, #00, #98
db #d2, #98, #e2, #6f, #01, #00, #98, #fa
db #0a, #01, #00, #ea, #ca, #5e, #01, #00
db #e8, #ea, #1c, #01, #00, #e9, #fa, #6d
db #02, #00, #38, #c3, #38, #d3, #4d, #01
db #00, #38, #cb
delta07:
db #6c, #04, #07, #00, #6a, #e0, #6a, #e8
db #15, #e9, #49, #da, #96, #e2, #a4, #ea
db #3b, #d3, #00, #c3, #00, #69, #e8, #69
db #f0, #69, #f8, #b9, #c0, #b9, #c8, #bf
db #c8, #b9, #d0, #bf, #d0, #be, #d8, #bf
db #d8, #bf, #e0, #bf, #e8, #b8, #f0, #bf
db #f0, #b8, #f8, #08, #c1, #06, #c9, #08
db #c9, #06, #d1, #07, #d1, #08, #d1, #0b
db #d1, #06, #d9, #07, #d9, #08, #d9, #10
db #d9, #07, #e1, #08, #e1, #0e, #e1, #0b
db #e9, #0c, #e9, #0b, #f1, #13, #f9, #5b
db #c1, #5c, #c1, #5e, #c1, #5f, #c1, #60
db #c1, #62, #c1, #63, #c1, #5b, #c9, #5c
db #c9, #61, #c9, #62, #c9, #63, #c9, #5c
db #d1, #5e, #d1, #5f, #d1, #61, #d1, #62
db #d1, #63, #d1, #5b, #d9, #61, #d9, #62
db #d9, #63, #d9, #5b, #e1, #5c, #e1, #5e
db #e1, #61, #e1, #62, #e1, #5b, #e9, #5c
db #e9, #5d, #e9, #5e, #e9, #5f, #e9, #60
db #e9, #61, #e9, #5b, #f1, #60, #f1, #61
db #f1, #62, #f1, #5b, #f9, #5d, #f9, #60
db #f9, #61, #f9, #62, #f9, #a3, #c1, #a4
db #c1, #ab, #c1, #af, #c1, #b0, #c1, #b1
db #c1, #af, #c9, #a1, #d1, #a3, #d1, #a4
db #d1, #a5, #d1, #b0, #d1, #b1, #d1, #a1
db #d9, #a2, #d9, #a3, #d9, #a4, #d9, #a5
db #d9, #b0, #d9, #b1, #d9, #a1, #e1, #a2
db #e1, #a3, #e1, #a4, #e1, #b0, #e1, #b1
db #e1, #a1, #e9, #a2, #e9, #a3, #e9, #a4
db #e9, #b0, #e9, #a1, #f1, #a2, #f1, #a3
db #f1, #b0, #f1, #b3, #f1, #a2, #f9, #a3
db #f9, #b3, #f9, #f1, #c1, #f2, #c1, #f3
db #c1, #00, #c2, #04, #c2, #f1, #c9, #f2
db #c9, #04, #ca, #f1, #d1, #f2, #d1, #f2
db #d9, #f3, #d9, #f2, #e1, #f3, #e1, #03
db #e2, #f2, #e9, #f3, #e9, #f4, #e9, #03
db #ea, #f3, #f1, #f4, #f1, #fd, #f9, #43
db #c2, #45, #c2, #4b, #d2, #4b, #da, #4c
db #da, #4d, #da, #4b, #e2, #50, #e2, #4b
db #ea, #4c, #ea, #4f, #ea, #50, #ea, #4c
db #f2, #4b, #fa, #4d, #fa, #4f, #fa, #a0
db #c2, #9e, #ca, #a0, #ca, #9e, #d2, #9b
db #da, #a1, #da, #9b, #e2, #9e, #e2, #9b
db #ea, #a0, #ea, #a1, #ea, #a2, #ea, #9b
db #f2, #9e, #f2, #a0, #f2, #98, #fa, #9b
db #fa, #a0, #fa, #e8, #c2, #eb, #c2, #e8
db #ca, #ed, #ca, #f1, #ca, #f2, #ca, #e8
db #d2, #f3, #d2, #e8, #da, #ee, #da, #e8
db #e2, #ee, #e2, #e8, #ea, #f3, #ea, #e8
db #f2, #e8, #fa, #38, #c3, #38, #cb, #38
db #d3, #38, #db, #38, #e3, #38, #eb, #38
db #f3, #38, #fb, #64, #01, #00, #6a, #f0
db #80, #15, #00, #6b, #f0, #bc, #e0, #be
db #e0, #be, #e8, #0d, #c1, #0e, #d1, #0e
db #e9, #12, #f1, #64, #e9, #b2, #f1, #03
db #d2, #03, #f2, #4f, #ca, #9f, #c2, #9d
db #ca, #9e, #da, #9f, #f2, #9f, #fa, #ed
db #c2, #ee, #ca, #ee, #fa, #44, #02, #00
db #6a, #f8, #64, #d1, #84, #08, #00, #6b
db #f8, #bc, #e8, #0f, #e9, #a9, #f1, #f9
db #e9, #f9, #f1, #49, #d2, #4e, #e2, #4c
db #01, #00, #ba, #c0, #40, #12, #00, #bb
db #c0, #13, #e9, #5e, #c9, #5f, #c9, #b0
db #c9, #b0, #f9, #55, #ca, #4e, #d2, #55
db #d2, #4e, #ea, #4e, #f2, #50, #fa, #9e
db #c2, #9f, #ca, #a0, #d2, #a0, #e2, #9e
db #ea, #3b, #cb, #cc, #0c, #00, #ba, #c8
db #ba, #d0, #ba, #d8, #ba, #e8, #ba, #f8
db #0a, #c1, #0a, #c9, #0a, #d1, #0a, #d9
db #0a, #e9, #64, #d9, #b3, #c1, #02, #05
db #00, #bb, #c8, #10, #f1, #01, #d2, #a4
db #fa, #3b, #c3, #52, #01, #00, #bb, #d0
db #01, #14, #00, #b9, #d8, #bb, #d8, #0c
db #d1, #04, #f1, #5d, #c1, #b2, #c9, #fe
db #f9, #45, #d2, #51, #e2, #a3, #da, #98
db #ea, #98, #f2, #9c, #fa, #ec, #c2, #eb
db #ea, #eb, #f2, #39, #e3, #39, #eb, #39
db #f3, #39, #fb, #08, #1c, #00, #bc, #d8
db #0f, #c1, #0d, #c9, #15, #f1, #0e, #f9
db #12, #f9, #b3, #c9, #aa, #d1, #b3, #d1
db #af, #d9, #af, #e1, #b2, #e9, #03, #c2
db #4f, #c2, #53, #c2, #53, #ca, #a4, #d2
db #9a, #ea, #9d, #ea, #9d, #f2, #9d, #fa
db #ea, #f2, #ea, #fa, #3a, #c3, #3a, #cb
db #3a, #db, #3a, #f3, #3a, #fb, #11, #0d
db #00, #b9, #e0, #b9, #e8, #04, #e1, #04
db #e9, #63, #e1, #55, #e9, #a4, #f1, #f3
db #d1, #51, #c2, #94, #ca, #94, #d2, #a3
db #d2, #98, #e2, #ec, #05, #00, #ba, #e0
db #ba, #f0, #0a, #e1, #5a, #c9, #5a, #d9
db #21, #09, #00, #bb, #e0, #0c, #c9, #0c
db #d9, #ac, #d1, #00, #da, #51, #da, #97
db #ca, #97, #d2, #39, #db, #10, #21, #00
db #bb, #e8, #bd, #f8, #0b, #c1, #0e, #c1
db #0b, #d9, #11, #f1, #11, #f9, #14, #f9
db #5d, #c9, #60, #e1, #55, #f1, #5d, #f1
db #ac, #c9, #ad, #d1, #b1, #e9, #b1, #f1
db #01, #c2, #01, #ca, #fe, #e9, #fe, #f1
db #50, #c2, #4c, #fa, #a2, #c2, #9b, #ca
db #a2, #ca, #9d, #d2, #a2, #e2, #a1, #f2
db #a2, #f2, #a1, #fa, #eb, #e2, #ed, #e2
db #89, #c3, #13, #07, #00, #b9, #f0, #b9
db #f8, #63, #e9, #f4, #e1, #45, #da, #94
db #da, #39, #d3, #06, #02, #00, #bc, #f0
db #ec, #da, #81, #04, #00, #be, #f0, #fe
db #c9, #02, #da, #52, #fa, #07, #03, #00
db #bc, #f8, #e9, #f2, #e9, #fa, #94, #01
db #00, #be, #f8, #37, #05, #00, #09, #c1
db #09, #c9, #55, #d1, #a6, #d1, #a4, #f9
db #43, #04, #00, #0c, #c1, #fa, #c1, #52
db #f2, #39, #cb, #c0, #05, #00, #0e, #c9
db #14, #e9, #49, #c2, #4a, #d2, #95, #e2
db #77, #09, #00, #09, #d1, #09, #d9, #55
db #c1, #55, #c9, #a5, #e9, #f4, #d9, #01
db #f2, #45, #f2, #45, #fa, #0c, #17, #00
db #0d, #d1, #0d, #d9, #0f, #d9, #0f, #e1
db #5a, #e9, #aa, #c1, #a9, #e1, #b2, #e1
db #a9, #f9, #f9, #c1, #00, #ca, #03, #ca
db #f9, #d1, #00, #d2, #f9, #d9, #ff, #e9
db #49, #ca, #4a, #da, #4a, #e2, #4a, #f2
db #9a, #c2, #9a, #d2, #9a, #da, #d0, #02
db #00, #0e, #d9, #02, #d2, #0e, #08, #00
db #05, #e1, #5a, #f9, #ac, #f1, #af, #f1
db #fc, #f9, #4b, #c2, #4a, #ea, #4a, #fa
db #a4, #03, #00, #06, #e1, #aa, #c9, #f9
db #e1, #7f, #08, #00, #09, #e1, #09, #e9
db #05, #f9, #a6, #c1, #fc, #d1, #fc, #e1
db #01, #e2, #52, #da, #24, #01, #00, #0b
db #e1, #69, #04, #00, #0d, #e1, #59, #f9
db #ae, #e1, #f8, #e9, #8f, #0a, #00, #05
db #e9, #06, #f9, #57, #d1, #a7, #c1, #ff
db #c9, #47, #da, #47, #e2, #47, #f2, #99
db #ca, #99, #e2, #0f, #1e, #00, #06, #e9
db #06, #f1, #07, #f9, #57, #c9, #59, #e1
db #59, #e9, #59, #f1, #a7, #e1, #ab, #e1
db #a7, #f1, #a6, #f9, #ab, #f9, #af, #f9
db #f6, #c1, #ff, #c1, #02, #c2, #f6, #c9
db #f7, #c9, #02, #ca, #f6, #d1, #f6, #d9
db #fb, #d9, #01, #da, #f6, #e1, #fb, #e1
db #f6, #e9, #49, #ea, #49, #f2, #47, #fa
db #49, #fa, #87, #04, #00, #07, #e9, #aa
db #f9, #fa, #c9, #fa, #d1, #78, #02, #00
db #08, #e9, #ff, #e1, #09, #07, #00, #0d
db #e9, #08, #f1, #58, #c1, #ad, #e1, #ad
db #f1, #ae, #f9, #48, #ea, #ef, #0b, #00
db #05, #f1, #59, #c1, #a5, #f9, #f5, #c1
db #f5, #c9, #fd, #c9, #f5, #e1, #f5, #e9
db #46, #d2, #96, #c2, #95, #d2, #29, #03
db #00, #07, #f1, #58, #c9, #48, #ca, #cf
db #0e, #00, #09, #f1, #56, #c1, #57, #f9
db #a6, #e9, #f5, #d1, #f5, #d9, #02, #f2
db #02, #fa, #46, #ca, #99, #d2, #99, #da
db #99, #ea, #99, #f2, #e9, #ca, #ac, #02
db #00, #0a, #f1, #95, #da, #30, #0b, #00
db #0d, #f1, #10, #f9, #5c, #f1, #ac, #d9
db #ac, #e1, #00, #e2, #51, #d2, #97, #c2
db #9c, #ca, #a0, #da, #9c, #f2, #1e, #01
db #00, #08, #f9, #df, #03, #00, #09, #f9
db #59, #c9, #e9, #c2, #ce, #05, #00, #0a
db #f9, #5a, #d1, #fe, #e1, #53, #f2, #96
db #ca, #70, #02, #00, #0b, #f9, #96, #d2
db #83, #0a, #00, #0d, #f9, #aa, #d9, #aa
db #e1, #fa, #e9, #fa, #f1, #fa, #f9, #4a
db #c2, #48, #fa, #98, #c2, #98, #ca, #60
db #05, #00, #0f, #f9, #5f, #e1, #ae, #c9
db #4e, #da, #ec, #e2, #4b, #09, #00, #57
db #c1, #58, #d9, #58, #e9, #a8, #f1, #a8
db #f9, #f8, #c1, #f8, #d9, #47, #ca, #47
db #d2, #6c, #01, #00, #5a, #c1, #20, #0e
db #00, #61, #c1, #5f, #d9, #60, #d9, #5f
db #f1, #5f, #f9, #ab, #c9, #4e, #c2, #50
db #ca, #9b, #c2, #9b, #d2, #9f, #d2, #97
db #da, #9f, #ea, #eb, #ca, #b3, #01, #00
db #64, #c1, #ff, #19, #00, #56, #c9, #56
db #d1, #56, #d9, #56, #e1, #57, #e1, #56
db #e9, #57, #e9, #56, #f1, #57, #f1, #56
db #f9, #fd, #d1, #ff, #d1, #fd, #d9, #fe
db #d9, #fd, #e9, #52, #c2, #52, #ca, #52
db #d2, #46, #da, #46, #e2, #46, #ea, #46
db #f2, #46, #fa, #95, #c2, #95, #ca, #42
db #02, #00, #60, #c9, #5b, #d1, #26, #02
db #00, #64, #c9, #94, #e2, #1b, #01, #00
db #58, #d1, #5f, #01, #00, #59, #d1, #90
db #03, #00, #5d, #d1, #ad, #c9, #ad, #d9
db #50, #03, #00, #60, #d1, #4e, #ca, #55
db #da, #33, #05, #00, #55, #d9, #55, #e1
db #a5, #e1, #01, #fa, #45, #e2, #4f, #05
db #00, #59, #d9, #99, #c2, #99, #fa, #e9
db #d2, #e9, #da, #0b, #04, #00, #58, #e1
db #fa, #e1, #48, #da, #48, #f2, #2c, #05
db #00, #5a, #e1, #a9, #e9, #af, #e9, #02
db #e2, #9a, #ca, #88, #09, #00, #64, #e1
db #a4, #da, #9a, #fa, #ea, #c2, #ea, #ca
db #ea, #d2, #ea, #da, #ea, #e2, #ea, #ea
db #49, #03, #00, #58, #f1, #ae, #e9, #f8
db #e1, #66, #01, #00, #63, #f1, #e6, #01
db #00, #63, #f9, #2d, #05, #00, #a8, #c1
db #a8, #c9, #a8, #e1, #f8, #f1, #48, #e2
db #1c, #01, #00, #a9, #c1, #48, #07, #00
db #ae, #c1, #a9, #c9, #f9, #f9, #ff, #f9
db #9a, #e2, #a4, #e2, #9a, #f2, #67, #01
db #00, #a6, #c9, #41, #01, #00, #ab, #d1
db #28, #02, #00, #ae, #d1, #3a, #d3, #03
db #07, #00, #b2, #d1, #b2, #d9, #f5, #f9
db #51, #ca, #98, #da, #ec, #d2, #eb, #fa
db #0d, #03, #00, #a9, #d9, #f8, #f9, #48
db #c2, #86, #02, #00, #ab, #d9, #f9, #c9
db #25, #01, #00, #ae, #d9, #c3, #05, #00
db #aa, #e9, #aa, #f1, #b2, #f9, #fa, #d9
db #4a, #ca, #2f, #01, #00, #ab, #e9, #12
db #02, #00, #ac, #e9, #ec, #ca, #18, #03
db #00, #ad, #e9, #fd, #f1, #48, #d2, #1f
db #07, #00, #ab, #f1, #fb, #c1, #fb, #c9
db #fb, #d1, #fb, #e9, #fb, #f1, #fb, #f9
db #c1, #02, #00, #ae, #f1, #fe, #c1, #6f
db #02, #00, #ac, #f9, #47, #ea, #3f, #07
db #00, #fc, #c1, #fc, #c9, #fc, #d9, #fc
db #e9, #fc, #f1, #52, #e2, #52, #ea, #9c
db #02, #00, #fd, #c1, #02, #ea, #31, #01
db #00, #f3, #c9, #3c, #01, #00, #f8, #d1
db #d9, #01, #00, #fe, #d1, #de, #01, #00
db #ff, #d9, #bf, #01, #00, #fd, #e1, #f7
db #01, #00, #01, #ea, #27, #03, #00, #f5
db #f1, #a3, #ca, #39, #c3, #68, #01, #00
db #ff, #f1, #c8, #02, #00, #53, #d2, #53
db #da, #a0, #02, #00, #54, #d2, #54, #e2
db #a5, #01, #00, #49, #e2, #8c, #02, #00
db #53, #e2, #53, #ea, #73, #01, #00, #45
db #ea, #ee, #01, #00, #53, #fa, #6e, #01
db #00, #a3, #c2, #93, #01, #00, #98, #d2
db #61, #01, #00, #96, #da, #d7, #01, #00
db #e9, #e2, #47, #01, #00, #e9, #ea, #58
db #01, #00, #3a, #e3, #0a, #01, #00, #3a
db #eb
delta08:
db #4f, #24, #01, #00, #6b, #d8, #00, #f8
db #00, #6a, #e0, #6a, #e8, #6a, #f0, #6a
db #f8, #b9, #d8, #bc, #d8, #b9, #e0, #bc
db #e0, #be, #e0, #b9, #e8, #be, #e8, #b9
db #f0, #bd, #f0, #be, #f0, #b9, #f8, #bc
db #f8, #bd, #f8, #be, #f8, #bf, #f8, #09
db #c1, #0d, #c1, #0e, #c1, #0f, #c1, #09
db #c9, #0c, #c9, #0d, #c9, #0e, #c9, #0f
db #c9, #0c, #d1, #0d, #d1, #0e, #d1, #0f
db #d1, #0c, #d9, #0d, #d9, #0e, #d9, #0f
db #d9, #04, #e1, #05, #e1, #06, #e1, #0d
db #e1, #0f, #e1, #04, #e9, #05, #e9, #06
db #e9, #07, #e9, #08, #e9, #0d, #e9, #14
db #e9, #15, #e9, #07, #f1, #08, #f1, #0d
db #f1, #10, #f1, #11, #f1, #12, #f1, #15
db #f1, #0c, #f9, #0d, #f9, #0f, #f9, #12
db #f9, #14, #f9, #5d, #c1, #61, #c1, #64
db #c1, #5d, #c9, #5e, #c9, #5f, #c9, #60
db #c9, #64, #c9, #5d, #d1, #60, #d1, #64
db #d1, #5f, #d9, #60, #d9, #64, #d9, #60
db #e1, #63, #e1, #64, #e1, #63, #e9, #64
db #e9, #5d, #f1, #5e, #f1, #63, #f1, #5e
db #f9, #63, #f9, #ae, #c1, #b3, #c1, #ae
db #c9, #b0, #c9, #b2, #c9, #b3, #c9, #ae
db #d1, #b2, #d1, #b3, #d1, #a5, #e1, #b2
db #e1, #a5, #e9, #b1, #e9, #b2, #e9, #a4
db #f1, #a5, #f1, #b2, #f1, #a4, #f9, #a5
db #f9, #ab, #f9, #b2, #f9, #f4, #c1, #f5
db #c1, #02, #c2, #03, #c2, #f3, #c9, #f4
db #c9, #01, #ca, #02, #ca, #03, #ca, #f3
db #d1, #f4, #d1, #00, #d2, #01, #d2, #02
db #d2, #03, #d2, #f4, #d9, #f5, #d9, #00
db #da, #01, #da, #02, #da, #f4, #e1, #f5
db #e1, #fb, #e1, #00, #e2, #01, #e2, #02
db #e2, #f5, #e9, #ff, #e9, #01, #ea, #02
db #ea, #f5, #f1, #fe, #f1, #01, #f2, #02
db #f2, #03, #f2, #f5, #f9, #fe, #f9, #01
db #fa, #02, #fa, #4e, #c2, #50, #c2, #51
db #c2, #52, #c2, #53, #c2, #4e, #ca, #50
db #ca, #51, #ca, #52, #ca, #53, #ca, #55
db #ca, #45, #d2, #4e, #d2, #51, #d2, #52
db #d2, #53, #d2, #54, #d2, #55, #d2, #45
db #da, #4e, #da, #51, #da, #52, #da, #53
db #da, #55, #da, #4e, #e2, #51, #e2, #52
db #e2, #53, #e2, #54, #e2, #4e, #ea, #52
db #ea, #53, #ea, #4e, #f2, #52, #f2, #53
db #f2, #50, #fa, #52, #fa, #53, #fa, #9e
db #c2, #a2, #c2, #a3, #c2, #94, #ca, #9f
db #ca, #a2, #ca, #a3, #ca, #9f, #d2, #a0
db #d2, #a3, #d2, #a4, #d2, #a0, #da, #a3
db #da, #a4, #da, #9d, #e2, #a0, #e2, #a2
db #e2, #a4, #e2, #99, #ea, #9d, #ea, #9f
db #ea, #a4, #ea, #98, #f2, #99, #f2, #9d
db #f2, #9f, #f2, #a1, #f2, #a2, #f2, #99
db #fa, #9d, #fa, #9f, #fa, #a1, #fa, #a4
db #fa, #e9, #c2, #ed, #c2, #e9, #ca, #e9
db #d2, #e9, #da, #e9, #e2, #ea, #e2, #ed
db #e2, #e9, #ea, #ea, #ea, #e9, #f2, #ea
db #f2, #e9, #fa, #ea, #fa, #ee, #fa, #39
db #c3, #3a, #c3, #39, #cb, #3a, #cb, #39
db #d3, #3a, #d3, #39, #db, #3a, #db, #39
db #e3, #3a, #e3, #39, #eb, #3a, #eb, #39
db #f3, #3a, #f3, #39, #fb, #3a, #fb, #89
db #c3, #04, #04, #00, #6b, #e0, #49, #ea
db #9e, #fa, #ee, #c2, #2c, #07, #00, #6b
db #e8, #bb, #e0, #aa, #c1, #aa, #c9, #af
db #e1, #b0, #e9, #f9, #e1, #4c, #01, #00
db #6b, #f0, #0c, #0c, #00, #6b, #f8, #bb
db #c0, #bb, #d0, #a9, #c9, #ae, #d9, #a9
db #e9, #f9, #c9, #ff, #d9, #f9, #e9, #f9
db #f1, #49, #da, #49, #e2, #01, #10, #00
db #ba, #c0, #09, #d1, #09, #d9, #09, #e1
db #53, #c1, #ab, #d1, #ab, #e9, #ab, #f1
db #f5, #d1, #f6, #f1, #45, #e2, #94, #d2
db #99, #da, #ea, #da, #3b, #db, #3b, #e3
db #21, #05, #00, #ba, #c8, #ab, #d9, #ab
db #e1, #4b, #d2, #97, #f2, #6c, #03, #00
db #bb, #c8, #bb, #d8, #bb, #f0, #03, #0d
db #00, #ba, #d0, #09, #e9, #09, #f1, #57
db #c1, #5a, #f9, #a6, #f1, #f5, #c9, #f6
db #e9, #ea, #ca, #ea, #d2, #3b, #c3, #3b
db #cb, #3b, #d3, #20, #0a, #00, #bc, #d0
db #bc, #f0, #0f, #f1, #5c, #c9, #af, #c9
db #ff, #e1, #fb, #f9, #4c, #c2, #97, #ea
db #9e, #ea, #23, #03, #00, #ba, #d8, #ba
db #e0, #03, #f1, #27, #02, #00, #ba, #e8
db #a6, #e9, #0e, #14, #00, #bb, #e8, #0b
db #c1, #0b, #c9, #0b, #d1, #0b, #d9, #0b
db #e1, #0b, #e9, #0b, #f9, #5b, #c1, #5b
db #c9, #5b, #d1, #5b, #e9, #5b, #f1, #aa
db #d9, #a9, #e1, #a9, #f1, #aa, #f1, #00
db #ca, #fe, #e1, #95, #fa, #10, #0f, #00
db #bc, #e8, #0c, #c1, #0c, #f1, #5c, #e1
db #5d, #e1, #5c, #f1, #b0, #d1, #fb, #c1
db #4d, #da, #4d, #ea, #4d, #f2, #4d, #fa
db #98, #ea, #ed, #ea, #ed, #f2, #67, #02
db #00, #ba, #f0, #ba, #f8, #1e, #0f, #00
db #bb, #f8, #05, #f1, #0b, #f1, #56, #c1
db #57, #c9, #57, #d1, #5b, #f9, #a9, #d9
db #a8, #e9, #a9, #f9, #b1, #f9, #f7, #d9
db #fd, #f1, #f7, #f9, #4a, #f2, #4f, #04
db #00, #0a, #c1, #0a, #e1, #0a, #e9, #59
db #c9, #ef, #08, #00, #0a, #c9, #56, #d1
db #5a, #d1, #5a, #e1, #a7, #c9, #a7, #d1
db #ac, #e9, #95, #ea, #8f, #07, #00, #0a
db #d1, #0a, #d9, #0a, #f1, #55, #c1, #58
db #f9, #a7, #d9, #47, #c2, #40, #12, #00
db #13, #d9, #0f, #e9, #10, #e9, #06, #f1
db #10, #f9, #5e, #d9, #5f, #f9, #af, #c1
db #af, #d9, #b0, #e1, #fb, #c9, #fb, #d9
db #fb, #e9, #fb, #f1, #ff, #f9, #4f, #ca
db #9e, #ca, #3c, #f3, #80, #10, #00, #13
db #e9, #0e, #f1, #0e, #f9, #5e, #c1, #5d
db #d9, #5e, #e1, #5e, #e9, #ad, #c9, #b2
db #d9, #aa, #f9, #fa, #c9, #4d, #d2, #9d
db #c2, #9c, #da, #99, #e2, #9e, #e2, #0f
db #3c, #00, #04, #f1, #05, #f9, #09, #f9
db #56, #c9, #a8, #c1, #a8, #c9, #ad, #d9
db #ad, #e1, #ae, #e1, #ad, #e9, #ae, #e9
db #af, #e9, #ad, #f1, #ae, #f1, #af, #f1
db #b0, #f1, #ad, #f9, #ae, #f9, #b0, #f9
db #fd, #c1, #fe, #c1, #00, #c2, #fc, #c9
db #fd, #c9, #fe, #c9, #ff, #c9, #fd, #d1
db #fe, #d1, #ff, #d1, #fe, #d9, #fd, #e9
db #48, #e2, #4b, #e2, #48, #ea, #4a, #ea
db #48, #f2, #4b, #f2, #48, #fa, #4a, #fa
db #4b, #fa, #9a, #c2, #9b, #c2, #9a, #ca
db #9a, #d2, #9b, #d2, #9a, #da, #9b, #da
db #9a, #e2, #9b, #e2, #9a, #ea, #9b, #ea
db #9b, #f2, #9b, #fa, #eb, #c2, #eb, #ca
db #eb, #d2, #eb, #da, #eb, #e2, #eb, #ea
db #eb, #f2, #33, #04, #00, #03, #f9, #a5
db #c9, #46, #c2, #45, #f2, #cf, #04, #00
db #04, #f9, #58, #e9, #58, #f1, #96, #e2
db #5a, #02, #00, #06, #f9, #a8, #e1, #a5
db #01, #00, #07, #f9, #18, #08, #00, #08
db #f9, #f8, #d9, #4c, #f2, #4c, #fa, #98
db #ca, #98, #d2, #ec, #e2, #3c, #db, #6f
db #03, #00, #0a, #f9, #47, #f2, #94, #fa
db #ff, #1e, #00, #54, #c1, #54, #c9, #55
db #c9, #55, #d1, #55, #d9, #59, #d9, #5a
db #d9, #55, #e1, #59, #e1, #55, #e9, #59
db #e9, #5a, #e9, #55, #f1, #5a, #f1, #57
db #f9, #a6, #c1, #a7, #c1, #a6, #c9, #a6
db #d1, #ac, #d1, #a6, #d9, #ac, #d9, #a6
db #e1, #ac, #f1, #96, #c2, #96, #ca, #95
db #d2, #96, #d2, #95, #da, #95, #e2, #69
db #02, #00, #58, #c1, #58, #d1, #7f, #05
db #00, #59, #c1, #59, #d1, #46, #d2, #97
db #c2, #95, #ca, #2f, #01, #00, #5a, #c1
db #49, #03, #00, #58, #c9, #f9, #d9, #f8
db #f1, #af, #06, #00, #5a, #c9, #ac, #e1
db #47, #d2, #47, #ea, #47, #fa, #97, #ca
db #77, #07, #00, #54, #d1, #54, #d9, #55
db #f9, #a5, #c1, #46, #ca, #95, #c2, #94
db #f2, #9e, #01, #00, #57, #d9, #09, #05
db #00, #58, #d9, #f8, #c9, #f8, #f9, #48
db #d2, #99, #d2, #5e, #02, #00, #5b, #d9
db #5b, #e1, #13, #05, #00, #54, #e1, #a5
db #d1, #f6, #f9, #45, #ea, #94, #e2, #58
db #04, #00, #58, #e1, #a8, #f1, #f8, #e9
db #98, #c2, #c0, #03, #00, #5f, #e1, #aa
db #e1, #4a, #c2, #11, #02, #00, #54, #e9
db #94, #da, #95, #01, #00, #59, #f1, #c2
db #02, #00, #59, #f9, #97, #da, #30, #02
db #00, #60, #f9, #97, #e2, #0d, #01, #00
db #a9, #c1, #42, #02, #00, #ab, #c1, #4a
db #e2, #61, #02, #00, #ab, #c9, #96, #fa
db #f8, #01, #00, #ac, #c9, #28, #08, #00
db #aa, #d1, #aa, #e9, #fa, #c1, #9c, #c2
db #9c, #ca, #ec, #f2, #ec, #fa, #3c, #cb
db #48, #02, #00, #ad, #d1, #3c, #eb, #4b
db #03, #00, #a8, #d9, #f7, #d1, #fd, #e1
db #4a, #02, #00, #b1, #f1, #fa, #e1, #07
db #07, #00, #a6, #f9, #f6, #e1, #fc, #e9
db #96, #f2, #9a, #f2, #9a, #fa, #eb, #fa
db #87, #07, #00, #a7, #f9, #fc, #d1, #fc
db #d9, #f7, #f1, #4b, #ea, #49, #fa, #9b
db #ca, #0b, #03, #00, #a8, #f9, #f8, #c1
db #48, #ca, #1f, #01, #00, #ac, #f9, #08
db #15, #00, #01, #c2, #fe, #e9, #fd, #f9
db #4a, #da, #4c, #e2, #9c, #d2, #98, #da
db #9c, #e2, #9c, #ea, #9c, #f2, #9c, #fa
db #ec, #c2, #ec, #ca, #ec, #d2, #ee, #d2
db #ec, #da, #ee, #da, #ec, #ea, #3c, #c3
db #3c, #d3, #3c, #e3, #c3, #02, #00, #f7
db #c9, #f8, #e1, #83, #02, #00, #f8, #d1
db #99, #ca, #2d, #02, #00, #f9, #d1, #fd
db #d9, #a4, #03, #00, #fa, #d1, #fa, #d9
db #4a, #d2, #60, #06, #00, #fb, #d1, #ff
db #f1, #4b, #c2, #4f, #c2, #4f, #da, #9f
db #e2, #43, #04, #00, #fc, #e1, #fc, #f1
db #fc, #f9, #ea, #c2, #e0, #02, #00, #fa
db #e9, #4a, #ca, #68, #04, #00, #fa, #f1
db #fa, #f9, #49, #d2, #e5, #c2, #de, #01
db #00, #47, #ca, #bf, #02, #00, #47, #da
db #47, #e2, #29, #01, #00, #48, #da, #96
db #01, #00, #4b, #da, #90, #03, #00, #4d
db #e2, #4c, #ea, #98, #e2, #25, #02, #00
db #49, #f2, #99, #c2, #37, #02, #00, #45
db #fa, #94, #ea, #ca, #01, #00, #97, #d2
db #fe, #01, #00, #96, #da, #b4, #01, #00
db #96, #ea, #ac, #01, #00, #95, #f2, #9c
db #01, #00, #e4, #c2
delta09:
db #5a, #01, #17, #00, #6b, #d0, #6b, #d8
db #6b, #e0, #ba, #e8, #ba, #f0, #09, #e9
db #53, #f9, #ad, #c9, #ad, #d1, #a5, #f1
db #f6, #d1, #f6, #e1, #f6, #e9, #f6, #f9
db #46, #ca, #95, #d2, #98, #ea, #e4, #d2
db #e4, #da, #ec, #da, #eb, #e2, #ec, #e2
db #3d, #c3, #08, #11, #00, #6c, #d8, #6c
db #e8, #6c, #f0, #6c, #f8, #bc, #c0, #bc
db #c8, #b2, #f1, #aa, #f9, #f9, #d1, #9e
db #c2, #9e, #ca, #9a, #d2, #9e, #d2, #9e
db #ea, #3f, #db, #3f, #e3, #3f, #eb, #03
db #0c, #00, #6b, #e8, #6b, #f0, #6b, #f8
db #52, #c1, #f6, #c9, #f6, #f1, #4c, #ea
db #9b, #ea, #ec, #d2, #eb, #da, #e4, #e2
db #ed, #fa, #00, #66, #00, #ba, #c0, #ba
db #c8, #ba, #d0, #ba, #d8, #ba, #e0, #13
db #d9, #0e, #e9, #0f, #e9, #10, #e9, #13
db #e9, #04, #f1, #05, #f1, #06, #f1, #0f
db #f1, #04, #f9, #05, #f9, #06, #f9, #07
db #f9, #08, #f9, #0e, #f9, #10, #f9, #11
db #f9, #5e, #c1, #5d, #d9, #5d, #e1, #5e
db #e1, #5e, #e9, #5f, #f1, #5f, #f9, #af
db #c1, #ac, #c9, #ab, #d1, #ac, #d1, #ac
db #d9, #ac, #e1, #ac, #e9, #ac, #f9, #ad
db #f9, #fc, #c1, #f5, #c9, #fc, #c9, #f5
db #d1, #fb, #d1, #fc, #d1, #fd, #d1, #f6
db #d9, #fc, #d9, #fd, #d9, #fc, #e1, #fd
db #e1, #fc, #e9, #fd, #e9, #fc, #f1, #ff
db #f1, #fc, #f9, #fd, #f9, #46, #c2, #4b
db #c2, #4c, #c2, #4f, #c2, #4f, #ca, #4f
db #da, #45, #e2, #4b, #e2, #45, #ea, #45
db #f2, #45, #fa, #95, #c2, #9f, #c2, #95
db #ca, #9a, #ca, #94, #d2, #94, #da, #9a
db #da, #94, #e2, #9a, #e2, #9f, #e2, #94
db #ea, #9a, #ea, #94, #f2, #9a, #f2, #94
db #fa, #9a, #fa, #e4, #c2, #ea, #c2, #ea
db #ca, #ea, #d2, #ea, #da, #eb, #f2, #ec
db #f2, #eb, #fa, #ec, #fa, #3b, #c3, #3b
db #cb, #3b, #d3, #3c, #d3, #3b, #db, #3c
db #db, #3b, #e3, #3c, #e3, #3c, #eb, #3c
db #f3, #07, #0d, #00, #bb, #c0, #bb, #c8
db #09, #f9, #b0, #d1, #b0, #d9, #4b, #f2
db #4b, #fa, #9b, #c2, #9b, #ca, #9b, #e2
db #9b, #f2, #eb, #c2, #ec, #ca, #0f, #46
db #00, #bb, #d0, #bb, #d8, #bb, #e0, #bb
db #e8, #bb, #f0, #bb, #f8, #0b, #c1, #0b
db #c9, #0a, #d1, #0b, #d1, #0a, #d9, #0b
db #d9, #0a, #e1, #0b, #e1, #0a, #e9, #0b
db #e9, #0a, #f1, #0b, #f1, #0a, #f9, #0b
db #f9, #56, #c1, #5a, #c1, #5b, #c1, #55
db #c9, #57, #c9, #5a, #c9, #5b, #c9, #56
db #d1, #57, #d1, #5a, #d1, #5b, #d1, #57
db #d9, #5a, #d9, #5b, #d9, #58, #e9, #58
db #f1, #58, #f9, #af, #d1, #b1, #d9, #a8
db #e1, #a8, #e9, #b0, #e9, #b1, #e9, #b1
db #f1, #f7, #c9, #00, #ca, #f7, #d1, #f7
db #d9, #f7, #f9, #f8, #f9, #47, #c2, #48
db #c2, #48, #ca, #48, #d2, #48, #da, #47
db #f2, #47, #fa, #97, #c2, #98, #c2, #98
db #ca, #97, #d2, #98, #d2, #9d, #d2, #97
db #da, #97, #e2, #9d, #e2, #97, #ea, #9c
db #fa, #9d, #fa, #ed, #ca, #18, #04, #00
db #bc, #d0, #4d, #d2, #9d, #c2, #98, #fa
db #28, #01, #00, #bc, #d8, #48, #0e, #00
db #bc, #e0, #54, #c1, #a9, #f1, #a9, #f9
db #f9, #e1, #ff, #e1, #f9, #e9, #fa, #f9
db #99, #d2, #9e, #da, #98, #e2, #9e, #e2
db #99, #ea, #9e, #fa, #1c, #04, #00, #bc
db #e8, #ae, #d1, #ae, #e1, #49, #f2, #0c
db #0e, #00, #bc, #f0, #59, #f1, #b4, #d1
db #a9, #d9, #b3, #e1, #ae, #f1, #fe, #d9
db #49, #c2, #4a, #f2, #99, #ca, #9e, #f2
db #ee, #c2, #ee, #d2, #e5, #e2, #10, #18
db #00, #bd, #f0, #bd, #f8, #03, #e9, #02
db #f1, #12, #f1, #0d, #f9, #5d, #d1, #52
db #d9, #5c, #f9, #b0, #c1, #ad, #e1, #ad
db #e9, #ac, #f1, #ad, #f1, #fd, #c1, #fd
db #c9, #fd, #f1, #4c, #ca, #9a, #c2, #a0
db #ca, #98, #f2, #e8, #c2, #eb, #ea, #3e
db #e3, #0b, #05, #00, #ba, #f8, #0a, #c1
db #58, #c9, #4d, #fa, #9d, #ea, #2c, #0e
db #00, #bc, #f8, #59, #f9, #ae, #c9, #aa
db #d1, #aa, #d9, #a9, #e1, #01, #c2, #ff
db #d1, #4a, #d2, #4a, #da, #99, #c2, #ee
db #da, #ee, #ea, #ee, #f2, #1e, #09, #00
db #0c, #c1, #0c, #c9, #0c, #d1, #55, #c1
db #5c, #c1, #5a, #e1, #59, #e9, #5a, #e9
db #3e, #cb, #4b, #0c, #00, #0a, #c9, #53
db #c1, #58, #c1, #58, #e1, #b1, #c9, #b2
db #d1, #b3, #d9, #b1, #e1, #9c, #d2, #ed
db #d2, #ed, #da, #ed, #e2, #80, #0e, #00
db #0e, #c9, #13, #c9, #03, #e1, #5e, #c9
db #5e, #f1, #5e, #f9, #b3, #c1, #ff, #f9
db #4e, #da, #4f, #ea, #4e, #f2, #e9, #c2
db #ec, #ea, #3f, #d3, #0e, #11, #00, #0c
db #d9, #0c, #e1, #0c, #e9, #0c, #f1, #a9
db #c1, #a9, #c9, #af, #e1, #af, #e9, #fe
db #c1, #ff, #c1, #49, #d2, #49, #fa, #98
db #da, #ee, #ca, #e5, #da, #ee, #e2, #ee
db #fa, #40, #0d, #00, #0e, #d9, #0e, #e1
db #0f, #e1, #5f, #e1, #5b, #f9, #b3, #c9
db #ab, #e1, #fe, #d1, #4b, #d2, #4b, #da
db #9f, #ea, #99, #fa, #e6, #da, #20, #0c
db #00, #10, #d9, #01, #e1, #10, #e1, #5f
db #d9, #5c, #f1, #ab, #c9, #ab, #e9, #ab
db #f1, #fb, #e9, #4f, #e2, #4f, #fa, #eb
db #d2, #90, #01, #00, #03, #f1, #16, #01
db #00, #02, #f9, #30, #06, #00, #03, #f9
db #60, #e1, #60, #f1, #4c, #da, #e7, #c2
db #e7, #ca, #4a, #02, #00, #0c, #f9, #af
db #d9, #83, #02, #00, #57, #c1, #9c, #ca
db #85, #04, #00, #59, #c1, #59, #d1, #fe
db #c9, #9b, #fa, #11, #04, #00, #52, #c9
db #a4, #d1, #46, #d2, #46, #da, #ff, #0f
db #00, #53, #c9, #53, #d1, #54, #d1, #53
db #d9, #54, #d9, #54, #e1, #54, #e9, #54
db #f1, #55, #f9, #a5, #c1, #a5, #c9, #a5
db #d1, #a7, #e1, #a6, #e9, #a6, #f1, #ef
db #04, #00, #54, #c9, #55, #d1, #e5, #ca
db #e5, #d2, #0d, #04, #00, #59, #c9, #58
db #d1, #b2, #d9, #49, #ea, #96, #02, #00
db #5c, #c9, #b0, #e1, #21, #05, #00, #52
db #d1, #53, #f1, #ad, #c1, #4c, #e2, #ed
db #f2, #5a, #02, #00, #5c, #d1, #5b, #e9
db #8f, #06, #00, #56, #d9, #57, #e1, #a7
db #f9, #f8, #e1, #97, #ca, #e6, #c2, #2d
db #09, #00, #58, #d9, #59, #e1, #a8, #d9
db #b2, #e1, #a8, #f9, #49, #e2, #97, #f2
db #9d, #f2, #e6, #ca, #a5, #02, #00, #59
db #d9, #b1, #d1, #87, #0b, #00, #5c, #d9
db #5b, #e1, #b0, #f1, #b0, #f9, #00, #c2
db #f7, #e1, #9c, #c2, #9b, #da, #9c, #e2
db #9c, #f2, #ec, #c2, #3f, #04, #00, #53
db #e1, #53, #e9, #f8, #e9, #96, #f2, #43
db #03, #00, #5c, #e1, #5c, #e9, #4c, #fa
db #bf, #02, #00, #57, #e9, #57, #f1, #c2
db #01, #00, #5a, #f1, #70, #01, #00, #5b
db #f1, #7f, #03, #00, #54, #f9, #a6, #f9
db #96, #ea, #68, #04, #00, #5a, #f9, #aa
db #c1, #00, #d2, #4a, #ea, #60, #09, #00
db #60, #f9, #ab, #c1, #ab, #d9, #fb, #c1
db #fb, #c9, #fa, #d9, #fb, #d9, #4a, #c2
db #3c, #c3, #f7, #02, #00, #a4, #c1, #a5
db #d9, #af, #05, #00, #a7, #c1, #a7, #d9
db #a7, #f1, #47, #ca, #47, #da, #c0, #06
db #00, #ae, #c1, #fa, #c1, #f9, #c9, #4e
db #d2, #99, #da, #99, #e2, #13, #02, #00
db #a4, #c9, #95, #da, #a0, #03, #00, #aa
db #c9, #fa, #d1, #fa, #e1, #86, #03, #00
db #af, #c9, #af, #f9, #ff, #c9, #d2, #01
db #00, #b0, #c9, #d0, #01, #00, #a9, #d1
db #49, #04, #00, #b3, #d1, #4d, #e2, #9d
db #ca, #9d, #da, #81, #01, #00, #ad, #d9
db #78, #03, #00, #ae, #d9, #af, #f1, #fa
db #c9, #37, #04, #00, #a5, #e1, #f6, #c1
db #46, #f2, #95, #ea, #82, #01, #00, #aa
db #e1, #33, #02, #00, #a5, #e9, #46, #e2
db #2f, #05, #00, #a7, #e9, #a8, #f1, #47
db #d2, #47, #e2, #96, #fa, #84, #04, #00
db #a9, #e9, #f9, #d9, #fe, #f1, #4a, #e2
db #a4, #02, #00, #aa, #e9, #aa, #f1, #94
db #04, #00, #ae, #e9, #ae, #f9, #fe, #e1
db #fe, #e9, #38, #01, #00, #b2, #e9, #50
db #01, #00, #ab, #f9, #c3, #03, #00, #b1
db #f9, #9c, #da, #9c, #ea, #5c, #01, #00
db #f8, #c1, #cd, #01, #00, #f8, #c9, #ad
db #01, #00, #f8, #d1, #cf, #01, #00, #f8
db #d9, #3c, #02, #00, #ff, #d9, #3e, #c3
db #1f, #01, #00, #f8, #f1, #e0, #01, #00
db #fa, #f1, #04, #01, #00, #fb, #f1, #69
db #03, #00, #49, #da, #ed, #c2, #ed, #ea
db #a1, #02, #00, #4d, #da, #97, #fa, #23
db #02, #00, #46, #ea, #95, #e2, #12, #02
db #00, #4b, #ea, #3e, #db, #09, #01, #00
db #4d, #ea, #61, #01, #00, #4c, #f2, #29
db #01, #00, #4d, #f2, #77, #02, #00, #46
db #fa, #95, #fa, #df, #01, #00, #96, #d2
db #6f, #02, #00, #96, #da, #e5, #c2, #5f
db #01, #00, #96, #e2, #67, #01, #00, #95
db #f2, #06, #02, #00, #eb, #ca, #e4, #ea
db #34, #01, #00, #e6, #d2, #02, #01, #00
db #3c, #cb, #25, #01, #00, #3e, #d3
delta10:
db #63, #00, #71, #00, #6b, #d0, #6b, #d8
db #bd, #f0, #13, #c9, #09, #d1, #09, #d9
db #0e, #d9, #10, #d9, #01, #e1, #03, #e1
db #10, #e1, #03, #e9, #02, #f1, #03, #f1
db #12, #f1, #55, #c1, #56, #c1, #57, #c1
db #54, #c9, #55, #c9, #56, #c9, #57, #c9
db #55, #d1, #5e, #d9, #60, #e1, #60, #f1
db #5c, #f9, #5e, #f9, #ad, #c1, #ad, #c9
db #af, #c9, #ad, #d1, #b1, #d1, #b2, #d1
db #b3, #d1, #b4, #d1, #b2, #d9, #af, #e1
db #ab, #e9, #ae, #e9, #b0, #e9, #b1, #e9
db #b2, #f1, #ae, #f9, #b0, #f9, #b1, #f9
db #ff, #c1, #00, #c2, #ff, #d1, #00, #d2
db #fe, #d9, #fe, #e1, #ff, #e1, #fd, #f1
db #fe, #f1, #4c, #ca, #4d, #d2, #4e, #d2
db #4d, #da, #4c, #e2, #4d, #e2, #4c, #ea
db #4d, #ea, #46, #f2, #4d, #f2, #4e, #f2
db #46, #fa, #4c, #fa, #4f, #fa, #9b, #ca
db #a0, #ca, #95, #d2, #9b, #d2, #95, #da
db #9b, #da, #9e, #da, #95, #e2, #9b, #e2
db #95, #ea, #9b, #ea, #95, #f2, #95, #fa
db #e5, #c2, #e5, #ca, #e4, #d2, #e5, #d2
db #ec, #d2, #ed, #d2, #e4, #da, #e5, #da
db #ed, #da, #e4, #e2, #e5, #e2, #ed, #e2
db #e4, #ea, #ed, #ea, #ee, #ea, #ed, #f2
db #ee, #f2, #ed, #fa, #ee, #fa, #3c, #c3
db #3d, #c3, #3e, #c3, #3c, #cb, #3e, #cb
db #3e, #d3, #3f, #d3, #3e, #db, #3f, #db
db #3e, #e3, #3f, #e3, #3f, #eb, #28, #04
db #00, #6c, #d8, #4a, #ea, #ec, #da, #ec
db #e2, #0a, #04, #00, #6c, #e0, #6c, #f0
db #9f, #ea, #e7, #f2, #01, #11, #00, #6b
db #e8, #6b, #f0, #51, #c9, #52, #f9, #a2
db #c1, #a2, #c9, #b1, #d9, #b0, #e1, #ac
db #e9, #b2, #e9, #44, #d2, #96, #c2, #9c
db #c2, #9b, #fa, #9c, #fa, #eb, #f2, #40
db #cb, #38, #02, #00, #6c, #e8, #0c, #e9
db #29, #02, #00, #6c, #f8, #bc, #c0, #80
db #25, #00, #6d, #f8, #bd, #c0, #bd, #e0
db #bd, #e8, #00, #c9, #09, #c9, #09, #e1
db #0e, #e1, #0f, #e1, #0d, #f1, #0d, #f9
db #52, #c1, #54, #c1, #5e, #c1, #5d, #c9
db #54, #d1, #5f, #d9, #5e, #e1, #63, #e1
db #64, #f1, #ae, #c1, #ae, #c9, #b2, #e1
db #b3, #e1, #fe, #c1, #ff, #c9, #fe, #d1
db #ff, #d9, #02, #f2, #4e, #c2, #9e, #c2
db #9a, #e2, #9e, #e2, #9a, #ea, #e9, #da
db #36, #cb, #41, #cb, #23, #03, #00, #bb
db #c0, #f5, #f9, #e6, #ca, #27, #03, #00
db #bb, #c8, #52, #d9, #e6, #da, #0b, #02
db #00, #bc, #c8, #98, #ea, #47, #03, #00
db #bb, #d0, #52, #d1, #e6, #e2, #a1, #01
db #00, #bc, #d0, #4f, #08, #00, #bb, #d8
db #bb, #e0, #bb, #e8, #bb, #f0, #56, #d9
db #5a, #d9, #45, #d2, #e6, #f2, #02, #07
db #00, #bc, #d8, #0c, #c1, #00, #e1, #61
db #f9, #af, #f1, #00, #ca, #41, #d3, #08
db #13, #00, #bd, #d8, #bd, #f8, #0d, #c1
db #0d, #c9, #53, #c1, #5d, #e1, #64, #f9
db #b2, #c1, #b3, #c1, #ad, #d9, #ae, #e1
db #ad, #f9, #fd, #c9, #9d, #da, #9e, #f2
db #9f, #f2, #9e, #fa, #e9, #ca, #e8, #da
db #03, #0d, #00, #bc, #e0, #ba, #f8, #0a
db #c1, #0c, #d9, #f5, #f1, #45, #e2, #4b
db #ea, #9c, #d2, #ed, #ca, #eb, #e2, #eb
db #ea, #ef, #f2, #40, #c3, #10, #18, #00
db #ba, #e8, #10, #c1, #02, #f9, #03, #f9
db #60, #c9, #60, #e9, #61, #e9, #62, #e9
db #5c, #f1, #5d, #f1, #a2, #d1, #a2, #d9
db #a3, #e1, #01, #c2, #fc, #e9, #4d, #c2
db #4d, #ca, #4b, #f2, #4c, #f2, #9d, #ca
db #9d, #d2, #e8, #e2, #ee, #e2, #eb, #fa
db #12, #05, #00, #bc, #e8, #bc, #f8, #01
db #f9, #5c, #e9, #b1, #e1, #11, #05, #00
db #ba, #f0, #96, #ca, #96, #d2, #96, #da
db #96, #e2, #07, #09, #00, #bc, #f0, #0a
db #d1, #5b, #e9, #45, #c2, #4b, #da, #4b
db #e2, #46, #ea, #eb, #ca, #eb, #da, #18
db #07, #00, #b8, #f8, #0d, #e9, #62, #f9
db #b2, #c9, #ad, #f1, #fd, #d9, #e8, #d2
db #5e, #01, #00, #bb, #f8, #0c, #0c, #00
db #08, #c1, #08, #d1, #59, #e9, #b3, #c9
db #b3, #d9, #49, #d2, #49, #ea, #49, #fa
db #99, #e2, #9e, #ea, #99, #fa, #ef, #da
db #8f, #0b, #00, #0b, #c1, #0a, #f1, #58
db #c1, #5a, #c1, #a8, #c1, #f7, #f9, #48
db #ca, #48, #da, #97, #e2, #97, #ea, #97
db #f2, #8c, #02, #00, #08, #c9, #ab, #f9
db #a7, #01, #00, #0a, #c9, #30, #04, #00
db #0c, #c9, #5c, #d1, #fc, #d1, #9c, #ca
db #20, #1c, #00, #0c, #d1, #5f, #d1, #5c
db #e1, #61, #e1, #61, #f1, #b0, #c1, #b1
db #c9, #af, #d1, #b0, #d1, #af, #e9, #ac
db #f1, #b1, #f1, #01, #d2, #fc, #d9, #fc
db #e1, #fc, #f9, #50, #d2, #4c, #da, #50
db #e2, #50, #ea, #a0, #e2, #a1, #ea, #a0
db #f2, #a1, #f2, #ec, #c2, #f0, #c2, #ec
db #ca, #ec, #ea, #09, #05, #00, #0d, #d1
db #5d, #d1, #58, #d9, #ad, #e1, #ad, #e9
db #c0, #09, #00, #0e, #d1, #0f, #f1, #63
db #f9, #ae, #d1, #fe, #c9, #4e, #ca, #9e
db #ca, #9e, #d2, #9f, #fa, #0f, #2e, #00
db #08, #d9, #53, #d1, #57, #e1, #58, #e1
db #5a, #e1, #57, #e9, #57, #f1, #57, #f9
db #a7, #c1, #a9, #c9, #a3, #d1, #a8, #d9
db #a9, #d9, #a7, #e1, #a7, #e9, #a9, #e9
db #a7, #f1, #a8, #f1, #a9, #f1, #a7, #f9
db #a9, #f9, #f8, #d9, #f7, #e1, #f9, #e1
db #fa, #e1, #f8, #e9, #f9, #e9, #fa, #e9
db #f7, #f1, #f8, #f1, #f9, #f1, #fa, #f1
db #fa, #f9, #4a, #c2, #46, #ca, #46, #d2
db #4b, #d2, #45, #da, #46, #da, #49, #da
db #46, #e2, #98, #e2, #97, #fa, #e7, #c2
db #e7, #d2, #eb, #d2, #87, #08, #00, #0b
db #d9, #0b, #e1, #0b, #f1, #0b, #f9, #56
db #d1, #4a, #ca, #e7, #da, #f0, #fa, #90
db #06, #00, #0d, #d9, #0d, #e1, #5d, #d9
db #fd, #c1, #fd, #d1, #9d, #c2, #df, #03
db #00, #08, #e1, #08, #f1, #53, #d9, #6f
db #06, #00, #0a, #e1, #56, #e1, #aa, #d9
db #f6, #d1, #f6, #e1, #45, #ca, #21, #10
db #00, #0c, #e1, #0c, #f1, #0c, #f9, #5c
db #c1, #5c, #c9, #5c, #d9, #a3, #d9, #b0
db #f1, #ac, #f9, #fc, #c1, #fc, #c9, #9c
db #da, #9c, #e2, #9c, #ea, #9c, #f2, #f0
db #ca, #40, #1b, #00, #01, #e9, #5e, #c9
db #5f, #c9, #60, #d1, #63, #f1, #65, #f1
db #af, #c1, #b4, #c1, #ae, #d9, #af, #d9
db #a4, #f1, #ae, #f1, #af, #f9, #fe, #e9
db #ff, #f1, #03, #fa, #53, #c2, #50, #ca
db #4f, #da, #4b, #fa, #9f, #ca, #a0, #d2
db #9a, #f2, #9b, #f2, #e9, #c2, #ea, #ca
db #f0, #ea, #9f, #01, #00, #08, #e9, #94
db #01, #00, #09, #e9, #af, #01, #00, #0a
db #e9, #04, #05, #00, #01, #f1, #b4, #c9
db #b0, #d9, #4f, #e2, #4f, #ea, #8d, #01
db #00, #09, #f1, #1f, #06, #00, #08, #f9
db #a4, #e1, #f9, #c1, #f9, #c9, #f9, #d1
db #f9, #d9, #49, #02, #00, #09, #f9, #59
db #d1, #0e, #12, #00, #0a, #f9, #5a, #d1
db #59, #e1, #5a, #e9, #aa, #c1, #aa, #c9
db #fb, #d1, #fb, #d9, #fb, #e1, #fb, #e9
db #fb, #f9, #4b, #c2, #49, #ca, #4a, #f2
db #4a, #fa, #9a, #d2, #ef, #e2, #36, #c3
db #a0, #01, #00, #0f, #f9, #31, #01, #00
db #51, #c1, #0d, #09, #00, #59, #c1, #a9
db #e1, #49, #c2, #99, #c2, #99, #d2, #98
db #da, #98, #fa, #e8, #c2, #ed, #c2, #68
db #03, #00, #52, #c9, #9a, #c2, #ef, #d2
db #1c, #04, #00, #53, #c9, #59, #d9, #99
db #ca, #9d, #ea, #2d, #08, #00, #58, #c9
db #f8, #c1, #f8, #c9, #f8, #d1, #f8, #e1
db #f9, #f9, #48, #fa, #98, #c2, #c1, #01
db #00, #59, #c9, #16, #03, #00, #5b, #c9
db #5b, #e1, #eb, #c2, #4b, #03, #00, #58
db #d1, #48, #f2, #98, #f2, #1e, #06, #00
db #5b, #d1, #59, #f1, #59, #f9, #a9, #c1
db #fb, #f1, #4b, #ca, #cf, #05, #00, #55
db #d9, #a6, #e1, #fa, #d9, #48, #d2, #97
db #da, #3c, #03, #00, #5b, #d9, #99, #da
db #e8, #ca, #41, #01, #00, #51, #e1, #3f
db #04, #00, #52, #e1, #a3, #c9, #47, #ca
db #47, #d2, #ff, #17, #00, #53, #e1, #53
db #e9, #53, #f1, #53, #f9, #54, #f9, #a3
db #c1, #a4, #c1, #a4, #c9, #a4, #d1, #a5
db #d9, #a5, #e1, #aa, #e1, #a5, #e9, #aa
db #e9, #aa, #f9, #f6, #c1, #fa, #c1, #f6
db #c9, #fa, #c9, #fa, #d1, #f6, #f1, #f6
db #f9, #47, #fa, #50, #02, #00, #51, #e9
db #ab, #d1, #17, #02, #00, #52, #e9, #f6
db #d9, #13, #03, #00, #52, #f1, #96, #ea
db #96, #f2, #2c, #08, #00, #5a, #f1, #5a
db #f9, #49, #e2, #9a, #ca, #9a, #da, #99
db #ea, #ee, #c2, #ee, #ca, #52, #01, #00
db #5b, #f1, #60, #04, #00, #5b, #f9, #ab
db #e1, #50, #fa, #f0, #da, #e0, #03, #00
db #5f, #f9, #ef, #ca, #e7, #ea, #25, #01
db #00, #60, #f9, #61, #01, #00, #ab, #c1
db #2f, #04, #00, #a7, #c9, #a7, #d1, #a7
db #d9, #f7, #d1, #42, #05, #00, #ab, #c9
db #9b, #c2, #a0, #ea, #a0, #fa, #ee, #da
db #70, #01, #00, #b0, #c9, #69, #01, #00
db #a9, #d1, #4e, #01, #00, #aa, #d1, #7f
db #07, #00, #a4, #d9, #aa, #f1, #f6, #e9
db #47, #da, #47, #e2, #47, #ea, #47, #f2
db #ef, #08, #00, #a6, #d9, #a6, #e9, #a6
db #f1, #a6, #f9, #46, #c2, #97, #c2, #97
db #ca, #97, #d2, #24, #01, #00, #ab, #d9
db #51, #01, #00, #a4, #e9, #77, #01, #00
db #a5, #f1, #48, #02, #00, #ab, #f1, #9d
db #e2, #37, #01, #00, #a5, #f9, #33, #03
db #00, #f5, #c1, #96, #fa, #e6, #c2, #cd
db #01, #00, #fb, #c1, #de, #01, #00, #fb
db #c9, #c3, #03, #00, #4a, #d2, #e7, #ca
db #e7, #e2, #4a, #01, #00, #4a, #da, #ad
db #01, #00, #48, #e2, #81, #01, #00, #4d
db #fa, #c2, #01, #00, #9f, #c2, #84, #02
db #00, #9f, #d2, #99, #f2, #82, #01, #00
db #9f, #e2, #a5, #01, #00, #9d, #fa, #63
db #01, #00, #e6, #d2, #5a, #01, #00, #ee
db #d2, #05, #02, #00, #f0, #d2, #f0, #f2
db #43, #01, #00, #f0, #e2, #c7, #01, #00
db #e6, #ea, #06, #01, #00, #ef, #ea, #9e
db #01, #00, #e6, #fa
delta11:
db #6c, #12, #04, #00, #6c, #d0, #bd, #d0
db #fc, #e9, #ec, #d2, #06, #05, #00, #6c
db #d8, #6c, #e0, #0e, #d9, #ab, #c1, #eb
db #da, #00, #e0, #00, #6b, #e0, #6b, #e8
db #bd, #c0, #ba, #e8, #ba, #f0, #b8, #f8
db #bc, #f8, #08, #c1, #0c, #c1, #0d, #c1
db #10, #c1, #00, #c9, #08, #c9, #09, #c9
db #0c, #c9, #08, #d1, #0c, #d1, #0d, #d1
db #08, #d9, #0c, #d9, #0d, #d9, #00, #e1
db #0c, #e1, #0d, #e1, #01, #e9, #09, #e9
db #0c, #e9, #01, #f1, #0c, #f1, #0d, #f1
db #01, #f9, #02, #f9, #03, #f9, #0c, #f9
db #0d, #f9, #51, #c1, #52, #c1, #53, #c1
db #54, #c1, #5c, #c1, #51, #c9, #52, #c9
db #53, #c9, #5d, #c9, #60, #c9, #52, #d1
db #53, #d1, #54, #d1, #5d, #d1, #60, #d1
db #52, #d9, #53, #d9, #54, #d9, #55, #d9
db #5c, #d9, #5d, #d9, #51, #e1, #52, #e1
db #53, #e1, #54, #e1, #55, #e1, #5d, #e1
db #5e, #e1, #61, #e1, #63, #e1, #51, #e9
db #52, #e9, #53, #e9, #54, #e9, #55, #e9
db #5c, #e9, #60, #e9, #61, #e9, #62, #e9
db #52, #f1, #53, #f1, #54, #f1, #5e, #f1
db #61, #f1, #63, #f1, #64, #f1, #65, #f1
db #52, #f9, #53, #f9, #5f, #f9, #61, #f9
db #62, #f9, #63, #f9, #64, #f9, #a2, #c1
db #ae, #c1, #af, #c1, #b0, #c1, #b2, #c1
db #b3, #c1, #b4, #c1, #a2, #c9, #ae, #c9
db #b0, #c9, #b1, #c9, #b2, #c9, #b3, #c9
db #b4, #c9, #a2, #d1, #a3, #d1, #ae, #d1
db #b0, #d1, #a2, #d9, #a3, #d9, #ad, #d9
db #ae, #d9, #b0, #d9, #b1, #d9, #b3, #d9
db #a3, #e1, #ad, #e1, #ae, #e1, #b0, #e1
db #b1, #e1, #b2, #e1, #b3, #e1, #a4, #f1
db #b1, #f1, #ff, #f1, #50, #ca, #4b, #d2
db #50, #d2, #4b, #da, #4e, #da, #4f, #da
db #4b, #e2, #4f, #e2, #50, #e2, #50, #ea
db #4a, #f2, #4c, #f2, #4d, #fa, #50, #fa
db #9b, #c2, #9c, #c2, #9d, #c2, #9e, #c2
db #9f, #c2, #9c, #ca, #9d, #ca, #9f, #ca
db #96, #d2, #97, #d2, #9c, #d2, #9d, #d2
db #9f, #d2, #a0, #d2, #96, #da, #97, #da
db #9a, #da, #9d, #da, #96, #e2, #97, #e2
db #9c, #e2, #9d, #e2, #a0, #e2, #96, #ea
db #97, #ea, #9d, #ea, #9e, #ea, #a0, #ea
db #a1, #ea, #96, #f2, #97, #f2, #9b, #f2
db #9c, #f2, #9d, #f2, #a0, #f2, #a1, #f2
db #96, #fa, #97, #fa, #9c, #fa, #e6, #c2
db #e7, #c2, #eb, #c2, #ec, #c2, #ed, #c2
db #ee, #c2, #e6, #ca, #e7, #ca, #ea, #ca
db #ee, #ca, #f0, #ca, #e6, #d2, #e7, #d2
db #eb, #d2, #ee, #d2, #ef, #d2, #e6, #da
db #e7, #da, #e9, #da, #ec, #da, #ee, #da
db #ef, #da, #f0, #da, #e6, #e2, #e7, #e2
db #ee, #e2, #ef, #e2, #f0, #e2, #e6, #ea
db #e7, #ea, #ec, #ea, #ef, #ea, #f0, #ea
db #e6, #f2, #e7, #f2, #eb, #f2, #ef, #f2
db #f0, #f2, #e6, #fa, #eb, #fa, #f0, #fa
db #36, #c3, #40, #c3, #36, #cb, #40, #cb
db #41, #cb, #41, #d3, #24, #03, #00, #6c
db #e8, #0e, #d1, #0e, #e1, #08, #10, #00
db #6d, #e8, #bc, #d0, #be, #f0, #be, #f8
db #10, #f9, #aa, #c1, #ae, #f9, #03, #fa
db #4a, #c2, #53, #c2, #4a, #ca, #4a, #e2
db #52, #ea, #9e, #e2, #f3, #c2, #f2, #e2
db #10, #20, #00, #6b, #f0, #bd, #f8, #bf
db #f8, #0d, #c9, #0d, #e9, #5d, #c1, #5e
db #c1, #5c, #c9, #61, #c9, #5c, #d1, #5e
db #d1, #61, #d1, #62, #d9, #60, #f1, #ac
db #c1, #01, #ca, #f5, #e1, #50, #c2, #4b
db #ca, #4d, #d2, #4c, #da, #4c, #e2, #4d
db #e2, #4c, #ea, #96, #ca, #9c, #da, #9b
db #ea, #9b, #fa, #f0, #c2, #f1, #e2, #f2
db #f2, #3b, #c3, #0c, #14, #00, #6c, #f0
db #6c, #f8, #06, #c1, #0e, #c1, #0e, #c9
db #5b, #d9, #5b, #e1, #5b, #e9, #59, #f9
db #a9, #d9, #a9, #e1, #a9, #e9, #ad, #e9
db #a9, #f9, #f9, #c1, #f9, #c9, #f9, #d9
db #f9, #f9, #fe, #f9, #a2, #ca, #80, #21
db #00, #6d, #f0, #be, #e8, #bc, #f0, #10
db #f1, #5f, #c1, #5f, #c9, #5f, #e1, #62
db #e1, #5d, #f1, #5e, #f9, #b2, #d1, #b2
db #d9, #b2, #e9, #ae, #f1, #b2, #f9, #02
db #ca, #02, #d2, #4e, #ca, #4e, #d2, #52
db #d2, #52, #da, #4f, #ea, #4f, #fa, #9d
db #fa, #a3, #fa, #ed, #ca, #f3, #ca, #e9
db #d2, #e9, #f2, #ea, #f2, #ea, #fa, #39
db #c3, #39, #d3, #11, #0a, #00, #6b, #f8
db #bb, #c0, #56, #d9, #56, #e1, #a3, #c9
db #a4, #e9, #00, #fa, #44, #ca, #43, #f2
db #51, #f2, #04, #06, #00, #6d, #f8, #af
db #d1, #9e, #f2, #9f, #f2, #f3, #da, #38
db #e3, #48, #09, #00, #bc, #c0, #aa, #e9
db #a9, #f1, #aa, #f9, #fe, #e1, #f9, #e9
db #fe, #e9, #f9, #f1, #e9, #ca, #13, #06
db #00, #bb, #c8, #bb, #d0, #56, #c9, #00
db #ea, #01, #ea, #44, #d2, #88, #05, #00
db #bc, #c8, #52, #f2, #99, #f2, #99, #fa
db #e9, #c2, #20, #0c, #00, #bd, #c8, #5c
db #f1, #5f, #f1, #ff, #f9, #4b, #ea, #4b
db #fa, #9b, #e2, #a0, #fa, #ef, #ca, #f1
db #d2, #ec, #e2, #ec, #fa, #17, #02, #00
db #bb, #d8, #00, #f2, #18, #06, #00, #bc
db #d8, #bc, #e0, #bc, #e8, #08, #e1, #08
db #f1, #fd, #f1, #83, #01, #00, #bd, #d8
db #77, #0a, #00, #bb, #e0, #06, #d9, #06
db #e1, #a4, #d9, #a5, #f9, #ff, #d1, #f5
db #f9, #51, #d2, #44, #da, #51, #da, #21
db #05, #00, #bd, #e0, #01, #d2, #fc, #f1
db #4c, #ca, #97, #ca, #6f, #06, #00, #bb
db #e8, #06, #d1, #55, #f1, #fc, #e1, #51
db #ca, #e8, #f2, #01, #07, #00, #bd, #e8
db #bd, #f0, #ba, #f8, #f5, #c9, #ff, #d9
db #51, #fa, #a2, #f2, #7f, #09, #00, #bb
db #f0, #bb, #f8, #a5, #f1, #44, #e2, #e8
db #c2, #e8, #ca, #e8, #d2, #e8, #da, #e8
db #e2, #2f, #03, #00, #0b, #c1, #ad, #f1
db #ac, #f9, #30, #09, #00, #0f, #c1, #ac
db #c9, #b1, #e9, #4c, #c2, #4c, #d2, #4b
db #f2, #9c, #ea, #ec, #ca, #f1, #da, #4f
db #06, #00, #06, #c9, #0b, #c9, #0a, #e9
db #af, #f1, #49, #e2, #49, #ea, #23, #01
db #00, #0a, #c9, #02, #02, #00, #0f, #c9
db #a2, #da, #b0, #02, #00, #07, #d1, #00
db #c2, #27, #01, #00, #0a, #d1, #5e, #02
db #00, #0b, #d1, #af, #e9, #03, #06, #00
db #0f, #d1, #0f, #d9, #fc, #f9, #43, #fa
db #a2, #e2, #a2, #ea, #a8, #01, #00, #07
db #d9, #07, #04, #00, #0a, #d9, #ab, #d1
db #01, #e2, #fb, #f9, #0f, #29, #00, #0b
db #d9, #0a, #f1, #0f, #f1, #0a, #f9, #5a
db #c1, #59, #d1, #5a, #d1, #56, #e9, #56
db #f1, #56, #f9, #a6, #c1, #a6, #c9, #a7
db #c9, #a6, #d1, #a7, #d1, #a6, #d9, #a7
db #d9, #ab, #d9, #a6, #e1, #ab, #e1, #ac
db #e1, #a6, #e9, #ac, #e9, #ab, #f1, #ac
db #f1, #fc, #c1, #fb, #c9, #f7, #d1, #fb
db #d9, #fb, #e1, #fb, #e9, #52, #c2, #49
db #ca, #48, #d2, #49, #d2, #48, #da, #46
db #ea, #46, #f2, #44, #fa, #45, #fa, #96
db #c2, #cf, #08, #00, #07, #e1, #55, #f9
db #a6, #f1, #a6, #f9, #fd, #d9, #f6, #e1
db #44, #f2, #49, #f2, #1e, #05, #00, #0b
db #e1, #5a, #d9, #f8, #c1, #00, #ca, #45
db #f2, #a1, #03, #00, #0f, #e1, #48, #c2
db #97, #c2, #37, #01, #00, #06, #e9, #ef
db #0e, #00, #07, #e9, #a5, #c1, #a5, #c9
db #a5, #d1, #a5, #d9, #a5, #e1, #af, #f9
db #f6, #c1, #ff, #c1, #fe, #c9, #f6, #d9
db #f6, #e9, #02, #ea, #46, #da, #90, #04
db #00, #08, #e9, #4d, #c2, #4d, #da, #f2
db #ea, #2e, #01, #00, #0b, #e9, #60, #05
db #00, #0e, #e9, #5f, #e9, #5b, #f1, #b0
db #f9, #eb, #ca, #c2, #02, #00, #0f, #e9
db #fa, #c1, #33, #08, #00, #06, #f1, #06
db #f9, #56, #c1, #a3, #c1, #a4, #e1, #f5
db #e9, #f5, #f1, #51, #e2, #ff, #1b, #00
db #07, #f1, #07, #f9, #57, #c1, #57, #c9
db #57, #d1, #57, #d9, #fd, #c9, #ff, #c9
db #fd, #d1, #01, #f2, #02, #f2, #01, #fa
db #02, #fa, #45, #c2, #46, #c2, #45, #ca
db #46, #ca, #45, #d2, #46, #d2, #45, #da
db #45, #e2, #44, #ea, #48, #fa, #98, #d2
db #98, #da, #98, #f2, #98, #fa, #41, #02
db #00, #09, #f1, #09, #f9, #0e, #07, #00
db #0b, #f1, #0b, #f9, #0f, #f9, #59, #f1
db #ac, #d9, #af, #e1, #99, #c2, #34, #01
db #00, #0e, #f1, #9c, #01, #00, #08, #f9
db #69, #05, #00, #59, #c1, #58, #e9, #a8
db #e1, #f8, #d9, #f8, #f1, #3c, #03, #00
db #5b, #c1, #58, #f9, #a8, #e9, #c0, #05
db #00, #60, #c1, #fe, #f1, #03, #f2, #4a
db #ea, #9a, #c2, #9f, #03, #00, #58, #c9
db #48, #e2, #48, #ea, #2d, #04, #00, #59
db #c9, #58, #e1, #47, #da, #47, #fa, #2c
db #03, #00, #5b, #c9, #5b, #d1, #f9, #e1
db #31, #02, #00, #56, #d1, #51, #ea, #8f
db #04, #00, #58, #d1, #47, #d2, #45, #ea
db #98, #c2, #a0, #01, #00, #5f, #d1, #58
db #01, #00, #59, #d9, #40, #13, #00, #5e
db #d9, #5b, #f9, #aa, #f1, #b0, #f1, #fe
db #d9, #ff, #e1, #05, #f2, #4e, #e2, #4e
db #ea, #9a, #ca, #9b, #ca, #9e, #ca, #9a
db #d2, #9b, #da, #9a, #e2, #9f, #e2, #f3
db #d2, #ea, #da, #eb, #ea, #4b, #06, #00
db #57, #e1, #a8, #d9, #a7, #e9, #a7, #f9
db #fa, #d9, #f8, #e9, #84, #08, #00, #59
db #e1, #5a, #f9, #a9, #c9, #af, #c9, #aa
db #d1, #4a, #fa, #a2, #d2, #9e, #fa, #87
db #07, #00, #5a, #e1, #ab, #e9, #ab, #f9
db #fa, #f1, #47, #e2, #46, #fa, #95, #c2
db #82, #02, #00, #5a, #e9, #9f, #ea, #e0
db #03, #00, #5a, #f1, #fa, #f9, #ea, #ea
db #50, #03, #00, #60, #f9, #4b, #c2, #f0
db #d2, #5a, #01, #00, #a8, #c1, #68, #03
db #00, #a9, #c1, #aa, #e1, #4a, #da, #28
db #04, #00, #aa, #c9, #ac, #d1, #fd, #e9
db #4a, #d2, #43, #01, #00, #ab, #c9, #78
db #01, #00, #a8, #d1, #1c, #01, #00, #a9
db #d1, #86, #04, #00, #aa, #d9, #af, #d9
db #f9, #d1, #9f, #fa, #0d, #03, #00, #a8
db #f1, #f8, #d1, #f8, #f9, #29, #01, #00
db #a8, #f9, #bf, #03, #00, #ad, #f9, #48
db #f2, #98, #ca, #1f, #02, #00, #fb, #c1
db #fb, #d1, #df, #03, #00, #fd, #c1, #98
db #e2, #98, #ea, #8c, #04, #00, #fe, #c1
db #52, #fa, #a2, #c2, #99, #e2, #5f, #02
db #00, #f6, #c9, #fc, #d1, #92, #02, #00
db #fa, #c9, #48, #ca, #3f, #02, #00, #fc
db #c9, #fc, #d9, #52, #01, #00, #fa, #d1
db #ec, #02, #00, #fe, #d1, #02, #e2, #8d
db #01, #00, #00, #d2, #cc, #02, #00, #00
db #da, #99, #da, #61, #01, #00, #01, #da
db #4c, #01, #00, #02, #da, #a5, #01, #00
db #fa, #e1, #49, #01, #00, #fd, #e1, #42
db #01, #00, #00, #e2, #c3, #01, #00, #fa
db #e9, #25, #01, #00, #fb, #f1, #81, #01
db #00, #fd, #f9, #85, #01, #00, #49, #c2
db #fe, #01, #00, #51, #c2, #be, #01, #00
db #47, #ca, #09, #01, #00, #52, #ca, #96
db #01, #00, #47, #ea, #0b, #01, #00, #47
db #f2, #ce, #03, #00, #49, #fa, #99, #ca
db #99, #d2, #e8, #01, #00, #99, #ea, #70
db #01, #00, #eb, #e2, #f7, #01, #00, #e8
db #ea, #46, #02, #00, #e8, #fa, #38, #c3
db #44, #01, #00, #38, #cb, #14, #01, #00
db #38, #d3, #05, #01, #00, #38, #db
delta12:
db #4b, #00, #c0, #00, #6c, #d0, #6c, #d8
db #6d, #e8, #6b, #f0, #6d, #f0, #6b, #f8
db #6d, #f8, #bb, #c0, #bb, #c8, #bd, #c8
db #bd, #d0, #bd, #d8, #bd, #e8, #be, #e8
db #be, #f0, #ba, #f8, #bd, #f8, #bf, #f8
db #06, #c1, #0a, #c1, #0f, #c1, #06, #c9
db #0a, #c9, #0d, #c9, #0f, #c9, #07, #d1
db #0e, #d1, #0f, #d1, #0e, #d9, #0f, #d9
db #09, #e1, #0e, #e1, #0f, #e1, #0d, #e9
db #0f, #e9, #10, #f1, #0f, #f9, #10, #f9
db #5d, #c1, #5e, #c1, #60, #c1, #5e, #c9
db #61, #c9, #5e, #d1, #5f, #d1, #61, #d1
db #5f, #d9, #62, #d9, #62, #e1, #5f, #e9
db #55, #f1, #5d, #f1, #5f, #f1, #60, #f1
db #54, #f9, #55, #f9, #60, #f9, #a3, #c1
db #a4, #c1, #a5, #c1, #ac, #c1, #a3, #c9
db #a4, #c9, #a5, #c9, #a4, #d1, #a5, #d1
db #ab, #d1, #b2, #d1, #a4, #d9, #a5, #d9
db #b2, #d9, #a4, #e1, #ab, #e1, #af, #e1
db #a4, #e9, #ab, #e9, #b1, #e9, #b2, #e9
db #a5, #f1, #a5, #f9, #ab, #f9, #b2, #f9
db #f5, #c1, #f5, #c9, #02, #ca, #02, #d2
db #01, #da, #02, #da, #f5, #e1, #fb, #e1
db #01, #e2, #02, #e2, #f5, #e9, #fb, #e9
db #00, #ea, #01, #ea, #02, #ea, #f5, #f1
db #01, #f2, #02, #f2, #03, #f2, #05, #f2
db #01, #fa, #02, #fa, #03, #fa, #4c, #c2
db #4d, #c2, #4e, #c2, #50, #c2, #51, #c2
db #52, #c2, #53, #c2, #44, #ca, #4d, #ca
db #51, #ca, #52, #ca, #44, #d2, #4c, #d2
db #4d, #d2, #51, #d2, #52, #d2, #4d, #da
db #51, #da, #52, #da, #4c, #e2, #51, #e2
db #4c, #ea, #4e, #ea, #4f, #ea, #51, #ea
db #52, #ea, #43, #f2, #51, #f2, #52, #f2
db #43, #fa, #51, #fa, #52, #fa, #a2, #c2
db #9e, #ca, #a2, #ca, #9e, #d2, #a2, #d2
db #9c, #da, #a2, #da, #98, #e2, #a2, #e2
db #98, #ea, #9f, #ea, #a2, #ea, #98, #f2
db #9e, #f2, #a2, #f2, #98, #fa, #9e, #fa
db #9f, #fa, #a0, #fa, #a3, #fa, #e8, #c2
db #f0, #c2, #f3, #c2, #e8, #ca, #e9, #ca
db #ec, #ca, #ef, #ca, #f3, #ca, #e8, #d2
db #e9, #d2, #ec, #d2, #f0, #d2, #f1, #d2
db #f3, #d2, #e8, #da, #f1, #da, #f3, #da
db #e8, #e2, #ec, #e2, #f1, #e2, #f2, #e2
db #e8, #ea, #f2, #ea, #e8, #f2, #e9, #f2
db #f2, #f2, #e8, #fa, #ec, #fa, #38, #c3
db #39, #c3, #38, #cb, #38, #d3, #39, #d3
db #38, #db, #38, #e3, #08, #0b, #00, #6d
db #d0, #6d, #d8, #09, #f1, #09, #f9, #ae
db #d9, #01, #c2, #fa, #d1, #fe, #f1, #98
db #d2, #3b, #db, #3b, #f3, #01, #0d, #00
db #6c, #e0, #6c, #e8, #bb, #d0, #bb, #d8
db #0a, #d1, #04, #e9, #ac, #c9, #f6, #d1
db #93, #c2, #99, #ea, #99, #f2, #99, #fa
db #3a, #db, #80, #16, #00, #6d, #e0, #bd
db #e0, #be, #f8, #0e, #c1, #05, #c9, #0e
db #e9, #0e, #f1, #0f, #f1, #b2, #c1, #ad
db #c9, #fd, #f9, #fe, #f9, #ff, #f9, #4a
db #ca, #4f, #ca, #4d, #e2, #4e, #e2, #4e
db #fa, #98, #da, #9d, #da, #9e, #ea, #9f
db #f2, #03, #15, #00, #6c, #f0, #bb, #e0
db #bb, #e8, #bb, #f0, #0a, #d9, #0a, #e1
db #07, #e9, #a6, #d1, #ac, #d1, #ac, #d9
db #a5, #e1, #ac, #e1, #a5, #e9, #ac, #e9
db #f6, #c9, #fc, #d9, #99, #e2, #ea, #fa
db #3a, #c3, #3a, #cb, #3a, #d3, #07, #10
db #00, #6c, #f8, #bc, #c0, #bb, #f8, #07
db #e1, #f6, #c1, #fc, #c1, #fc, #e1, #fc
db #e9, #4b, #ca, #99, #ca, #96, #d2, #99
db #d2, #99, #da, #ea, #da, #ea, #ea, #ea
db #f2, #0f, #46, #00, #bc, #c8, #bc, #d0
db #bc, #d8, #bc, #e0, #bc, #e8, #bc, #f0
db #bc, #f8, #0b, #c1, #0b, #c9, #0b, #d1
db #0b, #e1, #0b, #e9, #0b, #f1, #0b, #f9
db #5b, #c1, #5b, #c9, #5b, #d1, #5a, #d9
db #5b, #d9, #5b, #e1, #ad, #e1, #a7, #e9
db #ad, #e9, #ae, #e9, #a6, #f1, #a8, #f1
db #ad, #f1, #ae, #f1, #af, #f1, #a6, #f9
db #a7, #f9, #ad, #f9, #ae, #f9, #af, #f9
db #fd, #c1, #fe, #c1, #ff, #c1, #00, #c2
db #fd, #c9, #fe, #c9, #ff, #c9, #00, #ca
db #01, #ca, #fd, #d1, #fe, #d1, #ff, #d1
db #00, #d2, #fd, #d9, #fe, #d9, #ff, #d9
db #fd, #e1, #fe, #e1, #fd, #e9, #fd, #f1
db #4b, #d2, #4b, #da, #4b, #e2, #4a, #fa
db #9a, #c2, #9a, #ca, #95, #d2, #9a, #d2
db #9a, #da, #9a, #e2, #9a, #ea, #9a, #f2
db #9a, #fa, #ea, #c2, #ea, #ca, #ea, #d2
db #10, #0e, #00, #bd, #f0, #0d, #d1, #55
db #e1, #5c, #f9, #5d, #f9, #b0, #e9, #b0
db #f1, #4c, #ca, #9c, #ca, #9d, #e2, #9c
db #ea, #a0, #f2, #e9, #c2, #3a, #e3, #1e
db #08, #00, #0c, #c1, #0c, #c9, #0c, #d9
db #5c, #e1, #4b, #ea, #9b, #c2, #95, #ca
db #9b, #ca, #66, #01, #00, #04, #c9, #c0
db #03, #00, #0e, #c9, #ae, #c1, #9f, #c2
db #33, #07, #00, #04, #d1, #55, #c9, #55
db #d1, #a6, #c1, #f6, #d9, #45, #c2, #93
db #ca, #8f, #08, #00, #05, #d1, #58, #d9
db #58, #e1, #a7, #c1, #f7, #e1, #48, #d2
db #48, #da, #48, #e2, #0c, #0a, #00, #06
db #d1, #a9, #c1, #a9, #c9, #af, #e9, #f9
db #e1, #49, #c2, #eb, #d2, #eb, #da, #eb
db #e2, #eb, #fa, #0e, #18, #00, #0c, #d1
db #0c, #e1, #0c, #e9, #0c, #f1, #0c, #f9
db #5c, #c1, #5c, #c9, #5c, #d1, #5c, #d9
db #ad, #d1, #ae, #e1, #b0, #f9, #00, #da
db #ff, #e1, #fe, #e9, #4b, #f2, #4b, #fa
db #9b, #d2, #94, #da, #9b, #da, #9b, #e2
db #9b, #ea, #9b, #f2, #9b, #fa, #11, #03
db #00, #04, #d9, #04, #e1, #44, #da, #de
db #02, #00, #05, #d9, #95, #c2, #25, #02
db #00, #06, #d9, #96, #da, #48, #08, #00
db #07, #d9, #09, #e9, #59, #c1, #aa, #e1
db #f9, #d9, #4a, #c2, #49, #d2, #3b, #eb
db #ff, #1d, #00, #05, #e1, #05, #e9, #06
db #f1, #06, #f9, #56, #c1, #56, #c9, #56
db #d1, #56, #d9, #56, #e1, #57, #e1, #56
db #e9, #57, #e9, #f6, #e9, #47, #c2, #47
db #ca, #47, #d2, #46, #da, #47, #da, #46
db #e2, #47, #e2, #49, #e2, #45, #ea, #46
db #ea, #45, #f2, #46, #f2, #44, #fa, #45
db #fa, #94, #c2, #94, #ca, #2d, #03, #00
db #06, #e1, #a8, #d1, #f8, #d1, #90, #04
db #00, #08, #e1, #5a, #e9, #48, #ea, #48
db #fa, #cf, #07, #00, #06, #e9, #07, #f9
db #f7, #e9, #4a, #da, #49, #ea, #4a, #f2
db #46, #fa, #18, #04, #00, #08, #e9, #f8
db #f9, #48, #f2, #98, #c2, #87, #07, #00
db #0a, #e9, #0a, #f1, #0a, #f9, #5b, #e9
db #fc, #f1, #fc, #f9, #47, #fa, #7f, #02
db #00, #05, #f1, #56, #f1, #0b, #02, #00
db #07, #f1, #a8, #e1, #09, #02, #00, #08
db #f1, #f8, #e9, #77, #05, #00, #05, #f9
db #55, #c1, #45, #ca, #44, #ea, #44, #f2
db #c1, #01, #00, #08, #f9, #29, #02, #00
db #58, #c1, #a8, #d9, #e0, #05, #00, #5f
db #c1, #fa, #c9, #fa, #d9, #fa, #e1, #fa
db #f1, #20, #16, #00, #61, #c1, #5f, #c9
db #60, #d9, #61, #d9, #61, #e1, #ab, #c1
db #af, #c9, #af, #d1, #ab, #d9, #af, #d9
db #fb, #d9, #ff, #f1, #fb, #f9, #4f, #c2
db #4c, #da, #9f, #ca, #9f, #d2, #a0, #da
db #a1, #e2, #a1, #ea, #f1, #c2, #ec, #f2
db #8d, #01, #00, #58, #c9, #49, #04, #00
db #59, #c9, #59, #d1, #58, #f9, #a8, #c1
db #31, #01, #00, #55, #d9, #d2, #01, #00
db #5a, #e1, #bc, #01, #00, #58, #e9, #68
db #05, #00, #59, #e9, #5c, #f1, #aa, #e9
db #aa, #f9, #fa, #c1, #60, #06, #00, #5c
db #e9, #b0, #d1, #ab, #f1, #fb, #d1, #fb
db #f1, #4f, #d2, #ef, #07, #00, #57, #f1
db #57, #f9, #f7, #f1, #f7, #f9, #4a, #e2
db #47, #ea, #4a, #ea, #4b, #03, #00, #58
db #f1, #ad, #d9, #a7, #e1, #2c, #0a, #00
db #59, #f1, #aa, #d9, #01, #d2, #eb, #c2
db #eb, #ca, #eb, #ea, #eb, #f2, #3b, #c3
db #3b, #cb, #3b, #d3, #4a, #03, #00, #5a
db #f1, #aa, #c9, #95, #da, #34, #01, #00
db #5b, #f1, #37, #03, #00, #56, #f9, #f6
db #e1, #93, #d2, #86, #01, #00, #5a, #f9
db #41, #01, #00, #5b, #f9, #40, #0e, #00
db #5e, #f9, #af, #c1, #ab, #c9, #b3, #d1
db #fb, #c1, #fb, #c9, #00, #e2, #fa, #f9
db #00, #fa, #50, #ca, #4e, #d2, #4f, #f2
db #a0, #ca, #9e, #e2, #a0, #01, #00, #aa
db #c1, #23, #01, #00, #a6, #c9, #38, #01
db #00, #a8, #c9, #d0, #01, #00, #a9, #d1
db #28, #02, #00, #aa, #d1, #3b, #e3, #0d
db #05, #00, #a8, #e9, #f8, #c1, #f8, #d9
db #f8, #f1, #48, #c2, #84, #04, #00, #a9
db #e9, #a9, #f9, #f9, #f1, #49, #ca, #a4
db #02, #00, #a9, #f1, #fa, #e9, #c2, #01
db #00, #aa, #f1, #43, #05, #00, #ac, #f1
db #ac, #f9, #fc, #c9, #fc, #d1, #97, #c2
db #58, #03, #00, #a8, #f9, #f9, #c1, #f9
db #d1, #69, #02, #00, #f8, #c9, #f8, #e1
db #50, #01, #00, #00, #f2, #13, #02, #00
db #f5, #f9, #44, #e2, #61, #01, #00, #4b
db #c2, #c9, #01, #00, #48, #ca, #a7, #01
db #00, #4a, #d2, #53, #01, #00, #49, #da
db #78, #01, #00, #47, #f2, #4f, #03, #00
db #49, #f2, #49, #fa, #93, #da, #a5, #02
db #00, #96, #c2, #96, #ca, #47, #02, #00
db #99, #c2, #ea, #e2, #12, #01, #00, #97
db #ca, #81, #01, #00, #98, #ca, #ac, #01
db #00, #94, #d2, #30, #02, #00, #97, #d2
db #97, #da
delta13:
db #57, #00, #71, #00, #6d, #d0, #6c, #e0
db #6c, #e8, #6c, #f0, #6c, #f8, #bc, #c0
db #bb, #d0, #bb, #d8, #bb, #e0, #bb, #e8
db #bb, #f0, #0e, #c1, #04, #c9, #05, #c9
db #04, #d1, #05, #d1, #06, #d1, #05, #d9
db #06, #d9, #07, #d9, #07, #e1, #08, #e1
db #09, #e9, #0e, #e9, #5f, #c1, #61, #c1
db #5e, #d9, #60, #d9, #61, #d9, #5f, #e1
db #61, #e1, #5e, #f9, #ab, #c1, #ae, #c1
db #b2, #c1, #ac, #c9, #ad, #c9, #b3, #d1
db #ac, #d9, #ad, #d9, #a5, #e1, #ad, #e1
db #a5, #e9, #ac, #e9, #ad, #e9, #ad, #f1
db #ac, #f9, #ad, #f9, #fd, #c1, #fb, #c9
db #fc, #c9, #fd, #c9, #fb, #d1, #fd, #e1
db #fd, #e9, #fd, #f1, #f5, #f9, #fd, #f9
db #00, #fa, #45, #c2, #4f, #c2, #45, #ca
db #4b, #ca, #4e, #ca, #4e, #d2, #44, #da
db #4c, #da, #44, #e2, #4e, #e2, #44, #ea
db #44, #f2, #4f, #f2, #4e, #fa, #4f, #fa
db #93, #c2, #9f, #c2, #93, #ca, #9f, #ca
db #a0, #ca, #93, #d2, #93, #da, #99, #da
db #a0, #da, #9e, #e2, #9f, #e2, #a1, #e2
db #99, #ea, #9e, #ea, #a1, #ea, #99, #f2
db #a0, #f2, #99, #fa, #e9, #c2, #f1, #c2
db #ea, #e2, #ea, #ea, #eb, #ea, #ea, #f2
db #eb, #f2, #ea, #fa, #eb, #fa, #3a, #c3
db #3b, #c3, #3a, #cb, #3b, #cb, #3a, #d3
db #3b, #d3, #3a, #db, #3b, #db, #3a, #e3
db #3b, #e3, #3b, #eb, #3b, #f3, #01, #10
db #00, #6d, #d8, #bc, #c8, #bc, #d0, #bb
db #f8, #0b, #c1, #03, #e9, #a6, #f9, #f6
db #d9, #f6, #e1, #45, #d2, #44, #fa, #eb
db #da, #eb, #e2, #3c, #cb, #3c, #d3, #3d
db #f3, #03, #14, #00, #6d, #e0, #6d, #e8
db #bc, #d8, #0a, #c1, #0a, #c9, #0b, #c9
db #0b, #d1, #5a, #c9, #5c, #e1, #5c, #f1
db #f6, #d1, #01, #da, #01, #e2, #4c, #fa
db #9a, #d2, #9c, #d2, #9a, #e2, #eb, #ca
db #eb, #d2, #3c, #c3, #07, #09, #00, #6d
db #f0, #bc, #e0, #bc, #e8, #0b, #d9, #00
db #ea, #4b, #f2, #eb, #c2, #ec, #f2, #ec
db #fa, #0f, #4e, #00, #6d, #f8, #bd, #c0
db #bd, #c8, #bd, #d0, #bd, #d8, #bd, #e0
db #bd, #e8, #bd, #f0, #bd, #f8, #0c, #c1
db #0d, #c1, #0c, #c9, #0d, #c9, #0c, #d1
db #0d, #d1, #0c, #d9, #0d, #d9, #05, #e1
db #0c, #e1, #0d, #e1, #06, #e9, #0c, #e9
db #06, #f1, #0c, #f1, #07, #f9, #0c, #f9
db #57, #c1, #58, #c1, #5c, #c9, #5c, #d1
db #58, #d9, #58, #e1, #58, #e9, #59, #e9
db #58, #f9, #a8, #c1, #a8, #c9, #a8, #d1
db #a8, #d9, #a8, #e1, #03, #ca, #f8, #d9
db #00, #da, #f8, #e1, #f8, #f1, #f7, #f9
db #f8, #f9, #47, #c2, #48, #c2, #47, #ca
db #48, #ca, #47, #d2, #48, #d2, #48, #da
db #47, #e2, #48, #e2, #47, #f2, #48, #f2
db #47, #fa, #48, #fa, #97, #c2, #9c, #c2
db #97, #ca, #9b, #d2, #96, #e2, #96, #ea
db #9b, #ea, #9c, #ea, #96, #f2, #9b, #f2
db #9b, #fa, #9c, #fa, #ec, #c2, #ed, #ca
db #ec, #d2, #ec, #e2, #ec, #ea, #3d, #db
db #80, #14, #00, #6e, #f8, #be, #c0, #0f
db #c1, #0e, #c9, #0f, #e1, #0f, #f9, #5d
db #f9, #af, #c1, #ad, #d1, #af, #d1, #fd
db #d1, #4e, #c2, #4f, #d2, #4f, #e2, #4e
db #ea, #99, #e2, #9f, #fa, #ee, #e2, #ee
db #ea, #3e, #d3, #40, #0f, #00, #be, #d0
db #be, #d8, #be, #f8, #0f, #e9, #0e, #f1
db #0f, #f1, #0e, #f9, #5f, #c9, #5e, #e1
db #fe, #c1, #fb, #f9, #4e, #da, #4e, #f2
db #9e, #da, #ee, #da, #30, #03, #00, #ba
db #f8, #4c, #e2, #3d, #fb, #52, #03, #00
db #0a, #d1, #ab, #f1, #9a, #da, #33, #09
db #00, #03, #d9, #54, #c9, #55, #f9, #a6
db #e1, #f6, #f1, #45, #da, #45, #e2, #94
db #ca, #93, #fa, #0e, #0f, #00, #04, #d9
db #06, #e1, #0a, #e9, #a9, #c9, #af, #e9
db #af, #f9, #ff, #d1, #03, #d2, #ff, #d9
db #ff, #f9, #4a, #ca, #49, #d2, #49, #f2
db #9d, #ea, #95, #f2, #06, #08, #00, #0a
db #d9, #0a, #e1, #b0, #e9, #ae, #f1, #00
db #f2, #9a, #fa, #ea, #c2, #ea, #ca, #13
db #03, #00, #03, #e1, #a5, #c1, #a6, #e9
db #cf, #04, #00, #04, #e1, #06, #f9, #57
db #e1, #96, #da, #ff, #13, #00, #04, #e9
db #04, #f1, #05, #f9, #55, #c1, #55, #c9
db #55, #d1, #55, #d9, #56, #f1, #56, #f9
db #a6, #c1, #a6, #c9, #a6, #d1, #95, #c2
db #95, #ca, #96, #ca, #95, #d2, #95, #da
db #94, #e2, #94, #ea, #8f, #09, #00, #05
db #e9, #57, #c9, #57, #d9, #57, #e9, #58
db #f1, #a7, #d1, #f7, #e9, #48, #ea, #95
db #ea, #c3, #04, #00, #07, #e9, #ae, #d9
db #9c, #ca, #97, #da, #08, #0d, #00, #08
db #e9, #5d, #e9, #aa, #c1, #ae, #d1, #af
db #d9, #03, #c2, #04, #ca, #fa, #e1, #02
db #e2, #4d, #e2, #4a, #ea, #99, #c2, #98
db #ea, #4b, #08, #00, #0d, #e9, #07, #f1
db #5d, #c1, #01, #c2, #02, #d2, #9c, #da
db #ed, #f2, #ed, #fa, #ef, #03, #00, #05
db #f1, #46, #f2, #95, #e2, #c0, #07, #00
db #09, #f1, #5f, #d9, #5a, #f9, #fa, #d9
db #fe, #d9, #fe, #e9, #99, #d2, #05, #03
db #00, #0a, #f1, #ae, #f9, #fe, #f9, #1e
db #0c, #00, #0d, #f1, #5d, #d1, #5d, #d9
db #a9, #c1, #a9, #d1, #af, #e1, #ff, #e9
db #ff, #f1, #ed, #c2, #ed, #da, #ed, #e2
db #3d, #e3, #f7, #01, #00, #04, #f9, #09
db #01, #00, #08, #f9, #84, #06, #00, #09
db #f9, #aa, #f1, #f9, #d9, #fa, #e9, #4a
db #e2, #95, #fa, #85, #03, #00, #0a, #f9
db #ae, #e9, #fe, #f1, #58, #02, #00, #0d
db #f9, #5d, #c9, #77, #06, #00, #54, #c1
db #55, #e9, #a6, #d9, #45, #ea, #94, #d2
db #94, #da, #0c, #0e, #00, #59, #c1, #59
db #c9, #59, #d1, #59, #e1, #a9, #e9, #a9
db #f1, #fa, #d1, #f9, #f1, #49, #ca, #49
db #e2, #49, #ea, #99, #ca, #9d, #d2, #9a
db #f2, #0b, #02, #00, #5a, #c1, #02, #ca
db #87, #14, #00, #5c, #c1, #5b, #d9, #5c
db #d9, #5b, #e1, #b0, #f1, #b0, #f9, #00
db #c2, #ff, #c9, #00, #d2, #00, #e2, #4c
db #f2, #4b, #fa, #9b, #c2, #9b, #ca, #9b
db #da, #9b, #e2, #9c, #e2, #9c, #f2, #ec
db #ca, #ec, #da, #10, #11, #00, #60, #c1
db #ab, #d1, #b0, #d9, #ac, #e1, #fc, #c1
db #fc, #d1, #fc, #d9, #fd, #d9, #fc, #e1
db #fc, #f1, #fc, #f9, #4b, #c2, #4c, #c2
db #4d, #ca, #4b, #da, #93, #ea, #8d, #c3
db #29, #01, #00, #58, #c9, #11, #05, #00
db #54, #d1, #54, #d9, #a6, #f1, #f6, #e9
db #94, #c2, #bf, #02, #00, #57, #d1, #a7
db #c1, #8d, #01, #00, #58, #d1, #5a, #03
db #00, #5a, #d1, #97, #d2, #ed, #ea, #20
db #09, #00, #5f, #d1, #5b, #f9, #ac, #c1
db #ac, #d1, #ac, #f1, #fb, #e1, #fb, #e9
db #fc, #e9, #4b, #e2, #c2, #04, #00, #59
db #d9, #aa, #c9, #b1, #f1, #fa, #c9, #96
db #01, #00, #5a, #d9, #7f, #03, #00, #55
db #e1, #46, #c2, #45, #f2, #86, #03, #00
db #5a, #e1, #aa, #d1, #4a, #c2, #0a, #02
db #00, #5d, #e1, #97, #e2, #4a, #01, #00
db #5a, #e9, #43, #05, #00, #5b, #e9, #5c
db #e9, #01, #d2, #9a, #c2, #9a, #ca, #37
db #02, #00, #55, #f1, #f6, #f9, #af, #03
db #00, #57, #f1, #57, #f9, #a7, #d9, #2d
db #03, #00, #59, #f1, #94, #fa, #3d, #d3
db #2c, #06, #00, #5a, #f1, #fa, #f1, #fa
db #f9, #49, #da, #9d, #e2, #9d, #fa, #42
db #02, #00, #5b, #f1, #ab, #c9, #1a, #01
db #00, #5d, #f1, #2f, #06, #00, #a7, #c9
db #a7, #e1, #a8, #f1, #a8, #f9, #f7, #e1
db #47, #da, #02, #04, #00, #aa, #d9, #fb
db #f1, #ea, #d2, #ea, #da, #70, #01, #00
db #ab, #d9, #e0, #01, #00, #aa, #e1, #d0
db #02, #00, #ae, #e1, #98, #ca, #1f, #02
db #00, #a7, #e9, #a8, #e9, #a4, #03, #00
db #aa, #e9, #aa, #f9, #4a, #d2, #48, #06
db #00, #a9, #f9, #b2, #f9, #f9, #c1, #f9
db #c9, #49, #fa, #ed, #d2, #12, #01, #00
db #b1, #f9, #21, #03, #00, #f6, #c1, #4c
db #ea, #97, #ea, #4d, #02, #00, #f8, #c1
db #f8, #d1, #a0, #02, #00, #fa, #c1, #9f
db #d2, #60, #03, #00, #fb, #c1, #fb, #d9
db #4a, #f2, #a1, #01, #00, #02, #c2, #9c
db #01, #00, #f8, #c9, #14, #02, #00, #fe
db #c9, #fe, #d1, #04, #02, #00, #f9, #d1
db #fe, #e1, #0d, #01, #00, #02, #da, #5b
db #01, #00, #f8, #e9, #4f, #01, #00, #f7
db #f1, #90, #02, #00, #4d, #c2, #98, #e2
db #50, #01, #00, #4b, #d2, #82, #01, #00
db #4a, #da, #5f, #02, #00, #47, #ea, #96
db #d2, #25, #01, #00, #4b, #ea, #18, #02
db #00, #4d, #ea, #98, #d2, #28, #02, #00
db #4d, #f2, #9d, #da, #38, #03, #00, #4d
db #fa, #9d, #ca, #9d, #f2, #df, #01, #00
db #96, #c2, #3c, #02, #00, #98, #c2, #3d
db #c3, #1c, #02, #00, #9d, #c2, #9a, #ea
db #31, #01, #00, #93, #f2, #de, #01, #00
db #94, #f2, #69, #01, #00, #3d, #cb, #16
db #01, #00, #3d, #eb
delta14:
db #5b, #00, #7c, #00, #6d, #d8, #6d, #e0
db #6d, #e8, #6d, #f0, #6d, #f8, #bd, #c0
db #bc, #c8, #bc, #d0, #bc, #d8, #bc, #e0
db #bb, #f8, #03, #d9, #04, #d9, #04, #e1
db #05, #e1, #06, #e1, #0f, #e1, #05, #e9
db #06, #e9, #07, #e9, #0f, #f1, #60, #c1
db #5f, #d1, #5e, #e1, #5d, #f1, #5c, #f9
db #5d, #f9, #ac, #c1, #af, #c1, #ac, #d1
db #ad, #d1, #af, #d1, #b0, #d1, #af, #d9
db #ac, #e1, #ae, #e9, #af, #e9, #ac, #f1
db #b1, #f1, #af, #f9, #b0, #f9, #b2, #f9
db #ff, #c1, #00, #c2, #01, #c2, #02, #c2
db #03, #c2, #fe, #c9, #02, #ca, #03, #ca
db #04, #ca, #00, #d2, #01, #d2, #02, #d2
db #03, #d2, #ff, #d9, #02, #da, #00, #e2
db #01, #e2, #00, #ea, #00, #f2, #ff, #f9
db #4c, #ca, #4d, #ca, #50, #ca, #45, #d2
db #4f, #d2, #45, #da, #4e, #da, #45, #e2
db #4d, #e2, #45, #ea, #4c, #ea, #4d, #ea
db #4c, #f2, #4d, #f2, #4e, #f2, #44, #fa
db #4d, #fa, #94, #c2, #9b, #c2, #9c, #c2
db #9d, #c2, #94, #ca, #9c, #ca, #9d, #ca
db #94, #d2, #9f, #d2, #94, #da, #9a, #da
db #9c, #da, #9d, #da, #9e, #da, #94, #e2
db #9a, #e2, #9d, #e2, #93, #ea, #94, #ea
db #9a, #ea, #9d, #ea, #93, #f2, #94, #f2
db #93, #fa, #ed, #c2, #eb, #ca, #eb, #d2
db #eb, #da, #ee, #da, #eb, #e2, #ec, #ea
db #ee, #ea, #ec, #f2, #ec, #fa, #3c, #c3
db #3c, #cb, #3d, #cb, #3c, #d3, #3d, #d3
db #3d, #db, #3d, #e3, #3d, #eb, #3d, #f3
db #3d, #fb, #8d, #c3, #10, #21, #00, #6e
db #e0, #0d, #c9, #0d, #d1, #08, #d9, #02
db #e1, #10, #e1, #12, #f1, #62, #c1, #60
db #c9, #53, #d1, #5d, #e9, #54, #f1, #60
db #f9, #ad, #c9, #a5, #d9, #ad, #d9, #b0
db #e1, #ad, #e9, #ad, #f1, #ad, #f9, #b1
db #f9, #00, #ca, #01, #ca, #01, #da, #4d
db #c2, #4c, #d2, #4c, #da, #4c, #e2, #50
db #ea, #45, #f2, #4c, #fa, #9b, #ca, #3d
db #c3, #08, #0f, #00, #6f, #e8, #be, #c8
db #bf, #e8, #be, #f0, #0a, #c1, #0a, #c9
db #0e, #d1, #0d, #d9, #0e, #d9, #0e, #f1
db #5e, #d9, #9d, #fa, #ed, #d2, #ef, #e2
db #3e, #c3, #06, #07, #00, #6e, #f0, #b9
db #c8, #b9, #d0, #b9, #d8, #b9, #e0, #b9
db #e8, #3e, #d3, #04, #08, #00, #6e, #f8
db #b9, #c0, #fe, #d1, #ea, #e2, #ea, #ea
db #ea, #f2, #ea, #fa, #3f, #db, #0c, #10
db #00, #be, #c0, #0e, #c9, #0a, #e1, #59
db #e9, #a9, #c1, #ab, #c9, #a9, #d1, #ab
db #d1, #ab, #d9, #ae, #f9, #49, #d2, #49
db #da, #49, #f2, #99, #c2, #ee, #e2, #ee
db #fa, #80, #17, #00, #bf, #c0, #be, #d0
db #bf, #d0, #be, #d8, #03, #e1, #0e, #e1
db #09, #f9, #5f, #c9, #62, #e9, #af, #c9
db #ae, #d1, #ae, #d9, #ae, #e1, #ff, #d1
db #03, #da, #ff, #e1, #02, #e2, #fe, #f1
db #4f, #c2, #52, #f2, #9a, #d2, #9e, #fa
db #ee, #ca, #01, #12, #00, #bd, #c8, #bc
db #e8, #0b, #c9, #08, #e1, #08, #e9, #5d
db #d1, #f4, #c9, #fd, #c9, #f4, #d1, #fc
db #d9, #f5, #e9, #fc, #f9, #99, #fa, #eb
db #c2, #e9, #ca, #ec, #da, #ec, #e2, #3e
db #e3, #03, #0a, #00, #bd, #d0, #bc, #f0
db #0b, #d9, #03, #e9, #f5, #e1, #fc, #e1
db #9b, #ea, #9b, #f2, #9b, #fa, #ed, #fa
db #40, #17, #00, #ba, #d8, #bb, #f0, #ba
db #f8, #5f, #d9, #5f, #e1, #5f, #e9, #5b
db #f9, #b0, #c9, #b0, #d9, #b0, #f1, #ff
db #c9, #00, #da, #ff, #e9, #4e, #ca, #50
db #d2, #4f, #da, #4b, #fa, #4f, #fa, #9f
db #ca, #9f, #da, #9e, #e2, #9f, #fa, #f0
db #d2, #07, #06, #00, #bd, #d8, #bc, #f8
db #0c, #c1, #0b, #e1, #9a, #f2, #e4, #da
db #84, #09, #00, #bf, #d8, #bf, #e0, #be
db #e8, #0e, #e9, #5a, #d1, #49, #ca, #49
db #ea, #9e, #ea, #e5, #da, #20, #0b, #00
db #ba, #e0, #5f, #f1, #b1, #e1, #b0, #e9
db #4c, #c2, #50, #c2, #4f, #e2, #4f, #ea
db #50, #f2, #9c, #d2, #a0, #da, #c0, #12
db #00, #be, #e0, #be, #f8, #0e, #f9, #0f
db #f9, #aa, #c1, #ae, #f1, #fe, #e1, #fe
db #f9, #4e, #c2, #4a, #f2, #4a, #fa, #4e
db #fa, #9f, #c2, #9e, #d2, #99, #e2, #e6
db #d2, #ee, #f2, #3f, #cb, #1c, #04, #00
db #bd, #e8, #bd, #f0, #ab, #c1, #98, #ca
db #0f, #2f, #00, #b9, #f0, #09, #c1, #09
db #c9, #09, #d1, #09, #d9, #09, #e1, #09
db #e9, #09, #f1, #06, #f9, #56, #c1, #57
db #c9, #57, #d1, #57, #d9, #57, #e1, #57
db #e9, #57, #f1, #58, #f1, #57, #f9, #59
db #f9, #a7, #c1, #a7, #c9, #a7, #d1, #a7
db #d9, #a7, #e1, #a8, #e9, #aa, #e9, #f8
db #c9, #f9, #c9, #f9, #d1, #f6, #d9, #f9
db #d9, #f7, #e1, #f9, #e9, #f9, #f1, #fa
db #f1, #fb, #f1, #fa, #f9, #4a, #c2, #4a
db #ca, #47, #ea, #97, #d2, #96, #da, #97
db #da, #97, #e2, #96, #fa, #e6, #c2, #e5
db #ca, #4f, #02, #00, #b9, #f8, #95, #ea
db #0d, #09, #00, #bd, #f8, #58, #d1, #a9
db #f9, #f8, #c1, #f8, #d1, #f8, #e9, #f9
db #f9, #48, #d2, #99, #ca, #a0, #02, #00
db #bf, #f8, #af, #f1, #30, #06, #00, #0b
db #c1, #5c, #c9, #5c, #d9, #5c, #e9, #ac
db #f9, #e7, #c2, #18, #08, #00, #0d, #c1
db #0d, #e1, #0d, #e9, #0d, #f9, #5d, #c1
db #fd, #e9, #98, #ea, #98, #fa, #0a, #02
db #00, #0f, #c1, #5a, #c1, #48, #0e, #00
db #0a, #d1, #0a, #d9, #04, #e9, #0f, #e9
db #5e, #c1, #5e, #c9, #5e, #d1, #5a, #d9
db #fe, #c1, #fe, #e9, #99, #da, #ed, #da
db #ed, #e2, #3f, #e3, #21, #06, #00, #0b
db #d1, #5c, #e1, #fd, #c1, #fc, #f1, #9b
db #da, #e4, #ca, #1e, #04, #00, #0c, #e1
db #9a, #fa, #9c, #fa, #e5, #d2, #2c, #05
db #00, #0a, #e9, #5a, #c9, #49, #fa, #99
db #d2, #3e, #cb, #2d, #08, #00, #0c, #e9
db #58, #c1, #58, #d9, #a8, #f1, #a8, #f9
db #f8, #e1, #48, #ea, #48, #f2, #33, #05
db #00, #03, #f1, #a5, #c9, #46, #ca, #95
db #ca, #95, #d2, #8f, #09, #00, #05, #f1
db #a7, #e9, #a7, #f1, #f8, #f1, #47, #da
db #47, #e2, #96, #d2, #95, #fa, #e5, #c2
db #81, #02, #00, #08, #f1, #fd, #d9, #3c
db #03, #00, #0a, #f1, #59, #f1, #5a, #f9
db #0e, #0c, #00, #0c, #f1, #fb, #f9, #4b
db #c2, #4b, #ca, #4b, #d2, #4b, #da, #4b
db #e2, #4b, #ea, #ea, #c2, #ea, #ca, #ea
db #d2, #ea, #da, #90, #08, #00, #0d, #f1
db #5d, #c9, #5d, #d9, #5d, #e1, #9d, #d2
db #98, #f2, #9d, #f2, #ed, #ca, #11, #05
db #00, #03, #f9, #54, #e9, #45, #fa, #94
db #fa, #e4, #c2, #ff, #10, #00, #04, #f9
db #54, #c1, #54, #c9, #55, #e1, #55, #e9
db #55, #f1, #a6, #e1, #a6, #f1, #a6, #f9
db #f6, #c1, #f6, #d1, #fa, #d1, #fa, #d9
db #fa, #e1, #f7, #f9, #47, #c2, #ef, #0d
db #00, #05, #f9, #56, #d9, #56, #f1, #56
db #f9, #a6, #c1, #a6, #c9, #a6, #d9, #a7
db #f9, #f6, #c9, #fa, #c9, #47, #ca, #47
db #d2, #46, #fa, #29, #01, #00, #08, #f9
db #b4, #01, #00, #0a, #f9, #38, #02, #00
db #0c, #f9, #9c, #ea, #12, #01, #00, #5c
db #c1, #cf, #04, #00, #56, #c9, #96, #c2
db #96, #ca, #95, #f2, #69, #06, #00, #58
db #c9, #aa, #c9, #f9, #c1, #f8, #f9, #48
db #c2, #48, #ca, #a4, #02, #00, #59, #c9
db #9a, #ca, #f7, #02, #00, #54, #d1, #55
db #f9, #6f, #03, #00, #56, #d1, #f7, #c1
db #fa, #c1, #70, #01, #00, #5c, #d1, #b7
db #01, #00, #54, #d9, #a5, #02, #00, #59
db #d9, #e6, #ca, #97, #01, #00, #54, #e1
db #e0, #05, #00, #5a, #e1, #5a, #e9, #ff
db #f1, #4a, #ea, #9a, #c2, #96, #02, #00
db #5b, #e1, #9c, #f2, #df, #01, #00, #56
db #e9, #d2, #01, #00, #5b, #e9, #68, #01
db #00, #5a, #f1, #60, #04, #00, #5b, #f1
db #af, #e1, #4b, #f2, #ef, #f2, #02, #02
db #00, #5c, #f1, #3e, #db, #77, #03, #00
db #a5, #c1, #46, #da, #95, #da, #13, #05
db #00, #a5, #d1, #a5, #f1, #f6, #f9, #46
db #c2, #95, #c2, #87, #04, #00, #aa, #d1
db #aa, #d9, #aa, #e1, #f5, #d9, #58, #02
db #00, #a9, #d9, #49, #c2, #4e, #02, #00
db #ab, #e1, #fb, #c9, #7f, #04, #00, #a6
db #e9, #f5, #c1, #f5, #c9, #46, #e2, #ec
db #01, #00, #ab, #e9, #2f, #05, #00, #aa
db #f1, #aa, #f9, #f6, #e1, #f6, #e9, #f7
db #e9, #4c, #01, #00, #ab, #f1, #17, #01
db #00, #a5, #f9, #6c, #01, #00, #ab, #f9
db #ce, #02, #00, #fb, #c1, #fb, #d1, #1f
db #03, #00, #f7, #c9, #f9, #e1, #f6, #f1
db #3f, #02, #00, #f5, #d1, #fa, #e9, #e1
db #01, #00, #fd, #d1, #49, #02, #00, #f8
db #d9, #48, #e2, #ee, #03, #00, #fb, #d9
db #fb, #e1, #fb, #e9, #4b, #05, #00, #fd
db #e1, #48, #da, #98, #c2, #97, #ea, #ec
db #c2, #25, #01, #00, #fc, #e9, #bf, #01
db #00, #f7, #f1, #09, #04, #00, #fd, #f1
db #fd, #f9, #98, #d2, #98, #da, #73, #01
db #00, #46, #d2, #c3, #01, #00, #4a, #d2
db #83, #01, #00, #4a, #da, #92, #01, #00
db #4a, #e2, #52, #01, #00, #9b, #d2, #67
db #01, #00, #95, #e2, #78, #03, #00, #98
db #e2, #97, #fa, #ed, #ea, #43, #03, #00
db #9b, #e2, #ec, #d2, #ed, #f2, #b0, #01
db #00, #9c, #e2, #5a, #01, #00, #97, #f2
db #23, #01, #00, #e4, #d2, #4a, #01, #00
db #ef, #fa, #28, #01, #00, #3f, #eb, #24
db #01, #00, #3f, #f3
delta15:
db #5e, #00, #8e, #00, #6e, #e0, #6f, #e8
db #6e, #f0, #6e, #f8, #b9, #c0, #be, #c0
db #bd, #c8, #be, #c8, #b9, #d0, #bd, #d0
db #be, #d0, #b9, #d8, #ba, #d8, #bd, #d8
db #ba, #e0, #bd, #e0, #bc, #e8, #bd, #e8
db #bb, #f0, #bc, #f0, #ba, #f8, #bc, #f8
db #0b, #c1, #0c, #c1, #0b, #c9, #02, #e1
db #03, #e1, #03, #e9, #04, #e9, #03, #f1
db #04, #f1, #05, #f1, #06, #f1, #07, #f1
db #0e, #f1, #12, #f1, #03, #f9, #04, #f9
db #05, #f9, #06, #f9, #07, #f9, #0f, #f9
db #54, #c1, #5e, #c1, #62, #c1, #5e, #c9
db #53, #d1, #54, #d1, #5e, #d1, #54, #d9
db #5e, #d9, #5f, #d9, #54, #e1, #5d, #e1
db #54, #e9, #5b, #e9, #5d, #e9, #62, #e9
db #54, #f1, #a5, #c9, #af, #c9, #a5, #d1
db #ab, #d1, #ae, #d1, #ad, #d9, #ae, #d9
db #b0, #d9, #ae, #e1, #af, #e1, #b0, #e1
db #b1, #e1, #b0, #e9, #af, #f1, #b0, #f1
db #b1, #f9, #fe, #c1, #ff, #c9, #00, #ca
db #01, #ca, #fe, #d1, #00, #da, #01, #da
db #03, #da, #02, #e2, #46, #da, #4f, #ea
db #45, #f2, #4b, #f2, #45, #fa, #4b, #fa
db #4e, #fa, #4f, #fa, #95, #c2, #95, #ca
db #9b, #ca, #9f, #ca, #95, #d2, #9b, #d2
db #9c, #d2, #9d, #d2, #9e, #d2, #95, #da
db #9b, #da, #9f, #da, #95, #e2, #9b, #e2
db #95, #ea, #95, #f2, #9f, #f2, #94, #fa
db #95, #fa, #98, #fa, #9b, #fa, #9f, #fa
db #e4, #c2, #e5, #c2, #eb, #c2, #e4, #ca
db #e5, #ca, #e4, #d2, #e5, #d2, #ec, #d2
db #e4, #da, #e5, #da, #ec, #da, #ea, #e2
db #ec, #e2, #ef, #e2, #ea, #ea, #ea, #f2
db #ed, #f2, #ea, #fa, #ed, #fa, #3d, #c3
db #3e, #c3, #3e, #cb, #3e, #d3, #3e, #db
db #3e, #e3, #3f, #e3, #3f, #eb, #3f, #f3
db #08, #13, #00, #68, #f0, #70, #f8, #b9
db #e0, #bf, #f0, #0a, #d9, #0e, #e9, #5d
db #d9, #fe, #d9, #fe, #e1, #50, #ca, #4f
db #e2, #52, #ea, #4e, #f2, #52, #f2, #ee
db #ca, #ea, #d2, #ee, #d2, #ea, #da, #ef
db #f2, #04, #0b, #00, #70, #f0, #c0, #f0
db #10, #c9, #60, #f1, #5b, #f9, #60, #f9
db #b0, #c1, #4a, #e2, #99, #da, #e9, #e2
db #40, #eb, #0c, #15, #00, #68, #f8, #bf
db #d8, #bf, #e0, #b9, #f0, #b9, #f8, #0e
db #d1, #0a, #e9, #0a, #f1, #59, #c9, #5d
db #c9, #5d, #d1, #5a, #f9, #aa, #f9, #ad
db #f9, #f9, #c9, #f9, #d1, #f9, #d9, #fe
db #e9, #99, #e2, #ea, #ca, #3f, #c3, #1c
db #03, #00, #b8, #c0, #a9, #e1, #e9, #d2
db #03, #14, #00, #bf, #c0, #bd, #f8, #0c
db #d1, #0b, #e9, #5c, #e9, #ff, #f1, #f5
db #f9, #ff, #f9, #4b, #da, #51, #ea, #4c
db #fa, #a0, #ca, #a0, #d2, #a0, #da, #a0
db #e2, #a0, #ea, #a0, #f2, #9c, #fa, #e7
db #da, #ed, #e2, #1e, #01, #00, #b8, #c8
db #80, #18, #00, #b9, #c8, #ba, #f0, #0f
db #c1, #0a, #d1, #5a, #d1, #5f, #d1, #ae
db #c1, #af, #c1, #af, #d9, #ad, #e9, #af
db #e9, #ae, #f9, #fa, #c1, #00, #d2, #00
db #e2, #00, #fa, #50, #c2, #4a, #ca, #4a
db #da, #52, #da, #52, #e2, #9e, #c2, #e8
db #c2, #e8, #da, #07, #0b, #00, #bf, #c8
db #be, #e0, #0c, #d9, #5b, #c1, #60, #d9
db #fb, #c9, #fb, #d1, #46, #ca, #4b, #d2
db #4c, #f2, #ec, #c2, #0f, #45, #00, #b8
db #d0, #be, #e8, #be, #f0, #be, #f8, #0d
db #c1, #0d, #c9, #0d, #d1, #0d, #d9, #0c
db #e1, #0d, #e1, #0c, #e9, #0d, #e9, #0c
db #f1, #0d, #f1, #09, #f9, #0c, #f9, #0d
db #f9, #55, #c1, #5c, #c1, #56, #c9, #5c
db #c9, #56, #d1, #5c, #d1, #56, #d9, #5c
db #d9, #56, #e1, #56, #e9, #56, #f1, #ac
db #e9, #ac, #f9, #f8, #c1, #fc, #c1, #fc
db #c9, #fd, #c9, #f8, #d1, #fc, #d1, #fd
db #d1, #f8, #d9, #fb, #d9, #fc, #d9, #fd
db #d9, #f8, #e1, #fb, #e1, #fc, #e1, #fd
db #e1, #f6, #e9, #f7, #e9, #f8, #e9, #fb
db #e9, #fc, #e9, #fd, #e9, #f7, #f1, #f8
db #f1, #fc, #f1, #fd, #f1, #f8, #f9, #fb
db #f9, #fc, #f9, #fd, #f9, #46, #c2, #4b
db #c2, #4c, #c2, #4e, #c2, #4c, #ca, #4e
db #ca, #4e, #d2, #4e, #da, #4f, #da, #4d
db #ea, #0e, #11, #00, #bf, #d0, #09, #c1
db #0e, #c1, #0e, #c9, #5d, #c1, #61, #d1
db #61, #d9, #61, #e1, #61, #e9, #a9, #c1
db #aa, #c1, #aa, #d1, #fe, #f1, #f9, #f9
db #fe, #f9, #49, #c2, #3f, #cb, #5f, #01
db #00, #b8, #d8, #01, #16, #00, #be, #d8
db #bd, #f0, #0c, #c9, #11, #d1, #11, #d9
db #11, #e1, #f3, #d9, #ff, #e1, #46, #d2
db #46, #e2, #f0, #c2, #f0, #d2, #f0, #da
db #f0, #e2, #e5, #ea, #f0, #ea, #e5, #f2
db #f0, #f2, #e5, #fa, #f0, #fa, #40, #c3
db #40, #cb, #9f, #06, #00, #b8, #e0, #b8
db #e8, #08, #c1, #08, #d9, #08, #e1, #48
db #d2, #88, #01, #00, #b9, #e8, #40, #10
db #00, #c0, #e8, #c0, #f8, #0a, #c1, #10
db #c1, #0a, #c9, #0f, #c9, #0f, #e1, #0f
db #e9, #0e, #f9, #5f, #c9, #b0, #d1, #ff
db #c1, #9e, #ca, #9a, #f2, #99, #fa, #40
db #e3, #3f, #02, #00, #b8, #f0, #47, #c2
db #ff, #1a, #00, #b8, #f8, #a6, #d9, #a5
db #e9, #a6, #e9, #a5, #f1, #a7, #f1, #a5
db #f9, #a7, #f9, #f4, #c1, #f5, #c1, #f4
db #c9, #f5, #c9, #f6, #c9, #f4, #d1, #f5
db #d1, #f4, #d9, #f5, #d9, #f6, #d9, #47
db #da, #47, #e2, #47, #ea, #47, #f2, #47
db #fa, #97, #c2, #97, #ca, #97, #d2, #c0
db #0d, #00, #bf, #f8, #5a, #c1, #5a, #d9
db #ae, #e9, #aa, #f1, #f9, #c1, #fa, #c9
db #fa, #d1, #ff, #d1, #9a, #ca, #9a, #d2
db #9e, #ea, #9e, #fa, #1f, #02, #00, #08
db #c9, #4d, #ca, #8e, #01, #00, #09, #c9
db #8f, #0b, #00, #08, #d1, #09, #d1, #08
db #e9, #08, #f1, #09, #f1, #08, #f9, #55
db #c9, #a7, #d9, #48, #c2, #4d, #c2, #48
db #ca, #20, #08, #00, #0b, #d1, #5f, #e1
db #50, #ea, #9b, #c2, #9f, #c2, #9c, #da
db #9b, #ea, #e7, #ca, #24, #04, #00, #10
db #d1, #10, #d9, #5a, #c9, #ab, #c1, #60
db #08, #00, #0b, #d9, #61, #f1, #ab, #c9
db #ab, #d9, #af, #f9, #9a, #da, #e6, #f2
db #3f, #d3, #48, #0c, #00, #0e, #d9, #0e
db #e1, #a9, #f1, #ad, #f1, #50, #d2, #50
db #da, #49, #e2, #49, #ea, #49, #f2, #9a
db #c2, #99, #ca, #ef, #fa, #10, #0c, #00
db #0b, #e1, #5b, #f1, #ac, #c1, #ac, #c9
db #ab, #e1, #4b, #ea, #9c, #ca, #9d, #e2
db #9b, #f2, #ed, #ea, #40, #d3, #40, #db
db #06, #07, #00, #10, #e1, #10, #e9, #10
db #f1, #10, #f9, #61, #c1, #60, #c9, #61
db #c9, #21, #0d, #00, #11, #e9, #5b, #d9
db #5b, #e1, #ab, #e9, #ab, #f1, #ff, #e9
db #51, #da, #4b, #e2, #50, #f2, #9c, #ea
db #a0, #fa, #ec, #ca, #f0, #ca, #43, #07
db #00, #0b, #f1, #0b, #f9, #5b, #d1, #ab
db #f9, #fb, #c1, #4c, #e2, #51, #e2, #12
db #05, #00, #11, #f1, #ac, #d1, #ac, #d9
db #a0, #c2, #3f, #db, #2c, #0a, #00, #0a
db #f9, #aa, #c9, #a9, #f9, #fd, #c1, #f9
db #e1, #f9, #e9, #49, #ca, #4e, #e2, #4e
db #ea, #ee, #da, #16, #03, #00, #11, #f9
db #60, #c1, #60, #d1, #09, #01, #00, #58
db #c1, #84, #0a, #00, #59, #c1, #59, #e1
db #59, #f9, #b0, #c9, #a9, #d9, #49, #fa
db #99, #d2, #99, #ea, #99, #f2, #e9, #da
db #11, #07, #00, #54, #c9, #a5, #c1, #f3
db #c1, #f4, #e9, #46, #ea, #46, #f2, #46
db #fa, #38, #01, #00, #58, #c9, #25, #02
db #00, #5b, #c9, #60, #e9, #cf, #04, #00
db #55, #d1, #56, #f9, #a7, #e1, #97, #ea
db #4f, #03, #00, #55, #d9, #f6, #f1, #f6
db #f9, #0b, #04, #00, #58, #d9, #58, #e1
db #4f, #ca, #4f, #d2, #3c, #04, #00, #59
db #d9, #f9, #f1, #ee, #ea, #ee, #f2, #67
db #01, #00, #55, #e1, #c2, #05, #00, #5a
db #e1, #fa, #d9, #4a, #c2, #ea, #c2, #ee
db #e2, #c3, #03, #00, #5c, #e1, #fa, #e9
db #ed, #da, #17, #01, #00, #60, #e1, #77
db #04, #00, #55, #e9, #f3, #c9, #f4, #e1
db #96, #fa, #49, #04, #00, #58, #e9, #58
db #f1, #98, #ca, #ed, #c2, #68, #03, #00
db #59, #e9, #5a, #e9, #4a, #ea, #33, #08
db #00, #55, #f1, #55, #f9, #a5, #e1, #f3
db #d1, #96, #d2, #96, #da, #96, #e2, #96
db #ea, #0d, #02, #00, #59, #f1, #a8, #d9
db #e0, #04, #00, #5a, #f1, #5f, #f1, #aa
db #e1, #aa, #e9, #42, #02, #00, #5c, #f1
db #4a, #d2, #2d, #05, #00, #58, #f9, #a8
db #c1, #a8, #c9, #a8, #d1, #4d, #d2, #02
db #04, #00, #5c, #f9, #50, #fa, #9a, #fa
db #40, #f3, #a0, #03, #00, #5f, #f9, #aa
db #d9, #4a, #f2, #d0, #01, #00, #a9, #d1
db #69, #02, #00, #a8, #e1, #4d, #e2, #87
db #07, #00, #ac, #e1, #ac, #f1, #fa, #f1
db #4b, #ca, #4c, #d2, #4c, #da, #4d, #f2
db #ef, #06, #00, #a7, #e9, #f5, #e1, #f5
db #e9, #97, #da, #97, #e2, #e6, #d2, #5a
db #01, #00, #a8, #e9, #13, #02, #00, #a4
db #f1, #96, #ca, #7f, #03, #00, #a4, #f9
db #47, #ca, #47, #d2, #ad, #02, #00, #a8
db #f9, #e6, #ea, #2f, #04, #00, #f7, #c1
db #f7, #d1, #f5, #f1, #f7, #f9, #6f, #03
db #00, #f7, #c9, #f6, #e1, #e6, #ca, #92
db #01, #00, #fa, #e1, #83, #02, #00, #fa
db #f9, #4f, #c2, #8c, #01, #00, #49, #d2
db #bf, #01, #00, #48, #da, #c8, #01, #00
db #49, #da, #4b, #02, #00, #4d, #da, #4c
db #ea, #df, #01, #00, #48, #e2, #af, #01
db #00, #48, #ea, #de, #02, #00, #48, #f2
db #e6, #e2, #dc, #01, #00, #48, #fa, #e1
db #01, #00, #4d, #fa, #31, #01, #00, #96
db #c2, #8d, #01, #00, #98, #c2, #30, #05
db #00, #9c, #c2, #9c, #e2, #9c, #f2, #e7
db #d2, #e7, #e2, #58, #02, #00, #9d, #c2
db #9d, #f2, #18, #03, #00, #98, #da, #9d
db #ea, #98, #f2, #90, #02, #00, #98, #e2
db #98, #ea, #37, #01, #00, #96, #f2, #9e
db #01, #00, #97, #f2, #da, #01, #00, #97
db #fa, #1a, #01, #00, #9d, #fa, #f7, #01
db #00, #e6, #c2, #78, #01, #00, #e7, #c2
db #50, #01, #00, #e9, #ca, #85, #01, #00
db #ed, #ca, #29, #01, #00, #ed, #d2, #ce
db #01, #00, #e6, #da, #05, #01, #00, #ee
db #fa
delta16:
db #4b, #01, #25, #00, #67, #e8, #67, #f0
db #67, #f8, #b7, #c0, #b7, #c8, #b7, #d0
db #c0, #d8, #b7, #e0, #b7, #e8, #b7, #f0
db #bf, #f0, #b7, #f8, #07, #c1, #07, #c9
db #07, #d1, #07, #d9, #0d, #d9, #5c, #d9
db #5d, #f9, #a6, #c9, #a5, #d9, #ad, #f9
db #f1, #c9, #fc, #d1, #fc, #e1, #46, #da
db #4c, #e2, #47, #ea, #47, #f2, #47, #fa
db #97, #c2, #97, #ca, #97, #d2, #97, #da
db #97, #e2, #97, #fa, #ed, #da, #80, #13
db #00, #68, #f0, #ba, #e0, #c1, #f0, #5a
db #e1, #af, #c9, #ff, #c1, #02, #ca, #9d
db #ea, #9e, #ea, #9a, #f2, #9a, #fa, #ea
db #ca, #ef, #d2, #ef, #da, #ef, #e2, #ee
db #ea, #e8, #f2, #e9, #f2, #e8, #fa, #00
db #9e, #00, #70, #f0, #70, #f8, #bf, #c0
db #b9, #c8, #bf, #c8, #bf, #d0, #be, #d8
db #bf, #d8, #be, #e0, #bf, #e0, #be, #e8
db #bf, #e8, #ba, #f0, #bd, #f0, #be, #f0
db #bd, #f8, #be, #f8, #0d, #c1, #0e, #c1
db #0c, #c9, #0d, #c9, #0b, #d1, #0c, #d1
db #0d, #d1, #11, #d1, #0b, #d9, #0c, #d9
db #11, #d9, #0b, #e1, #11, #e1, #0b, #e9
db #0c, #e9, #11, #e9, #0b, #f1, #10, #f1
db #11, #f1, #10, #f9, #11, #f9, #55, #c1
db #56, #c1, #57, #c1, #60, #c1, #61, #c1
db #54, #c9, #55, #c9, #56, #c9, #57, #c9
db #60, #c9, #61, #c9, #55, #d1, #56, #d1
db #57, #d1, #61, #d1, #55, #d9, #56, #d9
db #57, #d9, #5b, #d9, #61, #d9, #55, #e1
db #56, #e1, #5f, #e1, #61, #e1, #55, #e9
db #56, #e9, #60, #e9, #61, #e9, #55, #f1
db #56, #f1, #5f, #f1, #60, #f1, #61, #f1
db #55, #f9, #56, #f9, #5c, #f9, #5f, #f9
db #a5, #c1, #a6, #c1, #ac, #c1, #b0, #c1
db #b0, #c9, #b0, #d1, #ab, #d9, #af, #d9
db #ac, #e1, #ac, #e9, #ac, #f1, #ad, #f1
db #ac, #f9, #fc, #c1, #fb, #e1, #fb, #e9
db #fb, #f1, #fb, #f9, #4b, #da, #52, #da
db #46, #e2, #4b, #e2, #52, #e2, #46, #ea
db #4b, #ea, #4c, #ea, #52, #ea, #46, #f2
db #4c, #f2, #46, #fa, #96, #c2, #96, #ca
db #9c, #ca, #96, #d2, #a0, #d2, #96, #da
db #9a, #da, #9c, #da, #a0, #da, #96, #e2
db #9d, #e2, #9e, #e2, #a0, #e2, #96, #ea
db #9b, #ea, #9c, #ea, #a0, #ea, #96, #f2
db #a0, #f2, #96, #fa, #9d, #fa, #a0, #fa
db #e6, #c2, #ed, #c2, #f0, #c2, #e6, #ca
db #f0, #ca, #e6, #d2, #e9, #d2, #ea, #d2
db #f0, #d2, #e6, #da, #ea, #da, #f0, #da
db #e6, #e2, #e9, #e2, #f0, #e2, #e5, #ea
db #e6, #ea, #ed, #ea, #f0, #ea, #e5, #f2
db #e6, #f2, #ee, #f2, #f0, #f2, #e5, #fa
db #ee, #fa, #f0, #fa, #40, #c3, #3f, #d3
db #3f, #db, #40, #eb, #40, #f3, #08, #12
db #00, #68, #f8, #b9, #d0, #b9, #d8, #c1
db #e8, #0a, #c1, #5f, #d1, #5f, #d9, #ae
db #c1, #ae, #c9, #a4, #e1, #ae, #e9, #ff
db #c9, #51, #d2, #4e, #fa, #9e, #f2, #e9
db #c2, #ee, #da, #38, #c3, #8c, #03, #00
db #b8, #c0, #e8, #da, #e8, #e2, #0c, #1a
db #00, #b8, #c8, #b9, #e8, #0a, #c9, #0a
db #d1, #10, #d1, #0a, #d9, #10, #d9, #5f
db #c1, #5f, #c9, #5e, #f1, #59, #f9, #5e
db #f9, #a9, #c9, #a9, #e1, #a9, #f1, #a9
db #f9, #ff, #d1, #4e, #e2, #4e, #ea, #4e
db #f2, #4a, #fa, #52, #fa, #9a, #c2, #9a
db #ca, #99, #ea, #99, #f2, #42, #02, #00
db #c1, #d0, #fb, #d1, #11, #03, #00, #b7
db #d8, #97, #ea, #97, #f2, #0f, #60, #00
db #b8, #d8, #b8, #f0, #c0, #f0, #c0, #f8
db #09, #c1, #0f, #c1, #08, #c9, #09, #c9
db #0f, #c9, #08, #d1, #09, #d1, #0f, #d1
db #0e, #d9, #0f, #d9, #08, #e1, #0f, #e1
db #08, #e9, #0a, #e9, #0e, #e9, #0f, #e9
db #08, #f1, #09, #f1, #0a, #f1, #0e, #f1
db #08, #f9, #0e, #f9, #58, #c1, #59, #c1
db #58, #c9, #59, #c9, #5d, #c9, #5e, #c9
db #5d, #d1, #5e, #d1, #5d, #d9, #58, #f1
db #a8, #c9, #a8, #e1, #a8, #e9, #a8, #f1
db #a8, #f9, #f7, #d1, #f9, #d1, #fe, #d1
db #fe, #d9, #f9, #e1, #ff, #e1, #f9, #e9
db #fa, #f1, #ff, #f1, #f7, #f9, #ff, #f9
db #47, #c2, #48, #c2, #4d, #c2, #4f, #c2
db #46, #ca, #47, #ca, #48, #ca, #4d, #ca
db #4f, #ca, #50, #ca, #47, #d2, #48, #d2
db #49, #d2, #4a, #d2, #4d, #d2, #4f, #d2
db #50, #d2, #47, #da, #48, #da, #49, #da
db #4a, #da, #50, #da, #48, #e2, #49, #e2
db #4a, #e2, #4f, #e2, #50, #e2, #49, #ea
db #50, #ea, #51, #ea, #48, #f2, #49, #f2
db #50, #f2, #51, #f2, #48, #fa, #49, #fa
db #50, #fa, #99, #c2, #98, #ca, #99, #ca
db #99, #d2, #98, #ea, #98, #f2, #e8, #c2
db #0e, #1b, #00, #c1, #d8, #b9, #f8, #10
db #c1, #10, #c9, #0a, #e1, #0f, #f9, #5a
db #c1, #5a, #c9, #59, #d1, #aa, #e1, #aa
db #f9, #fa, #c1, #f9, #c9, #fe, #c9, #fa
db #d1, #ff, #d9, #fa, #e9, #00, #fa, #4a
db #c2, #50, #c2, #51, #e2, #4a, #ea, #4a
db #f2, #4f, #f2, #4f, #fa, #99, #da, #99
db #e2, #8f, #11, #00, #b8, #e0, #b8, #e8
db #b8, #f8, #08, #c1, #08, #d9, #58, #d1
db #a7, #f1, #f8, #c9, #f7, #e1, #48, #ea
db #98, #c2, #98, #d2, #98, #da, #98, #e2
db #98, #fa, #e8, #ca, #e8, #d2, #03, #0d
db #00, #c0, #e0, #0e, #c9, #0d, #e1, #0c
db #f9, #5c, #d1, #f2, #c1, #fc, #e9, #fc
db #f1, #46, #d2, #e7, #ca, #e7, #d2, #e7
db #f2, #e7, #fa, #48, #07, #00, #c1, #e0
db #a9, #d9, #9e, #ca, #99, #fa, #9e, #fa
db #ee, #c2, #ee, #d2, #87, #01, #00, #c0
db #e8, #07, #0c, #00, #bf, #f8, #0e, #d1
db #5c, #c9, #57, #e1, #57, #e9, #57, #f1
db #57, #f9, #a7, #c1, #fc, #f9, #4c, #c2
db #4c, #ca, #a0, #c2, #20, #10, #00, #0b
db #c1, #0b, #c9, #5b, #d1, #60, #e1, #5b
db #e9, #61, #f9, #af, #c1, #b1, #d1, #a2
db #d9, #af, #f1, #af, #f9, #4c, #fa, #9c
db #d2, #9b, #f2, #9c, #fa, #40, #e3, #10
db #15, #00, #0c, #e1, #5c, #e1, #5c, #e9
db #5c, #f1, #60, #f9, #ad, #c1, #ac, #d9
db #ad, #e9, #fc, #c9, #00, #d2, #fc, #d9
db #4b, #c2, #4d, #fa, #9c, #c2, #9d, #c2
db #9b, #ca, #9d, #ca, #9c, #e2, #9c, #f2
db #ec, #ca, #ed, #e2, #2d, #07, #00, #0e
db #e1, #5e, #d9, #a8, #d9, #fd, #d9, #fe
db #e1, #fd, #f1, #fd, #f9, #c0, #02, #00
db #10, #e1, #5a, #f9, #4b, #04, #00, #0d
db #e9, #5c, #c1, #58, #e9, #fd, #e1, #40
db #0d, #00, #10, #e9, #5b, #e1, #ab, #c1
db #a4, #d1, #ab, #f9, #fb, #d9, #00, #e2
db #4b, #ca, #4b, #d2, #a0, #ca, #9b, #da
db #9b, #fa, #40, #cb, #21, #06, #00, #0c
db #f1, #4c, #da, #51, #fa, #a1, #c2, #e7
db #c2, #ec, #c2, #1e, #0d, #00, #0f, #f1
db #0a, #f9, #5e, #c1, #f9, #c1, #f9, #d9
db #fe, #e9, #ff, #e9, #fe, #f1, #fe, #f9
db #4e, #c2, #49, #ca, #4a, #ca, #4f, #ea
db #04, #07, #00, #0b, #f9, #e9, #ca, #e9
db #da, #ee, #e2, #3f, #c3, #40, #d3, #40
db #db, #a1, #01, #00, #5b, #c1, #0d, #05
db #00, #5d, #c1, #58, #d9, #59, #e1, #a8
db #d1, #a9, #d1, #41, #02, #00, #5b, #c9
db #ab, #c9, #4a, #04, #00, #5a, #d1, #59
db #f1, #aa, #d9, #aa, #e9, #30, #03, #00
db #60, #d1, #60, #d9, #ac, #d1, #2c, #09
db #00, #59, #d9, #59, #e9, #5e, #e9, #ae
db #f1, #fa, #c9, #fa, #d9, #fa, #e1, #f9
db #f9, #51, #da, #86, #04, #00, #5a, #d9
db #aa, #f1, #9f, #c2, #9f, #ca, #0b, #03
db #00, #5d, #e1, #58, #f9, #a3, #f1, #1c
db #03, #00, #5e, #e1, #a9, #e9, #00, #f2
db #a0, #02, #00, #5a, #e9, #5a, #f1, #49
db #02, #00, #5d, #e9, #a8, #c1, #60, #05
db #00, #5b, #f1, #ab, #e9, #ab, #f1, #fb
db #c1, #ea, #c2, #83, #02, #00, #5d, #f1
db #fd, #c1, #06, #02, #00, #5b, #f9, #37
db #d3, #84, #05, #00, #a9, #c1, #f9, #f1
db #9e, #d2, #ee, #ca, #ef, #ea, #68, #01
db #00, #aa, #c1, #2f, #02, #00, #a7, #c9
db #a7, #e9, #e0, #01, #00, #aa, #c9, #63
db #01, #00, #a6, #d1, #bf, #02, #00, #a7
db #d1, #f7, #c9, #a4, #02, #00, #aa, #d1
db #ae, #f9, #90, #02, #00, #a3, #d9, #9d
db #f2, #af, #03, #00, #a7, #d9, #a7, #e1
db #a7, #f9, #77, #01, #00, #a5, #e1, #61
db #01, #00, #ab, #e1, #81, #02, #00, #a3
db #e9, #4d, #ea, #1f, #01, #00, #a4, #e9
db #ff, #0a, #00, #a4, #f1, #a4, #f9, #f3
db #c1, #f3, #c9, #f3, #d1, #f3, #d9, #f4
db #e1, #f5, #e1, #f6, #e1, #f4, #e9, #3f
db #01, #00, #a3, #f9, #3c, #02, #00, #fe
db #c1, #49, #c2, #b7, #01, #00, #f2, #c9
db #16, #01, #00, #fb, #c9, #29, #01, #00
db #fd, #c9, #13, #04, #00, #f2, #d1, #e7
db #da, #e7, #e2, #e7, #ea, #50, #01, #00
db #00, #da, #33, #01, #00, #f3, #e1, #37
db #01, #00, #f4, #f1, #ef, #01, #00, #f5
db #f1, #69, #01, #00, #f8, #f1, #6f, #01
db #00, #f5, #f9, #c2, #02, #00, #fa, #f9
db #ef, #f2, #23, #01, #00, #45, #c2, #12
db #01, #00, #4c, #d2, #09, #02, #00, #4d
db #da, #4d, #e2, #43, #02, #00, #47, #e2
db #37, #c3, #1a, #01, #00, #4d, #f2, #18
db #02, #00, #ed, #ca, #ed, #d2, #88, #01
db #00, #e8, #ea, #0a, #01, #00, #ef, #fa
db #26, #01, #00, #37, #cb, #02, #01, #00
db #3f, #cb
delta17:
db #57, #08, #12, #00, #68, #d8, #b9, #c8
db #c3, #e8, #ba, #f0, #12, #c9, #12, #d1
db #12, #d9, #12, #e1, #ad, #c9, #fd, #c9
db #f3, #f1, #4e, #da, #53, #f2, #53, #fa
db #ea, #ea, #ea, #f2, #39, #db, #39, #e3
db #48, #09, #00, #68, #e0, #0e, #c9, #0e
db #d9, #5e, #c1, #5e, #d1, #4e, #d2, #52
db #da, #4e, #e2, #ea, #e2, #00, #7f, #00
db #67, #e8, #67, #f0, #67, #f8, #b7, #c0
db #b7, #c8, #b7, #d0, #c1, #d0, #b7, #d8
db #c0, #d8, #c1, #d8, #b7, #e0, #c0, #e0
db #c1, #e0, #b7, #e8, #c0, #e8, #c1, #e8
db #b7, #f0, #bf, #f0, #c0, #f0, #c1, #f0
db #b7, #f8, #bf, #f8, #c0, #f8, #07, #c1
db #0f, #c1, #10, #c1, #07, #c9, #0f, #c9
db #07, #d1, #07, #d9, #0c, #e1, #0d, #e9
db #0c, #f1, #0d, #f1, #0c, #f9, #5c, #c9
db #5c, #d1, #5c, #d9, #5c, #e9, #5d, #e9
db #5e, #e9, #5d, #f1, #5d, #f9, #61, #f9
db #ad, #c1, #ae, #c9, #b1, #d1, #ab, #e9
db #ad, #e9, #ae, #e9, #af, #e9, #ae, #f1
db #af, #f1, #ad, #f9, #af, #f9, #fd, #c1
db #02, #ca, #fc, #d9, #fd, #d9, #fe, #d9
db #fd, #e1, #fe, #e1, #fc, #e9, #fd, #e9
db #fe, #e9, #fc, #f1, #fe, #f1, #fc, #f9
db #fd, #f9, #fe, #f9, #4a, #c2, #4c, #c2
db #4d, #c2, #4c, #ca, #4b, #d2, #4d, #d2
db #4c, #da, #4c, #e2, #4d, #ea, #4e, #ea
db #4d, #f2, #4e, #f2, #4f, #f2, #4c, #fa
db #4d, #fa, #4e, #fa, #4f, #fa, #9c, #c2
db #9d, #c2, #9e, #c2, #a0, #c2, #9d, #ca
db #9c, #d2, #9e, #d2, #9c, #e2, #9d, #ea
db #9c, #f2, #9b, #fa, #9c, #fa, #9e, #fa
db #ee, #c2, #e7, #ca, #ec, #ca, #ed, #ca
db #ee, #ca, #e7, #d2, #ed, #d2, #ef, #d2
db #e7, #da, #ed, #da, #ee, #da, #ef, #da
db #e7, #e2, #ef, #e2, #e7, #ea, #ee, #ea
db #ef, #ea, #e7, #f2, #e7, #fa, #37, #c3
db #37, #cb, #3f, #cb, #40, #cb, #37, #d3
db #40, #d3, #40, #db, #40, #e3, #0c, #0d
db #00, #68, #e8, #b9, #d0, #5e, #e1, #59
db #e9, #aa, #c1, #fb, #c1, #f9, #e1, #a3
db #c2, #ea, #d2, #ea, #da, #39, #c3, #39
db #cb, #39, #d3, #1e, #0a, #00, #68, #f0
db #0a, #d1, #09, #d9, #0b, #f9, #59, #c9
db #5a, #f9, #4a, #e2, #9a, #da, #99, #f2
db #9a, #fa, #8f, #07, #00, #68, #f8, #b8
db #c0, #b8, #c8, #b8, #d0, #b8, #d8, #a9
db #c1, #a8, #f9, #80, #1a, #00, #69, #f8
db #b9, #c0, #0e, #d1, #0e, #e1, #61, #c9
db #5e, #f9, #ae, #c1, #a4, #d9, #ad, #e1
db #ab, #f9, #ae, #f9, #fe, #d1, #04, #e2
db #43, #c2, #4a, #ca, #4d, #ca, #4e, #ca
db #52, #ca, #53, #ea, #a3, #ca, #9d, #d2
db #a4, #d2, #9d, #f2, #9e, #f2, #ee, #e2
db #39, #eb, #0e, #23, #00, #b9, #d8, #b9
db #e0, #ba, #e8, #ba, #f8, #0a, #c1, #0a
db #c9, #0f, #d9, #0a, #e9, #0e, #e9, #0f
db #e9, #0a, #f1, #5f, #c1, #5a, #d1, #5a
db #d9, #5f, #d9, #5b, #e9, #ff, #e9, #fa
db #f1, #f9, #f9, #49, #d2, #49, #da, #4a
db #da, #49, #e2, #4f, #e2, #49, #fa, #4a
db #fa, #99, #c2, #9a, #c2, #99, #ca, #9a
db #ca, #9a, #d2, #9a, #e2, #9a, #f2, #ea
db #ca, #e9, #fa, #04, #04, #00, #ba, #d8
db #ba, #e0, #0b, #d1, #60, #f9, #0f, #2c
db #00, #b9, #e8, #b9, #f0, #b9, #f8, #0a
db #d9, #0a, #e1, #0f, #f1, #0a, #f9, #59
db #d9, #58, #e1, #59, #e1, #57, #e9, #58
db #e9, #5a, #f1, #57, #f9, #59, #f9, #a7
db #c1, #a8, #c1, #a7, #c9, #a7, #d1, #a8
db #d1, #a7, #d9, #a8, #d9, #a7, #f1, #f8
db #c9, #fa, #c9, #fb, #c9, #fa, #d1, #fa
db #d9, #fa, #e1, #f8, #f1, #f9, #f1, #4b
db #ea, #4b, #f2, #97, #c2, #98, #c2, #97
db #d2, #97, #da, #99, #da, #97, #e2, #99
db #ea, #9a, #ea, #99, #fa, #e9, #d2, #e9
db #da, #cf, #0d, #00, #b8, #f0, #b8, #f8
db #08, #c1, #08, #c9, #08, #d1, #08, #d9
db #08, #e1, #08, #e9, #08, #f1, #08, #f9
db #58, #c1, #58, #c9, #f9, #d1, #49, #01
db #00, #c2, #f0, #40, #12, #00, #bb, #f8
db #0b, #c1, #5e, #f1, #60, #f1, #ae, #e1
db #af, #e1, #b3, #f9, #00, #c2, #fe, #c9
db #03, #ca, #9f, #ca, #a3, #d2, #9f, #da
db #a4, #da, #9f, #e2, #eb, #d2, #ee, #d2
db #3f, #c3, #21, #08, #00, #c1, #f8, #11
db #c9, #a1, #e9, #f1, #d1, #51, #c2, #51
db #ca, #51, #da, #97, #fa, #09, #03, #00
db #c2, #f8, #52, #f2, #52, #fa, #84, #07
db #00, #0e, #c1, #0b, #d9, #5e, #c9, #5e
db #d9, #a4, #e1, #4f, #ca, #ef, #f2, #c3
db #01, #00, #11, #c1, #18, #03, #00, #12
db #c1, #0d, #d9, #52, #ea, #60, #06, #00
db #0b, #c9, #61, #c1, #60, #c9, #ff, #c1
db #ff, #d1, #ff, #e1, #10, #17, #00, #0d
db #c9, #0d, #d1, #5c, #c1, #57, #d1, #5d
db #d1, #5d, #d9, #5c, #f9, #ac, #c1, #a3
db #c9, #a3, #d9, #b2, #d9, #01, #ca, #f2
db #f1, #fd, #f1, #02, #f2, #45, #ca, #4c
db #d2, #4d, #e2, #a0, #ca, #a2, #da, #9d
db #e2, #ec, #c2, #38, #e3, #03, #09, #00
db #10, #c9, #11, #d1, #11, #f1, #56, #f9
db #a6, #c1, #a6, #c9, #51, #e2, #51, #f2
db #96, #fa, #20, #0f, #00, #0f, #d1, #a2
db #d1, #ab, #e1, #ac, #e1, #ac, #f9, #f0
db #c9, #00, #ca, #01, #d2, #fc, #e1, #4c
db #f2, #eb, #c2, #eb, #ca, #eb, #e2, #ea
db #fa, #3f, #d3, #07, #0e, #00, #10, #d1
db #10, #d9, #10, #e1, #10, #e9, #10, #f1
db #5b, #c9, #60, #d1, #60, #d9, #56, #e9
db #fb, #d1, #45, #c2, #46, #d2, #47, #e2
db #9b, #c2, #4b, #07, #00, #11, #d9, #5a
db #e9, #58, #f9, #a3, #e1, #a3, #e9, #fb
db #d9, #47, #d2, #a4, #06, #00, #0b, #e1
db #5f, #c9, #ff, #f9, #4f, #c2, #4f, #ea
db #9b, #ea, #90, #07, #00, #0d, #e1, #5d
db #c9, #a3, #c1, #a3, #d1, #fd, #d1, #a2
db #ca, #9d, #da, #86, #08, #00, #0f, #e1
db #0b, #e9, #0b, #f1, #5f, #f1, #5f, #f9
db #ff, #f1, #4f, #da, #9b, #ca, #52, #04
db #00, #11, #e1, #5b, #f9, #00, #f2, #00
db #fa, #83, #01, #00, #11, #e9, #94, #01
db #00, #0e, #f1, #01, #13, #00, #0d, #f9
db #5d, #c1, #5b, #d9, #5d, #e1, #ab, #d1
db #a1, #f1, #f2, #e1, #f2, #e9, #f4, #f9
db #4d, #da, #50, #fa, #96, #c2, #96, #ca
db #a1, #ca, #96, #d2, #e7, #c2, #38, #cb
db #38, #d3, #38, #db, #05, #01, #00, #0e
db #f9, #c2, #01, #00, #0f, #f9, #16, #04
db #00, #10, #f9, #5b, #d1, #5b, #e1, #50
db #c2, #02, #06, #00, #11, #f9, #ac, #d1
db #01, #fa, #9f, #c2, #e6, #c2, #e6, #ca
db #3c, #06, #00, #59, #c1, #5b, #c1, #4b
db #e2, #49, #f2, #ea, #c2, #e9, #ea, #87
db #06, #00, #60, #c1, #56, #e1, #a2, #e9
db #a2, #f1, #a2, #f9, #4b, #fa, #0a, #01
db #00, #5f, #d1, #12, #04, #00, #57, #d9
db #5c, #e1, #a1, #d9, #fc, #c9, #2f, #06
db #00, #58, #d9, #57, #f1, #a7, #e1, #f6
db #f9, #47, #f2, #97, #ca, #2c, #05, #00
db #5a, #e1, #59, #f1, #aa, #e9, #4a, #d2
db #ef, #fa, #a0, #01, #00, #5f, #e1, #42
db #06, #00, #60, #e1, #60, #e9, #ab, #c9
db #ff, #c9, #ff, #d9, #00, #e2, #e0, #01
db #00, #5f, #e9, #43, #08, #00, #56, #f1
db #5b, #f1, #ab, #c1, #a1, #e1, #51, #d2
db #50, #da, #50, #e2, #50, #f2, #c0, #04
db #00, #af, #c1, #fe, #c1, #4e, #c2, #9e
db #ca, #ff, #0a, #00, #a9, #c9, #a9, #d1
db #a9, #d9, #a9, #e1, #a9, #e9, #a3, #f9
db #f7, #c1, #f2, #c9, #f7, #c9, #f5, #e9
db #8e, #02, #00, #aa, #c9, #aa, #e1, #30
db #07, #00, #ac, #c9, #a2, #d9, #ac, #d9
db #a2, #e1, #fc, #d1, #51, #ea, #51, #fa
db #24, #02, #00, #af, #c9, #fb, #f1, #7f
db #03, #00, #a6, #d1, #a5, #e1, #f6, #e9
db #8c, #01, #00, #aa, #d1, #33, #03, #00
db #a5, #d9, #98, #fa, #e8, #d2, #ef, #05
db #00, #a6, #d9, #a9, #f9, #f9, #c1, #f9
db #c9, #f5, #f9, #ac, #01, #00, #aa, #d9
db #2d, #09, #00, #a8, #e1, #aa, #f1, #f8
db #d9, #49, #ca, #99, #e2, #e9, #c2, #e9
db #ca, #e9, #e2, #e9, #f2, #3f, #04, #00
db #a4, #e9, #f2, #d1, #f3, #e1, #47, #fa
db #1f, #07, #00, #a7, #e9, #a3, #f1, #f7
db #e1, #f6, #f1, #48, #fa, #98, #ca, #98
db #d2, #6f, #01, #00, #a9, #f1, #41, #02
db #00, #ab, #f1, #fb, #f9, #17, #02, #00
db #f2, #c1, #f1, #c9, #af, #01, #00, #f7
db #d1, #50, #02, #00, #00, #d2, #00, #ea
db #13, #06, #00, #f2, #d9, #96, #f2, #e8
db #ca, #e8, #da, #e8, #e2, #e8, #ea, #bc
db #01, #00, #f9, #d9, #06, #02, #00, #00
db #da, #9b, #da, #14, #02, #00, #fb, #e1
db #9b, #e2, #0b, #03, #00, #f3, #e9, #48
db #d2, #48, #da, #70, #02, #00, #fb, #e9
db #50, #d2, #0d, #02, #00, #f8, #f9, #49
db #c2, #28, #02, #00, #fa, #f9, #9b, #f2
db #69, #01, #00, #48, #c2, #25, #03, #00
db #4b, #c2, #4b, #da, #50, #ea, #29, #01
db #00, #48, #ca, #5a, #01, #00, #50, #ca
db #4a, #01, #00, #4f, #d2, #81, #01, #00
db #52, #e2, #67, #01, #00, #47, #ea, #5b
db #01, #00, #48, #ea, #58, #01, #00, #a2
db #c2, #96, #01, #00, #9b, #d2, #11, #06
db #00, #96, #da, #96, #e2, #96, #ea, #e8
db #f2, #e8, #fa, #38, #c3, #1b, #01, #00
db #98, #da, #b7, #01, #00, #98, #e2, #1a
db #01, #00, #97, #ea, #b3, #03, #00, #98
db #ea, #98, #f2, #e8, #c2, #38, #01, #00
db #97, #f2
delta18:
db #6c, #00, #af, #00, #68, #d8, #68, #e0
db #68, #e8, #68, #f0, #68, #f8, #b8, #c0
db #b8, #c8, #b8, #d0, #b8, #d8, #b8, #e0
db #b8, #e8, #c3, #e8, #b8, #f0, #c2, #f0
db #c1, #f8, #c2, #f8, #11, #c1, #12, #c1
db #10, #c9, #11, #c9, #12, #c9, #0b, #d1
db #0f, #d1, #10, #d1, #11, #d1, #0b, #d9
db #0e, #d9, #0f, #d9, #10, #d9, #11, #f1
db #11, #f9, #5b, #c1, #5e, #c1, #5f, #c1
db #60, #c1, #61, #c1, #5d, #c9, #5e, #c9
db #61, #c9, #5b, #d1, #5e, #d1, #5b, #d9
db #5d, #d9, #5e, #d9, #5f, #d9, #60, #d9
db #5b, #e1, #5c, #e1, #5f, #e1, #5b, #e9
db #5f, #e9, #5b, #f1, #60, #f1, #5f, #f9
db #60, #f9, #a3, #c1, #a3, #c9, #a2, #d1
db #a3, #d1, #a4, #d1, #a1, #d9, #a2, #d9
db #a3, #d9, #a4, #d9, #b2, #d9, #a1, #e1
db #a2, #e1, #a3, #e1, #a4, #e1, #a1, #e9
db #a2, #e9, #a4, #e9, #a1, #f1, #a2, #f1
db #a3, #f1, #a2, #f9, #a3, #f9, #f2, #c1
db #f0, #c9, #f1, #c9, #f2, #c9, #fd, #c9
db #f1, #d1, #f2, #d1, #fd, #d1, #f2, #d9
db #00, #da, #f2, #e1, #f3, #e1, #fc, #e1
db #ff, #e1, #04, #e2, #f2, #e9, #f3, #e9
db #ff, #e9, #00, #ea, #f2, #f1, #f3, #f1
db #f4, #f1, #fd, #f1, #ff, #f1, #00, #f2
db #f4, #f9, #00, #fa, #01, #fa, #43, #c2
db #45, #c2, #45, #ca, #4b, #ca, #4d, #ca
db #4e, #ca, #4f, #ca, #4f, #d2, #51, #d2
db #4d, #da, #51, #da, #52, #da, #4b, #e2
db #4e, #e2, #50, #e2, #52, #e2, #4b, #ea
db #4f, #ea, #52, #ea, #4b, #f2, #4c, #f2
db #51, #f2, #4b, #fa, #52, #fa, #9b, #c2
db #9f, #c2, #a1, #c2, #a2, #c2, #9b, #ca
db #9e, #ca, #9f, #ca, #a0, #ca, #a1, #ca
db #9b, #d2, #9d, #d2, #9d, #da, #a2, #da
db #9b, #e2, #9f, #e2, #98, #f2, #9b, #f2
db #9e, #f2, #96, #fa, #97, #fa, #98, #fa
db #e6, #c2, #e7, #c2, #e8, #c2, #e6, #ca
db #e8, #ca, #eb, #ca, #e8, #d2, #eb, #d2
db #ee, #d2, #e8, #da, #e8, #e2, #eb, #e2
db #ed, #e2, #e8, #ea, #e8, #f2, #e8, #fa
db #38, #c3, #3f, #c3, #38, #cb, #38, #d3
db #3f, #d3, #38, #db, #38, #e3, #39, #e3
db #39, #eb, #04, #05, #00, #69, #d8, #6a
db #f0, #a4, #ca, #a5, #ea, #3b, #d3, #54
db #01, #00, #69, #e0, #44, #01, #00, #69
db #e8, #08, #0f, #00, #6a, #e8, #bc, #f0
db #0d, #e9, #5e, #f1, #b2, #e9, #b3, #f9
db #fd, #c1, #fc, #d9, #4a, #ca, #4a, #da
db #4a, #e2, #4a, #f2, #4a, #fa, #9d, #e2
db #e5, #c2, #46, #03, #00, #69, #f0, #69
db #f8, #b9, #c0, #84, #0a, #00, #6a, #f8
db #0a, #f1, #63, #d1, #ae, #c1, #a9, #e1
db #a9, #f9, #03, #ca, #f9, #d9, #f9, #f9
db #4a, #c2, #12, #04, #00, #ba, #c0, #11
db #d9, #ac, #c9, #ec, #ca, #4e, #01, #00
db #b9, #c8, #43, #06, #00, #ba, #c8, #bb
db #e8, #01, #d2, #01, #da, #01, #e2, #e9
db #ea, #ce, #01, #00, #b9, #d0, #80, #2d
db #00, #ba, #d0, #bb, #d0, #be, #d8, #ba
db #e8, #bd, #f8, #0a, #c1, #13, #d1, #0a
db #d9, #12, #d9, #0f, #e1, #12, #e1, #0e
db #e9, #12, #e9, #0e, #f1, #05, #f9, #0d
db #f9, #0e, #f9, #13, #f9, #5d, #c1, #5f
db #d1, #5e, #e1, #5f, #f1, #62, #f1, #62
db #f9, #ad, #d9, #af, #d9, #ff, #d9, #02
db #da, #03, #e2, #fe, #e9, #ff, #f9, #4e
db #c2, #4e, #d2, #4e, #da, #4d, #e2, #54
db #ea, #a3, #c2, #a2, #ca, #a2, #d2, #a3
db #d2, #9e, #e2, #ef, #ea, #ef, #f2, #ef
db #fa, #3a, #f3, #ee, #0b, #00, #b9, #d8
db #b9, #e0, #b9, #e8, #b9, #f0, #09, #c1
db #09, #c9, #09, #d1, #09, #d9, #09, #e1
db #02, #f2, #53, #da, #40, #18, #00, #ba
db #d8, #ba, #e0, #14, #c9, #14, #d1, #0e
db #e1, #0b, #f9, #b0, #c1, #af, #d1, #b0
db #e1, #b0, #e9, #00, #d2, #00, #e2, #03
db #fa, #50, #ca, #50, #da, #4f, #e2, #50
db #ea, #9e, #c2, #9e, #d2, #a4, #e2, #9d
db #ea, #a3, #ea, #9f, #f2, #ef, #c2, #0c
db #1e, #00, #bb, #d8, #5a, #d9, #5a, #e1
db #5a, #e9, #5a, #f1, #a9, #c9, #a9, #d1
db #ae, #d1, #a9, #d9, #ae, #d9, #af, #e1
db #af, #e9, #a9, #f1, #f9, #c1, #fe, #c1
db #03, #c2, #f9, #c9, #fe, #c9, #f9, #d1
db #fe, #d1, #fe, #d9, #fe, #e1, #02, #e2
db #f9, #e9, #f9, #f1, #fb, #f1, #49, #c2
db #49, #ca, #4a, #d2, #95, #fa, #06, #01
db #00, #bb, #e0, #c0, #0a, #00, #ba, #f0
db #0e, #c1, #0e, #d1, #0a, #e1, #14, #e1
db #0f, #f9, #5f, #c9, #ff, #c9, #fe, #f9
db #ef, #d2, #03, #07, #00, #bb, #f0, #0c
db #d1, #0c, #d9, #0c, #e1, #ac, #d9, #f5
db #f9, #eb, #fa, #10, #1a, #00, #b8, #f8
db #0b, #c9, #12, #d1, #12, #f1, #60, #c9
db #5c, #d1, #5c, #e9, #5d, #e9, #b1, #c1
db #b1, #c9, #b1, #d9, #a3, #e9, #b1, #e9
db #b1, #f1, #51, #c2, #4c, #ca, #4c, #ea
db #4d, #ea, #51, #ea, #52, #f2, #9b, #da
db #98, #ea, #a1, #ea, #97, #f2, #9c, #f2
db #ed, #d2, #fe, #02, #00, #b9, #f8, #96
db #da, #e0, #07, #00, #ba, #f8, #10, #e1
db #0f, #e9, #10, #e9, #0a, #f9, #ff, #c1
db #ff, #d1, #01, #12, #00, #bb, #f8, #08
db #c1, #0b, #c1, #54, #c9, #a5, #c1, #a5
db #d9, #f3, #d9, #53, #fa, #95, #c2, #9d
db #ca, #98, #da, #ec, #d2, #eb, #ea, #eb
db #f2, #39, #c3, #39, #cb, #39, #d3, #39
db #db, #48, #08, #00, #be, #f8, #0d, #f1
db #5a, #c1, #5e, #f9, #fe, #f1, #53, #c2
db #49, #d2, #4a, #ea, #60, #05, #00, #0c
db #c1, #0b, #e1, #50, #f2, #50, #fa, #9b
db #fa, #90, #04, #00, #0d, #c1, #5d, #e1
db #ad, #e1, #4d, #fa, #11, #05, #00, #08
db #c9, #08, #d1, #54, #c1, #f4, #e9, #52
db #d2, #a0, #02, #00, #0a, #c9, #af, #c1
db #96, #01, #00, #0c, #c9, #09, #08, #00
db #0d, #c9, #5d, #f9, #b2, #f9, #02, #c2
db #f8, #e9, #f8, #f1, #48, #da, #48, #ea
db #c2, #01, #00, #0a, #d1, #81, #02, #00
db #0d, #d1, #98, #e2, #13, #06, #00, #08
db #d9, #08, #e1, #f3, #c1, #95, #ca, #98
db #d2, #e9, #f2, #0d, #03, #00, #0d, #e1
db #a8, #e9, #48, #c2, #30, #07, #00, #11
db #e1, #06, #f9, #5c, #f1, #b0, #d1, #51
db #e2, #97, #e2, #9b, #ea, #33, #08, #00
db #08, #e9, #08, #f1, #55, #f1, #55, #f9
db #f3, #d1, #52, #ca, #95, #d2, #95, #da
db #ef, #0e, #00, #09, #e9, #09, #f9, #55
db #c9, #56, #d9, #57, #e9, #57, #f1, #a6
db #c9, #f5, #c1, #f5, #c9, #f5, #d1, #f5
db #e1, #f5, #e9, #47, #f2, #97, #c2, #a4
db #02, #00, #0a, #e9, #5a, #d1, #50, #07
db #00, #0b, #e9, #10, #f1, #10, #f9, #b0
db #c9, #50, #d2, #96, #f2, #eb, #c2, #21
db #09, #00, #0c, #e9, #07, #f9, #5b, #f9
db #00, #ca, #01, #ea, #01, #f2, #a4, #da
db #ec, #da, #e9, #fa, #20, #1a, #00, #11
db #e9, #0b, #f1, #5b, #c9, #60, #d1, #60
db #e1, #60, #e9, #61, #f1, #af, #c9, #b1
db #f9, #01, #ca, #fb, #f9, #4b, #c2, #4f
db #c2, #50, #c2, #51, #ca, #4c, #d2, #4b
db #da, #4f, #da, #51, #fa, #a1, #d2, #9c
db #da, #a0, #e2, #a1, #e2, #97, #ea, #ec
db #c2, #ec, #e2, #cf, #0a, #00, #09, #f1
db #59, #c1, #59, #c9, #59, #d1, #59, #e1
db #57, #f9, #a6, #e9, #99, #d2, #99, #da
db #99, #ea, #4a, #02, #00, #0f, #f1, #af
db #f9, #3b, #01, #00, #08, #f9, #8f, #04
db #00, #55, #c1, #56, #d1, #57, #e1, #99
db #fa, #87, #0e, #00, #56, #c1, #a9, #c1
db #ab, #c9, #aa, #e1, #aa, #e9, #aa, #f1
db #ae, #f1, #aa, #f9, #fa, #c1, #fa, #d1
db #fa, #d9, #fa, #e1, #fa, #e9, #fa, #f1
db #c3, #01, #00, #57, #c1, #5b, #01, #00
db #58, #c1, #0f, #1b, #00, #56, #c9, #57
db #d1, #57, #d9, #59, #e9, #59, #f1, #ab
db #d1, #a7, #e1, #a7, #e9, #a7, #f9, #a8
db #f9, #f7, #c1, #f7, #c9, #f6, #d1, #f7
db #d1, #f6, #d9, #f6, #e1, #f7, #e1, #f6
db #e9, #f6, #f1, #f6, #f9, #47, #d2, #47
db #e2, #49, #e2, #49, #f2, #49, #fa, #99
db #c2, #e9, #c2, #4b, #06, #00, #57, #c9
db #58, #f1, #f8, #c1, #48, #d2, #47, #da
db #48, #f2, #1f, #04, #00, #58, #c9, #58
db #d1, #58, #d9, #58, #e1, #0a, #01, #00
db #5a, #c9, #ff, #0f, #00, #55, #d1, #56
db #e1, #56, #e9, #56, #f1, #56, #f9, #a6
db #c1, #a6, #d1, #a6, #d9, #ab, #e1, #02
db #fa, #46, #f2, #46, #fa, #96, #c2, #96
db #ca, #96, #d2, #f7, #01, #00, #55, #d9
db #4f, #09, #00, #59, #d9, #a6, #f1, #ab
db #f1, #a6, #f9, #f6, #c9, #fb, #d9, #99
db #ca, #99, #e2, #99, #f2, #77, #06, #00
db #55, #e1, #f3, #c9, #f4, #e1, #46, #e2
db #53, #ea, #95, #ea, #37, #06, #00, #55
db #e9, #a5, #e1, #52, #c2, #46, #da, #95
db #e2, #e9, #e2, #18, #03, #00, #5d, #f1
db #ad, #c9, #b2, #f1, #69, #04, #00, #58
db #f9, #a8, #f1, #f8, #d1, #f8, #f9, #68
db #03, #00, #5a, #f9, #aa, #c1, #3a, #eb
db #25, #01, #00, #5c, #f9, #a5, #01, #00
db #ab, #c1, #52, #02, #00, #ac, #c1, #96
db #ea, #49, #02, #00, #ad, #c1, #a8, #d9
db #b4, #01, #00, #aa, #c9, #2c, #04, #00
db #ae, #c9, #a9, #e9, #fb, #e9, #9a, #c2
db #97, #01, #00, #aa, #d1, #16, #01, #00
db #ac, #d1, #29, #01, #00, #ad, #d1, #a7
db #02, #00, #aa, #d9, #fa, #c9, #6f, #06
db #00, #ab, #d9, #ac, #e1, #f6, #c1, #fb
db #c1, #fc, #c9, #f5, #f1, #0e, #03, #00
db #ae, #e1, #af, #f1, #fc, #d1, #7f, #08
db #00, #ab, #e9, #ac, #e9, #ac, #f1, #ab
db #f9, #fc, #c1, #fb, #c9, #fb, #d1, #46
db #ea, #8d, #01, #00, #ad, #e9, #3c, #01
db #00, #ae, #e9, #b7, #01, #00, #a4, #f1
db #9f, #01, #00, #ad, #f1, #3f, #01, #00
db #ac, #f9, #cc, #02, #00, #ad, #f9, #53
db #d2, #5a, #01, #00, #ae, #f9, #2d, #01
db #00, #f8, #c9, #38, #01, #00, #f8, #e1
db #7e, #01, #00, #fb, #e1, #8c, #01, #00
db #02, #ea, #86, #01, #00, #fa, #f9, #07
db #01, #00, #46, #ca, #a1, #01, #00, #48
db #ca, #c8, #02, #00, #53, #ca, #ea, #f2
db #23, #01, #00, #46, #d2, #c1, #01, #00
db #49, #da, #b0, #02, #00, #48, #e2, #97
db #d2, #f6, #01, #00, #53, #e2, #2f, #01
db #00, #47, #ea, #31, #01, #00, #53, #f2
db #88, #10, #00, #54, #f2, #54, #fa, #9a
db #ca, #9a, #da, #9a, #e2, #9a, #f2, #9a
db #fa, #ea, #c2, #ea, #ca, #ea, #d2, #ea
db #da, #ea, #e2, #ea, #ea, #ea, #fa, #3a
db #c3, #3a, #cb, #af, #01, #00, #47, #fa
db #0b, #01, #00, #48, #fa, #83, #02, #00
db #98, #c2, #98, #ca, #4c, #01, #00, #a4
db #c2, #9e, #01, #00, #97, #ca, #28, #02
db #00, #9a, #d2, #9a, #ea, #a2, #01, #00
db #a4, #d2, #02, #02, #00, #97, #da, #3b
db #c3, #dc, #01, #00, #96, #e2, #66, #01
db #00, #95, #f2, #47, #02, #00, #e9, #ca
db #e9, #d2, #57, #01, #00, #e9, #da, #42
db #01, #00, #3b, #cb, #a8, #03, #00, #3a
db #d3, #3a, #db, #3a, #e3
delta19:
db #64, #00, #d4, #00, #69, #d8, #69, #e0
db #69, #e8, #6a, #e8, #69, #f0, #6a, #f0
db #69, #f8, #6a, #f8, #b9, #c0, #ba, #c0
db #b9, #c8, #ba, #c8, #b9, #d0, #ba, #d0
db #b9, #d8, #be, #d8, #b9, #e0, #b9, #e8
db #b9, #f0, #b8, #f8, #b9, #f8, #bd, #f8
db #08, #c1, #09, #c1, #0c, #c1, #0d, #c1
db #08, #c9, #09, #c9, #0d, #c9, #14, #c9
db #08, #d1, #09, #d1, #0c, #d1, #12, #d1
db #13, #d1, #14, #d1, #08, #d9, #09, #d9
db #11, #d9, #12, #d9, #08, #e1, #0f, #e1
db #10, #e1, #11, #e1, #12, #e1, #14, #e1
db #0c, #e9, #0d, #e9, #0f, #e9, #10, #e9
db #11, #e9, #12, #e9, #0d, #f1, #0f, #f1
db #10, #f1, #12, #f1, #0d, #f9, #0f, #f9
db #10, #f9, #13, #f9, #5d, #c1, #5f, #c9
db #60, #c9, #5c, #d1, #5d, #d1, #5f, #d1
db #60, #d1, #63, #d1, #5d, #e1, #5e, #e1
db #5d, #e9, #60, #e9, #5d, #f1, #5e, #f1
db #61, #f1, #62, #f1, #62, #f9, #a5, #c1
db #ad, #c1, #ae, #c1, #b0, #c1, #b1, #c1
db #ac, #c9, #ad, #c9, #ae, #c9, #b0, #c9
db #b1, #c9, #ae, #d1, #af, #d1, #b0, #d1
db #a5, #d9, #ae, #d9, #af, #d9, #b1, #d9
db #a5, #e1, #ae, #e1, #b0, #e1, #a3, #e9
db #a5, #e9, #af, #e9, #b1, #e9, #a4, #f1
db #a5, #f1, #af, #f1, #b1, #f1, #a4, #f9
db #b1, #f9, #b2, #f9, #b3, #f9, #f3, #c1
db #f4, #c1, #00, #c2, #02, #c2, #03, #c2
db #f3, #c9, #f4, #c9, #03, #ca, #f3, #d1
db #f4, #d1, #f3, #d9, #f4, #d9, #02, #da
db #f4, #e1, #01, #e2, #02, #e2, #03, #e2
db #f4, #e9, #f5, #e9, #02, #ea, #f5, #f1
db #01, #f2, #f5, #f9, #03, #fa, #4e, #c2
db #4f, #c2, #50, #c2, #51, #c2, #52, #c2
db #53, #c2, #50, #ca, #51, #ca, #53, #ca
db #4c, #d2, #4e, #d2, #50, #d2, #53, #d2
db #4e, #da, #4f, #da, #50, #da, #53, #da
db #4d, #e2, #51, #e2, #4c, #ea, #50, #ea
db #51, #ea, #53, #ea, #54, #ea, #50, #f2
db #52, #f2, #54, #f2, #50, #fa, #51, #fa
db #54, #fa, #a3, #c2, #a4, #c2, #9d, #ca
db #a2, #ca, #a3, #ca, #9e, #d2, #a1, #d2
db #a2, #d2, #a3, #d2, #a4, #d2, #9c, #da
db #9e, #e2, #a0, #e2, #a1, #e2, #a4, #e2
db #97, #ea, #98, #ea, #9d, #ea, #a1, #ea
db #a3, #ea, #a5, #ea, #95, #f2, #96, #f2
db #97, #f2, #9c, #f2, #9f, #f2, #95, #fa
db #e5, #c2, #ec, #c2, #ef, #c2, #ec, #d2
db #ef, #d2, #e9, #da, #ec, #da, #e9, #e2
db #ec, #e2, #ee, #e2, #e9, #ea, #ef, #ea
db #e9, #f2, #ef, #f2, #e9, #fa, #ef, #fa
db #39, #c3, #39, #cb, #39, #d3, #39, #db
db #3a, #eb, #3a, #f3, #12, #03, #00, #6b
db #e0, #ac, #d1, #01, #d2, #02, #05, #00
db #6b, #e8, #5c, #f9, #52, #ca, #53, #fa
db #97, #ca, #06, #03, #00, #6b, #f0, #0e
db #d9, #96, #ea, #46, #01, #00, #6b, #f8
db #4e, #0a, #00, #bb, #c0, #bb, #e0, #bb
db #f8, #0b, #c1, #0b, #d9, #0b, #e1, #0b
db #e9, #0b, #f1, #0b, #f9, #5b, #c1, #20
db #11, #00, #bc, #c0, #60, #c1, #64, #c9
db #61, #d1, #60, #d9, #5c, #f1, #5f, #f1
db #ac, #c1, #b1, #d1, #b0, #d9, #ff, #f9
db #97, #da, #9f, #da, #a4, #ea, #ec, #ca
db #ed, #e2, #ec, #f2, #6e, #01, #00, #bb
db #c8, #0e, #05, #00, #bb, #d0, #0b, #c9
db #a9, #e1, #fa, #d9, #fe, #f1, #01, #0e
db #00, #ba, #d8, #0d, #d1, #09, #e1, #09
db #e9, #01, #ca, #f5, #e1, #45, #ca, #52
db #d2, #99, #fa, #e9, #c2, #e9, #ca, #e9
db #d2, #ed, #da, #3a, #e3, #1e, #04, #00
db #bb, #d8, #0b, #d1, #f9, #d1, #00, #d2
db #10, #17, #00, #bd, #d8, #bc, #f0, #0c
db #c9, #0d, #d9, #0c, #e1, #0d, #e1, #11
db #f1, #61, #c9, #5d, #d9, #5d, #f9, #60
db #f9, #b1, #e1, #b0, #e9, #01, #ea, #4b
db #d2, #4d, #fa, #9c, #ca, #9c, #e2, #9d
db #e2, #9c, #ea, #9d, #f2, #9d, #fa, #ec
db #ea, #21, #06, #00, #ba, #e0, #fb, #f1
db #fb, #f9, #4b, #c2, #4b, #ca, #97, #d2
db #81, #02, #00, #bd, #e0, #58, #c9, #23
db #03, #00, #ba, #e8, #ba, #f0, #a6, #e1
db #ce, #02, #00, #bb, #e8, #95, #da, #08
db #0c, #00, #bd, #e8, #be, #f8, #0e, #c1
db #b3, #c9, #ad, #d1, #4c, #ca, #53, #e2
db #98, #ca, #a4, #ca, #9e, #fa, #ee, #c2
db #8b, #c3, #3e, #01, #00, #bb, #f0, #80
db #12, #00, #be, #f0, #5e, #d9, #64, #e1
db #ae, #e9, #b2, #f1, #02, #f2, #fe, #f9
db #4e, #ca, #4f, #ca, #4a, #d2, #4f, #e2
db #4d, #ea, #9e, #ca, #9f, #d2, #98, #da
db #98, #e2, #9f, #e2, #95, #ea, #07, #08
db #00, #ba, #f8, #07, #f9, #f6, #f1, #99
db #da, #99, #e2, #99, #ea, #ea, #ea, #ea
db #f2, #47, #02, #00, #0a, #c1, #f5, #d1
db #67, #01, #00, #0a, #c9, #84, #07, #00
db #0e, #c9, #59, #f9, #a9, #c1, #a9, #e9
db #f9, #e1, #49, #d2, #4b, #e2, #6f, #02
db #00, #0a, #d1, #f6, #f9, #04, #02, #00
db #0e, #d1, #9e, #f2, #0c, #18, #00, #04
db #d9, #02, #fa, #4b, #ea, #4b, #f2, #4b
db #fa, #9b, #c2, #9b, #ca, #9b, #d2, #9b
db #e2, #9b, #ea, #9b, #f2, #9b, #fa, #eb
db #c2, #eb, #ca, #eb, #d2, #eb, #da, #eb
db #ea, #eb, #f2, #eb, #fa, #3b, #cb, #3b
db #d3, #3b, #db, #3b, #e3, #3b, #eb, #cf
db #0c, #00, #0a, #d9, #04, #e1, #05, #f1
db #0a, #f1, #56, #c1, #57, #d1, #58, #e9
db #58, #f1, #a7, #c9, #ae, #f9, #fe, #c1
db #fe, #c9, #30, #02, #00, #0c, #d9, #61
db #c1, #4a, #02, #00, #05, #e1, #4a, #e2
db #a4, #03, #00, #06, #e1, #aa, #c9, #49
db #ca, #af, #02, #00, #0a, #e1, #5a, #c1
db #86, #01, #00, #0e, #e1, #77, #07, #00
db #04, #e9, #04, #f1, #55, #d9, #5a, #f9
db #45, #e2, #45, #ea, #94, #d2, #8f, #07
db #00, #05, #e9, #a7, #d1, #fe, #d9, #fe
db #e9, #47, #ca, #47, #e2, #ea, #d2, #34
db #01, #00, #06, #e9, #83, #02, #00, #07
db #e9, #0e, #f1, #90, #05, #00, #08, #e9
db #08, #f1, #f8, #f1, #48, #ca, #98, #d2
db #ef, #06, #00, #0a, #e9, #0a, #f9, #a7
db #c1, #ad, #e9, #96, #ca, #94, #e2, #68
db #06, #00, #0e, #e9, #aa, #d1, #aa, #e1
db #aa, #f9, #fa, #f1, #f9, #f9, #40, #10
db #00, #14, #e9, #0e, #f9, #5f, #c1, #5f
db #e1, #60, #e1, #5e, #f9, #af, #c1, #b3
db #c1, #af, #c9, #af, #e1, #b2, #e9, #53
db #f2, #a0, #ca, #9e, #da, #a4, #da, #9e
db #ea, #4b, #05, #00, #06, #f1, #09, #f9
db #f7, #d1, #f7, #f1, #48, #c2, #16, #01
db #00, #07, #f1, #b1, #01, #00, #09, #f1
db #33, #03, #00, #04, #f9, #45, #d2, #45
db #da, #ff, #2a, #00, #05, #f9, #55, #c1
db #55, #c9, #56, #c9, #5a, #c9, #56, #d1
db #5a, #d1, #56, #d9, #57, #d9, #5a, #d9
db #57, #e1, #5a, #e1, #57, #e9, #5a, #e9
db #57, #f1, #5a, #f1, #57, #f9, #a6, #c9
db #ac, #e1, #ac, #e9, #ac, #f1, #ad, #f1
db #ac, #f9, #ad, #f9, #fc, #c1, #fd, #c1
db #fc, #c9, #fd, #c9, #fc, #d1, #fd, #d1
db #fc, #d9, #46, #c2, #46, #ca, #46, #d2
db #46, #da, #46, #e2, #46, #ea, #45, #f2
db #45, #fa, #95, #c2, #95, #ca, #95, #d2
db #3c, #01, #00, #06, #f9, #18, #06, #00
db #08, #f9, #f8, #e1, #4d, #c2, #48, #da
db #48, #fa, #98, #c2, #03, #09, #00, #57
db #c1, #ab, #d1, #a5, #f9, #f5, #d9, #fb
db #e9, #99, #f2, #3a, #cb, #3a, #d3, #3a
db #db, #38, #02, #00, #58, #c1, #58, #d1
db #0f, #24, #00, #59, #c1, #59, #e1, #a6
db #f1, #a6, #f9, #a9, #f9, #f6, #c1, #f6
db #c9, #ff, #c9, #ff, #d1, #ff, #d9, #00
db #da, #fe, #e1, #ff, #e1, #fd, #e9, #fc
db #f1, #fd, #f1, #fc, #f9, #fd, #f9, #4c
db #c2, #4a, #ea, #4a, #f2, #4a, #fa, #9a
db #c2, #99, #ca, #9a, #ca, #99, #d2, #9a
db #d2, #9a, #da, #9a, #e2, #9a, #ea, #9a
db #f2, #9a, #fa, #ea, #c2, #ea, #ca, #ea
db #da, #ea, #e2, #11, #04, #00, #54, #c9
db #44, #fa, #94, #c2, #93, #ea, #4f, #02
db #00, #59, #c9, #fe, #d1, #ee, #06, #00
db #5b, #c9, #5b, #d9, #5b, #e1, #5b, #e9
db #5b, #f1, #ab, #c1, #5f, #01, #00, #59
db #d1, #fe, #03, #00, #5b, #d1, #5b, #f9
db #ac, #d9, #09, #03, #00, #58, #d9, #ad
db #e1, #f8, #d9, #1f, #02, #00, #59, #d9
db #fc, #e9, #8d, #01, #00, #58, #e1, #73
db #01, #00, #55, #e9, #c1, #01, #00, #59
db #f1, #13, #05, #00, #55, #f9, #ab, #f9
db #fb, #c1, #fb, #c9, #fb, #d9, #0d, #06
db #00, #58, #f9, #a8, #c9, #a8, #d9, #a8
db #f1, #f8, #c1, #48, #d2, #49, #02, #00
db #a8, #c1, #a8, #e1, #d3, #01, #00, #aa
db #c1, #48, #08, #00, #a9, #c9, #aa, #f1
db #fa, #c1, #f9, #e9, #4a, #ca, #49, #e2
db #3b, #f3, #3b, #fb, #26, #01, #00, #ab
db #c9, #7f, #03, #00, #a6, #d1, #fc, #e1
db #94, #da, #69, #02, #00, #a8, #d1, #48
db #e2, #1c, #05, #00, #a9, #d1, #f8, #c9
db #48, #ea, #9b, #da, #3b, #c3, #37, #02
db #00, #a6, #d9, #94, #ca, #e0, #03, #00
db #aa, #d9, #fa, #d1, #fa, #e9, #53, #04
db #00, #ab, #d9, #ab, #e1, #ab, #e9, #ab
db #f1, #43, #03, #00, #a6, #e9, #fb, #e1
db #3a, #c3, #2c, #07, #00, #aa, #e9, #ff
db #c1, #f9, #d9, #00, #e2, #ff, #e9, #4a
db #c2, #eb, #e2, #b4, #01, #00, #a9, #f1
db #8c, #02, #00, #ae, #f1, #94, #ea, #c3
db #03, #00, #a7, #f9, #f7, #e9, #96, #da
db #58, #01, #00, #a8, #f9, #c0, #03, #00
db #af, #f9, #00, #ca, #49, #da, #63, #01
db #00, #f5, #c1, #c7, #01, #00, #f5, #c9
db #c2, #02, #00, #fa, #c9, #95, #e2, #d0
db #01, #00, #f8, #d1, #31, #01, #00, #fb
db #d1, #df, #02, #00, #fd, #d9, #fd, #e1
db #28, #02, #00, #01, #da, #fa, #f9, #a0
db #01, #00, #fa, #e1, #f0, #01, #00, #f8
db #e9, #87, #01, #00, #f7, #f9, #a1, #01
db #00, #f8, #f9, #2f, #01, #00, #47, #da
db #42, #01, #00, #4a, #da, #24, #01, #00
db #4b, #da, #94, #01, #00, #49, #ea, #bf
db #01, #00, #47, #f2, #2d, #03, #00, #48
db #f2, #49, #fa, #96, #d2, #96, #01, #00
db #49, #f2, #da, #01, #00, #97, #c2, #50
db #01, #00, #96, #e2, #27, #01, #00, #ea
db #fa
delta20:
db #54, #00, #85, #00, #6b, #e0, #6b, #e8
db #6b, #f0, #6b, #f8, #bb, #c0, #bc, #c0
db #bb, #c8, #bb, #d0, #ba, #d8, #bb, #d8
db #ba, #e0, #bb, #e0, #ba, #e8, #bb, #e8
db #ba, #f0, #bb, #f0, #ba, #f8, #0a, #c1
db #0e, #c1, #0a, #c9, #0e, #c9, #0a, #d1
db #0e, #d1, #0a, #d9, #0e, #d9, #0a, #e1
db #0e, #e1, #04, #e9, #0e, #e9, #14, #e9
db #04, #f1, #11, #f1, #04, #f9, #0e, #f9
db #54, #c1, #60, #c1, #54, #c9, #61, #c9
db #64, #c9, #61, #d1, #55, #d9, #5e, #d9
db #60, #d9, #55, #e1, #5f, #e1, #60, #e1
db #64, #e1, #55, #e9, #55, #f1, #55, #f9
db #60, #f9, #af, #c1, #b3, #c1, #af, #c9
db #b3, #c9, #ab, #d1, #ac, #d1, #ad, #d1
db #b1, #d1, #a6, #d9, #ac, #d9, #ad, #d9
db #a6, #e1, #b1, #e1, #a6, #e9, #ac, #e9
db #b2, #e9, #a6, #f1, #ab, #f1, #ac, #f1
db #b2, #f1, #a5, #f9, #a6, #f9, #ac, #f9
db #f5, #c1, #f6, #c1, #fb, #c1, #f5, #c9
db #01, #ca, #f5, #d1, #01, #d2, #f5, #d9
db #f5, #e1, #fb, #e1, #fb, #f1, #fc, #f1
db #fc, #f9, #4c, #c2, #4b, #ca, #4c, #ca
db #52, #ca, #4b, #d2, #52, #d2, #4b, #da
db #4a, #e2, #4b, #e2, #53, #e2, #53, #f2
db #53, #fa, #9e, #c2, #9e, #ca, #a0, #ca
db #a4, #ca, #9f, #d2, #a4, #da, #94, #e2
db #95, #e2, #96, #e2, #97, #e2, #98, #e2
db #9d, #e2, #9f, #e2, #93, #ea, #94, #ea
db #95, #ea, #96, #ea, #99, #ea, #9e, #ea
db #a4, #ea, #99, #f2, #99, #fa, #9e, #fa
db #e9, #c2, #e9, #ca, #e9, #d2, #ed, #d2
db #ed, #e2, #ea, #fa, #3a, #c3, #3a, #cb
db #3a, #d3, #3a, #db, #3a, #e3, #04, #02
db #00, #6e, #e8, #bc, #e0, #0c, #15, #00
db #6e, #f0, #6e, #f8, #59, #c9, #5d, #e1
db #5a, #f1, #59, #f9, #a9, #c1, #a9, #c9
db #a9, #e1, #a9, #f1, #af, #f9, #00, #ca
db #f9, #d1, #02, #ea, #f9, #f9, #03, #fa
db #53, #c2, #49, #ca, #4a, #da, #9c, #f2
db #ec, #c2, #01, #0b, #00, #bd, #c0, #bc
db #e8, #bb, #f8, #04, #e1, #a6, #d1, #ad
db #f1, #fd, #c1, #f6, #c9, #99, #da, #99
db #e2, #8b, #c3, #08, #0d, #00, #be, #c0
db #be, #d0, #be, #d8, #be, #e0, #be, #e8
db #be, #f0, #5d, #f1, #ad, #c1, #03, #f2
db #98, #da, #ec, #d2, #ec, #ea, #ec, #f2
db #03, #07, #00, #bd, #c8, #0b, #c1, #ea
db #da, #ea, #e2, #ea, #ea, #3b, #eb, #3b
db #f3, #48, #11, #00, #be, #c8, #09, #e1
db #09, #e9, #09, #f1, #0a, #f9, #59, #d1
db #5d, #d9, #5d, #e9, #ae, #e9, #a9, #f9
db #f9, #d9, #49, #c2, #49, #d2, #4e, #d2
db #49, #da, #49, #ea, #ec, #ca, #43, #04
db #00, #bd, #d0, #bc, #f8, #5c, #e9, #3b
db #e3, #02, #02, #00, #bc, #d8, #0b, #c9
db #0f, #4a, #00, #bd, #d8, #bd, #e0, #bd
db #e8, #bd, #f0, #bd, #f8, #0d, #c1, #0c
db #c9, #0d, #c9, #06, #d1, #0c, #d1, #0d
db #d1, #0c, #d9, #0d, #d9, #0b, #e1, #0c
db #e1, #0d, #e1, #0c, #e9, #0d, #e9, #0b
db #f1, #0c, #f1, #0b, #f9, #0c, #f9, #5b
db #c1, #5c, #c1, #5b, #c9, #5c, #c9, #5b
db #d1, #5b, #d9, #58, #f1, #58, #f9, #a8
db #c1, #a8, #c9, #a8, #d1, #a8, #d9, #f8
db #c1, #f7, #d1, #00, #d2, #f7, #e9, #01
db #ea, #ff, #f1, #ff, #f9, #02, #fa, #4e
db #c2, #50, #c2, #51, #c2, #48, #ca, #4f
db #ca, #48, #d2, #47, #da, #48, #da, #48
db #e2, #47, #ea, #48, #ea, #47, #f2, #47
db #fa, #9b, #c2, #9b, #ca, #94, #d2, #9b
db #d2, #9b, #da, #9b, #e2, #9b, #ea, #9b
db #f2, #9b, #fa, #eb, #c2, #eb, #ca, #eb
db #d2, #eb, #da, #eb, #e2, #eb, #ea, #eb
db #f2, #eb, #fa, #3b, #c3, #3b, #cb, #29
db #02, #00, #bc, #f0, #f8, #e9, #46, #01
db #00, #b4, #f8, #80, #15, #00, #be, #f8
db #bf, #f8, #0f, #c9, #0a, #f1, #0f, #f9
db #5e, #c1, #5e, #c9, #62, #d1, #5e, #e9
db #5f, #e9, #5f, #f1, #af, #d1, #ae, #e1
db #02, #e2, #4d, #e2, #4d, #f2, #4d, #fa
db #9d, #f2, #ee, #c2, #ed, #da, #3c, #cb
db #67, #01, #00, #04, #c1, #0e, #03, #00
db #05, #c1, #4a, #fa, #9c, #ca, #07, #0f
db #00, #0c, #c1, #0b, #d1, #0b, #d9, #0b
db #e9, #a7, #f1, #f7, #c1, #00, #e2, #00
db #f2, #4b, #fa, #9a, #fa, #ea, #c2, #ea
db #ca, #ea, #d2, #3b, #d3, #3b, #db, #33
db #07, #00, #04, #c9, #55, #c1, #55, #c9
db #56, #f9, #f6, #d9, #f5, #f9, #93, #c2
db #8f, #08, #00, #05, #c9, #06, #d9, #58
db #c9, #58, #d1, #58, #d9, #58, #e1, #58
db #e9, #f7, #f1, #1e, #0d, #00, #06, #c9
db #fe, #c1, #ff, #c1, #ff, #c9, #ff, #d9
db #fe, #e1, #ff, #e1, #fe, #e9, #ff, #e9
db #4f, #c2, #96, #c2, #95, #d2, #94, #da
db #11, #08, #00, #04, #d1, #04, #d9, #55
db #d1, #a6, #c9, #f6, #d1, #f5, #f1, #44
db #d2, #92, #da, #ef, #03, #00, #05, #d1
db #07, #f9, #57, #e1, #d2, #01, #00, #07
db #d1, #ff, #13, #00, #05, #d9, #05, #e1
db #06, #e9, #06, #f1, #06, #f9, #56, #c1
db #57, #c1, #f6, #e9, #f6, #f1, #f6, #f9
db #45, #d2, #45, #da, #45, #e2, #45, #ea
db #44, #f2, #44, #fa, #94, #c2, #94, #ca
db #93, #d2, #0b, #05, #00, #07, #d9, #07
db #e9, #fd, #f1, #fd, #f9, #99, #c2, #58
db #01, #00, #08, #d9, #cf, #02, #00, #06
db #e1, #07, #f1, #4b, #06, #00, #07, #e1
db #0d, #f1, #0d, #f9, #5c, #f1, #01, #fa
db #52, #c2, #09, #06, #00, #08, #e1, #08
db #f9, #a8, #f9, #f8, #c9, #4d, #c2, #48
db #fa, #7f, #04, #00, #05, #e9, #45, #ca
db #44, #ea, #93, #ca, #f0, #02, #00, #08
db #e9, #49, #f2, #a0, #05, #00, #0a, #e9
db #5f, #c1, #af, #e1, #fa, #e9, #3c, #d3
db #77, #05, #00, #05, #f1, #56, #e9, #f6
db #e1, #45, #c2, #44, #e2, #c3, #05, #00
db #08, #f1, #5a, #d1, #5c, #d9, #5c, #e1
db #01, #f2, #40, #0d, #00, #0e, #f1, #63
db #c1, #5f, #d1, #ab, #c1, #ae, #d9, #b0
db #d9, #fb, #c9, #fb, #d9, #4b, #c2, #4e
db #e2, #4f, #ea, #4e, #f2, #a0, #da, #37
db #02, #00, #05, #f9, #56, #f1, #c0, #0d
db #00, #09, #f9, #59, #c1, #5f, #d9, #5d
db #f9, #a9, #d1, #f9, #e1, #fa, #e1, #51
db #ca, #4f, #d2, #4a, #ea, #9e, #d2, #9e
db #da, #9e, #f2, #ad, #01, #00, #58, #c1
db #81, #03, #00, #5a, #c1, #f8, #d9, #99
db #d2, #5a, #03, #00, #5d, #c1, #5d, #c9
db #9c, #da, #20, #0a, #00, #61, #c1, #60
db #c9, #ab, #c9, #af, #d9, #af, #e9, #ab
db #f9, #fc, #d9, #fa, #f1, #fb, #f9, #4c
db #ea, #bf, #03, #00, #57, #c9, #57, #d1
db #57, #d9, #87, #0a, #00, #5a, #c9, #5c
db #d1, #5a, #d9, #5b, #e1, #5b, #e9, #01
db #e2, #00, #ea, #00, #fa, #50, #ca, #96
db #ca, #60, #06, #00, #5f, #c9, #ab, #d9
db #ab, #e1, #fb, #e9, #4b, #ea, #4c, #fa
db #4a, #08, #00, #5d, #d1, #5a, #e1, #aa
db #c9, #ae, #f1, #fa, #f9, #4a, #f2, #95
db #da, #9c, #e2, #2c, #04, #00, #59, #d9
db #aa, #c1, #aa, #d1, #fe, #f1, #2d, #04
db #00, #59, #e9, #a8, #e1, #f8, #f9, #48
db #c2, #c2, #01, #00, #5a, #e9, #0d, #02
db #00, #59, #f1, #02, #f2, #61, #02, #00
db #5b, #f1, #99, #ca, #28, #03, #00, #5a
db #f9, #ec, #da, #3c, #c3, #30, #08, #00
db #5b, #f9, #ac, #c1, #ad, #e1, #fc, #c1
db #fb, #d1, #fd, #e1, #fd, #e9, #97, #d2
db #21, #04, #00, #5c, #f9, #fd, #d9, #4d
db #ca, #3b, #fb, #13, #04, #00, #a6, #c1
db #a7, #f9, #44, #da, #43, #fa, #df, #02
db #00, #a7, #c1, #a7, #c9, #10, #11, #00
db #ac, #c9, #ad, #c9, #ac, #e1, #ad, #e9
db #ad, #f9, #fc, #c9, #fd, #c9, #fc, #d1
db #fd, #d1, #fc, #e1, #fc, #e9, #4c, #da
db #50, #e2, #4d, #ea, #98, #d2, #ea, #f2
db #8b, #cb, #af, #01, #00, #a7, #d1, #2f
db #05, #00, #a7, #d9, #f7, #e1, #f7, #f9
db #47, #c2, #47, #e2, #e0, #03, #00, #a9
db #d9, #aa, #f1, #4a, #ca, #0a, #02, #00
db #aa, #d9, #9c, #c2, #27, #02, #00, #a7
db #e1, #a7, #e9, #6d, #01, #00, #a8, #e9
db #86, #04, #00, #a9, #e9, #01, #da, #4a
db #c2, #9c, #d2, #70, #02, #00, #ab, #e9
db #97, #c2, #89, #01, #00, #a8, #f1, #84
db #04, #00, #aa, #f9, #f9, #c1, #fa, #c9
db #f9, #e9, #49, #01, #00, #ae, #f9, #42
db #02, #00, #fa, #c1, #4c, #f2, #68, #02
db #00, #f9, #c9, #9c, #ea, #1c, #04, #00
db #fe, #c9, #fe, #d1, #f8, #f1, #9c, #fa
db #a1, #01, #00, #f8, #d1, #a4, #02, #00
db #fa, #d1, #4a, #d2, #82, #01, #00, #fa
db #d9, #3c, #03, #00, #fe, #d9, #fe, #f9
db #48, #f2, #1a, #02, #00, #f8, #e1, #93
db #da, #6f, #01, #00, #47, #ca, #96, #02
db #00, #4e, #ca, #97, #ca, #83, #01, #00
db #4d, #d2, #34, #01, #00, #4b, #f2, #25
db #02, #00, #49, #fa, #96, #d2, #90, #02
db #00, #98, #c2, #9d, #ca, #9e, #01, #00
db #95, #ca, #18, #03, #00, #98, #ca, #ec
db #e2, #ec, #fa, #a5, #01, #00, #96, #da
db #12, #01, #00, #97, #da
delta21:
db #5a, #00, #6f, #00, #6e, #e8, #6e, #f0
db #6e, #f8, #bd, #c0, #be, #c0, #bd, #c8
db #be, #c8, #bd, #d0, #be, #d0, #bd, #d8
db #be, #d8, #bd, #e0, #be, #e0, #bd, #e8
db #bd, #f0, #b4, #f8, #04, #c1, #04, #c9
db #05, #c9, #04, #d1, #05, #d1, #04, #d9
db #05, #d9, #04, #e1, #05, #e1, #05, #e9
db #05, #f1, #0b, #f1, #05, #f9, #0b, #f9
db #55, #c1, #61, #c1, #63, #c1, #55, #c9
db #60, #c9, #55, #d1, #62, #d1, #5c, #f1
db #5c, #f9, #5d, #f9, #ad, #c1, #ad, #c9
db #af, #d1, #ae, #d9, #af, #d9, #b0, #d9
db #ab, #e1, #ac, #e1, #af, #e1, #ad, #e9
db #ae, #e9, #af, #e9, #b0, #e9, #ad, #f1
db #ae, #f1, #ab, #f9, #ad, #f9, #ae, #f9
db #af, #f9, #fc, #c1, #fd, #c1, #fe, #c1
db #fb, #c9, #fd, #c9, #fe, #c9, #fb, #d1
db #fc, #d1, #fc, #d9, #fe, #d9, #ff, #d9
db #fd, #e1, #fe, #e1, #ff, #e1, #fc, #e9
db #fe, #e9, #fd, #f1, #fe, #f1, #03, #f2
db #4d, #c2, #4e, #c2, #4e, #ca, #51, #ca
db #4d, #d2, #4e, #d2, #4c, #da, #4d, #e2
db #4e, #e2, #4b, #ea, #4f, #ea, #4d, #f2
db #4e, #f2, #93, #ca, #94, #ca, #93, #d2
db #94, #d2, #95, #d2, #96, #d2, #97, #d2
db #92, #da, #93, #da, #94, #da, #95, #da
db #96, #da, #97, #da, #9e, #da, #a0, #da
db #9e, #f2, #ed, #da, #ea, #f2, #8b, #c3
db #8b, #cb, #20, #0a, #00, #bc, #c0, #5c
db #e9, #af, #c1, #b1, #e1, #ab, #f1, #01
db #da, #fb, #e1, #9f, #d2, #3c, #e3, #3c
db #eb, #10, #17, #00, #c0, #c0, #05, #c1
db #0b, #e9, #5d, #d1, #5d, #e9, #5d, #f1
db #62, #f9, #ac, #c1, #ac, #f9, #fb, #d9
db #fd, #d9, #f3, #f9, #fd, #f9, #4c, #c2
db #43, #ca, #4d, #ca, #43, #d2, #4b, #e2
db #4c, #ea, #42, #f2, #4c, #f2, #50, #fa
db #9d, #ea, #60, #07, #00, #bc, #c8, #c0
db #e8, #0a, #f1, #00, #ca, #00, #d2, #ff
db #f1, #55, #e2, #30, #0b, #00, #c0, #c8
db #5b, #c1, #5b, #e1, #01, #ea, #01, #f2
db #51, #c2, #51, #d2, #50, #e2, #51, #e2
db #4c, #fa, #9c, #e2, #40, #18, #00, #bc
db #d0, #c0, #f8, #10, #c1, #10, #c9, #10
db #d9, #0e, #e9, #60, #c1, #5e, #d1, #60
db #d1, #b3, #d1, #ff, #c1, #00, #c2, #fe
db #d1, #ff, #d1, #00, #e2, #f4, #e9, #fb
db #f1, #00, #f2, #4f, #c2, #54, #e2, #4f
db #f2, #9e, #ca, #9f, #da, #9e, #e2, #2d
db #0a, #00, #c0, #d0, #59, #c1, #a9, #d1
db #f8, #c1, #f8, #c9, #f8, #d1, #48, #d2
db #48, #da, #48, #ea, #eb, #da, #03, #18
db #00, #b5, #d8, #bf, #d8, #bb, #f0, #be
db #f0, #bb, #f8, #0d, #c9, #0b, #e1, #a5
db #c1, #a5, #d9, #a5, #e1, #51, #da, #95
db #ca, #98, #e2, #98, #ea, #98, #f2, #98
db #fa, #9c, #fa, #e8, #c2, #e8, #ca, #e8
db #d2, #e8, #da, #ec, #f2, #3b, #db, #3b
db #e3, #84, #05, #00, #bc, #d8, #09, #e1
db #5e, #e1, #ae, #c1, #54, #ca, #c0, #10
db #00, #c0, #d8, #09, #c9, #09, #d9, #0a
db #d9, #5f, #e1, #5e, #e9, #5f, #f1, #ae
db #e1, #fe, #f9, #ff, #f9, #03, #fa, #53
db #c2, #54, #d2, #53, #e2, #49, #f2, #ee
db #c2, #23, #02, #00, #b5, #e0, #b5, #e8
db #2c, #08, #00, #b6, #e0, #0e, #c9, #5a
db #c9, #59, #e9, #5a, #f9, #5b, #f9, #4a
db #ea, #4a, #f2, #01, #0d, #00, #bb, #e0
db #bb, #e8, #be, #e8, #0d, #c1, #5b, #d1
db #5d, #d9, #56, #f1, #52, #d2, #99, #d2
db #ea, #ea, #3b, #eb, #3b, #f3, #3b, #fb
db #08, #11, #00, #bc, #e0, #b8, #f8, #0c
db #c1, #0c, #c9, #0a, #d1, #0c, #d1, #ab
db #d1, #02, #e2, #4f, #ca, #9d, #c2, #99
db #f2, #9d, #f2, #99, #fa, #e9, #c2, #ed
db #c2, #ed, #d2, #8c, #c3, #16, #01, #00
db #bf, #e0, #04, #09, #00, #c0, #e0, #09
db #d1, #10, #d1, #0e, #f1, #0e, #f9, #5b
db #f1, #fb, #e9, #53, #ca, #3c, #db, #0f
db #37, #00, #b6, #e8, #07, #c1, #07, #c9
db #0b, #c9, #07, #d1, #0b, #d1, #07, #d9
db #07, #e1, #08, #e1, #08, #e9, #07, #f1
db #08, #f1, #07, #f9, #08, #f9, #58, #c1
db #58, #c9, #59, #c9, #58, #d1, #5a, #d1
db #58, #d9, #58, #e1, #58, #e9, #a6, #c1
db #aa, #c1, #a6, #c9, #aa, #d1, #a7, #d9
db #aa, #d9, #a7, #e1, #a8, #e1, #a9, #e1
db #a8, #e9, #a9, #e9, #a8, #f1, #a8, #f9
db #f8, #d9, #f7, #e1, #f8, #e9, #f7, #f1
db #f8, #f1, #f9, #f1, #f7, #f9, #f8, #f9
db #47, #c2, #48, #c2, #49, #c2, #47, #ca
db #49, #ca, #47, #e2, #46, #f2, #45, #fa
db #46, #fa, #94, #c2, #95, #c2, #96, #c2
db #80, #12, #00, #b7, #e8, #bc, #e8, #bc
db #f0, #bd, #f8, #64, #e9, #ae, #c9, #ad
db #e1, #fd, #e9, #02, #ea, #4e, #da, #4d
db #ea, #99, #ca, #9d, #ca, #9d, #d2, #9d
db #da, #9d, #e2, #9e, #ea, #9d, #fa, #0e
db #0c, #00, #bf, #e8, #bf, #f0, #0f, #d9
db #0a, #e1, #0e, #e1, #09, #f9, #59, #d1
db #5a, #e1, #5a, #e9, #9a, #d2, #9a, #e2
db #9a, #ea, #13, #04, #00, #b5, #f0, #56
db #d1, #f5, #d9, #43, #da, #2f, #04, #00
db #b6, #f0, #a7, #f1, #46, #e2, #9a, #fa
db #06, #04, #00, #b7, #f0, #c0, #f0, #5b
db #e9, #3c, #d3, #11, #05, #00, #b5, #f8
db #56, #d9, #56, #e1, #56, #e9, #42, #fa
db #9f, #01, #00, #b6, #f8, #4b, #02, #00
db #b7, #f8, #0d, #d1, #a0, #04, #00, #bc
db #f8, #5f, #f9, #af, #c9, #9c, #da, #07
db #0a, #00, #be, #f8, #0b, #c1, #0c, #e9
db #0c, #f9, #56, #f9, #a5, #c9, #9b, #d2
db #9b, #fa, #eb, #ca, #3b, #cb, #68, #07
db #00, #bf, #f8, #0f, #c9, #0f, #e1, #5a
db #f1, #4a, #ca, #4a, #d2, #4a, #fa, #ef
db #0e, #00, #06, #c1, #57, #e9, #57, #f9
db #aa, #e9, #aa, #f1, #a9, #f9, #aa, #f9
db #f7, #c1, #fa, #c1, #f7, #c9, #46, #ca
db #45, #d2, #45, #da, #45, #f2, #09, #04
db #00, #08, #c1, #08, #c9, #08, #d1, #5d
db #c1, #1e, #09, #00, #0e, #c1, #5c, #c9
db #59, #d9, #59, #f1, #f8, #e1, #96, #ca
db #9a, #ca, #9a, #da, #3c, #c3, #86, #05
db #00, #0f, #c1, #0f, #e9, #0f, #f1, #5f
db #c1, #54, #da, #cf, #07, #00, #06, #c9
db #06, #d1, #a9, #f1, #f6, #e9, #f6, #f9
db #46, #c2, #44, #fa, #0c, #0a, #00, #0e
db #d1, #09, #f1, #5a, #c1, #5e, #d9, #ab
db #c1, #ab, #d9, #53, #d2, #53, #da, #4a
db #e2, #49, #ea, #a4, #04, #00, #0f, #d1
db #0a, #e9, #0a, #f9, #5f, #d9, #df, #02
db #00, #06, #d9, #57, #d9, #3c, #04, #00
db #08, #d9, #ab, #c9, #9b, #e2, #eb, #f2
db #87, #08, #00, #0b, #d9, #5c, #c1, #aa
db #c9, #47, #fa, #9b, #da, #9b, #f2, #eb
db #c2, #eb, #d2, #81, #03, #00, #0c, #d9
db #52, #e2, #48, #fa, #94, #01, #00, #0e
db #d9, #e7, #01, #00, #06, #e1, #43, #05
db #00, #0c, #e1, #0c, #f1, #97, #c2, #98
db #da, #3b, #d3, #77, #03, #00, #06, #e9
db #f6, #c9, #f5, #e9, #1f, #04, #00, #07
db #e9, #a6, #d1, #f9, #e1, #93, #c2, #1c
db #03, #00, #0d, #e9, #49, #e2, #48, #f2
db #37, #02, #00, #06, #f1, #a6, #f9, #69
db #01, #00, #0d, #f1, #33, #05, #00, #06
db #f9, #56, #c1, #56, #c9, #f6, #c1, #f5
db #e1, #18, #07, #00, #0d, #f9, #5e, #c1
db #5d, #e1, #52, #ca, #98, #c2, #99, #c2
db #ed, #ca, #48, #06, #00, #0f, #f9, #5e
db #c9, #5f, #c9, #5e, #f1, #4a, #da, #3c
db #fb, #8f, #07, #00, #57, #c1, #57, #c9
db #57, #d1, #a8, #d1, #a8, #d9, #a7, #e9
db #f7, #d1, #21, #09, #00, #5b, #c9, #5c
db #d9, #5c, #e1, #01, #fa, #92, #c2, #9c
db #c2, #9c, #d2, #ec, #d2, #ec, #e2, #28
db #01, #00, #5d, #c9, #38, #01, #00, #5c
db #d1, #e0, #05, #00, #5f, #d1, #5f, #e9
db #ff, #c9, #4f, #d2, #4f, #da, #5a, #02
db #00, #5a, #d9, #47, #f2, #50, #02, #00
db #5b, #d9, #4b, #d2, #ff, #10, #00, #57
db #e1, #f9, #c1, #f6, #d1, #f6, #d9, #f6
db #e1, #f5, #f1, #f5, #f9, #45, #c2, #45
db #ca, #44, #d2, #44, #da, #44, #e2, #43
db #ea, #44, #ea, #43, #f2, #43, #fa, #0d
db #05, #00, #59, #f9, #a9, #c1, #49, #da
db #99, #da, #99, #e2, #7f, #07, #00, #a7
db #c1, #a7, #c9, #a6, #d9, #a6, #e1, #f9
db #c9, #f9, #d1, #44, #ca, #27, #01, #00
db #a5, #d1, #3f, #05, #00, #a7, #d1, #a6
db #e9, #a6, #f1, #a7, #f9, #46, #ea, #90
db #07, #00, #ad, #d1, #02, #f2, #02, #fa
db #52, #c2, #52, #da, #98, #ca, #98, #d2
db #c3, #02, #00, #a9, #d9, #f9, #f9, #4f
db #02, #00, #aa, #e1, #46, #da, #52, #05
db #00, #ab, #e9, #00, #da, #50, #d2, #ec
db #c2, #ec, #ea, #ce, #03, #00, #fa, #c9
db #fa, #d1, #fa, #d9, #5f, #02, #00, #f9
db #d9, #f9, #e9, #cc, #02, #00, #fa, #e1
db #fa, #e9, #02, #07, #00, #01, #e2, #ff
db #e9, #4f, #e2, #9c, #ea, #ec, #ca, #e8
db #e2, #3c, #cb, #70, #04, #00, #00, #ea
db #00, #fa, #50, #c2, #4b, #f2, #d0, #02
db #00, #f4, #f1, #49, #fa, #6f, #02, #00
db #f6, #f1, #46, #d2, #ec, #01, #00, #fa
db #f1, #51, #01, #00, #f4, #f9, #ac, #01
db #00, #fa, #f9, #f7, #01, #00, #44, #c2
db #8e, #01, #00, #4a, #c2, #24, #02, #00
db #50, #ca, #4b, #fa, #49, #01, #00, #49
db #d2, #61, #02, #00, #50, #da, #9b, #ca
db #b3, #01, #00, #43, #e2, #78, #01, #00
db #9a, #c2, #b4, #01, #00, #9b, #c2, #25
db #01, #00, #97, #ca, #b0, #02, #00, #9c
db #ca, #9c, #f2, #58, #01, #00, #99, #ea
db #63, #01, #00, #ea, #d2, #83, #01, #00
db #ec, #da, #d2, #01, #00, #ec, #fa
delta22:
db #57, #00, #8e, #00, #bc, #c0, #c0, #c0
db #c0, #c8, #c0, #d0, #b5, #d8, #bf, #d8
db #c0, #d8, #b5, #e0, #bf, #e0, #b5, #e8
db #be, #e8, #bf, #e8, #b5, #f0, #be, #f0
db #b5, #f8, #bd, #f8, #be, #f8, #05, #c1
db #10, #c1, #0d, #c9, #10, #d9, #0b, #e1
db #0f, #e1, #06, #f1, #0f, #f1, #06, #f9
db #0e, #f9, #56, #c1, #5b, #c1, #5e, #c1
db #5f, #c1, #56, #c9, #56, #d1, #5d, #d1
db #5e, #d1, #60, #d1, #56, #d9, #5f, #d9
db #5b, #e1, #5c, #e1, #5d, #e1, #5e, #e1
db #5b, #e9, #5c, #e9, #5d, #e9, #5e, #e9
db #5f, #e9, #64, #e9, #5d, #f1, #5e, #f9
db #62, #f9, #af, #c1, #b3, #d1, #ad, #e1
db #ae, #e1, #b1, #e1, #00, #c2, #ff, #c9
db #00, #ca, #00, #d2, #00, #da, #01, #da
db #01, #e2, #02, #e2, #ff, #e9, #01, #ea
db #02, #ea, #ff, #f1, #00, #f2, #02, #f2
db #f3, #f9, #ff, #f9, #02, #fa, #4c, #c2
db #50, #c2, #51, #c2, #52, #c2, #53, #c2
db #4d, #ca, #50, #ca, #52, #ca, #53, #ca
db #54, #ca, #4f, #d2, #50, #d2, #51, #d2
db #52, #d2, #54, #d2, #4e, #da, #4f, #da
db #50, #da, #52, #da, #53, #da, #4b, #e2
db #50, #e2, #51, #e2, #52, #e2, #54, #e2
db #55, #e2, #4c, #ea, #4d, #ea, #4f, #f2
db #42, #fa, #43, #fa, #4c, #fa, #92, #c2
db #93, #c2, #94, #c2, #95, #c2, #9d, #c2
db #95, #ca, #96, #ca, #9d, #ca, #9e, #ca
db #9d, #d2, #9e, #d2, #9c, #da, #9d, #da
db #9f, #da, #9d, #e2, #9e, #e2, #9c, #ea
db #9d, #ea, #9d, #f2, #99, #fa, #9d, #fa
db #e9, #c2, #ec, #c2, #ed, #c2, #ee, #c2
db #ec, #ca, #ec, #d2, #ed, #d2, #e8, #da
db #e8, #e2, #ec, #e2, #ec, #f2, #ec, #fa
db #3c, #c3, #3c, #db, #3b, #fb, #8c, #c3
db #02, #03, #00, #b6, #c8, #e7, #da, #e7
db #e2, #04, #03, #00, #bc, #c8, #b9, #f8
db #ee, #d2, #08, #0f, #00, #c2, #c8, #b7
db #d0, #b8, #e0, #c1, #e0, #b9, #f0, #0a
db #c1, #fe, #c9, #fe, #d1, #fd, #e1, #fe
db #f9, #4e, #c2, #9e, #ea, #3d, #db, #3c
db #eb, #3c, #fb, #23, #04, #00, #b6, #d0
db #b6, #d8, #b6, #e0, #a5, #e9, #c0, #0d
db #00, #bc, #d0, #b8, #e8, #09, #c1, #0a
db #c9, #0c, #c9, #0a, #e1, #0f, #f9, #5c
db #f9, #fe, #c1, #f4, #e9, #fe, #f1, #4a
db #e2, #99, #c2, #01, #10, #00, #c1, #d0
db #bb, #d8, #c0, #e0, #06, #e9, #0c, #e9
db #0c, #f1, #0c, #f9, #56, #e1, #a4, #c9
db #a5, #f1, #4d, #c2, #97, #ca, #97, #d2
db #99, #ea, #9c, #f2, #3b, #e3, #0a, #03
db #00, #b7, #d8, #5a, #f9, #aa, #c1, #80
db #17, #00, #bc, #d8, #bd, #f0, #0d, #c1
db #0a, #d9, #5d, #d9, #5e, #d9, #5e, #f1
db #ae, #e9, #b2, #e9, #fe, #e9, #4f, #c2
db #53, #d2, #53, #e2, #49, #ea, #49, #fa
db #9e, #c2, #9e, #fa, #e8, #d2, #ee, #da
db #ee, #e2, #3d, #c3, #3d, #d3, #3d, #e3
db #06, #02, #00, #c1, #d8, #3b, #cb, #1a
db #01, #00, #b7, #e0, #e0, #04, #00, #bc
db #e0, #0a, #d1, #ff, #d9, #4a, #ea, #13
db #03, #00, #b6, #e8, #b6, #f0, #43, #d2
db #0f, #2c, #00, #b7, #e8, #b7, #f0, #0b
db #c1, #0e, #d1, #56, #e9, #55, #f1, #56
db #f1, #55, #f9, #56, #f9, #ab, #c9, #a7
db #d1, #ab, #d1, #a8, #d9, #ab, #d9, #aa
db #e1, #ab, #e1, #a7, #e9, #aa, #e9, #ab
db #e9, #a9, #f1, #aa, #f1, #ab, #f1, #a9
db #f9, #ab, #f9, #f8, #c1, #f9, #c9, #f6
db #f1, #fa, #f1, #f6, #f9, #46, #ca, #46
db #d2, #46, #da, #46, #e2, #46, #ea, #45
db #f2, #98, #d2, #9a, #d2, #98, #da, #9a
db #da, #98, #e2, #9a, #e2, #98, #ea, #9a
db #ea, #9a, #fa, #03, #0c, #00, #bb, #e8
db #a4, #c1, #97, #da, #97, #e2, #97, #ea
db #97, #f2, #97, #fa, #e7, #c2, #e7, #ca
db #e7, #d2, #ea, #d2, #3b, #d3, #0c, #0c
db #00, #bc, #e8, #bc, #f0, #0c, #c1, #09
db #d1, #0f, #d1, #09, #e1, #0e, #e9, #0a
db #f1, #ac, #f9, #49, #da, #e8, #c2, #eb
db #d2, #07, #08, #00, #c0, #e8, #bb, #f8
db #bf, #f8, #0e, #c9, #0b, #d1, #54, #f9
db #ab, #c1, #44, #fa, #81, #03, #00, #b8
db #f0, #f9, #d9, #48, #f2, #21, #03, #00
db #bf, #f0, #0b, #d9, #0d, #d9, #0e, #08
db #00, #c0, #f0, #0f, #c9, #49, #d2, #4a
db #fa, #9a, #ca, #9b, #fa, #eb, #ea, #eb
db #f2, #11, #08, #00, #b6, #f8, #06, #c1
db #06, #c9, #06, #d1, #06, #d9, #06, #e1
db #f5, #d1, #42, #f2, #8f, #07, #00, #b7
db #f8, #07, #c1, #07, #c9, #07, #d1, #58
db #d1, #58, #e1, #f6, #e9, #0d, #06, #00
db #b8, #f8, #08, #c9, #a9, #e1, #f8, #d1
db #f8, #d9, #f8, #e1, #1c, #11, #00, #bc
db #f8, #0c, #d1, #59, #c9, #59, #f1, #a9
db #c1, #ac, #c9, #ac, #d1, #ac, #d9, #ac
db #e1, #ac, #e9, #ac, #f1, #fc, #c1, #fc
db #c9, #f9, #e1, #4b, #c2, #98, #fa, #eb
db #da, #a4, #01, #00, #c0, #f8, #38, #02
db #00, #08, #c1, #48, #ea, #10, #25, #00
db #0e, #c1, #0d, #d1, #11, #d9, #0c, #e1
db #11, #e9, #5c, #c1, #5c, #c9, #5c, #d1
db #60, #e1, #62, #e9, #ad, #c9, #ad, #d1
db #b0, #d9, #b1, #e9, #fd, #c1, #fc, #e9
db #fc, #f1, #fd, #f1, #01, #f2, #fc, #f9
db #51, #da, #4d, #e2, #42, #ea, #51, #ea
db #52, #ea, #4d, #f2, #9c, #c2, #a0, #da
db #a0, #e2, #ed, #ca, #ec, #da, #ed, #e2
db #ec, #ea, #ed, #f2, #3c, #cb, #3c, #d3
db #3c, #e3, #1e, #04, #00, #0f, #c1, #58
db #c1, #47, #fa, #98, #f2, #48, #0a, #00
db #09, #c9, #0e, #f1, #5d, #c1, #59, #d1
db #ac, #c1, #f9, #f9, #49, #c2, #4e, #d2
db #49, #e2, #49, #f2, #60, #04, #00, #10
db #c9, #5b, #d1, #4a, #f2, #9b, #ea, #2d
db #08, #00, #08, #d1, #0e, #d9, #08, #e9
db #08, #f1, #0d, #f9, #59, #e9, #a8, #e9
db #eb, #e2, #20, #17, #00, #10, #d1, #11
db #d1, #0b, #e9, #60, #c9, #5c, #d9, #61
db #f1, #5f, #f9, #60, #f9, #b0, #c9, #af
db #e9, #01, #d2, #00, #e2, #00, #ea, #00
db #fa, #01, #fa, #4f, #ca, #4c, #d2, #4b
db #f2, #4b, #fa, #9c, #ca, #9c, #d2, #9b
db #da, #9c, #e2, #cf, #08, #00, #07, #d9
db #58, #f9, #fa, #c1, #fb, #c1, #45, #ca
db #45, #e2, #45, #ea, #44, #f2, #69, #09
db #00, #08, #d9, #0d, #e1, #f8, #e9, #f8
db #f9, #48, #c2, #48, #ca, #48, #da, #48
db #e2, #47, #f2, #86, #03, #00, #09, #d9
db #4a, #da, #9a, #c2, #40, #16, #00, #0c
db #d9, #0f, #e9, #10, #e9, #5b, #c9, #5f
db #c9, #5f, #d1, #60, #d9, #5f, #e1, #5f
db #f1, #ae, #c1, #af, #c9, #af, #d1, #ae
db #d9, #b3, #d9, #b0, #f1, #f4, #e1, #03
db #fa, #4b, #d2, #54, #da, #4f, #e2, #4f
db #ea, #9f, #d2, #28, #02, #00, #0f, #d9
db #5a, #f1, #ef, #09, #00, #07, #e1, #07
db #e9, #07, #f1, #a5, #c1, #a8, #c1, #f6
db #e1, #f5, #f9, #45, #c2, #44, #ea, #3c
db #03, #00, #0e, #e1, #f8, #f1, #eb, #ca
db #85, #01, #00, #09, #e9, #78, #02, #00
db #0a, #e9, #9b, #f2, #0b, #01, #00, #0d
db #e9, #58, #03, #00, #09, #f1, #a9, #d1
db #a9, #d9, #83, #01, #00, #0d, #f1, #ff
db #0d, #00, #07, #f9, #a8, #c9, #a6, #d1
db #a6, #d9, #a6, #e1, #a6, #e9, #a6, #f1
db #a6, #f9, #f7, #c1, #f6, #c9, #f5, #e9
db #44, #ca, #43, #e2, #49, #03, #00, #08
db #f9, #f8, #c9, #48, #d2, #2c, #04, #00
db #09, #f9, #5a, #d1, #5a, #e9, #a9, #c9
db #4a, #01, #00, #0a, #f9, #50, #01, #00
db #0b, #f9, #7f, #0e, #00, #57, #c1, #57
db #e1, #57, #e9, #57, #f1, #a6, #c1, #a5
db #c9, #a6, #c9, #a5, #d1, #a7, #f1, #fa
db #c9, #fb, #c9, #fb, #d1, #fa, #e1, #44
db #c2, #84, #05, #00, #59, #c1, #5b, #d9
db #5c, #f1, #f9, #e9, #f9, #f1, #68, #05
db #00, #5a, #c1, #5a, #d9, #5a, #e1, #49
db #ca, #eb, #c2, #77, #05, #00, #57, #c9
db #57, #d1, #57, #d9, #a5, #d9, #f6, #c1
db #18, #04, #00, #5d, #c9, #fd, #d1, #98
db #ca, #e8, #ca, #ad, #01, #00, #58, #d9
db #96, #02, #00, #59, #e1, #97, #c2, #ed
db #02, #00, #58, #e9, #58, #f1, #30, #03
db #00, #5b, #f1, #9b, #d2, #9c, #fa, #3f
db #03, #00, #57, #f9, #a7, #c1, #a7, #c9
db #5a, #01, #00, #59, #f9, #43, #01, #00
db #5b, #f9, #90, #05, #00, #5d, #f9, #fd
db #e9, #48, #fa, #99, #f2, #ed, #fa, #e1
db #01, #00, #aa, #c9, #bf, #02, #00, #a8
db #d1, #a7, #f9, #4b, #02, #00, #aa, #d1
db #f9, #c1, #87, #05, #00, #aa, #d9, #4a
db #c2, #4a, #ca, #4a, #d2, #96, #c2, #37
db #01, #00, #a5, #e1, #9c, #01, #00, #a8
db #f9, #4f, #04, #00, #aa, #f9, #fa, #d1
db #46, #c2, #eb, #fa, #09, #06, #00, #fd
db #c9, #fc, #d1, #fc, #d9, #99, #d2, #99
db #e2, #3c, #f3, #c1, #01, #00, #f9, #d1
db #a0, #01, #00, #ff, #d1, #33, #02, #00
db #f5, #d9, #43, #da, #2f, #03, #00, #fa
db #d9, #fa, #e9, #fa, #f9, #6f, #02, #00
db #fb, #d9, #fb, #e1, #f7, #01, #00, #f5
db #e1, #6e, #01, #00, #fb, #e9, #51, #01
db #00, #f4, #f1, #4e, #01, #00, #fb, #f1
db #b7, #01, #00, #f4, #f9, #4c, #01, #00
db #fb, #f9, #70, #01, #00, #9b, #c2, #b0
db #01, #00, #99, #ca, #14, #01, #00, #9b
db #ca, #29, #01, #00, #99, #da, #42, #01
db #00, #9b, #e2, #16, #01, #00, #3b, #c3
table_delta:
dw delta00, delta01, delta02, delta03, delta04, delta05, delta06, delta07
dw delta08, delta09, delta10, delta11, delta12, delta13, delta14, delta15
dw delta16, delta17, delta18, delta19, delta20, delta21, delta22
palette:
db 00, 09, 13, 26
end

save'disc.bin',#200, end - start,DSK,'delta.dsk'